#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1879
#define LARGE_STATE_COUNT 540
#define SYMBOL_COUNT 330
#define ALIAS_COUNT 3
#define TOKEN_COUNT 155
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 37
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 122

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_auto = 73,
  anon_sym_register = 74,
  anon_sym_inline = 75,
  anon_sym___inline = 76,
  anon_sym___inline__ = 77,
  anon_sym___forceinline = 78,
  anon_sym_thread_local = 79,
  anon_sym___thread = 80,
  anon_sym_const = 81,
  anon_sym_constexpr = 82,
  anon_sym_volatile = 83,
  anon_sym_restrict = 84,
  anon_sym___restrict__ = 85,
  anon_sym__Atomic = 86,
  anon_sym__Noreturn = 87,
  anon_sym_noreturn = 88,
  sym_primitive_type = 89,
  anon_sym_enum = 90,
  anon_sym_COLON = 91,
  anon_sym_struct = 92,
  anon_sym_union = 93,
  anon_sym_if = 94,
  anon_sym_else = 95,
  anon_sym_switch = 96,
  anon_sym_case = 97,
  anon_sym_default = 98,
  anon_sym_while = 99,
  anon_sym_do = 100,
  anon_sym_for = 101,
  anon_sym_return = 102,
  anon_sym_break = 103,
  anon_sym_continue = 104,
  anon_sym_goto = 105,
  anon_sym___try = 106,
  anon_sym___except = 107,
  anon_sym___finally = 108,
  anon_sym___leave = 109,
  anon_sym_QMARK = 110,
  anon_sym_STAR_EQ = 111,
  anon_sym_SLASH_EQ = 112,
  anon_sym_PERCENT_EQ = 113,
  anon_sym_PLUS_EQ = 114,
  anon_sym_DASH_EQ = 115,
  anon_sym_LT_LT_EQ = 116,
  anon_sym_GT_GT_EQ = 117,
  anon_sym_AMP_EQ = 118,
  anon_sym_CARET_EQ = 119,
  anon_sym_PIPE_EQ = 120,
  anon_sym_DASH_DASH = 121,
  anon_sym_PLUS_PLUS = 122,
  anon_sym_sizeof = 123,
  anon_sym___alignof__ = 124,
  anon_sym___alignof = 125,
  anon_sym__alignof = 126,
  anon_sym_alignof = 127,
  anon_sym__Alignof = 128,
  anon_sym_offsetof = 129,
  anon_sym__Generic = 130,
  anon_sym_asm = 131,
  anon_sym___asm__ = 132,
  anon_sym_DOT = 133,
  anon_sym_DASH_GT = 134,
  sym_number_literal = 135,
  anon_sym_L_SQUOTE = 136,
  anon_sym_u_SQUOTE = 137,
  anon_sym_U_SQUOTE = 138,
  anon_sym_u8_SQUOTE = 139,
  anon_sym_SQUOTE = 140,
  aux_sym_char_literal_token1 = 141,
  anon_sym_L_DQUOTE = 142,
  anon_sym_u_DQUOTE = 143,
  anon_sym_U_DQUOTE = 144,
  anon_sym_u8_DQUOTE = 145,
  anon_sym_DQUOTE = 146,
  aux_sym_string_literal_token1 = 147,
  sym_escape_sequence = 148,
  sym_system_lib_string = 149,
  sym_true = 150,
  sym_false = 151,
  anon_sym_NULL = 152,
  anon_sym_nullptr = 153,
  sym_comment = 154,
  sym_translation_unit = 155,
  sym_preproc_include = 156,
  sym_preproc_def = 157,
  sym_preproc_function_def = 158,
  sym_preproc_params = 159,
  sym_preproc_call = 160,
  sym_preproc_if = 161,
  sym_preproc_ifdef = 162,
  sym_preproc_else = 163,
  sym_preproc_elif = 164,
  sym_preproc_elifdef = 165,
  sym_preproc_if_in_field_declaration_list = 166,
  sym_preproc_ifdef_in_field_declaration_list = 167,
  sym_preproc_else_in_field_declaration_list = 168,
  sym_preproc_elif_in_field_declaration_list = 169,
  sym__preproc_expression = 170,
  sym_preproc_parenthesized_expression = 171,
  sym_preproc_defined = 172,
  sym_preproc_unary_expression = 173,
  sym_preproc_call_expression = 174,
  sym_preproc_argument_list = 175,
  sym_preproc_binary_expression = 176,
  sym_function_definition = 177,
  sym__old_style_function_definition = 178,
  sym_declaration = 179,
  sym__declaration_declarator = 180,
  sym_type_definition = 181,
  sym__type_definition_type = 182,
  sym__type_definition_declarators = 183,
  sym__declaration_modifiers = 184,
  sym__declaration_specifiers = 185,
  sym_linkage_specification = 186,
  sym_attribute_specifier = 187,
  sym_attribute = 188,
  sym_attribute_declaration = 189,
  sym_ms_declspec_modifier = 190,
  sym_ms_based_modifier = 191,
  sym_ms_call_modifier = 192,
  sym_ms_unaligned_ptr_modifier = 193,
  sym_ms_pointer_modifier = 194,
  sym_declaration_list = 195,
  sym__declarator = 196,
  sym__field_declarator = 197,
  sym__type_declarator = 198,
  sym__abstract_declarator = 199,
  sym_parenthesized_declarator = 200,
  sym_parenthesized_field_declarator = 201,
  sym_parenthesized_type_declarator = 202,
  sym_abstract_parenthesized_declarator = 203,
  sym_attributed_declarator = 204,
  sym_attributed_field_declarator = 205,
  sym_attributed_type_declarator = 206,
  sym_pointer_declarator = 207,
  sym_pointer_field_declarator = 208,
  sym_pointer_type_declarator = 209,
  sym_abstract_pointer_declarator = 210,
  sym_function_declarator = 211,
  sym_function_field_declarator = 212,
  sym_function_type_declarator = 213,
  sym_abstract_function_declarator = 214,
  sym__old_style_function_declarator = 215,
  sym_array_declarator = 216,
  sym_array_field_declarator = 217,
  sym_array_type_declarator = 218,
  sym_abstract_array_declarator = 219,
  sym_init_declarator = 220,
  sym_compound_statement = 221,
  sym_storage_class_specifier = 222,
  sym_type_qualifier = 223,
  sym__type_specifier = 224,
  sym_sized_type_specifier = 225,
  sym_enum_specifier = 226,
  sym_enumerator_list = 227,
  sym_struct_specifier = 228,
  sym_union_specifier = 229,
  sym_field_declaration_list = 230,
  sym__field_declaration_list_item = 231,
  sym_field_declaration = 232,
  sym__field_declaration_declarator = 233,
  sym_bitfield_clause = 234,
  sym_enumerator = 235,
  sym_variadic_parameter = 236,
  sym_parameter_list = 237,
  sym__old_style_parameter_list = 238,
  sym_parameter_declaration = 239,
  sym_attributed_statement = 240,
  sym_labeled_statement = 241,
  sym__top_level_expression_statement = 242,
  sym_expression_statement = 243,
  sym_if_statement = 244,
  sym_else_clause = 245,
  sym_switch_statement = 246,
  sym_case_statement = 247,
  sym_while_statement = 248,
  sym_do_statement = 249,
  sym_for_statement = 250,
  sym__for_statement_body = 251,
  sym_return_statement = 252,
  sym_break_statement = 253,
  sym_continue_statement = 254,
  sym_goto_statement = 255,
  sym_seh_try_statement = 256,
  sym_seh_except_clause = 257,
  sym_seh_finally_clause = 258,
  sym_seh_leave_statement = 259,
  sym__expression = 260,
  sym__expression_not_binary = 261,
  sym_comma_expression = 262,
  sym_conditional_expression = 263,
  sym_assignment_expression = 264,
  sym_pointer_expression = 265,
  sym_unary_expression = 266,
  sym_binary_expression = 267,
  sym_update_expression = 268,
  sym_cast_expression = 269,
  sym_type_descriptor = 270,
  sym_sizeof_expression = 271,
  sym_alignof_expression = 272,
  sym_offsetof_expression = 273,
  sym_generic_expression = 274,
  sym_subscript_expression = 275,
  sym_call_expression = 276,
  sym_gnu_asm_expression = 277,
  sym_gnu_asm_qualifier = 278,
  sym_gnu_asm_output_operand_list = 279,
  sym_gnu_asm_output_operand = 280,
  sym_gnu_asm_input_operand_list = 281,
  sym_gnu_asm_input_operand = 282,
  sym_gnu_asm_clobber_list = 283,
  sym_gnu_asm_goto_list = 284,
  sym_argument_list = 285,
  sym_field_expression = 286,
  sym_compound_literal_expression = 287,
  sym_parenthesized_expression = 288,
  sym_initializer_list = 289,
  sym_initializer_pair = 290,
  sym_subscript_designator = 291,
  sym_field_designator = 292,
  sym_char_literal = 293,
  sym_concatenated_string = 294,
  sym_string_literal = 295,
  sym_null = 296,
  sym__empty_declaration = 297,
  sym_macro_type_specifier = 298,
  aux_sym_translation_unit_repeat1 = 299,
  aux_sym_preproc_params_repeat1 = 300,
  aux_sym_preproc_if_repeat1 = 301,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 302,
  aux_sym_preproc_argument_list_repeat1 = 303,
  aux_sym__old_style_function_definition_repeat1 = 304,
  aux_sym__declaration_declarator_repeat1 = 305,
  aux_sym_type_definition_repeat1 = 306,
  aux_sym__type_definition_type_repeat1 = 307,
  aux_sym__type_definition_declarators_repeat1 = 308,
  aux_sym__declaration_specifiers_repeat1 = 309,
  aux_sym_attribute_declaration_repeat1 = 310,
  aux_sym_attributed_declarator_repeat1 = 311,
  aux_sym_pointer_declarator_repeat1 = 312,
  aux_sym_sized_type_specifier_repeat1 = 313,
  aux_sym_enumerator_list_repeat1 = 314,
  aux_sym__field_declaration_declarator_repeat1 = 315,
  aux_sym_parameter_list_repeat1 = 316,
  aux_sym__old_style_parameter_list_repeat1 = 317,
  aux_sym_case_statement_repeat1 = 318,
  aux_sym_generic_expression_repeat1 = 319,
  aux_sym_gnu_asm_expression_repeat1 = 320,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 321,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 322,
  aux_sym_gnu_asm_clobber_list_repeat1 = 323,
  aux_sym_gnu_asm_goto_list_repeat1 = 324,
  aux_sym_argument_list_repeat1 = 325,
  aux_sym_initializer_list_repeat1 = 326,
  aux_sym_initializer_pair_repeat1 = 327,
  aux_sym_concatenated_string_repeat1 = 328,
  aux_sym_string_literal_repeat1 = 329,
  alias_sym_field_identifier = 330,
  alias_sym_statement_identifier = 331,
  alias_sym_type_identifier = 332,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym__old_style_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym__old_style_function_declarator] = "function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym__old_style_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__old_style_function_definition_repeat1] = "_old_style_function_definition_repeat1",
  [aux_sym__declaration_declarator_repeat1] = "_declaration_declarator_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym__old_style_parameter_list_repeat1] = "_old_style_parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym__old_style_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym__old_style_function_declarator] = sym_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym__old_style_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__old_style_function_definition_repeat1] = aux_sym__old_style_function_definition_repeat1,
  [aux_sym__declaration_declarator_repeat1] = aux_sym__declaration_declarator_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym__old_style_parameter_list_repeat1] = aux_sym__old_style_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym__old_style_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__old_style_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_body = 5,
  field_clobbers = 6,
  field_condition = 7,
  field_consequence = 8,
  field_constraint = 9,
  field_declarator = 10,
  field_designator = 11,
  field_directive = 12,
  field_field = 13,
  field_filter = 14,
  field_function = 15,
  field_goto_labels = 16,
  field_index = 17,
  field_initializer = 18,
  field_input_operands = 19,
  field_label = 20,
  field_left = 21,
  field_member = 22,
  field_name = 23,
  field_operand = 24,
  field_operator = 25,
  field_output_operands = 26,
  field_parameters = 27,
  field_path = 28,
  field_prefix = 29,
  field_register = 30,
  field_right = 31,
  field_size = 32,
  field_symbol = 33,
  field_type = 34,
  field_underlying_type = 35,
  field_update = 36,
  field_value = 37,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 3},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 2},
  [6] = {.index = 7, .length = 1},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 2},
  [12] = {.index = 14, .length = 2},
  [13] = {.index = 16, .length = 1},
  [14] = {.index = 16, .length = 1},
  [15] = {.index = 17, .length = 1},
  [16] = {.index = 8, .length = 1},
  [17] = {.index = 18, .length = 2},
  [18] = {.index = 20, .length = 2},
  [19] = {.index = 22, .length = 1},
  [21] = {.index = 23, .length = 2},
  [22] = {.index = 25, .length = 2},
  [23] = {.index = 27, .length = 1},
  [24] = {.index = 28, .length = 1},
  [25] = {.index = 29, .length = 2},
  [26] = {.index = 31, .length = 2},
  [27] = {.index = 33, .length = 1},
  [28] = {.index = 34, .length = 3},
  [29] = {.index = 37, .length = 1},
  [30] = {.index = 38, .length = 1},
  [31] = {.index = 39, .length = 2},
  [32] = {.index = 41, .length = 3},
  [33] = {.index = 44, .length = 2},
  [34] = {.index = 46, .length = 2},
  [35] = {.index = 48, .length = 2},
  [36] = {.index = 50, .length = 5},
  [37] = {.index = 55, .length = 3},
  [38] = {.index = 58, .length = 2},
  [39] = {.index = 60, .length = 2},
  [40] = {.index = 62, .length = 1},
  [41] = {.index = 63, .length = 2},
  [42] = {.index = 65, .length = 1},
  [43] = {.index = 66, .length = 2},
  [44] = {.index = 68, .length = 2},
  [45] = {.index = 70, .length = 2},
  [46] = {.index = 72, .length = 2},
  [47] = {.index = 74, .length = 2},
  [48] = {.index = 76, .length = 2},
  [49] = {.index = 78, .length = 2},
  [51] = {.index = 80, .length = 2},
  [52] = {.index = 82, .length = 1},
  [53] = {.index = 83, .length = 1},
  [54] = {.index = 84, .length = 3},
  [55] = {.index = 87, .length = 1},
  [56] = {.index = 88, .length = 1},
  [57] = {.index = 89, .length = 1},
  [58] = {.index = 90, .length = 2},
  [59] = {.index = 92, .length = 1},
  [60] = {.index = 93, .length = 2},
  [61] = {.index = 95, .length = 3},
  [62] = {.index = 98, .length = 2},
  [63] = {.index = 100, .length = 5},
  [64] = {.index = 105, .length = 3},
  [65] = {.index = 108, .length = 5},
  [66] = {.index = 113, .length = 2},
  [67] = {.index = 115, .length = 2},
  [68] = {.index = 117, .length = 3},
  [69] = {.index = 120, .length = 2},
  [70] = {.index = 122, .length = 2},
  [71] = {.index = 124, .length = 2},
  [72] = {.index = 126, .length = 1},
  [73] = {.index = 127, .length = 2},
  [74] = {.index = 129, .length = 2},
  [75] = {.index = 131, .length = 2},
  [76] = {.index = 133, .length = 3},
  [77] = {.index = 136, .length = 2},
  [78] = {.index = 138, .length = 2},
  [79] = {.index = 140, .length = 1},
  [80] = {.index = 141, .length = 2},
  [81] = {.index = 143, .length = 2},
  [82] = {.index = 145, .length = 4},
  [83] = {.index = 149, .length = 1},
  [84] = {.index = 150, .length = 2},
  [85] = {.index = 152, .length = 1},
  [86] = {.index = 153, .length = 1},
  [87] = {.index = 154, .length = 2},
  [88] = {.index = 156, .length = 2},
  [89] = {.index = 158, .length = 5},
  [90] = {.index = 163, .length = 3},
  [91] = {.index = 166, .length = 2},
  [92] = {.index = 168, .length = 1},
  [94] = {.index = 169, .length = 2},
  [95] = {.index = 171, .length = 2},
  [96] = {.index = 173, .length = 2},
  [97] = {.index = 175, .length = 3},
  [98] = {.index = 178, .length = 2},
  [99] = {.index = 180, .length = 2},
  [100] = {.index = 182, .length = 2},
  [101] = {.index = 184, .length = 2},
  [102] = {.index = 186, .length = 3},
  [103] = {.index = 189, .length = 2},
  [104] = {.index = 191, .length = 1},
  [105] = {.index = 192, .length = 2},
  [106] = {.index = 194, .length = 2},
  [107] = {.index = 196, .length = 3},
  [108] = {.index = 199, .length = 2},
  [109] = {.index = 201, .length = 1},
  [110] = {.index = 202, .length = 4},
  [111] = {.index = 206, .length = 3},
  [112] = {.index = 209, .length = 2},
  [113] = {.index = 211, .length = 2},
  [114] = {.index = 33, .length = 1},
  [115] = {.index = 213, .length = 5},
  [116] = {.index = 218, .length = 4},
  [117] = {.index = 222, .length = 2},
  [118] = {.index = 224, .length = 2},
  [119] = {.index = 226, .length = 5},
  [120] = {.index = 231, .length = 2},
  [121] = {.index = 233, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0, .inherited = true},
    {field_declarator, 0, .inherited = true},
    {field_type, 0, .inherited = true},
  [3] =
    {field_type, 0},
  [4] =
    {field_directive, 0},
  [5] =
    {field_argument, 1},
    {field_operator, 0},
  [7] =
    {field_name, 0},
  [8] =
    {field_name, 1},
  [9] =
    {field_body, 1},
  [10] =
    {field_value, 1},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_argument, 0},
    {field_operator, 1},
  [14] =
    {field_arguments, 1},
    {field_function, 0},
  [16] =
    {field_type, 1},
  [17] =
    {field_path, 1},
  [18] =
    {field_argument, 1},
    {field_directive, 0},
  [20] =
    {field_declarator, 1},
    {field_type, 0},
  [22] =
    {field_parameters, 0},
  [23] =
    {field_body, 2},
    {field_value, 1},
  [25] =
    {field_body, 2},
    {field_name, 1},
  [27] =
    {field_name, 2},
  [28] =
    {field_body, 2},
  [29] =
    {field_condition, 1},
    {field_consequence, 2},
  [31] =
    {field_body, 2},
    {field_condition, 1},
  [33] =
    {field_label, 1},
  [34] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [37] =
    {field_label, 0},
  [38] =
    {field_declarator, 1},
  [39] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [41] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [44] =
    {field_declarator, 0},
    {field_parameters, 1},
  [46] =
    {field_declarator, 0},
    {field_declarator, 1},
  [48] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [50] =
    {field_body, 2},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [55] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [58] =
    {field_name, 1},
    {field_value, 2},
  [60] =
    {field_name, 1},
    {field_parameters, 2},
  [62] =
    {field_condition, 1},
  [63] =
    {field_alternative, 2},
    {field_name, 1},
  [65] =
    {field_type, 0, .inherited = true},
  [66] =
    {field_declarator, 2},
    {field_type, 0},
  [68] =
    {field_left, 0},
    {field_right, 2},
  [70] =
    {field_type, 1},
    {field_value, 3},
  [72] =
    {field_declarator, 2},
    {field_type, 1},
  [74] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [76] =
    {field_name, 2},
    {field_prefix, 0},
  [78] =
    {field_name, 1},
    {field_underlying_type, 3},
  [80] =
    {field_body, 3},
    {field_name, 2},
  [82] =
    {field_name, 3},
  [83] =
    {field_body, 3},
  [84] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [87] =
    {field_initializer, 0},
  [88] =
    {field_type, 2},
  [89] =
    {field_assembly_code, 2},
  [90] =
    {field_name, 0},
    {field_type, 2},
  [92] =
    {field_declarator, 2},
  [93] =
    {field_declarator, 0},
    {field_value, 2},
  [95] =
    {field_declarator, 0},
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [98] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [100] =
    {field_body, 3},
    {field_declarator, 1},
    {field_declarator, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [105] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [108] =
    {field_body, 3},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [113] =
    {field_argument, 0},
    {field_index, 2},
  [115] =
    {field_alternative, 3},
    {field_condition, 0},
  [117] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [120] =
    {field_alternative, 3},
    {field_condition, 1},
  [122] =
    {field_alternative, 3},
    {field_name, 1},
  [124] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [126] =
    {field_size, 1},
  [127] =
    {field_declarator, 3},
    {field_type, 1},
  [129] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [131] =
    {field_name, 0},
    {field_value, 2},
  [133] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [136] =
    {field_body, 4},
    {field_name, 3},
  [138] =
    {field_body, 1},
    {field_condition, 3},
  [140] =
    {field_update, 2},
  [141] =
    {field_initializer, 0},
    {field_update, 2},
  [143] =
    {field_condition, 1},
    {field_initializer, 0},
  [145] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [149] =
    {field_operand, 1},
  [150] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [152] =
    {field_assembly_code, 3},
  [153] =
    {field_declarator, 3},
  [154] =
    {field_declarator, 1},
    {field_declarator, 2},
  [156] =
    {field_declarator, 0},
    {field_size, 2},
  [158] =
    {field_body, 4},
    {field_declarator, 2},
    {field_declarator, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [163] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [166] =
    {field_alternative, 4},
    {field_condition, 1},
  [168] =
    {field_size, 2},
  [169] =
    {field_body, 2},
    {field_filter, 1},
  [171] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [173] =
    {field_condition, 1},
    {field_update, 3},
  [175] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [178] =
    {field_initializer, 0},
    {field_update, 3},
  [180] =
    {field_condition, 2},
    {field_initializer, 0},
  [182] =
    {field_member, 4},
    {field_type, 2},
  [184] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [186] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [189] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [191] =
    {field_declarator, 4},
  [192] =
    {field_declarator, 0},
    {field_size, 3},
  [194] =
    {field_designator, 0},
    {field_value, 2},
  [196] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [199] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [201] =
    {field_register, 1},
  [202] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [206] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [209] =
    {field_constraint, 0},
    {field_value, 2},
  [211] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [213] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [218] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [222] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [224] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [226] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [231] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [233] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [7] = {
    [1] = alias_sym_type_identifier,
  },
  [14] = {
    [1] = alias_sym_type_identifier,
  },
  [20] = {
    [0] = sym_primitive_type,
  },
  [22] = {
    [1] = alias_sym_type_identifier,
  },
  [23] = {
    [2] = alias_sym_type_identifier,
  },
  [27] = {
    [1] = alias_sym_statement_identifier,
  },
  [29] = {
    [0] = alias_sym_statement_identifier,
  },
  [37] = {
    [2] = alias_sym_field_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_field_identifier,
  },
  [51] = {
    [2] = alias_sym_type_identifier,
  },
  [52] = {
    [3] = alias_sym_type_identifier,
  },
  [76] = {
    [1] = alias_sym_type_identifier,
  },
  [77] = {
    [3] = alias_sym_type_identifier,
  },
  [93] = {
    [1] = alias_sym_field_identifier,
  },
  [100] = {
    [4] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 5,
  [6] = 2,
  [7] = 5,
  [8] = 5,
  [9] = 2,
  [10] = 5,
  [11] = 5,
  [12] = 12,
  [13] = 13,
  [14] = 13,
  [15] = 13,
  [16] = 16,
  [17] = 16,
  [18] = 18,
  [19] = 13,
  [20] = 16,
  [21] = 21,
  [22] = 13,
  [23] = 16,
  [24] = 16,
  [25] = 25,
  [26] = 26,
  [27] = 26,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 31,
  [33] = 28,
  [34] = 28,
  [35] = 35,
  [36] = 31,
  [37] = 35,
  [38] = 35,
  [39] = 31,
  [40] = 35,
  [41] = 30,
  [42] = 35,
  [43] = 30,
  [44] = 28,
  [45] = 30,
  [46] = 46,
  [47] = 31,
  [48] = 26,
  [49] = 28,
  [50] = 26,
  [51] = 30,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 58,
  [60] = 54,
  [61] = 55,
  [62] = 56,
  [63] = 57,
  [64] = 54,
  [65] = 58,
  [66] = 57,
  [67] = 55,
  [68] = 56,
  [69] = 55,
  [70] = 54,
  [71] = 54,
  [72] = 55,
  [73] = 56,
  [74] = 58,
  [75] = 57,
  [76] = 58,
  [77] = 57,
  [78] = 56,
  [79] = 57,
  [80] = 55,
  [81] = 56,
  [82] = 54,
  [83] = 58,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 102,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 96,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 90,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 100,
  [162] = 93,
  [163] = 106,
  [164] = 96,
  [165] = 131,
  [166] = 130,
  [167] = 128,
  [168] = 115,
  [169] = 127,
  [170] = 111,
  [171] = 132,
  [172] = 129,
  [173] = 126,
  [174] = 125,
  [175] = 102,
  [176] = 124,
  [177] = 121,
  [178] = 120,
  [179] = 119,
  [180] = 118,
  [181] = 116,
  [182] = 122,
  [183] = 117,
  [184] = 112,
  [185] = 94,
  [186] = 95,
  [187] = 114,
  [188] = 97,
  [189] = 113,
  [190] = 92,
  [191] = 98,
  [192] = 99,
  [193] = 101,
  [194] = 103,
  [195] = 104,
  [196] = 105,
  [197] = 110,
  [198] = 109,
  [199] = 91,
  [200] = 108,
  [201] = 107,
  [202] = 145,
  [203] = 143,
  [204] = 158,
  [205] = 157,
  [206] = 155,
  [207] = 90,
  [208] = 154,
  [209] = 153,
  [210] = 152,
  [211] = 151,
  [212] = 150,
  [213] = 90,
  [214] = 149,
  [215] = 146,
  [216] = 159,
  [217] = 134,
  [218] = 160,
  [219] = 135,
  [220] = 139,
  [221] = 136,
  [222] = 141,
  [223] = 138,
  [224] = 142,
  [225] = 144,
  [226] = 90,
  [227] = 147,
  [228] = 148,
  [229] = 156,
  [230] = 140,
  [231] = 124,
  [232] = 114,
  [233] = 106,
  [234] = 96,
  [235] = 131,
  [236] = 130,
  [237] = 128,
  [238] = 127,
  [239] = 126,
  [240] = 125,
  [241] = 102,
  [242] = 126,
  [243] = 125,
  [244] = 121,
  [245] = 120,
  [246] = 119,
  [247] = 118,
  [248] = 116,
  [249] = 115,
  [250] = 111,
  [251] = 114,
  [252] = 132,
  [253] = 113,
  [254] = 92,
  [255] = 255,
  [256] = 110,
  [257] = 109,
  [258] = 108,
  [259] = 107,
  [260] = 91,
  [261] = 105,
  [262] = 104,
  [263] = 103,
  [264] = 106,
  [265] = 101,
  [266] = 100,
  [267] = 99,
  [268] = 98,
  [269] = 97,
  [270] = 95,
  [271] = 121,
  [272] = 94,
  [273] = 93,
  [274] = 112,
  [275] = 120,
  [276] = 117,
  [277] = 122,
  [278] = 124,
  [279] = 129,
  [280] = 132,
  [281] = 111,
  [282] = 119,
  [283] = 118,
  [284] = 129,
  [285] = 122,
  [286] = 117,
  [287] = 112,
  [288] = 93,
  [289] = 94,
  [290] = 95,
  [291] = 97,
  [292] = 98,
  [293] = 99,
  [294] = 100,
  [295] = 115,
  [296] = 101,
  [297] = 103,
  [298] = 116,
  [299] = 104,
  [300] = 105,
  [301] = 91,
  [302] = 107,
  [303] = 108,
  [304] = 109,
  [305] = 111,
  [306] = 132,
  [307] = 115,
  [308] = 110,
  [309] = 127,
  [310] = 92,
  [311] = 128,
  [312] = 130,
  [313] = 131,
  [314] = 129,
  [315] = 124,
  [316] = 122,
  [317] = 117,
  [318] = 112,
  [319] = 113,
  [320] = 106,
  [321] = 93,
  [322] = 94,
  [323] = 96,
  [324] = 131,
  [325] = 130,
  [326] = 95,
  [327] = 97,
  [328] = 98,
  [329] = 114,
  [330] = 99,
  [331] = 100,
  [332] = 101,
  [333] = 103,
  [334] = 104,
  [335] = 105,
  [336] = 91,
  [337] = 107,
  [338] = 108,
  [339] = 128,
  [340] = 127,
  [341] = 126,
  [342] = 109,
  [343] = 110,
  [344] = 125,
  [345] = 102,
  [346] = 121,
  [347] = 120,
  [348] = 119,
  [349] = 118,
  [350] = 116,
  [351] = 92,
  [352] = 113,
  [353] = 145,
  [354] = 153,
  [355] = 138,
  [356] = 153,
  [357] = 147,
  [358] = 144,
  [359] = 138,
  [360] = 152,
  [361] = 151,
  [362] = 150,
  [363] = 149,
  [364] = 147,
  [365] = 139,
  [366] = 142,
  [367] = 148,
  [368] = 156,
  [369] = 149,
  [370] = 146,
  [371] = 150,
  [372] = 157,
  [373] = 155,
  [374] = 146,
  [375] = 151,
  [376] = 145,
  [377] = 152,
  [378] = 154,
  [379] = 148,
  [380] = 136,
  [381] = 139,
  [382] = 135,
  [383] = 154,
  [384] = 135,
  [385] = 158,
  [386] = 159,
  [387] = 134,
  [388] = 155,
  [389] = 156,
  [390] = 140,
  [391] = 157,
  [392] = 143,
  [393] = 158,
  [394] = 141,
  [395] = 159,
  [396] = 140,
  [397] = 160,
  [398] = 134,
  [399] = 136,
  [400] = 141,
  [401] = 142,
  [402] = 160,
  [403] = 143,
  [404] = 144,
  [405] = 405,
  [406] = 406,
  [407] = 405,
  [408] = 406,
  [409] = 409,
  [410] = 409,
  [411] = 411,
  [412] = 412,
  [413] = 406,
  [414] = 414,
  [415] = 411,
  [416] = 412,
  [417] = 406,
  [418] = 418,
  [419] = 418,
  [420] = 411,
  [421] = 412,
  [422] = 411,
  [423] = 418,
  [424] = 406,
  [425] = 405,
  [426] = 409,
  [427] = 414,
  [428] = 405,
  [429] = 412,
  [430] = 405,
  [431] = 411,
  [432] = 432,
  [433] = 405,
  [434] = 406,
  [435] = 411,
  [436] = 432,
  [437] = 414,
  [438] = 418,
  [439] = 412,
  [440] = 409,
  [441] = 412,
  [442] = 432,
  [443] = 432,
  [444] = 414,
  [445] = 414,
  [446] = 409,
  [447] = 409,
  [448] = 418,
  [449] = 432,
  [450] = 414,
  [451] = 432,
  [452] = 158,
  [453] = 159,
  [454] = 157,
  [455] = 156,
  [456] = 140,
  [457] = 154,
  [458] = 160,
  [459] = 135,
  [460] = 153,
  [461] = 149,
  [462] = 155,
  [463] = 463,
  [464] = 144,
  [465] = 139,
  [466] = 134,
  [467] = 152,
  [468] = 468,
  [469] = 146,
  [470] = 142,
  [471] = 147,
  [472] = 150,
  [473] = 151,
  [474] = 148,
  [475] = 141,
  [476] = 143,
  [477] = 138,
  [478] = 145,
  [479] = 255,
  [480] = 480,
  [481] = 481,
  [482] = 481,
  [483] = 480,
  [484] = 481,
  [485] = 480,
  [486] = 481,
  [487] = 480,
  [488] = 488,
  [489] = 489,
  [490] = 255,
  [491] = 90,
  [492] = 492,
  [493] = 255,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 497,
  [498] = 498,
  [499] = 499,
  [500] = 500,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 504,
  [506] = 504,
  [507] = 504,
  [508] = 504,
  [509] = 504,
  [510] = 504,
  [511] = 504,
  [512] = 504,
  [513] = 504,
  [514] = 514,
  [515] = 515,
  [516] = 504,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 520,
  [521] = 517,
  [522] = 522,
  [523] = 518,
  [524] = 517,
  [525] = 518,
  [526] = 518,
  [527] = 517,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 530,
  [532] = 530,
  [533] = 533,
  [534] = 533,
  [535] = 535,
  [536] = 533,
  [537] = 530,
  [538] = 538,
  [539] = 533,
  [540] = 540,
  [541] = 535,
  [542] = 540,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 535,
  [547] = 547,
  [548] = 535,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 551,
  [556] = 556,
  [557] = 554,
  [558] = 554,
  [559] = 554,
  [560] = 551,
  [561] = 561,
  [562] = 562,
  [563] = 563,
  [564] = 564,
  [565] = 551,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 554,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 578,
  [580] = 580,
  [581] = 578,
  [582] = 578,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 572,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 588,
  [598] = 598,
  [599] = 592,
  [600] = 592,
  [601] = 592,
  [602] = 602,
  [603] = 603,
  [604] = 594,
  [605] = 592,
  [606] = 593,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 592,
  [615] = 615,
  [616] = 608,
  [617] = 617,
  [618] = 618,
  [619] = 602,
  [620] = 620,
  [621] = 618,
  [622] = 594,
  [623] = 593,
  [624] = 624,
  [625] = 593,
  [626] = 618,
  [627] = 627,
  [628] = 607,
  [629] = 629,
  [630] = 594,
  [631] = 589,
  [632] = 591,
  [633] = 602,
  [634] = 615,
  [635] = 620,
  [636] = 589,
  [637] = 590,
  [638] = 618,
  [639] = 591,
  [640] = 591,
  [641] = 629,
  [642] = 642,
  [643] = 617,
  [644] = 602,
  [645] = 611,
  [646] = 590,
  [647] = 624,
  [648] = 615,
  [649] = 588,
  [650] = 629,
  [651] = 627,
  [652] = 652,
  [653] = 615,
  [654] = 611,
  [655] = 603,
  [656] = 629,
  [657] = 608,
  [658] = 607,
  [659] = 588,
  [660] = 620,
  [661] = 624,
  [662] = 589,
  [663] = 624,
  [664] = 607,
  [665] = 665,
  [666] = 620,
  [667] = 608,
  [668] = 611,
  [669] = 590,
  [670] = 670,
  [671] = 670,
  [672] = 670,
  [673] = 670,
  [674] = 670,
  [675] = 515,
  [676] = 676,
  [677] = 677,
  [678] = 488,
  [679] = 679,
  [680] = 489,
  [681] = 681,
  [682] = 682,
  [683] = 683,
  [684] = 684,
  [685] = 683,
  [686] = 684,
  [687] = 687,
  [688] = 683,
  [689] = 689,
  [690] = 689,
  [691] = 689,
  [692] = 683,
  [693] = 693,
  [694] = 689,
  [695] = 693,
  [696] = 684,
  [697] = 693,
  [698] = 693,
  [699] = 683,
  [700] = 693,
  [701] = 689,
  [702] = 684,
  [703] = 684,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 707,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 704,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 722,
  [723] = 723,
  [724] = 724,
  [725] = 724,
  [726] = 723,
  [727] = 724,
  [728] = 723,
  [729] = 724,
  [730] = 723,
  [731] = 723,
  [732] = 724,
  [733] = 733,
  [734] = 733,
  [735] = 733,
  [736] = 733,
  [737] = 737,
  [738] = 733,
  [739] = 739,
  [740] = 733,
  [741] = 741,
  [742] = 677,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 749,
  [750] = 750,
  [751] = 751,
  [752] = 752,
  [753] = 753,
  [754] = 754,
  [755] = 755,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 768,
  [769] = 769,
  [770] = 770,
  [771] = 771,
  [772] = 772,
  [773] = 773,
  [774] = 774,
  [775] = 704,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 780,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 142,
  [786] = 144,
  [787] = 138,
  [788] = 147,
  [789] = 148,
  [790] = 156,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 796,
  [797] = 797,
  [798] = 798,
  [799] = 799,
  [800] = 800,
  [801] = 801,
  [802] = 801,
  [803] = 791,
  [804] = 797,
  [805] = 799,
  [806] = 800,
  [807] = 807,
  [808] = 148,
  [809] = 156,
  [810] = 810,
  [811] = 737,
  [812] = 812,
  [813] = 795,
  [814] = 793,
  [815] = 796,
  [816] = 147,
  [817] = 817,
  [818] = 798,
  [819] = 794,
  [820] = 144,
  [821] = 792,
  [822] = 142,
  [823] = 138,
  [824] = 824,
  [825] = 784,
  [826] = 826,
  [827] = 827,
  [828] = 828,
  [829] = 829,
  [830] = 763,
  [831] = 489,
  [832] = 744,
  [833] = 768,
  [834] = 762,
  [835] = 835,
  [836] = 706,
  [837] = 747,
  [838] = 767,
  [839] = 752,
  [840] = 759,
  [841] = 782,
  [842] = 745,
  [843] = 760,
  [844] = 781,
  [845] = 780,
  [846] = 778,
  [847] = 756,
  [848] = 774,
  [849] = 488,
  [850] = 772,
  [851] = 748,
  [852] = 709,
  [853] = 148,
  [854] = 147,
  [855] = 855,
  [856] = 793,
  [857] = 857,
  [858] = 791,
  [859] = 859,
  [860] = 794,
  [861] = 792,
  [862] = 862,
  [863] = 746,
  [864] = 855,
  [865] = 783,
  [866] = 866,
  [867] = 867,
  [868] = 784,
  [869] = 798,
  [870] = 795,
  [871] = 796,
  [872] = 796,
  [873] = 795,
  [874] = 797,
  [875] = 793,
  [876] = 799,
  [877] = 794,
  [878] = 800,
  [879] = 801,
  [880] = 855,
  [881] = 156,
  [882] = 156,
  [883] = 148,
  [884] = 798,
  [885] = 144,
  [886] = 142,
  [887] = 138,
  [888] = 888,
  [889] = 889,
  [890] = 792,
  [891] = 751,
  [892] = 855,
  [893] = 893,
  [894] = 784,
  [895] = 895,
  [896] = 855,
  [897] = 797,
  [898] = 138,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 142,
  [903] = 903,
  [904] = 144,
  [905] = 766,
  [906] = 791,
  [907] = 743,
  [908] = 801,
  [909] = 909,
  [910] = 147,
  [911] = 911,
  [912] = 799,
  [913] = 800,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 115,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 951,
  [953] = 951,
  [954] = 951,
  [955] = 955,
  [956] = 951,
  [957] = 957,
  [958] = 958,
  [959] = 115,
  [960] = 958,
  [961] = 958,
  [962] = 767,
  [963] = 963,
  [964] = 964,
  [965] = 958,
  [966] = 763,
  [967] = 772,
  [968] = 747,
  [969] = 774,
  [970] = 752,
  [971] = 778,
  [972] = 759,
  [973] = 782,
  [974] = 781,
  [975] = 780,
  [976] = 958,
  [977] = 977,
  [978] = 748,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 995,
  [997] = 993,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1005,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1010,
  [1021] = 1011,
  [1022] = 1006,
  [1023] = 1010,
  [1024] = 1008,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1005,
  [1028] = 1028,
  [1029] = 1011,
  [1030] = 1010,
  [1031] = 1011,
  [1032] = 1032,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1011,
  [1036] = 1010,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1005,
  [1040] = 1005,
  [1041] = 1006,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1006,
  [1045] = 1045,
  [1046] = 1006,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 759,
  [1050] = 1050,
  [1051] = 767,
  [1052] = 752,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1048,
  [1061] = 1048,
  [1062] = 747,
  [1063] = 1048,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1048,
  [1073] = 782,
  [1074] = 772,
  [1075] = 748,
  [1076] = 1047,
  [1077] = 1077,
  [1078] = 1064,
  [1079] = 1079,
  [1080] = 712,
  [1081] = 1047,
  [1082] = 774,
  [1083] = 1083,
  [1084] = 763,
  [1085] = 1047,
  [1086] = 781,
  [1087] = 1048,
  [1088] = 1088,
  [1089] = 778,
  [1090] = 780,
  [1091] = 955,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 957,
  [1095] = 1095,
  [1096] = 982,
  [1097] = 980,
  [1098] = 981,
  [1099] = 1099,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1102,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1105,
  [1106] = 1106,
  [1107] = 1107,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 1110,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 939,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1116,
  [1118] = 1115,
  [1119] = 1115,
  [1120] = 1116,
  [1121] = 1112,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1124,
  [1127] = 1125,
  [1128] = 1124,
  [1129] = 1125,
  [1130] = 1124,
  [1131] = 1131,
  [1132] = 1125,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1131,
  [1147] = 1123,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1124,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1159,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1162,
  [1163] = 1139,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1166,
  [1167] = 1137,
  [1168] = 1138,
  [1169] = 1169,
  [1170] = 1140,
  [1171] = 1171,
  [1172] = 765,
  [1173] = 1141,
  [1174] = 1142,
  [1175] = 1143,
  [1176] = 1144,
  [1177] = 1145,
  [1178] = 1178,
  [1179] = 1162,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1156,
  [1185] = 1136,
  [1186] = 1134,
  [1187] = 1151,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 765,
  [1192] = 1183,
  [1193] = 1183,
  [1194] = 1152,
  [1195] = 1153,
  [1196] = 1188,
  [1197] = 1154,
  [1198] = 1155,
  [1199] = 1166,
  [1200] = 1161,
  [1201] = 1157,
  [1202] = 939,
  [1203] = 1183,
  [1204] = 1188,
  [1205] = 1165,
  [1206] = 1183,
  [1207] = 1135,
  [1208] = 1158,
  [1209] = 1190,
  [1210] = 1182,
  [1211] = 1122,
  [1212] = 1159,
  [1213] = 1160,
  [1214] = 1188,
  [1215] = 1215,
  [1216] = 955,
  [1217] = 1217,
  [1218] = 1217,
  [1219] = 1219,
  [1220] = 1217,
  [1221] = 1219,
  [1222] = 1217,
  [1223] = 1217,
  [1224] = 1219,
  [1225] = 1219,
  [1226] = 1219,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1227,
  [1230] = 1227,
  [1231] = 1227,
  [1232] = 1232,
  [1233] = 1227,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1234,
  [1237] = 1235,
  [1238] = 1235,
  [1239] = 1234,
  [1240] = 1234,
  [1241] = 1235,
  [1242] = 1234,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1243,
  [1246] = 1243,
  [1247] = 1243,
  [1248] = 1243,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1251,
  [1256] = 1251,
  [1257] = 1251,
  [1258] = 1258,
  [1259] = 1251,
  [1260] = 1250,
  [1261] = 1261,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1250,
  [1265] = 1250,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1251,
  [1269] = 1251,
  [1270] = 1250,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1271,
  [1279] = 1279,
  [1280] = 1271,
  [1281] = 1271,
  [1282] = 1271,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1283,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1283,
  [1290] = 1283,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1283,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1310,
  [1314] = 1310,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1310,
  [1318] = 1316,
  [1319] = 1316,
  [1320] = 1316,
  [1321] = 1321,
  [1322] = 1310,
  [1323] = 1316,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1324,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1324,
  [1337] = 1337,
  [1338] = 1324,
  [1339] = 1324,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1347,
  [1348] = 1348,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1352,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1377,
  [1378] = 1378,
  [1379] = 1379,
  [1380] = 1380,
  [1381] = 1381,
  [1382] = 1382,
  [1383] = 1383,
  [1384] = 1384,
  [1385] = 1385,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1391,
  [1392] = 1389,
  [1393] = 1393,
  [1394] = 1393,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1401,
  [1402] = 1402,
  [1403] = 1389,
  [1404] = 1404,
  [1405] = 1405,
  [1406] = 1404,
  [1407] = 1402,
  [1408] = 1389,
  [1409] = 1389,
  [1410] = 1402,
  [1411] = 1389,
  [1412] = 1389,
  [1413] = 1413,
  [1414] = 1397,
  [1415] = 1393,
  [1416] = 1416,
  [1417] = 1398,
  [1418] = 1418,
  [1419] = 1397,
  [1420] = 1398,
  [1421] = 1389,
  [1422] = 1422,
  [1423] = 1397,
  [1424] = 1390,
  [1425] = 1425,
  [1426] = 1398,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1389,
  [1430] = 1430,
  [1431] = 1393,
  [1432] = 1404,
  [1433] = 1402,
  [1434] = 1404,
  [1435] = 1393,
  [1436] = 1436,
  [1437] = 1398,
  [1438] = 1438,
  [1439] = 1404,
  [1440] = 1440,
  [1441] = 1441,
  [1442] = 1425,
  [1443] = 1390,
  [1444] = 1425,
  [1445] = 1402,
  [1446] = 1397,
  [1447] = 1402,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1466,
  [1467] = 1467,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1456,
  [1471] = 1471,
  [1472] = 1460,
  [1473] = 1473,
  [1474] = 1450,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1479,
  [1480] = 1452,
  [1481] = 1481,
  [1482] = 1482,
  [1483] = 1483,
  [1484] = 1484,
  [1485] = 1485,
  [1486] = 1486,
  [1487] = 1465,
  [1488] = 1450,
  [1489] = 1489,
  [1490] = 1490,
  [1491] = 1491,
  [1492] = 1492,
  [1493] = 1493,
  [1494] = 1483,
  [1495] = 1452,
  [1496] = 1496,
  [1497] = 1497,
  [1498] = 1498,
  [1499] = 1481,
  [1500] = 1460,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1503,
  [1504] = 1450,
  [1505] = 1485,
  [1506] = 1506,
  [1507] = 1507,
  [1508] = 1465,
  [1509] = 1483,
  [1510] = 1510,
  [1511] = 1511,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 1514,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 1517,
  [1518] = 1460,
  [1519] = 1519,
  [1520] = 1492,
  [1521] = 1485,
  [1522] = 1522,
  [1523] = 1523,
  [1524] = 1460,
  [1525] = 1525,
  [1526] = 1526,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1532,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1533,
  [1539] = 1535,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1545,
  [1546] = 1546,
  [1547] = 1535,
  [1548] = 1548,
  [1549] = 1549,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1550,
  [1555] = 1537,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1558,
  [1559] = 1535,
  [1560] = 1532,
  [1561] = 1530,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1564,
  [1565] = 1565,
  [1566] = 1566,
  [1567] = 1566,
  [1568] = 1550,
  [1569] = 1569,
  [1570] = 1570,
  [1571] = 1564,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1574,
  [1575] = 1530,
  [1576] = 1566,
  [1577] = 1564,
  [1578] = 1572,
  [1579] = 1572,
  [1580] = 1570,
  [1581] = 1543,
  [1582] = 1572,
  [1583] = 1548,
  [1584] = 1564,
  [1585] = 1550,
  [1586] = 1548,
  [1587] = 1587,
  [1588] = 1537,
  [1589] = 1566,
  [1590] = 1573,
  [1591] = 1543,
  [1592] = 1573,
  [1593] = 1537,
  [1594] = 1542,
  [1595] = 1543,
  [1596] = 1543,
  [1597] = 1537,
  [1598] = 1537,
  [1599] = 1550,
  [1600] = 1533,
  [1601] = 1543,
  [1602] = 1535,
  [1603] = 1548,
  [1604] = 1530,
  [1605] = 1605,
  [1606] = 1572,
  [1607] = 1533,
  [1608] = 1537,
  [1609] = 1530,
  [1610] = 1542,
  [1611] = 1570,
  [1612] = 1564,
  [1613] = 1566,
  [1614] = 1542,
  [1615] = 1543,
  [1616] = 1548,
  [1617] = 1617,
  [1618] = 1618,
  [1619] = 1550,
  [1620] = 1530,
  [1621] = 1543,
  [1622] = 1548,
  [1623] = 1537,
  [1624] = 1537,
  [1625] = 1542,
  [1626] = 1543,
  [1627] = 1533,
  [1628] = 1628,
  [1629] = 1566,
  [1630] = 1630,
  [1631] = 1535,
  [1632] = 1572,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1647,
  [1648] = 1635,
  [1649] = 1647,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1646,
  [1653] = 1653,
  [1654] = 1654,
  [1655] = 1644,
  [1656] = 1639,
  [1657] = 1657,
  [1658] = 1634,
  [1659] = 1653,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1653,
  [1664] = 1644,
  [1665] = 1639,
  [1666] = 1666,
  [1667] = 1634,
  [1668] = 1650,
  [1669] = 1669,
  [1670] = 1653,
  [1671] = 1639,
  [1672] = 1672,
  [1673] = 1634,
  [1674] = 1674,
  [1675] = 1640,
  [1676] = 1653,
  [1677] = 1639,
  [1678] = 1678,
  [1679] = 1634,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1680,
  [1684] = 1645,
  [1685] = 1685,
  [1686] = 1643,
  [1687] = 1645,
  [1688] = 1678,
  [1689] = 1689,
  [1690] = 1690,
  [1691] = 1644,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1694,
  [1695] = 1695,
  [1696] = 1696,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1637,
  [1701] = 1635,
  [1702] = 1654,
  [1703] = 1634,
  [1704] = 1151,
  [1705] = 1636,
  [1706] = 1657,
  [1707] = 1707,
  [1708] = 1639,
  [1709] = 1709,
  [1710] = 1644,
  [1711] = 1646,
  [1712] = 1647,
  [1713] = 1713,
  [1714] = 1714,
  [1715] = 1715,
  [1716] = 1165,
  [1717] = 1135,
  [1718] = 1718,
  [1719] = 1654,
  [1720] = 1643,
  [1721] = 1657,
  [1722] = 1722,
  [1723] = 1639,
  [1724] = 1633,
  [1725] = 1725,
  [1726] = 1726,
  [1727] = 1727,
  [1728] = 1653,
  [1729] = 1660,
  [1730] = 1730,
  [1731] = 1731,
  [1732] = 1732,
  [1733] = 1653,
  [1734] = 1662,
  [1735] = 1666,
  [1736] = 1718,
  [1737] = 1650,
  [1738] = 1689,
  [1739] = 1672,
  [1740] = 1674,
  [1741] = 1660,
  [1742] = 1640,
  [1743] = 1678,
  [1744] = 1680,
  [1745] = 1645,
  [1746] = 1643,
  [1747] = 1689,
  [1748] = 1674,
  [1749] = 1637,
  [1750] = 1750,
  [1751] = 1681,
  [1752] = 1682,
  [1753] = 706,
  [1754] = 1754,
  [1755] = 1634,
  [1756] = 1756,
  [1757] = 1725,
  [1758] = 1636,
  [1759] = 1759,
  [1760] = 1690,
  [1761] = 1636,
  [1762] = 1636,
  [1763] = 1763,
  [1764] = 1764,
  [1765] = 1765,
  [1766] = 1637,
  [1767] = 1639,
  [1768] = 1768,
  [1769] = 1635,
  [1770] = 1770,
  [1771] = 1722,
  [1772] = 1772,
  [1773] = 1633,
  [1774] = 1774,
  [1775] = 1644,
  [1776] = 1669,
  [1777] = 1777,
  [1778] = 1646,
  [1779] = 1681,
  [1780] = 1682,
  [1781] = 1647,
  [1782] = 1634,
  [1783] = 1166,
  [1784] = 1784,
  [1785] = 1654,
  [1786] = 1690,
  [1787] = 1787,
  [1788] = 1657,
  [1789] = 1726,
  [1790] = 1653,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1660,
  [1794] = 1722,
  [1795] = 1795,
  [1796] = 1633,
  [1797] = 1662,
  [1798] = 1666,
  [1799] = 1650,
  [1800] = 1800,
  [1801] = 709,
  [1802] = 1681,
  [1803] = 1682,
  [1804] = 1672,
  [1805] = 1650,
  [1806] = 1690,
  [1807] = 1690,
  [1808] = 1666,
  [1809] = 1662,
  [1810] = 1810,
  [1811] = 1653,
  [1812] = 1727,
  [1813] = 1813,
  [1814] = 1814,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1726,
  [1818] = 1681,
  [1819] = 1662,
  [1820] = 1672,
  [1821] = 1681,
  [1822] = 1681,
  [1823] = 1681,
  [1824] = 1674,
  [1825] = 1666,
  [1826] = 1826,
  [1827] = 1827,
  [1828] = 1826,
  [1829] = 1640,
  [1830] = 1650,
  [1831] = 1831,
  [1832] = 1678,
  [1833] = 1726,
  [1834] = 1756,
  [1835] = 1680,
  [1836] = 1657,
  [1837] = 1661,
  [1838] = 1645,
  [1839] = 1839,
  [1840] = 1654,
  [1841] = 1725,
  [1842] = 1842,
  [1843] = 1633,
  [1844] = 1844,
  [1845] = 1845,
  [1846] = 1826,
  [1847] = 1643,
  [1848] = 1848,
  [1849] = 1661,
  [1850] = 1850,
  [1851] = 1851,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1722,
  [1855] = 1855,
  [1856] = 1689,
  [1857] = 1661,
  [1858] = 1647,
  [1859] = 1859,
  [1860] = 1646,
  [1861] = 1669,
  [1862] = 1637,
  [1863] = 1635,
  [1864] = 1772,
  [1865] = 1661,
  [1866] = 1866,
  [1867] = 1634,
  [1868] = 1644,
  [1869] = 1639,
  [1870] = 1826,
  [1871] = 1660,
  [1872] = 1682,
  [1873] = 1826,
  [1874] = 1874,
  [1875] = 1725,
  [1876] = 1826,
  [1877] = 1633,
  [1878] = 1681,
};

static inline bool sym_number_literal_character_set_1(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : c <= 'F')
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'u'
      ? (c < 'l'
        ? (c >= 'd' && c <= 'f')
        : c <= 'l')
      : (c <= 'u' || c == 'w'))));
}

static inline bool sym_number_literal_character_set_2(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : (c <= 'D' || c == 'F'))
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'l'
      ? (c < 'f'
        ? c == 'd'
        : c <= 'f')
      : (c <= 'l' || (c < 'w'
        ? c == 'u'
        : c <= 'w')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(111);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(72);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(40)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(40)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(43)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(43)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(42)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(42)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(45)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(45)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(47)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(47)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(48)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(48)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(50)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(50)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(49)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(49)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(53)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(53)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(46)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(46)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(23)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(23)
      if (lookahead == '\r') SKIP(21)
      END_STATE();
    case 23:
      if (lookahead == '\n') ADVANCE(120);
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '&') ADVANCE(203);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(66);
      if (lookahead == '>') ADVANCE(208);
      if (lookahead == '\\') SKIP(22)
      if (lookahead == '^') ADVANCE(200);
      if (lookahead == '|') ADVANCE(199);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(52)
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(52)
      if (lookahead == '\r') SKIP(24)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 26:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '\r') ADVANCE(30);
      if (lookahead == '(') ADVANCE(115);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 27:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '\r') ADVANCE(30);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 28:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '\r') ADVANCE(29);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 29:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 30:
      if (lookahead == '\n') ADVANCE(113);
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(51)
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(280);
      if (lookahead != 0) ADVANCE(281);
      END_STATE();
    case 32:
      if (lookahead == '\n') ADVANCE(283);
      if (lookahead == '\r') ADVANCE(282);
      if (lookahead == 'U') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(98);
      if (lookahead == 'x') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(285);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(54)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == '\r') SKIP(33)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '/') ADVANCE(270);
      if (lookahead == '\\') ADVANCE(269);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(271);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(268);
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(41)
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(41)
      if (lookahead == '\r') SKIP(36)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(44)
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(44)
      if (lookahead == '\r') SKIP(38)
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 40:
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(72);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 41:
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(81);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(223);
      if (lookahead == '\\') ADVANCE(37);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 42:
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(72);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '&') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(187);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(182);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(64);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 43:
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(78);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '&') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(187);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(182);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '=') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 44:
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(74);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '&') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(187);
      if (lookahead == '-') ADVANCE(182);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(39);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 45:
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(76);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '&') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(187);
      if (lookahead == '-') ADVANCE(182);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 46:
      if (lookahead == '!') ADVANCE(177);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '+') ADVANCE(189);
      if (lookahead == '-') ADVANCE(184);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == 'L') ADVANCE(297);
      if (lookahead == 'U') ADVANCE(298);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == 'u') ADVANCE(296);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 47:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '"') ADVANCE(276);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(188);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(183);
      if (lookahead == '.') ADVANCE(242);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == 'L') ADVANCE(289);
      if (lookahead == 'U') ADVANCE(291);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == 'u') ADVANCE(293);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47)
      END_STATE();
    case 48:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(73);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '&') ADVANCE(203);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(185);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(180);
      if (lookahead == '.') ADVANCE(60);
      if (lookahead == '/') ADVANCE(192);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(212);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(208);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == '^') ADVANCE(200);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(199);
      if (lookahead == '}') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(48)
      END_STATE();
    case 49:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(75);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(188);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(183);
      if (lookahead == '.') ADVANCE(242);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == ']') ADVANCE(71);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(49)
      END_STATE();
    case 50:
      if (lookahead == '!') ADVANCE(65);
      if (lookahead == '#') ADVANCE(77);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(188);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(183);
      if (lookahead == '.') ADVANCE(242);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(50)
      END_STATE();
    case 51:
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(51)
      END_STATE();
    case 52:
      if (lookahead == '"') ADVANCE(276);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '<') ADVANCE(67);
      if (lookahead == 'L') ADVANCE(289);
      if (lookahead == 'U') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(293);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(52)
      END_STATE();
    case 53:
      if (lookahead == '#') ADVANCE(79);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(300);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '[') ADVANCE(70);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '}') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(53)
      END_STATE();
    case 54:
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') SKIP(34)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54)
      END_STATE();
    case 55:
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(305);
      END_STATE();
    case 56:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead == '/') ADVANCE(301);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 57:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead != 0) ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '*') ADVANCE(56);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(247);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(248);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      END_STATE();
    case 60:
      if (lookahead == '.') ADVANCE(61);
      END_STATE();
    case 61:
      if (lookahead == '.') ADVANCE(116);
      END_STATE();
    case 62:
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '\\') ADVANCE(32);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62)
      END_STATE();
    case 63:
      if (lookahead == '/') ADVANCE(135);
      if (lookahead == '\\') ADVANCE(133);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63)
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 64:
      if (lookahead == ':') ADVANCE(218);
      END_STATE();
    case 65:
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 66:
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 67:
      if (lookahead == '>') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 68:
      if (lookahead == '>') ADVANCE(287);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 69:
      if (lookahead == 'U') ADVANCE(105);
      if (lookahead == 'u') ADVANCE(97);
      END_STATE();
    case 70:
      if (lookahead == '[') ADVANCE(219);
      END_STATE();
    case 71:
      if (lookahead == ']') ADVANCE(220);
      END_STATE();
    case 72:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 73:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(169);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(73);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 74:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(172);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(74);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 75:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(172);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(75);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 76:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(171);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(76);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 77:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'e') ADVANCE(171);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(77);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 78:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(78);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 79:
      if (lookahead == 'd') ADVANCE(147);
      if (lookahead == 'i') ADVANCE(156);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 80:
      if (lookahead == 'd') ADVANCE(83);
      END_STATE();
    case 81:
      if (lookahead == 'e') ADVANCE(84);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(81);
      END_STATE();
    case 82:
      if (lookahead == 'f') ADVANCE(121);
      END_STATE();
    case 83:
      if (lookahead == 'i') ADVANCE(82);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(80);
      END_STATE();
    case 85:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 86:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 87:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      END_STATE();
    case 88:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(300);
      END_STATE();
    case 89:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      END_STATE();
    case 90:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      END_STATE();
    case 91:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(252);
      END_STATE();
    case 92:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(282);
      END_STATE();
    case 93:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(88);
      END_STATE();
    case 94:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 95:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(93);
      END_STATE();
    case 96:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(94);
      END_STATE();
    case 97:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(95);
      END_STATE();
    case 98:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(96);
      END_STATE();
    case 99:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(97);
      END_STATE();
    case 100:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      END_STATE();
    case 101:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(99);
      END_STATE();
    case 102:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(100);
      END_STATE();
    case 103:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(101);
      END_STATE();
    case 104:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(102);
      END_STATE();
    case 105:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(103);
      END_STATE();
    case 106:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 107:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(305);
      if (lookahead == '\r') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(307);
      END_STATE();
    case 108:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(136);
      END_STATE();
    case 109:
      if (eof) ADVANCE(111);
      if (lookahead == '!') ADVANCE(178);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(72);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '%') ADVANCE(195);
      if (lookahead == '&') ADVANCE(204);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(191);
      if (lookahead == '+') ADVANCE(186);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(181);
      if (lookahead == '.') ADVANCE(243);
      if (lookahead == '/') ADVANCE(193);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '<') ADVANCE(211);
      if (lookahead == '=') ADVANCE(227);
      if (lookahead == '>') ADVANCE(207);
      if (lookahead == '?') ADVANCE(229);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == '^') ADVANCE(201);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '|') ADVANCE(198);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 110:
      if (eof) ADVANCE(111);
      if (lookahead == '!') ADVANCE(177);
      if (lookahead == '"') ADVANCE(276);
      if (lookahead == '#') ADVANCE(78);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(300);
      if (lookahead == '&') ADVANCE(202);
      if (lookahead == '\'') ADVANCE(267);
      if (lookahead == '(') ADVANCE(176);
      if (lookahead == ')') ADVANCE(118);
      if (lookahead == '*') ADVANCE(190);
      if (lookahead == '+') ADVANCE(187);
      if (lookahead == ',') ADVANCE(117);
      if (lookahead == '-') ADVANCE(182);
      if (lookahead == '.') ADVANCE(244);
      if (lookahead == '/') ADVANCE(55);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == ':') ADVANCE(228);
      if (lookahead == ';') ADVANCE(217);
      if (lookahead == '=') ADVANCE(226);
      if (lookahead == 'L') ADVANCE(288);
      if (lookahead == 'U') ADVANCE(290);
      if (lookahead == '[') ADVANCE(224);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(225);
      if (lookahead == 'u') ADVANCE(292);
      if (lookahead == '{') ADVANCE(221);
      if (lookahead == '}') ADVANCE(222);
      if (lookahead == '~') ADVANCE(179);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(151);
      if (lookahead == 'n') ADVANCE(145);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(120);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(153);
      if (lookahead == 'n') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(57);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(301);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(57);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead != 0) ADVANCE(131);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(305);
      if (lookahead == '\r') ADVANCE(302);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(306);
      if (lookahead != 0) ADVANCE(304);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\r') ADVANCE(134);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead != 0) ADVANCE(136);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(131);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(136);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(138);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(136);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(131);
      if (lookahead == '\r') ADVANCE(140);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(136);
      if (lookahead == '\r') ADVANCE(141);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(138);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(304);
      if (lookahead == '\r') ADVANCE(308);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(306);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(131);
      if (lookahead == '*') ADVANCE(130);
      if (lookahead == '/') ADVANCE(58);
      if (lookahead == '\\') ADVANCE(137);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(136);
      if (lookahead == '/') ADVANCE(108);
      if (lookahead == '\\') ADVANCE(138);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(170);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(167);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(150);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(152);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(154);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(114);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(112);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(161);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(162);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(119);
      if (lookahead == 'n') ADVANCE(142);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(119);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(165);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(126);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(123);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(129);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(173);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(158);
      if (lookahead == 's') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(159);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(164);
      if (lookahead == 's') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(166);
      if (lookahead == 'n') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(174);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(168);
      if (lookahead == 'n') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(143);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(149);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(144);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(206);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == '=') ADVANCE(234);
      if (lookahead == '>') ADVANCE(245);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(240);
      if (lookahead == '=') ADVANCE(234);
      if (lookahead == '>') ADVANCE(245);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(241);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (lookahead == '=') ADVANCE(233);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(241);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(241);
      if (lookahead == '=') ADVANCE(233);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(249);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(230);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(305);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(305);
      if (lookahead == '=') ADVANCE(231);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(232);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(239);
      if (lookahead == '|') ADVANCE(196);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(196);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(238);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(197);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(197);
      if (lookahead == '=') ADVANCE(237);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(216);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(209);
      if (lookahead == '>') ADVANCE(215);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(214);
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(213);
      if (lookahead == '=') ADVANCE(210);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(235);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(236);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(219);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(205);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(61);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(86);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(246);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(262);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(87);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(256);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(90);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(257);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(87);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(257);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(258);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(59);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(259);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(261);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(90);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(259);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(85);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(259);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(262);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(91);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(252);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(252);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(89);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(254);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(89);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(254);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(257);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(257);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(248);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(90);
      if (lookahead == '.') ADVANCE(260);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(255);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(257);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(257);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(86);
      if (lookahead == '0') ADVANCE(250);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(251);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(262);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(91);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(252);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(252);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(253);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(259);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(254);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(262);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(254);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(251);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(262);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_number_literal);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(262);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(283);
      if (lookahead == '\r') ADVANCE(282);
      if (lookahead == 'U') ADVANCE(106);
      if (lookahead == 'u') ADVANCE(98);
      if (lookahead == 'x') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(285);
      if (lookahead != 0) ADVANCE(282);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(57);
      if (lookahead == '/') ADVANCE(305);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(32);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(279);
      if (lookahead == '/') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead == '/') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(279);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(278);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(279);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(277);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(32);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(282);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(284);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(286);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(67);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(272);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(263);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(272);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(274);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(274);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(273);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(264);
      if (lookahead == '8') ADVANCE(294);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(273);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(300);
      if (lookahead == '8') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(275);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(266);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(275);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(264);
      if (lookahead == '8') ADVANCE(299);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(263);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(265);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\'') ADVANCE(266);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(300);
      if (lookahead == '\\') ADVANCE(69);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(305);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead != 0) ADVANCE(304);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(132);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(304);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(304);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(107);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(304);
      if (lookahead == '\r') ADVANCE(308);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(306);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(305);
      if (lookahead == '\r') ADVANCE(309);
      if (lookahead == '\\') ADVANCE(307);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(304);
      if (lookahead == '/') ADVANCE(303);
      if (lookahead == '\\') ADVANCE(139);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(305);
      if (lookahead == '\\') ADVANCE(107);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'i') ADVANCE(13);
      if (lookahead == 'l') ADVANCE(14);
      if (lookahead == 'm') ADVANCE(15);
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'o') ADVANCE(17);
      if (lookahead == 'p') ADVANCE(18);
      if (lookahead == 'r') ADVANCE(19);
      if (lookahead == 's') ADVANCE(20);
      if (lookahead == 't') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      if (lookahead == 'v') ADVANCE(23);
      if (lookahead == 'w') ADVANCE(24);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(25);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(26);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(27);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(28)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(29);
      if (lookahead == 'G') ADVANCE(30);
      if (lookahead == 'N') ADVANCE(31);
      if (lookahead == '_') ADVANCE(32);
      if (lookahead == 'a') ADVANCE(33);
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(35);
      if (lookahead == 's') ADVANCE(36);
      if (lookahead == 'u') ADVANCE(37);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(38);
      if (lookahead == 'r') ADVANCE(39);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(40);
      if (lookahead == 'h') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(43);
      if (lookahead == 'o') ADVANCE(44);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(45);
      if (lookahead == 'n') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(47);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'l') ADVANCE(49);
      if (lookahead == 'o') ADVANCE(50);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(51);
      END_STATE();
    case 13:
      if (lookahead == 'f') ADVANCE(52);
      if (lookahead == 'n') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'o') ADVANCE(54);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(55);
      END_STATE();
    case 16:
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 17:
      if (lookahead == 'f') ADVANCE(58);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(59);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(60);
      END_STATE();
    case 20:
      if (lookahead == 'h') ADVANCE(61);
      if (lookahead == 'i') ADVANCE(62);
      if (lookahead == 's') ADVANCE(63);
      if (lookahead == 't') ADVANCE(64);
      if (lookahead == 'w') ADVANCE(65);
      END_STATE();
    case 21:
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 'y') ADVANCE(68);
      END_STATE();
    case 22:
      if (lookahead == 'i') ADVANCE(69);
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(71);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == 'L') ADVANCE(73);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(74);
      END_STATE();
    case 27:
      if (lookahead == 'U') ADVANCE(75);
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(76);
      if (lookahead == 't') ADVANCE(77);
      END_STATE();
    case 30:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(79);
      END_STATE();
    case 32:
      if (lookahead == 'a') ADVANCE(80);
      if (lookahead == 'b') ADVANCE(81);
      if (lookahead == 'c') ADVANCE(82);
      if (lookahead == 'd') ADVANCE(83);
      if (lookahead == 'e') ADVANCE(84);
      if (lookahead == 'f') ADVANCE(85);
      if (lookahead == 'i') ADVANCE(86);
      if (lookahead == 'l') ADVANCE(87);
      if (lookahead == 'r') ADVANCE(88);
      if (lookahead == 's') ADVANCE(89);
      if (lookahead == 't') ADVANCE(90);
      if (lookahead == 'u') ADVANCE(91);
      if (lookahead == 'v') ADVANCE(92);
      END_STATE();
    case 33:
      if (lookahead == 'l') ADVANCE(93);
      END_STATE();
    case 34:
      if (lookahead == 'n') ADVANCE(94);
      END_STATE();
    case 35:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 36:
      if (lookahead == 'm') ADVANCE(96);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(97);
      END_STATE();
    case 38:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 39:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 40:
      if (lookahead == 's') ADVANCE(100);
      END_STATE();
    case 41:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(102);
      END_STATE();
    case 43:
      if (lookahead == 'f') ADVANCE(103);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 45:
      if (lookahead == 's') ADVANCE(105);
      END_STATE();
    case 46:
      if (lookahead == 'u') ADVANCE(106);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(107);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(108);
      END_STATE();
    case 49:
      if (lookahead == 'o') ADVANCE(109);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 51:
      if (lookahead == 't') ADVANCE(111);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 't') ADVANCE(113);
      END_STATE();
    case 54:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 55:
      if (lookahead == 'x') ADVANCE(115);
      END_STATE();
    case 56:
      if (lookahead == 'r') ADVANCE(116);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(117);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(118);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 60:
      if (lookahead == 'g') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      if (lookahead == 't') ADVANCE(122);
      END_STATE();
    case 61:
      if (lookahead == 'o') ADVANCE(123);
      END_STATE();
    case 62:
      if (lookahead == 'g') ADVANCE(124);
      if (lookahead == 'z') ADVANCE(125);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(126);
      END_STATE();
    case 64:
      if (lookahead == 'a') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      END_STATE();
    case 65:
      if (lookahead == 'i') ADVANCE(129);
      END_STATE();
    case 66:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 67:
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 68:
      if (lookahead == 'p') ADVANCE(132);
      END_STATE();
    case 69:
      if (lookahead == 'n') ADVANCE(133);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(134);
      if (lookahead == 's') ADVANCE(135);
      END_STATE();
    case 71:
      if (lookahead == 'i') ADVANCE(136);
      if (lookahead == 'l') ADVANCE(137);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(138);
      END_STATE();
    case 73:
      if (lookahead == 'S') ADVANCE(139);
      END_STATE();
    case 74:
      if (lookahead == 'L') ADVANCE(140);
      END_STATE();
    case 75:
      if (lookahead == 'E') ADVANCE(141);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(142);
      END_STATE();
    case 77:
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 78:
      if (lookahead == 'n') ADVANCE(144);
      END_STATE();
    case 79:
      if (lookahead == 'r') ADVANCE(145);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(146);
      if (lookahead == 's') ADVANCE(147);
      if (lookahead == 't') ADVANCE(148);
      END_STATE();
    case 81:
      if (lookahead == 'a') ADVANCE(149);
      END_STATE();
    case 82:
      if (lookahead == 'd') ADVANCE(150);
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(152);
      END_STATE();
    case 84:
      if (lookahead == 'x') ADVANCE(153);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(154);
      if (lookahead == 'i') ADVANCE(155);
      if (lookahead == 'o') ADVANCE(156);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(157);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(158);
      END_STATE();
    case 88:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 89:
      if (lookahead == 'p') ADVANCE(160);
      if (lookahead == 't') ADVANCE(161);
      END_STATE();
    case 90:
      if (lookahead == 'h') ADVANCE(162);
      if (lookahead == 'r') ADVANCE(163);
      END_STATE();
    case 91:
      if (lookahead == 'n') ADVANCE(164);
      if (lookahead == 'p') ADVANCE(165);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(166);
      END_STATE();
    case 93:
      if (lookahead == 'i') ADVANCE(167);
      END_STATE();
    case 94:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 95:
      if (lookahead == 'g') ADVANCE(169);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 97:
      if (lookahead == 'o') ADVANCE(170);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(171);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(172);
      END_STATE();
    case 100:
      if (lookahead == 'e') ADVANCE(173);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 102:
      if (lookahead == 's') ADVANCE(175);
      if (lookahead == 't') ADVANCE(176);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(177);
      if (lookahead == 'i') ADVANCE(178);
      END_STATE();
    case 104:
      if (lookahead == 'b') ADVANCE(179);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 106:
      if (lookahead == 'm') ADVANCE(181);
      END_STATE();
    case 107:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 108:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 109:
      if (lookahead == 'a') ADVANCE(184);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 111:
      if (lookahead == 'o') ADVANCE(185);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(187);
      if (lookahead == '3') ADVANCE(188);
      if (lookahead == '6') ADVANCE(189);
      if (lookahead == '8') ADVANCE(190);
      if (lookahead == 'p') ADVANCE(191);
      END_STATE();
    case 114:
      if (lookahead == 'g') ADVANCE(192);
      END_STATE();
    case 115:
      if (lookahead == '_') ADVANCE(193);
      END_STATE();
    case 116:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(195);
      END_STATE();
    case 118:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 119:
      if (lookahead == 'd') ADVANCE(197);
      END_STATE();
    case 120:
      if (lookahead == 'i') ADVANCE(198);
      END_STATE();
    case 121:
      if (lookahead == 't') ADVANCE(199);
      END_STATE();
    case 122:
      if (lookahead == 'u') ADVANCE(200);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(201);
      END_STATE();
    case 124:
      if (lookahead == 'n') ADVANCE(202);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(203);
      END_STATE();
    case 126:
      if (lookahead == 'z') ADVANCE(204);
      END_STATE();
    case 127:
      if (lookahead == 't') ADVANCE(205);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(206);
      END_STATE();
    case 129:
      if (lookahead == 't') ADVANCE(207);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 131:
      if (lookahead == 'e') ADVANCE(141);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(209);
      END_STATE();
    case 133:
      if (lookahead == 't') ADVANCE(210);
      END_STATE();
    case 134:
      if (lookahead == 'o') ADVANCE(211);
      END_STATE();
    case 135:
      if (lookahead == 'i') ADVANCE(212);
      END_STATE();
    case 136:
      if (lookahead == 'd') ADVANCE(171);
      END_STATE();
    case 137:
      if (lookahead == 'a') ADVANCE(213);
      END_STATE();
    case 138:
      if (lookahead == 'l') ADVANCE(214);
      END_STATE();
    case 139:
      if (lookahead == 'E') ADVANCE(215);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 142:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 143:
      if (lookahead == 'm') ADVANCE(217);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 145:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 146:
      if (lookahead == 'i') ADVANCE(220);
      END_STATE();
    case 147:
      if (lookahead == 'm') ADVANCE(221);
      END_STATE();
    case 148:
      if (lookahead == 't') ADVANCE(222);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(224);
      END_STATE();
    case 151:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 152:
      if (lookahead == 'c') ADVANCE(226);
      END_STATE();
    case 153:
      if (lookahead == 'c') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 154:
      if (lookahead == 's') ADVANCE(229);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(230);
      END_STATE();
    case 156:
      if (lookahead == 'r') ADVANCE(231);
      END_STATE();
    case 157:
      if (lookahead == 'l') ADVANCE(232);
      END_STATE();
    case 158:
      if (lookahead == 'a') ADVANCE(233);
      END_STATE();
    case 159:
      if (lookahead == 's') ADVANCE(234);
      END_STATE();
    case 160:
      if (lookahead == 't') ADVANCE(235);
      END_STATE();
    case 161:
      if (lookahead == 'd') ADVANCE(236);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(237);
      if (lookahead == 'r') ADVANCE(238);
      END_STATE();
    case 163:
      if (lookahead == 'y') ADVANCE(239);
      END_STATE();
    case 164:
      if (lookahead == 'a') ADVANCE(240);
      END_STATE();
    case 165:
      if (lookahead == 't') ADVANCE(241);
      END_STATE();
    case 166:
      if (lookahead == 'c') ADVANCE(242);
      END_STATE();
    case 167:
      if (lookahead == 'g') ADVANCE(243);
      END_STATE();
    case 168:
      if (lookahead == 'l') ADVANCE(244);
      END_STATE();
    case 169:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 172:
      if (lookahead == 'k') ADVANCE(246);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(247);
      if (lookahead == '3') ADVANCE(248);
      if (lookahead == '6') ADVANCE(249);
      if (lookahead == '8') ADVANCE(250);
      if (lookahead == 'p') ADVANCE(251);
      END_STATE();
    case 175:
      if (lookahead == 't') ADVANCE(252);
      END_STATE();
    case 176:
      if (lookahead == 'i') ADVANCE(253);
      END_STATE();
    case 177:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 178:
      if (lookahead == 'n') ADVANCE(255);
      END_STATE();
    case 179:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 182:
      if (lookahead == 'r') ADVANCE(257);
      END_STATE();
    case 183:
      if (lookahead == 'e') ADVANCE(215);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 186:
      if (lookahead == 'n') ADVANCE(258);
      END_STATE();
    case 187:
      if (lookahead == '6') ADVANCE(259);
      END_STATE();
    case 188:
      if (lookahead == '2') ADVANCE(260);
      END_STATE();
    case 189:
      if (lookahead == '4') ADVANCE(261);
      END_STATE();
    case 190:
      if (lookahead == '_') ADVANCE(262);
      END_STATE();
    case 191:
      if (lookahead == 't') ADVANCE(263);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 193:
      if (lookahead == 'a') ADVANCE(264);
      END_STATE();
    case 194:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 195:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 197:
      if (lookahead == 'i') ADVANCE(268);
      END_STATE();
    case 198:
      if (lookahead == 's') ADVANCE(269);
      END_STATE();
    case 199:
      if (lookahead == 'r') ADVANCE(270);
      END_STATE();
    case 200:
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(272);
      END_STATE();
    case 202:
      if (lookahead == 'e') ADVANCE(273);
      END_STATE();
    case 203:
      if (lookahead == '_') ADVANCE(274);
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 204:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 205:
      if (lookahead == 'i') ADVANCE(277);
      END_STATE();
    case 206:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 207:
      if (lookahead == 'c') ADVANCE(279);
      END_STATE();
    case 208:
      if (lookahead == 'a') ADVANCE(280);
      END_STATE();
    case 209:
      if (lookahead == 'd') ADVANCE(281);
      END_STATE();
    case 210:
      if (lookahead == '1') ADVANCE(282);
      if (lookahead == '3') ADVANCE(283);
      if (lookahead == '6') ADVANCE(284);
      if (lookahead == '8') ADVANCE(285);
      if (lookahead == 'p') ADVANCE(286);
      END_STATE();
    case 211:
      if (lookahead == 'n') ADVANCE(287);
      END_STATE();
    case 212:
      if (lookahead == 'g') ADVANCE(288);
      END_STATE();
    case 213:
      if (lookahead == 't') ADVANCE(289);
      END_STATE();
    case 214:
      if (lookahead == 'e') ADVANCE(290);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(291);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(292);
      END_STATE();
    case 218:
      if (lookahead == 'r') ADVANCE(293);
      END_STATE();
    case 219:
      if (lookahead == 't') ADVANCE(294);
      END_STATE();
    case 220:
      if (lookahead == 'g') ADVANCE(295);
      END_STATE();
    case 221:
      if (lookahead == '_') ADVANCE(296);
      END_STATE();
    case 222:
      if (lookahead == 'r') ADVANCE(297);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(298);
      END_STATE();
    case 224:
      if (lookahead == 'c') ADVANCE(299);
      END_STATE();
    case 225:
      if (lookahead == 'c') ADVANCE(300);
      END_STATE();
    case 226:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 227:
      if (lookahead == 'e') ADVANCE(302);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(303);
      END_STATE();
    case 229:
      if (lookahead == 't') ADVANCE(304);
      END_STATE();
    case 230:
      if (lookahead == 'a') ADVANCE(305);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 232:
      if (lookahead == 'i') ADVANCE(307);
      END_STATE();
    case 233:
      if (lookahead == 'v') ADVANCE(308);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(309);
      END_STATE();
    case 235:
      if (lookahead == 'r') ADVANCE(310);
      END_STATE();
    case 236:
      if (lookahead == 'c') ADVANCE(311);
      END_STATE();
    case 237:
      if (lookahead == 's') ADVANCE(312);
      END_STATE();
    case 238:
      if (lookahead == 'e') ADVANCE(313);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(314);
      END_STATE();
    case 241:
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(316);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(317);
      END_STATE();
    case 244:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 245:
      if (lookahead == 'o') ADVANCE(319);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 247:
      if (lookahead == '6') ADVANCE(320);
      END_STATE();
    case 248:
      if (lookahead == '2') ADVANCE(321);
      END_STATE();
    case 249:
      if (lookahead == '4') ADVANCE(322);
      END_STATE();
    case 250:
      if (lookahead == '_') ADVANCE(323);
      END_STATE();
    case 251:
      if (lookahead == 't') ADVANCE(324);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 253:
      if (lookahead == 'n') ADVANCE(326);
      END_STATE();
    case 254:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(328);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 257:
      if (lookahead == 'n') ADVANCE(329);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(330);
      END_STATE();
    case 259:
      if (lookahead == '_') ADVANCE(331);
      END_STATE();
    case 260:
      if (lookahead == '_') ADVANCE(332);
      END_STATE();
    case 261:
      if (lookahead == '_') ADVANCE(333);
      END_STATE();
    case 262:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 263:
      if (lookahead == 'r') ADVANCE(334);
      END_STATE();
    case 264:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 265:
      if (lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 266:
      if (lookahead == 't') ADVANCE(337);
      END_STATE();
    case 267:
      if (lookahead == 't') ADVANCE(338);
      END_STATE();
    case 268:
      if (lookahead == 'f') ADVANCE(339);
      END_STATE();
    case 269:
      if (lookahead == 't') ADVANCE(340);
      END_STATE();
    case 270:
      if (lookahead == 'i') ADVANCE(341);
      END_STATE();
    case 271:
      if (lookahead == 'n') ADVANCE(342);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 273:
      if (lookahead == 'd') ADVANCE(343);
      END_STATE();
    case 274:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 275:
      if (lookahead == 'f') ADVANCE(344);
      END_STATE();
    case 276:
      if (lookahead == '_') ADVANCE(345);
      END_STATE();
    case 277:
      if (lookahead == 'c') ADVANCE(346);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(347);
      END_STATE();
    case 279:
      if (lookahead == 'h') ADVANCE(348);
      END_STATE();
    case 280:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 281:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 282:
      if (lookahead == '6') ADVANCE(351);
      END_STATE();
    case 283:
      if (lookahead == '2') ADVANCE(352);
      END_STATE();
    case 284:
      if (lookahead == '4') ADVANCE(353);
      END_STATE();
    case 285:
      if (lookahead == '_') ADVANCE(354);
      END_STATE();
    case 286:
      if (lookahead == 't') ADVANCE(355);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 288:
      if (lookahead == 'n') ADVANCE(356);
      END_STATE();
    case 289:
      if (lookahead == 'i') ADVANCE(357);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 291:
      if (lookahead == 'o') ADVANCE(358);
      END_STATE();
    case 292:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 293:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 294:
      if (lookahead == 'u') ADVANCE(361);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(362);
      END_STATE();
    case 296:
      if (lookahead == '_') ADVANCE(363);
      END_STATE();
    case 297:
      if (lookahead == 'i') ADVANCE(364);
      END_STATE();
    case 298:
      if (lookahead == 'd') ADVANCE(365);
      END_STATE();
    case 299:
      if (lookahead == 'l') ADVANCE(366);
      END_STATE();
    case 300:
      if (lookahead == 'a') ADVANCE(367);
      END_STATE();
    case 301:
      if (lookahead == 's') ADVANCE(368);
      END_STATE();
    case 302:
      if (lookahead == 'p') ADVANCE(369);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(370);
      END_STATE();
    case 304:
      if (lookahead == 'c') ADVANCE(371);
      END_STATE();
    case 305:
      if (lookahead == 'l') ADVANCE(372);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(374);
      END_STATE();
    case 308:
      if (lookahead == 'e') ADVANCE(375);
      END_STATE();
    case 309:
      if (lookahead == 'r') ADVANCE(376);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 311:
      if (lookahead == 'a') ADVANCE(377);
      END_STATE();
    case 312:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 313:
      if (lookahead == 'a') ADVANCE(379);
      END_STATE();
    case 314:
      if (lookahead == 'i') ADVANCE(380);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(381);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(382);
      END_STATE();
    case 318:
      if (lookahead == 'g') ADVANCE(383);
      END_STATE();
    case 319:
      if (lookahead == 'f') ADVANCE(384);
      END_STATE();
    case 320:
      if (lookahead == '_') ADVANCE(385);
      END_STATE();
    case 321:
      if (lookahead == '_') ADVANCE(386);
      END_STATE();
    case 322:
      if (lookahead == '_') ADVANCE(387);
      END_STATE();
    case 323:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 324:
      if (lookahead == 'r') ADVANCE(388);
      END_STATE();
    case 325:
      if (lookahead == 'x') ADVANCE(389);
      END_STATE();
    case 326:
      if (lookahead == 'u') ADVANCE(390);
      END_STATE();
    case 327:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(392);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 331:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 333:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 334:
      if (lookahead == '_') ADVANCE(393);
      END_STATE();
    case 335:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 336:
      if (lookahead == 'r') ADVANCE(395);
      END_STATE();
    case 337:
      if (lookahead == 'r') ADVANCE(396);
      END_STATE();
    case 338:
      if (lookahead == 'o') ADVANCE(397);
      END_STATE();
    case 339:
      if (lookahead == 'f') ADVANCE(398);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(399);
      END_STATE();
    case 341:
      if (lookahead == 'c') ADVANCE(400);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 349:
      if (lookahead == '_') ADVANCE(401);
      END_STATE();
    case 350:
      if (lookahead == 'f') ADVANCE(402);
      END_STATE();
    case 351:
      if (lookahead == '_') ADVANCE(403);
      END_STATE();
    case 352:
      if (lookahead == '_') ADVANCE(404);
      END_STATE();
    case 353:
      if (lookahead == '_') ADVANCE(405);
      END_STATE();
    case 354:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 355:
      if (lookahead == 'r') ADVANCE(406);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 357:
      if (lookahead == 'l') ADVANCE(408);
      END_STATE();
    case 358:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 361:
      if (lookahead == 'r') ADVANCE(411);
      END_STATE();
    case 362:
      if (lookahead == 'o') ADVANCE(412);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 364:
      if (lookahead == 'b') ADVANCE(413);
      END_STATE();
    case 365:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 366:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 367:
      if (lookahead == 'l') ADVANCE(414);
      END_STATE();
    case 368:
      if (lookahead == 'p') ADVANCE(415);
      END_STATE();
    case 369:
      if (lookahead == 't') ADVANCE(416);
      END_STATE();
    case 370:
      if (lookahead == 's') ADVANCE(417);
      END_STATE();
    case 371:
      if (lookahead == 'a') ADVANCE(418);
      END_STATE();
    case 372:
      if (lookahead == 'l') ADVANCE(419);
      END_STATE();
    case 373:
      if (lookahead == 'i') ADVANCE(420);
      END_STATE();
    case 374:
      if (lookahead == 'e') ADVANCE(421);
      END_STATE();
    case 375:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 376:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 377:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 378:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 379:
      if (lookahead == 'd') ADVANCE(425);
      END_STATE();
    case 380:
      if (lookahead == 'g') ADVANCE(426);
      END_STATE();
    case 381:
      if (lookahead == 'r') ADVANCE(427);
      END_STATE();
    case 382:
      if (lookahead == 'f') ADVANCE(428);
      END_STATE();
    case 383:
      if (lookahead == 'n') ADVANCE(429);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 385:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 386:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 388:
      if (lookahead == '_') ADVANCE(430);
      END_STATE();
    case 389:
      if (lookahead == 'p') ADVANCE(431);
      END_STATE();
    case 390:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 391:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 392:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 393:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 394:
      if (lookahead == 'g') ADVANCE(433);
      END_STATE();
    case 395:
      if (lookahead == 'n') ADVANCE(434);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(435);
      END_STATE();
    case 397:
      if (lookahead == 'f') ADVANCE(436);
      END_STATE();
    case 398:
      if (lookahead == '_') ADVANCE(437);
      END_STATE();
    case 399:
      if (lookahead == 'r') ADVANCE(438);
      END_STATE();
    case 400:
      if (lookahead == 't') ADVANCE(439);
      END_STATE();
    case 401:
      if (lookahead == 'l') ADVANCE(440);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 403:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 404:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 405:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 406:
      if (lookahead == '_') ADVANCE(441);
      END_STATE();
    case 407:
      if (lookahead == 'd') ADVANCE(442);
      END_STATE();
    case 408:
      if (lookahead == 'e') ADVANCE(443);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(444);
      END_STATE();
    case 412:
      if (lookahead == 'f') ADVANCE(445);
      END_STATE();
    case 413:
      if (lookahead == 'u') ADVANCE(446);
      END_STATE();
    case 414:
      if (lookahead == 'l') ADVANCE(447);
      END_STATE();
    case 415:
      if (lookahead == 'e') ADVANCE(448);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 417:
      if (lookahead == 'i') ADVANCE(449);
      END_STATE();
    case 418:
      if (lookahead == 'l') ADVANCE(450);
      END_STATE();
    case 419:
      if (lookahead == 'y') ADVANCE(451);
      END_STATE();
    case 420:
      if (lookahead == 'n') ADVANCE(452);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(453);
      END_STATE();
    case 422:
      if (lookahead == 'c') ADVANCE(454);
      END_STATE();
    case 423:
      if (lookahead == 'l') ADVANCE(455);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(456);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 426:
      if (lookahead == 'n') ADVANCE(457);
      END_STATE();
    case 427:
      if (lookahead == 'c') ADVANCE(458);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 429:
      if (lookahead == 'e') ADVANCE(459);
      END_STATE();
    case 430:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 431:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(461);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 435:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 437:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 440:
      if (lookahead == 'o') ADVANCE(462);
      END_STATE();
    case 441:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(463);
      END_STATE();
    case 446:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 448:
      if (lookahead == 'c') ADVANCE(465);
      END_STATE();
    case 449:
      if (lookahead == 'o') ADVANCE(466);
      END_STATE();
    case 450:
      if (lookahead == 'l') ADVANCE(467);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 452:
      if (lookahead == 'l') ADVANCE(468);
      END_STATE();
    case 453:
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(470);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 456:
      if (lookahead == 'l') ADVANCE(471);
      END_STATE();
    case 457:
      if (lookahead == 'e') ADVANCE(472);
      END_STATE();
    case 458:
      if (lookahead == 'a') ADVANCE(473);
      END_STATE();
    case 459:
      if (lookahead == 'd') ADVANCE(474);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 461:
      if (lookahead == '_') ADVANCE(475);
      END_STATE();
    case 462:
      if (lookahead == 'c') ADVANCE(476);
      END_STATE();
    case 463:
      if (lookahead == '_') ADVANCE(477);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(478);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 466:
      if (lookahead == 'n') ADVANCE(479);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 468:
      if (lookahead == 'i') ADVANCE(480);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(481);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 472:
      if (lookahead == 'd') ADVANCE(482);
      END_STATE();
    case 473:
      if (lookahead == 'l') ADVANCE(483);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 475:
      if (lookahead == 't') ADVANCE(171);
      END_STATE();
    case 476:
      if (lookahead == 'a') ADVANCE(484);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(485);
      END_STATE();
    case 479:
      if (lookahead == '_') ADVANCE(486);
      END_STATE();
    case 480:
      if (lookahead == 'n') ADVANCE(487);
      END_STATE();
    case 481:
      if (lookahead == '_') ADVANCE(488);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 483:
      if (lookahead == 'l') ADVANCE(489);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 485:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 486:
      if (lookahead == '_') ADVANCE(492);
      END_STATE();
    case 487:
      if (lookahead == 'e') ADVANCE(493);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 110},
  [2] = {.lex_state = 42},
  [3] = {.lex_state = 42},
  [4] = {.lex_state = 42},
  [5] = {.lex_state = 42},
  [6] = {.lex_state = 42},
  [7] = {.lex_state = 42},
  [8] = {.lex_state = 42},
  [9] = {.lex_state = 42},
  [10] = {.lex_state = 42},
  [11] = {.lex_state = 42},
  [12] = {.lex_state = 45},
  [13] = {.lex_state = 45},
  [14] = {.lex_state = 45},
  [15] = {.lex_state = 45},
  [16] = {.lex_state = 45},
  [17] = {.lex_state = 45},
  [18] = {.lex_state = 45},
  [19] = {.lex_state = 45},
  [20] = {.lex_state = 45},
  [21] = {.lex_state = 45},
  [22] = {.lex_state = 45},
  [23] = {.lex_state = 45},
  [24] = {.lex_state = 45},
  [25] = {.lex_state = 45},
  [26] = {.lex_state = 42},
  [27] = {.lex_state = 45},
  [28] = {.lex_state = 110},
  [29] = {.lex_state = 44},
  [30] = {.lex_state = 110},
  [31] = {.lex_state = 110},
  [32] = {.lex_state = 110},
  [33] = {.lex_state = 110},
  [34] = {.lex_state = 110},
  [35] = {.lex_state = 110},
  [36] = {.lex_state = 110},
  [37] = {.lex_state = 110},
  [38] = {.lex_state = 110},
  [39] = {.lex_state = 110},
  [40] = {.lex_state = 110},
  [41] = {.lex_state = 110},
  [42] = {.lex_state = 110},
  [43] = {.lex_state = 110},
  [44] = {.lex_state = 110},
  [45] = {.lex_state = 110},
  [46] = {.lex_state = 44},
  [47] = {.lex_state = 110},
  [48] = {.lex_state = 110},
  [49] = {.lex_state = 110},
  [50] = {.lex_state = 44},
  [51] = {.lex_state = 110},
  [52] = {.lex_state = 110},
  [53] = {.lex_state = 110},
  [54] = {.lex_state = 42},
  [55] = {.lex_state = 42},
  [56] = {.lex_state = 42},
  [57] = {.lex_state = 42},
  [58] = {.lex_state = 42},
  [59] = {.lex_state = 45},
  [60] = {.lex_state = 45},
  [61] = {.lex_state = 45},
  [62] = {.lex_state = 45},
  [63] = {.lex_state = 45},
  [64] = {.lex_state = 110},
  [65] = {.lex_state = 110},
  [66] = {.lex_state = 110},
  [67] = {.lex_state = 110},
  [68] = {.lex_state = 110},
  [69] = {.lex_state = 44},
  [70] = {.lex_state = 44},
  [71] = {.lex_state = 110},
  [72] = {.lex_state = 110},
  [73] = {.lex_state = 110},
  [74] = {.lex_state = 110},
  [75] = {.lex_state = 110},
  [76] = {.lex_state = 44},
  [77] = {.lex_state = 44},
  [78] = {.lex_state = 44},
  [79] = {.lex_state = 110},
  [80] = {.lex_state = 110},
  [81] = {.lex_state = 110},
  [82] = {.lex_state = 110},
  [83] = {.lex_state = 110},
  [84] = {.lex_state = 110},
  [85] = {.lex_state = 110},
  [86] = {.lex_state = 110},
  [87] = {.lex_state = 110},
  [88] = {.lex_state = 110},
  [89] = {.lex_state = 110},
  [90] = {.lex_state = 42},
  [91] = {.lex_state = 42},
  [92] = {.lex_state = 42},
  [93] = {.lex_state = 42},
  [94] = {.lex_state = 42},
  [95] = {.lex_state = 42},
  [96] = {.lex_state = 110},
  [97] = {.lex_state = 42},
  [98] = {.lex_state = 42},
  [99] = {.lex_state = 42},
  [100] = {.lex_state = 42},
  [101] = {.lex_state = 42},
  [102] = {.lex_state = 110},
  [103] = {.lex_state = 42},
  [104] = {.lex_state = 42},
  [105] = {.lex_state = 42},
  [106] = {.lex_state = 42},
  [107] = {.lex_state = 42},
  [108] = {.lex_state = 42},
  [109] = {.lex_state = 42},
  [110] = {.lex_state = 42},
  [111] = {.lex_state = 42},
  [112] = {.lex_state = 42},
  [113] = {.lex_state = 42},
  [114] = {.lex_state = 42},
  [115] = {.lex_state = 42},
  [116] = {.lex_state = 42},
  [117] = {.lex_state = 42},
  [118] = {.lex_state = 42},
  [119] = {.lex_state = 42},
  [120] = {.lex_state = 42},
  [121] = {.lex_state = 42},
  [122] = {.lex_state = 42},
  [123] = {.lex_state = 42},
  [124] = {.lex_state = 42},
  [125] = {.lex_state = 42},
  [126] = {.lex_state = 42},
  [127] = {.lex_state = 42},
  [128] = {.lex_state = 42},
  [129] = {.lex_state = 42},
  [130] = {.lex_state = 42},
  [131] = {.lex_state = 42},
  [132] = {.lex_state = 42},
  [133] = {.lex_state = 42},
  [134] = {.lex_state = 42},
  [135] = {.lex_state = 42},
  [136] = {.lex_state = 42},
  [137] = {.lex_state = 45},
  [138] = {.lex_state = 42},
  [139] = {.lex_state = 42},
  [140] = {.lex_state = 42},
  [141] = {.lex_state = 42},
  [142] = {.lex_state = 42},
  [143] = {.lex_state = 42},
  [144] = {.lex_state = 42},
  [145] = {.lex_state = 42},
  [146] = {.lex_state = 42},
  [147] = {.lex_state = 42},
  [148] = {.lex_state = 42},
  [149] = {.lex_state = 42},
  [150] = {.lex_state = 42},
  [151] = {.lex_state = 42},
  [152] = {.lex_state = 42},
  [153] = {.lex_state = 42},
  [154] = {.lex_state = 42},
  [155] = {.lex_state = 42},
  [156] = {.lex_state = 42},
  [157] = {.lex_state = 42},
  [158] = {.lex_state = 42},
  [159] = {.lex_state = 42},
  [160] = {.lex_state = 42},
  [161] = {.lex_state = 45},
  [162] = {.lex_state = 45},
  [163] = {.lex_state = 45},
  [164] = {.lex_state = 45},
  [165] = {.lex_state = 45},
  [166] = {.lex_state = 45},
  [167] = {.lex_state = 45},
  [168] = {.lex_state = 45},
  [169] = {.lex_state = 45},
  [170] = {.lex_state = 45},
  [171] = {.lex_state = 45},
  [172] = {.lex_state = 45},
  [173] = {.lex_state = 45},
  [174] = {.lex_state = 45},
  [175] = {.lex_state = 45},
  [176] = {.lex_state = 45},
  [177] = {.lex_state = 45},
  [178] = {.lex_state = 45},
  [179] = {.lex_state = 45},
  [180] = {.lex_state = 45},
  [181] = {.lex_state = 45},
  [182] = {.lex_state = 45},
  [183] = {.lex_state = 45},
  [184] = {.lex_state = 45},
  [185] = {.lex_state = 45},
  [186] = {.lex_state = 45},
  [187] = {.lex_state = 45},
  [188] = {.lex_state = 45},
  [189] = {.lex_state = 45},
  [190] = {.lex_state = 45},
  [191] = {.lex_state = 45},
  [192] = {.lex_state = 45},
  [193] = {.lex_state = 45},
  [194] = {.lex_state = 45},
  [195] = {.lex_state = 45},
  [196] = {.lex_state = 45},
  [197] = {.lex_state = 45},
  [198] = {.lex_state = 45},
  [199] = {.lex_state = 45},
  [200] = {.lex_state = 45},
  [201] = {.lex_state = 45},
  [202] = {.lex_state = 45},
  [203] = {.lex_state = 45},
  [204] = {.lex_state = 45},
  [205] = {.lex_state = 45},
  [206] = {.lex_state = 45},
  [207] = {.lex_state = 110},
  [208] = {.lex_state = 45},
  [209] = {.lex_state = 45},
  [210] = {.lex_state = 45},
  [211] = {.lex_state = 45},
  [212] = {.lex_state = 45},
  [213] = {.lex_state = 110},
  [214] = {.lex_state = 45},
  [215] = {.lex_state = 45},
  [216] = {.lex_state = 45},
  [217] = {.lex_state = 45},
  [218] = {.lex_state = 45},
  [219] = {.lex_state = 45},
  [220] = {.lex_state = 45},
  [221] = {.lex_state = 45},
  [222] = {.lex_state = 45},
  [223] = {.lex_state = 45},
  [224] = {.lex_state = 45},
  [225] = {.lex_state = 45},
  [226] = {.lex_state = 44},
  [227] = {.lex_state = 45},
  [228] = {.lex_state = 45},
  [229] = {.lex_state = 45},
  [230] = {.lex_state = 45},
  [231] = {.lex_state = 110},
  [232] = {.lex_state = 44},
  [233] = {.lex_state = 110},
  [234] = {.lex_state = 110},
  [235] = {.lex_state = 110},
  [236] = {.lex_state = 110},
  [237] = {.lex_state = 110},
  [238] = {.lex_state = 110},
  [239] = {.lex_state = 110},
  [240] = {.lex_state = 110},
  [241] = {.lex_state = 110},
  [242] = {.lex_state = 110},
  [243] = {.lex_state = 110},
  [244] = {.lex_state = 110},
  [245] = {.lex_state = 110},
  [246] = {.lex_state = 110},
  [247] = {.lex_state = 110},
  [248] = {.lex_state = 110},
  [249] = {.lex_state = 110},
  [250] = {.lex_state = 110},
  [251] = {.lex_state = 110},
  [252] = {.lex_state = 110},
  [253] = {.lex_state = 110},
  [254] = {.lex_state = 110},
  [255] = {.lex_state = 41},
  [256] = {.lex_state = 110},
  [257] = {.lex_state = 110},
  [258] = {.lex_state = 110},
  [259] = {.lex_state = 110},
  [260] = {.lex_state = 110},
  [261] = {.lex_state = 110},
  [262] = {.lex_state = 110},
  [263] = {.lex_state = 110},
  [264] = {.lex_state = 110},
  [265] = {.lex_state = 110},
  [266] = {.lex_state = 110},
  [267] = {.lex_state = 110},
  [268] = {.lex_state = 110},
  [269] = {.lex_state = 110},
  [270] = {.lex_state = 110},
  [271] = {.lex_state = 110},
  [272] = {.lex_state = 110},
  [273] = {.lex_state = 110},
  [274] = {.lex_state = 110},
  [275] = {.lex_state = 110},
  [276] = {.lex_state = 110},
  [277] = {.lex_state = 110},
  [278] = {.lex_state = 110},
  [279] = {.lex_state = 110},
  [280] = {.lex_state = 110},
  [281] = {.lex_state = 110},
  [282] = {.lex_state = 110},
  [283] = {.lex_state = 110},
  [284] = {.lex_state = 110},
  [285] = {.lex_state = 110},
  [286] = {.lex_state = 110},
  [287] = {.lex_state = 110},
  [288] = {.lex_state = 110},
  [289] = {.lex_state = 110},
  [290] = {.lex_state = 110},
  [291] = {.lex_state = 110},
  [292] = {.lex_state = 110},
  [293] = {.lex_state = 110},
  [294] = {.lex_state = 110},
  [295] = {.lex_state = 44},
  [296] = {.lex_state = 110},
  [297] = {.lex_state = 110},
  [298] = {.lex_state = 110},
  [299] = {.lex_state = 110},
  [300] = {.lex_state = 110},
  [301] = {.lex_state = 110},
  [302] = {.lex_state = 110},
  [303] = {.lex_state = 110},
  [304] = {.lex_state = 110},
  [305] = {.lex_state = 44},
  [306] = {.lex_state = 44},
  [307] = {.lex_state = 110},
  [308] = {.lex_state = 110},
  [309] = {.lex_state = 110},
  [310] = {.lex_state = 110},
  [311] = {.lex_state = 110},
  [312] = {.lex_state = 110},
  [313] = {.lex_state = 110},
  [314] = {.lex_state = 44},
  [315] = {.lex_state = 44},
  [316] = {.lex_state = 44},
  [317] = {.lex_state = 44},
  [318] = {.lex_state = 44},
  [319] = {.lex_state = 110},
  [320] = {.lex_state = 44},
  [321] = {.lex_state = 44},
  [322] = {.lex_state = 44},
  [323] = {.lex_state = 44},
  [324] = {.lex_state = 44},
  [325] = {.lex_state = 44},
  [326] = {.lex_state = 44},
  [327] = {.lex_state = 44},
  [328] = {.lex_state = 44},
  [329] = {.lex_state = 110},
  [330] = {.lex_state = 44},
  [331] = {.lex_state = 44},
  [332] = {.lex_state = 44},
  [333] = {.lex_state = 44},
  [334] = {.lex_state = 44},
  [335] = {.lex_state = 44},
  [336] = {.lex_state = 44},
  [337] = {.lex_state = 44},
  [338] = {.lex_state = 44},
  [339] = {.lex_state = 44},
  [340] = {.lex_state = 44},
  [341] = {.lex_state = 44},
  [342] = {.lex_state = 44},
  [343] = {.lex_state = 44},
  [344] = {.lex_state = 44},
  [345] = {.lex_state = 44},
  [346] = {.lex_state = 44},
  [347] = {.lex_state = 44},
  [348] = {.lex_state = 44},
  [349] = {.lex_state = 44},
  [350] = {.lex_state = 44},
  [351] = {.lex_state = 44},
  [352] = {.lex_state = 44},
  [353] = {.lex_state = 44},
  [354] = {.lex_state = 110},
  [355] = {.lex_state = 44},
  [356] = {.lex_state = 44},
  [357] = {.lex_state = 44},
  [358] = {.lex_state = 44},
  [359] = {.lex_state = 110},
  [360] = {.lex_state = 44},
  [361] = {.lex_state = 44},
  [362] = {.lex_state = 44},
  [363] = {.lex_state = 44},
  [364] = {.lex_state = 110},
  [365] = {.lex_state = 44},
  [366] = {.lex_state = 44},
  [367] = {.lex_state = 44},
  [368] = {.lex_state = 44},
  [369] = {.lex_state = 110},
  [370] = {.lex_state = 44},
  [371] = {.lex_state = 110},
  [372] = {.lex_state = 44},
  [373] = {.lex_state = 44},
  [374] = {.lex_state = 110},
  [375] = {.lex_state = 110},
  [376] = {.lex_state = 110},
  [377] = {.lex_state = 110},
  [378] = {.lex_state = 44},
  [379] = {.lex_state = 110},
  [380] = {.lex_state = 44},
  [381] = {.lex_state = 110},
  [382] = {.lex_state = 110},
  [383] = {.lex_state = 110},
  [384] = {.lex_state = 44},
  [385] = {.lex_state = 44},
  [386] = {.lex_state = 44},
  [387] = {.lex_state = 44},
  [388] = {.lex_state = 110},
  [389] = {.lex_state = 110},
  [390] = {.lex_state = 110},
  [391] = {.lex_state = 110},
  [392] = {.lex_state = 44},
  [393] = {.lex_state = 110},
  [394] = {.lex_state = 44},
  [395] = {.lex_state = 110},
  [396] = {.lex_state = 44},
  [397] = {.lex_state = 44},
  [398] = {.lex_state = 110},
  [399] = {.lex_state = 110},
  [400] = {.lex_state = 110},
  [401] = {.lex_state = 110},
  [402] = {.lex_state = 110},
  [403] = {.lex_state = 110},
  [404] = {.lex_state = 110},
  [405] = {.lex_state = 110},
  [406] = {.lex_state = 110},
  [407] = {.lex_state = 110},
  [408] = {.lex_state = 110},
  [409] = {.lex_state = 110},
  [410] = {.lex_state = 110},
  [411] = {.lex_state = 110},
  [412] = {.lex_state = 110},
  [413] = {.lex_state = 110},
  [414] = {.lex_state = 110},
  [415] = {.lex_state = 110},
  [416] = {.lex_state = 110},
  [417] = {.lex_state = 110},
  [418] = {.lex_state = 110},
  [419] = {.lex_state = 110},
  [420] = {.lex_state = 110},
  [421] = {.lex_state = 110},
  [422] = {.lex_state = 110},
  [423] = {.lex_state = 110},
  [424] = {.lex_state = 110},
  [425] = {.lex_state = 110},
  [426] = {.lex_state = 110},
  [427] = {.lex_state = 110},
  [428] = {.lex_state = 110},
  [429] = {.lex_state = 110},
  [430] = {.lex_state = 110},
  [431] = {.lex_state = 110},
  [432] = {.lex_state = 110},
  [433] = {.lex_state = 110},
  [434] = {.lex_state = 110},
  [435] = {.lex_state = 110},
  [436] = {.lex_state = 110},
  [437] = {.lex_state = 110},
  [438] = {.lex_state = 110},
  [439] = {.lex_state = 110},
  [440] = {.lex_state = 110},
  [441] = {.lex_state = 110},
  [442] = {.lex_state = 110},
  [443] = {.lex_state = 110},
  [444] = {.lex_state = 110},
  [445] = {.lex_state = 110},
  [446] = {.lex_state = 110},
  [447] = {.lex_state = 110},
  [448] = {.lex_state = 110},
  [449] = {.lex_state = 110},
  [450] = {.lex_state = 110},
  [451] = {.lex_state = 110},
  [452] = {.lex_state = 110},
  [453] = {.lex_state = 110},
  [454] = {.lex_state = 110},
  [455] = {.lex_state = 110},
  [456] = {.lex_state = 110},
  [457] = {.lex_state = 110},
  [458] = {.lex_state = 110},
  [459] = {.lex_state = 110},
  [460] = {.lex_state = 110},
  [461] = {.lex_state = 110},
  [462] = {.lex_state = 110},
  [463] = {.lex_state = 110},
  [464] = {.lex_state = 110},
  [465] = {.lex_state = 110},
  [466] = {.lex_state = 110},
  [467] = {.lex_state = 110},
  [468] = {.lex_state = 110},
  [469] = {.lex_state = 110},
  [470] = {.lex_state = 110},
  [471] = {.lex_state = 110},
  [472] = {.lex_state = 110},
  [473] = {.lex_state = 110},
  [474] = {.lex_state = 110},
  [475] = {.lex_state = 110},
  [476] = {.lex_state = 110},
  [477] = {.lex_state = 110},
  [478] = {.lex_state = 110},
  [479] = {.lex_state = 41},
  [480] = {.lex_state = 110},
  [481] = {.lex_state = 110},
  [482] = {.lex_state = 110},
  [483] = {.lex_state = 110},
  [484] = {.lex_state = 110},
  [485] = {.lex_state = 110},
  [486] = {.lex_state = 110},
  [487] = {.lex_state = 110},
  [488] = {.lex_state = 110},
  [489] = {.lex_state = 110},
  [490] = {.lex_state = 41},
  [491] = {.lex_state = 110},
  [492] = {.lex_state = 110},
  [493] = {.lex_state = 41},
  [494] = {.lex_state = 110},
  [495] = {.lex_state = 110},
  [496] = {.lex_state = 110},
  [497] = {.lex_state = 110},
  [498] = {.lex_state = 110},
  [499] = {.lex_state = 110},
  [500] = {.lex_state = 110},
  [501] = {.lex_state = 110},
  [502] = {.lex_state = 110},
  [503] = {.lex_state = 110},
  [504] = {.lex_state = 47},
  [505] = {.lex_state = 47},
  [506] = {.lex_state = 47},
  [507] = {.lex_state = 47},
  [508] = {.lex_state = 47},
  [509] = {.lex_state = 47},
  [510] = {.lex_state = 47},
  [511] = {.lex_state = 47},
  [512] = {.lex_state = 47},
  [513] = {.lex_state = 47},
  [514] = {.lex_state = 110},
  [515] = {.lex_state = 47},
  [516] = {.lex_state = 47},
  [517] = {.lex_state = 48},
  [518] = {.lex_state = 48},
  [519] = {.lex_state = 110},
  [520] = {.lex_state = 110},
  [521] = {.lex_state = 48},
  [522] = {.lex_state = 48},
  [523] = {.lex_state = 48},
  [524] = {.lex_state = 48},
  [525] = {.lex_state = 48},
  [526] = {.lex_state = 48},
  [527] = {.lex_state = 48},
  [528] = {.lex_state = 110},
  [529] = {.lex_state = 50},
  [530] = {.lex_state = 50},
  [531] = {.lex_state = 50},
  [532] = {.lex_state = 50},
  [533] = {.lex_state = 50},
  [534] = {.lex_state = 50},
  [535] = {.lex_state = 48},
  [536] = {.lex_state = 50},
  [537] = {.lex_state = 50},
  [538] = {.lex_state = 50},
  [539] = {.lex_state = 50},
  [540] = {.lex_state = 110},
  [541] = {.lex_state = 50},
  [542] = {.lex_state = 110},
  [543] = {.lex_state = 110},
  [544] = {.lex_state = 49},
  [545] = {.lex_state = 110},
  [546] = {.lex_state = 49},
  [547] = {.lex_state = 49},
  [548] = {.lex_state = 53},
  [549] = {.lex_state = 110},
  [550] = {.lex_state = 110},
  [551] = {.lex_state = 110},
  [552] = {.lex_state = 53},
  [553] = {.lex_state = 110},
  [554] = {.lex_state = 110},
  [555] = {.lex_state = 110},
  [556] = {.lex_state = 110},
  [557] = {.lex_state = 110},
  [558] = {.lex_state = 110},
  [559] = {.lex_state = 110},
  [560] = {.lex_state = 110},
  [561] = {.lex_state = 110},
  [562] = {.lex_state = 110},
  [563] = {.lex_state = 110},
  [564] = {.lex_state = 53},
  [565] = {.lex_state = 110},
  [566] = {.lex_state = 110},
  [567] = {.lex_state = 110},
  [568] = {.lex_state = 110},
  [569] = {.lex_state = 110},
  [570] = {.lex_state = 110},
  [571] = {.lex_state = 110},
  [572] = {.lex_state = 110},
  [573] = {.lex_state = 110},
  [574] = {.lex_state = 48},
  [575] = {.lex_state = 110},
  [576] = {.lex_state = 110},
  [577] = {.lex_state = 110},
  [578] = {.lex_state = 110},
  [579] = {.lex_state = 110},
  [580] = {.lex_state = 110},
  [581] = {.lex_state = 110},
  [582] = {.lex_state = 110},
  [583] = {.lex_state = 110},
  [584] = {.lex_state = 110},
  [585] = {.lex_state = 110},
  [586] = {.lex_state = 110},
  [587] = {.lex_state = 110},
  [588] = {.lex_state = 110},
  [589] = {.lex_state = 110},
  [590] = {.lex_state = 110},
  [591] = {.lex_state = 110},
  [592] = {.lex_state = 110},
  [593] = {.lex_state = 110},
  [594] = {.lex_state = 110},
  [595] = {.lex_state = 110},
  [596] = {.lex_state = 110},
  [597] = {.lex_state = 110},
  [598] = {.lex_state = 110},
  [599] = {.lex_state = 110},
  [600] = {.lex_state = 110},
  [601] = {.lex_state = 110},
  [602] = {.lex_state = 110},
  [603] = {.lex_state = 110},
  [604] = {.lex_state = 110},
  [605] = {.lex_state = 110},
  [606] = {.lex_state = 110},
  [607] = {.lex_state = 110},
  [608] = {.lex_state = 110},
  [609] = {.lex_state = 110},
  [610] = {.lex_state = 110},
  [611] = {.lex_state = 110},
  [612] = {.lex_state = 110},
  [613] = {.lex_state = 110},
  [614] = {.lex_state = 110},
  [615] = {.lex_state = 110},
  [616] = {.lex_state = 110},
  [617] = {.lex_state = 110},
  [618] = {.lex_state = 110},
  [619] = {.lex_state = 110},
  [620] = {.lex_state = 110},
  [621] = {.lex_state = 110},
  [622] = {.lex_state = 110},
  [623] = {.lex_state = 110},
  [624] = {.lex_state = 110},
  [625] = {.lex_state = 110},
  [626] = {.lex_state = 110},
  [627] = {.lex_state = 110},
  [628] = {.lex_state = 110},
  [629] = {.lex_state = 110},
  [630] = {.lex_state = 110},
  [631] = {.lex_state = 110},
  [632] = {.lex_state = 110},
  [633] = {.lex_state = 110},
  [634] = {.lex_state = 110},
  [635] = {.lex_state = 110},
  [636] = {.lex_state = 110},
  [637] = {.lex_state = 110},
  [638] = {.lex_state = 110},
  [639] = {.lex_state = 110},
  [640] = {.lex_state = 110},
  [641] = {.lex_state = 110},
  [642] = {.lex_state = 110},
  [643] = {.lex_state = 110},
  [644] = {.lex_state = 110},
  [645] = {.lex_state = 110},
  [646] = {.lex_state = 110},
  [647] = {.lex_state = 110},
  [648] = {.lex_state = 110},
  [649] = {.lex_state = 110},
  [650] = {.lex_state = 110},
  [651] = {.lex_state = 110},
  [652] = {.lex_state = 110},
  [653] = {.lex_state = 110},
  [654] = {.lex_state = 110},
  [655] = {.lex_state = 110},
  [656] = {.lex_state = 110},
  [657] = {.lex_state = 110},
  [658] = {.lex_state = 110},
  [659] = {.lex_state = 110},
  [660] = {.lex_state = 110},
  [661] = {.lex_state = 110},
  [662] = {.lex_state = 110},
  [663] = {.lex_state = 110},
  [664] = {.lex_state = 110},
  [665] = {.lex_state = 110},
  [666] = {.lex_state = 110},
  [667] = {.lex_state = 110},
  [668] = {.lex_state = 110},
  [669] = {.lex_state = 110},
  [670] = {.lex_state = 48},
  [671] = {.lex_state = 48},
  [672] = {.lex_state = 48},
  [673] = {.lex_state = 48},
  [674] = {.lex_state = 48},
  [675] = {.lex_state = 47},
  [676] = {.lex_state = 47},
  [677] = {.lex_state = 110},
  [678] = {.lex_state = 110},
  [679] = {.lex_state = 47},
  [680] = {.lex_state = 110},
  [681] = {.lex_state = 47},
  [682] = {.lex_state = 48},
  [683] = {.lex_state = 48},
  [684] = {.lex_state = 48},
  [685] = {.lex_state = 48},
  [686] = {.lex_state = 48},
  [687] = {.lex_state = 48},
  [688] = {.lex_state = 48},
  [689] = {.lex_state = 48},
  [690] = {.lex_state = 48},
  [691] = {.lex_state = 48},
  [692] = {.lex_state = 48},
  [693] = {.lex_state = 48},
  [694] = {.lex_state = 48},
  [695] = {.lex_state = 48},
  [696] = {.lex_state = 48},
  [697] = {.lex_state = 48},
  [698] = {.lex_state = 48},
  [699] = {.lex_state = 48},
  [700] = {.lex_state = 48},
  [701] = {.lex_state = 48},
  [702] = {.lex_state = 48},
  [703] = {.lex_state = 48},
  [704] = {.lex_state = 47},
  [705] = {.lex_state = 47},
  [706] = {.lex_state = 47},
  [707] = {.lex_state = 48},
  [708] = {.lex_state = 48},
  [709] = {.lex_state = 47},
  [710] = {.lex_state = 48},
  [711] = {.lex_state = 47},
  [712] = {.lex_state = 110},
  [713] = {.lex_state = 50},
  [714] = {.lex_state = 50},
  [715] = {.lex_state = 50},
  [716] = {.lex_state = 50},
  [717] = {.lex_state = 50},
  [718] = {.lex_state = 50},
  [719] = {.lex_state = 50},
  [720] = {.lex_state = 50},
  [721] = {.lex_state = 50},
  [722] = {.lex_state = 50},
  [723] = {.lex_state = 48},
  [724] = {.lex_state = 48},
  [725] = {.lex_state = 48},
  [726] = {.lex_state = 48},
  [727] = {.lex_state = 48},
  [728] = {.lex_state = 48},
  [729] = {.lex_state = 48},
  [730] = {.lex_state = 48},
  [731] = {.lex_state = 48},
  [732] = {.lex_state = 48},
  [733] = {.lex_state = 47},
  [734] = {.lex_state = 47},
  [735] = {.lex_state = 47},
  [736] = {.lex_state = 47},
  [737] = {.lex_state = 110},
  [738] = {.lex_state = 47},
  [739] = {.lex_state = 48},
  [740] = {.lex_state = 47},
  [741] = {.lex_state = 48},
  [742] = {.lex_state = 50},
  [743] = {.lex_state = 49},
  [744] = {.lex_state = 50},
  [745] = {.lex_state = 50},
  [746] = {.lex_state = 49},
  [747] = {.lex_state = 50},
  [748] = {.lex_state = 50},
  [749] = {.lex_state = 50},
  [750] = {.lex_state = 50},
  [751] = {.lex_state = 49},
  [752] = {.lex_state = 50},
  [753] = {.lex_state = 50},
  [754] = {.lex_state = 50},
  [755] = {.lex_state = 50},
  [756] = {.lex_state = 50},
  [757] = {.lex_state = 50},
  [758] = {.lex_state = 50},
  [759] = {.lex_state = 50},
  [760] = {.lex_state = 50},
  [761] = {.lex_state = 50},
  [762] = {.lex_state = 50},
  [763] = {.lex_state = 50},
  [764] = {.lex_state = 50},
  [765] = {.lex_state = 50},
  [766] = {.lex_state = 49},
  [767] = {.lex_state = 50},
  [768] = {.lex_state = 50},
  [769] = {.lex_state = 50},
  [770] = {.lex_state = 50},
  [771] = {.lex_state = 48},
  [772] = {.lex_state = 50},
  [773] = {.lex_state = 50},
  [774] = {.lex_state = 50},
  [775] = {.lex_state = 47},
  [776] = {.lex_state = 50},
  [777] = {.lex_state = 50},
  [778] = {.lex_state = 50},
  [779] = {.lex_state = 50},
  [780] = {.lex_state = 50},
  [781] = {.lex_state = 50},
  [782] = {.lex_state = 50},
  [783] = {.lex_state = 50},
  [784] = {.lex_state = 48},
  [785] = {.lex_state = 48},
  [786] = {.lex_state = 48},
  [787] = {.lex_state = 48},
  [788] = {.lex_state = 48},
  [789] = {.lex_state = 48},
  [790] = {.lex_state = 48},
  [791] = {.lex_state = 48},
  [792] = {.lex_state = 48},
  [793] = {.lex_state = 48},
  [794] = {.lex_state = 48},
  [795] = {.lex_state = 48},
  [796] = {.lex_state = 48},
  [797] = {.lex_state = 48},
  [798] = {.lex_state = 48},
  [799] = {.lex_state = 48},
  [800] = {.lex_state = 48},
  [801] = {.lex_state = 48},
  [802] = {.lex_state = 50},
  [803] = {.lex_state = 50},
  [804] = {.lex_state = 50},
  [805] = {.lex_state = 50},
  [806] = {.lex_state = 50},
  [807] = {.lex_state = 48},
  [808] = {.lex_state = 50},
  [809] = {.lex_state = 50},
  [810] = {.lex_state = 48},
  [811] = {.lex_state = 48},
  [812] = {.lex_state = 48},
  [813] = {.lex_state = 50},
  [814] = {.lex_state = 50},
  [815] = {.lex_state = 50},
  [816] = {.lex_state = 50},
  [817] = {.lex_state = 48},
  [818] = {.lex_state = 50},
  [819] = {.lex_state = 50},
  [820] = {.lex_state = 50},
  [821] = {.lex_state = 50},
  [822] = {.lex_state = 50},
  [823] = {.lex_state = 50},
  [824] = {.lex_state = 48},
  [825] = {.lex_state = 50},
  [826] = {.lex_state = 48},
  [827] = {.lex_state = 48},
  [828] = {.lex_state = 48},
  [829] = {.lex_state = 48},
  [830] = {.lex_state = 47},
  [831] = {.lex_state = 48},
  [832] = {.lex_state = 47},
  [833] = {.lex_state = 47},
  [834] = {.lex_state = 47},
  [835] = {.lex_state = 48},
  [836] = {.lex_state = 48},
  [837] = {.lex_state = 47},
  [838] = {.lex_state = 47},
  [839] = {.lex_state = 47},
  [840] = {.lex_state = 47},
  [841] = {.lex_state = 47},
  [842] = {.lex_state = 47},
  [843] = {.lex_state = 47},
  [844] = {.lex_state = 47},
  [845] = {.lex_state = 47},
  [846] = {.lex_state = 47},
  [847] = {.lex_state = 47},
  [848] = {.lex_state = 47},
  [849] = {.lex_state = 48},
  [850] = {.lex_state = 47},
  [851] = {.lex_state = 47},
  [852] = {.lex_state = 48},
  [853] = {.lex_state = 53},
  [854] = {.lex_state = 49},
  [855] = {.lex_state = 47},
  [856] = {.lex_state = 49},
  [857] = {.lex_state = 48},
  [858] = {.lex_state = 49},
  [859] = {.lex_state = 48},
  [860] = {.lex_state = 49},
  [861] = {.lex_state = 49},
  [862] = {.lex_state = 48},
  [863] = {.lex_state = 47},
  [864] = {.lex_state = 47},
  [865] = {.lex_state = 47},
  [866] = {.lex_state = 48},
  [867] = {.lex_state = 48},
  [868] = {.lex_state = 53},
  [869] = {.lex_state = 49},
  [870] = {.lex_state = 49},
  [871] = {.lex_state = 49},
  [872] = {.lex_state = 53},
  [873] = {.lex_state = 53},
  [874] = {.lex_state = 49},
  [875] = {.lex_state = 53},
  [876] = {.lex_state = 49},
  [877] = {.lex_state = 53},
  [878] = {.lex_state = 49},
  [879] = {.lex_state = 49},
  [880] = {.lex_state = 47},
  [881] = {.lex_state = 53},
  [882] = {.lex_state = 49},
  [883] = {.lex_state = 49},
  [884] = {.lex_state = 53},
  [885] = {.lex_state = 49},
  [886] = {.lex_state = 49},
  [887] = {.lex_state = 49},
  [888] = {.lex_state = 48},
  [889] = {.lex_state = 48},
  [890] = {.lex_state = 53},
  [891] = {.lex_state = 47},
  [892] = {.lex_state = 47},
  [893] = {.lex_state = 48},
  [894] = {.lex_state = 49},
  [895] = {.lex_state = 48},
  [896] = {.lex_state = 47},
  [897] = {.lex_state = 53},
  [898] = {.lex_state = 53},
  [899] = {.lex_state = 48},
  [900] = {.lex_state = 48},
  [901] = {.lex_state = 48},
  [902] = {.lex_state = 53},
  [903] = {.lex_state = 48},
  [904] = {.lex_state = 53},
  [905] = {.lex_state = 47},
  [906] = {.lex_state = 53},
  [907] = {.lex_state = 47},
  [908] = {.lex_state = 53},
  [909] = {.lex_state = 48},
  [910] = {.lex_state = 53},
  [911] = {.lex_state = 48},
  [912] = {.lex_state = 53},
  [913] = {.lex_state = 53},
  [914] = {.lex_state = 48},
  [915] = {.lex_state = 48},
  [916] = {.lex_state = 48},
  [917] = {.lex_state = 48},
  [918] = {.lex_state = 48},
  [919] = {.lex_state = 48},
  [920] = {.lex_state = 48},
  [921] = {.lex_state = 48},
  [922] = {.lex_state = 48},
  [923] = {.lex_state = 48},
  [924] = {.lex_state = 48},
  [925] = {.lex_state = 48},
  [926] = {.lex_state = 48},
  [927] = {.lex_state = 110},
  [928] = {.lex_state = 48},
  [929] = {.lex_state = 48},
  [930] = {.lex_state = 48},
  [931] = {.lex_state = 48},
  [932] = {.lex_state = 48},
  [933] = {.lex_state = 48},
  [934] = {.lex_state = 48},
  [935] = {.lex_state = 48},
  [936] = {.lex_state = 48},
  [937] = {.lex_state = 48},
  [938] = {.lex_state = 48},
  [939] = {.lex_state = 48},
  [940] = {.lex_state = 48},
  [941] = {.lex_state = 48},
  [942] = {.lex_state = 48},
  [943] = {.lex_state = 48},
  [944] = {.lex_state = 48},
  [945] = {.lex_state = 48},
  [946] = {.lex_state = 48},
  [947] = {.lex_state = 48},
  [948] = {.lex_state = 48},
  [949] = {.lex_state = 48},
  [950] = {.lex_state = 48},
  [951] = {.lex_state = 48},
  [952] = {.lex_state = 48},
  [953] = {.lex_state = 48},
  [954] = {.lex_state = 48},
  [955] = {.lex_state = 48},
  [956] = {.lex_state = 48},
  [957] = {.lex_state = 48},
  [958] = {.lex_state = 48},
  [959] = {.lex_state = 48},
  [960] = {.lex_state = 48},
  [961] = {.lex_state = 48},
  [962] = {.lex_state = 50},
  [963] = {.lex_state = 48},
  [964] = {.lex_state = 48},
  [965] = {.lex_state = 48},
  [966] = {.lex_state = 50},
  [967] = {.lex_state = 50},
  [968] = {.lex_state = 50},
  [969] = {.lex_state = 50},
  [970] = {.lex_state = 50},
  [971] = {.lex_state = 50},
  [972] = {.lex_state = 50},
  [973] = {.lex_state = 50},
  [974] = {.lex_state = 50},
  [975] = {.lex_state = 50},
  [976] = {.lex_state = 48},
  [977] = {.lex_state = 48},
  [978] = {.lex_state = 50},
  [979] = {.lex_state = 48},
  [980] = {.lex_state = 48},
  [981] = {.lex_state = 48},
  [982] = {.lex_state = 48},
  [983] = {.lex_state = 48},
  [984] = {.lex_state = 48},
  [985] = {.lex_state = 48},
  [986] = {.lex_state = 48},
  [987] = {.lex_state = 48},
  [988] = {.lex_state = 48},
  [989] = {.lex_state = 48},
  [990] = {.lex_state = 48},
  [991] = {.lex_state = 48},
  [992] = {.lex_state = 48},
  [993] = {.lex_state = 47},
  [994] = {.lex_state = 47},
  [995] = {.lex_state = 47},
  [996] = {.lex_state = 47},
  [997] = {.lex_state = 47},
  [998] = {.lex_state = 48},
  [999] = {.lex_state = 50},
  [1000] = {.lex_state = 47},
  [1001] = {.lex_state = 48},
  [1002] = {.lex_state = 47},
  [1003] = {.lex_state = 48},
  [1004] = {.lex_state = 47},
  [1005] = {.lex_state = 47},
  [1006] = {.lex_state = 47},
  [1007] = {.lex_state = 48},
  [1008] = {.lex_state = 47},
  [1009] = {.lex_state = 47},
  [1010] = {.lex_state = 48},
  [1011] = {.lex_state = 48},
  [1012] = {.lex_state = 47},
  [1013] = {.lex_state = 47},
  [1014] = {.lex_state = 47},
  [1015] = {.lex_state = 47},
  [1016] = {.lex_state = 47},
  [1017] = {.lex_state = 47},
  [1018] = {.lex_state = 47},
  [1019] = {.lex_state = 47},
  [1020] = {.lex_state = 48},
  [1021] = {.lex_state = 48},
  [1022] = {.lex_state = 47},
  [1023] = {.lex_state = 48},
  [1024] = {.lex_state = 47},
  [1025] = {.lex_state = 47},
  [1026] = {.lex_state = 47},
  [1027] = {.lex_state = 47},
  [1028] = {.lex_state = 47},
  [1029] = {.lex_state = 48},
  [1030] = {.lex_state = 48},
  [1031] = {.lex_state = 48},
  [1032] = {.lex_state = 47},
  [1033] = {.lex_state = 48},
  [1034] = {.lex_state = 48},
  [1035] = {.lex_state = 48},
  [1036] = {.lex_state = 48},
  [1037] = {.lex_state = 47},
  [1038] = {.lex_state = 48},
  [1039] = {.lex_state = 47},
  [1040] = {.lex_state = 47},
  [1041] = {.lex_state = 47},
  [1042] = {.lex_state = 47},
  [1043] = {.lex_state = 47},
  [1044] = {.lex_state = 47},
  [1045] = {.lex_state = 47},
  [1046] = {.lex_state = 47},
  [1047] = {.lex_state = 47},
  [1048] = {.lex_state = 47},
  [1049] = {.lex_state = 47},
  [1050] = {.lex_state = 47},
  [1051] = {.lex_state = 47},
  [1052] = {.lex_state = 47},
  [1053] = {.lex_state = 47},
  [1054] = {.lex_state = 47},
  [1055] = {.lex_state = 47},
  [1056] = {.lex_state = 47},
  [1057] = {.lex_state = 48},
  [1058] = {.lex_state = 48},
  [1059] = {.lex_state = 47},
  [1060] = {.lex_state = 47},
  [1061] = {.lex_state = 47},
  [1062] = {.lex_state = 47},
  [1063] = {.lex_state = 47},
  [1064] = {.lex_state = 48},
  [1065] = {.lex_state = 47},
  [1066] = {.lex_state = 48},
  [1067] = {.lex_state = 47},
  [1068] = {.lex_state = 47},
  [1069] = {.lex_state = 47},
  [1070] = {.lex_state = 47},
  [1071] = {.lex_state = 48},
  [1072] = {.lex_state = 47},
  [1073] = {.lex_state = 47},
  [1074] = {.lex_state = 47},
  [1075] = {.lex_state = 47},
  [1076] = {.lex_state = 47},
  [1077] = {.lex_state = 47},
  [1078] = {.lex_state = 48},
  [1079] = {.lex_state = 47},
  [1080] = {.lex_state = 48},
  [1081] = {.lex_state = 47},
  [1082] = {.lex_state = 47},
  [1083] = {.lex_state = 47},
  [1084] = {.lex_state = 47},
  [1085] = {.lex_state = 47},
  [1086] = {.lex_state = 47},
  [1087] = {.lex_state = 47},
  [1088] = {.lex_state = 47},
  [1089] = {.lex_state = 47},
  [1090] = {.lex_state = 47},
  [1091] = {.lex_state = 48},
  [1092] = {.lex_state = 47},
  [1093] = {.lex_state = 47},
  [1094] = {.lex_state = 48},
  [1095] = {.lex_state = 48},
  [1096] = {.lex_state = 48},
  [1097] = {.lex_state = 48},
  [1098] = {.lex_state = 48},
  [1099] = {.lex_state = 48},
  [1100] = {.lex_state = 48},
  [1101] = {.lex_state = 48},
  [1102] = {.lex_state = 48},
  [1103] = {.lex_state = 48},
  [1104] = {.lex_state = 48},
  [1105] = {.lex_state = 48},
  [1106] = {.lex_state = 48},
  [1107] = {.lex_state = 48},
  [1108] = {.lex_state = 48},
  [1109] = {.lex_state = 48},
  [1110] = {.lex_state = 48},
  [1111] = {.lex_state = 48},
  [1112] = {.lex_state = 48},
  [1113] = {.lex_state = 48},
  [1114] = {.lex_state = 48},
  [1115] = {.lex_state = 46},
  [1116] = {.lex_state = 48},
  [1117] = {.lex_state = 48},
  [1118] = {.lex_state = 46},
  [1119] = {.lex_state = 46},
  [1120] = {.lex_state = 48},
  [1121] = {.lex_state = 23},
  [1122] = {.lex_state = 48},
  [1123] = {.lex_state = 46},
  [1124] = {.lex_state = 46},
  [1125] = {.lex_state = 46},
  [1126] = {.lex_state = 46},
  [1127] = {.lex_state = 46},
  [1128] = {.lex_state = 46},
  [1129] = {.lex_state = 46},
  [1130] = {.lex_state = 46},
  [1131] = {.lex_state = 46},
  [1132] = {.lex_state = 46},
  [1133] = {.lex_state = 46},
  [1134] = {.lex_state = 48},
  [1135] = {.lex_state = 48},
  [1136] = {.lex_state = 48},
  [1137] = {.lex_state = 46},
  [1138] = {.lex_state = 46},
  [1139] = {.lex_state = 46},
  [1140] = {.lex_state = 46},
  [1141] = {.lex_state = 46},
  [1142] = {.lex_state = 46},
  [1143] = {.lex_state = 46},
  [1144] = {.lex_state = 46},
  [1145] = {.lex_state = 46},
  [1146] = {.lex_state = 46},
  [1147] = {.lex_state = 46},
  [1148] = {.lex_state = 48},
  [1149] = {.lex_state = 48},
  [1150] = {.lex_state = 46},
  [1151] = {.lex_state = 48},
  [1152] = {.lex_state = 48},
  [1153] = {.lex_state = 48},
  [1154] = {.lex_state = 48},
  [1155] = {.lex_state = 48},
  [1156] = {.lex_state = 48},
  [1157] = {.lex_state = 48},
  [1158] = {.lex_state = 48},
  [1159] = {.lex_state = 48},
  [1160] = {.lex_state = 48},
  [1161] = {.lex_state = 48},
  [1162] = {.lex_state = 46},
  [1163] = {.lex_state = 46},
  [1164] = {.lex_state = 48},
  [1165] = {.lex_state = 48},
  [1166] = {.lex_state = 48},
  [1167] = {.lex_state = 46},
  [1168] = {.lex_state = 46},
  [1169] = {.lex_state = 48},
  [1170] = {.lex_state = 46},
  [1171] = {.lex_state = 48},
  [1172] = {.lex_state = 48},
  [1173] = {.lex_state = 46},
  [1174] = {.lex_state = 46},
  [1175] = {.lex_state = 46},
  [1176] = {.lex_state = 46},
  [1177] = {.lex_state = 46},
  [1178] = {.lex_state = 46},
  [1179] = {.lex_state = 46},
  [1180] = {.lex_state = 46},
  [1181] = {.lex_state = 48},
  [1182] = {.lex_state = 48},
  [1183] = {.lex_state = 23},
  [1184] = {.lex_state = 23},
  [1185] = {.lex_state = 23},
  [1186] = {.lex_state = 23},
  [1187] = {.lex_state = 23},
  [1188] = {.lex_state = 23},
  [1189] = {.lex_state = 23},
  [1190] = {.lex_state = 48},
  [1191] = {.lex_state = 23},
  [1192] = {.lex_state = 23},
  [1193] = {.lex_state = 23},
  [1194] = {.lex_state = 23},
  [1195] = {.lex_state = 23},
  [1196] = {.lex_state = 23},
  [1197] = {.lex_state = 23},
  [1198] = {.lex_state = 23},
  [1199] = {.lex_state = 23},
  [1200] = {.lex_state = 23},
  [1201] = {.lex_state = 23},
  [1202] = {.lex_state = 48},
  [1203] = {.lex_state = 23},
  [1204] = {.lex_state = 23},
  [1205] = {.lex_state = 23},
  [1206] = {.lex_state = 23},
  [1207] = {.lex_state = 23},
  [1208] = {.lex_state = 23},
  [1209] = {.lex_state = 48},
  [1210] = {.lex_state = 23},
  [1211] = {.lex_state = 23},
  [1212] = {.lex_state = 23},
  [1213] = {.lex_state = 23},
  [1214] = {.lex_state = 23},
  [1215] = {.lex_state = 23},
  [1216] = {.lex_state = 48},
  [1217] = {.lex_state = 48},
  [1218] = {.lex_state = 48},
  [1219] = {.lex_state = 48},
  [1220] = {.lex_state = 48},
  [1221] = {.lex_state = 48},
  [1222] = {.lex_state = 48},
  [1223] = {.lex_state = 48},
  [1224] = {.lex_state = 48},
  [1225] = {.lex_state = 48},
  [1226] = {.lex_state = 48},
  [1227] = {.lex_state = 48},
  [1228] = {.lex_state = 48},
  [1229] = {.lex_state = 48},
  [1230] = {.lex_state = 48},
  [1231] = {.lex_state = 48},
  [1232] = {.lex_state = 48},
  [1233] = {.lex_state = 48},
  [1234] = {.lex_state = 48},
  [1235] = {.lex_state = 48},
  [1236] = {.lex_state = 48},
  [1237] = {.lex_state = 48},
  [1238] = {.lex_state = 48},
  [1239] = {.lex_state = 48},
  [1240] = {.lex_state = 48},
  [1241] = {.lex_state = 48},
  [1242] = {.lex_state = 48},
  [1243] = {.lex_state = 48},
  [1244] = {.lex_state = 48},
  [1245] = {.lex_state = 48},
  [1246] = {.lex_state = 48},
  [1247] = {.lex_state = 48},
  [1248] = {.lex_state = 48},
  [1249] = {.lex_state = 48},
  [1250] = {.lex_state = 48},
  [1251] = {.lex_state = 48},
  [1252] = {.lex_state = 48},
  [1253] = {.lex_state = 48},
  [1254] = {.lex_state = 48},
  [1255] = {.lex_state = 48},
  [1256] = {.lex_state = 48},
  [1257] = {.lex_state = 48},
  [1258] = {.lex_state = 48},
  [1259] = {.lex_state = 48},
  [1260] = {.lex_state = 48},
  [1261] = {.lex_state = 48},
  [1262] = {.lex_state = 48},
  [1263] = {.lex_state = 48},
  [1264] = {.lex_state = 48},
  [1265] = {.lex_state = 48},
  [1266] = {.lex_state = 48},
  [1267] = {.lex_state = 48},
  [1268] = {.lex_state = 48},
  [1269] = {.lex_state = 48},
  [1270] = {.lex_state = 48},
  [1271] = {.lex_state = 48},
  [1272] = {.lex_state = 48},
  [1273] = {.lex_state = 48},
  [1274] = {.lex_state = 48},
  [1275] = {.lex_state = 48},
  [1276] = {.lex_state = 48},
  [1277] = {.lex_state = 48},
  [1278] = {.lex_state = 48},
  [1279] = {.lex_state = 48},
  [1280] = {.lex_state = 48},
  [1281] = {.lex_state = 48},
  [1282] = {.lex_state = 48},
  [1283] = {.lex_state = 48},
  [1284] = {.lex_state = 48},
  [1285] = {.lex_state = 48},
  [1286] = {.lex_state = 48},
  [1287] = {.lex_state = 48},
  [1288] = {.lex_state = 48},
  [1289] = {.lex_state = 48},
  [1290] = {.lex_state = 48},
  [1291] = {.lex_state = 48},
  [1292] = {.lex_state = 48},
  [1293] = {.lex_state = 48},
  [1294] = {.lex_state = 48},
  [1295] = {.lex_state = 48},
  [1296] = {.lex_state = 48},
  [1297] = {.lex_state = 48},
  [1298] = {.lex_state = 48},
  [1299] = {.lex_state = 48},
  [1300] = {.lex_state = 48},
  [1301] = {.lex_state = 48},
  [1302] = {.lex_state = 48},
  [1303] = {.lex_state = 48},
  [1304] = {.lex_state = 48},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 48},
  [1307] = {.lex_state = 48},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 48},
  [1310] = {.lex_state = 110},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 48},
  [1313] = {.lex_state = 110},
  [1314] = {.lex_state = 110},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 52},
  [1317] = {.lex_state = 110},
  [1318] = {.lex_state = 52},
  [1319] = {.lex_state = 52},
  [1320] = {.lex_state = 52},
  [1321] = {.lex_state = 48},
  [1322] = {.lex_state = 110},
  [1323] = {.lex_state = 52},
  [1324] = {.lex_state = 110},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 110},
  [1327] = {.lex_state = 110},
  [1328] = {.lex_state = 47},
  [1329] = {.lex_state = 48},
  [1330] = {.lex_state = 48},
  [1331] = {.lex_state = 48},
  [1332] = {.lex_state = 48},
  [1333] = {.lex_state = 48},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 48},
  [1336] = {.lex_state = 110},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 110},
  [1339] = {.lex_state = 110},
  [1340] = {.lex_state = 48},
  [1341] = {.lex_state = 47},
  [1342] = {.lex_state = 48},
  [1343] = {.lex_state = 48},
  [1344] = {.lex_state = 48},
  [1345] = {.lex_state = 48},
  [1346] = {.lex_state = 110},
  [1347] = {.lex_state = 48},
  [1348] = {.lex_state = 110},
  [1349] = {.lex_state = 48},
  [1350] = {.lex_state = 48},
  [1351] = {.lex_state = 110},
  [1352] = {.lex_state = 48},
  [1353] = {.lex_state = 48},
  [1354] = {.lex_state = 48},
  [1355] = {.lex_state = 48},
  [1356] = {.lex_state = 110},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 48},
  [1359] = {.lex_state = 110},
  [1360] = {.lex_state = 48},
  [1361] = {.lex_state = 48},
  [1362] = {.lex_state = 110},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 110},
  [1365] = {.lex_state = 110},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 110},
  [1368] = {.lex_state = 110},
  [1369] = {.lex_state = 110},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 110},
  [1372] = {.lex_state = 110},
  [1373] = {.lex_state = 110},
  [1374] = {.lex_state = 48},
  [1375] = {.lex_state = 110},
  [1376] = {.lex_state = 110},
  [1377] = {.lex_state = 110},
  [1378] = {.lex_state = 110},
  [1379] = {.lex_state = 110},
  [1380] = {.lex_state = 110},
  [1381] = {.lex_state = 110},
  [1382] = {.lex_state = 110},
  [1383] = {.lex_state = 42},
  [1384] = {.lex_state = 48},
  [1385] = {.lex_state = 110},
  [1386] = {.lex_state = 110},
  [1387] = {.lex_state = 0},
  [1388] = {.lex_state = 48},
  [1389] = {.lex_state = 26},
  [1390] = {.lex_state = 31},
  [1391] = {.lex_state = 0},
  [1392] = {.lex_state = 26},
  [1393] = {.lex_state = 48},
  [1394] = {.lex_state = 48},
  [1395] = {.lex_state = 48},
  [1396] = {.lex_state = 48},
  [1397] = {.lex_state = 48},
  [1398] = {.lex_state = 48},
  [1399] = {.lex_state = 0},
  [1400] = {.lex_state = 0},
  [1401] = {.lex_state = 48},
  [1402] = {.lex_state = 48},
  [1403] = {.lex_state = 26},
  [1404] = {.lex_state = 48},
  [1405] = {.lex_state = 0},
  [1406] = {.lex_state = 48},
  [1407] = {.lex_state = 48},
  [1408] = {.lex_state = 26},
  [1409] = {.lex_state = 26},
  [1410] = {.lex_state = 48},
  [1411] = {.lex_state = 26},
  [1412] = {.lex_state = 26},
  [1413] = {.lex_state = 0},
  [1414] = {.lex_state = 48},
  [1415] = {.lex_state = 48},
  [1416] = {.lex_state = 42},
  [1417] = {.lex_state = 48},
  [1418] = {.lex_state = 48},
  [1419] = {.lex_state = 48},
  [1420] = {.lex_state = 48},
  [1421] = {.lex_state = 26},
  [1422] = {.lex_state = 0},
  [1423] = {.lex_state = 48},
  [1424] = {.lex_state = 31},
  [1425] = {.lex_state = 31},
  [1426] = {.lex_state = 48},
  [1427] = {.lex_state = 48},
  [1428] = {.lex_state = 48},
  [1429] = {.lex_state = 26},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 48},
  [1432] = {.lex_state = 48},
  [1433] = {.lex_state = 48},
  [1434] = {.lex_state = 48},
  [1435] = {.lex_state = 48},
  [1436] = {.lex_state = 48},
  [1437] = {.lex_state = 48},
  [1438] = {.lex_state = 110},
  [1439] = {.lex_state = 48},
  [1440] = {.lex_state = 0},
  [1441] = {.lex_state = 31},
  [1442] = {.lex_state = 31},
  [1443] = {.lex_state = 31},
  [1444] = {.lex_state = 31},
  [1445] = {.lex_state = 48},
  [1446] = {.lex_state = 48},
  [1447] = {.lex_state = 48},
  [1448] = {.lex_state = 0},
  [1449] = {.lex_state = 0},
  [1450] = {.lex_state = 48},
  [1451] = {.lex_state = 0},
  [1452] = {.lex_state = 48},
  [1453] = {.lex_state = 48},
  [1454] = {.lex_state = 48},
  [1455] = {.lex_state = 0},
  [1456] = {.lex_state = 0},
  [1457] = {.lex_state = 0},
  [1458] = {.lex_state = 48},
  [1459] = {.lex_state = 0},
  [1460] = {.lex_state = 28},
  [1461] = {.lex_state = 48},
  [1462] = {.lex_state = 0},
  [1463] = {.lex_state = 0},
  [1464] = {.lex_state = 0},
  [1465] = {.lex_state = 42},
  [1466] = {.lex_state = 0},
  [1467] = {.lex_state = 0},
  [1468] = {.lex_state = 0},
  [1469] = {.lex_state = 0},
  [1470] = {.lex_state = 0},
  [1471] = {.lex_state = 0},
  [1472] = {.lex_state = 28},
  [1473] = {.lex_state = 0},
  [1474] = {.lex_state = 48},
  [1475] = {.lex_state = 0},
  [1476] = {.lex_state = 0},
  [1477] = {.lex_state = 0},
  [1478] = {.lex_state = 0},
  [1479] = {.lex_state = 0},
  [1480] = {.lex_state = 48},
  [1481] = {.lex_state = 0},
  [1482] = {.lex_state = 0},
  [1483] = {.lex_state = 0},
  [1484] = {.lex_state = 0},
  [1485] = {.lex_state = 42},
  [1486] = {.lex_state = 0},
  [1487] = {.lex_state = 42},
  [1488] = {.lex_state = 48},
  [1489] = {.lex_state = 110},
  [1490] = {.lex_state = 0},
  [1491] = {.lex_state = 0},
  [1492] = {.lex_state = 0},
  [1493] = {.lex_state = 0},
  [1494] = {.lex_state = 0},
  [1495] = {.lex_state = 48},
  [1496] = {.lex_state = 0},
  [1497] = {.lex_state = 48},
  [1498] = {.lex_state = 0},
  [1499] = {.lex_state = 0},
  [1500] = {.lex_state = 28},
  [1501] = {.lex_state = 0},
  [1502] = {.lex_state = 0},
  [1503] = {.lex_state = 48},
  [1504] = {.lex_state = 48},
  [1505] = {.lex_state = 42},
  [1506] = {.lex_state = 0},
  [1507] = {.lex_state = 0},
  [1508] = {.lex_state = 42},
  [1509] = {.lex_state = 0},
  [1510] = {.lex_state = 0},
  [1511] = {.lex_state = 0},
  [1512] = {.lex_state = 42},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 0},
  [1515] = {.lex_state = 110},
  [1516] = {.lex_state = 0},
  [1517] = {.lex_state = 0},
  [1518] = {.lex_state = 28},
  [1519] = {.lex_state = 48},
  [1520] = {.lex_state = 0},
  [1521] = {.lex_state = 42},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 0},
  [1524] = {.lex_state = 28},
  [1525] = {.lex_state = 0},
  [1526] = {.lex_state = 0},
  [1527] = {.lex_state = 48},
  [1528] = {.lex_state = 0},
  [1529] = {.lex_state = 0},
  [1530] = {.lex_state = 0},
  [1531] = {.lex_state = 110},
  [1532] = {.lex_state = 48},
  [1533] = {.lex_state = 110},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 110},
  [1536] = {.lex_state = 27},
  [1537] = {.lex_state = 27},
  [1538] = {.lex_state = 110},
  [1539] = {.lex_state = 110},
  [1540] = {.lex_state = 0},
  [1541] = {.lex_state = 0},
  [1542] = {.lex_state = 0},
  [1543] = {.lex_state = 27},
  [1544] = {.lex_state = 48},
  [1545] = {.lex_state = 110},
  [1546] = {.lex_state = 42},
  [1547] = {.lex_state = 110},
  [1548] = {.lex_state = 0},
  [1549] = {.lex_state = 42},
  [1550] = {.lex_state = 0},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 0},
  [1553] = {.lex_state = 0},
  [1554] = {.lex_state = 0},
  [1555] = {.lex_state = 27},
  [1556] = {.lex_state = 48},
  [1557] = {.lex_state = 0},
  [1558] = {.lex_state = 48},
  [1559] = {.lex_state = 110},
  [1560] = {.lex_state = 48},
  [1561] = {.lex_state = 0},
  [1562] = {.lex_state = 0},
  [1563] = {.lex_state = 0},
  [1564] = {.lex_state = 110},
  [1565] = {.lex_state = 48},
  [1566] = {.lex_state = 110},
  [1567] = {.lex_state = 110},
  [1568] = {.lex_state = 0},
  [1569] = {.lex_state = 27},
  [1570] = {.lex_state = 48},
  [1571] = {.lex_state = 110},
  [1572] = {.lex_state = 110},
  [1573] = {.lex_state = 35},
  [1574] = {.lex_state = 0},
  [1575] = {.lex_state = 0},
  [1576] = {.lex_state = 110},
  [1577] = {.lex_state = 110},
  [1578] = {.lex_state = 110},
  [1579] = {.lex_state = 110},
  [1580] = {.lex_state = 48},
  [1581] = {.lex_state = 27},
  [1582] = {.lex_state = 110},
  [1583] = {.lex_state = 0},
  [1584] = {.lex_state = 110},
  [1585] = {.lex_state = 0},
  [1586] = {.lex_state = 0},
  [1587] = {.lex_state = 0},
  [1588] = {.lex_state = 27},
  [1589] = {.lex_state = 110},
  [1590] = {.lex_state = 35},
  [1591] = {.lex_state = 27},
  [1592] = {.lex_state = 35},
  [1593] = {.lex_state = 27},
  [1594] = {.lex_state = 0},
  [1595] = {.lex_state = 27},
  [1596] = {.lex_state = 27},
  [1597] = {.lex_state = 27},
  [1598] = {.lex_state = 27},
  [1599] = {.lex_state = 0},
  [1600] = {.lex_state = 110},
  [1601] = {.lex_state = 27},
  [1602] = {.lex_state = 110},
  [1603] = {.lex_state = 0},
  [1604] = {.lex_state = 0},
  [1605] = {.lex_state = 27},
  [1606] = {.lex_state = 110},
  [1607] = {.lex_state = 110},
  [1608] = {.lex_state = 27},
  [1609] = {.lex_state = 0},
  [1610] = {.lex_state = 0},
  [1611] = {.lex_state = 48},
  [1612] = {.lex_state = 110},
  [1613] = {.lex_state = 110},
  [1614] = {.lex_state = 0},
  [1615] = {.lex_state = 27},
  [1616] = {.lex_state = 0},
  [1617] = {.lex_state = 0},
  [1618] = {.lex_state = 0},
  [1619] = {.lex_state = 0},
  [1620] = {.lex_state = 0},
  [1621] = {.lex_state = 27},
  [1622] = {.lex_state = 0},
  [1623] = {.lex_state = 27},
  [1624] = {.lex_state = 27},
  [1625] = {.lex_state = 0},
  [1626] = {.lex_state = 27},
  [1627] = {.lex_state = 110},
  [1628] = {.lex_state = 0},
  [1629] = {.lex_state = 110},
  [1630] = {.lex_state = 42},
  [1631] = {.lex_state = 110},
  [1632] = {.lex_state = 110},
  [1633] = {.lex_state = 0},
  [1634] = {.lex_state = 28},
  [1635] = {.lex_state = 41},
  [1636] = {.lex_state = 41},
  [1637] = {.lex_state = 41},
  [1638] = {.lex_state = 0},
  [1639] = {.lex_state = 28},
  [1640] = {.lex_state = 41},
  [1641] = {.lex_state = 0},
  [1642] = {.lex_state = 48},
  [1643] = {.lex_state = 0},
  [1644] = {.lex_state = 0},
  [1645] = {.lex_state = 41},
  [1646] = {.lex_state = 0},
  [1647] = {.lex_state = 0},
  [1648] = {.lex_state = 41},
  [1649] = {.lex_state = 0},
  [1650] = {.lex_state = 0},
  [1651] = {.lex_state = 0},
  [1652] = {.lex_state = 0},
  [1653] = {.lex_state = 28},
  [1654] = {.lex_state = 0},
  [1655] = {.lex_state = 0},
  [1656] = {.lex_state = 28},
  [1657] = {.lex_state = 0},
  [1658] = {.lex_state = 28},
  [1659] = {.lex_state = 28},
  [1660] = {.lex_state = 28},
  [1661] = {.lex_state = 48},
  [1662] = {.lex_state = 0},
  [1663] = {.lex_state = 28},
  [1664] = {.lex_state = 0},
  [1665] = {.lex_state = 28},
  [1666] = {.lex_state = 0},
  [1667] = {.lex_state = 28},
  [1668] = {.lex_state = 0},
  [1669] = {.lex_state = 0},
  [1670] = {.lex_state = 28},
  [1671] = {.lex_state = 28},
  [1672] = {.lex_state = 41},
  [1673] = {.lex_state = 28},
  [1674] = {.lex_state = 41},
  [1675] = {.lex_state = 41},
  [1676] = {.lex_state = 28},
  [1677] = {.lex_state = 28},
  [1678] = {.lex_state = 0},
  [1679] = {.lex_state = 28},
  [1680] = {.lex_state = 41},
  [1681] = {.lex_state = 48},
  [1682] = {.lex_state = 48},
  [1683] = {.lex_state = 41},
  [1684] = {.lex_state = 41},
  [1685] = {.lex_state = 41},
  [1686] = {.lex_state = 0},
  [1687] = {.lex_state = 41},
  [1688] = {.lex_state = 0},
  [1689] = {.lex_state = 0},
  [1690] = {.lex_state = 48},
  [1691] = {.lex_state = 0},
  [1692] = {.lex_state = 0},
  [1693] = {.lex_state = 0},
  [1694] = {.lex_state = 0},
  [1695] = {.lex_state = 0},
  [1696] = {.lex_state = 0},
  [1697] = {.lex_state = 48},
  [1698] = {.lex_state = 0},
  [1699] = {.lex_state = 110},
  [1700] = {.lex_state = 41},
  [1701] = {.lex_state = 41},
  [1702] = {.lex_state = 0},
  [1703] = {.lex_state = 28},
  [1704] = {.lex_state = 28},
  [1705] = {.lex_state = 41},
  [1706] = {.lex_state = 0},
  [1707] = {.lex_state = 48},
  [1708] = {.lex_state = 28},
  [1709] = {.lex_state = 48},
  [1710] = {.lex_state = 0},
  [1711] = {.lex_state = 0},
  [1712] = {.lex_state = 0},
  [1713] = {.lex_state = 48},
  [1714] = {.lex_state = 0},
  [1715] = {.lex_state = 0},
  [1716] = {.lex_state = 28},
  [1717] = {.lex_state = 28},
  [1718] = {.lex_state = 48},
  [1719] = {.lex_state = 0},
  [1720] = {.lex_state = 0},
  [1721] = {.lex_state = 0},
  [1722] = {.lex_state = 48},
  [1723] = {.lex_state = 28},
  [1724] = {.lex_state = 0},
  [1725] = {.lex_state = 0},
  [1726] = {.lex_state = 0},
  [1727] = {.lex_state = 0},
  [1728] = {.lex_state = 28},
  [1729] = {.lex_state = 28},
  [1730] = {.lex_state = 0},
  [1731] = {.lex_state = 41},
  [1732] = {.lex_state = 41},
  [1733] = {.lex_state = 28},
  [1734] = {.lex_state = 0},
  [1735] = {.lex_state = 0},
  [1736] = {.lex_state = 48},
  [1737] = {.lex_state = 0},
  [1738] = {.lex_state = 0},
  [1739] = {.lex_state = 41},
  [1740] = {.lex_state = 41},
  [1741] = {.lex_state = 28},
  [1742] = {.lex_state = 41},
  [1743] = {.lex_state = 0},
  [1744] = {.lex_state = 41},
  [1745] = {.lex_state = 41},
  [1746] = {.lex_state = 0},
  [1747] = {.lex_state = 0},
  [1748] = {.lex_state = 41},
  [1749] = {.lex_state = 41},
  [1750] = {.lex_state = 0},
  [1751] = {.lex_state = 48},
  [1752] = {.lex_state = 48},
  [1753] = {.lex_state = 28},
  [1754] = {.lex_state = 0},
  [1755] = {.lex_state = 28},
  [1756] = {.lex_state = 48},
  [1757] = {.lex_state = 0},
  [1758] = {.lex_state = 41},
  [1759] = {.lex_state = 48},
  [1760] = {.lex_state = 48},
  [1761] = {.lex_state = 41},
  [1762] = {.lex_state = 41},
  [1763] = {.lex_state = 0},
  [1764] = {.lex_state = 0},
  [1765] = {.lex_state = 0},
  [1766] = {.lex_state = 41},
  [1767] = {.lex_state = 28},
  [1768] = {.lex_state = 110},
  [1769] = {.lex_state = 41},
  [1770] = {.lex_state = 48},
  [1771] = {.lex_state = 48},
  [1772] = {.lex_state = 0},
  [1773] = {.lex_state = 0},
  [1774] = {.lex_state = 48},
  [1775] = {.lex_state = 0},
  [1776] = {.lex_state = 0},
  [1777] = {.lex_state = 110},
  [1778] = {.lex_state = 0},
  [1779] = {.lex_state = 48},
  [1780] = {.lex_state = 48},
  [1781] = {.lex_state = 0},
  [1782] = {.lex_state = 28},
  [1783] = {.lex_state = 28},
  [1784] = {.lex_state = 110},
  [1785] = {.lex_state = 0},
  [1786] = {.lex_state = 48},
  [1787] = {.lex_state = 110},
  [1788] = {.lex_state = 0},
  [1789] = {.lex_state = 0},
  [1790] = {.lex_state = 28},
  [1791] = {.lex_state = 0},
  [1792] = {.lex_state = 41},
  [1793] = {.lex_state = 28},
  [1794] = {.lex_state = 48},
  [1795] = {.lex_state = 0},
  [1796] = {.lex_state = 0},
  [1797] = {.lex_state = 0},
  [1798] = {.lex_state = 0},
  [1799] = {.lex_state = 0},
  [1800] = {.lex_state = 0},
  [1801] = {.lex_state = 28},
  [1802] = {.lex_state = 48},
  [1803] = {.lex_state = 48},
  [1804] = {.lex_state = 41},
  [1805] = {.lex_state = 0},
  [1806] = {.lex_state = 48},
  [1807] = {.lex_state = 48},
  [1808] = {.lex_state = 0},
  [1809] = {.lex_state = 0},
  [1810] = {.lex_state = 0},
  [1811] = {.lex_state = 28},
  [1812] = {.lex_state = 0},
  [1813] = {.lex_state = 0},
  [1814] = {.lex_state = 48},
  [1815] = {.lex_state = 0},
  [1816] = {.lex_state = 0},
  [1817] = {.lex_state = 0},
  [1818] = {.lex_state = 48},
  [1819] = {.lex_state = 0},
  [1820] = {.lex_state = 41},
  [1821] = {.lex_state = 48},
  [1822] = {.lex_state = 48},
  [1823] = {.lex_state = 48},
  [1824] = {.lex_state = 41},
  [1825] = {.lex_state = 0},
  [1826] = {.lex_state = 110},
  [1827] = {.lex_state = 0},
  [1828] = {.lex_state = 110},
  [1829] = {.lex_state = 41},
  [1830] = {.lex_state = 0},
  [1831] = {.lex_state = 0},
  [1832] = {.lex_state = 0},
  [1833] = {.lex_state = 0},
  [1834] = {.lex_state = 48},
  [1835] = {.lex_state = 41},
  [1836] = {.lex_state = 0},
  [1837] = {.lex_state = 48},
  [1838] = {.lex_state = 41},
  [1839] = {.lex_state = 48},
  [1840] = {.lex_state = 0},
  [1841] = {.lex_state = 0},
  [1842] = {.lex_state = 0},
  [1843] = {.lex_state = 0},
  [1844] = {.lex_state = 110},
  [1845] = {.lex_state = 48},
  [1846] = {.lex_state = 110},
  [1847] = {.lex_state = 0},
  [1848] = {.lex_state = 0},
  [1849] = {.lex_state = 48},
  [1850] = {.lex_state = 41},
  [1851] = {.lex_state = 0},
  [1852] = {.lex_state = 0},
  [1853] = {.lex_state = 0},
  [1854] = {.lex_state = 48},
  [1855] = {.lex_state = 110},
  [1856] = {.lex_state = 0},
  [1857] = {.lex_state = 48},
  [1858] = {.lex_state = 0},
  [1859] = {.lex_state = 110},
  [1860] = {.lex_state = 0},
  [1861] = {.lex_state = 0},
  [1862] = {.lex_state = 41},
  [1863] = {.lex_state = 41},
  [1864] = {.lex_state = 0},
  [1865] = {.lex_state = 48},
  [1866] = {.lex_state = 110},
  [1867] = {.lex_state = 28},
  [1868] = {.lex_state = 0},
  [1869] = {.lex_state = 28},
  [1870] = {.lex_state = 110},
  [1871] = {.lex_state = 28},
  [1872] = {.lex_state = 48},
  [1873] = {.lex_state = 110},
  [1874] = {.lex_state = 41},
  [1875] = {.lex_state = 0},
  [1876] = {.lex_state = 110},
  [1877] = {.lex_state = 0},
  [1878] = {.lex_state = 48},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_translation_unit] = STATE(1641),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym__old_style_function_definition] = STATE(463),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1248),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(731),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(956),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1093),
    [sym__expression_not_binary] = STATE(1092),
    [sym_conditional_expression] = STATE(1092),
    [sym_assignment_expression] = STATE(1092),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(1092),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym_sizeof_expression] = STATE(1092),
    [sym_alignof_expression] = STATE(1092),
    [sym_offsetof_expression] = STATE(1092),
    [sym_generic_expression] = STATE(1092),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(1092),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(1092),
    [sym_concatenated_string] = STATE(1092),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(1092),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1862),
    [sym_preproc_elif] = STATE(1862),
    [sym_preproc_elifdef] = STATE(1862),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(109),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1749),
    [sym_preproc_elif] = STATE(1749),
    [sym_preproc_elifdef] = STATE(1749),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(161),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1766),
    [sym_preproc_elif] = STATE(1766),
    [sym_preproc_elifdef] = STATE(1766),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(163),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_preproc_include] = STATE(4),
    [sym_preproc_def] = STATE(4),
    [sym_preproc_function_def] = STATE(4),
    [sym_preproc_call] = STATE(4),
    [sym_preproc_if] = STATE(4),
    [sym_preproc_ifdef] = STATE(4),
    [sym_preproc_else] = STATE(1761),
    [sym_preproc_elif] = STATE(1761),
    [sym_preproc_elifdef] = STATE(1761),
    [sym_function_definition] = STATE(4),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(4),
    [sym_type_definition] = STATE(4),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(4),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(4),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_case_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_seh_try_statement] = STATE(4),
    [sym_seh_leave_statement] = STATE(4),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(4),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(4),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(165),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1700),
    [sym_preproc_elif] = STATE(1700),
    [sym_preproc_elifdef] = STATE(1700),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_preproc_include] = STATE(6),
    [sym_preproc_def] = STATE(6),
    [sym_preproc_function_def] = STATE(6),
    [sym_preproc_call] = STATE(6),
    [sym_preproc_if] = STATE(6),
    [sym_preproc_ifdef] = STATE(6),
    [sym_preproc_else] = STATE(1705),
    [sym_preproc_elif] = STATE(1705),
    [sym_preproc_elifdef] = STATE(1705),
    [sym_function_definition] = STATE(6),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(6),
    [sym_type_definition] = STATE(6),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(6),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(6),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(6),
    [sym_labeled_statement] = STATE(6),
    [sym_expression_statement] = STATE(6),
    [sym_if_statement] = STATE(6),
    [sym_switch_statement] = STATE(6),
    [sym_case_statement] = STATE(6),
    [sym_while_statement] = STATE(6),
    [sym_do_statement] = STATE(6),
    [sym_for_statement] = STATE(6),
    [sym_return_statement] = STATE(6),
    [sym_break_statement] = STATE(6),
    [sym_continue_statement] = STATE(6),
    [sym_goto_statement] = STATE(6),
    [sym_seh_try_statement] = STATE(6),
    [sym_seh_leave_statement] = STATE(6),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(6),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(6),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym_preproc_include] = STATE(9),
    [sym_preproc_def] = STATE(9),
    [sym_preproc_function_def] = STATE(9),
    [sym_preproc_call] = STATE(9),
    [sym_preproc_if] = STATE(9),
    [sym_preproc_ifdef] = STATE(9),
    [sym_preproc_else] = STATE(1636),
    [sym_preproc_elif] = STATE(1636),
    [sym_preproc_elifdef] = STATE(1636),
    [sym_function_definition] = STATE(9),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(9),
    [sym_type_definition] = STATE(9),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(9),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(9),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(9),
    [sym_labeled_statement] = STATE(9),
    [sym_expression_statement] = STATE(9),
    [sym_if_statement] = STATE(9),
    [sym_switch_statement] = STATE(9),
    [sym_case_statement] = STATE(9),
    [sym_while_statement] = STATE(9),
    [sym_do_statement] = STATE(9),
    [sym_for_statement] = STATE(9),
    [sym_return_statement] = STATE(9),
    [sym_break_statement] = STATE(9),
    [sym_continue_statement] = STATE(9),
    [sym_goto_statement] = STATE(9),
    [sym_seh_try_statement] = STATE(9),
    [sym_seh_leave_statement] = STATE(9),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(9),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(9),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(171),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_preproc_else] = STATE(1637),
    [sym_preproc_elif] = STATE(1637),
    [sym_preproc_elifdef] = STATE(1637),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(173),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(1762),
    [sym_preproc_elif] = STATE(1762),
    [sym_preproc_elifdef] = STATE(1762),
    [sym_function_definition] = STATE(3),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_seh_try_statement] = STATE(3),
    [sym_seh_leave_statement] = STATE(3),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(175),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym_preproc_include] = STATE(2),
    [sym_preproc_def] = STATE(2),
    [sym_preproc_function_def] = STATE(2),
    [sym_preproc_call] = STATE(2),
    [sym_preproc_if] = STATE(2),
    [sym_preproc_ifdef] = STATE(2),
    [sym_preproc_else] = STATE(1758),
    [sym_preproc_elif] = STATE(1758),
    [sym_preproc_elifdef] = STATE(1758),
    [sym_function_definition] = STATE(2),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(2),
    [sym_type_definition] = STATE(2),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(2),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(2),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(2),
    [sym_labeled_statement] = STATE(2),
    [sym_expression_statement] = STATE(2),
    [sym_if_statement] = STATE(2),
    [sym_switch_statement] = STATE(2),
    [sym_case_statement] = STATE(2),
    [sym_while_statement] = STATE(2),
    [sym_do_statement] = STATE(2),
    [sym_for_statement] = STATE(2),
    [sym_return_statement] = STATE(2),
    [sym_break_statement] = STATE(2),
    [sym_continue_statement] = STATE(2),
    [sym_goto_statement] = STATE(2),
    [sym_seh_try_statement] = STATE(2),
    [sym_seh_leave_statement] = STATE(2),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(2),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(2),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(101),
    [aux_sym_preproc_include_token1] = ACTIONS(103),
    [aux_sym_preproc_def_token1] = ACTIONS(105),
    [aux_sym_preproc_if_token1] = ACTIONS(107),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(111),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(111),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(119),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(127),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1732),
    [sym_preproc_elif] = STATE(1732),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(1863),
    [sym_preproc_elif] = STATE(1863),
    [sym_function_definition] = STATE(16),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(229),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(1648),
    [sym_preproc_elif] = STATE(1648),
    [sym_function_definition] = STATE(24),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(1701),
    [sym_preproc_elif] = STATE(1701),
    [sym_function_definition] = STATE(17),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(233),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1838),
    [sym_preproc_elif] = STATE(1838),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1684),
    [sym_preproc_elif] = STATE(1684),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1792),
    [sym_preproc_elif] = STATE(1792),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(239),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(1635),
    [sym_preproc_elif] = STATE(1635),
    [sym_function_definition] = STATE(23),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1687),
    [sym_preproc_elif] = STATE(1687),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(243),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(1685),
    [sym_preproc_elif] = STATE(1685),
    [sym_function_definition] = STATE(12),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(12),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_case_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_goto_statement] = STATE(12),
    [sym_seh_try_statement] = STATE(12),
    [sym_seh_leave_statement] = STATE(12),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_preproc_include] = STATE(20),
    [sym_preproc_def] = STATE(20),
    [sym_preproc_function_def] = STATE(20),
    [sym_preproc_call] = STATE(20),
    [sym_preproc_if] = STATE(20),
    [sym_preproc_ifdef] = STATE(20),
    [sym_preproc_else] = STATE(1769),
    [sym_preproc_elif] = STATE(1769),
    [sym_function_definition] = STATE(20),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(20),
    [sym_type_definition] = STATE(20),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(20),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(20),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(20),
    [sym_labeled_statement] = STATE(20),
    [sym_expression_statement] = STATE(20),
    [sym_if_statement] = STATE(20),
    [sym_switch_statement] = STATE(20),
    [sym_case_statement] = STATE(20),
    [sym_while_statement] = STATE(20),
    [sym_do_statement] = STATE(20),
    [sym_for_statement] = STATE(20),
    [sym_return_statement] = STATE(20),
    [sym_break_statement] = STATE(20),
    [sym_continue_statement] = STATE(20),
    [sym_goto_statement] = STATE(20),
    [sym_seh_try_statement] = STATE(20),
    [sym_seh_leave_statement] = STATE(20),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(20),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(20),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(247),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [23] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1645),
    [sym_preproc_elif] = STATE(1645),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(1745),
    [sym_preproc_elif] = STATE(1745),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(1731),
    [sym_preproc_elif] = STATE(1731),
    [sym_function_definition] = STATE(18),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(18),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_case_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_seh_try_statement] = STATE(18),
    [sym_seh_leave_statement] = STATE(18),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(18),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(179),
    [aux_sym_preproc_include_token1] = ACTIONS(181),
    [aux_sym_preproc_def_token1] = ACTIONS(183),
    [aux_sym_preproc_if_token1] = ACTIONS(185),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(189),
    [aux_sym_preproc_else_token1] = ACTIONS(113),
    [aux_sym_preproc_elif_token1] = ACTIONS(115),
    [sym_preproc_directive] = ACTIONS(191),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(199),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_preproc_include] = STATE(26),
    [sym_preproc_def] = STATE(26),
    [sym_preproc_function_def] = STATE(26),
    [sym_preproc_call] = STATE(26),
    [sym_preproc_if] = STATE(26),
    [sym_preproc_ifdef] = STATE(26),
    [sym_function_definition] = STATE(26),
    [sym__old_style_function_definition] = STATE(136),
    [sym_declaration] = STATE(26),
    [sym_type_definition] = STATE(26),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1246),
    [sym_linkage_specification] = STATE(26),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(726),
    [sym_compound_statement] = STATE(26),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(954),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(26),
    [sym_labeled_statement] = STATE(26),
    [sym_expression_statement] = STATE(26),
    [sym_if_statement] = STATE(26),
    [sym_switch_statement] = STATE(26),
    [sym_case_statement] = STATE(26),
    [sym_while_statement] = STATE(26),
    [sym_do_statement] = STATE(26),
    [sym_for_statement] = STATE(26),
    [sym_return_statement] = STATE(26),
    [sym_break_statement] = STATE(26),
    [sym_continue_statement] = STATE(26),
    [sym_goto_statement] = STATE(26),
    [sym_seh_try_statement] = STATE(26),
    [sym_seh_leave_statement] = STATE(26),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(26),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(26),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(255),
    [aux_sym_preproc_include_token1] = ACTIONS(258),
    [aux_sym_preproc_def_token1] = ACTIONS(261),
    [aux_sym_preproc_if_token1] = ACTIONS(264),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(269),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(267),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(272),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(287),
    [anon_sym___extension__] = ACTIONS(290),
    [anon_sym_typedef] = ACTIONS(293),
    [anon_sym_extern] = ACTIONS(296),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(311),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(335),
    [anon_sym_switch] = ACTIONS(338),
    [anon_sym_case] = ACTIONS(341),
    [anon_sym_default] = ACTIONS(344),
    [anon_sym_while] = ACTIONS(347),
    [anon_sym_do] = ACTIONS(350),
    [anon_sym_for] = ACTIONS(353),
    [anon_sym_return] = ACTIONS(356),
    [anon_sym_break] = ACTIONS(359),
    [anon_sym_continue] = ACTIONS(362),
    [anon_sym_goto] = ACTIONS(365),
    [anon_sym___try] = ACTIONS(368),
    [anon_sym___leave] = ACTIONS(371),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym__old_style_function_definition] = STATE(221),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1243),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(728),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(953),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(407),
    [aux_sym_preproc_include_token1] = ACTIONS(410),
    [aux_sym_preproc_def_token1] = ACTIONS(413),
    [aux_sym_preproc_if_token1] = ACTIONS(416),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(419),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(419),
    [aux_sym_preproc_else_token1] = ACTIONS(267),
    [aux_sym_preproc_elif_token1] = ACTIONS(267),
    [sym_preproc_directive] = ACTIONS(422),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(425),
    [anon_sym___extension__] = ACTIONS(428),
    [anon_sym_typedef] = ACTIONS(431),
    [anon_sym_extern] = ACTIONS(434),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(437),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(443),
    [anon_sym_case] = ACTIONS(446),
    [anon_sym_default] = ACTIONS(449),
    [anon_sym_while] = ACTIONS(452),
    [anon_sym_do] = ACTIONS(455),
    [anon_sym_for] = ACTIONS(458),
    [anon_sym_return] = ACTIONS(461),
    [anon_sym_break] = ACTIONS(464),
    [anon_sym_continue] = ACTIONS(467),
    [anon_sym_goto] = ACTIONS(470),
    [anon_sym___try] = ACTIONS(473),
    [anon_sym___leave] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(501),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym__old_style_function_definition] = STATE(380),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1245),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(730),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(952),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(46),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(529),
    [aux_sym_preproc_include_token1] = ACTIONS(531),
    [aux_sym_preproc_def_token1] = ACTIONS(533),
    [aux_sym_preproc_if_token1] = ACTIONS(535),
    [aux_sym_preproc_if_token2] = ACTIONS(537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(539),
    [sym_preproc_directive] = ACTIONS(541),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(579),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(587),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_function_definition] = STATE(36),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(36),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(591),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(47),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(597),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [40] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_function_definition] = STATE(31),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(31),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(599),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(601),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(603),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_function_definition] = STATE(28),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(28),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(605),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(607),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_preproc_include] = STATE(33),
    [sym_preproc_def] = STATE(33),
    [sym_preproc_function_def] = STATE(33),
    [sym_preproc_call] = STATE(33),
    [sym_preproc_if] = STATE(33),
    [sym_preproc_ifdef] = STATE(33),
    [sym_function_definition] = STATE(33),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(33),
    [sym_type_definition] = STATE(33),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(33),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(33),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(33),
    [sym_labeled_statement] = STATE(33),
    [sym_expression_statement] = STATE(33),
    [sym_if_statement] = STATE(33),
    [sym_switch_statement] = STATE(33),
    [sym_case_statement] = STATE(33),
    [sym_while_statement] = STATE(33),
    [sym_do_statement] = STATE(33),
    [sym_for_statement] = STATE(33),
    [sym_return_statement] = STATE(33),
    [sym_break_statement] = STATE(33),
    [sym_continue_statement] = STATE(33),
    [sym_goto_statement] = STATE(33),
    [sym_seh_try_statement] = STATE(33),
    [sym_seh_leave_statement] = STATE(33),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(33),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(33),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(609),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym__old_style_function_definition] = STATE(380),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1245),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(730),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(952),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(529),
    [aux_sym_preproc_include_token1] = ACTIONS(531),
    [aux_sym_preproc_def_token1] = ACTIONS(533),
    [aux_sym_preproc_if_token1] = ACTIONS(535),
    [aux_sym_preproc_if_token2] = ACTIONS(611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(539),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(539),
    [sym_preproc_directive] = ACTIONS(541),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(613),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(615),
    [aux_sym_preproc_include_token1] = ACTIONS(618),
    [aux_sym_preproc_def_token1] = ACTIONS(621),
    [aux_sym_preproc_if_token1] = ACTIONS(624),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(627),
    [sym_preproc_directive] = ACTIONS(630),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(633),
    [anon_sym___extension__] = ACTIONS(636),
    [anon_sym_typedef] = ACTIONS(639),
    [anon_sym_extern] = ACTIONS(642),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(645),
    [anon_sym_RBRACE] = ACTIONS(648),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(650),
    [anon_sym_switch] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(656),
    [anon_sym_default] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(662),
    [anon_sym_do] = ACTIONS(665),
    [anon_sym_for] = ACTIONS(668),
    [anon_sym_return] = ACTIONS(671),
    [anon_sym_break] = ACTIONS(674),
    [anon_sym_continue] = ACTIONS(677),
    [anon_sym_goto] = ACTIONS(680),
    [anon_sym___try] = ACTIONS(683),
    [anon_sym___leave] = ACTIONS(686),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(689),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym__old_style_function_definition] = STATE(380),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1245),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(730),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(952),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(691),
    [aux_sym_preproc_include_token1] = ACTIONS(694),
    [aux_sym_preproc_def_token1] = ACTIONS(697),
    [aux_sym_preproc_if_token1] = ACTIONS(700),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(703),
    [sym_preproc_directive] = ACTIONS(706),
    [anon_sym_LPAREN2] = ACTIONS(275),
    [anon_sym_BANG] = ACTIONS(278),
    [anon_sym_TILDE] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(281),
    [anon_sym_PLUS] = ACTIONS(281),
    [anon_sym_STAR] = ACTIONS(284),
    [anon_sym_AMP] = ACTIONS(284),
    [anon_sym_SEMI] = ACTIONS(709),
    [anon_sym___extension__] = ACTIONS(712),
    [anon_sym_typedef] = ACTIONS(715),
    [anon_sym_extern] = ACTIONS(718),
    [anon_sym___attribute__] = ACTIONS(299),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(302),
    [anon_sym___declspec] = ACTIONS(305),
    [anon_sym___cdecl] = ACTIONS(308),
    [anon_sym___clrcall] = ACTIONS(308),
    [anon_sym___stdcall] = ACTIONS(308),
    [anon_sym___fastcall] = ACTIONS(308),
    [anon_sym___thiscall] = ACTIONS(308),
    [anon_sym___vectorcall] = ACTIONS(308),
    [anon_sym_LBRACE] = ACTIONS(721),
    [anon_sym_signed] = ACTIONS(314),
    [anon_sym_unsigned] = ACTIONS(314),
    [anon_sym_long] = ACTIONS(314),
    [anon_sym_short] = ACTIONS(314),
    [anon_sym_static] = ACTIONS(317),
    [anon_sym_auto] = ACTIONS(317),
    [anon_sym_register] = ACTIONS(317),
    [anon_sym_inline] = ACTIONS(317),
    [anon_sym___inline] = ACTIONS(317),
    [anon_sym___inline__] = ACTIONS(317),
    [anon_sym___forceinline] = ACTIONS(317),
    [anon_sym_thread_local] = ACTIONS(317),
    [anon_sym___thread] = ACTIONS(317),
    [anon_sym_const] = ACTIONS(320),
    [anon_sym_constexpr] = ACTIONS(320),
    [anon_sym_volatile] = ACTIONS(320),
    [anon_sym_restrict] = ACTIONS(320),
    [anon_sym___restrict__] = ACTIONS(320),
    [anon_sym__Atomic] = ACTIONS(320),
    [anon_sym__Noreturn] = ACTIONS(320),
    [anon_sym_noreturn] = ACTIONS(320),
    [sym_primitive_type] = ACTIONS(323),
    [anon_sym_enum] = ACTIONS(326),
    [anon_sym_struct] = ACTIONS(329),
    [anon_sym_union] = ACTIONS(332),
    [anon_sym_if] = ACTIONS(724),
    [anon_sym_switch] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(730),
    [anon_sym_default] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(736),
    [anon_sym_do] = ACTIONS(739),
    [anon_sym_for] = ACTIONS(742),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(748),
    [anon_sym_continue] = ACTIONS(751),
    [anon_sym_goto] = ACTIONS(754),
    [anon_sym___try] = ACTIONS(757),
    [anon_sym___leave] = ACTIONS(760),
    [anon_sym_DASH_DASH] = ACTIONS(374),
    [anon_sym_PLUS_PLUS] = ACTIONS(374),
    [anon_sym_sizeof] = ACTIONS(377),
    [anon_sym___alignof__] = ACTIONS(380),
    [anon_sym___alignof] = ACTIONS(380),
    [anon_sym__alignof] = ACTIONS(380),
    [anon_sym_alignof] = ACTIONS(380),
    [anon_sym__Alignof] = ACTIONS(380),
    [anon_sym_offsetof] = ACTIONS(383),
    [anon_sym__Generic] = ACTIONS(386),
    [anon_sym_asm] = ACTIONS(389),
    [anon_sym___asm__] = ACTIONS(389),
    [sym_number_literal] = ACTIONS(392),
    [anon_sym_L_SQUOTE] = ACTIONS(395),
    [anon_sym_u_SQUOTE] = ACTIONS(395),
    [anon_sym_U_SQUOTE] = ACTIONS(395),
    [anon_sym_u8_SQUOTE] = ACTIONS(395),
    [anon_sym_SQUOTE] = ACTIONS(395),
    [anon_sym_L_DQUOTE] = ACTIONS(398),
    [anon_sym_u_DQUOTE] = ACTIONS(398),
    [anon_sym_U_DQUOTE] = ACTIONS(398),
    [anon_sym_u8_DQUOTE] = ACTIONS(398),
    [anon_sym_DQUOTE] = ACTIONS(398),
    [sym_true] = ACTIONS(401),
    [sym_false] = ACTIONS(401),
    [anon_sym_NULL] = ACTIONS(404),
    [anon_sym_nullptr] = ACTIONS(404),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_preproc_include] = STATE(49),
    [sym_preproc_def] = STATE(49),
    [sym_preproc_function_def] = STATE(49),
    [sym_preproc_call] = STATE(49),
    [sym_preproc_if] = STATE(49),
    [sym_preproc_ifdef] = STATE(49),
    [sym_function_definition] = STATE(49),
    [sym__old_style_function_definition] = STATE(399),
    [sym_declaration] = STATE(49),
    [sym_type_definition] = STATE(49),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1247),
    [sym_linkage_specification] = STATE(49),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(723),
    [sym_compound_statement] = STATE(49),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(951),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(49),
    [sym_labeled_statement] = STATE(49),
    [sym_expression_statement] = STATE(49),
    [sym_if_statement] = STATE(49),
    [sym_switch_statement] = STATE(49),
    [sym_case_statement] = STATE(49),
    [sym_while_statement] = STATE(49),
    [sym_do_statement] = STATE(49),
    [sym_for_statement] = STATE(49),
    [sym_return_statement] = STATE(49),
    [sym_break_statement] = STATE(49),
    [sym_continue_statement] = STATE(49),
    [sym_goto_statement] = STATE(49),
    [sym_seh_try_statement] = STATE(49),
    [sym_seh_leave_statement] = STATE(49),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym__empty_declaration] = STATE(49),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_repeat1] = STATE(49),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(479),
    [aux_sym_preproc_include_token1] = ACTIONS(481),
    [aux_sym_preproc_def_token1] = ACTIONS(483),
    [aux_sym_preproc_if_token1] = ACTIONS(485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(487),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(487),
    [sym_preproc_directive] = ACTIONS(489),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(763),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym__old_style_function_definition] = STATE(463),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1248),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(731),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(956),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1093),
    [sym__expression_not_binary] = STATE(1092),
    [sym_conditional_expression] = STATE(1092),
    [sym_assignment_expression] = STATE(1092),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(1092),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym_sizeof_expression] = STATE(1092),
    [sym_alignof_expression] = STATE(1092),
    [sym_offsetof_expression] = STATE(1092),
    [sym_generic_expression] = STATE(1092),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(1092),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(1092),
    [sym_concatenated_string] = STATE(1092),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(1092),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(765),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(31),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(39),
    [anon_sym___clrcall] = ACTIONS(39),
    [anon_sym___stdcall] = ACTIONS(39),
    [anon_sym___fastcall] = ACTIONS(39),
    [anon_sym___thiscall] = ACTIONS(39),
    [anon_sym___vectorcall] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(91),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(97),
    [sym_false] = ACTIONS(97),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym__old_style_function_definition] = STATE(463),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1248),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_call_modifier] = STATE(731),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(956),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1093),
    [sym__expression_not_binary] = STATE(1092),
    [sym_conditional_expression] = STATE(1092),
    [sym_assignment_expression] = STATE(1092),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(1092),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(1092),
    [sym_cast_expression] = STATE(1092),
    [sym_sizeof_expression] = STATE(1092),
    [sym_alignof_expression] = STATE(1092),
    [sym_offsetof_expression] = STATE(1092),
    [sym_generic_expression] = STATE(1092),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(1092),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(1092),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(1092),
    [sym_concatenated_string] = STATE(1092),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(1092),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [aux_sym_preproc_include_token1] = ACTIONS(772),
    [aux_sym_preproc_def_token1] = ACTIONS(775),
    [aux_sym_preproc_if_token1] = ACTIONS(778),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(781),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(781),
    [sym_preproc_directive] = ACTIONS(784),
    [anon_sym_LPAREN2] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(790),
    [anon_sym_TILDE] = ACTIONS(790),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_STAR] = ACTIONS(796),
    [anon_sym_AMP] = ACTIONS(796),
    [anon_sym___extension__] = ACTIONS(799),
    [anon_sym_typedef] = ACTIONS(802),
    [anon_sym_extern] = ACTIONS(805),
    [anon_sym___attribute__] = ACTIONS(808),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(811),
    [anon_sym___declspec] = ACTIONS(814),
    [anon_sym___cdecl] = ACTIONS(817),
    [anon_sym___clrcall] = ACTIONS(817),
    [anon_sym___stdcall] = ACTIONS(817),
    [anon_sym___fastcall] = ACTIONS(817),
    [anon_sym___thiscall] = ACTIONS(817),
    [anon_sym___vectorcall] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(820),
    [anon_sym_signed] = ACTIONS(823),
    [anon_sym_unsigned] = ACTIONS(823),
    [anon_sym_long] = ACTIONS(823),
    [anon_sym_short] = ACTIONS(823),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_auto] = ACTIONS(826),
    [anon_sym_register] = ACTIONS(826),
    [anon_sym_inline] = ACTIONS(826),
    [anon_sym___inline] = ACTIONS(826),
    [anon_sym___inline__] = ACTIONS(826),
    [anon_sym___forceinline] = ACTIONS(826),
    [anon_sym_thread_local] = ACTIONS(826),
    [anon_sym___thread] = ACTIONS(826),
    [anon_sym_const] = ACTIONS(829),
    [anon_sym_constexpr] = ACTIONS(829),
    [anon_sym_volatile] = ACTIONS(829),
    [anon_sym_restrict] = ACTIONS(829),
    [anon_sym___restrict__] = ACTIONS(829),
    [anon_sym__Atomic] = ACTIONS(829),
    [anon_sym__Noreturn] = ACTIONS(829),
    [anon_sym_noreturn] = ACTIONS(829),
    [sym_primitive_type] = ACTIONS(832),
    [anon_sym_enum] = ACTIONS(835),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(844),
    [anon_sym_switch] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(856),
    [anon_sym_do] = ACTIONS(859),
    [anon_sym_for] = ACTIONS(862),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(868),
    [anon_sym_continue] = ACTIONS(871),
    [anon_sym_goto] = ACTIONS(874),
    [anon_sym_DASH_DASH] = ACTIONS(877),
    [anon_sym_PLUS_PLUS] = ACTIONS(877),
    [anon_sym_sizeof] = ACTIONS(880),
    [anon_sym___alignof__] = ACTIONS(883),
    [anon_sym___alignof] = ACTIONS(883),
    [anon_sym__alignof] = ACTIONS(883),
    [anon_sym_alignof] = ACTIONS(883),
    [anon_sym__Alignof] = ACTIONS(883),
    [anon_sym_offsetof] = ACTIONS(886),
    [anon_sym__Generic] = ACTIONS(889),
    [anon_sym_asm] = ACTIONS(892),
    [anon_sym___asm__] = ACTIONS(892),
    [sym_number_literal] = ACTIONS(895),
    [anon_sym_L_SQUOTE] = ACTIONS(898),
    [anon_sym_u_SQUOTE] = ACTIONS(898),
    [anon_sym_U_SQUOTE] = ACTIONS(898),
    [anon_sym_u8_SQUOTE] = ACTIONS(898),
    [anon_sym_SQUOTE] = ACTIONS(898),
    [anon_sym_L_DQUOTE] = ACTIONS(901),
    [anon_sym_u_DQUOTE] = ACTIONS(901),
    [anon_sym_U_DQUOTE] = ACTIONS(901),
    [anon_sym_u8_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [anon_sym_NULL] = ACTIONS(907),
    [anon_sym_nullptr] = ACTIONS(907),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1257),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(910),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [aux_sym_preproc_else_token1] = ACTIONS(913),
    [aux_sym_preproc_elif_token1] = ACTIONS(913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym___extension__] = ACTIONS(930),
    [anon_sym_typedef] = ACTIONS(933),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(948),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(972),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(975),
    [anon_sym_do] = ACTIONS(978),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(984),
    [anon_sym_break] = ACTIONS(987),
    [anon_sym_continue] = ACTIONS(990),
    [anon_sym_goto] = ACTIONS(993),
    [anon_sym___try] = ACTIONS(996),
    [anon_sym___leave] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1257),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [aux_sym_preproc_else_token1] = ACTIONS(1037),
    [aux_sym_preproc_elif_token1] = ACTIONS(1037),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1257),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [aux_sym_preproc_else_token1] = ACTIONS(1039),
    [aux_sym_preproc_elif_token1] = ACTIONS(1039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1257),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [aux_sym_preproc_else_token1] = ACTIONS(1041),
    [aux_sym_preproc_elif_token1] = ACTIONS(1041),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1257),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(1035),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [aux_sym_preproc_else_token1] = ACTIONS(1043),
    [aux_sym_preproc_elif_token1] = ACTIONS(1043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym___extension__] = ACTIONS(123),
    [anon_sym_typedef] = ACTIONS(125),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [59] = {
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(62),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [aux_sym_preproc_else_token1] = ACTIONS(1043),
    [aux_sym_preproc_elif_token1] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1047),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [aux_sym_preproc_else_token1] = ACTIONS(913),
    [aux_sym_preproc_elif_token1] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1050),
    [anon_sym___extension__] = ACTIONS(1053),
    [anon_sym_typedef] = ACTIONS(1056),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1068),
    [anon_sym_do] = ACTIONS(1071),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1080),
    [anon_sym_continue] = ACTIONS(1083),
    [anon_sym_goto] = ACTIONS(1086),
    [anon_sym___try] = ACTIONS(1089),
    [anon_sym___leave] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [61] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [aux_sym_preproc_else_token1] = ACTIONS(1037),
    [aux_sym_preproc_elif_token1] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [62] = {
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(60),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [aux_sym_preproc_else_token1] = ACTIONS(1039),
    [aux_sym_preproc_elif_token1] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [63] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1256),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1045),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [aux_sym_preproc_else_token1] = ACTIONS(1041),
    [aux_sym_preproc_elif_token1] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym___extension__] = ACTIONS(195),
    [anon_sym_typedef] = ACTIONS(197),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1255),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1095),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym___extension__] = ACTIONS(1101),
    [anon_sym_typedef] = ACTIONS(1104),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1112),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1124),
    [anon_sym_return] = ACTIONS(1127),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_goto] = ACTIONS(1136),
    [anon_sym___try] = ACTIONS(1139),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1255),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1145),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [ts_builtin_sym_end] = ACTIONS(1149),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1255),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1145),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1255),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1145),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1259),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(70),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token2] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [70] = {
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1259),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(70),
    [sym_identifier] = ACTIONS(1165),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token2] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1168),
    [anon_sym___extension__] = ACTIONS(1171),
    [anon_sym_typedef] = ACTIONS(1174),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1180),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1186),
    [anon_sym_do] = ACTIONS(1189),
    [anon_sym_for] = ACTIONS(1192),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1201),
    [anon_sym_goto] = ACTIONS(1204),
    [anon_sym___try] = ACTIONS(1207),
    [anon_sym___leave] = ACTIONS(1210),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1110),
    [sym_identifier] = ACTIONS(1213),
    [aux_sym_preproc_include_token1] = ACTIONS(913),
    [aux_sym_preproc_def_token1] = ACTIONS(913),
    [aux_sym_preproc_if_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(913),
    [sym_preproc_directive] = ACTIONS(913),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1216),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym___cdecl] = ACTIONS(913),
    [anon_sym___clrcall] = ACTIONS(913),
    [anon_sym___stdcall] = ACTIONS(913),
    [anon_sym___fastcall] = ACTIONS(913),
    [anon_sym___thiscall] = ACTIONS(913),
    [anon_sym___vectorcall] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1228),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(1234),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1240),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1249),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1255),
    [anon_sym___leave] = ACTIONS(1258),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1037),
    [aux_sym_preproc_def_token1] = ACTIONS(1037),
    [aux_sym_preproc_if_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1037),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1037),
    [sym_preproc_directive] = ACTIONS(1037),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1037),
    [anon_sym___clrcall] = ACTIONS(1037),
    [anon_sym___stdcall] = ACTIONS(1037),
    [anon_sym___fastcall] = ACTIONS(1037),
    [anon_sym___thiscall] = ACTIONS(1037),
    [anon_sym___vectorcall] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [74] = {
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(73),
    [ts_builtin_sym_end] = ACTIONS(1147),
    [sym_identifier] = ACTIONS(1151),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1255),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1145),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(493),
    [anon_sym_typedef] = ACTIONS(495),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_RBRACE] = ACTIONS(1149),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1259),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1043),
    [aux_sym_preproc_def_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token1] = ACTIONS(1043),
    [aux_sym_preproc_if_token2] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1043),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1043),
    [sym_preproc_directive] = ACTIONS(1043),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1043),
    [anon_sym___clrcall] = ACTIONS(1043),
    [anon_sym___stdcall] = ACTIONS(1043),
    [anon_sym___fastcall] = ACTIONS(1043),
    [anon_sym___thiscall] = ACTIONS(1043),
    [anon_sym___vectorcall] = ACTIONS(1043),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(1043),
    [anon_sym_default] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1259),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1041),
    [aux_sym_preproc_def_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token1] = ACTIONS(1041),
    [aux_sym_preproc_if_token2] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1041),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1041),
    [sym_preproc_directive] = ACTIONS(1041),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1041),
    [anon_sym___clrcall] = ACTIONS(1041),
    [anon_sym___stdcall] = ACTIONS(1041),
    [anon_sym___fastcall] = ACTIONS(1041),
    [anon_sym___thiscall] = ACTIONS(1041),
    [anon_sym___vectorcall] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_declaration] = STATE(70),
    [sym_type_definition] = STATE(70),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1259),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(70),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(70),
    [sym_labeled_statement] = STATE(70),
    [sym_expression_statement] = STATE(70),
    [sym_if_statement] = STATE(70),
    [sym_switch_statement] = STATE(70),
    [sym_while_statement] = STATE(70),
    [sym_do_statement] = STATE(70),
    [sym_for_statement] = STATE(70),
    [sym_return_statement] = STATE(70),
    [sym_break_statement] = STATE(70),
    [sym_continue_statement] = STATE(70),
    [sym_goto_statement] = STATE(70),
    [sym_seh_try_statement] = STATE(70),
    [sym_seh_leave_statement] = STATE(70),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(70),
    [sym_identifier] = ACTIONS(1163),
    [aux_sym_preproc_include_token1] = ACTIONS(1039),
    [aux_sym_preproc_def_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token1] = ACTIONS(1039),
    [aux_sym_preproc_if_token2] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1039),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1039),
    [sym_preproc_directive] = ACTIONS(1039),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___cdecl] = ACTIONS(1039),
    [anon_sym___clrcall] = ACTIONS(1039),
    [anon_sym___stdcall] = ACTIONS(1039),
    [anon_sym___fastcall] = ACTIONS(1039),
    [anon_sym___thiscall] = ACTIONS(1039),
    [anon_sym___vectorcall] = ACTIONS(1039),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(1039),
    [anon_sym_default] = ACTIONS(1039),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [79] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [81] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1039),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [82] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1271),
    [anon_sym_LPAREN2] = ACTIONS(915),
    [anon_sym_BANG] = ACTIONS(918),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_STAR] = ACTIONS(924),
    [anon_sym_AMP] = ACTIONS(924),
    [anon_sym_SEMI] = ACTIONS(1098),
    [anon_sym___extension__] = ACTIONS(1219),
    [anon_sym_typedef] = ACTIONS(1222),
    [anon_sym_extern] = ACTIONS(936),
    [anon_sym___attribute__] = ACTIONS(939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(942),
    [anon_sym___declspec] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_signed] = ACTIONS(951),
    [anon_sym_unsigned] = ACTIONS(951),
    [anon_sym_long] = ACTIONS(951),
    [anon_sym_short] = ACTIONS(951),
    [anon_sym_static] = ACTIONS(936),
    [anon_sym_auto] = ACTIONS(936),
    [anon_sym_register] = ACTIONS(936),
    [anon_sym_inline] = ACTIONS(936),
    [anon_sym___inline] = ACTIONS(936),
    [anon_sym___inline__] = ACTIONS(936),
    [anon_sym___forceinline] = ACTIONS(936),
    [anon_sym_thread_local] = ACTIONS(936),
    [anon_sym___thread] = ACTIONS(936),
    [anon_sym_const] = ACTIONS(954),
    [anon_sym_constexpr] = ACTIONS(954),
    [anon_sym_volatile] = ACTIONS(954),
    [anon_sym_restrict] = ACTIONS(954),
    [anon_sym___restrict__] = ACTIONS(954),
    [anon_sym__Atomic] = ACTIONS(954),
    [anon_sym__Noreturn] = ACTIONS(954),
    [anon_sym_noreturn] = ACTIONS(954),
    [sym_primitive_type] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(960),
    [anon_sym_struct] = ACTIONS(963),
    [anon_sym_union] = ACTIONS(966),
    [anon_sym_if] = ACTIONS(1274),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(1231),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1280),
    [anon_sym_return] = ACTIONS(1243),
    [anon_sym_break] = ACTIONS(1246),
    [anon_sym_continue] = ACTIONS(1249),
    [anon_sym_goto] = ACTIONS(1252),
    [anon_sym___try] = ACTIONS(1283),
    [anon_sym___leave] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1002),
    [anon_sym_PLUS_PLUS] = ACTIONS(1002),
    [anon_sym_sizeof] = ACTIONS(1005),
    [anon_sym___alignof__] = ACTIONS(1008),
    [anon_sym___alignof] = ACTIONS(1008),
    [anon_sym__alignof] = ACTIONS(1008),
    [anon_sym_alignof] = ACTIONS(1008),
    [anon_sym__Alignof] = ACTIONS(1008),
    [anon_sym_offsetof] = ACTIONS(1011),
    [anon_sym__Generic] = ACTIONS(1014),
    [anon_sym_asm] = ACTIONS(1017),
    [anon_sym___asm__] = ACTIONS(1017),
    [sym_number_literal] = ACTIONS(1020),
    [anon_sym_L_SQUOTE] = ACTIONS(1023),
    [anon_sym_u_SQUOTE] = ACTIONS(1023),
    [anon_sym_U_SQUOTE] = ACTIONS(1023),
    [anon_sym_u8_SQUOTE] = ACTIONS(1023),
    [anon_sym_SQUOTE] = ACTIONS(1023),
    [anon_sym_L_DQUOTE] = ACTIONS(1026),
    [anon_sym_u_DQUOTE] = ACTIONS(1026),
    [anon_sym_U_DQUOTE] = ACTIONS(1026),
    [anon_sym_u8_DQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1026),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [anon_sym_NULL] = ACTIONS(1032),
    [anon_sym_nullptr] = ACTIONS(1032),
    [sym_comment] = ACTIONS(3),
  },
  [83] = {
    [sym_declaration] = STATE(81),
    [sym_type_definition] = STATE(81),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1269),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(492),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_compound_statement] = STATE(81),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_attributed_statement] = STATE(81),
    [sym_labeled_statement] = STATE(81),
    [sym_expression_statement] = STATE(81),
    [sym_if_statement] = STATE(81),
    [sym_switch_statement] = STATE(81),
    [sym_while_statement] = STATE(81),
    [sym_do_statement] = STATE(81),
    [sym_for_statement] = STATE(81),
    [sym_return_statement] = STATE(81),
    [sym_break_statement] = STATE(81),
    [sym_continue_statement] = STATE(81),
    [sym_goto_statement] = STATE(81),
    [sym_seh_try_statement] = STATE(81),
    [sym_seh_leave_statement] = STATE(81),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [aux_sym_case_statement_repeat1] = STATE(81),
    [sym_identifier] = ACTIONS(1261),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym___extension__] = ACTIONS(27),
    [anon_sym_typedef] = ACTIONS(29),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(35),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_else] = ACTIONS(1043),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [84] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1796),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [85] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1773),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1724),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [87] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1843),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1633),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_declaration] = STATE(567),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1251),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__for_statement_body] = STATE(1877),
    [sym__expression] = STATE(1018),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1842),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1286),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1288),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_else_clause] = STATE(92),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1296),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [ts_builtin_sym_end] = ACTIONS(1310),
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [anon_sym_COMMA] = ACTIONS(1310),
    [anon_sym_RPAREN] = ACTIONS(1310),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___except] = ACTIONS(1312),
    [anon_sym___finally] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [ts_builtin_sym_end] = ACTIONS(1314),
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [anon_sym_COMMA] = ACTIONS(1314),
    [anon_sym_RPAREN] = ACTIONS(1314),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___except] = ACTIONS(1316),
    [anon_sym___finally] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [aux_sym_preproc_else_token1] = ACTIONS(1342),
    [aux_sym_preproc_elif_token1] = ACTIONS(1342),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [aux_sym_preproc_else_token1] = ACTIONS(1350),
    [aux_sym_preproc_elif_token1] = ACTIONS(1350),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_else_clause] = STATE(190),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [aux_sym_preproc_else_token1] = ACTIONS(1292),
    [aux_sym_preproc_elif_token1] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [aux_sym_preproc_else_token1] = ACTIONS(1428),
    [aux_sym_preproc_elif_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [aux_sym_preproc_else_token1] = ACTIONS(1436),
    [aux_sym_preproc_elif_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [aux_sym_preproc_else_token1] = ACTIONS(1444),
    [aux_sym_preproc_elif_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [aux_sym_preproc_else_token1] = ACTIONS(1464),
    [aux_sym_preproc_elif_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [aux_sym_preproc_else_token1] = ACTIONS(1480),
    [aux_sym_preproc_elif_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [aux_sym_preproc_else_token1] = ACTIONS(1484),
    [aux_sym_preproc_elif_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [aux_sym_preproc_else_token1] = ACTIONS(1318),
    [aux_sym_preproc_elif_token1] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [aux_sym_preproc_else_token1] = ACTIONS(1312),
    [aux_sym_preproc_elif_token1] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [aux_sym_preproc_else_token1] = ACTIONS(1394),
    [aux_sym_preproc_elif_token1] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [aux_sym_preproc_else_token1] = ACTIONS(1390),
    [aux_sym_preproc_elif_token1] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [aux_sym_preproc_else_token1] = ACTIONS(1386),
    [aux_sym_preproc_elif_token1] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [aux_sym_preproc_else_token1] = ACTIONS(1350),
    [aux_sym_preproc_elif_token1] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [aux_sym_preproc_else_token1] = ACTIONS(1382),
    [aux_sym_preproc_elif_token1] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [aux_sym_preproc_else_token1] = ACTIONS(1338),
    [aux_sym_preproc_elif_token1] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [aux_sym_preproc_else_token1] = ACTIONS(1398),
    [aux_sym_preproc_elif_token1] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [aux_sym_preproc_else_token1] = ACTIONS(1378),
    [aux_sym_preproc_elif_token1] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [aux_sym_preproc_else_token1] = ACTIONS(1374),
    [aux_sym_preproc_elif_token1] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [aux_sym_preproc_else_token1] = ACTIONS(1316),
    [aux_sym_preproc_elif_token1] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [aux_sym_preproc_else_token1] = ACTIONS(1370),
    [aux_sym_preproc_elif_token1] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [aux_sym_preproc_else_token1] = ACTIONS(1366),
    [aux_sym_preproc_elif_token1] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [aux_sym_preproc_else_token1] = ACTIONS(1362),
    [aux_sym_preproc_elif_token1] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [aux_sym_preproc_else_token1] = ACTIONS(1358),
    [aux_sym_preproc_elif_token1] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [aux_sym_preproc_else_token1] = ACTIONS(1354),
    [aux_sym_preproc_elif_token1] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [aux_sym_preproc_else_token1] = ACTIONS(1346),
    [aux_sym_preproc_elif_token1] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [aux_sym_preproc_else_token1] = ACTIONS(1342),
    [aux_sym_preproc_elif_token1] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [aux_sym_preproc_else_token1] = ACTIONS(1302),
    [aux_sym_preproc_elif_token1] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [aux_sym_preproc_else_token1] = ACTIONS(1306),
    [aux_sym_preproc_elif_token1] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [aux_sym_preproc_else_token1] = ACTIONS(1334),
    [aux_sym_preproc_elif_token1] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [aux_sym_preproc_else_token1] = ACTIONS(1330),
    [aux_sym_preproc_elif_token1] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [aux_sym_preproc_else_token1] = ACTIONS(1298),
    [aux_sym_preproc_elif_token1] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [aux_sym_preproc_else_token1] = ACTIONS(1326),
    [aux_sym_preproc_elif_token1] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [aux_sym_preproc_else_token1] = ACTIONS(1322),
    [aux_sym_preproc_elif_token1] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [aux_sym_preproc_else_token1] = ACTIONS(1444),
    [aux_sym_preproc_elif_token1] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [aux_sym_preproc_else_token1] = ACTIONS(1436),
    [aux_sym_preproc_elif_token1] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [aux_sym_preproc_else_token1] = ACTIONS(1496),
    [aux_sym_preproc_elif_token1] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [aux_sym_preproc_else_token1] = ACTIONS(1492),
    [aux_sym_preproc_elif_token1] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [aux_sym_preproc_else_token1] = ACTIONS(1484),
    [aux_sym_preproc_elif_token1] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [207] = {
    [sym_else_clause] = STATE(310),
    [ts_builtin_sym_end] = ACTIONS(1294),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1508),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [aux_sym_preproc_else_token1] = ACTIONS(1480),
    [aux_sym_preproc_elif_token1] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [aux_sym_preproc_else_token1] = ACTIONS(1476),
    [aux_sym_preproc_elif_token1] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [aux_sym_preproc_else_token1] = ACTIONS(1472),
    [aux_sym_preproc_elif_token1] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [aux_sym_preproc_else_token1] = ACTIONS(1468),
    [aux_sym_preproc_elif_token1] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [aux_sym_preproc_else_token1] = ACTIONS(1464),
    [aux_sym_preproc_elif_token1] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [213] = {
    [sym_else_clause] = STATE(254),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_RBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1510),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [aux_sym_preproc_else_token1] = ACTIONS(1460),
    [aux_sym_preproc_elif_token1] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [aux_sym_preproc_else_token1] = ACTIONS(1448),
    [aux_sym_preproc_elif_token1] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [aux_sym_preproc_else_token1] = ACTIONS(1500),
    [aux_sym_preproc_elif_token1] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [aux_sym_preproc_else_token1] = ACTIONS(1402),
    [aux_sym_preproc_elif_token1] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [aux_sym_preproc_else_token1] = ACTIONS(1504),
    [aux_sym_preproc_elif_token1] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [aux_sym_preproc_else_token1] = ACTIONS(1406),
    [aux_sym_preproc_elif_token1] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [aux_sym_preproc_else_token1] = ACTIONS(1420),
    [aux_sym_preproc_elif_token1] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [aux_sym_preproc_else_token1] = ACTIONS(1410),
    [aux_sym_preproc_elif_token1] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [aux_sym_preproc_else_token1] = ACTIONS(1428),
    [aux_sym_preproc_elif_token1] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [aux_sym_preproc_else_token1] = ACTIONS(1416),
    [aux_sym_preproc_elif_token1] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [aux_sym_preproc_else_token1] = ACTIONS(1432),
    [aux_sym_preproc_elif_token1] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [aux_sym_preproc_else_token1] = ACTIONS(1440),
    [aux_sym_preproc_elif_token1] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [226] = {
    [sym_else_clause] = STATE(351),
    [sym_identifier] = ACTIONS(1292),
    [aux_sym_preproc_include_token1] = ACTIONS(1292),
    [aux_sym_preproc_def_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token1] = ACTIONS(1292),
    [aux_sym_preproc_if_token2] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1292),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1292),
    [sym_preproc_directive] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym___cdecl] = ACTIONS(1292),
    [anon_sym___clrcall] = ACTIONS(1292),
    [anon_sym___stdcall] = ACTIONS(1292),
    [anon_sym___fastcall] = ACTIONS(1292),
    [anon_sym___thiscall] = ACTIONS(1292),
    [anon_sym___vectorcall] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1512),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_case] = ACTIONS(1292),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [aux_sym_preproc_else_token1] = ACTIONS(1452),
    [aux_sym_preproc_elif_token1] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [aux_sym_preproc_else_token1] = ACTIONS(1456),
    [aux_sym_preproc_elif_token1] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [aux_sym_preproc_else_token1] = ACTIONS(1488),
    [aux_sym_preproc_elif_token1] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [aux_sym_preproc_else_token1] = ACTIONS(1424),
    [aux_sym_preproc_elif_token1] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token2] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(1320),
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_RBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_RBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_RBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_RBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_RBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1380),
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1376),
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_RBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_RBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_RBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_RBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_RBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_RBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_RBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_RBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_RBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_RBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_RBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1400),
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1344),
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_RBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym__expression] = STATE(756),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(758),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(758),
    [sym_call_expression] = STATE(758),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(758),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(758),
    [sym_initializer_list] = STATE(755),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1518),
    [anon_sym_TILDE] = ACTIONS(1520),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1522),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1526),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_RBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(1328),
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_RBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_RBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_RBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1372),
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(1368),
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_RBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_RBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1340),
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1364),
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1360),
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token2] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1356),
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(1308),
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(1300),
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(1324),
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [303] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_RBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1338),
    [aux_sym_preproc_include_token1] = ACTIONS(1338),
    [aux_sym_preproc_def_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token1] = ACTIONS(1338),
    [aux_sym_preproc_if_token2] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1338),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1338),
    [sym_preproc_directive] = ACTIONS(1338),
    [anon_sym_LPAREN2] = ACTIONS(1340),
    [anon_sym_BANG] = ACTIONS(1340),
    [anon_sym_TILDE] = ACTIONS(1340),
    [anon_sym_DASH] = ACTIONS(1338),
    [anon_sym_PLUS] = ACTIONS(1338),
    [anon_sym_STAR] = ACTIONS(1340),
    [anon_sym_AMP] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1340),
    [anon_sym___extension__] = ACTIONS(1338),
    [anon_sym_typedef] = ACTIONS(1338),
    [anon_sym_extern] = ACTIONS(1338),
    [anon_sym___attribute__] = ACTIONS(1338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1340),
    [anon_sym___declspec] = ACTIONS(1338),
    [anon_sym___cdecl] = ACTIONS(1338),
    [anon_sym___clrcall] = ACTIONS(1338),
    [anon_sym___stdcall] = ACTIONS(1338),
    [anon_sym___fastcall] = ACTIONS(1338),
    [anon_sym___thiscall] = ACTIONS(1338),
    [anon_sym___vectorcall] = ACTIONS(1338),
    [anon_sym_LBRACE] = ACTIONS(1340),
    [anon_sym_signed] = ACTIONS(1338),
    [anon_sym_unsigned] = ACTIONS(1338),
    [anon_sym_long] = ACTIONS(1338),
    [anon_sym_short] = ACTIONS(1338),
    [anon_sym_static] = ACTIONS(1338),
    [anon_sym_auto] = ACTIONS(1338),
    [anon_sym_register] = ACTIONS(1338),
    [anon_sym_inline] = ACTIONS(1338),
    [anon_sym___inline] = ACTIONS(1338),
    [anon_sym___inline__] = ACTIONS(1338),
    [anon_sym___forceinline] = ACTIONS(1338),
    [anon_sym_thread_local] = ACTIONS(1338),
    [anon_sym___thread] = ACTIONS(1338),
    [anon_sym_const] = ACTIONS(1338),
    [anon_sym_constexpr] = ACTIONS(1338),
    [anon_sym_volatile] = ACTIONS(1338),
    [anon_sym_restrict] = ACTIONS(1338),
    [anon_sym___restrict__] = ACTIONS(1338),
    [anon_sym__Atomic] = ACTIONS(1338),
    [anon_sym__Noreturn] = ACTIONS(1338),
    [anon_sym_noreturn] = ACTIONS(1338),
    [sym_primitive_type] = ACTIONS(1338),
    [anon_sym_enum] = ACTIONS(1338),
    [anon_sym_struct] = ACTIONS(1338),
    [anon_sym_union] = ACTIONS(1338),
    [anon_sym_if] = ACTIONS(1338),
    [anon_sym_else] = ACTIONS(1338),
    [anon_sym_switch] = ACTIONS(1338),
    [anon_sym_case] = ACTIONS(1338),
    [anon_sym_default] = ACTIONS(1338),
    [anon_sym_while] = ACTIONS(1338),
    [anon_sym_do] = ACTIONS(1338),
    [anon_sym_for] = ACTIONS(1338),
    [anon_sym_return] = ACTIONS(1338),
    [anon_sym_break] = ACTIONS(1338),
    [anon_sym_continue] = ACTIONS(1338),
    [anon_sym_goto] = ACTIONS(1338),
    [anon_sym___try] = ACTIONS(1338),
    [anon_sym___leave] = ACTIONS(1338),
    [anon_sym_DASH_DASH] = ACTIONS(1340),
    [anon_sym_PLUS_PLUS] = ACTIONS(1340),
    [anon_sym_sizeof] = ACTIONS(1338),
    [anon_sym___alignof__] = ACTIONS(1338),
    [anon_sym___alignof] = ACTIONS(1338),
    [anon_sym__alignof] = ACTIONS(1338),
    [anon_sym_alignof] = ACTIONS(1338),
    [anon_sym__Alignof] = ACTIONS(1338),
    [anon_sym_offsetof] = ACTIONS(1338),
    [anon_sym__Generic] = ACTIONS(1338),
    [anon_sym_asm] = ACTIONS(1338),
    [anon_sym___asm__] = ACTIONS(1338),
    [sym_number_literal] = ACTIONS(1340),
    [anon_sym_L_SQUOTE] = ACTIONS(1340),
    [anon_sym_u_SQUOTE] = ACTIONS(1340),
    [anon_sym_U_SQUOTE] = ACTIONS(1340),
    [anon_sym_u8_SQUOTE] = ACTIONS(1340),
    [anon_sym_SQUOTE] = ACTIONS(1340),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1338),
    [sym_false] = ACTIONS(1338),
    [anon_sym_NULL] = ACTIONS(1338),
    [anon_sym_nullptr] = ACTIONS(1338),
    [sym_comment] = ACTIONS(3),
  },
  [306] = {
    [sym_identifier] = ACTIONS(1398),
    [aux_sym_preproc_include_token1] = ACTIONS(1398),
    [aux_sym_preproc_def_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token1] = ACTIONS(1398),
    [aux_sym_preproc_if_token2] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1398),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1398),
    [sym_preproc_directive] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1400),
    [anon_sym_BANG] = ACTIONS(1400),
    [anon_sym_TILDE] = ACTIONS(1400),
    [anon_sym_DASH] = ACTIONS(1398),
    [anon_sym_PLUS] = ACTIONS(1398),
    [anon_sym_STAR] = ACTIONS(1400),
    [anon_sym_AMP] = ACTIONS(1400),
    [anon_sym_SEMI] = ACTIONS(1400),
    [anon_sym___extension__] = ACTIONS(1398),
    [anon_sym_typedef] = ACTIONS(1398),
    [anon_sym_extern] = ACTIONS(1398),
    [anon_sym___attribute__] = ACTIONS(1398),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1400),
    [anon_sym___declspec] = ACTIONS(1398),
    [anon_sym___cdecl] = ACTIONS(1398),
    [anon_sym___clrcall] = ACTIONS(1398),
    [anon_sym___stdcall] = ACTIONS(1398),
    [anon_sym___fastcall] = ACTIONS(1398),
    [anon_sym___thiscall] = ACTIONS(1398),
    [anon_sym___vectorcall] = ACTIONS(1398),
    [anon_sym_LBRACE] = ACTIONS(1400),
    [anon_sym_signed] = ACTIONS(1398),
    [anon_sym_unsigned] = ACTIONS(1398),
    [anon_sym_long] = ACTIONS(1398),
    [anon_sym_short] = ACTIONS(1398),
    [anon_sym_static] = ACTIONS(1398),
    [anon_sym_auto] = ACTIONS(1398),
    [anon_sym_register] = ACTIONS(1398),
    [anon_sym_inline] = ACTIONS(1398),
    [anon_sym___inline] = ACTIONS(1398),
    [anon_sym___inline__] = ACTIONS(1398),
    [anon_sym___forceinline] = ACTIONS(1398),
    [anon_sym_thread_local] = ACTIONS(1398),
    [anon_sym___thread] = ACTIONS(1398),
    [anon_sym_const] = ACTIONS(1398),
    [anon_sym_constexpr] = ACTIONS(1398),
    [anon_sym_volatile] = ACTIONS(1398),
    [anon_sym_restrict] = ACTIONS(1398),
    [anon_sym___restrict__] = ACTIONS(1398),
    [anon_sym__Atomic] = ACTIONS(1398),
    [anon_sym__Noreturn] = ACTIONS(1398),
    [anon_sym_noreturn] = ACTIONS(1398),
    [sym_primitive_type] = ACTIONS(1398),
    [anon_sym_enum] = ACTIONS(1398),
    [anon_sym_struct] = ACTIONS(1398),
    [anon_sym_union] = ACTIONS(1398),
    [anon_sym_if] = ACTIONS(1398),
    [anon_sym_else] = ACTIONS(1398),
    [anon_sym_switch] = ACTIONS(1398),
    [anon_sym_case] = ACTIONS(1398),
    [anon_sym_default] = ACTIONS(1398),
    [anon_sym_while] = ACTIONS(1398),
    [anon_sym_do] = ACTIONS(1398),
    [anon_sym_for] = ACTIONS(1398),
    [anon_sym_return] = ACTIONS(1398),
    [anon_sym_break] = ACTIONS(1398),
    [anon_sym_continue] = ACTIONS(1398),
    [anon_sym_goto] = ACTIONS(1398),
    [anon_sym___try] = ACTIONS(1398),
    [anon_sym___leave] = ACTIONS(1398),
    [anon_sym_DASH_DASH] = ACTIONS(1400),
    [anon_sym_PLUS_PLUS] = ACTIONS(1400),
    [anon_sym_sizeof] = ACTIONS(1398),
    [anon_sym___alignof__] = ACTIONS(1398),
    [anon_sym___alignof] = ACTIONS(1398),
    [anon_sym__alignof] = ACTIONS(1398),
    [anon_sym_alignof] = ACTIONS(1398),
    [anon_sym__Alignof] = ACTIONS(1398),
    [anon_sym_offsetof] = ACTIONS(1398),
    [anon_sym__Generic] = ACTIONS(1398),
    [anon_sym_asm] = ACTIONS(1398),
    [anon_sym___asm__] = ACTIONS(1398),
    [sym_number_literal] = ACTIONS(1400),
    [anon_sym_L_SQUOTE] = ACTIONS(1400),
    [anon_sym_u_SQUOTE] = ACTIONS(1400),
    [anon_sym_U_SQUOTE] = ACTIONS(1400),
    [anon_sym_u8_SQUOTE] = ACTIONS(1400),
    [anon_sym_SQUOTE] = ACTIONS(1400),
    [anon_sym_L_DQUOTE] = ACTIONS(1400),
    [anon_sym_u_DQUOTE] = ACTIONS(1400),
    [anon_sym_U_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8_DQUOTE] = ACTIONS(1400),
    [anon_sym_DQUOTE] = ACTIONS(1400),
    [sym_true] = ACTIONS(1398),
    [sym_false] = ACTIONS(1398),
    [anon_sym_NULL] = ACTIONS(1398),
    [anon_sym_nullptr] = ACTIONS(1398),
    [sym_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1352),
    [sym_identifier] = ACTIONS(1350),
    [aux_sym_preproc_include_token1] = ACTIONS(1350),
    [aux_sym_preproc_def_token1] = ACTIONS(1350),
    [aux_sym_preproc_if_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1350),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1350),
    [sym_preproc_directive] = ACTIONS(1350),
    [anon_sym_LPAREN2] = ACTIONS(1352),
    [anon_sym_BANG] = ACTIONS(1352),
    [anon_sym_TILDE] = ACTIONS(1352),
    [anon_sym_DASH] = ACTIONS(1350),
    [anon_sym_PLUS] = ACTIONS(1350),
    [anon_sym_STAR] = ACTIONS(1352),
    [anon_sym_AMP] = ACTIONS(1352),
    [anon_sym_SEMI] = ACTIONS(1352),
    [anon_sym___extension__] = ACTIONS(1350),
    [anon_sym_typedef] = ACTIONS(1350),
    [anon_sym_extern] = ACTIONS(1350),
    [anon_sym___attribute__] = ACTIONS(1350),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1352),
    [anon_sym___declspec] = ACTIONS(1350),
    [anon_sym___cdecl] = ACTIONS(1350),
    [anon_sym___clrcall] = ACTIONS(1350),
    [anon_sym___stdcall] = ACTIONS(1350),
    [anon_sym___fastcall] = ACTIONS(1350),
    [anon_sym___thiscall] = ACTIONS(1350),
    [anon_sym___vectorcall] = ACTIONS(1350),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1350),
    [anon_sym_unsigned] = ACTIONS(1350),
    [anon_sym_long] = ACTIONS(1350),
    [anon_sym_short] = ACTIONS(1350),
    [anon_sym_static] = ACTIONS(1350),
    [anon_sym_auto] = ACTIONS(1350),
    [anon_sym_register] = ACTIONS(1350),
    [anon_sym_inline] = ACTIONS(1350),
    [anon_sym___inline] = ACTIONS(1350),
    [anon_sym___inline__] = ACTIONS(1350),
    [anon_sym___forceinline] = ACTIONS(1350),
    [anon_sym_thread_local] = ACTIONS(1350),
    [anon_sym___thread] = ACTIONS(1350),
    [anon_sym_const] = ACTIONS(1350),
    [anon_sym_constexpr] = ACTIONS(1350),
    [anon_sym_volatile] = ACTIONS(1350),
    [anon_sym_restrict] = ACTIONS(1350),
    [anon_sym___restrict__] = ACTIONS(1350),
    [anon_sym__Atomic] = ACTIONS(1350),
    [anon_sym__Noreturn] = ACTIONS(1350),
    [anon_sym_noreturn] = ACTIONS(1350),
    [sym_primitive_type] = ACTIONS(1350),
    [anon_sym_enum] = ACTIONS(1350),
    [anon_sym_struct] = ACTIONS(1350),
    [anon_sym_union] = ACTIONS(1350),
    [anon_sym_if] = ACTIONS(1350),
    [anon_sym_else] = ACTIONS(1350),
    [anon_sym_switch] = ACTIONS(1350),
    [anon_sym_case] = ACTIONS(1350),
    [anon_sym_default] = ACTIONS(1350),
    [anon_sym_while] = ACTIONS(1350),
    [anon_sym_do] = ACTIONS(1350),
    [anon_sym_for] = ACTIONS(1350),
    [anon_sym_return] = ACTIONS(1350),
    [anon_sym_break] = ACTIONS(1350),
    [anon_sym_continue] = ACTIONS(1350),
    [anon_sym_goto] = ACTIONS(1350),
    [anon_sym___try] = ACTIONS(1350),
    [anon_sym___leave] = ACTIONS(1350),
    [anon_sym_DASH_DASH] = ACTIONS(1352),
    [anon_sym_PLUS_PLUS] = ACTIONS(1352),
    [anon_sym_sizeof] = ACTIONS(1350),
    [anon_sym___alignof__] = ACTIONS(1350),
    [anon_sym___alignof] = ACTIONS(1350),
    [anon_sym__alignof] = ACTIONS(1350),
    [anon_sym_alignof] = ACTIONS(1350),
    [anon_sym__Alignof] = ACTIONS(1350),
    [anon_sym_offsetof] = ACTIONS(1350),
    [anon_sym__Generic] = ACTIONS(1350),
    [anon_sym_asm] = ACTIONS(1350),
    [anon_sym___asm__] = ACTIONS(1350),
    [sym_number_literal] = ACTIONS(1352),
    [anon_sym_L_SQUOTE] = ACTIONS(1352),
    [anon_sym_u_SQUOTE] = ACTIONS(1352),
    [anon_sym_U_SQUOTE] = ACTIONS(1352),
    [anon_sym_u8_SQUOTE] = ACTIONS(1352),
    [anon_sym_SQUOTE] = ACTIONS(1352),
    [anon_sym_L_DQUOTE] = ACTIONS(1352),
    [anon_sym_u_DQUOTE] = ACTIONS(1352),
    [anon_sym_U_DQUOTE] = ACTIONS(1352),
    [anon_sym_u8_DQUOTE] = ACTIONS(1352),
    [anon_sym_DQUOTE] = ACTIONS(1352),
    [sym_true] = ACTIONS(1350),
    [sym_false] = ACTIONS(1350),
    [anon_sym_NULL] = ACTIONS(1350),
    [anon_sym_nullptr] = ACTIONS(1350),
    [sym_comment] = ACTIONS(3),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1336),
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(1384),
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1304),
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1388),
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1392),
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1396),
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [316] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [317] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [318] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_RBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1318),
    [aux_sym_preproc_include_token1] = ACTIONS(1318),
    [aux_sym_preproc_def_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token1] = ACTIONS(1318),
    [aux_sym_preproc_if_token2] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1318),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1318),
    [sym_preproc_directive] = ACTIONS(1318),
    [anon_sym_LPAREN2] = ACTIONS(1320),
    [anon_sym_BANG] = ACTIONS(1320),
    [anon_sym_TILDE] = ACTIONS(1320),
    [anon_sym_DASH] = ACTIONS(1318),
    [anon_sym_PLUS] = ACTIONS(1318),
    [anon_sym_STAR] = ACTIONS(1320),
    [anon_sym_AMP] = ACTIONS(1320),
    [anon_sym_SEMI] = ACTIONS(1320),
    [anon_sym___extension__] = ACTIONS(1318),
    [anon_sym_typedef] = ACTIONS(1318),
    [anon_sym_extern] = ACTIONS(1318),
    [anon_sym___attribute__] = ACTIONS(1318),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1320),
    [anon_sym___declspec] = ACTIONS(1318),
    [anon_sym___cdecl] = ACTIONS(1318),
    [anon_sym___clrcall] = ACTIONS(1318),
    [anon_sym___stdcall] = ACTIONS(1318),
    [anon_sym___fastcall] = ACTIONS(1318),
    [anon_sym___thiscall] = ACTIONS(1318),
    [anon_sym___vectorcall] = ACTIONS(1318),
    [anon_sym_LBRACE] = ACTIONS(1320),
    [anon_sym_signed] = ACTIONS(1318),
    [anon_sym_unsigned] = ACTIONS(1318),
    [anon_sym_long] = ACTIONS(1318),
    [anon_sym_short] = ACTIONS(1318),
    [anon_sym_static] = ACTIONS(1318),
    [anon_sym_auto] = ACTIONS(1318),
    [anon_sym_register] = ACTIONS(1318),
    [anon_sym_inline] = ACTIONS(1318),
    [anon_sym___inline] = ACTIONS(1318),
    [anon_sym___inline__] = ACTIONS(1318),
    [anon_sym___forceinline] = ACTIONS(1318),
    [anon_sym_thread_local] = ACTIONS(1318),
    [anon_sym___thread] = ACTIONS(1318),
    [anon_sym_const] = ACTIONS(1318),
    [anon_sym_constexpr] = ACTIONS(1318),
    [anon_sym_volatile] = ACTIONS(1318),
    [anon_sym_restrict] = ACTIONS(1318),
    [anon_sym___restrict__] = ACTIONS(1318),
    [anon_sym__Atomic] = ACTIONS(1318),
    [anon_sym__Noreturn] = ACTIONS(1318),
    [anon_sym_noreturn] = ACTIONS(1318),
    [sym_primitive_type] = ACTIONS(1318),
    [anon_sym_enum] = ACTIONS(1318),
    [anon_sym_struct] = ACTIONS(1318),
    [anon_sym_union] = ACTIONS(1318),
    [anon_sym_if] = ACTIONS(1318),
    [anon_sym_else] = ACTIONS(1318),
    [anon_sym_switch] = ACTIONS(1318),
    [anon_sym_case] = ACTIONS(1318),
    [anon_sym_default] = ACTIONS(1318),
    [anon_sym_while] = ACTIONS(1318),
    [anon_sym_do] = ACTIONS(1318),
    [anon_sym_for] = ACTIONS(1318),
    [anon_sym_return] = ACTIONS(1318),
    [anon_sym_break] = ACTIONS(1318),
    [anon_sym_continue] = ACTIONS(1318),
    [anon_sym_goto] = ACTIONS(1318),
    [anon_sym___try] = ACTIONS(1318),
    [anon_sym___leave] = ACTIONS(1318),
    [anon_sym_DASH_DASH] = ACTIONS(1320),
    [anon_sym_PLUS_PLUS] = ACTIONS(1320),
    [anon_sym_sizeof] = ACTIONS(1318),
    [anon_sym___alignof__] = ACTIONS(1318),
    [anon_sym___alignof] = ACTIONS(1318),
    [anon_sym__alignof] = ACTIONS(1318),
    [anon_sym_alignof] = ACTIONS(1318),
    [anon_sym__Alignof] = ACTIONS(1318),
    [anon_sym_offsetof] = ACTIONS(1318),
    [anon_sym__Generic] = ACTIONS(1318),
    [anon_sym_asm] = ACTIONS(1318),
    [anon_sym___asm__] = ACTIONS(1318),
    [sym_number_literal] = ACTIONS(1320),
    [anon_sym_L_SQUOTE] = ACTIONS(1320),
    [anon_sym_u_SQUOTE] = ACTIONS(1320),
    [anon_sym_U_SQUOTE] = ACTIONS(1320),
    [anon_sym_u8_SQUOTE] = ACTIONS(1320),
    [anon_sym_SQUOTE] = ACTIONS(1320),
    [anon_sym_L_DQUOTE] = ACTIONS(1320),
    [anon_sym_u_DQUOTE] = ACTIONS(1320),
    [anon_sym_U_DQUOTE] = ACTIONS(1320),
    [anon_sym_u8_DQUOTE] = ACTIONS(1320),
    [anon_sym_DQUOTE] = ACTIONS(1320),
    [sym_true] = ACTIONS(1318),
    [sym_false] = ACTIONS(1318),
    [anon_sym_NULL] = ACTIONS(1318),
    [anon_sym_nullptr] = ACTIONS(1318),
    [sym_comment] = ACTIONS(3),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1312),
    [aux_sym_preproc_include_token1] = ACTIONS(1312),
    [aux_sym_preproc_def_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token1] = ACTIONS(1312),
    [aux_sym_preproc_if_token2] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1312),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1312),
    [sym_preproc_directive] = ACTIONS(1312),
    [anon_sym_LPAREN2] = ACTIONS(1310),
    [anon_sym_BANG] = ACTIONS(1310),
    [anon_sym_TILDE] = ACTIONS(1310),
    [anon_sym_DASH] = ACTIONS(1312),
    [anon_sym_PLUS] = ACTIONS(1312),
    [anon_sym_STAR] = ACTIONS(1310),
    [anon_sym_AMP] = ACTIONS(1310),
    [anon_sym_SEMI] = ACTIONS(1310),
    [anon_sym___extension__] = ACTIONS(1312),
    [anon_sym_typedef] = ACTIONS(1312),
    [anon_sym_extern] = ACTIONS(1312),
    [anon_sym___attribute__] = ACTIONS(1312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1310),
    [anon_sym___declspec] = ACTIONS(1312),
    [anon_sym___cdecl] = ACTIONS(1312),
    [anon_sym___clrcall] = ACTIONS(1312),
    [anon_sym___stdcall] = ACTIONS(1312),
    [anon_sym___fastcall] = ACTIONS(1312),
    [anon_sym___thiscall] = ACTIONS(1312),
    [anon_sym___vectorcall] = ACTIONS(1312),
    [anon_sym_LBRACE] = ACTIONS(1310),
    [anon_sym_signed] = ACTIONS(1312),
    [anon_sym_unsigned] = ACTIONS(1312),
    [anon_sym_long] = ACTIONS(1312),
    [anon_sym_short] = ACTIONS(1312),
    [anon_sym_static] = ACTIONS(1312),
    [anon_sym_auto] = ACTIONS(1312),
    [anon_sym_register] = ACTIONS(1312),
    [anon_sym_inline] = ACTIONS(1312),
    [anon_sym___inline] = ACTIONS(1312),
    [anon_sym___inline__] = ACTIONS(1312),
    [anon_sym___forceinline] = ACTIONS(1312),
    [anon_sym_thread_local] = ACTIONS(1312),
    [anon_sym___thread] = ACTIONS(1312),
    [anon_sym_const] = ACTIONS(1312),
    [anon_sym_constexpr] = ACTIONS(1312),
    [anon_sym_volatile] = ACTIONS(1312),
    [anon_sym_restrict] = ACTIONS(1312),
    [anon_sym___restrict__] = ACTIONS(1312),
    [anon_sym__Atomic] = ACTIONS(1312),
    [anon_sym__Noreturn] = ACTIONS(1312),
    [anon_sym_noreturn] = ACTIONS(1312),
    [sym_primitive_type] = ACTIONS(1312),
    [anon_sym_enum] = ACTIONS(1312),
    [anon_sym_struct] = ACTIONS(1312),
    [anon_sym_union] = ACTIONS(1312),
    [anon_sym_if] = ACTIONS(1312),
    [anon_sym_else] = ACTIONS(1312),
    [anon_sym_switch] = ACTIONS(1312),
    [anon_sym_case] = ACTIONS(1312),
    [anon_sym_default] = ACTIONS(1312),
    [anon_sym_while] = ACTIONS(1312),
    [anon_sym_do] = ACTIONS(1312),
    [anon_sym_for] = ACTIONS(1312),
    [anon_sym_return] = ACTIONS(1312),
    [anon_sym_break] = ACTIONS(1312),
    [anon_sym_continue] = ACTIONS(1312),
    [anon_sym_goto] = ACTIONS(1312),
    [anon_sym___try] = ACTIONS(1312),
    [anon_sym___leave] = ACTIONS(1312),
    [anon_sym_DASH_DASH] = ACTIONS(1310),
    [anon_sym_PLUS_PLUS] = ACTIONS(1310),
    [anon_sym_sizeof] = ACTIONS(1312),
    [anon_sym___alignof__] = ACTIONS(1312),
    [anon_sym___alignof] = ACTIONS(1312),
    [anon_sym__alignof] = ACTIONS(1312),
    [anon_sym_alignof] = ACTIONS(1312),
    [anon_sym__Alignof] = ACTIONS(1312),
    [anon_sym_offsetof] = ACTIONS(1312),
    [anon_sym__Generic] = ACTIONS(1312),
    [anon_sym_asm] = ACTIONS(1312),
    [anon_sym___asm__] = ACTIONS(1312),
    [sym_number_literal] = ACTIONS(1310),
    [anon_sym_L_SQUOTE] = ACTIONS(1310),
    [anon_sym_u_SQUOTE] = ACTIONS(1310),
    [anon_sym_U_SQUOTE] = ACTIONS(1310),
    [anon_sym_u8_SQUOTE] = ACTIONS(1310),
    [anon_sym_SQUOTE] = ACTIONS(1310),
    [anon_sym_L_DQUOTE] = ACTIONS(1310),
    [anon_sym_u_DQUOTE] = ACTIONS(1310),
    [anon_sym_U_DQUOTE] = ACTIONS(1310),
    [anon_sym_u8_DQUOTE] = ACTIONS(1310),
    [anon_sym_DQUOTE] = ACTIONS(1310),
    [sym_true] = ACTIONS(1312),
    [sym_false] = ACTIONS(1312),
    [anon_sym_NULL] = ACTIONS(1312),
    [anon_sym_nullptr] = ACTIONS(1312),
    [sym_comment] = ACTIONS(3),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1394),
    [aux_sym_preproc_include_token1] = ACTIONS(1394),
    [aux_sym_preproc_def_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token1] = ACTIONS(1394),
    [aux_sym_preproc_if_token2] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1394),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1394),
    [sym_preproc_directive] = ACTIONS(1394),
    [anon_sym_LPAREN2] = ACTIONS(1396),
    [anon_sym_BANG] = ACTIONS(1396),
    [anon_sym_TILDE] = ACTIONS(1396),
    [anon_sym_DASH] = ACTIONS(1394),
    [anon_sym_PLUS] = ACTIONS(1394),
    [anon_sym_STAR] = ACTIONS(1396),
    [anon_sym_AMP] = ACTIONS(1396),
    [anon_sym_SEMI] = ACTIONS(1396),
    [anon_sym___extension__] = ACTIONS(1394),
    [anon_sym_typedef] = ACTIONS(1394),
    [anon_sym_extern] = ACTIONS(1394),
    [anon_sym___attribute__] = ACTIONS(1394),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1396),
    [anon_sym___declspec] = ACTIONS(1394),
    [anon_sym___cdecl] = ACTIONS(1394),
    [anon_sym___clrcall] = ACTIONS(1394),
    [anon_sym___stdcall] = ACTIONS(1394),
    [anon_sym___fastcall] = ACTIONS(1394),
    [anon_sym___thiscall] = ACTIONS(1394),
    [anon_sym___vectorcall] = ACTIONS(1394),
    [anon_sym_LBRACE] = ACTIONS(1396),
    [anon_sym_signed] = ACTIONS(1394),
    [anon_sym_unsigned] = ACTIONS(1394),
    [anon_sym_long] = ACTIONS(1394),
    [anon_sym_short] = ACTIONS(1394),
    [anon_sym_static] = ACTIONS(1394),
    [anon_sym_auto] = ACTIONS(1394),
    [anon_sym_register] = ACTIONS(1394),
    [anon_sym_inline] = ACTIONS(1394),
    [anon_sym___inline] = ACTIONS(1394),
    [anon_sym___inline__] = ACTIONS(1394),
    [anon_sym___forceinline] = ACTIONS(1394),
    [anon_sym_thread_local] = ACTIONS(1394),
    [anon_sym___thread] = ACTIONS(1394),
    [anon_sym_const] = ACTIONS(1394),
    [anon_sym_constexpr] = ACTIONS(1394),
    [anon_sym_volatile] = ACTIONS(1394),
    [anon_sym_restrict] = ACTIONS(1394),
    [anon_sym___restrict__] = ACTIONS(1394),
    [anon_sym__Atomic] = ACTIONS(1394),
    [anon_sym__Noreturn] = ACTIONS(1394),
    [anon_sym_noreturn] = ACTIONS(1394),
    [sym_primitive_type] = ACTIONS(1394),
    [anon_sym_enum] = ACTIONS(1394),
    [anon_sym_struct] = ACTIONS(1394),
    [anon_sym_union] = ACTIONS(1394),
    [anon_sym_if] = ACTIONS(1394),
    [anon_sym_else] = ACTIONS(1394),
    [anon_sym_switch] = ACTIONS(1394),
    [anon_sym_case] = ACTIONS(1394),
    [anon_sym_default] = ACTIONS(1394),
    [anon_sym_while] = ACTIONS(1394),
    [anon_sym_do] = ACTIONS(1394),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(1394),
    [anon_sym_break] = ACTIONS(1394),
    [anon_sym_continue] = ACTIONS(1394),
    [anon_sym_goto] = ACTIONS(1394),
    [anon_sym___try] = ACTIONS(1394),
    [anon_sym___leave] = ACTIONS(1394),
    [anon_sym_DASH_DASH] = ACTIONS(1396),
    [anon_sym_PLUS_PLUS] = ACTIONS(1396),
    [anon_sym_sizeof] = ACTIONS(1394),
    [anon_sym___alignof__] = ACTIONS(1394),
    [anon_sym___alignof] = ACTIONS(1394),
    [anon_sym__alignof] = ACTIONS(1394),
    [anon_sym_alignof] = ACTIONS(1394),
    [anon_sym__Alignof] = ACTIONS(1394),
    [anon_sym_offsetof] = ACTIONS(1394),
    [anon_sym__Generic] = ACTIONS(1394),
    [anon_sym_asm] = ACTIONS(1394),
    [anon_sym___asm__] = ACTIONS(1394),
    [sym_number_literal] = ACTIONS(1396),
    [anon_sym_L_SQUOTE] = ACTIONS(1396),
    [anon_sym_u_SQUOTE] = ACTIONS(1396),
    [anon_sym_U_SQUOTE] = ACTIONS(1396),
    [anon_sym_u8_SQUOTE] = ACTIONS(1396),
    [anon_sym_SQUOTE] = ACTIONS(1396),
    [anon_sym_L_DQUOTE] = ACTIONS(1396),
    [anon_sym_u_DQUOTE] = ACTIONS(1396),
    [anon_sym_U_DQUOTE] = ACTIONS(1396),
    [anon_sym_u8_DQUOTE] = ACTIONS(1396),
    [anon_sym_DQUOTE] = ACTIONS(1396),
    [sym_true] = ACTIONS(1394),
    [sym_false] = ACTIONS(1394),
    [anon_sym_NULL] = ACTIONS(1394),
    [anon_sym_nullptr] = ACTIONS(1394),
    [sym_comment] = ACTIONS(3),
  },
  [325] = {
    [sym_identifier] = ACTIONS(1390),
    [aux_sym_preproc_include_token1] = ACTIONS(1390),
    [aux_sym_preproc_def_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token1] = ACTIONS(1390),
    [aux_sym_preproc_if_token2] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1390),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1390),
    [sym_preproc_directive] = ACTIONS(1390),
    [anon_sym_LPAREN2] = ACTIONS(1392),
    [anon_sym_BANG] = ACTIONS(1392),
    [anon_sym_TILDE] = ACTIONS(1392),
    [anon_sym_DASH] = ACTIONS(1390),
    [anon_sym_PLUS] = ACTIONS(1390),
    [anon_sym_STAR] = ACTIONS(1392),
    [anon_sym_AMP] = ACTIONS(1392),
    [anon_sym_SEMI] = ACTIONS(1392),
    [anon_sym___extension__] = ACTIONS(1390),
    [anon_sym_typedef] = ACTIONS(1390),
    [anon_sym_extern] = ACTIONS(1390),
    [anon_sym___attribute__] = ACTIONS(1390),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1392),
    [anon_sym___declspec] = ACTIONS(1390),
    [anon_sym___cdecl] = ACTIONS(1390),
    [anon_sym___clrcall] = ACTIONS(1390),
    [anon_sym___stdcall] = ACTIONS(1390),
    [anon_sym___fastcall] = ACTIONS(1390),
    [anon_sym___thiscall] = ACTIONS(1390),
    [anon_sym___vectorcall] = ACTIONS(1390),
    [anon_sym_LBRACE] = ACTIONS(1392),
    [anon_sym_signed] = ACTIONS(1390),
    [anon_sym_unsigned] = ACTIONS(1390),
    [anon_sym_long] = ACTIONS(1390),
    [anon_sym_short] = ACTIONS(1390),
    [anon_sym_static] = ACTIONS(1390),
    [anon_sym_auto] = ACTIONS(1390),
    [anon_sym_register] = ACTIONS(1390),
    [anon_sym_inline] = ACTIONS(1390),
    [anon_sym___inline] = ACTIONS(1390),
    [anon_sym___inline__] = ACTIONS(1390),
    [anon_sym___forceinline] = ACTIONS(1390),
    [anon_sym_thread_local] = ACTIONS(1390),
    [anon_sym___thread] = ACTIONS(1390),
    [anon_sym_const] = ACTIONS(1390),
    [anon_sym_constexpr] = ACTIONS(1390),
    [anon_sym_volatile] = ACTIONS(1390),
    [anon_sym_restrict] = ACTIONS(1390),
    [anon_sym___restrict__] = ACTIONS(1390),
    [anon_sym__Atomic] = ACTIONS(1390),
    [anon_sym__Noreturn] = ACTIONS(1390),
    [anon_sym_noreturn] = ACTIONS(1390),
    [sym_primitive_type] = ACTIONS(1390),
    [anon_sym_enum] = ACTIONS(1390),
    [anon_sym_struct] = ACTIONS(1390),
    [anon_sym_union] = ACTIONS(1390),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(1390),
    [anon_sym_case] = ACTIONS(1390),
    [anon_sym_default] = ACTIONS(1390),
    [anon_sym_while] = ACTIONS(1390),
    [anon_sym_do] = ACTIONS(1390),
    [anon_sym_for] = ACTIONS(1390),
    [anon_sym_return] = ACTIONS(1390),
    [anon_sym_break] = ACTIONS(1390),
    [anon_sym_continue] = ACTIONS(1390),
    [anon_sym_goto] = ACTIONS(1390),
    [anon_sym___try] = ACTIONS(1390),
    [anon_sym___leave] = ACTIONS(1390),
    [anon_sym_DASH_DASH] = ACTIONS(1392),
    [anon_sym_PLUS_PLUS] = ACTIONS(1392),
    [anon_sym_sizeof] = ACTIONS(1390),
    [anon_sym___alignof__] = ACTIONS(1390),
    [anon_sym___alignof] = ACTIONS(1390),
    [anon_sym__alignof] = ACTIONS(1390),
    [anon_sym_alignof] = ACTIONS(1390),
    [anon_sym__Alignof] = ACTIONS(1390),
    [anon_sym_offsetof] = ACTIONS(1390),
    [anon_sym__Generic] = ACTIONS(1390),
    [anon_sym_asm] = ACTIONS(1390),
    [anon_sym___asm__] = ACTIONS(1390),
    [sym_number_literal] = ACTIONS(1392),
    [anon_sym_L_SQUOTE] = ACTIONS(1392),
    [anon_sym_u_SQUOTE] = ACTIONS(1392),
    [anon_sym_U_SQUOTE] = ACTIONS(1392),
    [anon_sym_u8_SQUOTE] = ACTIONS(1392),
    [anon_sym_SQUOTE] = ACTIONS(1392),
    [anon_sym_L_DQUOTE] = ACTIONS(1392),
    [anon_sym_u_DQUOTE] = ACTIONS(1392),
    [anon_sym_U_DQUOTE] = ACTIONS(1392),
    [anon_sym_u8_DQUOTE] = ACTIONS(1392),
    [anon_sym_DQUOTE] = ACTIONS(1392),
    [sym_true] = ACTIONS(1390),
    [sym_false] = ACTIONS(1390),
    [anon_sym_NULL] = ACTIONS(1390),
    [anon_sym_nullptr] = ACTIONS(1390),
    [sym_comment] = ACTIONS(3),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [328] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1348),
    [sym_identifier] = ACTIONS(1346),
    [aux_sym_preproc_include_token1] = ACTIONS(1346),
    [aux_sym_preproc_def_token1] = ACTIONS(1346),
    [aux_sym_preproc_if_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1346),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1346),
    [sym_preproc_directive] = ACTIONS(1346),
    [anon_sym_LPAREN2] = ACTIONS(1348),
    [anon_sym_BANG] = ACTIONS(1348),
    [anon_sym_TILDE] = ACTIONS(1348),
    [anon_sym_DASH] = ACTIONS(1346),
    [anon_sym_PLUS] = ACTIONS(1346),
    [anon_sym_STAR] = ACTIONS(1348),
    [anon_sym_AMP] = ACTIONS(1348),
    [anon_sym_SEMI] = ACTIONS(1348),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1346),
    [anon_sym_extern] = ACTIONS(1346),
    [anon_sym___attribute__] = ACTIONS(1346),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1348),
    [anon_sym___declspec] = ACTIONS(1346),
    [anon_sym___cdecl] = ACTIONS(1346),
    [anon_sym___clrcall] = ACTIONS(1346),
    [anon_sym___stdcall] = ACTIONS(1346),
    [anon_sym___fastcall] = ACTIONS(1346),
    [anon_sym___thiscall] = ACTIONS(1346),
    [anon_sym___vectorcall] = ACTIONS(1346),
    [anon_sym_LBRACE] = ACTIONS(1348),
    [anon_sym_signed] = ACTIONS(1346),
    [anon_sym_unsigned] = ACTIONS(1346),
    [anon_sym_long] = ACTIONS(1346),
    [anon_sym_short] = ACTIONS(1346),
    [anon_sym_static] = ACTIONS(1346),
    [anon_sym_auto] = ACTIONS(1346),
    [anon_sym_register] = ACTIONS(1346),
    [anon_sym_inline] = ACTIONS(1346),
    [anon_sym___inline] = ACTIONS(1346),
    [anon_sym___inline__] = ACTIONS(1346),
    [anon_sym___forceinline] = ACTIONS(1346),
    [anon_sym_thread_local] = ACTIONS(1346),
    [anon_sym___thread] = ACTIONS(1346),
    [anon_sym_const] = ACTIONS(1346),
    [anon_sym_constexpr] = ACTIONS(1346),
    [anon_sym_volatile] = ACTIONS(1346),
    [anon_sym_restrict] = ACTIONS(1346),
    [anon_sym___restrict__] = ACTIONS(1346),
    [anon_sym__Atomic] = ACTIONS(1346),
    [anon_sym__Noreturn] = ACTIONS(1346),
    [anon_sym_noreturn] = ACTIONS(1346),
    [sym_primitive_type] = ACTIONS(1346),
    [anon_sym_enum] = ACTIONS(1346),
    [anon_sym_struct] = ACTIONS(1346),
    [anon_sym_union] = ACTIONS(1346),
    [anon_sym_if] = ACTIONS(1346),
    [anon_sym_else] = ACTIONS(1346),
    [anon_sym_switch] = ACTIONS(1346),
    [anon_sym_case] = ACTIONS(1346),
    [anon_sym_default] = ACTIONS(1346),
    [anon_sym_while] = ACTIONS(1346),
    [anon_sym_do] = ACTIONS(1346),
    [anon_sym_for] = ACTIONS(1346),
    [anon_sym_return] = ACTIONS(1346),
    [anon_sym_break] = ACTIONS(1346),
    [anon_sym_continue] = ACTIONS(1346),
    [anon_sym_goto] = ACTIONS(1346),
    [anon_sym___try] = ACTIONS(1346),
    [anon_sym___leave] = ACTIONS(1346),
    [anon_sym_DASH_DASH] = ACTIONS(1348),
    [anon_sym_PLUS_PLUS] = ACTIONS(1348),
    [anon_sym_sizeof] = ACTIONS(1346),
    [anon_sym___alignof__] = ACTIONS(1346),
    [anon_sym___alignof] = ACTIONS(1346),
    [anon_sym__alignof] = ACTIONS(1346),
    [anon_sym_alignof] = ACTIONS(1346),
    [anon_sym__Alignof] = ACTIONS(1346),
    [anon_sym_offsetof] = ACTIONS(1346),
    [anon_sym__Generic] = ACTIONS(1346),
    [anon_sym_asm] = ACTIONS(1346),
    [anon_sym___asm__] = ACTIONS(1346),
    [sym_number_literal] = ACTIONS(1348),
    [anon_sym_L_SQUOTE] = ACTIONS(1348),
    [anon_sym_u_SQUOTE] = ACTIONS(1348),
    [anon_sym_U_SQUOTE] = ACTIONS(1348),
    [anon_sym_u8_SQUOTE] = ACTIONS(1348),
    [anon_sym_SQUOTE] = ACTIONS(1348),
    [anon_sym_L_DQUOTE] = ACTIONS(1348),
    [anon_sym_u_DQUOTE] = ACTIONS(1348),
    [anon_sym_U_DQUOTE] = ACTIONS(1348),
    [anon_sym_u8_DQUOTE] = ACTIONS(1348),
    [anon_sym_DQUOTE] = ACTIONS(1348),
    [sym_true] = ACTIONS(1346),
    [sym_false] = ACTIONS(1346),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
  },
  [330] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [331] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [332] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1306),
    [aux_sym_preproc_include_token1] = ACTIONS(1306),
    [aux_sym_preproc_def_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token1] = ACTIONS(1306),
    [aux_sym_preproc_if_token2] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1306),
    [sym_preproc_directive] = ACTIONS(1306),
    [anon_sym_LPAREN2] = ACTIONS(1308),
    [anon_sym_BANG] = ACTIONS(1308),
    [anon_sym_TILDE] = ACTIONS(1308),
    [anon_sym_DASH] = ACTIONS(1306),
    [anon_sym_PLUS] = ACTIONS(1306),
    [anon_sym_STAR] = ACTIONS(1308),
    [anon_sym_AMP] = ACTIONS(1308),
    [anon_sym_SEMI] = ACTIONS(1308),
    [anon_sym___extension__] = ACTIONS(1306),
    [anon_sym_typedef] = ACTIONS(1306),
    [anon_sym_extern] = ACTIONS(1306),
    [anon_sym___attribute__] = ACTIONS(1306),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1308),
    [anon_sym___declspec] = ACTIONS(1306),
    [anon_sym___cdecl] = ACTIONS(1306),
    [anon_sym___clrcall] = ACTIONS(1306),
    [anon_sym___stdcall] = ACTIONS(1306),
    [anon_sym___fastcall] = ACTIONS(1306),
    [anon_sym___thiscall] = ACTIONS(1306),
    [anon_sym___vectorcall] = ACTIONS(1306),
    [anon_sym_LBRACE] = ACTIONS(1308),
    [anon_sym_signed] = ACTIONS(1306),
    [anon_sym_unsigned] = ACTIONS(1306),
    [anon_sym_long] = ACTIONS(1306),
    [anon_sym_short] = ACTIONS(1306),
    [anon_sym_static] = ACTIONS(1306),
    [anon_sym_auto] = ACTIONS(1306),
    [anon_sym_register] = ACTIONS(1306),
    [anon_sym_inline] = ACTIONS(1306),
    [anon_sym___inline] = ACTIONS(1306),
    [anon_sym___inline__] = ACTIONS(1306),
    [anon_sym___forceinline] = ACTIONS(1306),
    [anon_sym_thread_local] = ACTIONS(1306),
    [anon_sym___thread] = ACTIONS(1306),
    [anon_sym_const] = ACTIONS(1306),
    [anon_sym_constexpr] = ACTIONS(1306),
    [anon_sym_volatile] = ACTIONS(1306),
    [anon_sym_restrict] = ACTIONS(1306),
    [anon_sym___restrict__] = ACTIONS(1306),
    [anon_sym__Atomic] = ACTIONS(1306),
    [anon_sym__Noreturn] = ACTIONS(1306),
    [anon_sym_noreturn] = ACTIONS(1306),
    [sym_primitive_type] = ACTIONS(1306),
    [anon_sym_enum] = ACTIONS(1306),
    [anon_sym_struct] = ACTIONS(1306),
    [anon_sym_union] = ACTIONS(1306),
    [anon_sym_if] = ACTIONS(1306),
    [anon_sym_else] = ACTIONS(1306),
    [anon_sym_switch] = ACTIONS(1306),
    [anon_sym_case] = ACTIONS(1306),
    [anon_sym_default] = ACTIONS(1306),
    [anon_sym_while] = ACTIONS(1306),
    [anon_sym_do] = ACTIONS(1306),
    [anon_sym_for] = ACTIONS(1306),
    [anon_sym_return] = ACTIONS(1306),
    [anon_sym_break] = ACTIONS(1306),
    [anon_sym_continue] = ACTIONS(1306),
    [anon_sym_goto] = ACTIONS(1306),
    [anon_sym___try] = ACTIONS(1306),
    [anon_sym___leave] = ACTIONS(1306),
    [anon_sym_DASH_DASH] = ACTIONS(1308),
    [anon_sym_PLUS_PLUS] = ACTIONS(1308),
    [anon_sym_sizeof] = ACTIONS(1306),
    [anon_sym___alignof__] = ACTIONS(1306),
    [anon_sym___alignof] = ACTIONS(1306),
    [anon_sym__alignof] = ACTIONS(1306),
    [anon_sym_alignof] = ACTIONS(1306),
    [anon_sym__Alignof] = ACTIONS(1306),
    [anon_sym_offsetof] = ACTIONS(1306),
    [anon_sym__Generic] = ACTIONS(1306),
    [anon_sym_asm] = ACTIONS(1306),
    [anon_sym___asm__] = ACTIONS(1306),
    [sym_number_literal] = ACTIONS(1308),
    [anon_sym_L_SQUOTE] = ACTIONS(1308),
    [anon_sym_u_SQUOTE] = ACTIONS(1308),
    [anon_sym_U_SQUOTE] = ACTIONS(1308),
    [anon_sym_u8_SQUOTE] = ACTIONS(1308),
    [anon_sym_SQUOTE] = ACTIONS(1308),
    [anon_sym_L_DQUOTE] = ACTIONS(1308),
    [anon_sym_u_DQUOTE] = ACTIONS(1308),
    [anon_sym_U_DQUOTE] = ACTIONS(1308),
    [anon_sym_u8_DQUOTE] = ACTIONS(1308),
    [anon_sym_DQUOTE] = ACTIONS(1308),
    [sym_true] = ACTIONS(1306),
    [sym_false] = ACTIONS(1306),
    [anon_sym_NULL] = ACTIONS(1306),
    [anon_sym_nullptr] = ACTIONS(1306),
    [sym_comment] = ACTIONS(3),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1298),
    [aux_sym_preproc_include_token1] = ACTIONS(1298),
    [aux_sym_preproc_def_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token1] = ACTIONS(1298),
    [aux_sym_preproc_if_token2] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1298),
    [sym_preproc_directive] = ACTIONS(1298),
    [anon_sym_LPAREN2] = ACTIONS(1300),
    [anon_sym_BANG] = ACTIONS(1300),
    [anon_sym_TILDE] = ACTIONS(1300),
    [anon_sym_DASH] = ACTIONS(1298),
    [anon_sym_PLUS] = ACTIONS(1298),
    [anon_sym_STAR] = ACTIONS(1300),
    [anon_sym_AMP] = ACTIONS(1300),
    [anon_sym_SEMI] = ACTIONS(1300),
    [anon_sym___extension__] = ACTIONS(1298),
    [anon_sym_typedef] = ACTIONS(1298),
    [anon_sym_extern] = ACTIONS(1298),
    [anon_sym___attribute__] = ACTIONS(1298),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1300),
    [anon_sym___declspec] = ACTIONS(1298),
    [anon_sym___cdecl] = ACTIONS(1298),
    [anon_sym___clrcall] = ACTIONS(1298),
    [anon_sym___stdcall] = ACTIONS(1298),
    [anon_sym___fastcall] = ACTIONS(1298),
    [anon_sym___thiscall] = ACTIONS(1298),
    [anon_sym___vectorcall] = ACTIONS(1298),
    [anon_sym_LBRACE] = ACTIONS(1300),
    [anon_sym_signed] = ACTIONS(1298),
    [anon_sym_unsigned] = ACTIONS(1298),
    [anon_sym_long] = ACTIONS(1298),
    [anon_sym_short] = ACTIONS(1298),
    [anon_sym_static] = ACTIONS(1298),
    [anon_sym_auto] = ACTIONS(1298),
    [anon_sym_register] = ACTIONS(1298),
    [anon_sym_inline] = ACTIONS(1298),
    [anon_sym___inline] = ACTIONS(1298),
    [anon_sym___inline__] = ACTIONS(1298),
    [anon_sym___forceinline] = ACTIONS(1298),
    [anon_sym_thread_local] = ACTIONS(1298),
    [anon_sym___thread] = ACTIONS(1298),
    [anon_sym_const] = ACTIONS(1298),
    [anon_sym_constexpr] = ACTIONS(1298),
    [anon_sym_volatile] = ACTIONS(1298),
    [anon_sym_restrict] = ACTIONS(1298),
    [anon_sym___restrict__] = ACTIONS(1298),
    [anon_sym__Atomic] = ACTIONS(1298),
    [anon_sym__Noreturn] = ACTIONS(1298),
    [anon_sym_noreturn] = ACTIONS(1298),
    [sym_primitive_type] = ACTIONS(1298),
    [anon_sym_enum] = ACTIONS(1298),
    [anon_sym_struct] = ACTIONS(1298),
    [anon_sym_union] = ACTIONS(1298),
    [anon_sym_if] = ACTIONS(1298),
    [anon_sym_else] = ACTIONS(1298),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1298),
    [anon_sym_default] = ACTIONS(1298),
    [anon_sym_while] = ACTIONS(1298),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1298),
    [anon_sym_return] = ACTIONS(1298),
    [anon_sym_break] = ACTIONS(1298),
    [anon_sym_continue] = ACTIONS(1298),
    [anon_sym_goto] = ACTIONS(1298),
    [anon_sym___try] = ACTIONS(1298),
    [anon_sym___leave] = ACTIONS(1298),
    [anon_sym_DASH_DASH] = ACTIONS(1300),
    [anon_sym_PLUS_PLUS] = ACTIONS(1300),
    [anon_sym_sizeof] = ACTIONS(1298),
    [anon_sym___alignof__] = ACTIONS(1298),
    [anon_sym___alignof] = ACTIONS(1298),
    [anon_sym__alignof] = ACTIONS(1298),
    [anon_sym_alignof] = ACTIONS(1298),
    [anon_sym__Alignof] = ACTIONS(1298),
    [anon_sym_offsetof] = ACTIONS(1298),
    [anon_sym__Generic] = ACTIONS(1298),
    [anon_sym_asm] = ACTIONS(1298),
    [anon_sym___asm__] = ACTIONS(1298),
    [sym_number_literal] = ACTIONS(1300),
    [anon_sym_L_SQUOTE] = ACTIONS(1300),
    [anon_sym_u_SQUOTE] = ACTIONS(1300),
    [anon_sym_U_SQUOTE] = ACTIONS(1300),
    [anon_sym_u8_SQUOTE] = ACTIONS(1300),
    [anon_sym_SQUOTE] = ACTIONS(1300),
    [anon_sym_L_DQUOTE] = ACTIONS(1300),
    [anon_sym_u_DQUOTE] = ACTIONS(1300),
    [anon_sym_U_DQUOTE] = ACTIONS(1300),
    [anon_sym_u8_DQUOTE] = ACTIONS(1300),
    [anon_sym_DQUOTE] = ACTIONS(1300),
    [sym_true] = ACTIONS(1298),
    [sym_false] = ACTIONS(1298),
    [anon_sym_NULL] = ACTIONS(1298),
    [anon_sym_nullptr] = ACTIONS(1298),
    [sym_comment] = ACTIONS(3),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1322),
    [aux_sym_preproc_include_token1] = ACTIONS(1322),
    [aux_sym_preproc_def_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token1] = ACTIONS(1322),
    [aux_sym_preproc_if_token2] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1322),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1322),
    [sym_preproc_directive] = ACTIONS(1322),
    [anon_sym_LPAREN2] = ACTIONS(1324),
    [anon_sym_BANG] = ACTIONS(1324),
    [anon_sym_TILDE] = ACTIONS(1324),
    [anon_sym_DASH] = ACTIONS(1322),
    [anon_sym_PLUS] = ACTIONS(1322),
    [anon_sym_STAR] = ACTIONS(1324),
    [anon_sym_AMP] = ACTIONS(1324),
    [anon_sym_SEMI] = ACTIONS(1324),
    [anon_sym___extension__] = ACTIONS(1322),
    [anon_sym_typedef] = ACTIONS(1322),
    [anon_sym_extern] = ACTIONS(1322),
    [anon_sym___attribute__] = ACTIONS(1322),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1324),
    [anon_sym___declspec] = ACTIONS(1322),
    [anon_sym___cdecl] = ACTIONS(1322),
    [anon_sym___clrcall] = ACTIONS(1322),
    [anon_sym___stdcall] = ACTIONS(1322),
    [anon_sym___fastcall] = ACTIONS(1322),
    [anon_sym___thiscall] = ACTIONS(1322),
    [anon_sym___vectorcall] = ACTIONS(1322),
    [anon_sym_LBRACE] = ACTIONS(1324),
    [anon_sym_signed] = ACTIONS(1322),
    [anon_sym_unsigned] = ACTIONS(1322),
    [anon_sym_long] = ACTIONS(1322),
    [anon_sym_short] = ACTIONS(1322),
    [anon_sym_static] = ACTIONS(1322),
    [anon_sym_auto] = ACTIONS(1322),
    [anon_sym_register] = ACTIONS(1322),
    [anon_sym_inline] = ACTIONS(1322),
    [anon_sym___inline] = ACTIONS(1322),
    [anon_sym___inline__] = ACTIONS(1322),
    [anon_sym___forceinline] = ACTIONS(1322),
    [anon_sym_thread_local] = ACTIONS(1322),
    [anon_sym___thread] = ACTIONS(1322),
    [anon_sym_const] = ACTIONS(1322),
    [anon_sym_constexpr] = ACTIONS(1322),
    [anon_sym_volatile] = ACTIONS(1322),
    [anon_sym_restrict] = ACTIONS(1322),
    [anon_sym___restrict__] = ACTIONS(1322),
    [anon_sym__Atomic] = ACTIONS(1322),
    [anon_sym__Noreturn] = ACTIONS(1322),
    [anon_sym_noreturn] = ACTIONS(1322),
    [sym_primitive_type] = ACTIONS(1322),
    [anon_sym_enum] = ACTIONS(1322),
    [anon_sym_struct] = ACTIONS(1322),
    [anon_sym_union] = ACTIONS(1322),
    [anon_sym_if] = ACTIONS(1322),
    [anon_sym_else] = ACTIONS(1322),
    [anon_sym_switch] = ACTIONS(1322),
    [anon_sym_case] = ACTIONS(1322),
    [anon_sym_default] = ACTIONS(1322),
    [anon_sym_while] = ACTIONS(1322),
    [anon_sym_do] = ACTIONS(1322),
    [anon_sym_for] = ACTIONS(1322),
    [anon_sym_return] = ACTIONS(1322),
    [anon_sym_break] = ACTIONS(1322),
    [anon_sym_continue] = ACTIONS(1322),
    [anon_sym_goto] = ACTIONS(1322),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1322),
    [anon_sym_DASH_DASH] = ACTIONS(1324),
    [anon_sym_PLUS_PLUS] = ACTIONS(1324),
    [anon_sym_sizeof] = ACTIONS(1322),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1322),
    [anon_sym__Generic] = ACTIONS(1322),
    [anon_sym_asm] = ACTIONS(1322),
    [anon_sym___asm__] = ACTIONS(1322),
    [sym_number_literal] = ACTIONS(1324),
    [anon_sym_L_SQUOTE] = ACTIONS(1324),
    [anon_sym_u_SQUOTE] = ACTIONS(1324),
    [anon_sym_U_SQUOTE] = ACTIONS(1324),
    [anon_sym_u8_SQUOTE] = ACTIONS(1324),
    [anon_sym_SQUOTE] = ACTIONS(1324),
    [anon_sym_L_DQUOTE] = ACTIONS(1324),
    [anon_sym_u_DQUOTE] = ACTIONS(1324),
    [anon_sym_U_DQUOTE] = ACTIONS(1324),
    [anon_sym_u8_DQUOTE] = ACTIONS(1324),
    [anon_sym_DQUOTE] = ACTIONS(1324),
    [sym_true] = ACTIONS(1322),
    [sym_false] = ACTIONS(1322),
    [anon_sym_NULL] = ACTIONS(1322),
    [anon_sym_nullptr] = ACTIONS(1322),
    [sym_comment] = ACTIONS(3),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1326),
    [aux_sym_preproc_include_token1] = ACTIONS(1326),
    [aux_sym_preproc_def_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token1] = ACTIONS(1326),
    [aux_sym_preproc_if_token2] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1326),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1326),
    [sym_preproc_directive] = ACTIONS(1326),
    [anon_sym_LPAREN2] = ACTIONS(1328),
    [anon_sym_BANG] = ACTIONS(1328),
    [anon_sym_TILDE] = ACTIONS(1328),
    [anon_sym_DASH] = ACTIONS(1326),
    [anon_sym_PLUS] = ACTIONS(1326),
    [anon_sym_STAR] = ACTIONS(1328),
    [anon_sym_AMP] = ACTIONS(1328),
    [anon_sym_SEMI] = ACTIONS(1328),
    [anon_sym___extension__] = ACTIONS(1326),
    [anon_sym_typedef] = ACTIONS(1326),
    [anon_sym_extern] = ACTIONS(1326),
    [anon_sym___attribute__] = ACTIONS(1326),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1328),
    [anon_sym___declspec] = ACTIONS(1326),
    [anon_sym___cdecl] = ACTIONS(1326),
    [anon_sym___clrcall] = ACTIONS(1326),
    [anon_sym___stdcall] = ACTIONS(1326),
    [anon_sym___fastcall] = ACTIONS(1326),
    [anon_sym___thiscall] = ACTIONS(1326),
    [anon_sym___vectorcall] = ACTIONS(1326),
    [anon_sym_LBRACE] = ACTIONS(1328),
    [anon_sym_signed] = ACTIONS(1326),
    [anon_sym_unsigned] = ACTIONS(1326),
    [anon_sym_long] = ACTIONS(1326),
    [anon_sym_short] = ACTIONS(1326),
    [anon_sym_static] = ACTIONS(1326),
    [anon_sym_auto] = ACTIONS(1326),
    [anon_sym_register] = ACTIONS(1326),
    [anon_sym_inline] = ACTIONS(1326),
    [anon_sym___inline] = ACTIONS(1326),
    [anon_sym___inline__] = ACTIONS(1326),
    [anon_sym___forceinline] = ACTIONS(1326),
    [anon_sym_thread_local] = ACTIONS(1326),
    [anon_sym___thread] = ACTIONS(1326),
    [anon_sym_const] = ACTIONS(1326),
    [anon_sym_constexpr] = ACTIONS(1326),
    [anon_sym_volatile] = ACTIONS(1326),
    [anon_sym_restrict] = ACTIONS(1326),
    [anon_sym___restrict__] = ACTIONS(1326),
    [anon_sym__Atomic] = ACTIONS(1326),
    [anon_sym__Noreturn] = ACTIONS(1326),
    [anon_sym_noreturn] = ACTIONS(1326),
    [sym_primitive_type] = ACTIONS(1326),
    [anon_sym_enum] = ACTIONS(1326),
    [anon_sym_struct] = ACTIONS(1326),
    [anon_sym_union] = ACTIONS(1326),
    [anon_sym_if] = ACTIONS(1326),
    [anon_sym_else] = ACTIONS(1326),
    [anon_sym_switch] = ACTIONS(1326),
    [anon_sym_case] = ACTIONS(1326),
    [anon_sym_default] = ACTIONS(1326),
    [anon_sym_while] = ACTIONS(1326),
    [anon_sym_do] = ACTIONS(1326),
    [anon_sym_for] = ACTIONS(1326),
    [anon_sym_return] = ACTIONS(1326),
    [anon_sym_break] = ACTIONS(1326),
    [anon_sym_continue] = ACTIONS(1326),
    [anon_sym_goto] = ACTIONS(1326),
    [anon_sym___try] = ACTIONS(1326),
    [anon_sym___leave] = ACTIONS(1326),
    [anon_sym_DASH_DASH] = ACTIONS(1328),
    [anon_sym_PLUS_PLUS] = ACTIONS(1328),
    [anon_sym_sizeof] = ACTIONS(1326),
    [anon_sym___alignof__] = ACTIONS(1326),
    [anon_sym___alignof] = ACTIONS(1326),
    [anon_sym__alignof] = ACTIONS(1326),
    [anon_sym_alignof] = ACTIONS(1326),
    [anon_sym__Alignof] = ACTIONS(1326),
    [anon_sym_offsetof] = ACTIONS(1326),
    [anon_sym__Generic] = ACTIONS(1326),
    [anon_sym_asm] = ACTIONS(1326),
    [anon_sym___asm__] = ACTIONS(1326),
    [sym_number_literal] = ACTIONS(1328),
    [anon_sym_L_SQUOTE] = ACTIONS(1328),
    [anon_sym_u_SQUOTE] = ACTIONS(1328),
    [anon_sym_U_SQUOTE] = ACTIONS(1328),
    [anon_sym_u8_SQUOTE] = ACTIONS(1328),
    [anon_sym_SQUOTE] = ACTIONS(1328),
    [anon_sym_L_DQUOTE] = ACTIONS(1328),
    [anon_sym_u_DQUOTE] = ACTIONS(1328),
    [anon_sym_U_DQUOTE] = ACTIONS(1328),
    [anon_sym_u8_DQUOTE] = ACTIONS(1328),
    [anon_sym_DQUOTE] = ACTIONS(1328),
    [sym_true] = ACTIONS(1326),
    [sym_false] = ACTIONS(1326),
    [anon_sym_NULL] = ACTIONS(1326),
    [anon_sym_nullptr] = ACTIONS(1326),
    [sym_comment] = ACTIONS(3),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1386),
    [aux_sym_preproc_include_token1] = ACTIONS(1386),
    [aux_sym_preproc_def_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token1] = ACTIONS(1386),
    [aux_sym_preproc_if_token2] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1386),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1386),
    [sym_preproc_directive] = ACTIONS(1386),
    [anon_sym_LPAREN2] = ACTIONS(1388),
    [anon_sym_BANG] = ACTIONS(1388),
    [anon_sym_TILDE] = ACTIONS(1388),
    [anon_sym_DASH] = ACTIONS(1386),
    [anon_sym_PLUS] = ACTIONS(1386),
    [anon_sym_STAR] = ACTIONS(1388),
    [anon_sym_AMP] = ACTIONS(1388),
    [anon_sym_SEMI] = ACTIONS(1388),
    [anon_sym___extension__] = ACTIONS(1386),
    [anon_sym_typedef] = ACTIONS(1386),
    [anon_sym_extern] = ACTIONS(1386),
    [anon_sym___attribute__] = ACTIONS(1386),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1388),
    [anon_sym___declspec] = ACTIONS(1386),
    [anon_sym___cdecl] = ACTIONS(1386),
    [anon_sym___clrcall] = ACTIONS(1386),
    [anon_sym___stdcall] = ACTIONS(1386),
    [anon_sym___fastcall] = ACTIONS(1386),
    [anon_sym___thiscall] = ACTIONS(1386),
    [anon_sym___vectorcall] = ACTIONS(1386),
    [anon_sym_LBRACE] = ACTIONS(1388),
    [anon_sym_signed] = ACTIONS(1386),
    [anon_sym_unsigned] = ACTIONS(1386),
    [anon_sym_long] = ACTIONS(1386),
    [anon_sym_short] = ACTIONS(1386),
    [anon_sym_static] = ACTIONS(1386),
    [anon_sym_auto] = ACTIONS(1386),
    [anon_sym_register] = ACTIONS(1386),
    [anon_sym_inline] = ACTIONS(1386),
    [anon_sym___inline] = ACTIONS(1386),
    [anon_sym___inline__] = ACTIONS(1386),
    [anon_sym___forceinline] = ACTIONS(1386),
    [anon_sym_thread_local] = ACTIONS(1386),
    [anon_sym___thread] = ACTIONS(1386),
    [anon_sym_const] = ACTIONS(1386),
    [anon_sym_constexpr] = ACTIONS(1386),
    [anon_sym_volatile] = ACTIONS(1386),
    [anon_sym_restrict] = ACTIONS(1386),
    [anon_sym___restrict__] = ACTIONS(1386),
    [anon_sym__Atomic] = ACTIONS(1386),
    [anon_sym__Noreturn] = ACTIONS(1386),
    [anon_sym_noreturn] = ACTIONS(1386),
    [sym_primitive_type] = ACTIONS(1386),
    [anon_sym_enum] = ACTIONS(1386),
    [anon_sym_struct] = ACTIONS(1386),
    [anon_sym_union] = ACTIONS(1386),
    [anon_sym_if] = ACTIONS(1386),
    [anon_sym_else] = ACTIONS(1386),
    [anon_sym_switch] = ACTIONS(1386),
    [anon_sym_case] = ACTIONS(1386),
    [anon_sym_default] = ACTIONS(1386),
    [anon_sym_while] = ACTIONS(1386),
    [anon_sym_do] = ACTIONS(1386),
    [anon_sym_for] = ACTIONS(1386),
    [anon_sym_return] = ACTIONS(1386),
    [anon_sym_break] = ACTIONS(1386),
    [anon_sym_continue] = ACTIONS(1386),
    [anon_sym_goto] = ACTIONS(1386),
    [anon_sym___try] = ACTIONS(1386),
    [anon_sym___leave] = ACTIONS(1386),
    [anon_sym_DASH_DASH] = ACTIONS(1388),
    [anon_sym_PLUS_PLUS] = ACTIONS(1388),
    [anon_sym_sizeof] = ACTIONS(1386),
    [anon_sym___alignof__] = ACTIONS(1386),
    [anon_sym___alignof] = ACTIONS(1386),
    [anon_sym__alignof] = ACTIONS(1386),
    [anon_sym_alignof] = ACTIONS(1386),
    [anon_sym__Alignof] = ACTIONS(1386),
    [anon_sym_offsetof] = ACTIONS(1386),
    [anon_sym__Generic] = ACTIONS(1386),
    [anon_sym_asm] = ACTIONS(1386),
    [anon_sym___asm__] = ACTIONS(1386),
    [sym_number_literal] = ACTIONS(1388),
    [anon_sym_L_SQUOTE] = ACTIONS(1388),
    [anon_sym_u_SQUOTE] = ACTIONS(1388),
    [anon_sym_U_SQUOTE] = ACTIONS(1388),
    [anon_sym_u8_SQUOTE] = ACTIONS(1388),
    [anon_sym_SQUOTE] = ACTIONS(1388),
    [anon_sym_L_DQUOTE] = ACTIONS(1388),
    [anon_sym_u_DQUOTE] = ACTIONS(1388),
    [anon_sym_U_DQUOTE] = ACTIONS(1388),
    [anon_sym_u8_DQUOTE] = ACTIONS(1388),
    [anon_sym_DQUOTE] = ACTIONS(1388),
    [sym_true] = ACTIONS(1386),
    [sym_false] = ACTIONS(1386),
    [anon_sym_NULL] = ACTIONS(1386),
    [anon_sym_nullptr] = ACTIONS(1386),
    [sym_comment] = ACTIONS(3),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1382),
    [aux_sym_preproc_include_token1] = ACTIONS(1382),
    [aux_sym_preproc_def_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token1] = ACTIONS(1382),
    [aux_sym_preproc_if_token2] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1382),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1382),
    [sym_preproc_directive] = ACTIONS(1382),
    [anon_sym_LPAREN2] = ACTIONS(1384),
    [anon_sym_BANG] = ACTIONS(1384),
    [anon_sym_TILDE] = ACTIONS(1384),
    [anon_sym_DASH] = ACTIONS(1382),
    [anon_sym_PLUS] = ACTIONS(1382),
    [anon_sym_STAR] = ACTIONS(1384),
    [anon_sym_AMP] = ACTIONS(1384),
    [anon_sym_SEMI] = ACTIONS(1384),
    [anon_sym___extension__] = ACTIONS(1382),
    [anon_sym_typedef] = ACTIONS(1382),
    [anon_sym_extern] = ACTIONS(1382),
    [anon_sym___attribute__] = ACTIONS(1382),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1384),
    [anon_sym___declspec] = ACTIONS(1382),
    [anon_sym___cdecl] = ACTIONS(1382),
    [anon_sym___clrcall] = ACTIONS(1382),
    [anon_sym___stdcall] = ACTIONS(1382),
    [anon_sym___fastcall] = ACTIONS(1382),
    [anon_sym___thiscall] = ACTIONS(1382),
    [anon_sym___vectorcall] = ACTIONS(1382),
    [anon_sym_LBRACE] = ACTIONS(1384),
    [anon_sym_signed] = ACTIONS(1382),
    [anon_sym_unsigned] = ACTIONS(1382),
    [anon_sym_long] = ACTIONS(1382),
    [anon_sym_short] = ACTIONS(1382),
    [anon_sym_static] = ACTIONS(1382),
    [anon_sym_auto] = ACTIONS(1382),
    [anon_sym_register] = ACTIONS(1382),
    [anon_sym_inline] = ACTIONS(1382),
    [anon_sym___inline] = ACTIONS(1382),
    [anon_sym___inline__] = ACTIONS(1382),
    [anon_sym___forceinline] = ACTIONS(1382),
    [anon_sym_thread_local] = ACTIONS(1382),
    [anon_sym___thread] = ACTIONS(1382),
    [anon_sym_const] = ACTIONS(1382),
    [anon_sym_constexpr] = ACTIONS(1382),
    [anon_sym_volatile] = ACTIONS(1382),
    [anon_sym_restrict] = ACTIONS(1382),
    [anon_sym___restrict__] = ACTIONS(1382),
    [anon_sym__Atomic] = ACTIONS(1382),
    [anon_sym__Noreturn] = ACTIONS(1382),
    [anon_sym_noreturn] = ACTIONS(1382),
    [sym_primitive_type] = ACTIONS(1382),
    [anon_sym_enum] = ACTIONS(1382),
    [anon_sym_struct] = ACTIONS(1382),
    [anon_sym_union] = ACTIONS(1382),
    [anon_sym_if] = ACTIONS(1382),
    [anon_sym_else] = ACTIONS(1382),
    [anon_sym_switch] = ACTIONS(1382),
    [anon_sym_case] = ACTIONS(1382),
    [anon_sym_default] = ACTIONS(1382),
    [anon_sym_while] = ACTIONS(1382),
    [anon_sym_do] = ACTIONS(1382),
    [anon_sym_for] = ACTIONS(1382),
    [anon_sym_return] = ACTIONS(1382),
    [anon_sym_break] = ACTIONS(1382),
    [anon_sym_continue] = ACTIONS(1382),
    [anon_sym_goto] = ACTIONS(1382),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1382),
    [anon_sym_DASH_DASH] = ACTIONS(1384),
    [anon_sym_PLUS_PLUS] = ACTIONS(1384),
    [anon_sym_sizeof] = ACTIONS(1382),
    [anon_sym___alignof__] = ACTIONS(1382),
    [anon_sym___alignof] = ACTIONS(1382),
    [anon_sym__alignof] = ACTIONS(1382),
    [anon_sym_alignof] = ACTIONS(1382),
    [anon_sym__Alignof] = ACTIONS(1382),
    [anon_sym_offsetof] = ACTIONS(1382),
    [anon_sym__Generic] = ACTIONS(1382),
    [anon_sym_asm] = ACTIONS(1382),
    [anon_sym___asm__] = ACTIONS(1382),
    [sym_number_literal] = ACTIONS(1384),
    [anon_sym_L_SQUOTE] = ACTIONS(1384),
    [anon_sym_u_SQUOTE] = ACTIONS(1384),
    [anon_sym_U_SQUOTE] = ACTIONS(1384),
    [anon_sym_u8_SQUOTE] = ACTIONS(1384),
    [anon_sym_SQUOTE] = ACTIONS(1384),
    [anon_sym_L_DQUOTE] = ACTIONS(1384),
    [anon_sym_u_DQUOTE] = ACTIONS(1384),
    [anon_sym_U_DQUOTE] = ACTIONS(1384),
    [anon_sym_u8_DQUOTE] = ACTIONS(1384),
    [anon_sym_DQUOTE] = ACTIONS(1384),
    [sym_true] = ACTIONS(1382),
    [sym_false] = ACTIONS(1382),
    [anon_sym_NULL] = ACTIONS(1382),
    [anon_sym_nullptr] = ACTIONS(1382),
    [sym_comment] = ACTIONS(3),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1378),
    [aux_sym_preproc_include_token1] = ACTIONS(1378),
    [aux_sym_preproc_def_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token1] = ACTIONS(1378),
    [aux_sym_preproc_if_token2] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1378),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1378),
    [sym_preproc_directive] = ACTIONS(1378),
    [anon_sym_LPAREN2] = ACTIONS(1380),
    [anon_sym_BANG] = ACTIONS(1380),
    [anon_sym_TILDE] = ACTIONS(1380),
    [anon_sym_DASH] = ACTIONS(1378),
    [anon_sym_PLUS] = ACTIONS(1378),
    [anon_sym_STAR] = ACTIONS(1380),
    [anon_sym_AMP] = ACTIONS(1380),
    [anon_sym_SEMI] = ACTIONS(1380),
    [anon_sym___extension__] = ACTIONS(1378),
    [anon_sym_typedef] = ACTIONS(1378),
    [anon_sym_extern] = ACTIONS(1378),
    [anon_sym___attribute__] = ACTIONS(1378),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1380),
    [anon_sym___declspec] = ACTIONS(1378),
    [anon_sym___cdecl] = ACTIONS(1378),
    [anon_sym___clrcall] = ACTIONS(1378),
    [anon_sym___stdcall] = ACTIONS(1378),
    [anon_sym___fastcall] = ACTIONS(1378),
    [anon_sym___thiscall] = ACTIONS(1378),
    [anon_sym___vectorcall] = ACTIONS(1378),
    [anon_sym_LBRACE] = ACTIONS(1380),
    [anon_sym_signed] = ACTIONS(1378),
    [anon_sym_unsigned] = ACTIONS(1378),
    [anon_sym_long] = ACTIONS(1378),
    [anon_sym_short] = ACTIONS(1378),
    [anon_sym_static] = ACTIONS(1378),
    [anon_sym_auto] = ACTIONS(1378),
    [anon_sym_register] = ACTIONS(1378),
    [anon_sym_inline] = ACTIONS(1378),
    [anon_sym___inline] = ACTIONS(1378),
    [anon_sym___inline__] = ACTIONS(1378),
    [anon_sym___forceinline] = ACTIONS(1378),
    [anon_sym_thread_local] = ACTIONS(1378),
    [anon_sym___thread] = ACTIONS(1378),
    [anon_sym_const] = ACTIONS(1378),
    [anon_sym_constexpr] = ACTIONS(1378),
    [anon_sym_volatile] = ACTIONS(1378),
    [anon_sym_restrict] = ACTIONS(1378),
    [anon_sym___restrict__] = ACTIONS(1378),
    [anon_sym__Atomic] = ACTIONS(1378),
    [anon_sym__Noreturn] = ACTIONS(1378),
    [anon_sym_noreturn] = ACTIONS(1378),
    [sym_primitive_type] = ACTIONS(1378),
    [anon_sym_enum] = ACTIONS(1378),
    [anon_sym_struct] = ACTIONS(1378),
    [anon_sym_union] = ACTIONS(1378),
    [anon_sym_if] = ACTIONS(1378),
    [anon_sym_else] = ACTIONS(1378),
    [anon_sym_switch] = ACTIONS(1378),
    [anon_sym_case] = ACTIONS(1378),
    [anon_sym_default] = ACTIONS(1378),
    [anon_sym_while] = ACTIONS(1378),
    [anon_sym_do] = ACTIONS(1378),
    [anon_sym_for] = ACTIONS(1378),
    [anon_sym_return] = ACTIONS(1378),
    [anon_sym_break] = ACTIONS(1378),
    [anon_sym_continue] = ACTIONS(1378),
    [anon_sym_goto] = ACTIONS(1378),
    [anon_sym___try] = ACTIONS(1378),
    [anon_sym___leave] = ACTIONS(1378),
    [anon_sym_DASH_DASH] = ACTIONS(1380),
    [anon_sym_PLUS_PLUS] = ACTIONS(1380),
    [anon_sym_sizeof] = ACTIONS(1378),
    [anon_sym___alignof__] = ACTIONS(1378),
    [anon_sym___alignof] = ACTIONS(1378),
    [anon_sym__alignof] = ACTIONS(1378),
    [anon_sym_alignof] = ACTIONS(1378),
    [anon_sym__Alignof] = ACTIONS(1378),
    [anon_sym_offsetof] = ACTIONS(1378),
    [anon_sym__Generic] = ACTIONS(1378),
    [anon_sym_asm] = ACTIONS(1378),
    [anon_sym___asm__] = ACTIONS(1378),
    [sym_number_literal] = ACTIONS(1380),
    [anon_sym_L_SQUOTE] = ACTIONS(1380),
    [anon_sym_u_SQUOTE] = ACTIONS(1380),
    [anon_sym_U_SQUOTE] = ACTIONS(1380),
    [anon_sym_u8_SQUOTE] = ACTIONS(1380),
    [anon_sym_SQUOTE] = ACTIONS(1380),
    [anon_sym_L_DQUOTE] = ACTIONS(1380),
    [anon_sym_u_DQUOTE] = ACTIONS(1380),
    [anon_sym_U_DQUOTE] = ACTIONS(1380),
    [anon_sym_u8_DQUOTE] = ACTIONS(1380),
    [anon_sym_DQUOTE] = ACTIONS(1380),
    [sym_true] = ACTIONS(1378),
    [sym_false] = ACTIONS(1378),
    [anon_sym_NULL] = ACTIONS(1378),
    [anon_sym_nullptr] = ACTIONS(1378),
    [sym_comment] = ACTIONS(3),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1330),
    [aux_sym_preproc_include_token1] = ACTIONS(1330),
    [aux_sym_preproc_def_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token1] = ACTIONS(1330),
    [aux_sym_preproc_if_token2] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1330),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1330),
    [sym_preproc_directive] = ACTIONS(1330),
    [anon_sym_LPAREN2] = ACTIONS(1332),
    [anon_sym_BANG] = ACTIONS(1332),
    [anon_sym_TILDE] = ACTIONS(1332),
    [anon_sym_DASH] = ACTIONS(1330),
    [anon_sym_PLUS] = ACTIONS(1330),
    [anon_sym_STAR] = ACTIONS(1332),
    [anon_sym_AMP] = ACTIONS(1332),
    [anon_sym_SEMI] = ACTIONS(1332),
    [anon_sym___extension__] = ACTIONS(1330),
    [anon_sym_typedef] = ACTIONS(1330),
    [anon_sym_extern] = ACTIONS(1330),
    [anon_sym___attribute__] = ACTIONS(1330),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1332),
    [anon_sym___declspec] = ACTIONS(1330),
    [anon_sym___cdecl] = ACTIONS(1330),
    [anon_sym___clrcall] = ACTIONS(1330),
    [anon_sym___stdcall] = ACTIONS(1330),
    [anon_sym___fastcall] = ACTIONS(1330),
    [anon_sym___thiscall] = ACTIONS(1330),
    [anon_sym___vectorcall] = ACTIONS(1330),
    [anon_sym_LBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(1330),
    [anon_sym_unsigned] = ACTIONS(1330),
    [anon_sym_long] = ACTIONS(1330),
    [anon_sym_short] = ACTIONS(1330),
    [anon_sym_static] = ACTIONS(1330),
    [anon_sym_auto] = ACTIONS(1330),
    [anon_sym_register] = ACTIONS(1330),
    [anon_sym_inline] = ACTIONS(1330),
    [anon_sym___inline] = ACTIONS(1330),
    [anon_sym___inline__] = ACTIONS(1330),
    [anon_sym___forceinline] = ACTIONS(1330),
    [anon_sym_thread_local] = ACTIONS(1330),
    [anon_sym___thread] = ACTIONS(1330),
    [anon_sym_const] = ACTIONS(1330),
    [anon_sym_constexpr] = ACTIONS(1330),
    [anon_sym_volatile] = ACTIONS(1330),
    [anon_sym_restrict] = ACTIONS(1330),
    [anon_sym___restrict__] = ACTIONS(1330),
    [anon_sym__Atomic] = ACTIONS(1330),
    [anon_sym__Noreturn] = ACTIONS(1330),
    [anon_sym_noreturn] = ACTIONS(1330),
    [sym_primitive_type] = ACTIONS(1330),
    [anon_sym_enum] = ACTIONS(1330),
    [anon_sym_struct] = ACTIONS(1330),
    [anon_sym_union] = ACTIONS(1330),
    [anon_sym_if] = ACTIONS(1330),
    [anon_sym_else] = ACTIONS(1330),
    [anon_sym_switch] = ACTIONS(1330),
    [anon_sym_case] = ACTIONS(1330),
    [anon_sym_default] = ACTIONS(1330),
    [anon_sym_while] = ACTIONS(1330),
    [anon_sym_do] = ACTIONS(1330),
    [anon_sym_for] = ACTIONS(1330),
    [anon_sym_return] = ACTIONS(1330),
    [anon_sym_break] = ACTIONS(1330),
    [anon_sym_continue] = ACTIONS(1330),
    [anon_sym_goto] = ACTIONS(1330),
    [anon_sym___try] = ACTIONS(1330),
    [anon_sym___leave] = ACTIONS(1330),
    [anon_sym_DASH_DASH] = ACTIONS(1332),
    [anon_sym_PLUS_PLUS] = ACTIONS(1332),
    [anon_sym_sizeof] = ACTIONS(1330),
    [anon_sym___alignof__] = ACTIONS(1330),
    [anon_sym___alignof] = ACTIONS(1330),
    [anon_sym__alignof] = ACTIONS(1330),
    [anon_sym_alignof] = ACTIONS(1330),
    [anon_sym__Alignof] = ACTIONS(1330),
    [anon_sym_offsetof] = ACTIONS(1330),
    [anon_sym__Generic] = ACTIONS(1330),
    [anon_sym_asm] = ACTIONS(1330),
    [anon_sym___asm__] = ACTIONS(1330),
    [sym_number_literal] = ACTIONS(1332),
    [anon_sym_L_SQUOTE] = ACTIONS(1332),
    [anon_sym_u_SQUOTE] = ACTIONS(1332),
    [anon_sym_U_SQUOTE] = ACTIONS(1332),
    [anon_sym_u8_SQUOTE] = ACTIONS(1332),
    [anon_sym_SQUOTE] = ACTIONS(1332),
    [anon_sym_L_DQUOTE] = ACTIONS(1332),
    [anon_sym_u_DQUOTE] = ACTIONS(1332),
    [anon_sym_U_DQUOTE] = ACTIONS(1332),
    [anon_sym_u8_DQUOTE] = ACTIONS(1332),
    [anon_sym_DQUOTE] = ACTIONS(1332),
    [sym_true] = ACTIONS(1330),
    [sym_false] = ACTIONS(1330),
    [anon_sym_NULL] = ACTIONS(1330),
    [anon_sym_nullptr] = ACTIONS(1330),
    [sym_comment] = ACTIONS(3),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1334),
    [aux_sym_preproc_def_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token1] = ACTIONS(1334),
    [aux_sym_preproc_if_token2] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1334),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1334),
    [sym_preproc_directive] = ACTIONS(1334),
    [anon_sym_LPAREN2] = ACTIONS(1336),
    [anon_sym_BANG] = ACTIONS(1336),
    [anon_sym_TILDE] = ACTIONS(1336),
    [anon_sym_DASH] = ACTIONS(1334),
    [anon_sym_PLUS] = ACTIONS(1334),
    [anon_sym_STAR] = ACTIONS(1336),
    [anon_sym_AMP] = ACTIONS(1336),
    [anon_sym_SEMI] = ACTIONS(1336),
    [anon_sym___extension__] = ACTIONS(1334),
    [anon_sym_typedef] = ACTIONS(1334),
    [anon_sym_extern] = ACTIONS(1334),
    [anon_sym___attribute__] = ACTIONS(1334),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1336),
    [anon_sym___declspec] = ACTIONS(1334),
    [anon_sym___cdecl] = ACTIONS(1334),
    [anon_sym___clrcall] = ACTIONS(1334),
    [anon_sym___stdcall] = ACTIONS(1334),
    [anon_sym___fastcall] = ACTIONS(1334),
    [anon_sym___thiscall] = ACTIONS(1334),
    [anon_sym___vectorcall] = ACTIONS(1334),
    [anon_sym_LBRACE] = ACTIONS(1336),
    [anon_sym_signed] = ACTIONS(1334),
    [anon_sym_unsigned] = ACTIONS(1334),
    [anon_sym_long] = ACTIONS(1334),
    [anon_sym_short] = ACTIONS(1334),
    [anon_sym_static] = ACTIONS(1334),
    [anon_sym_auto] = ACTIONS(1334),
    [anon_sym_register] = ACTIONS(1334),
    [anon_sym_inline] = ACTIONS(1334),
    [anon_sym___inline] = ACTIONS(1334),
    [anon_sym___inline__] = ACTIONS(1334),
    [anon_sym___forceinline] = ACTIONS(1334),
    [anon_sym_thread_local] = ACTIONS(1334),
    [anon_sym___thread] = ACTIONS(1334),
    [anon_sym_const] = ACTIONS(1334),
    [anon_sym_constexpr] = ACTIONS(1334),
    [anon_sym_volatile] = ACTIONS(1334),
    [anon_sym_restrict] = ACTIONS(1334),
    [anon_sym___restrict__] = ACTIONS(1334),
    [anon_sym__Atomic] = ACTIONS(1334),
    [anon_sym__Noreturn] = ACTIONS(1334),
    [anon_sym_noreturn] = ACTIONS(1334),
    [sym_primitive_type] = ACTIONS(1334),
    [anon_sym_enum] = ACTIONS(1334),
    [anon_sym_struct] = ACTIONS(1334),
    [anon_sym_union] = ACTIONS(1334),
    [anon_sym_if] = ACTIONS(1334),
    [anon_sym_else] = ACTIONS(1334),
    [anon_sym_switch] = ACTIONS(1334),
    [anon_sym_case] = ACTIONS(1334),
    [anon_sym_default] = ACTIONS(1334),
    [anon_sym_while] = ACTIONS(1334),
    [anon_sym_do] = ACTIONS(1334),
    [anon_sym_for] = ACTIONS(1334),
    [anon_sym_return] = ACTIONS(1334),
    [anon_sym_break] = ACTIONS(1334),
    [anon_sym_continue] = ACTIONS(1334),
    [anon_sym_goto] = ACTIONS(1334),
    [anon_sym___try] = ACTIONS(1334),
    [anon_sym___leave] = ACTIONS(1334),
    [anon_sym_DASH_DASH] = ACTIONS(1336),
    [anon_sym_PLUS_PLUS] = ACTIONS(1336),
    [anon_sym_sizeof] = ACTIONS(1334),
    [anon_sym___alignof__] = ACTIONS(1334),
    [anon_sym___alignof] = ACTIONS(1334),
    [anon_sym__alignof] = ACTIONS(1334),
    [anon_sym_alignof] = ACTIONS(1334),
    [anon_sym__Alignof] = ACTIONS(1334),
    [anon_sym_offsetof] = ACTIONS(1334),
    [anon_sym__Generic] = ACTIONS(1334),
    [anon_sym_asm] = ACTIONS(1334),
    [anon_sym___asm__] = ACTIONS(1334),
    [sym_number_literal] = ACTIONS(1336),
    [anon_sym_L_SQUOTE] = ACTIONS(1336),
    [anon_sym_u_SQUOTE] = ACTIONS(1336),
    [anon_sym_U_SQUOTE] = ACTIONS(1336),
    [anon_sym_u8_SQUOTE] = ACTIONS(1336),
    [anon_sym_SQUOTE] = ACTIONS(1336),
    [anon_sym_L_DQUOTE] = ACTIONS(1336),
    [anon_sym_u_DQUOTE] = ACTIONS(1336),
    [anon_sym_U_DQUOTE] = ACTIONS(1336),
    [anon_sym_u8_DQUOTE] = ACTIONS(1336),
    [anon_sym_DQUOTE] = ACTIONS(1336),
    [sym_true] = ACTIONS(1334),
    [sym_false] = ACTIONS(1334),
    [anon_sym_NULL] = ACTIONS(1334),
    [anon_sym_nullptr] = ACTIONS(1334),
    [sym_comment] = ACTIONS(3),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1374),
    [aux_sym_preproc_include_token1] = ACTIONS(1374),
    [aux_sym_preproc_def_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token1] = ACTIONS(1374),
    [aux_sym_preproc_if_token2] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1374),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1374),
    [sym_preproc_directive] = ACTIONS(1374),
    [anon_sym_LPAREN2] = ACTIONS(1376),
    [anon_sym_BANG] = ACTIONS(1376),
    [anon_sym_TILDE] = ACTIONS(1376),
    [anon_sym_DASH] = ACTIONS(1374),
    [anon_sym_PLUS] = ACTIONS(1374),
    [anon_sym_STAR] = ACTIONS(1376),
    [anon_sym_AMP] = ACTIONS(1376),
    [anon_sym_SEMI] = ACTIONS(1376),
    [anon_sym___extension__] = ACTIONS(1374),
    [anon_sym_typedef] = ACTIONS(1374),
    [anon_sym_extern] = ACTIONS(1374),
    [anon_sym___attribute__] = ACTIONS(1374),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1376),
    [anon_sym___declspec] = ACTIONS(1374),
    [anon_sym___cdecl] = ACTIONS(1374),
    [anon_sym___clrcall] = ACTIONS(1374),
    [anon_sym___stdcall] = ACTIONS(1374),
    [anon_sym___fastcall] = ACTIONS(1374),
    [anon_sym___thiscall] = ACTIONS(1374),
    [anon_sym___vectorcall] = ACTIONS(1374),
    [anon_sym_LBRACE] = ACTIONS(1376),
    [anon_sym_signed] = ACTIONS(1374),
    [anon_sym_unsigned] = ACTIONS(1374),
    [anon_sym_long] = ACTIONS(1374),
    [anon_sym_short] = ACTIONS(1374),
    [anon_sym_static] = ACTIONS(1374),
    [anon_sym_auto] = ACTIONS(1374),
    [anon_sym_register] = ACTIONS(1374),
    [anon_sym_inline] = ACTIONS(1374),
    [anon_sym___inline] = ACTIONS(1374),
    [anon_sym___inline__] = ACTIONS(1374),
    [anon_sym___forceinline] = ACTIONS(1374),
    [anon_sym_thread_local] = ACTIONS(1374),
    [anon_sym___thread] = ACTIONS(1374),
    [anon_sym_const] = ACTIONS(1374),
    [anon_sym_constexpr] = ACTIONS(1374),
    [anon_sym_volatile] = ACTIONS(1374),
    [anon_sym_restrict] = ACTIONS(1374),
    [anon_sym___restrict__] = ACTIONS(1374),
    [anon_sym__Atomic] = ACTIONS(1374),
    [anon_sym__Noreturn] = ACTIONS(1374),
    [anon_sym_noreturn] = ACTIONS(1374),
    [sym_primitive_type] = ACTIONS(1374),
    [anon_sym_enum] = ACTIONS(1374),
    [anon_sym_struct] = ACTIONS(1374),
    [anon_sym_union] = ACTIONS(1374),
    [anon_sym_if] = ACTIONS(1374),
    [anon_sym_else] = ACTIONS(1374),
    [anon_sym_switch] = ACTIONS(1374),
    [anon_sym_case] = ACTIONS(1374),
    [anon_sym_default] = ACTIONS(1374),
    [anon_sym_while] = ACTIONS(1374),
    [anon_sym_do] = ACTIONS(1374),
    [anon_sym_for] = ACTIONS(1374),
    [anon_sym_return] = ACTIONS(1374),
    [anon_sym_break] = ACTIONS(1374),
    [anon_sym_continue] = ACTIONS(1374),
    [anon_sym_goto] = ACTIONS(1374),
    [anon_sym___try] = ACTIONS(1374),
    [anon_sym___leave] = ACTIONS(1374),
    [anon_sym_DASH_DASH] = ACTIONS(1376),
    [anon_sym_PLUS_PLUS] = ACTIONS(1376),
    [anon_sym_sizeof] = ACTIONS(1374),
    [anon_sym___alignof__] = ACTIONS(1374),
    [anon_sym___alignof] = ACTIONS(1374),
    [anon_sym__alignof] = ACTIONS(1374),
    [anon_sym_alignof] = ACTIONS(1374),
    [anon_sym__Alignof] = ACTIONS(1374),
    [anon_sym_offsetof] = ACTIONS(1374),
    [anon_sym__Generic] = ACTIONS(1374),
    [anon_sym_asm] = ACTIONS(1374),
    [anon_sym___asm__] = ACTIONS(1374),
    [sym_number_literal] = ACTIONS(1376),
    [anon_sym_L_SQUOTE] = ACTIONS(1376),
    [anon_sym_u_SQUOTE] = ACTIONS(1376),
    [anon_sym_U_SQUOTE] = ACTIONS(1376),
    [anon_sym_u8_SQUOTE] = ACTIONS(1376),
    [anon_sym_SQUOTE] = ACTIONS(1376),
    [anon_sym_L_DQUOTE] = ACTIONS(1376),
    [anon_sym_u_DQUOTE] = ACTIONS(1376),
    [anon_sym_U_DQUOTE] = ACTIONS(1376),
    [anon_sym_u8_DQUOTE] = ACTIONS(1376),
    [anon_sym_DQUOTE] = ACTIONS(1376),
    [sym_true] = ACTIONS(1374),
    [sym_false] = ACTIONS(1374),
    [anon_sym_NULL] = ACTIONS(1374),
    [anon_sym_nullptr] = ACTIONS(1374),
    [sym_comment] = ACTIONS(3),
  },
  [345] = {
    [sym_identifier] = ACTIONS(1316),
    [aux_sym_preproc_include_token1] = ACTIONS(1316),
    [aux_sym_preproc_def_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token1] = ACTIONS(1316),
    [aux_sym_preproc_if_token2] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1316),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1316),
    [sym_preproc_directive] = ACTIONS(1316),
    [anon_sym_LPAREN2] = ACTIONS(1314),
    [anon_sym_BANG] = ACTIONS(1314),
    [anon_sym_TILDE] = ACTIONS(1314),
    [anon_sym_DASH] = ACTIONS(1316),
    [anon_sym_PLUS] = ACTIONS(1316),
    [anon_sym_STAR] = ACTIONS(1314),
    [anon_sym_AMP] = ACTIONS(1314),
    [anon_sym_SEMI] = ACTIONS(1314),
    [anon_sym___extension__] = ACTIONS(1316),
    [anon_sym_typedef] = ACTIONS(1316),
    [anon_sym_extern] = ACTIONS(1316),
    [anon_sym___attribute__] = ACTIONS(1316),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1314),
    [anon_sym___declspec] = ACTIONS(1316),
    [anon_sym___cdecl] = ACTIONS(1316),
    [anon_sym___clrcall] = ACTIONS(1316),
    [anon_sym___stdcall] = ACTIONS(1316),
    [anon_sym___fastcall] = ACTIONS(1316),
    [anon_sym___thiscall] = ACTIONS(1316),
    [anon_sym___vectorcall] = ACTIONS(1316),
    [anon_sym_LBRACE] = ACTIONS(1314),
    [anon_sym_signed] = ACTIONS(1316),
    [anon_sym_unsigned] = ACTIONS(1316),
    [anon_sym_long] = ACTIONS(1316),
    [anon_sym_short] = ACTIONS(1316),
    [anon_sym_static] = ACTIONS(1316),
    [anon_sym_auto] = ACTIONS(1316),
    [anon_sym_register] = ACTIONS(1316),
    [anon_sym_inline] = ACTIONS(1316),
    [anon_sym___inline] = ACTIONS(1316),
    [anon_sym___inline__] = ACTIONS(1316),
    [anon_sym___forceinline] = ACTIONS(1316),
    [anon_sym_thread_local] = ACTIONS(1316),
    [anon_sym___thread] = ACTIONS(1316),
    [anon_sym_const] = ACTIONS(1316),
    [anon_sym_constexpr] = ACTIONS(1316),
    [anon_sym_volatile] = ACTIONS(1316),
    [anon_sym_restrict] = ACTIONS(1316),
    [anon_sym___restrict__] = ACTIONS(1316),
    [anon_sym__Atomic] = ACTIONS(1316),
    [anon_sym__Noreturn] = ACTIONS(1316),
    [anon_sym_noreturn] = ACTIONS(1316),
    [sym_primitive_type] = ACTIONS(1316),
    [anon_sym_enum] = ACTIONS(1316),
    [anon_sym_struct] = ACTIONS(1316),
    [anon_sym_union] = ACTIONS(1316),
    [anon_sym_if] = ACTIONS(1316),
    [anon_sym_else] = ACTIONS(1316),
    [anon_sym_switch] = ACTIONS(1316),
    [anon_sym_case] = ACTIONS(1316),
    [anon_sym_default] = ACTIONS(1316),
    [anon_sym_while] = ACTIONS(1316),
    [anon_sym_do] = ACTIONS(1316),
    [anon_sym_for] = ACTIONS(1316),
    [anon_sym_return] = ACTIONS(1316),
    [anon_sym_break] = ACTIONS(1316),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1316),
    [anon_sym___try] = ACTIONS(1316),
    [anon_sym___leave] = ACTIONS(1316),
    [anon_sym_DASH_DASH] = ACTIONS(1314),
    [anon_sym_PLUS_PLUS] = ACTIONS(1314),
    [anon_sym_sizeof] = ACTIONS(1316),
    [anon_sym___alignof__] = ACTIONS(1316),
    [anon_sym___alignof] = ACTIONS(1316),
    [anon_sym__alignof] = ACTIONS(1316),
    [anon_sym_alignof] = ACTIONS(1316),
    [anon_sym__Alignof] = ACTIONS(1316),
    [anon_sym_offsetof] = ACTIONS(1316),
    [anon_sym__Generic] = ACTIONS(1316),
    [anon_sym_asm] = ACTIONS(1316),
    [anon_sym___asm__] = ACTIONS(1316),
    [sym_number_literal] = ACTIONS(1314),
    [anon_sym_L_SQUOTE] = ACTIONS(1314),
    [anon_sym_u_SQUOTE] = ACTIONS(1314),
    [anon_sym_U_SQUOTE] = ACTIONS(1314),
    [anon_sym_u8_SQUOTE] = ACTIONS(1314),
    [anon_sym_SQUOTE] = ACTIONS(1314),
    [anon_sym_L_DQUOTE] = ACTIONS(1314),
    [anon_sym_u_DQUOTE] = ACTIONS(1314),
    [anon_sym_U_DQUOTE] = ACTIONS(1314),
    [anon_sym_u8_DQUOTE] = ACTIONS(1314),
    [anon_sym_DQUOTE] = ACTIONS(1314),
    [sym_true] = ACTIONS(1316),
    [sym_false] = ACTIONS(1316),
    [anon_sym_NULL] = ACTIONS(1316),
    [anon_sym_nullptr] = ACTIONS(1316),
    [sym_comment] = ACTIONS(3),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1370),
    [aux_sym_preproc_include_token1] = ACTIONS(1370),
    [aux_sym_preproc_def_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token1] = ACTIONS(1370),
    [aux_sym_preproc_if_token2] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1370),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1370),
    [sym_preproc_directive] = ACTIONS(1370),
    [anon_sym_LPAREN2] = ACTIONS(1372),
    [anon_sym_BANG] = ACTIONS(1372),
    [anon_sym_TILDE] = ACTIONS(1372),
    [anon_sym_DASH] = ACTIONS(1370),
    [anon_sym_PLUS] = ACTIONS(1370),
    [anon_sym_STAR] = ACTIONS(1372),
    [anon_sym_AMP] = ACTIONS(1372),
    [anon_sym_SEMI] = ACTIONS(1372),
    [anon_sym___extension__] = ACTIONS(1370),
    [anon_sym_typedef] = ACTIONS(1370),
    [anon_sym_extern] = ACTIONS(1370),
    [anon_sym___attribute__] = ACTIONS(1370),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1372),
    [anon_sym___declspec] = ACTIONS(1370),
    [anon_sym___cdecl] = ACTIONS(1370),
    [anon_sym___clrcall] = ACTIONS(1370),
    [anon_sym___stdcall] = ACTIONS(1370),
    [anon_sym___fastcall] = ACTIONS(1370),
    [anon_sym___thiscall] = ACTIONS(1370),
    [anon_sym___vectorcall] = ACTIONS(1370),
    [anon_sym_LBRACE] = ACTIONS(1372),
    [anon_sym_signed] = ACTIONS(1370),
    [anon_sym_unsigned] = ACTIONS(1370),
    [anon_sym_long] = ACTIONS(1370),
    [anon_sym_short] = ACTIONS(1370),
    [anon_sym_static] = ACTIONS(1370),
    [anon_sym_auto] = ACTIONS(1370),
    [anon_sym_register] = ACTIONS(1370),
    [anon_sym_inline] = ACTIONS(1370),
    [anon_sym___inline] = ACTIONS(1370),
    [anon_sym___inline__] = ACTIONS(1370),
    [anon_sym___forceinline] = ACTIONS(1370),
    [anon_sym_thread_local] = ACTIONS(1370),
    [anon_sym___thread] = ACTIONS(1370),
    [anon_sym_const] = ACTIONS(1370),
    [anon_sym_constexpr] = ACTIONS(1370),
    [anon_sym_volatile] = ACTIONS(1370),
    [anon_sym_restrict] = ACTIONS(1370),
    [anon_sym___restrict__] = ACTIONS(1370),
    [anon_sym__Atomic] = ACTIONS(1370),
    [anon_sym__Noreturn] = ACTIONS(1370),
    [anon_sym_noreturn] = ACTIONS(1370),
    [sym_primitive_type] = ACTIONS(1370),
    [anon_sym_enum] = ACTIONS(1370),
    [anon_sym_struct] = ACTIONS(1370),
    [anon_sym_union] = ACTIONS(1370),
    [anon_sym_if] = ACTIONS(1370),
    [anon_sym_else] = ACTIONS(1370),
    [anon_sym_switch] = ACTIONS(1370),
    [anon_sym_case] = ACTIONS(1370),
    [anon_sym_default] = ACTIONS(1370),
    [anon_sym_while] = ACTIONS(1370),
    [anon_sym_do] = ACTIONS(1370),
    [anon_sym_for] = ACTIONS(1370),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1370),
    [anon_sym_continue] = ACTIONS(1370),
    [anon_sym_goto] = ACTIONS(1370),
    [anon_sym___try] = ACTIONS(1370),
    [anon_sym___leave] = ACTIONS(1370),
    [anon_sym_DASH_DASH] = ACTIONS(1372),
    [anon_sym_PLUS_PLUS] = ACTIONS(1372),
    [anon_sym_sizeof] = ACTIONS(1370),
    [anon_sym___alignof__] = ACTIONS(1370),
    [anon_sym___alignof] = ACTIONS(1370),
    [anon_sym__alignof] = ACTIONS(1370),
    [anon_sym_alignof] = ACTIONS(1370),
    [anon_sym__Alignof] = ACTIONS(1370),
    [anon_sym_offsetof] = ACTIONS(1370),
    [anon_sym__Generic] = ACTIONS(1370),
    [anon_sym_asm] = ACTIONS(1370),
    [anon_sym___asm__] = ACTIONS(1370),
    [sym_number_literal] = ACTIONS(1372),
    [anon_sym_L_SQUOTE] = ACTIONS(1372),
    [anon_sym_u_SQUOTE] = ACTIONS(1372),
    [anon_sym_U_SQUOTE] = ACTIONS(1372),
    [anon_sym_u8_SQUOTE] = ACTIONS(1372),
    [anon_sym_SQUOTE] = ACTIONS(1372),
    [anon_sym_L_DQUOTE] = ACTIONS(1372),
    [anon_sym_u_DQUOTE] = ACTIONS(1372),
    [anon_sym_U_DQUOTE] = ACTIONS(1372),
    [anon_sym_u8_DQUOTE] = ACTIONS(1372),
    [anon_sym_DQUOTE] = ACTIONS(1372),
    [sym_true] = ACTIONS(1370),
    [sym_false] = ACTIONS(1370),
    [anon_sym_NULL] = ACTIONS(1370),
    [anon_sym_nullptr] = ACTIONS(1370),
    [sym_comment] = ACTIONS(3),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1366),
    [aux_sym_preproc_include_token1] = ACTIONS(1366),
    [aux_sym_preproc_def_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token1] = ACTIONS(1366),
    [aux_sym_preproc_if_token2] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1366),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1366),
    [sym_preproc_directive] = ACTIONS(1366),
    [anon_sym_LPAREN2] = ACTIONS(1368),
    [anon_sym_BANG] = ACTIONS(1368),
    [anon_sym_TILDE] = ACTIONS(1368),
    [anon_sym_DASH] = ACTIONS(1366),
    [anon_sym_PLUS] = ACTIONS(1366),
    [anon_sym_STAR] = ACTIONS(1368),
    [anon_sym_AMP] = ACTIONS(1368),
    [anon_sym_SEMI] = ACTIONS(1368),
    [anon_sym___extension__] = ACTIONS(1366),
    [anon_sym_typedef] = ACTIONS(1366),
    [anon_sym_extern] = ACTIONS(1366),
    [anon_sym___attribute__] = ACTIONS(1366),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1368),
    [anon_sym___declspec] = ACTIONS(1366),
    [anon_sym___cdecl] = ACTIONS(1366),
    [anon_sym___clrcall] = ACTIONS(1366),
    [anon_sym___stdcall] = ACTIONS(1366),
    [anon_sym___fastcall] = ACTIONS(1366),
    [anon_sym___thiscall] = ACTIONS(1366),
    [anon_sym___vectorcall] = ACTIONS(1366),
    [anon_sym_LBRACE] = ACTIONS(1368),
    [anon_sym_signed] = ACTIONS(1366),
    [anon_sym_unsigned] = ACTIONS(1366),
    [anon_sym_long] = ACTIONS(1366),
    [anon_sym_short] = ACTIONS(1366),
    [anon_sym_static] = ACTIONS(1366),
    [anon_sym_auto] = ACTIONS(1366),
    [anon_sym_register] = ACTIONS(1366),
    [anon_sym_inline] = ACTIONS(1366),
    [anon_sym___inline] = ACTIONS(1366),
    [anon_sym___inline__] = ACTIONS(1366),
    [anon_sym___forceinline] = ACTIONS(1366),
    [anon_sym_thread_local] = ACTIONS(1366),
    [anon_sym___thread] = ACTIONS(1366),
    [anon_sym_const] = ACTIONS(1366),
    [anon_sym_constexpr] = ACTIONS(1366),
    [anon_sym_volatile] = ACTIONS(1366),
    [anon_sym_restrict] = ACTIONS(1366),
    [anon_sym___restrict__] = ACTIONS(1366),
    [anon_sym__Atomic] = ACTIONS(1366),
    [anon_sym__Noreturn] = ACTIONS(1366),
    [anon_sym_noreturn] = ACTIONS(1366),
    [sym_primitive_type] = ACTIONS(1366),
    [anon_sym_enum] = ACTIONS(1366),
    [anon_sym_struct] = ACTIONS(1366),
    [anon_sym_union] = ACTIONS(1366),
    [anon_sym_if] = ACTIONS(1366),
    [anon_sym_else] = ACTIONS(1366),
    [anon_sym_switch] = ACTIONS(1366),
    [anon_sym_case] = ACTIONS(1366),
    [anon_sym_default] = ACTIONS(1366),
    [anon_sym_while] = ACTIONS(1366),
    [anon_sym_do] = ACTIONS(1366),
    [anon_sym_for] = ACTIONS(1366),
    [anon_sym_return] = ACTIONS(1366),
    [anon_sym_break] = ACTIONS(1366),
    [anon_sym_continue] = ACTIONS(1366),
    [anon_sym_goto] = ACTIONS(1366),
    [anon_sym___try] = ACTIONS(1366),
    [anon_sym___leave] = ACTIONS(1366),
    [anon_sym_DASH_DASH] = ACTIONS(1368),
    [anon_sym_PLUS_PLUS] = ACTIONS(1368),
    [anon_sym_sizeof] = ACTIONS(1366),
    [anon_sym___alignof__] = ACTIONS(1366),
    [anon_sym___alignof] = ACTIONS(1366),
    [anon_sym__alignof] = ACTIONS(1366),
    [anon_sym_alignof] = ACTIONS(1366),
    [anon_sym__Alignof] = ACTIONS(1366),
    [anon_sym_offsetof] = ACTIONS(1366),
    [anon_sym__Generic] = ACTIONS(1366),
    [anon_sym_asm] = ACTIONS(1366),
    [anon_sym___asm__] = ACTIONS(1366),
    [sym_number_literal] = ACTIONS(1368),
    [anon_sym_L_SQUOTE] = ACTIONS(1368),
    [anon_sym_u_SQUOTE] = ACTIONS(1368),
    [anon_sym_U_SQUOTE] = ACTIONS(1368),
    [anon_sym_u8_SQUOTE] = ACTIONS(1368),
    [anon_sym_SQUOTE] = ACTIONS(1368),
    [anon_sym_L_DQUOTE] = ACTIONS(1368),
    [anon_sym_u_DQUOTE] = ACTIONS(1368),
    [anon_sym_U_DQUOTE] = ACTIONS(1368),
    [anon_sym_u8_DQUOTE] = ACTIONS(1368),
    [anon_sym_DQUOTE] = ACTIONS(1368),
    [sym_true] = ACTIONS(1366),
    [sym_false] = ACTIONS(1366),
    [anon_sym_NULL] = ACTIONS(1366),
    [anon_sym_nullptr] = ACTIONS(1366),
    [sym_comment] = ACTIONS(3),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1362),
    [aux_sym_preproc_include_token1] = ACTIONS(1362),
    [aux_sym_preproc_def_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token1] = ACTIONS(1362),
    [aux_sym_preproc_if_token2] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1362),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1362),
    [sym_preproc_directive] = ACTIONS(1362),
    [anon_sym_LPAREN2] = ACTIONS(1364),
    [anon_sym_BANG] = ACTIONS(1364),
    [anon_sym_TILDE] = ACTIONS(1364),
    [anon_sym_DASH] = ACTIONS(1362),
    [anon_sym_PLUS] = ACTIONS(1362),
    [anon_sym_STAR] = ACTIONS(1364),
    [anon_sym_AMP] = ACTIONS(1364),
    [anon_sym_SEMI] = ACTIONS(1364),
    [anon_sym___extension__] = ACTIONS(1362),
    [anon_sym_typedef] = ACTIONS(1362),
    [anon_sym_extern] = ACTIONS(1362),
    [anon_sym___attribute__] = ACTIONS(1362),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1364),
    [anon_sym___declspec] = ACTIONS(1362),
    [anon_sym___cdecl] = ACTIONS(1362),
    [anon_sym___clrcall] = ACTIONS(1362),
    [anon_sym___stdcall] = ACTIONS(1362),
    [anon_sym___fastcall] = ACTIONS(1362),
    [anon_sym___thiscall] = ACTIONS(1362),
    [anon_sym___vectorcall] = ACTIONS(1362),
    [anon_sym_LBRACE] = ACTIONS(1364),
    [anon_sym_signed] = ACTIONS(1362),
    [anon_sym_unsigned] = ACTIONS(1362),
    [anon_sym_long] = ACTIONS(1362),
    [anon_sym_short] = ACTIONS(1362),
    [anon_sym_static] = ACTIONS(1362),
    [anon_sym_auto] = ACTIONS(1362),
    [anon_sym_register] = ACTIONS(1362),
    [anon_sym_inline] = ACTIONS(1362),
    [anon_sym___inline] = ACTIONS(1362),
    [anon_sym___inline__] = ACTIONS(1362),
    [anon_sym___forceinline] = ACTIONS(1362),
    [anon_sym_thread_local] = ACTIONS(1362),
    [anon_sym___thread] = ACTIONS(1362),
    [anon_sym_const] = ACTIONS(1362),
    [anon_sym_constexpr] = ACTIONS(1362),
    [anon_sym_volatile] = ACTIONS(1362),
    [anon_sym_restrict] = ACTIONS(1362),
    [anon_sym___restrict__] = ACTIONS(1362),
    [anon_sym__Atomic] = ACTIONS(1362),
    [anon_sym__Noreturn] = ACTIONS(1362),
    [anon_sym_noreturn] = ACTIONS(1362),
    [sym_primitive_type] = ACTIONS(1362),
    [anon_sym_enum] = ACTIONS(1362),
    [anon_sym_struct] = ACTIONS(1362),
    [anon_sym_union] = ACTIONS(1362),
    [anon_sym_if] = ACTIONS(1362),
    [anon_sym_else] = ACTIONS(1362),
    [anon_sym_switch] = ACTIONS(1362),
    [anon_sym_case] = ACTIONS(1362),
    [anon_sym_default] = ACTIONS(1362),
    [anon_sym_while] = ACTIONS(1362),
    [anon_sym_do] = ACTIONS(1362),
    [anon_sym_for] = ACTIONS(1362),
    [anon_sym_return] = ACTIONS(1362),
    [anon_sym_break] = ACTIONS(1362),
    [anon_sym_continue] = ACTIONS(1362),
    [anon_sym_goto] = ACTIONS(1362),
    [anon_sym___try] = ACTIONS(1362),
    [anon_sym___leave] = ACTIONS(1362),
    [anon_sym_DASH_DASH] = ACTIONS(1364),
    [anon_sym_PLUS_PLUS] = ACTIONS(1364),
    [anon_sym_sizeof] = ACTIONS(1362),
    [anon_sym___alignof__] = ACTIONS(1362),
    [anon_sym___alignof] = ACTIONS(1362),
    [anon_sym__alignof] = ACTIONS(1362),
    [anon_sym_alignof] = ACTIONS(1362),
    [anon_sym__Alignof] = ACTIONS(1362),
    [anon_sym_offsetof] = ACTIONS(1362),
    [anon_sym__Generic] = ACTIONS(1362),
    [anon_sym_asm] = ACTIONS(1362),
    [anon_sym___asm__] = ACTIONS(1362),
    [sym_number_literal] = ACTIONS(1364),
    [anon_sym_L_SQUOTE] = ACTIONS(1364),
    [anon_sym_u_SQUOTE] = ACTIONS(1364),
    [anon_sym_U_SQUOTE] = ACTIONS(1364),
    [anon_sym_u8_SQUOTE] = ACTIONS(1364),
    [anon_sym_SQUOTE] = ACTIONS(1364),
    [anon_sym_L_DQUOTE] = ACTIONS(1364),
    [anon_sym_u_DQUOTE] = ACTIONS(1364),
    [anon_sym_U_DQUOTE] = ACTIONS(1364),
    [anon_sym_u8_DQUOTE] = ACTIONS(1364),
    [anon_sym_DQUOTE] = ACTIONS(1364),
    [sym_true] = ACTIONS(1362),
    [sym_false] = ACTIONS(1362),
    [anon_sym_NULL] = ACTIONS(1362),
    [anon_sym_nullptr] = ACTIONS(1362),
    [sym_comment] = ACTIONS(3),
  },
  [349] = {
    [sym_identifier] = ACTIONS(1358),
    [aux_sym_preproc_include_token1] = ACTIONS(1358),
    [aux_sym_preproc_def_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token1] = ACTIONS(1358),
    [aux_sym_preproc_if_token2] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1358),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1358),
    [sym_preproc_directive] = ACTIONS(1358),
    [anon_sym_LPAREN2] = ACTIONS(1360),
    [anon_sym_BANG] = ACTIONS(1360),
    [anon_sym_TILDE] = ACTIONS(1360),
    [anon_sym_DASH] = ACTIONS(1358),
    [anon_sym_PLUS] = ACTIONS(1358),
    [anon_sym_STAR] = ACTIONS(1360),
    [anon_sym_AMP] = ACTIONS(1360),
    [anon_sym_SEMI] = ACTIONS(1360),
    [anon_sym___extension__] = ACTIONS(1358),
    [anon_sym_typedef] = ACTIONS(1358),
    [anon_sym_extern] = ACTIONS(1358),
    [anon_sym___attribute__] = ACTIONS(1358),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1360),
    [anon_sym___declspec] = ACTIONS(1358),
    [anon_sym___cdecl] = ACTIONS(1358),
    [anon_sym___clrcall] = ACTIONS(1358),
    [anon_sym___stdcall] = ACTIONS(1358),
    [anon_sym___fastcall] = ACTIONS(1358),
    [anon_sym___thiscall] = ACTIONS(1358),
    [anon_sym___vectorcall] = ACTIONS(1358),
    [anon_sym_LBRACE] = ACTIONS(1360),
    [anon_sym_signed] = ACTIONS(1358),
    [anon_sym_unsigned] = ACTIONS(1358),
    [anon_sym_long] = ACTIONS(1358),
    [anon_sym_short] = ACTIONS(1358),
    [anon_sym_static] = ACTIONS(1358),
    [anon_sym_auto] = ACTIONS(1358),
    [anon_sym_register] = ACTIONS(1358),
    [anon_sym_inline] = ACTIONS(1358),
    [anon_sym___inline] = ACTIONS(1358),
    [anon_sym___inline__] = ACTIONS(1358),
    [anon_sym___forceinline] = ACTIONS(1358),
    [anon_sym_thread_local] = ACTIONS(1358),
    [anon_sym___thread] = ACTIONS(1358),
    [anon_sym_const] = ACTIONS(1358),
    [anon_sym_constexpr] = ACTIONS(1358),
    [anon_sym_volatile] = ACTIONS(1358),
    [anon_sym_restrict] = ACTIONS(1358),
    [anon_sym___restrict__] = ACTIONS(1358),
    [anon_sym__Atomic] = ACTIONS(1358),
    [anon_sym__Noreturn] = ACTIONS(1358),
    [anon_sym_noreturn] = ACTIONS(1358),
    [sym_primitive_type] = ACTIONS(1358),
    [anon_sym_enum] = ACTIONS(1358),
    [anon_sym_struct] = ACTIONS(1358),
    [anon_sym_union] = ACTIONS(1358),
    [anon_sym_if] = ACTIONS(1358),
    [anon_sym_else] = ACTIONS(1358),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1358),
    [anon_sym_default] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1358),
    [anon_sym_do] = ACTIONS(1358),
    [anon_sym_for] = ACTIONS(1358),
    [anon_sym_return] = ACTIONS(1358),
    [anon_sym_break] = ACTIONS(1358),
    [anon_sym_continue] = ACTIONS(1358),
    [anon_sym_goto] = ACTIONS(1358),
    [anon_sym___try] = ACTIONS(1358),
    [anon_sym___leave] = ACTIONS(1358),
    [anon_sym_DASH_DASH] = ACTIONS(1360),
    [anon_sym_PLUS_PLUS] = ACTIONS(1360),
    [anon_sym_sizeof] = ACTIONS(1358),
    [anon_sym___alignof__] = ACTIONS(1358),
    [anon_sym___alignof] = ACTIONS(1358),
    [anon_sym__alignof] = ACTIONS(1358),
    [anon_sym_alignof] = ACTIONS(1358),
    [anon_sym__Alignof] = ACTIONS(1358),
    [anon_sym_offsetof] = ACTIONS(1358),
    [anon_sym__Generic] = ACTIONS(1358),
    [anon_sym_asm] = ACTIONS(1358),
    [anon_sym___asm__] = ACTIONS(1358),
    [sym_number_literal] = ACTIONS(1360),
    [anon_sym_L_SQUOTE] = ACTIONS(1360),
    [anon_sym_u_SQUOTE] = ACTIONS(1360),
    [anon_sym_U_SQUOTE] = ACTIONS(1360),
    [anon_sym_u8_SQUOTE] = ACTIONS(1360),
    [anon_sym_SQUOTE] = ACTIONS(1360),
    [anon_sym_L_DQUOTE] = ACTIONS(1360),
    [anon_sym_u_DQUOTE] = ACTIONS(1360),
    [anon_sym_U_DQUOTE] = ACTIONS(1360),
    [anon_sym_u8_DQUOTE] = ACTIONS(1360),
    [anon_sym_DQUOTE] = ACTIONS(1360),
    [sym_true] = ACTIONS(1358),
    [sym_false] = ACTIONS(1358),
    [anon_sym_NULL] = ACTIONS(1358),
    [anon_sym_nullptr] = ACTIONS(1358),
    [sym_comment] = ACTIONS(3),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1354),
    [aux_sym_preproc_include_token1] = ACTIONS(1354),
    [aux_sym_preproc_def_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token1] = ACTIONS(1354),
    [aux_sym_preproc_if_token2] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1354),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1354),
    [sym_preproc_directive] = ACTIONS(1354),
    [anon_sym_LPAREN2] = ACTIONS(1356),
    [anon_sym_BANG] = ACTIONS(1356),
    [anon_sym_TILDE] = ACTIONS(1356),
    [anon_sym_DASH] = ACTIONS(1354),
    [anon_sym_PLUS] = ACTIONS(1354),
    [anon_sym_STAR] = ACTIONS(1356),
    [anon_sym_AMP] = ACTIONS(1356),
    [anon_sym_SEMI] = ACTIONS(1356),
    [anon_sym___extension__] = ACTIONS(1354),
    [anon_sym_typedef] = ACTIONS(1354),
    [anon_sym_extern] = ACTIONS(1354),
    [anon_sym___attribute__] = ACTIONS(1354),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1356),
    [anon_sym___declspec] = ACTIONS(1354),
    [anon_sym___cdecl] = ACTIONS(1354),
    [anon_sym___clrcall] = ACTIONS(1354),
    [anon_sym___stdcall] = ACTIONS(1354),
    [anon_sym___fastcall] = ACTIONS(1354),
    [anon_sym___thiscall] = ACTIONS(1354),
    [anon_sym___vectorcall] = ACTIONS(1354),
    [anon_sym_LBRACE] = ACTIONS(1356),
    [anon_sym_signed] = ACTIONS(1354),
    [anon_sym_unsigned] = ACTIONS(1354),
    [anon_sym_long] = ACTIONS(1354),
    [anon_sym_short] = ACTIONS(1354),
    [anon_sym_static] = ACTIONS(1354),
    [anon_sym_auto] = ACTIONS(1354),
    [anon_sym_register] = ACTIONS(1354),
    [anon_sym_inline] = ACTIONS(1354),
    [anon_sym___inline] = ACTIONS(1354),
    [anon_sym___inline__] = ACTIONS(1354),
    [anon_sym___forceinline] = ACTIONS(1354),
    [anon_sym_thread_local] = ACTIONS(1354),
    [anon_sym___thread] = ACTIONS(1354),
    [anon_sym_const] = ACTIONS(1354),
    [anon_sym_constexpr] = ACTIONS(1354),
    [anon_sym_volatile] = ACTIONS(1354),
    [anon_sym_restrict] = ACTIONS(1354),
    [anon_sym___restrict__] = ACTIONS(1354),
    [anon_sym__Atomic] = ACTIONS(1354),
    [anon_sym__Noreturn] = ACTIONS(1354),
    [anon_sym_noreturn] = ACTIONS(1354),
    [sym_primitive_type] = ACTIONS(1354),
    [anon_sym_enum] = ACTIONS(1354),
    [anon_sym_struct] = ACTIONS(1354),
    [anon_sym_union] = ACTIONS(1354),
    [anon_sym_if] = ACTIONS(1354),
    [anon_sym_else] = ACTIONS(1354),
    [anon_sym_switch] = ACTIONS(1354),
    [anon_sym_case] = ACTIONS(1354),
    [anon_sym_default] = ACTIONS(1354),
    [anon_sym_while] = ACTIONS(1354),
    [anon_sym_do] = ACTIONS(1354),
    [anon_sym_for] = ACTIONS(1354),
    [anon_sym_return] = ACTIONS(1354),
    [anon_sym_break] = ACTIONS(1354),
    [anon_sym_continue] = ACTIONS(1354),
    [anon_sym_goto] = ACTIONS(1354),
    [anon_sym___try] = ACTIONS(1354),
    [anon_sym___leave] = ACTIONS(1354),
    [anon_sym_DASH_DASH] = ACTIONS(1356),
    [anon_sym_PLUS_PLUS] = ACTIONS(1356),
    [anon_sym_sizeof] = ACTIONS(1354),
    [anon_sym___alignof__] = ACTIONS(1354),
    [anon_sym___alignof] = ACTIONS(1354),
    [anon_sym__alignof] = ACTIONS(1354),
    [anon_sym_alignof] = ACTIONS(1354),
    [anon_sym__Alignof] = ACTIONS(1354),
    [anon_sym_offsetof] = ACTIONS(1354),
    [anon_sym__Generic] = ACTIONS(1354),
    [anon_sym_asm] = ACTIONS(1354),
    [anon_sym___asm__] = ACTIONS(1354),
    [sym_number_literal] = ACTIONS(1356),
    [anon_sym_L_SQUOTE] = ACTIONS(1356),
    [anon_sym_u_SQUOTE] = ACTIONS(1356),
    [anon_sym_U_SQUOTE] = ACTIONS(1356),
    [anon_sym_u8_SQUOTE] = ACTIONS(1356),
    [anon_sym_SQUOTE] = ACTIONS(1356),
    [anon_sym_L_DQUOTE] = ACTIONS(1356),
    [anon_sym_u_DQUOTE] = ACTIONS(1356),
    [anon_sym_U_DQUOTE] = ACTIONS(1356),
    [anon_sym_u8_DQUOTE] = ACTIONS(1356),
    [anon_sym_DQUOTE] = ACTIONS(1356),
    [sym_true] = ACTIONS(1354),
    [sym_false] = ACTIONS(1354),
    [anon_sym_NULL] = ACTIONS(1354),
    [anon_sym_nullptr] = ACTIONS(1354),
    [sym_comment] = ACTIONS(3),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1302),
    [aux_sym_preproc_include_token1] = ACTIONS(1302),
    [aux_sym_preproc_def_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token1] = ACTIONS(1302),
    [aux_sym_preproc_if_token2] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1302),
    [sym_preproc_directive] = ACTIONS(1302),
    [anon_sym_LPAREN2] = ACTIONS(1304),
    [anon_sym_BANG] = ACTIONS(1304),
    [anon_sym_TILDE] = ACTIONS(1304),
    [anon_sym_DASH] = ACTIONS(1302),
    [anon_sym_PLUS] = ACTIONS(1302),
    [anon_sym_STAR] = ACTIONS(1304),
    [anon_sym_AMP] = ACTIONS(1304),
    [anon_sym_SEMI] = ACTIONS(1304),
    [anon_sym___extension__] = ACTIONS(1302),
    [anon_sym_typedef] = ACTIONS(1302),
    [anon_sym_extern] = ACTIONS(1302),
    [anon_sym___attribute__] = ACTIONS(1302),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1304),
    [anon_sym___declspec] = ACTIONS(1302),
    [anon_sym___cdecl] = ACTIONS(1302),
    [anon_sym___clrcall] = ACTIONS(1302),
    [anon_sym___stdcall] = ACTIONS(1302),
    [anon_sym___fastcall] = ACTIONS(1302),
    [anon_sym___thiscall] = ACTIONS(1302),
    [anon_sym___vectorcall] = ACTIONS(1302),
    [anon_sym_LBRACE] = ACTIONS(1304),
    [anon_sym_signed] = ACTIONS(1302),
    [anon_sym_unsigned] = ACTIONS(1302),
    [anon_sym_long] = ACTIONS(1302),
    [anon_sym_short] = ACTIONS(1302),
    [anon_sym_static] = ACTIONS(1302),
    [anon_sym_auto] = ACTIONS(1302),
    [anon_sym_register] = ACTIONS(1302),
    [anon_sym_inline] = ACTIONS(1302),
    [anon_sym___inline] = ACTIONS(1302),
    [anon_sym___inline__] = ACTIONS(1302),
    [anon_sym___forceinline] = ACTIONS(1302),
    [anon_sym_thread_local] = ACTIONS(1302),
    [anon_sym___thread] = ACTIONS(1302),
    [anon_sym_const] = ACTIONS(1302),
    [anon_sym_constexpr] = ACTIONS(1302),
    [anon_sym_volatile] = ACTIONS(1302),
    [anon_sym_restrict] = ACTIONS(1302),
    [anon_sym___restrict__] = ACTIONS(1302),
    [anon_sym__Atomic] = ACTIONS(1302),
    [anon_sym__Noreturn] = ACTIONS(1302),
    [anon_sym_noreturn] = ACTIONS(1302),
    [sym_primitive_type] = ACTIONS(1302),
    [anon_sym_enum] = ACTIONS(1302),
    [anon_sym_struct] = ACTIONS(1302),
    [anon_sym_union] = ACTIONS(1302),
    [anon_sym_if] = ACTIONS(1302),
    [anon_sym_else] = ACTIONS(1302),
    [anon_sym_switch] = ACTIONS(1302),
    [anon_sym_case] = ACTIONS(1302),
    [anon_sym_default] = ACTIONS(1302),
    [anon_sym_while] = ACTIONS(1302),
    [anon_sym_do] = ACTIONS(1302),
    [anon_sym_for] = ACTIONS(1302),
    [anon_sym_return] = ACTIONS(1302),
    [anon_sym_break] = ACTIONS(1302),
    [anon_sym_continue] = ACTIONS(1302),
    [anon_sym_goto] = ACTIONS(1302),
    [anon_sym___try] = ACTIONS(1302),
    [anon_sym___leave] = ACTIONS(1302),
    [anon_sym_DASH_DASH] = ACTIONS(1304),
    [anon_sym_PLUS_PLUS] = ACTIONS(1304),
    [anon_sym_sizeof] = ACTIONS(1302),
    [anon_sym___alignof__] = ACTIONS(1302),
    [anon_sym___alignof] = ACTIONS(1302),
    [anon_sym__alignof] = ACTIONS(1302),
    [anon_sym_alignof] = ACTIONS(1302),
    [anon_sym__Alignof] = ACTIONS(1302),
    [anon_sym_offsetof] = ACTIONS(1302),
    [anon_sym__Generic] = ACTIONS(1302),
    [anon_sym_asm] = ACTIONS(1302),
    [anon_sym___asm__] = ACTIONS(1302),
    [sym_number_literal] = ACTIONS(1304),
    [anon_sym_L_SQUOTE] = ACTIONS(1304),
    [anon_sym_u_SQUOTE] = ACTIONS(1304),
    [anon_sym_U_SQUOTE] = ACTIONS(1304),
    [anon_sym_u8_SQUOTE] = ACTIONS(1304),
    [anon_sym_SQUOTE] = ACTIONS(1304),
    [anon_sym_L_DQUOTE] = ACTIONS(1304),
    [anon_sym_u_DQUOTE] = ACTIONS(1304),
    [anon_sym_U_DQUOTE] = ACTIONS(1304),
    [anon_sym_u8_DQUOTE] = ACTIONS(1304),
    [anon_sym_DQUOTE] = ACTIONS(1304),
    [sym_true] = ACTIONS(1302),
    [sym_false] = ACTIONS(1302),
    [anon_sym_NULL] = ACTIONS(1302),
    [anon_sym_nullptr] = ACTIONS(1302),
    [sym_comment] = ACTIONS(3),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1342),
    [aux_sym_preproc_include_token1] = ACTIONS(1342),
    [aux_sym_preproc_def_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token1] = ACTIONS(1342),
    [aux_sym_preproc_if_token2] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1342),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1342),
    [sym_preproc_directive] = ACTIONS(1342),
    [anon_sym_LPAREN2] = ACTIONS(1344),
    [anon_sym_BANG] = ACTIONS(1344),
    [anon_sym_TILDE] = ACTIONS(1344),
    [anon_sym_DASH] = ACTIONS(1342),
    [anon_sym_PLUS] = ACTIONS(1342),
    [anon_sym_STAR] = ACTIONS(1344),
    [anon_sym_AMP] = ACTIONS(1344),
    [anon_sym_SEMI] = ACTIONS(1344),
    [anon_sym___extension__] = ACTIONS(1342),
    [anon_sym_typedef] = ACTIONS(1342),
    [anon_sym_extern] = ACTIONS(1342),
    [anon_sym___attribute__] = ACTIONS(1342),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1344),
    [anon_sym___declspec] = ACTIONS(1342),
    [anon_sym___cdecl] = ACTIONS(1342),
    [anon_sym___clrcall] = ACTIONS(1342),
    [anon_sym___stdcall] = ACTIONS(1342),
    [anon_sym___fastcall] = ACTIONS(1342),
    [anon_sym___thiscall] = ACTIONS(1342),
    [anon_sym___vectorcall] = ACTIONS(1342),
    [anon_sym_LBRACE] = ACTIONS(1344),
    [anon_sym_signed] = ACTIONS(1342),
    [anon_sym_unsigned] = ACTIONS(1342),
    [anon_sym_long] = ACTIONS(1342),
    [anon_sym_short] = ACTIONS(1342),
    [anon_sym_static] = ACTIONS(1342),
    [anon_sym_auto] = ACTIONS(1342),
    [anon_sym_register] = ACTIONS(1342),
    [anon_sym_inline] = ACTIONS(1342),
    [anon_sym___inline] = ACTIONS(1342),
    [anon_sym___inline__] = ACTIONS(1342),
    [anon_sym___forceinline] = ACTIONS(1342),
    [anon_sym_thread_local] = ACTIONS(1342),
    [anon_sym___thread] = ACTIONS(1342),
    [anon_sym_const] = ACTIONS(1342),
    [anon_sym_constexpr] = ACTIONS(1342),
    [anon_sym_volatile] = ACTIONS(1342),
    [anon_sym_restrict] = ACTIONS(1342),
    [anon_sym___restrict__] = ACTIONS(1342),
    [anon_sym__Atomic] = ACTIONS(1342),
    [anon_sym__Noreturn] = ACTIONS(1342),
    [anon_sym_noreturn] = ACTIONS(1342),
    [sym_primitive_type] = ACTIONS(1342),
    [anon_sym_enum] = ACTIONS(1342),
    [anon_sym_struct] = ACTIONS(1342),
    [anon_sym_union] = ACTIONS(1342),
    [anon_sym_if] = ACTIONS(1342),
    [anon_sym_else] = ACTIONS(1342),
    [anon_sym_switch] = ACTIONS(1342),
    [anon_sym_case] = ACTIONS(1342),
    [anon_sym_default] = ACTIONS(1342),
    [anon_sym_while] = ACTIONS(1342),
    [anon_sym_do] = ACTIONS(1342),
    [anon_sym_for] = ACTIONS(1342),
    [anon_sym_return] = ACTIONS(1342),
    [anon_sym_break] = ACTIONS(1342),
    [anon_sym_continue] = ACTIONS(1342),
    [anon_sym_goto] = ACTIONS(1342),
    [anon_sym___try] = ACTIONS(1342),
    [anon_sym___leave] = ACTIONS(1342),
    [anon_sym_DASH_DASH] = ACTIONS(1344),
    [anon_sym_PLUS_PLUS] = ACTIONS(1344),
    [anon_sym_sizeof] = ACTIONS(1342),
    [anon_sym___alignof__] = ACTIONS(1342),
    [anon_sym___alignof] = ACTIONS(1342),
    [anon_sym__alignof] = ACTIONS(1342),
    [anon_sym_alignof] = ACTIONS(1342),
    [anon_sym__Alignof] = ACTIONS(1342),
    [anon_sym_offsetof] = ACTIONS(1342),
    [anon_sym__Generic] = ACTIONS(1342),
    [anon_sym_asm] = ACTIONS(1342),
    [anon_sym___asm__] = ACTIONS(1342),
    [sym_number_literal] = ACTIONS(1344),
    [anon_sym_L_SQUOTE] = ACTIONS(1344),
    [anon_sym_u_SQUOTE] = ACTIONS(1344),
    [anon_sym_U_SQUOTE] = ACTIONS(1344),
    [anon_sym_u8_SQUOTE] = ACTIONS(1344),
    [anon_sym_SQUOTE] = ACTIONS(1344),
    [anon_sym_L_DQUOTE] = ACTIONS(1344),
    [anon_sym_u_DQUOTE] = ACTIONS(1344),
    [anon_sym_U_DQUOTE] = ACTIONS(1344),
    [anon_sym_u8_DQUOTE] = ACTIONS(1344),
    [anon_sym_DQUOTE] = ACTIONS(1344),
    [sym_true] = ACTIONS(1342),
    [sym_false] = ACTIONS(1342),
    [anon_sym_NULL] = ACTIONS(1342),
    [anon_sym_nullptr] = ACTIONS(1342),
    [sym_comment] = ACTIONS(3),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token2] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_RBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token2] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token2] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym_SEMI] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym___try] = ACTIONS(1476),
    [anon_sym___leave] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [357] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token2] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token2] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [359] = {
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_RBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym___try] = ACTIONS(1416),
    [anon_sym___leave] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [360] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token2] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token2] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token2] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token2] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym_SEMI] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_RBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym___try] = ACTIONS(1452),
    [anon_sym___leave] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token2] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token2] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [367] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token2] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token2] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym_SEMI] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_RBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym___try] = ACTIONS(1460),
    [anon_sym___leave] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token2] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym_SEMI] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_RBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym___try] = ACTIONS(1464),
    [anon_sym___leave] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token2] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [373] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token2] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym_SEMI] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_RBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym___try] = ACTIONS(1448),
    [anon_sym___leave] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym_SEMI] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_RBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym___try] = ACTIONS(1468),
    [anon_sym___leave] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [376] = {
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym_SEMI] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_RBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym___try] = ACTIONS(1444),
    [anon_sym___leave] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [377] = {
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym_SEMI] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_RBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym___try] = ACTIONS(1472),
    [anon_sym___leave] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [378] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token2] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [379] = {
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym_SEMI] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_RBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym___try] = ACTIONS(1456),
    [anon_sym___leave] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [380] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token2] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_RBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym___try] = ACTIONS(1420),
    [anon_sym___leave] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_RBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym_SEMI] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_RBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym___try] = ACTIONS(1480),
    [anon_sym___leave] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token2] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym_SEMI] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym___try] = ACTIONS(1406),
    [anon_sym___leave] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token2] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token2] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token2] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym_SEMI] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_RBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym___try] = ACTIONS(1484),
    [anon_sym___leave] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym_SEMI] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_RBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym___try] = ACTIONS(1488),
    [anon_sym___leave] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_RBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym_SEMI] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_RBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym___try] = ACTIONS(1492),
    [anon_sym___leave] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token2] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym_SEMI] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_RBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym___try] = ACTIONS(1496),
    [anon_sym___leave] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token2] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym_SEMI] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_RBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym___try] = ACTIONS(1500),
    [anon_sym___leave] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token2] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym_SEMI] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym___try] = ACTIONS(1424),
    [anon_sym___leave] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token2] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym_SEMI] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_RBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym___try] = ACTIONS(1402),
    [anon_sym___leave] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1410),
    [aux_sym_preproc_include_token1] = ACTIONS(1410),
    [aux_sym_preproc_def_token1] = ACTIONS(1410),
    [aux_sym_preproc_if_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1410),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1410),
    [sym_preproc_directive] = ACTIONS(1410),
    [anon_sym_LPAREN2] = ACTIONS(1412),
    [anon_sym_BANG] = ACTIONS(1412),
    [anon_sym_TILDE] = ACTIONS(1412),
    [anon_sym_DASH] = ACTIONS(1410),
    [anon_sym_PLUS] = ACTIONS(1410),
    [anon_sym_STAR] = ACTIONS(1412),
    [anon_sym_AMP] = ACTIONS(1412),
    [anon_sym_SEMI] = ACTIONS(1412),
    [anon_sym___extension__] = ACTIONS(1410),
    [anon_sym_typedef] = ACTIONS(1410),
    [anon_sym_extern] = ACTIONS(1410),
    [anon_sym___attribute__] = ACTIONS(1410),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1412),
    [anon_sym___declspec] = ACTIONS(1410),
    [anon_sym___cdecl] = ACTIONS(1410),
    [anon_sym___clrcall] = ACTIONS(1410),
    [anon_sym___stdcall] = ACTIONS(1410),
    [anon_sym___fastcall] = ACTIONS(1410),
    [anon_sym___thiscall] = ACTIONS(1410),
    [anon_sym___vectorcall] = ACTIONS(1410),
    [anon_sym_LBRACE] = ACTIONS(1412),
    [anon_sym_RBRACE] = ACTIONS(1412),
    [anon_sym_signed] = ACTIONS(1410),
    [anon_sym_unsigned] = ACTIONS(1410),
    [anon_sym_long] = ACTIONS(1410),
    [anon_sym_short] = ACTIONS(1410),
    [anon_sym_static] = ACTIONS(1410),
    [anon_sym_auto] = ACTIONS(1410),
    [anon_sym_register] = ACTIONS(1410),
    [anon_sym_inline] = ACTIONS(1410),
    [anon_sym___inline] = ACTIONS(1410),
    [anon_sym___inline__] = ACTIONS(1410),
    [anon_sym___forceinline] = ACTIONS(1410),
    [anon_sym_thread_local] = ACTIONS(1410),
    [anon_sym___thread] = ACTIONS(1410),
    [anon_sym_const] = ACTIONS(1410),
    [anon_sym_constexpr] = ACTIONS(1410),
    [anon_sym_volatile] = ACTIONS(1410),
    [anon_sym_restrict] = ACTIONS(1410),
    [anon_sym___restrict__] = ACTIONS(1410),
    [anon_sym__Atomic] = ACTIONS(1410),
    [anon_sym__Noreturn] = ACTIONS(1410),
    [anon_sym_noreturn] = ACTIONS(1410),
    [sym_primitive_type] = ACTIONS(1410),
    [anon_sym_enum] = ACTIONS(1410),
    [anon_sym_struct] = ACTIONS(1410),
    [anon_sym_union] = ACTIONS(1410),
    [anon_sym_if] = ACTIONS(1410),
    [anon_sym_switch] = ACTIONS(1410),
    [anon_sym_case] = ACTIONS(1410),
    [anon_sym_default] = ACTIONS(1410),
    [anon_sym_while] = ACTIONS(1410),
    [anon_sym_do] = ACTIONS(1410),
    [anon_sym_for] = ACTIONS(1410),
    [anon_sym_return] = ACTIONS(1410),
    [anon_sym_break] = ACTIONS(1410),
    [anon_sym_continue] = ACTIONS(1410),
    [anon_sym_goto] = ACTIONS(1410),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1410),
    [anon_sym_DASH_DASH] = ACTIONS(1412),
    [anon_sym_PLUS_PLUS] = ACTIONS(1412),
    [anon_sym_sizeof] = ACTIONS(1410),
    [anon_sym___alignof__] = ACTIONS(1410),
    [anon_sym___alignof] = ACTIONS(1410),
    [anon_sym__alignof] = ACTIONS(1410),
    [anon_sym_alignof] = ACTIONS(1410),
    [anon_sym__Alignof] = ACTIONS(1410),
    [anon_sym_offsetof] = ACTIONS(1410),
    [anon_sym__Generic] = ACTIONS(1410),
    [anon_sym_asm] = ACTIONS(1410),
    [anon_sym___asm__] = ACTIONS(1410),
    [sym_number_literal] = ACTIONS(1412),
    [anon_sym_L_SQUOTE] = ACTIONS(1412),
    [anon_sym_u_SQUOTE] = ACTIONS(1412),
    [anon_sym_U_SQUOTE] = ACTIONS(1412),
    [anon_sym_u8_SQUOTE] = ACTIONS(1412),
    [anon_sym_SQUOTE] = ACTIONS(1412),
    [anon_sym_L_DQUOTE] = ACTIONS(1412),
    [anon_sym_u_DQUOTE] = ACTIONS(1412),
    [anon_sym_U_DQUOTE] = ACTIONS(1412),
    [anon_sym_u8_DQUOTE] = ACTIONS(1412),
    [anon_sym_DQUOTE] = ACTIONS(1412),
    [sym_true] = ACTIONS(1410),
    [sym_false] = ACTIONS(1410),
    [anon_sym_NULL] = ACTIONS(1410),
    [anon_sym_nullptr] = ACTIONS(1410),
    [sym_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym_SEMI] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_RBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym___try] = ACTIONS(1428),
    [anon_sym___leave] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym_SEMI] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_RBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym___try] = ACTIONS(1432),
    [anon_sym___leave] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym_SEMI] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_RBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym___try] = ACTIONS(1504),
    [anon_sym___leave] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym_SEMI] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_RBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym___try] = ACTIONS(1436),
    [anon_sym___leave] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [404] = {
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym___try] = ACTIONS(1440),
    [anon_sym___leave] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [405] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_case_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1528),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1552),
    [anon_sym_switch] = ACTIONS(1555),
    [anon_sym_case] = ACTIONS(1558),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1564),
    [anon_sym_do] = ACTIONS(1567),
    [anon_sym_for] = ACTIONS(1570),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1576),
    [anon_sym_continue] = ACTIONS(1579),
    [anon_sym_goto] = ACTIONS(1582),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1588),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [406] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [407] = {
    [sym_attribute_declaration] = STATE(407),
    [sym_compound_statement] = STATE(238),
    [sym_attributed_statement] = STATE(238),
    [sym_labeled_statement] = STATE(238),
    [sym_expression_statement] = STATE(238),
    [sym_if_statement] = STATE(238),
    [sym_switch_statement] = STATE(238),
    [sym_case_statement] = STATE(238),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(238),
    [sym_for_statement] = STATE(238),
    [sym_return_statement] = STATE(238),
    [sym_break_statement] = STATE(238),
    [sym_continue_statement] = STATE(238),
    [sym_goto_statement] = STATE(238),
    [sym_seh_try_statement] = STATE(238),
    [sym_seh_leave_statement] = STATE(238),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(407),
    [sym_identifier] = ACTIONS(1628),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1634),
    [anon_sym_if] = ACTIONS(1637),
    [anon_sym_switch] = ACTIONS(1640),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1646),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [408] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(298),
    [sym_attributed_statement] = STATE(298),
    [sym_labeled_statement] = STATE(298),
    [sym_expression_statement] = STATE(298),
    [sym_if_statement] = STATE(298),
    [sym_switch_statement] = STATE(298),
    [sym_case_statement] = STATE(298),
    [sym_while_statement] = STATE(298),
    [sym_do_statement] = STATE(298),
    [sym_for_statement] = STATE(298),
    [sym_return_statement] = STATE(298),
    [sym_break_statement] = STATE(298),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(298),
    [sym_seh_try_statement] = STATE(298),
    [sym_seh_leave_statement] = STATE(298),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [409] = {
    [sym_attribute_declaration] = STATE(433),
    [sym_compound_statement] = STATE(309),
    [sym_attributed_statement] = STATE(309),
    [sym_labeled_statement] = STATE(309),
    [sym_expression_statement] = STATE(309),
    [sym_if_statement] = STATE(309),
    [sym_switch_statement] = STATE(309),
    [sym_case_statement] = STATE(309),
    [sym_while_statement] = STATE(309),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(309),
    [sym_return_statement] = STATE(309),
    [sym_break_statement] = STATE(309),
    [sym_continue_statement] = STATE(309),
    [sym_goto_statement] = STATE(309),
    [sym_seh_try_statement] = STATE(309),
    [sym_seh_leave_statement] = STATE(309),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(433),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [410] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(309),
    [sym_attributed_statement] = STATE(309),
    [sym_labeled_statement] = STATE(309),
    [sym_expression_statement] = STATE(309),
    [sym_if_statement] = STATE(309),
    [sym_switch_statement] = STATE(309),
    [sym_case_statement] = STATE(309),
    [sym_while_statement] = STATE(309),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(309),
    [sym_return_statement] = STATE(309),
    [sym_break_statement] = STATE(309),
    [sym_continue_statement] = STATE(309),
    [sym_goto_statement] = STATE(309),
    [sym_seh_try_statement] = STATE(309),
    [sym_seh_leave_statement] = STATE(309),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [411] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(275),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(275),
    [sym_if_statement] = STATE(275),
    [sym_switch_statement] = STATE(275),
    [sym_case_statement] = STATE(275),
    [sym_while_statement] = STATE(275),
    [sym_do_statement] = STATE(275),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(275),
    [sym_break_statement] = STATE(275),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(275),
    [sym_seh_try_statement] = STATE(275),
    [sym_seh_leave_statement] = STATE(275),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [412] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(207),
    [sym_attributed_statement] = STATE(207),
    [sym_labeled_statement] = STATE(207),
    [sym_expression_statement] = STATE(207),
    [sym_if_statement] = STATE(207),
    [sym_switch_statement] = STATE(207),
    [sym_case_statement] = STATE(207),
    [sym_while_statement] = STATE(207),
    [sym_do_statement] = STATE(207),
    [sym_for_statement] = STATE(207),
    [sym_return_statement] = STATE(207),
    [sym_break_statement] = STATE(207),
    [sym_continue_statement] = STATE(207),
    [sym_goto_statement] = STATE(207),
    [sym_seh_try_statement] = STATE(207),
    [sym_seh_leave_statement] = STATE(207),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [413] = {
    [sym_attribute_declaration] = STATE(447),
    [sym_compound_statement] = STATE(116),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_case_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [414] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(300),
    [sym_attributed_statement] = STATE(299),
    [sym_labeled_statement] = STATE(297),
    [sym_expression_statement] = STATE(296),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(293),
    [sym_case_statement] = STATE(292),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(290),
    [sym_for_statement] = STATE(289),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(287),
    [sym_continue_statement] = STATE(286),
    [sym_goto_statement] = STATE(285),
    [sym_seh_try_statement] = STATE(231),
    [sym_seh_leave_statement] = STATE(284),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [415] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(275),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(275),
    [sym_if_statement] = STATE(275),
    [sym_switch_statement] = STATE(275),
    [sym_case_statement] = STATE(275),
    [sym_while_statement] = STATE(275),
    [sym_do_statement] = STATE(275),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(275),
    [sym_break_statement] = STATE(275),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(275),
    [sym_seh_try_statement] = STATE(275),
    [sym_seh_leave_statement] = STATE(275),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [416] = {
    [sym_attribute_declaration] = STATE(440),
    [sym_compound_statement] = STATE(137),
    [sym_attributed_statement] = STATE(137),
    [sym_labeled_statement] = STATE(137),
    [sym_expression_statement] = STATE(137),
    [sym_if_statement] = STATE(137),
    [sym_switch_statement] = STATE(137),
    [sym_case_statement] = STATE(137),
    [sym_while_statement] = STATE(137),
    [sym_do_statement] = STATE(137),
    [sym_for_statement] = STATE(137),
    [sym_return_statement] = STATE(137),
    [sym_break_statement] = STATE(137),
    [sym_continue_statement] = STATE(137),
    [sym_goto_statement] = STATE(137),
    [sym_seh_try_statement] = STATE(137),
    [sym_seh_leave_statement] = STATE(137),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [417] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(248),
    [sym_attributed_statement] = STATE(248),
    [sym_labeled_statement] = STATE(248),
    [sym_expression_statement] = STATE(248),
    [sym_if_statement] = STATE(248),
    [sym_switch_statement] = STATE(248),
    [sym_case_statement] = STATE(248),
    [sym_while_statement] = STATE(248),
    [sym_do_statement] = STATE(248),
    [sym_for_statement] = STATE(248),
    [sym_return_statement] = STATE(248),
    [sym_break_statement] = STATE(248),
    [sym_continue_statement] = STATE(248),
    [sym_goto_statement] = STATE(248),
    [sym_seh_try_statement] = STATE(248),
    [sym_seh_leave_statement] = STATE(248),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [418] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(1865),
    [sym_attributed_statement] = STATE(1865),
    [sym_labeled_statement] = STATE(1865),
    [sym_expression_statement] = STATE(1865),
    [sym_if_statement] = STATE(1865),
    [sym_switch_statement] = STATE(1865),
    [sym_case_statement] = STATE(1865),
    [sym_while_statement] = STATE(1865),
    [sym_do_statement] = STATE(1865),
    [sym_for_statement] = STATE(1865),
    [sym_return_statement] = STATE(1865),
    [sym_break_statement] = STATE(1865),
    [sym_continue_statement] = STATE(1865),
    [sym_goto_statement] = STATE(1865),
    [sym_seh_try_statement] = STATE(1865),
    [sym_seh_leave_statement] = STATE(1865),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [419] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(1849),
    [sym_attributed_statement] = STATE(1849),
    [sym_labeled_statement] = STATE(1849),
    [sym_expression_statement] = STATE(1849),
    [sym_if_statement] = STATE(1849),
    [sym_switch_statement] = STATE(1849),
    [sym_case_statement] = STATE(1849),
    [sym_while_statement] = STATE(1849),
    [sym_do_statement] = STATE(1849),
    [sym_for_statement] = STATE(1849),
    [sym_return_statement] = STATE(1849),
    [sym_break_statement] = STATE(1849),
    [sym_continue_statement] = STATE(1849),
    [sym_goto_statement] = STATE(1849),
    [sym_seh_try_statement] = STATE(1849),
    [sym_seh_leave_statement] = STATE(1849),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [420] = {
    [sym_attribute_declaration] = STATE(447),
    [sym_compound_statement] = STATE(120),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_case_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym_seh_try_statement] = STATE(120),
    [sym_seh_leave_statement] = STATE(120),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [421] = {
    [sym_attribute_declaration] = STATE(447),
    [sym_compound_statement] = STATE(90),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [422] = {
    [sym_attribute_declaration] = STATE(440),
    [sym_compound_statement] = STATE(178),
    [sym_attributed_statement] = STATE(178),
    [sym_labeled_statement] = STATE(178),
    [sym_expression_statement] = STATE(178),
    [sym_if_statement] = STATE(178),
    [sym_switch_statement] = STATE(178),
    [sym_case_statement] = STATE(178),
    [sym_while_statement] = STATE(178),
    [sym_do_statement] = STATE(178),
    [sym_for_statement] = STATE(178),
    [sym_return_statement] = STATE(178),
    [sym_break_statement] = STATE(178),
    [sym_continue_statement] = STATE(178),
    [sym_goto_statement] = STATE(178),
    [sym_seh_try_statement] = STATE(178),
    [sym_seh_leave_statement] = STATE(178),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [423] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(1837),
    [sym_attributed_statement] = STATE(1837),
    [sym_labeled_statement] = STATE(1837),
    [sym_expression_statement] = STATE(1837),
    [sym_if_statement] = STATE(1837),
    [sym_switch_statement] = STATE(1837),
    [sym_case_statement] = STATE(1837),
    [sym_while_statement] = STATE(1837),
    [sym_do_statement] = STATE(1837),
    [sym_for_statement] = STATE(1837),
    [sym_return_statement] = STATE(1837),
    [sym_break_statement] = STATE(1837),
    [sym_continue_statement] = STATE(1837),
    [sym_goto_statement] = STATE(1837),
    [sym_seh_try_statement] = STATE(1837),
    [sym_seh_leave_statement] = STATE(1837),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [424] = {
    [sym_attribute_declaration] = STATE(440),
    [sym_compound_statement] = STATE(181),
    [sym_attributed_statement] = STATE(181),
    [sym_labeled_statement] = STATE(181),
    [sym_expression_statement] = STATE(181),
    [sym_if_statement] = STATE(181),
    [sym_switch_statement] = STATE(181),
    [sym_case_statement] = STATE(181),
    [sym_while_statement] = STATE(181),
    [sym_do_statement] = STATE(181),
    [sym_for_statement] = STATE(181),
    [sym_return_statement] = STATE(181),
    [sym_break_statement] = STATE(181),
    [sym_continue_statement] = STATE(181),
    [sym_goto_statement] = STATE(181),
    [sym_seh_try_statement] = STATE(181),
    [sym_seh_leave_statement] = STATE(181),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [425] = {
    [sym_attribute_declaration] = STATE(425),
    [sym_compound_statement] = STATE(309),
    [sym_attributed_statement] = STATE(309),
    [sym_labeled_statement] = STATE(309),
    [sym_expression_statement] = STATE(309),
    [sym_if_statement] = STATE(309),
    [sym_switch_statement] = STATE(309),
    [sym_case_statement] = STATE(309),
    [sym_while_statement] = STATE(309),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(309),
    [sym_return_statement] = STATE(309),
    [sym_break_statement] = STATE(309),
    [sym_continue_statement] = STATE(309),
    [sym_goto_statement] = STATE(309),
    [sym_seh_try_statement] = STATE(309),
    [sym_seh_leave_statement] = STATE(309),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(425),
    [sym_identifier] = ACTIONS(1688),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1694),
    [anon_sym_switch] = ACTIONS(1697),
    [anon_sym_case] = ACTIONS(1700),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1706),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_for] = ACTIONS(1712),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1718),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_goto] = ACTIONS(1724),
    [anon_sym___try] = ACTIONS(1727),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [426] = {
    [sym_attribute_declaration] = STATE(407),
    [sym_compound_statement] = STATE(238),
    [sym_attributed_statement] = STATE(238),
    [sym_labeled_statement] = STATE(238),
    [sym_expression_statement] = STATE(238),
    [sym_if_statement] = STATE(238),
    [sym_switch_statement] = STATE(238),
    [sym_case_statement] = STATE(238),
    [sym_while_statement] = STATE(238),
    [sym_do_statement] = STATE(238),
    [sym_for_statement] = STATE(238),
    [sym_return_statement] = STATE(238),
    [sym_break_statement] = STATE(238),
    [sym_continue_statement] = STATE(238),
    [sym_goto_statement] = STATE(238),
    [sym_seh_try_statement] = STATE(238),
    [sym_seh_leave_statement] = STATE(238),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(407),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [427] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(261),
    [sym_attributed_statement] = STATE(262),
    [sym_labeled_statement] = STATE(263),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(267),
    [sym_case_statement] = STATE(268),
    [sym_while_statement] = STATE(269),
    [sym_do_statement] = STATE(270),
    [sym_for_statement] = STATE(272),
    [sym_return_statement] = STATE(273),
    [sym_break_statement] = STATE(274),
    [sym_continue_statement] = STATE(276),
    [sym_goto_statement] = STATE(277),
    [sym_seh_try_statement] = STATE(278),
    [sym_seh_leave_statement] = STATE(279),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [428] = {
    [sym_attribute_declaration] = STATE(428),
    [sym_compound_statement] = STATE(169),
    [sym_attributed_statement] = STATE(169),
    [sym_labeled_statement] = STATE(169),
    [sym_expression_statement] = STATE(169),
    [sym_if_statement] = STATE(169),
    [sym_switch_statement] = STATE(169),
    [sym_case_statement] = STATE(169),
    [sym_while_statement] = STATE(169),
    [sym_do_statement] = STATE(169),
    [sym_for_statement] = STATE(169),
    [sym_return_statement] = STATE(169),
    [sym_break_statement] = STATE(169),
    [sym_continue_statement] = STATE(169),
    [sym_goto_statement] = STATE(169),
    [sym_seh_try_statement] = STATE(169),
    [sym_seh_leave_statement] = STATE(169),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(1730),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1733),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1736),
    [anon_sym_if] = ACTIONS(1739),
    [anon_sym_switch] = ACTIONS(1742),
    [anon_sym_case] = ACTIONS(1745),
    [anon_sym_default] = ACTIONS(1748),
    [anon_sym_while] = ACTIONS(1751),
    [anon_sym_do] = ACTIONS(1754),
    [anon_sym_for] = ACTIONS(1757),
    [anon_sym_return] = ACTIONS(1760),
    [anon_sym_break] = ACTIONS(1763),
    [anon_sym_continue] = ACTIONS(1766),
    [anon_sym_goto] = ACTIONS(1769),
    [anon_sym___try] = ACTIONS(1772),
    [anon_sym___leave] = ACTIONS(1775),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [429] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(491),
    [sym_attributed_statement] = STATE(491),
    [sym_labeled_statement] = STATE(491),
    [sym_expression_statement] = STATE(491),
    [sym_if_statement] = STATE(491),
    [sym_switch_statement] = STATE(491),
    [sym_case_statement] = STATE(491),
    [sym_while_statement] = STATE(491),
    [sym_do_statement] = STATE(491),
    [sym_for_statement] = STATE(491),
    [sym_return_statement] = STATE(491),
    [sym_break_statement] = STATE(491),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(491),
    [sym_seh_try_statement] = STATE(491),
    [sym_seh_leave_statement] = STATE(491),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [430] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(340),
    [sym_attributed_statement] = STATE(340),
    [sym_labeled_statement] = STATE(340),
    [sym_expression_statement] = STATE(340),
    [sym_if_statement] = STATE(340),
    [sym_switch_statement] = STATE(340),
    [sym_case_statement] = STATE(340),
    [sym_while_statement] = STATE(340),
    [sym_do_statement] = STATE(340),
    [sym_for_statement] = STATE(340),
    [sym_return_statement] = STATE(340),
    [sym_break_statement] = STATE(340),
    [sym_continue_statement] = STATE(340),
    [sym_goto_statement] = STATE(340),
    [sym_seh_try_statement] = STATE(340),
    [sym_seh_leave_statement] = STATE(340),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1778),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1781),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1784),
    [anon_sym_if] = ACTIONS(1787),
    [anon_sym_switch] = ACTIONS(1790),
    [anon_sym_case] = ACTIONS(1793),
    [anon_sym_default] = ACTIONS(1796),
    [anon_sym_while] = ACTIONS(1799),
    [anon_sym_do] = ACTIONS(1802),
    [anon_sym_for] = ACTIONS(1805),
    [anon_sym_return] = ACTIONS(1808),
    [anon_sym_break] = ACTIONS(1811),
    [anon_sym_continue] = ACTIONS(1814),
    [anon_sym_goto] = ACTIONS(1817),
    [anon_sym___try] = ACTIONS(1820),
    [anon_sym___leave] = ACTIONS(1823),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [431] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(245),
    [sym_attributed_statement] = STATE(245),
    [sym_labeled_statement] = STATE(245),
    [sym_expression_statement] = STATE(245),
    [sym_if_statement] = STATE(245),
    [sym_switch_statement] = STATE(245),
    [sym_case_statement] = STATE(245),
    [sym_while_statement] = STATE(245),
    [sym_do_statement] = STATE(245),
    [sym_for_statement] = STATE(245),
    [sym_return_statement] = STATE(245),
    [sym_break_statement] = STATE(245),
    [sym_continue_statement] = STATE(245),
    [sym_goto_statement] = STATE(245),
    [sym_seh_try_statement] = STATE(245),
    [sym_seh_leave_statement] = STATE(245),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [432] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(259),
    [sym_attributed_statement] = STATE(259),
    [sym_labeled_statement] = STATE(259),
    [sym_expression_statement] = STATE(259),
    [sym_if_statement] = STATE(259),
    [sym_switch_statement] = STATE(259),
    [sym_case_statement] = STATE(259),
    [sym_while_statement] = STATE(259),
    [sym_do_statement] = STATE(259),
    [sym_for_statement] = STATE(259),
    [sym_return_statement] = STATE(259),
    [sym_break_statement] = STATE(259),
    [sym_continue_statement] = STATE(259),
    [sym_goto_statement] = STATE(259),
    [sym_seh_try_statement] = STATE(259),
    [sym_seh_leave_statement] = STATE(259),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [433] = {
    [sym_attribute_declaration] = STATE(433),
    [sym_compound_statement] = STATE(309),
    [sym_attributed_statement] = STATE(309),
    [sym_labeled_statement] = STATE(309),
    [sym_expression_statement] = STATE(309),
    [sym_if_statement] = STATE(309),
    [sym_switch_statement] = STATE(309),
    [sym_case_statement] = STATE(309),
    [sym_while_statement] = STATE(309),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(309),
    [sym_return_statement] = STATE(309),
    [sym_break_statement] = STATE(309),
    [sym_continue_statement] = STATE(309),
    [sym_goto_statement] = STATE(309),
    [sym_seh_try_statement] = STATE(309),
    [sym_seh_leave_statement] = STATE(309),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(433),
    [sym_identifier] = ACTIONS(1826),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1534),
    [anon_sym_TILDE] = ACTIONS(1534),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1540),
    [anon_sym_AMP] = ACTIONS(1540),
    [anon_sym_SEMI] = ACTIONS(1829),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1546),
    [anon_sym_LBRACE] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1832),
    [anon_sym_switch] = ACTIONS(1697),
    [anon_sym_case] = ACTIONS(1835),
    [anon_sym_default] = ACTIONS(1838),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1709),
    [anon_sym_for] = ACTIONS(1844),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1718),
    [anon_sym_continue] = ACTIONS(1721),
    [anon_sym_goto] = ACTIONS(1724),
    [anon_sym___try] = ACTIONS(1847),
    [anon_sym___leave] = ACTIONS(1850),
    [anon_sym_DASH_DASH] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1591),
    [anon_sym_sizeof] = ACTIONS(1594),
    [anon_sym___alignof__] = ACTIONS(1597),
    [anon_sym___alignof] = ACTIONS(1597),
    [anon_sym__alignof] = ACTIONS(1597),
    [anon_sym_alignof] = ACTIONS(1597),
    [anon_sym__Alignof] = ACTIONS(1597),
    [anon_sym_offsetof] = ACTIONS(1600),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1606),
    [anon_sym___asm__] = ACTIONS(1606),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1612),
    [anon_sym_u_SQUOTE] = ACTIONS(1612),
    [anon_sym_U_SQUOTE] = ACTIONS(1612),
    [anon_sym_u8_SQUOTE] = ACTIONS(1612),
    [anon_sym_SQUOTE] = ACTIONS(1612),
    [anon_sym_L_DQUOTE] = ACTIONS(1615),
    [anon_sym_u_DQUOTE] = ACTIONS(1615),
    [anon_sym_U_DQUOTE] = ACTIONS(1615),
    [anon_sym_u8_DQUOTE] = ACTIONS(1615),
    [anon_sym_DQUOTE] = ACTIONS(1615),
    [sym_true] = ACTIONS(1618),
    [sym_false] = ACTIONS(1618),
    [anon_sym_NULL] = ACTIONS(1621),
    [anon_sym_nullptr] = ACTIONS(1621),
    [sym_comment] = ACTIONS(3),
  },
  [434] = {
    [sym_attribute_declaration] = STATE(446),
    [sym_compound_statement] = STATE(350),
    [sym_attributed_statement] = STATE(350),
    [sym_labeled_statement] = STATE(350),
    [sym_expression_statement] = STATE(350),
    [sym_if_statement] = STATE(350),
    [sym_switch_statement] = STATE(350),
    [sym_case_statement] = STATE(350),
    [sym_while_statement] = STATE(350),
    [sym_do_statement] = STATE(350),
    [sym_for_statement] = STATE(350),
    [sym_return_statement] = STATE(350),
    [sym_break_statement] = STATE(350),
    [sym_continue_statement] = STATE(350),
    [sym_goto_statement] = STATE(350),
    [sym_seh_try_statement] = STATE(350),
    [sym_seh_leave_statement] = STATE(350),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [435] = {
    [sym_attribute_declaration] = STATE(446),
    [sym_compound_statement] = STATE(347),
    [sym_attributed_statement] = STATE(347),
    [sym_labeled_statement] = STATE(347),
    [sym_expression_statement] = STATE(347),
    [sym_if_statement] = STATE(347),
    [sym_switch_statement] = STATE(347),
    [sym_case_statement] = STATE(347),
    [sym_while_statement] = STATE(347),
    [sym_do_statement] = STATE(347),
    [sym_for_statement] = STATE(347),
    [sym_return_statement] = STATE(347),
    [sym_break_statement] = STATE(347),
    [sym_continue_statement] = STATE(347),
    [sym_goto_statement] = STATE(347),
    [sym_seh_try_statement] = STATE(347),
    [sym_seh_leave_statement] = STATE(347),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [436] = {
    [sym_attribute_declaration] = STATE(447),
    [sym_compound_statement] = STATE(107),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_case_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [437] = {
    [sym_attribute_declaration] = STATE(447),
    [sym_compound_statement] = STATE(105),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(103),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(97),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(94),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(112),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(122),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(129),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(447),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [438] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(1857),
    [sym_attributed_statement] = STATE(1857),
    [sym_labeled_statement] = STATE(1857),
    [sym_expression_statement] = STATE(1857),
    [sym_if_statement] = STATE(1857),
    [sym_switch_statement] = STATE(1857),
    [sym_case_statement] = STATE(1857),
    [sym_while_statement] = STATE(1857),
    [sym_do_statement] = STATE(1857),
    [sym_for_statement] = STATE(1857),
    [sym_return_statement] = STATE(1857),
    [sym_break_statement] = STATE(1857),
    [sym_continue_statement] = STATE(1857),
    [sym_goto_statement] = STATE(1857),
    [sym_seh_try_statement] = STATE(1857),
    [sym_seh_leave_statement] = STATE(1857),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [439] = {
    [sym_attribute_declaration] = STATE(446),
    [sym_compound_statement] = STATE(226),
    [sym_attributed_statement] = STATE(226),
    [sym_labeled_statement] = STATE(226),
    [sym_expression_statement] = STATE(226),
    [sym_if_statement] = STATE(226),
    [sym_switch_statement] = STATE(226),
    [sym_case_statement] = STATE(226),
    [sym_while_statement] = STATE(226),
    [sym_do_statement] = STATE(226),
    [sym_for_statement] = STATE(226),
    [sym_return_statement] = STATE(226),
    [sym_break_statement] = STATE(226),
    [sym_continue_statement] = STATE(226),
    [sym_goto_statement] = STATE(226),
    [sym_seh_try_statement] = STATE(226),
    [sym_seh_leave_statement] = STATE(226),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [440] = {
    [sym_attribute_declaration] = STATE(428),
    [sym_compound_statement] = STATE(169),
    [sym_attributed_statement] = STATE(169),
    [sym_labeled_statement] = STATE(169),
    [sym_expression_statement] = STATE(169),
    [sym_if_statement] = STATE(169),
    [sym_switch_statement] = STATE(169),
    [sym_case_statement] = STATE(169),
    [sym_while_statement] = STATE(169),
    [sym_do_statement] = STATE(169),
    [sym_for_statement] = STATE(169),
    [sym_return_statement] = STATE(169),
    [sym_break_statement] = STATE(169),
    [sym_continue_statement] = STATE(169),
    [sym_goto_statement] = STATE(169),
    [sym_seh_try_statement] = STATE(169),
    [sym_seh_leave_statement] = STATE(169),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(428),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [441] = {
    [sym_attribute_declaration] = STATE(426),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(426),
    [sym_identifier] = ACTIONS(1686),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(499),
    [anon_sym_if] = ACTIONS(503),
    [anon_sym_switch] = ACTIONS(505),
    [anon_sym_case] = ACTIONS(507),
    [anon_sym_default] = ACTIONS(509),
    [anon_sym_while] = ACTIONS(511),
    [anon_sym_do] = ACTIONS(513),
    [anon_sym_for] = ACTIONS(515),
    [anon_sym_return] = ACTIONS(517),
    [anon_sym_break] = ACTIONS(519),
    [anon_sym_continue] = ACTIONS(521),
    [anon_sym_goto] = ACTIONS(523),
    [anon_sym___try] = ACTIONS(525),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [442] = {
    [sym_attribute_declaration] = STATE(446),
    [sym_compound_statement] = STATE(337),
    [sym_attributed_statement] = STATE(337),
    [sym_labeled_statement] = STATE(337),
    [sym_expression_statement] = STATE(337),
    [sym_if_statement] = STATE(337),
    [sym_switch_statement] = STATE(337),
    [sym_case_statement] = STATE(337),
    [sym_while_statement] = STATE(337),
    [sym_do_statement] = STATE(337),
    [sym_for_statement] = STATE(337),
    [sym_return_statement] = STATE(337),
    [sym_break_statement] = STATE(337),
    [sym_continue_statement] = STATE(337),
    [sym_goto_statement] = STATE(337),
    [sym_seh_try_statement] = STATE(337),
    [sym_seh_leave_statement] = STATE(337),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [443] = {
    [sym_attribute_declaration] = STATE(440),
    [sym_compound_statement] = STATE(201),
    [sym_attributed_statement] = STATE(201),
    [sym_labeled_statement] = STATE(201),
    [sym_expression_statement] = STATE(201),
    [sym_if_statement] = STATE(201),
    [sym_switch_statement] = STATE(201),
    [sym_case_statement] = STATE(201),
    [sym_while_statement] = STATE(201),
    [sym_do_statement] = STATE(201),
    [sym_for_statement] = STATE(201),
    [sym_return_statement] = STATE(201),
    [sym_break_statement] = STATE(201),
    [sym_continue_statement] = STATE(201),
    [sym_goto_statement] = STATE(201),
    [sym_seh_try_statement] = STATE(201),
    [sym_seh_leave_statement] = STATE(201),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [444] = {
    [sym_attribute_declaration] = STATE(440),
    [sym_compound_statement] = STATE(196),
    [sym_attributed_statement] = STATE(195),
    [sym_labeled_statement] = STATE(194),
    [sym_expression_statement] = STATE(193),
    [sym_if_statement] = STATE(161),
    [sym_switch_statement] = STATE(192),
    [sym_case_statement] = STATE(191),
    [sym_while_statement] = STATE(188),
    [sym_do_statement] = STATE(186),
    [sym_for_statement] = STATE(185),
    [sym_return_statement] = STATE(162),
    [sym_break_statement] = STATE(184),
    [sym_continue_statement] = STATE(183),
    [sym_goto_statement] = STATE(182),
    [sym_seh_try_statement] = STATE(176),
    [sym_seh_leave_statement] = STATE(172),
    [sym__expression] = STATE(1027),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1719),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(440),
    [sym_identifier] = ACTIONS(1684),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(193),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(201),
    [anon_sym_if] = ACTIONS(203),
    [anon_sym_switch] = ACTIONS(205),
    [anon_sym_case] = ACTIONS(207),
    [anon_sym_default] = ACTIONS(209),
    [anon_sym_while] = ACTIONS(211),
    [anon_sym_do] = ACTIONS(213),
    [anon_sym_for] = ACTIONS(215),
    [anon_sym_return] = ACTIONS(217),
    [anon_sym_break] = ACTIONS(219),
    [anon_sym_continue] = ACTIONS(221),
    [anon_sym_goto] = ACTIONS(223),
    [anon_sym___try] = ACTIONS(225),
    [anon_sym___leave] = ACTIONS(227),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [445] = {
    [sym_attribute_declaration] = STATE(446),
    [sym_compound_statement] = STATE(335),
    [sym_attributed_statement] = STATE(334),
    [sym_labeled_statement] = STATE(333),
    [sym_expression_statement] = STATE(332),
    [sym_if_statement] = STATE(331),
    [sym_switch_statement] = STATE(330),
    [sym_case_statement] = STATE(328),
    [sym_while_statement] = STATE(327),
    [sym_do_statement] = STATE(326),
    [sym_for_statement] = STATE(322),
    [sym_return_statement] = STATE(321),
    [sym_break_statement] = STATE(318),
    [sym_continue_statement] = STATE(317),
    [sym_goto_statement] = STATE(316),
    [sym_seh_try_statement] = STATE(315),
    [sym_seh_leave_statement] = STATE(314),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(446),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [446] = {
    [sym_attribute_declaration] = STATE(430),
    [sym_compound_statement] = STATE(340),
    [sym_attributed_statement] = STATE(340),
    [sym_labeled_statement] = STATE(340),
    [sym_expression_statement] = STATE(340),
    [sym_if_statement] = STATE(340),
    [sym_switch_statement] = STATE(340),
    [sym_case_statement] = STATE(340),
    [sym_while_statement] = STATE(340),
    [sym_do_statement] = STATE(340),
    [sym_for_statement] = STATE(340),
    [sym_return_statement] = STATE(340),
    [sym_break_statement] = STATE(340),
    [sym_continue_statement] = STATE(340),
    [sym_goto_statement] = STATE(340),
    [sym_seh_try_statement] = STATE(340),
    [sym_seh_leave_statement] = STATE(340),
    [sym__expression] = STATE(1040),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1654),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(430),
    [sym_identifier] = ACTIONS(1853),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(543),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(553),
    [anon_sym_switch] = ACTIONS(555),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(559),
    [anon_sym_while] = ACTIONS(561),
    [anon_sym_do] = ACTIONS(563),
    [anon_sym_for] = ACTIONS(565),
    [anon_sym_return] = ACTIONS(567),
    [anon_sym_break] = ACTIONS(569),
    [anon_sym_continue] = ACTIONS(571),
    [anon_sym_goto] = ACTIONS(573),
    [anon_sym___try] = ACTIONS(575),
    [anon_sym___leave] = ACTIONS(577),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [447] = {
    [sym_attribute_declaration] = STATE(405),
    [sym_compound_statement] = STATE(127),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_case_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(1005),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1785),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(405),
    [sym_identifier] = ACTIONS(1682),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(121),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(129),
    [anon_sym_if] = ACTIONS(131),
    [anon_sym_switch] = ACTIONS(133),
    [anon_sym_case] = ACTIONS(135),
    [anon_sym_default] = ACTIONS(137),
    [anon_sym_while] = ACTIONS(139),
    [anon_sym_do] = ACTIONS(141),
    [anon_sym_for] = ACTIONS(143),
    [anon_sym_return] = ACTIONS(145),
    [anon_sym_break] = ACTIONS(147),
    [anon_sym_continue] = ACTIONS(149),
    [anon_sym_goto] = ACTIONS(151),
    [anon_sym___try] = ACTIONS(153),
    [anon_sym___leave] = ACTIONS(155),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [448] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(1661),
    [sym_attributed_statement] = STATE(1661),
    [sym_labeled_statement] = STATE(1661),
    [sym_expression_statement] = STATE(1661),
    [sym_if_statement] = STATE(1661),
    [sym_switch_statement] = STATE(1661),
    [sym_case_statement] = STATE(1661),
    [sym_while_statement] = STATE(1661),
    [sym_do_statement] = STATE(1661),
    [sym_for_statement] = STATE(1661),
    [sym_return_statement] = STATE(1661),
    [sym_break_statement] = STATE(1661),
    [sym_continue_statement] = STATE(1661),
    [sym_goto_statement] = STATE(1661),
    [sym_seh_try_statement] = STATE(1661),
    [sym_seh_leave_statement] = STATE(1661),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [449] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(302),
    [sym_attributed_statement] = STATE(302),
    [sym_labeled_statement] = STATE(302),
    [sym_expression_statement] = STATE(302),
    [sym_if_statement] = STATE(302),
    [sym_switch_statement] = STATE(302),
    [sym_case_statement] = STATE(302),
    [sym_while_statement] = STATE(302),
    [sym_do_statement] = STATE(302),
    [sym_for_statement] = STATE(302),
    [sym_return_statement] = STATE(302),
    [sym_break_statement] = STATE(302),
    [sym_continue_statement] = STATE(302),
    [sym_goto_statement] = STATE(302),
    [sym_seh_try_statement] = STATE(302),
    [sym_seh_leave_statement] = STATE(302),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [450] = {
    [sym_attribute_declaration] = STATE(409),
    [sym_compound_statement] = STATE(300),
    [sym_attributed_statement] = STATE(299),
    [sym_labeled_statement] = STATE(297),
    [sym_expression_statement] = STATE(296),
    [sym_if_statement] = STATE(294),
    [sym_switch_statement] = STATE(293),
    [sym_case_statement] = STATE(292),
    [sym_while_statement] = STATE(291),
    [sym_do_statement] = STATE(290),
    [sym_for_statement] = STATE(289),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(287),
    [sym_continue_statement] = STATE(286),
    [sym_goto_statement] = STATE(285),
    [sym_seh_try_statement] = STATE(231),
    [sym_seh_leave_statement] = STATE(284),
    [sym__expression] = STATE(1014),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1840),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(409),
    [sym_identifier] = ACTIONS(1624),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(57),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(61),
    [anon_sym_default] = ACTIONS(63),
    [anon_sym_while] = ACTIONS(65),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1155),
    [anon_sym___leave] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [451] = {
    [sym_attribute_declaration] = STATE(410),
    [sym_compound_statement] = STATE(302),
    [sym_attributed_statement] = STATE(302),
    [sym_labeled_statement] = STATE(302),
    [sym_expression_statement] = STATE(302),
    [sym_if_statement] = STATE(302),
    [sym_switch_statement] = STATE(302),
    [sym_case_statement] = STATE(302),
    [sym_while_statement] = STATE(302),
    [sym_do_statement] = STATE(302),
    [sym_for_statement] = STATE(302),
    [sym_return_statement] = STATE(302),
    [sym_break_statement] = STATE(302),
    [sym_continue_statement] = STATE(302),
    [sym_goto_statement] = STATE(302),
    [sym_seh_try_statement] = STATE(302),
    [sym_seh_leave_statement] = STATE(302),
    [sym__expression] = STATE(1039),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1702),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_attributed_declarator_repeat1] = STATE(410),
    [sym_identifier] = ACTIONS(1676),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(491),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1626),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_if] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(59),
    [anon_sym_case] = ACTIONS(1678),
    [anon_sym_default] = ACTIONS(1680),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(1267),
    [anon_sym_return] = ACTIONS(71),
    [anon_sym_break] = ACTIONS(73),
    [anon_sym_continue] = ACTIONS(75),
    [anon_sym_goto] = ACTIONS(77),
    [anon_sym___try] = ACTIONS(1269),
    [anon_sym___leave] = ACTIONS(527),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1498),
    [sym_identifier] = ACTIONS(1496),
    [aux_sym_preproc_include_token1] = ACTIONS(1496),
    [aux_sym_preproc_def_token1] = ACTIONS(1496),
    [aux_sym_preproc_if_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1496),
    [sym_preproc_directive] = ACTIONS(1496),
    [anon_sym_LPAREN2] = ACTIONS(1498),
    [anon_sym_BANG] = ACTIONS(1498),
    [anon_sym_TILDE] = ACTIONS(1498),
    [anon_sym_DASH] = ACTIONS(1496),
    [anon_sym_PLUS] = ACTIONS(1496),
    [anon_sym_STAR] = ACTIONS(1498),
    [anon_sym_AMP] = ACTIONS(1498),
    [anon_sym___extension__] = ACTIONS(1496),
    [anon_sym_typedef] = ACTIONS(1496),
    [anon_sym_extern] = ACTIONS(1496),
    [anon_sym___attribute__] = ACTIONS(1496),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1498),
    [anon_sym___declspec] = ACTIONS(1496),
    [anon_sym___cdecl] = ACTIONS(1496),
    [anon_sym___clrcall] = ACTIONS(1496),
    [anon_sym___stdcall] = ACTIONS(1496),
    [anon_sym___fastcall] = ACTIONS(1496),
    [anon_sym___thiscall] = ACTIONS(1496),
    [anon_sym___vectorcall] = ACTIONS(1496),
    [anon_sym_LBRACE] = ACTIONS(1498),
    [anon_sym_signed] = ACTIONS(1496),
    [anon_sym_unsigned] = ACTIONS(1496),
    [anon_sym_long] = ACTIONS(1496),
    [anon_sym_short] = ACTIONS(1496),
    [anon_sym_static] = ACTIONS(1496),
    [anon_sym_auto] = ACTIONS(1496),
    [anon_sym_register] = ACTIONS(1496),
    [anon_sym_inline] = ACTIONS(1496),
    [anon_sym___inline] = ACTIONS(1496),
    [anon_sym___inline__] = ACTIONS(1496),
    [anon_sym___forceinline] = ACTIONS(1496),
    [anon_sym_thread_local] = ACTIONS(1496),
    [anon_sym___thread] = ACTIONS(1496),
    [anon_sym_const] = ACTIONS(1496),
    [anon_sym_constexpr] = ACTIONS(1496),
    [anon_sym_volatile] = ACTIONS(1496),
    [anon_sym_restrict] = ACTIONS(1496),
    [anon_sym___restrict__] = ACTIONS(1496),
    [anon_sym__Atomic] = ACTIONS(1496),
    [anon_sym__Noreturn] = ACTIONS(1496),
    [anon_sym_noreturn] = ACTIONS(1496),
    [sym_primitive_type] = ACTIONS(1496),
    [anon_sym_enum] = ACTIONS(1496),
    [anon_sym_struct] = ACTIONS(1496),
    [anon_sym_union] = ACTIONS(1496),
    [anon_sym_if] = ACTIONS(1496),
    [anon_sym_switch] = ACTIONS(1496),
    [anon_sym_case] = ACTIONS(1496),
    [anon_sym_default] = ACTIONS(1496),
    [anon_sym_while] = ACTIONS(1496),
    [anon_sym_do] = ACTIONS(1496),
    [anon_sym_for] = ACTIONS(1496),
    [anon_sym_return] = ACTIONS(1496),
    [anon_sym_break] = ACTIONS(1496),
    [anon_sym_continue] = ACTIONS(1496),
    [anon_sym_goto] = ACTIONS(1496),
    [anon_sym_DASH_DASH] = ACTIONS(1498),
    [anon_sym_PLUS_PLUS] = ACTIONS(1498),
    [anon_sym_sizeof] = ACTIONS(1496),
    [anon_sym___alignof__] = ACTIONS(1496),
    [anon_sym___alignof] = ACTIONS(1496),
    [anon_sym__alignof] = ACTIONS(1496),
    [anon_sym_alignof] = ACTIONS(1496),
    [anon_sym__Alignof] = ACTIONS(1496),
    [anon_sym_offsetof] = ACTIONS(1496),
    [anon_sym__Generic] = ACTIONS(1496),
    [anon_sym_asm] = ACTIONS(1496),
    [anon_sym___asm__] = ACTIONS(1496),
    [sym_number_literal] = ACTIONS(1498),
    [anon_sym_L_SQUOTE] = ACTIONS(1498),
    [anon_sym_u_SQUOTE] = ACTIONS(1498),
    [anon_sym_U_SQUOTE] = ACTIONS(1498),
    [anon_sym_u8_SQUOTE] = ACTIONS(1498),
    [anon_sym_SQUOTE] = ACTIONS(1498),
    [anon_sym_L_DQUOTE] = ACTIONS(1498),
    [anon_sym_u_DQUOTE] = ACTIONS(1498),
    [anon_sym_U_DQUOTE] = ACTIONS(1498),
    [anon_sym_u8_DQUOTE] = ACTIONS(1498),
    [anon_sym_DQUOTE] = ACTIONS(1498),
    [sym_true] = ACTIONS(1496),
    [sym_false] = ACTIONS(1496),
    [anon_sym_NULL] = ACTIONS(1496),
    [anon_sym_nullptr] = ACTIONS(1496),
    [sym_comment] = ACTIONS(3),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1502),
    [sym_identifier] = ACTIONS(1500),
    [aux_sym_preproc_include_token1] = ACTIONS(1500),
    [aux_sym_preproc_def_token1] = ACTIONS(1500),
    [aux_sym_preproc_if_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1500),
    [sym_preproc_directive] = ACTIONS(1500),
    [anon_sym_LPAREN2] = ACTIONS(1502),
    [anon_sym_BANG] = ACTIONS(1502),
    [anon_sym_TILDE] = ACTIONS(1502),
    [anon_sym_DASH] = ACTIONS(1500),
    [anon_sym_PLUS] = ACTIONS(1500),
    [anon_sym_STAR] = ACTIONS(1502),
    [anon_sym_AMP] = ACTIONS(1502),
    [anon_sym___extension__] = ACTIONS(1500),
    [anon_sym_typedef] = ACTIONS(1500),
    [anon_sym_extern] = ACTIONS(1500),
    [anon_sym___attribute__] = ACTIONS(1500),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1502),
    [anon_sym___declspec] = ACTIONS(1500),
    [anon_sym___cdecl] = ACTIONS(1500),
    [anon_sym___clrcall] = ACTIONS(1500),
    [anon_sym___stdcall] = ACTIONS(1500),
    [anon_sym___fastcall] = ACTIONS(1500),
    [anon_sym___thiscall] = ACTIONS(1500),
    [anon_sym___vectorcall] = ACTIONS(1500),
    [anon_sym_LBRACE] = ACTIONS(1502),
    [anon_sym_signed] = ACTIONS(1500),
    [anon_sym_unsigned] = ACTIONS(1500),
    [anon_sym_long] = ACTIONS(1500),
    [anon_sym_short] = ACTIONS(1500),
    [anon_sym_static] = ACTIONS(1500),
    [anon_sym_auto] = ACTIONS(1500),
    [anon_sym_register] = ACTIONS(1500),
    [anon_sym_inline] = ACTIONS(1500),
    [anon_sym___inline] = ACTIONS(1500),
    [anon_sym___inline__] = ACTIONS(1500),
    [anon_sym___forceinline] = ACTIONS(1500),
    [anon_sym_thread_local] = ACTIONS(1500),
    [anon_sym___thread] = ACTIONS(1500),
    [anon_sym_const] = ACTIONS(1500),
    [anon_sym_constexpr] = ACTIONS(1500),
    [anon_sym_volatile] = ACTIONS(1500),
    [anon_sym_restrict] = ACTIONS(1500),
    [anon_sym___restrict__] = ACTIONS(1500),
    [anon_sym__Atomic] = ACTIONS(1500),
    [anon_sym__Noreturn] = ACTIONS(1500),
    [anon_sym_noreturn] = ACTIONS(1500),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1500),
    [anon_sym_struct] = ACTIONS(1500),
    [anon_sym_union] = ACTIONS(1500),
    [anon_sym_if] = ACTIONS(1500),
    [anon_sym_switch] = ACTIONS(1500),
    [anon_sym_case] = ACTIONS(1500),
    [anon_sym_default] = ACTIONS(1500),
    [anon_sym_while] = ACTIONS(1500),
    [anon_sym_do] = ACTIONS(1500),
    [anon_sym_for] = ACTIONS(1500),
    [anon_sym_return] = ACTIONS(1500),
    [anon_sym_break] = ACTIONS(1500),
    [anon_sym_continue] = ACTIONS(1500),
    [anon_sym_goto] = ACTIONS(1500),
    [anon_sym_DASH_DASH] = ACTIONS(1502),
    [anon_sym_PLUS_PLUS] = ACTIONS(1502),
    [anon_sym_sizeof] = ACTIONS(1500),
    [anon_sym___alignof__] = ACTIONS(1500),
    [anon_sym___alignof] = ACTIONS(1500),
    [anon_sym__alignof] = ACTIONS(1500),
    [anon_sym_alignof] = ACTIONS(1500),
    [anon_sym__Alignof] = ACTIONS(1500),
    [anon_sym_offsetof] = ACTIONS(1500),
    [anon_sym__Generic] = ACTIONS(1500),
    [anon_sym_asm] = ACTIONS(1500),
    [anon_sym___asm__] = ACTIONS(1500),
    [sym_number_literal] = ACTIONS(1502),
    [anon_sym_L_SQUOTE] = ACTIONS(1502),
    [anon_sym_u_SQUOTE] = ACTIONS(1502),
    [anon_sym_U_SQUOTE] = ACTIONS(1502),
    [anon_sym_u8_SQUOTE] = ACTIONS(1502),
    [anon_sym_SQUOTE] = ACTIONS(1502),
    [anon_sym_L_DQUOTE] = ACTIONS(1502),
    [anon_sym_u_DQUOTE] = ACTIONS(1502),
    [anon_sym_U_DQUOTE] = ACTIONS(1502),
    [anon_sym_u8_DQUOTE] = ACTIONS(1502),
    [anon_sym_DQUOTE] = ACTIONS(1502),
    [sym_true] = ACTIONS(1500),
    [sym_false] = ACTIONS(1500),
    [anon_sym_NULL] = ACTIONS(1500),
    [anon_sym_nullptr] = ACTIONS(1500),
    [sym_comment] = ACTIONS(3),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1494),
    [sym_identifier] = ACTIONS(1492),
    [aux_sym_preproc_include_token1] = ACTIONS(1492),
    [aux_sym_preproc_def_token1] = ACTIONS(1492),
    [aux_sym_preproc_if_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1492),
    [sym_preproc_directive] = ACTIONS(1492),
    [anon_sym_LPAREN2] = ACTIONS(1494),
    [anon_sym_BANG] = ACTIONS(1494),
    [anon_sym_TILDE] = ACTIONS(1494),
    [anon_sym_DASH] = ACTIONS(1492),
    [anon_sym_PLUS] = ACTIONS(1492),
    [anon_sym_STAR] = ACTIONS(1494),
    [anon_sym_AMP] = ACTIONS(1494),
    [anon_sym___extension__] = ACTIONS(1492),
    [anon_sym_typedef] = ACTIONS(1492),
    [anon_sym_extern] = ACTIONS(1492),
    [anon_sym___attribute__] = ACTIONS(1492),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1494),
    [anon_sym___declspec] = ACTIONS(1492),
    [anon_sym___cdecl] = ACTIONS(1492),
    [anon_sym___clrcall] = ACTIONS(1492),
    [anon_sym___stdcall] = ACTIONS(1492),
    [anon_sym___fastcall] = ACTIONS(1492),
    [anon_sym___thiscall] = ACTIONS(1492),
    [anon_sym___vectorcall] = ACTIONS(1492),
    [anon_sym_LBRACE] = ACTIONS(1494),
    [anon_sym_signed] = ACTIONS(1492),
    [anon_sym_unsigned] = ACTIONS(1492),
    [anon_sym_long] = ACTIONS(1492),
    [anon_sym_short] = ACTIONS(1492),
    [anon_sym_static] = ACTIONS(1492),
    [anon_sym_auto] = ACTIONS(1492),
    [anon_sym_register] = ACTIONS(1492),
    [anon_sym_inline] = ACTIONS(1492),
    [anon_sym___inline] = ACTIONS(1492),
    [anon_sym___inline__] = ACTIONS(1492),
    [anon_sym___forceinline] = ACTIONS(1492),
    [anon_sym_thread_local] = ACTIONS(1492),
    [anon_sym___thread] = ACTIONS(1492),
    [anon_sym_const] = ACTIONS(1492),
    [anon_sym_constexpr] = ACTIONS(1492),
    [anon_sym_volatile] = ACTIONS(1492),
    [anon_sym_restrict] = ACTIONS(1492),
    [anon_sym___restrict__] = ACTIONS(1492),
    [anon_sym__Atomic] = ACTIONS(1492),
    [anon_sym__Noreturn] = ACTIONS(1492),
    [anon_sym_noreturn] = ACTIONS(1492),
    [sym_primitive_type] = ACTIONS(1492),
    [anon_sym_enum] = ACTIONS(1492),
    [anon_sym_struct] = ACTIONS(1492),
    [anon_sym_union] = ACTIONS(1492),
    [anon_sym_if] = ACTIONS(1492),
    [anon_sym_switch] = ACTIONS(1492),
    [anon_sym_case] = ACTIONS(1492),
    [anon_sym_default] = ACTIONS(1492),
    [anon_sym_while] = ACTIONS(1492),
    [anon_sym_do] = ACTIONS(1492),
    [anon_sym_for] = ACTIONS(1492),
    [anon_sym_return] = ACTIONS(1492),
    [anon_sym_break] = ACTIONS(1492),
    [anon_sym_continue] = ACTIONS(1492),
    [anon_sym_goto] = ACTIONS(1492),
    [anon_sym_DASH_DASH] = ACTIONS(1494),
    [anon_sym_PLUS_PLUS] = ACTIONS(1494),
    [anon_sym_sizeof] = ACTIONS(1492),
    [anon_sym___alignof__] = ACTIONS(1492),
    [anon_sym___alignof] = ACTIONS(1492),
    [anon_sym__alignof] = ACTIONS(1492),
    [anon_sym_alignof] = ACTIONS(1492),
    [anon_sym__Alignof] = ACTIONS(1492),
    [anon_sym_offsetof] = ACTIONS(1492),
    [anon_sym__Generic] = ACTIONS(1492),
    [anon_sym_asm] = ACTIONS(1492),
    [anon_sym___asm__] = ACTIONS(1492),
    [sym_number_literal] = ACTIONS(1494),
    [anon_sym_L_SQUOTE] = ACTIONS(1494),
    [anon_sym_u_SQUOTE] = ACTIONS(1494),
    [anon_sym_U_SQUOTE] = ACTIONS(1494),
    [anon_sym_u8_SQUOTE] = ACTIONS(1494),
    [anon_sym_SQUOTE] = ACTIONS(1494),
    [anon_sym_L_DQUOTE] = ACTIONS(1494),
    [anon_sym_u_DQUOTE] = ACTIONS(1494),
    [anon_sym_U_DQUOTE] = ACTIONS(1494),
    [anon_sym_u8_DQUOTE] = ACTIONS(1494),
    [anon_sym_DQUOTE] = ACTIONS(1494),
    [sym_true] = ACTIONS(1492),
    [sym_false] = ACTIONS(1492),
    [anon_sym_NULL] = ACTIONS(1492),
    [anon_sym_nullptr] = ACTIONS(1492),
    [sym_comment] = ACTIONS(3),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1490),
    [sym_identifier] = ACTIONS(1488),
    [aux_sym_preproc_include_token1] = ACTIONS(1488),
    [aux_sym_preproc_def_token1] = ACTIONS(1488),
    [aux_sym_preproc_if_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1488),
    [sym_preproc_directive] = ACTIONS(1488),
    [anon_sym_LPAREN2] = ACTIONS(1490),
    [anon_sym_BANG] = ACTIONS(1490),
    [anon_sym_TILDE] = ACTIONS(1490),
    [anon_sym_DASH] = ACTIONS(1488),
    [anon_sym_PLUS] = ACTIONS(1488),
    [anon_sym_STAR] = ACTIONS(1490),
    [anon_sym_AMP] = ACTIONS(1490),
    [anon_sym___extension__] = ACTIONS(1488),
    [anon_sym_typedef] = ACTIONS(1488),
    [anon_sym_extern] = ACTIONS(1488),
    [anon_sym___attribute__] = ACTIONS(1488),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1490),
    [anon_sym___declspec] = ACTIONS(1488),
    [anon_sym___cdecl] = ACTIONS(1488),
    [anon_sym___clrcall] = ACTIONS(1488),
    [anon_sym___stdcall] = ACTIONS(1488),
    [anon_sym___fastcall] = ACTIONS(1488),
    [anon_sym___thiscall] = ACTIONS(1488),
    [anon_sym___vectorcall] = ACTIONS(1488),
    [anon_sym_LBRACE] = ACTIONS(1490),
    [anon_sym_signed] = ACTIONS(1488),
    [anon_sym_unsigned] = ACTIONS(1488),
    [anon_sym_long] = ACTIONS(1488),
    [anon_sym_short] = ACTIONS(1488),
    [anon_sym_static] = ACTIONS(1488),
    [anon_sym_auto] = ACTIONS(1488),
    [anon_sym_register] = ACTIONS(1488),
    [anon_sym_inline] = ACTIONS(1488),
    [anon_sym___inline] = ACTIONS(1488),
    [anon_sym___inline__] = ACTIONS(1488),
    [anon_sym___forceinline] = ACTIONS(1488),
    [anon_sym_thread_local] = ACTIONS(1488),
    [anon_sym___thread] = ACTIONS(1488),
    [anon_sym_const] = ACTIONS(1488),
    [anon_sym_constexpr] = ACTIONS(1488),
    [anon_sym_volatile] = ACTIONS(1488),
    [anon_sym_restrict] = ACTIONS(1488),
    [anon_sym___restrict__] = ACTIONS(1488),
    [anon_sym__Atomic] = ACTIONS(1488),
    [anon_sym__Noreturn] = ACTIONS(1488),
    [anon_sym_noreturn] = ACTIONS(1488),
    [sym_primitive_type] = ACTIONS(1488),
    [anon_sym_enum] = ACTIONS(1488),
    [anon_sym_struct] = ACTIONS(1488),
    [anon_sym_union] = ACTIONS(1488),
    [anon_sym_if] = ACTIONS(1488),
    [anon_sym_switch] = ACTIONS(1488),
    [anon_sym_case] = ACTIONS(1488),
    [anon_sym_default] = ACTIONS(1488),
    [anon_sym_while] = ACTIONS(1488),
    [anon_sym_do] = ACTIONS(1488),
    [anon_sym_for] = ACTIONS(1488),
    [anon_sym_return] = ACTIONS(1488),
    [anon_sym_break] = ACTIONS(1488),
    [anon_sym_continue] = ACTIONS(1488),
    [anon_sym_goto] = ACTIONS(1488),
    [anon_sym_DASH_DASH] = ACTIONS(1490),
    [anon_sym_PLUS_PLUS] = ACTIONS(1490),
    [anon_sym_sizeof] = ACTIONS(1488),
    [anon_sym___alignof__] = ACTIONS(1488),
    [anon_sym___alignof] = ACTIONS(1488),
    [anon_sym__alignof] = ACTIONS(1488),
    [anon_sym_alignof] = ACTIONS(1488),
    [anon_sym__Alignof] = ACTIONS(1488),
    [anon_sym_offsetof] = ACTIONS(1488),
    [anon_sym__Generic] = ACTIONS(1488),
    [anon_sym_asm] = ACTIONS(1488),
    [anon_sym___asm__] = ACTIONS(1488),
    [sym_number_literal] = ACTIONS(1490),
    [anon_sym_L_SQUOTE] = ACTIONS(1490),
    [anon_sym_u_SQUOTE] = ACTIONS(1490),
    [anon_sym_U_SQUOTE] = ACTIONS(1490),
    [anon_sym_u8_SQUOTE] = ACTIONS(1490),
    [anon_sym_SQUOTE] = ACTIONS(1490),
    [anon_sym_L_DQUOTE] = ACTIONS(1490),
    [anon_sym_u_DQUOTE] = ACTIONS(1490),
    [anon_sym_U_DQUOTE] = ACTIONS(1490),
    [anon_sym_u8_DQUOTE] = ACTIONS(1490),
    [anon_sym_DQUOTE] = ACTIONS(1490),
    [sym_true] = ACTIONS(1488),
    [sym_false] = ACTIONS(1488),
    [anon_sym_NULL] = ACTIONS(1488),
    [anon_sym_nullptr] = ACTIONS(1488),
    [sym_comment] = ACTIONS(3),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1426),
    [sym_identifier] = ACTIONS(1424),
    [aux_sym_preproc_include_token1] = ACTIONS(1424),
    [aux_sym_preproc_def_token1] = ACTIONS(1424),
    [aux_sym_preproc_if_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1424),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1424),
    [sym_preproc_directive] = ACTIONS(1424),
    [anon_sym_LPAREN2] = ACTIONS(1426),
    [anon_sym_BANG] = ACTIONS(1426),
    [anon_sym_TILDE] = ACTIONS(1426),
    [anon_sym_DASH] = ACTIONS(1424),
    [anon_sym_PLUS] = ACTIONS(1424),
    [anon_sym_STAR] = ACTIONS(1426),
    [anon_sym_AMP] = ACTIONS(1426),
    [anon_sym___extension__] = ACTIONS(1424),
    [anon_sym_typedef] = ACTIONS(1424),
    [anon_sym_extern] = ACTIONS(1424),
    [anon_sym___attribute__] = ACTIONS(1424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1426),
    [anon_sym___declspec] = ACTIONS(1424),
    [anon_sym___cdecl] = ACTIONS(1424),
    [anon_sym___clrcall] = ACTIONS(1424),
    [anon_sym___stdcall] = ACTIONS(1424),
    [anon_sym___fastcall] = ACTIONS(1424),
    [anon_sym___thiscall] = ACTIONS(1424),
    [anon_sym___vectorcall] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1426),
    [anon_sym_signed] = ACTIONS(1424),
    [anon_sym_unsigned] = ACTIONS(1424),
    [anon_sym_long] = ACTIONS(1424),
    [anon_sym_short] = ACTIONS(1424),
    [anon_sym_static] = ACTIONS(1424),
    [anon_sym_auto] = ACTIONS(1424),
    [anon_sym_register] = ACTIONS(1424),
    [anon_sym_inline] = ACTIONS(1424),
    [anon_sym___inline] = ACTIONS(1424),
    [anon_sym___inline__] = ACTIONS(1424),
    [anon_sym___forceinline] = ACTIONS(1424),
    [anon_sym_thread_local] = ACTIONS(1424),
    [anon_sym___thread] = ACTIONS(1424),
    [anon_sym_const] = ACTIONS(1424),
    [anon_sym_constexpr] = ACTIONS(1424),
    [anon_sym_volatile] = ACTIONS(1424),
    [anon_sym_restrict] = ACTIONS(1424),
    [anon_sym___restrict__] = ACTIONS(1424),
    [anon_sym__Atomic] = ACTIONS(1424),
    [anon_sym__Noreturn] = ACTIONS(1424),
    [anon_sym_noreturn] = ACTIONS(1424),
    [sym_primitive_type] = ACTIONS(1424),
    [anon_sym_enum] = ACTIONS(1424),
    [anon_sym_struct] = ACTIONS(1424),
    [anon_sym_union] = ACTIONS(1424),
    [anon_sym_if] = ACTIONS(1424),
    [anon_sym_switch] = ACTIONS(1424),
    [anon_sym_case] = ACTIONS(1424),
    [anon_sym_default] = ACTIONS(1424),
    [anon_sym_while] = ACTIONS(1424),
    [anon_sym_do] = ACTIONS(1424),
    [anon_sym_for] = ACTIONS(1424),
    [anon_sym_return] = ACTIONS(1424),
    [anon_sym_break] = ACTIONS(1424),
    [anon_sym_continue] = ACTIONS(1424),
    [anon_sym_goto] = ACTIONS(1424),
    [anon_sym_DASH_DASH] = ACTIONS(1426),
    [anon_sym_PLUS_PLUS] = ACTIONS(1426),
    [anon_sym_sizeof] = ACTIONS(1424),
    [anon_sym___alignof__] = ACTIONS(1424),
    [anon_sym___alignof] = ACTIONS(1424),
    [anon_sym__alignof] = ACTIONS(1424),
    [anon_sym_alignof] = ACTIONS(1424),
    [anon_sym__Alignof] = ACTIONS(1424),
    [anon_sym_offsetof] = ACTIONS(1424),
    [anon_sym__Generic] = ACTIONS(1424),
    [anon_sym_asm] = ACTIONS(1424),
    [anon_sym___asm__] = ACTIONS(1424),
    [sym_number_literal] = ACTIONS(1426),
    [anon_sym_L_SQUOTE] = ACTIONS(1426),
    [anon_sym_u_SQUOTE] = ACTIONS(1426),
    [anon_sym_U_SQUOTE] = ACTIONS(1426),
    [anon_sym_u8_SQUOTE] = ACTIONS(1426),
    [anon_sym_SQUOTE] = ACTIONS(1426),
    [anon_sym_L_DQUOTE] = ACTIONS(1426),
    [anon_sym_u_DQUOTE] = ACTIONS(1426),
    [anon_sym_U_DQUOTE] = ACTIONS(1426),
    [anon_sym_u8_DQUOTE] = ACTIONS(1426),
    [anon_sym_DQUOTE] = ACTIONS(1426),
    [sym_true] = ACTIONS(1424),
    [sym_false] = ACTIONS(1424),
    [anon_sym_NULL] = ACTIONS(1424),
    [anon_sym_nullptr] = ACTIONS(1424),
    [sym_comment] = ACTIONS(3),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1482),
    [sym_identifier] = ACTIONS(1480),
    [aux_sym_preproc_include_token1] = ACTIONS(1480),
    [aux_sym_preproc_def_token1] = ACTIONS(1480),
    [aux_sym_preproc_if_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1480),
    [sym_preproc_directive] = ACTIONS(1480),
    [anon_sym_LPAREN2] = ACTIONS(1482),
    [anon_sym_BANG] = ACTIONS(1482),
    [anon_sym_TILDE] = ACTIONS(1482),
    [anon_sym_DASH] = ACTIONS(1480),
    [anon_sym_PLUS] = ACTIONS(1480),
    [anon_sym_STAR] = ACTIONS(1482),
    [anon_sym_AMP] = ACTIONS(1482),
    [anon_sym___extension__] = ACTIONS(1480),
    [anon_sym_typedef] = ACTIONS(1480),
    [anon_sym_extern] = ACTIONS(1480),
    [anon_sym___attribute__] = ACTIONS(1480),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1480),
    [anon_sym___cdecl] = ACTIONS(1480),
    [anon_sym___clrcall] = ACTIONS(1480),
    [anon_sym___stdcall] = ACTIONS(1480),
    [anon_sym___fastcall] = ACTIONS(1480),
    [anon_sym___thiscall] = ACTIONS(1480),
    [anon_sym___vectorcall] = ACTIONS(1480),
    [anon_sym_LBRACE] = ACTIONS(1482),
    [anon_sym_signed] = ACTIONS(1480),
    [anon_sym_unsigned] = ACTIONS(1480),
    [anon_sym_long] = ACTIONS(1480),
    [anon_sym_short] = ACTIONS(1480),
    [anon_sym_static] = ACTIONS(1480),
    [anon_sym_auto] = ACTIONS(1480),
    [anon_sym_register] = ACTIONS(1480),
    [anon_sym_inline] = ACTIONS(1480),
    [anon_sym___inline] = ACTIONS(1480),
    [anon_sym___inline__] = ACTIONS(1480),
    [anon_sym___forceinline] = ACTIONS(1480),
    [anon_sym_thread_local] = ACTIONS(1480),
    [anon_sym___thread] = ACTIONS(1480),
    [anon_sym_const] = ACTIONS(1480),
    [anon_sym_constexpr] = ACTIONS(1480),
    [anon_sym_volatile] = ACTIONS(1480),
    [anon_sym_restrict] = ACTIONS(1480),
    [anon_sym___restrict__] = ACTIONS(1480),
    [anon_sym__Atomic] = ACTIONS(1480),
    [anon_sym__Noreturn] = ACTIONS(1480),
    [anon_sym_noreturn] = ACTIONS(1480),
    [sym_primitive_type] = ACTIONS(1480),
    [anon_sym_enum] = ACTIONS(1480),
    [anon_sym_struct] = ACTIONS(1480),
    [anon_sym_union] = ACTIONS(1480),
    [anon_sym_if] = ACTIONS(1480),
    [anon_sym_switch] = ACTIONS(1480),
    [anon_sym_case] = ACTIONS(1480),
    [anon_sym_default] = ACTIONS(1480),
    [anon_sym_while] = ACTIONS(1480),
    [anon_sym_do] = ACTIONS(1480),
    [anon_sym_for] = ACTIONS(1480),
    [anon_sym_return] = ACTIONS(1480),
    [anon_sym_break] = ACTIONS(1480),
    [anon_sym_continue] = ACTIONS(1480),
    [anon_sym_goto] = ACTIONS(1480),
    [anon_sym_DASH_DASH] = ACTIONS(1482),
    [anon_sym_PLUS_PLUS] = ACTIONS(1482),
    [anon_sym_sizeof] = ACTIONS(1480),
    [anon_sym___alignof__] = ACTIONS(1480),
    [anon_sym___alignof] = ACTIONS(1480),
    [anon_sym__alignof] = ACTIONS(1480),
    [anon_sym_alignof] = ACTIONS(1480),
    [anon_sym__Alignof] = ACTIONS(1480),
    [anon_sym_offsetof] = ACTIONS(1480),
    [anon_sym__Generic] = ACTIONS(1480),
    [anon_sym_asm] = ACTIONS(1480),
    [anon_sym___asm__] = ACTIONS(1480),
    [sym_number_literal] = ACTIONS(1482),
    [anon_sym_L_SQUOTE] = ACTIONS(1482),
    [anon_sym_u_SQUOTE] = ACTIONS(1482),
    [anon_sym_U_SQUOTE] = ACTIONS(1482),
    [anon_sym_u8_SQUOTE] = ACTIONS(1482),
    [anon_sym_SQUOTE] = ACTIONS(1482),
    [anon_sym_L_DQUOTE] = ACTIONS(1482),
    [anon_sym_u_DQUOTE] = ACTIONS(1482),
    [anon_sym_U_DQUOTE] = ACTIONS(1482),
    [anon_sym_u8_DQUOTE] = ACTIONS(1482),
    [anon_sym_DQUOTE] = ACTIONS(1482),
    [sym_true] = ACTIONS(1480),
    [sym_false] = ACTIONS(1480),
    [anon_sym_NULL] = ACTIONS(1480),
    [anon_sym_nullptr] = ACTIONS(1480),
    [sym_comment] = ACTIONS(3),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1506),
    [sym_identifier] = ACTIONS(1504),
    [aux_sym_preproc_include_token1] = ACTIONS(1504),
    [aux_sym_preproc_def_token1] = ACTIONS(1504),
    [aux_sym_preproc_if_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1504),
    [sym_preproc_directive] = ACTIONS(1504),
    [anon_sym_LPAREN2] = ACTIONS(1506),
    [anon_sym_BANG] = ACTIONS(1506),
    [anon_sym_TILDE] = ACTIONS(1506),
    [anon_sym_DASH] = ACTIONS(1504),
    [anon_sym_PLUS] = ACTIONS(1504),
    [anon_sym_STAR] = ACTIONS(1506),
    [anon_sym_AMP] = ACTIONS(1506),
    [anon_sym___extension__] = ACTIONS(1504),
    [anon_sym_typedef] = ACTIONS(1504),
    [anon_sym_extern] = ACTIONS(1504),
    [anon_sym___attribute__] = ACTIONS(1504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1506),
    [anon_sym___declspec] = ACTIONS(1504),
    [anon_sym___cdecl] = ACTIONS(1504),
    [anon_sym___clrcall] = ACTIONS(1504),
    [anon_sym___stdcall] = ACTIONS(1504),
    [anon_sym___fastcall] = ACTIONS(1504),
    [anon_sym___thiscall] = ACTIONS(1504),
    [anon_sym___vectorcall] = ACTIONS(1504),
    [anon_sym_LBRACE] = ACTIONS(1506),
    [anon_sym_signed] = ACTIONS(1504),
    [anon_sym_unsigned] = ACTIONS(1504),
    [anon_sym_long] = ACTIONS(1504),
    [anon_sym_short] = ACTIONS(1504),
    [anon_sym_static] = ACTIONS(1504),
    [anon_sym_auto] = ACTIONS(1504),
    [anon_sym_register] = ACTIONS(1504),
    [anon_sym_inline] = ACTIONS(1504),
    [anon_sym___inline] = ACTIONS(1504),
    [anon_sym___inline__] = ACTIONS(1504),
    [anon_sym___forceinline] = ACTIONS(1504),
    [anon_sym_thread_local] = ACTIONS(1504),
    [anon_sym___thread] = ACTIONS(1504),
    [anon_sym_const] = ACTIONS(1504),
    [anon_sym_constexpr] = ACTIONS(1504),
    [anon_sym_volatile] = ACTIONS(1504),
    [anon_sym_restrict] = ACTIONS(1504),
    [anon_sym___restrict__] = ACTIONS(1504),
    [anon_sym__Atomic] = ACTIONS(1504),
    [anon_sym__Noreturn] = ACTIONS(1504),
    [anon_sym_noreturn] = ACTIONS(1504),
    [sym_primitive_type] = ACTIONS(1504),
    [anon_sym_enum] = ACTIONS(1504),
    [anon_sym_struct] = ACTIONS(1504),
    [anon_sym_union] = ACTIONS(1504),
    [anon_sym_if] = ACTIONS(1504),
    [anon_sym_switch] = ACTIONS(1504),
    [anon_sym_case] = ACTIONS(1504),
    [anon_sym_default] = ACTIONS(1504),
    [anon_sym_while] = ACTIONS(1504),
    [anon_sym_do] = ACTIONS(1504),
    [anon_sym_for] = ACTIONS(1504),
    [anon_sym_return] = ACTIONS(1504),
    [anon_sym_break] = ACTIONS(1504),
    [anon_sym_continue] = ACTIONS(1504),
    [anon_sym_goto] = ACTIONS(1504),
    [anon_sym_DASH_DASH] = ACTIONS(1506),
    [anon_sym_PLUS_PLUS] = ACTIONS(1506),
    [anon_sym_sizeof] = ACTIONS(1504),
    [anon_sym___alignof__] = ACTIONS(1504),
    [anon_sym___alignof] = ACTIONS(1504),
    [anon_sym__alignof] = ACTIONS(1504),
    [anon_sym_alignof] = ACTIONS(1504),
    [anon_sym__Alignof] = ACTIONS(1504),
    [anon_sym_offsetof] = ACTIONS(1504),
    [anon_sym__Generic] = ACTIONS(1504),
    [anon_sym_asm] = ACTIONS(1504),
    [anon_sym___asm__] = ACTIONS(1504),
    [sym_number_literal] = ACTIONS(1506),
    [anon_sym_L_SQUOTE] = ACTIONS(1506),
    [anon_sym_u_SQUOTE] = ACTIONS(1506),
    [anon_sym_U_SQUOTE] = ACTIONS(1506),
    [anon_sym_u8_SQUOTE] = ACTIONS(1506),
    [anon_sym_SQUOTE] = ACTIONS(1506),
    [anon_sym_L_DQUOTE] = ACTIONS(1506),
    [anon_sym_u_DQUOTE] = ACTIONS(1506),
    [anon_sym_U_DQUOTE] = ACTIONS(1506),
    [anon_sym_u8_DQUOTE] = ACTIONS(1506),
    [anon_sym_DQUOTE] = ACTIONS(1506),
    [sym_true] = ACTIONS(1504),
    [sym_false] = ACTIONS(1504),
    [anon_sym_NULL] = ACTIONS(1504),
    [anon_sym_nullptr] = ACTIONS(1504),
    [sym_comment] = ACTIONS(3),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1408),
    [sym_identifier] = ACTIONS(1406),
    [aux_sym_preproc_include_token1] = ACTIONS(1406),
    [aux_sym_preproc_def_token1] = ACTIONS(1406),
    [aux_sym_preproc_if_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1406),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1406),
    [sym_preproc_directive] = ACTIONS(1406),
    [anon_sym_LPAREN2] = ACTIONS(1408),
    [anon_sym_BANG] = ACTIONS(1408),
    [anon_sym_TILDE] = ACTIONS(1408),
    [anon_sym_DASH] = ACTIONS(1406),
    [anon_sym_PLUS] = ACTIONS(1406),
    [anon_sym_STAR] = ACTIONS(1408),
    [anon_sym_AMP] = ACTIONS(1408),
    [anon_sym___extension__] = ACTIONS(1406),
    [anon_sym_typedef] = ACTIONS(1406),
    [anon_sym_extern] = ACTIONS(1406),
    [anon_sym___attribute__] = ACTIONS(1406),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1408),
    [anon_sym___declspec] = ACTIONS(1406),
    [anon_sym___cdecl] = ACTIONS(1406),
    [anon_sym___clrcall] = ACTIONS(1406),
    [anon_sym___stdcall] = ACTIONS(1406),
    [anon_sym___fastcall] = ACTIONS(1406),
    [anon_sym___thiscall] = ACTIONS(1406),
    [anon_sym___vectorcall] = ACTIONS(1406),
    [anon_sym_LBRACE] = ACTIONS(1408),
    [anon_sym_signed] = ACTIONS(1406),
    [anon_sym_unsigned] = ACTIONS(1406),
    [anon_sym_long] = ACTIONS(1406),
    [anon_sym_short] = ACTIONS(1406),
    [anon_sym_static] = ACTIONS(1406),
    [anon_sym_auto] = ACTIONS(1406),
    [anon_sym_register] = ACTIONS(1406),
    [anon_sym_inline] = ACTIONS(1406),
    [anon_sym___inline] = ACTIONS(1406),
    [anon_sym___inline__] = ACTIONS(1406),
    [anon_sym___forceinline] = ACTIONS(1406),
    [anon_sym_thread_local] = ACTIONS(1406),
    [anon_sym___thread] = ACTIONS(1406),
    [anon_sym_const] = ACTIONS(1406),
    [anon_sym_constexpr] = ACTIONS(1406),
    [anon_sym_volatile] = ACTIONS(1406),
    [anon_sym_restrict] = ACTIONS(1406),
    [anon_sym___restrict__] = ACTIONS(1406),
    [anon_sym__Atomic] = ACTIONS(1406),
    [anon_sym__Noreturn] = ACTIONS(1406),
    [anon_sym_noreturn] = ACTIONS(1406),
    [sym_primitive_type] = ACTIONS(1406),
    [anon_sym_enum] = ACTIONS(1406),
    [anon_sym_struct] = ACTIONS(1406),
    [anon_sym_union] = ACTIONS(1406),
    [anon_sym_if] = ACTIONS(1406),
    [anon_sym_switch] = ACTIONS(1406),
    [anon_sym_case] = ACTIONS(1406),
    [anon_sym_default] = ACTIONS(1406),
    [anon_sym_while] = ACTIONS(1406),
    [anon_sym_do] = ACTIONS(1406),
    [anon_sym_for] = ACTIONS(1406),
    [anon_sym_return] = ACTIONS(1406),
    [anon_sym_break] = ACTIONS(1406),
    [anon_sym_continue] = ACTIONS(1406),
    [anon_sym_goto] = ACTIONS(1406),
    [anon_sym_DASH_DASH] = ACTIONS(1408),
    [anon_sym_PLUS_PLUS] = ACTIONS(1408),
    [anon_sym_sizeof] = ACTIONS(1406),
    [anon_sym___alignof__] = ACTIONS(1406),
    [anon_sym___alignof] = ACTIONS(1406),
    [anon_sym__alignof] = ACTIONS(1406),
    [anon_sym_alignof] = ACTIONS(1406),
    [anon_sym__Alignof] = ACTIONS(1406),
    [anon_sym_offsetof] = ACTIONS(1406),
    [anon_sym__Generic] = ACTIONS(1406),
    [anon_sym_asm] = ACTIONS(1406),
    [anon_sym___asm__] = ACTIONS(1406),
    [sym_number_literal] = ACTIONS(1408),
    [anon_sym_L_SQUOTE] = ACTIONS(1408),
    [anon_sym_u_SQUOTE] = ACTIONS(1408),
    [anon_sym_U_SQUOTE] = ACTIONS(1408),
    [anon_sym_u8_SQUOTE] = ACTIONS(1408),
    [anon_sym_SQUOTE] = ACTIONS(1408),
    [anon_sym_L_DQUOTE] = ACTIONS(1408),
    [anon_sym_u_DQUOTE] = ACTIONS(1408),
    [anon_sym_U_DQUOTE] = ACTIONS(1408),
    [anon_sym_u8_DQUOTE] = ACTIONS(1408),
    [anon_sym_DQUOTE] = ACTIONS(1408),
    [sym_true] = ACTIONS(1406),
    [sym_false] = ACTIONS(1406),
    [anon_sym_NULL] = ACTIONS(1406),
    [anon_sym_nullptr] = ACTIONS(1406),
    [sym_comment] = ACTIONS(3),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1478),
    [sym_identifier] = ACTIONS(1476),
    [aux_sym_preproc_include_token1] = ACTIONS(1476),
    [aux_sym_preproc_def_token1] = ACTIONS(1476),
    [aux_sym_preproc_if_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1476),
    [sym_preproc_directive] = ACTIONS(1476),
    [anon_sym_LPAREN2] = ACTIONS(1478),
    [anon_sym_BANG] = ACTIONS(1478),
    [anon_sym_TILDE] = ACTIONS(1478),
    [anon_sym_DASH] = ACTIONS(1476),
    [anon_sym_PLUS] = ACTIONS(1476),
    [anon_sym_STAR] = ACTIONS(1478),
    [anon_sym_AMP] = ACTIONS(1478),
    [anon_sym___extension__] = ACTIONS(1476),
    [anon_sym_typedef] = ACTIONS(1476),
    [anon_sym_extern] = ACTIONS(1476),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1478),
    [anon_sym___declspec] = ACTIONS(1476),
    [anon_sym___cdecl] = ACTIONS(1476),
    [anon_sym___clrcall] = ACTIONS(1476),
    [anon_sym___stdcall] = ACTIONS(1476),
    [anon_sym___fastcall] = ACTIONS(1476),
    [anon_sym___thiscall] = ACTIONS(1476),
    [anon_sym___vectorcall] = ACTIONS(1476),
    [anon_sym_LBRACE] = ACTIONS(1478),
    [anon_sym_signed] = ACTIONS(1476),
    [anon_sym_unsigned] = ACTIONS(1476),
    [anon_sym_long] = ACTIONS(1476),
    [anon_sym_short] = ACTIONS(1476),
    [anon_sym_static] = ACTIONS(1476),
    [anon_sym_auto] = ACTIONS(1476),
    [anon_sym_register] = ACTIONS(1476),
    [anon_sym_inline] = ACTIONS(1476),
    [anon_sym___inline] = ACTIONS(1476),
    [anon_sym___inline__] = ACTIONS(1476),
    [anon_sym___forceinline] = ACTIONS(1476),
    [anon_sym_thread_local] = ACTIONS(1476),
    [anon_sym___thread] = ACTIONS(1476),
    [anon_sym_const] = ACTIONS(1476),
    [anon_sym_constexpr] = ACTIONS(1476),
    [anon_sym_volatile] = ACTIONS(1476),
    [anon_sym_restrict] = ACTIONS(1476),
    [anon_sym___restrict__] = ACTIONS(1476),
    [anon_sym__Atomic] = ACTIONS(1476),
    [anon_sym__Noreturn] = ACTIONS(1476),
    [anon_sym_noreturn] = ACTIONS(1476),
    [sym_primitive_type] = ACTIONS(1476),
    [anon_sym_enum] = ACTIONS(1476),
    [anon_sym_struct] = ACTIONS(1476),
    [anon_sym_union] = ACTIONS(1476),
    [anon_sym_if] = ACTIONS(1476),
    [anon_sym_switch] = ACTIONS(1476),
    [anon_sym_case] = ACTIONS(1476),
    [anon_sym_default] = ACTIONS(1476),
    [anon_sym_while] = ACTIONS(1476),
    [anon_sym_do] = ACTIONS(1476),
    [anon_sym_for] = ACTIONS(1476),
    [anon_sym_return] = ACTIONS(1476),
    [anon_sym_break] = ACTIONS(1476),
    [anon_sym_continue] = ACTIONS(1476),
    [anon_sym_goto] = ACTIONS(1476),
    [anon_sym_DASH_DASH] = ACTIONS(1478),
    [anon_sym_PLUS_PLUS] = ACTIONS(1478),
    [anon_sym_sizeof] = ACTIONS(1476),
    [anon_sym___alignof__] = ACTIONS(1476),
    [anon_sym___alignof] = ACTIONS(1476),
    [anon_sym__alignof] = ACTIONS(1476),
    [anon_sym_alignof] = ACTIONS(1476),
    [anon_sym__Alignof] = ACTIONS(1476),
    [anon_sym_offsetof] = ACTIONS(1476),
    [anon_sym__Generic] = ACTIONS(1476),
    [anon_sym_asm] = ACTIONS(1476),
    [anon_sym___asm__] = ACTIONS(1476),
    [sym_number_literal] = ACTIONS(1478),
    [anon_sym_L_SQUOTE] = ACTIONS(1478),
    [anon_sym_u_SQUOTE] = ACTIONS(1478),
    [anon_sym_U_SQUOTE] = ACTIONS(1478),
    [anon_sym_u8_SQUOTE] = ACTIONS(1478),
    [anon_sym_SQUOTE] = ACTIONS(1478),
    [anon_sym_L_DQUOTE] = ACTIONS(1478),
    [anon_sym_u_DQUOTE] = ACTIONS(1478),
    [anon_sym_U_DQUOTE] = ACTIONS(1478),
    [anon_sym_u8_DQUOTE] = ACTIONS(1478),
    [anon_sym_DQUOTE] = ACTIONS(1478),
    [sym_true] = ACTIONS(1476),
    [sym_false] = ACTIONS(1476),
    [anon_sym_NULL] = ACTIONS(1476),
    [anon_sym_nullptr] = ACTIONS(1476),
    [sym_comment] = ACTIONS(3),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1462),
    [sym_identifier] = ACTIONS(1460),
    [aux_sym_preproc_include_token1] = ACTIONS(1460),
    [aux_sym_preproc_def_token1] = ACTIONS(1460),
    [aux_sym_preproc_if_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1460),
    [sym_preproc_directive] = ACTIONS(1460),
    [anon_sym_LPAREN2] = ACTIONS(1462),
    [anon_sym_BANG] = ACTIONS(1462),
    [anon_sym_TILDE] = ACTIONS(1462),
    [anon_sym_DASH] = ACTIONS(1460),
    [anon_sym_PLUS] = ACTIONS(1460),
    [anon_sym_STAR] = ACTIONS(1462),
    [anon_sym_AMP] = ACTIONS(1462),
    [anon_sym___extension__] = ACTIONS(1460),
    [anon_sym_typedef] = ACTIONS(1460),
    [anon_sym_extern] = ACTIONS(1460),
    [anon_sym___attribute__] = ACTIONS(1460),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1462),
    [anon_sym___declspec] = ACTIONS(1460),
    [anon_sym___cdecl] = ACTIONS(1460),
    [anon_sym___clrcall] = ACTIONS(1460),
    [anon_sym___stdcall] = ACTIONS(1460),
    [anon_sym___fastcall] = ACTIONS(1460),
    [anon_sym___thiscall] = ACTIONS(1460),
    [anon_sym___vectorcall] = ACTIONS(1460),
    [anon_sym_LBRACE] = ACTIONS(1462),
    [anon_sym_signed] = ACTIONS(1460),
    [anon_sym_unsigned] = ACTIONS(1460),
    [anon_sym_long] = ACTIONS(1460),
    [anon_sym_short] = ACTIONS(1460),
    [anon_sym_static] = ACTIONS(1460),
    [anon_sym_auto] = ACTIONS(1460),
    [anon_sym_register] = ACTIONS(1460),
    [anon_sym_inline] = ACTIONS(1460),
    [anon_sym___inline] = ACTIONS(1460),
    [anon_sym___inline__] = ACTIONS(1460),
    [anon_sym___forceinline] = ACTIONS(1460),
    [anon_sym_thread_local] = ACTIONS(1460),
    [anon_sym___thread] = ACTIONS(1460),
    [anon_sym_const] = ACTIONS(1460),
    [anon_sym_constexpr] = ACTIONS(1460),
    [anon_sym_volatile] = ACTIONS(1460),
    [anon_sym_restrict] = ACTIONS(1460),
    [anon_sym___restrict__] = ACTIONS(1460),
    [anon_sym__Atomic] = ACTIONS(1460),
    [anon_sym__Noreturn] = ACTIONS(1460),
    [anon_sym_noreturn] = ACTIONS(1460),
    [sym_primitive_type] = ACTIONS(1460),
    [anon_sym_enum] = ACTIONS(1460),
    [anon_sym_struct] = ACTIONS(1460),
    [anon_sym_union] = ACTIONS(1460),
    [anon_sym_if] = ACTIONS(1460),
    [anon_sym_switch] = ACTIONS(1460),
    [anon_sym_case] = ACTIONS(1460),
    [anon_sym_default] = ACTIONS(1460),
    [anon_sym_while] = ACTIONS(1460),
    [anon_sym_do] = ACTIONS(1460),
    [anon_sym_for] = ACTIONS(1460),
    [anon_sym_return] = ACTIONS(1460),
    [anon_sym_break] = ACTIONS(1460),
    [anon_sym_continue] = ACTIONS(1460),
    [anon_sym_goto] = ACTIONS(1460),
    [anon_sym_DASH_DASH] = ACTIONS(1462),
    [anon_sym_PLUS_PLUS] = ACTIONS(1462),
    [anon_sym_sizeof] = ACTIONS(1460),
    [anon_sym___alignof__] = ACTIONS(1460),
    [anon_sym___alignof] = ACTIONS(1460),
    [anon_sym__alignof] = ACTIONS(1460),
    [anon_sym_alignof] = ACTIONS(1460),
    [anon_sym__Alignof] = ACTIONS(1460),
    [anon_sym_offsetof] = ACTIONS(1460),
    [anon_sym__Generic] = ACTIONS(1460),
    [anon_sym_asm] = ACTIONS(1460),
    [anon_sym___asm__] = ACTIONS(1460),
    [sym_number_literal] = ACTIONS(1462),
    [anon_sym_L_SQUOTE] = ACTIONS(1462),
    [anon_sym_u_SQUOTE] = ACTIONS(1462),
    [anon_sym_U_SQUOTE] = ACTIONS(1462),
    [anon_sym_u8_SQUOTE] = ACTIONS(1462),
    [anon_sym_SQUOTE] = ACTIONS(1462),
    [anon_sym_L_DQUOTE] = ACTIONS(1462),
    [anon_sym_u_DQUOTE] = ACTIONS(1462),
    [anon_sym_U_DQUOTE] = ACTIONS(1462),
    [anon_sym_u8_DQUOTE] = ACTIONS(1462),
    [anon_sym_DQUOTE] = ACTIONS(1462),
    [sym_true] = ACTIONS(1460),
    [sym_false] = ACTIONS(1460),
    [anon_sym_NULL] = ACTIONS(1460),
    [anon_sym_nullptr] = ACTIONS(1460),
    [sym_comment] = ACTIONS(3),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1486),
    [sym_identifier] = ACTIONS(1484),
    [aux_sym_preproc_include_token1] = ACTIONS(1484),
    [aux_sym_preproc_def_token1] = ACTIONS(1484),
    [aux_sym_preproc_if_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1484),
    [sym_preproc_directive] = ACTIONS(1484),
    [anon_sym_LPAREN2] = ACTIONS(1486),
    [anon_sym_BANG] = ACTIONS(1486),
    [anon_sym_TILDE] = ACTIONS(1486),
    [anon_sym_DASH] = ACTIONS(1484),
    [anon_sym_PLUS] = ACTIONS(1484),
    [anon_sym_STAR] = ACTIONS(1486),
    [anon_sym_AMP] = ACTIONS(1486),
    [anon_sym___extension__] = ACTIONS(1484),
    [anon_sym_typedef] = ACTIONS(1484),
    [anon_sym_extern] = ACTIONS(1484),
    [anon_sym___attribute__] = ACTIONS(1484),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1486),
    [anon_sym___declspec] = ACTIONS(1484),
    [anon_sym___cdecl] = ACTIONS(1484),
    [anon_sym___clrcall] = ACTIONS(1484),
    [anon_sym___stdcall] = ACTIONS(1484),
    [anon_sym___fastcall] = ACTIONS(1484),
    [anon_sym___thiscall] = ACTIONS(1484),
    [anon_sym___vectorcall] = ACTIONS(1484),
    [anon_sym_LBRACE] = ACTIONS(1486),
    [anon_sym_signed] = ACTIONS(1484),
    [anon_sym_unsigned] = ACTIONS(1484),
    [anon_sym_long] = ACTIONS(1484),
    [anon_sym_short] = ACTIONS(1484),
    [anon_sym_static] = ACTIONS(1484),
    [anon_sym_auto] = ACTIONS(1484),
    [anon_sym_register] = ACTIONS(1484),
    [anon_sym_inline] = ACTIONS(1484),
    [anon_sym___inline] = ACTIONS(1484),
    [anon_sym___inline__] = ACTIONS(1484),
    [anon_sym___forceinline] = ACTIONS(1484),
    [anon_sym_thread_local] = ACTIONS(1484),
    [anon_sym___thread] = ACTIONS(1484),
    [anon_sym_const] = ACTIONS(1484),
    [anon_sym_constexpr] = ACTIONS(1484),
    [anon_sym_volatile] = ACTIONS(1484),
    [anon_sym_restrict] = ACTIONS(1484),
    [anon_sym___restrict__] = ACTIONS(1484),
    [anon_sym__Atomic] = ACTIONS(1484),
    [anon_sym__Noreturn] = ACTIONS(1484),
    [anon_sym_noreturn] = ACTIONS(1484),
    [sym_primitive_type] = ACTIONS(1484),
    [anon_sym_enum] = ACTIONS(1484),
    [anon_sym_struct] = ACTIONS(1484),
    [anon_sym_union] = ACTIONS(1484),
    [anon_sym_if] = ACTIONS(1484),
    [anon_sym_switch] = ACTIONS(1484),
    [anon_sym_case] = ACTIONS(1484),
    [anon_sym_default] = ACTIONS(1484),
    [anon_sym_while] = ACTIONS(1484),
    [anon_sym_do] = ACTIONS(1484),
    [anon_sym_for] = ACTIONS(1484),
    [anon_sym_return] = ACTIONS(1484),
    [anon_sym_break] = ACTIONS(1484),
    [anon_sym_continue] = ACTIONS(1484),
    [anon_sym_goto] = ACTIONS(1484),
    [anon_sym_DASH_DASH] = ACTIONS(1486),
    [anon_sym_PLUS_PLUS] = ACTIONS(1486),
    [anon_sym_sizeof] = ACTIONS(1484),
    [anon_sym___alignof__] = ACTIONS(1484),
    [anon_sym___alignof] = ACTIONS(1484),
    [anon_sym__alignof] = ACTIONS(1484),
    [anon_sym_alignof] = ACTIONS(1484),
    [anon_sym__Alignof] = ACTIONS(1484),
    [anon_sym_offsetof] = ACTIONS(1484),
    [anon_sym__Generic] = ACTIONS(1484),
    [anon_sym_asm] = ACTIONS(1484),
    [anon_sym___asm__] = ACTIONS(1484),
    [sym_number_literal] = ACTIONS(1486),
    [anon_sym_L_SQUOTE] = ACTIONS(1486),
    [anon_sym_u_SQUOTE] = ACTIONS(1486),
    [anon_sym_U_SQUOTE] = ACTIONS(1486),
    [anon_sym_u8_SQUOTE] = ACTIONS(1486),
    [anon_sym_SQUOTE] = ACTIONS(1486),
    [anon_sym_L_DQUOTE] = ACTIONS(1486),
    [anon_sym_u_DQUOTE] = ACTIONS(1486),
    [anon_sym_U_DQUOTE] = ACTIONS(1486),
    [anon_sym_u8_DQUOTE] = ACTIONS(1486),
    [anon_sym_DQUOTE] = ACTIONS(1486),
    [sym_true] = ACTIONS(1484),
    [sym_false] = ACTIONS(1484),
    [anon_sym_NULL] = ACTIONS(1484),
    [anon_sym_nullptr] = ACTIONS(1484),
    [sym_comment] = ACTIONS(3),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1855),
    [sym_identifier] = ACTIONS(1857),
    [aux_sym_preproc_include_token1] = ACTIONS(1857),
    [aux_sym_preproc_def_token1] = ACTIONS(1857),
    [aux_sym_preproc_if_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1857),
    [sym_preproc_directive] = ACTIONS(1857),
    [anon_sym_LPAREN2] = ACTIONS(1855),
    [anon_sym_BANG] = ACTIONS(1855),
    [anon_sym_TILDE] = ACTIONS(1855),
    [anon_sym_DASH] = ACTIONS(1857),
    [anon_sym_PLUS] = ACTIONS(1857),
    [anon_sym_STAR] = ACTIONS(1855),
    [anon_sym_AMP] = ACTIONS(1855),
    [anon_sym___extension__] = ACTIONS(1857),
    [anon_sym_typedef] = ACTIONS(1857),
    [anon_sym_extern] = ACTIONS(1857),
    [anon_sym___attribute__] = ACTIONS(1857),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1855),
    [anon_sym___declspec] = ACTIONS(1857),
    [anon_sym___cdecl] = ACTIONS(1857),
    [anon_sym___clrcall] = ACTIONS(1857),
    [anon_sym___stdcall] = ACTIONS(1857),
    [anon_sym___fastcall] = ACTIONS(1857),
    [anon_sym___thiscall] = ACTIONS(1857),
    [anon_sym___vectorcall] = ACTIONS(1857),
    [anon_sym_LBRACE] = ACTIONS(1855),
    [anon_sym_signed] = ACTIONS(1857),
    [anon_sym_unsigned] = ACTIONS(1857),
    [anon_sym_long] = ACTIONS(1857),
    [anon_sym_short] = ACTIONS(1857),
    [anon_sym_static] = ACTIONS(1857),
    [anon_sym_auto] = ACTIONS(1857),
    [anon_sym_register] = ACTIONS(1857),
    [anon_sym_inline] = ACTIONS(1857),
    [anon_sym___inline] = ACTIONS(1857),
    [anon_sym___inline__] = ACTIONS(1857),
    [anon_sym___forceinline] = ACTIONS(1857),
    [anon_sym_thread_local] = ACTIONS(1857),
    [anon_sym___thread] = ACTIONS(1857),
    [anon_sym_const] = ACTIONS(1857),
    [anon_sym_constexpr] = ACTIONS(1857),
    [anon_sym_volatile] = ACTIONS(1857),
    [anon_sym_restrict] = ACTIONS(1857),
    [anon_sym___restrict__] = ACTIONS(1857),
    [anon_sym__Atomic] = ACTIONS(1857),
    [anon_sym__Noreturn] = ACTIONS(1857),
    [anon_sym_noreturn] = ACTIONS(1857),
    [sym_primitive_type] = ACTIONS(1857),
    [anon_sym_enum] = ACTIONS(1857),
    [anon_sym_struct] = ACTIONS(1857),
    [anon_sym_union] = ACTIONS(1857),
    [anon_sym_if] = ACTIONS(1857),
    [anon_sym_switch] = ACTIONS(1857),
    [anon_sym_case] = ACTIONS(1857),
    [anon_sym_default] = ACTIONS(1857),
    [anon_sym_while] = ACTIONS(1857),
    [anon_sym_do] = ACTIONS(1857),
    [anon_sym_for] = ACTIONS(1857),
    [anon_sym_return] = ACTIONS(1857),
    [anon_sym_break] = ACTIONS(1857),
    [anon_sym_continue] = ACTIONS(1857),
    [anon_sym_goto] = ACTIONS(1857),
    [anon_sym_DASH_DASH] = ACTIONS(1855),
    [anon_sym_PLUS_PLUS] = ACTIONS(1855),
    [anon_sym_sizeof] = ACTIONS(1857),
    [anon_sym___alignof__] = ACTIONS(1857),
    [anon_sym___alignof] = ACTIONS(1857),
    [anon_sym__alignof] = ACTIONS(1857),
    [anon_sym_alignof] = ACTIONS(1857),
    [anon_sym__Alignof] = ACTIONS(1857),
    [anon_sym_offsetof] = ACTIONS(1857),
    [anon_sym__Generic] = ACTIONS(1857),
    [anon_sym_asm] = ACTIONS(1857),
    [anon_sym___asm__] = ACTIONS(1857),
    [sym_number_literal] = ACTIONS(1855),
    [anon_sym_L_SQUOTE] = ACTIONS(1855),
    [anon_sym_u_SQUOTE] = ACTIONS(1855),
    [anon_sym_U_SQUOTE] = ACTIONS(1855),
    [anon_sym_u8_SQUOTE] = ACTIONS(1855),
    [anon_sym_SQUOTE] = ACTIONS(1855),
    [anon_sym_L_DQUOTE] = ACTIONS(1855),
    [anon_sym_u_DQUOTE] = ACTIONS(1855),
    [anon_sym_U_DQUOTE] = ACTIONS(1855),
    [anon_sym_u8_DQUOTE] = ACTIONS(1855),
    [anon_sym_DQUOTE] = ACTIONS(1855),
    [sym_true] = ACTIONS(1857),
    [sym_false] = ACTIONS(1857),
    [anon_sym_NULL] = ACTIONS(1857),
    [anon_sym_nullptr] = ACTIONS(1857),
    [sym_comment] = ACTIONS(3),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1442),
    [sym_identifier] = ACTIONS(1440),
    [aux_sym_preproc_include_token1] = ACTIONS(1440),
    [aux_sym_preproc_def_token1] = ACTIONS(1440),
    [aux_sym_preproc_if_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1440),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1440),
    [sym_preproc_directive] = ACTIONS(1440),
    [anon_sym_LPAREN2] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1440),
    [anon_sym_PLUS] = ACTIONS(1440),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym___extension__] = ACTIONS(1440),
    [anon_sym_typedef] = ACTIONS(1440),
    [anon_sym_extern] = ACTIONS(1440),
    [anon_sym___attribute__] = ACTIONS(1440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1442),
    [anon_sym___declspec] = ACTIONS(1440),
    [anon_sym___cdecl] = ACTIONS(1440),
    [anon_sym___clrcall] = ACTIONS(1440),
    [anon_sym___stdcall] = ACTIONS(1440),
    [anon_sym___fastcall] = ACTIONS(1440),
    [anon_sym___thiscall] = ACTIONS(1440),
    [anon_sym___vectorcall] = ACTIONS(1440),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_signed] = ACTIONS(1440),
    [anon_sym_unsigned] = ACTIONS(1440),
    [anon_sym_long] = ACTIONS(1440),
    [anon_sym_short] = ACTIONS(1440),
    [anon_sym_static] = ACTIONS(1440),
    [anon_sym_auto] = ACTIONS(1440),
    [anon_sym_register] = ACTIONS(1440),
    [anon_sym_inline] = ACTIONS(1440),
    [anon_sym___inline] = ACTIONS(1440),
    [anon_sym___inline__] = ACTIONS(1440),
    [anon_sym___forceinline] = ACTIONS(1440),
    [anon_sym_thread_local] = ACTIONS(1440),
    [anon_sym___thread] = ACTIONS(1440),
    [anon_sym_const] = ACTIONS(1440),
    [anon_sym_constexpr] = ACTIONS(1440),
    [anon_sym_volatile] = ACTIONS(1440),
    [anon_sym_restrict] = ACTIONS(1440),
    [anon_sym___restrict__] = ACTIONS(1440),
    [anon_sym__Atomic] = ACTIONS(1440),
    [anon_sym__Noreturn] = ACTIONS(1440),
    [anon_sym_noreturn] = ACTIONS(1440),
    [sym_primitive_type] = ACTIONS(1440),
    [anon_sym_enum] = ACTIONS(1440),
    [anon_sym_struct] = ACTIONS(1440),
    [anon_sym_union] = ACTIONS(1440),
    [anon_sym_if] = ACTIONS(1440),
    [anon_sym_switch] = ACTIONS(1440),
    [anon_sym_case] = ACTIONS(1440),
    [anon_sym_default] = ACTIONS(1440),
    [anon_sym_while] = ACTIONS(1440),
    [anon_sym_do] = ACTIONS(1440),
    [anon_sym_for] = ACTIONS(1440),
    [anon_sym_return] = ACTIONS(1440),
    [anon_sym_break] = ACTIONS(1440),
    [anon_sym_continue] = ACTIONS(1440),
    [anon_sym_goto] = ACTIONS(1440),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_sizeof] = ACTIONS(1440),
    [anon_sym___alignof__] = ACTIONS(1440),
    [anon_sym___alignof] = ACTIONS(1440),
    [anon_sym__alignof] = ACTIONS(1440),
    [anon_sym_alignof] = ACTIONS(1440),
    [anon_sym__Alignof] = ACTIONS(1440),
    [anon_sym_offsetof] = ACTIONS(1440),
    [anon_sym__Generic] = ACTIONS(1440),
    [anon_sym_asm] = ACTIONS(1440),
    [anon_sym___asm__] = ACTIONS(1440),
    [sym_number_literal] = ACTIONS(1442),
    [anon_sym_L_SQUOTE] = ACTIONS(1442),
    [anon_sym_u_SQUOTE] = ACTIONS(1442),
    [anon_sym_U_SQUOTE] = ACTIONS(1442),
    [anon_sym_u8_SQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE] = ACTIONS(1442),
    [anon_sym_L_DQUOTE] = ACTIONS(1442),
    [anon_sym_u_DQUOTE] = ACTIONS(1442),
    [anon_sym_U_DQUOTE] = ACTIONS(1442),
    [anon_sym_u8_DQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [sym_true] = ACTIONS(1440),
    [sym_false] = ACTIONS(1440),
    [anon_sym_NULL] = ACTIONS(1440),
    [anon_sym_nullptr] = ACTIONS(1440),
    [sym_comment] = ACTIONS(3),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1422),
    [sym_identifier] = ACTIONS(1420),
    [aux_sym_preproc_include_token1] = ACTIONS(1420),
    [aux_sym_preproc_def_token1] = ACTIONS(1420),
    [aux_sym_preproc_if_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1420),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1420),
    [sym_preproc_directive] = ACTIONS(1420),
    [anon_sym_LPAREN2] = ACTIONS(1422),
    [anon_sym_BANG] = ACTIONS(1422),
    [anon_sym_TILDE] = ACTIONS(1422),
    [anon_sym_DASH] = ACTIONS(1420),
    [anon_sym_PLUS] = ACTIONS(1420),
    [anon_sym_STAR] = ACTIONS(1422),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym___extension__] = ACTIONS(1420),
    [anon_sym_typedef] = ACTIONS(1420),
    [anon_sym_extern] = ACTIONS(1420),
    [anon_sym___attribute__] = ACTIONS(1420),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1422),
    [anon_sym___declspec] = ACTIONS(1420),
    [anon_sym___cdecl] = ACTIONS(1420),
    [anon_sym___clrcall] = ACTIONS(1420),
    [anon_sym___stdcall] = ACTIONS(1420),
    [anon_sym___fastcall] = ACTIONS(1420),
    [anon_sym___thiscall] = ACTIONS(1420),
    [anon_sym___vectorcall] = ACTIONS(1420),
    [anon_sym_LBRACE] = ACTIONS(1422),
    [anon_sym_signed] = ACTIONS(1420),
    [anon_sym_unsigned] = ACTIONS(1420),
    [anon_sym_long] = ACTIONS(1420),
    [anon_sym_short] = ACTIONS(1420),
    [anon_sym_static] = ACTIONS(1420),
    [anon_sym_auto] = ACTIONS(1420),
    [anon_sym_register] = ACTIONS(1420),
    [anon_sym_inline] = ACTIONS(1420),
    [anon_sym___inline] = ACTIONS(1420),
    [anon_sym___inline__] = ACTIONS(1420),
    [anon_sym___forceinline] = ACTIONS(1420),
    [anon_sym_thread_local] = ACTIONS(1420),
    [anon_sym___thread] = ACTIONS(1420),
    [anon_sym_const] = ACTIONS(1420),
    [anon_sym_constexpr] = ACTIONS(1420),
    [anon_sym_volatile] = ACTIONS(1420),
    [anon_sym_restrict] = ACTIONS(1420),
    [anon_sym___restrict__] = ACTIONS(1420),
    [anon_sym__Atomic] = ACTIONS(1420),
    [anon_sym__Noreturn] = ACTIONS(1420),
    [anon_sym_noreturn] = ACTIONS(1420),
    [sym_primitive_type] = ACTIONS(1420),
    [anon_sym_enum] = ACTIONS(1420),
    [anon_sym_struct] = ACTIONS(1420),
    [anon_sym_union] = ACTIONS(1420),
    [anon_sym_if] = ACTIONS(1420),
    [anon_sym_switch] = ACTIONS(1420),
    [anon_sym_case] = ACTIONS(1420),
    [anon_sym_default] = ACTIONS(1420),
    [anon_sym_while] = ACTIONS(1420),
    [anon_sym_do] = ACTIONS(1420),
    [anon_sym_for] = ACTIONS(1420),
    [anon_sym_return] = ACTIONS(1420),
    [anon_sym_break] = ACTIONS(1420),
    [anon_sym_continue] = ACTIONS(1420),
    [anon_sym_goto] = ACTIONS(1420),
    [anon_sym_DASH_DASH] = ACTIONS(1422),
    [anon_sym_PLUS_PLUS] = ACTIONS(1422),
    [anon_sym_sizeof] = ACTIONS(1420),
    [anon_sym___alignof__] = ACTIONS(1420),
    [anon_sym___alignof] = ACTIONS(1420),
    [anon_sym__alignof] = ACTIONS(1420),
    [anon_sym_alignof] = ACTIONS(1420),
    [anon_sym__Alignof] = ACTIONS(1420),
    [anon_sym_offsetof] = ACTIONS(1420),
    [anon_sym__Generic] = ACTIONS(1420),
    [anon_sym_asm] = ACTIONS(1420),
    [anon_sym___asm__] = ACTIONS(1420),
    [sym_number_literal] = ACTIONS(1422),
    [anon_sym_L_SQUOTE] = ACTIONS(1422),
    [anon_sym_u_SQUOTE] = ACTIONS(1422),
    [anon_sym_U_SQUOTE] = ACTIONS(1422),
    [anon_sym_u8_SQUOTE] = ACTIONS(1422),
    [anon_sym_SQUOTE] = ACTIONS(1422),
    [anon_sym_L_DQUOTE] = ACTIONS(1422),
    [anon_sym_u_DQUOTE] = ACTIONS(1422),
    [anon_sym_U_DQUOTE] = ACTIONS(1422),
    [anon_sym_u8_DQUOTE] = ACTIONS(1422),
    [anon_sym_DQUOTE] = ACTIONS(1422),
    [sym_true] = ACTIONS(1420),
    [sym_false] = ACTIONS(1420),
    [anon_sym_NULL] = ACTIONS(1420),
    [anon_sym_nullptr] = ACTIONS(1420),
    [sym_comment] = ACTIONS(3),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1404),
    [sym_identifier] = ACTIONS(1402),
    [aux_sym_preproc_include_token1] = ACTIONS(1402),
    [aux_sym_preproc_def_token1] = ACTIONS(1402),
    [aux_sym_preproc_if_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1402),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1402),
    [sym_preproc_directive] = ACTIONS(1402),
    [anon_sym_LPAREN2] = ACTIONS(1404),
    [anon_sym_BANG] = ACTIONS(1404),
    [anon_sym_TILDE] = ACTIONS(1404),
    [anon_sym_DASH] = ACTIONS(1402),
    [anon_sym_PLUS] = ACTIONS(1402),
    [anon_sym_STAR] = ACTIONS(1404),
    [anon_sym_AMP] = ACTIONS(1404),
    [anon_sym___extension__] = ACTIONS(1402),
    [anon_sym_typedef] = ACTIONS(1402),
    [anon_sym_extern] = ACTIONS(1402),
    [anon_sym___attribute__] = ACTIONS(1402),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1404),
    [anon_sym___declspec] = ACTIONS(1402),
    [anon_sym___cdecl] = ACTIONS(1402),
    [anon_sym___clrcall] = ACTIONS(1402),
    [anon_sym___stdcall] = ACTIONS(1402),
    [anon_sym___fastcall] = ACTIONS(1402),
    [anon_sym___thiscall] = ACTIONS(1402),
    [anon_sym___vectorcall] = ACTIONS(1402),
    [anon_sym_LBRACE] = ACTIONS(1404),
    [anon_sym_signed] = ACTIONS(1402),
    [anon_sym_unsigned] = ACTIONS(1402),
    [anon_sym_long] = ACTIONS(1402),
    [anon_sym_short] = ACTIONS(1402),
    [anon_sym_static] = ACTIONS(1402),
    [anon_sym_auto] = ACTIONS(1402),
    [anon_sym_register] = ACTIONS(1402),
    [anon_sym_inline] = ACTIONS(1402),
    [anon_sym___inline] = ACTIONS(1402),
    [anon_sym___inline__] = ACTIONS(1402),
    [anon_sym___forceinline] = ACTIONS(1402),
    [anon_sym_thread_local] = ACTIONS(1402),
    [anon_sym___thread] = ACTIONS(1402),
    [anon_sym_const] = ACTIONS(1402),
    [anon_sym_constexpr] = ACTIONS(1402),
    [anon_sym_volatile] = ACTIONS(1402),
    [anon_sym_restrict] = ACTIONS(1402),
    [anon_sym___restrict__] = ACTIONS(1402),
    [anon_sym__Atomic] = ACTIONS(1402),
    [anon_sym__Noreturn] = ACTIONS(1402),
    [anon_sym_noreturn] = ACTIONS(1402),
    [sym_primitive_type] = ACTIONS(1402),
    [anon_sym_enum] = ACTIONS(1402),
    [anon_sym_struct] = ACTIONS(1402),
    [anon_sym_union] = ACTIONS(1402),
    [anon_sym_if] = ACTIONS(1402),
    [anon_sym_switch] = ACTIONS(1402),
    [anon_sym_case] = ACTIONS(1402),
    [anon_sym_default] = ACTIONS(1402),
    [anon_sym_while] = ACTIONS(1402),
    [anon_sym_do] = ACTIONS(1402),
    [anon_sym_for] = ACTIONS(1402),
    [anon_sym_return] = ACTIONS(1402),
    [anon_sym_break] = ACTIONS(1402),
    [anon_sym_continue] = ACTIONS(1402),
    [anon_sym_goto] = ACTIONS(1402),
    [anon_sym_DASH_DASH] = ACTIONS(1404),
    [anon_sym_PLUS_PLUS] = ACTIONS(1404),
    [anon_sym_sizeof] = ACTIONS(1402),
    [anon_sym___alignof__] = ACTIONS(1402),
    [anon_sym___alignof] = ACTIONS(1402),
    [anon_sym__alignof] = ACTIONS(1402),
    [anon_sym_alignof] = ACTIONS(1402),
    [anon_sym__Alignof] = ACTIONS(1402),
    [anon_sym_offsetof] = ACTIONS(1402),
    [anon_sym__Generic] = ACTIONS(1402),
    [anon_sym_asm] = ACTIONS(1402),
    [anon_sym___asm__] = ACTIONS(1402),
    [sym_number_literal] = ACTIONS(1404),
    [anon_sym_L_SQUOTE] = ACTIONS(1404),
    [anon_sym_u_SQUOTE] = ACTIONS(1404),
    [anon_sym_U_SQUOTE] = ACTIONS(1404),
    [anon_sym_u8_SQUOTE] = ACTIONS(1404),
    [anon_sym_SQUOTE] = ACTIONS(1404),
    [anon_sym_L_DQUOTE] = ACTIONS(1404),
    [anon_sym_u_DQUOTE] = ACTIONS(1404),
    [anon_sym_U_DQUOTE] = ACTIONS(1404),
    [anon_sym_u8_DQUOTE] = ACTIONS(1404),
    [anon_sym_DQUOTE] = ACTIONS(1404),
    [sym_true] = ACTIONS(1402),
    [sym_false] = ACTIONS(1402),
    [anon_sym_NULL] = ACTIONS(1402),
    [anon_sym_nullptr] = ACTIONS(1402),
    [sym_comment] = ACTIONS(3),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1474),
    [sym_identifier] = ACTIONS(1472),
    [aux_sym_preproc_include_token1] = ACTIONS(1472),
    [aux_sym_preproc_def_token1] = ACTIONS(1472),
    [aux_sym_preproc_if_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1472),
    [sym_preproc_directive] = ACTIONS(1472),
    [anon_sym_LPAREN2] = ACTIONS(1474),
    [anon_sym_BANG] = ACTIONS(1474),
    [anon_sym_TILDE] = ACTIONS(1474),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1474),
    [anon_sym_AMP] = ACTIONS(1474),
    [anon_sym___extension__] = ACTIONS(1472),
    [anon_sym_typedef] = ACTIONS(1472),
    [anon_sym_extern] = ACTIONS(1472),
    [anon_sym___attribute__] = ACTIONS(1472),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1474),
    [anon_sym___declspec] = ACTIONS(1472),
    [anon_sym___cdecl] = ACTIONS(1472),
    [anon_sym___clrcall] = ACTIONS(1472),
    [anon_sym___stdcall] = ACTIONS(1472),
    [anon_sym___fastcall] = ACTIONS(1472),
    [anon_sym___thiscall] = ACTIONS(1472),
    [anon_sym___vectorcall] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1474),
    [anon_sym_signed] = ACTIONS(1472),
    [anon_sym_unsigned] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_auto] = ACTIONS(1472),
    [anon_sym_register] = ACTIONS(1472),
    [anon_sym_inline] = ACTIONS(1472),
    [anon_sym___inline] = ACTIONS(1472),
    [anon_sym___inline__] = ACTIONS(1472),
    [anon_sym___forceinline] = ACTIONS(1472),
    [anon_sym_thread_local] = ACTIONS(1472),
    [anon_sym___thread] = ACTIONS(1472),
    [anon_sym_const] = ACTIONS(1472),
    [anon_sym_constexpr] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_restrict] = ACTIONS(1472),
    [anon_sym___restrict__] = ACTIONS(1472),
    [anon_sym__Atomic] = ACTIONS(1472),
    [anon_sym__Noreturn] = ACTIONS(1472),
    [anon_sym_noreturn] = ACTIONS(1472),
    [sym_primitive_type] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_struct] = ACTIONS(1472),
    [anon_sym_union] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_goto] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1474),
    [anon_sym_PLUS_PLUS] = ACTIONS(1474),
    [anon_sym_sizeof] = ACTIONS(1472),
    [anon_sym___alignof__] = ACTIONS(1472),
    [anon_sym___alignof] = ACTIONS(1472),
    [anon_sym__alignof] = ACTIONS(1472),
    [anon_sym_alignof] = ACTIONS(1472),
    [anon_sym__Alignof] = ACTIONS(1472),
    [anon_sym_offsetof] = ACTIONS(1472),
    [anon_sym__Generic] = ACTIONS(1472),
    [anon_sym_asm] = ACTIONS(1472),
    [anon_sym___asm__] = ACTIONS(1472),
    [sym_number_literal] = ACTIONS(1474),
    [anon_sym_L_SQUOTE] = ACTIONS(1474),
    [anon_sym_u_SQUOTE] = ACTIONS(1474),
    [anon_sym_U_SQUOTE] = ACTIONS(1474),
    [anon_sym_u8_SQUOTE] = ACTIONS(1474),
    [anon_sym_SQUOTE] = ACTIONS(1474),
    [anon_sym_L_DQUOTE] = ACTIONS(1474),
    [anon_sym_u_DQUOTE] = ACTIONS(1474),
    [anon_sym_U_DQUOTE] = ACTIONS(1474),
    [anon_sym_u8_DQUOTE] = ACTIONS(1474),
    [anon_sym_DQUOTE] = ACTIONS(1474),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_nullptr] = ACTIONS(1472),
    [sym_comment] = ACTIONS(3),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1859),
    [sym_identifier] = ACTIONS(1861),
    [aux_sym_preproc_include_token1] = ACTIONS(1861),
    [aux_sym_preproc_def_token1] = ACTIONS(1861),
    [aux_sym_preproc_if_token1] = ACTIONS(1861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1861),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1861),
    [sym_preproc_directive] = ACTIONS(1861),
    [anon_sym_LPAREN2] = ACTIONS(1859),
    [anon_sym_BANG] = ACTIONS(1859),
    [anon_sym_TILDE] = ACTIONS(1859),
    [anon_sym_DASH] = ACTIONS(1861),
    [anon_sym_PLUS] = ACTIONS(1861),
    [anon_sym_STAR] = ACTIONS(1859),
    [anon_sym_AMP] = ACTIONS(1859),
    [anon_sym___extension__] = ACTIONS(1861),
    [anon_sym_typedef] = ACTIONS(1861),
    [anon_sym_extern] = ACTIONS(1861),
    [anon_sym___attribute__] = ACTIONS(1861),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1859),
    [anon_sym___declspec] = ACTIONS(1861),
    [anon_sym___cdecl] = ACTIONS(1861),
    [anon_sym___clrcall] = ACTIONS(1861),
    [anon_sym___stdcall] = ACTIONS(1861),
    [anon_sym___fastcall] = ACTIONS(1861),
    [anon_sym___thiscall] = ACTIONS(1861),
    [anon_sym___vectorcall] = ACTIONS(1861),
    [anon_sym_LBRACE] = ACTIONS(1859),
    [anon_sym_signed] = ACTIONS(1861),
    [anon_sym_unsigned] = ACTIONS(1861),
    [anon_sym_long] = ACTIONS(1861),
    [anon_sym_short] = ACTIONS(1861),
    [anon_sym_static] = ACTIONS(1861),
    [anon_sym_auto] = ACTIONS(1861),
    [anon_sym_register] = ACTIONS(1861),
    [anon_sym_inline] = ACTIONS(1861),
    [anon_sym___inline] = ACTIONS(1861),
    [anon_sym___inline__] = ACTIONS(1861),
    [anon_sym___forceinline] = ACTIONS(1861),
    [anon_sym_thread_local] = ACTIONS(1861),
    [anon_sym___thread] = ACTIONS(1861),
    [anon_sym_const] = ACTIONS(1861),
    [anon_sym_constexpr] = ACTIONS(1861),
    [anon_sym_volatile] = ACTIONS(1861),
    [anon_sym_restrict] = ACTIONS(1861),
    [anon_sym___restrict__] = ACTIONS(1861),
    [anon_sym__Atomic] = ACTIONS(1861),
    [anon_sym__Noreturn] = ACTIONS(1861),
    [anon_sym_noreturn] = ACTIONS(1861),
    [sym_primitive_type] = ACTIONS(1861),
    [anon_sym_enum] = ACTIONS(1861),
    [anon_sym_struct] = ACTIONS(1861),
    [anon_sym_union] = ACTIONS(1861),
    [anon_sym_if] = ACTIONS(1861),
    [anon_sym_switch] = ACTIONS(1861),
    [anon_sym_case] = ACTIONS(1861),
    [anon_sym_default] = ACTIONS(1861),
    [anon_sym_while] = ACTIONS(1861),
    [anon_sym_do] = ACTIONS(1861),
    [anon_sym_for] = ACTIONS(1861),
    [anon_sym_return] = ACTIONS(1861),
    [anon_sym_break] = ACTIONS(1861),
    [anon_sym_continue] = ACTIONS(1861),
    [anon_sym_goto] = ACTIONS(1861),
    [anon_sym_DASH_DASH] = ACTIONS(1859),
    [anon_sym_PLUS_PLUS] = ACTIONS(1859),
    [anon_sym_sizeof] = ACTIONS(1861),
    [anon_sym___alignof__] = ACTIONS(1861),
    [anon_sym___alignof] = ACTIONS(1861),
    [anon_sym__alignof] = ACTIONS(1861),
    [anon_sym_alignof] = ACTIONS(1861),
    [anon_sym__Alignof] = ACTIONS(1861),
    [anon_sym_offsetof] = ACTIONS(1861),
    [anon_sym__Generic] = ACTIONS(1861),
    [anon_sym_asm] = ACTIONS(1861),
    [anon_sym___asm__] = ACTIONS(1861),
    [sym_number_literal] = ACTIONS(1859),
    [anon_sym_L_SQUOTE] = ACTIONS(1859),
    [anon_sym_u_SQUOTE] = ACTIONS(1859),
    [anon_sym_U_SQUOTE] = ACTIONS(1859),
    [anon_sym_u8_SQUOTE] = ACTIONS(1859),
    [anon_sym_SQUOTE] = ACTIONS(1859),
    [anon_sym_L_DQUOTE] = ACTIONS(1859),
    [anon_sym_u_DQUOTE] = ACTIONS(1859),
    [anon_sym_U_DQUOTE] = ACTIONS(1859),
    [anon_sym_u8_DQUOTE] = ACTIONS(1859),
    [anon_sym_DQUOTE] = ACTIONS(1859),
    [sym_true] = ACTIONS(1861),
    [sym_false] = ACTIONS(1861),
    [anon_sym_NULL] = ACTIONS(1861),
    [anon_sym_nullptr] = ACTIONS(1861),
    [sym_comment] = ACTIONS(3),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1450),
    [sym_identifier] = ACTIONS(1448),
    [aux_sym_preproc_include_token1] = ACTIONS(1448),
    [aux_sym_preproc_def_token1] = ACTIONS(1448),
    [aux_sym_preproc_if_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1448),
    [sym_preproc_directive] = ACTIONS(1448),
    [anon_sym_LPAREN2] = ACTIONS(1450),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1448),
    [anon_sym_PLUS] = ACTIONS(1448),
    [anon_sym_STAR] = ACTIONS(1450),
    [anon_sym_AMP] = ACTIONS(1450),
    [anon_sym___extension__] = ACTIONS(1448),
    [anon_sym_typedef] = ACTIONS(1448),
    [anon_sym_extern] = ACTIONS(1448),
    [anon_sym___attribute__] = ACTIONS(1448),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1450),
    [anon_sym___declspec] = ACTIONS(1448),
    [anon_sym___cdecl] = ACTIONS(1448),
    [anon_sym___clrcall] = ACTIONS(1448),
    [anon_sym___stdcall] = ACTIONS(1448),
    [anon_sym___fastcall] = ACTIONS(1448),
    [anon_sym___thiscall] = ACTIONS(1448),
    [anon_sym___vectorcall] = ACTIONS(1448),
    [anon_sym_LBRACE] = ACTIONS(1450),
    [anon_sym_signed] = ACTIONS(1448),
    [anon_sym_unsigned] = ACTIONS(1448),
    [anon_sym_long] = ACTIONS(1448),
    [anon_sym_short] = ACTIONS(1448),
    [anon_sym_static] = ACTIONS(1448),
    [anon_sym_auto] = ACTIONS(1448),
    [anon_sym_register] = ACTIONS(1448),
    [anon_sym_inline] = ACTIONS(1448),
    [anon_sym___inline] = ACTIONS(1448),
    [anon_sym___inline__] = ACTIONS(1448),
    [anon_sym___forceinline] = ACTIONS(1448),
    [anon_sym_thread_local] = ACTIONS(1448),
    [anon_sym___thread] = ACTIONS(1448),
    [anon_sym_const] = ACTIONS(1448),
    [anon_sym_constexpr] = ACTIONS(1448),
    [anon_sym_volatile] = ACTIONS(1448),
    [anon_sym_restrict] = ACTIONS(1448),
    [anon_sym___restrict__] = ACTIONS(1448),
    [anon_sym__Atomic] = ACTIONS(1448),
    [anon_sym__Noreturn] = ACTIONS(1448),
    [anon_sym_noreturn] = ACTIONS(1448),
    [sym_primitive_type] = ACTIONS(1448),
    [anon_sym_enum] = ACTIONS(1448),
    [anon_sym_struct] = ACTIONS(1448),
    [anon_sym_union] = ACTIONS(1448),
    [anon_sym_if] = ACTIONS(1448),
    [anon_sym_switch] = ACTIONS(1448),
    [anon_sym_case] = ACTIONS(1448),
    [anon_sym_default] = ACTIONS(1448),
    [anon_sym_while] = ACTIONS(1448),
    [anon_sym_do] = ACTIONS(1448),
    [anon_sym_for] = ACTIONS(1448),
    [anon_sym_return] = ACTIONS(1448),
    [anon_sym_break] = ACTIONS(1448),
    [anon_sym_continue] = ACTIONS(1448),
    [anon_sym_goto] = ACTIONS(1448),
    [anon_sym_DASH_DASH] = ACTIONS(1450),
    [anon_sym_PLUS_PLUS] = ACTIONS(1450),
    [anon_sym_sizeof] = ACTIONS(1448),
    [anon_sym___alignof__] = ACTIONS(1448),
    [anon_sym___alignof] = ACTIONS(1448),
    [anon_sym__alignof] = ACTIONS(1448),
    [anon_sym_alignof] = ACTIONS(1448),
    [anon_sym__Alignof] = ACTIONS(1448),
    [anon_sym_offsetof] = ACTIONS(1448),
    [anon_sym__Generic] = ACTIONS(1448),
    [anon_sym_asm] = ACTIONS(1448),
    [anon_sym___asm__] = ACTIONS(1448),
    [sym_number_literal] = ACTIONS(1450),
    [anon_sym_L_SQUOTE] = ACTIONS(1450),
    [anon_sym_u_SQUOTE] = ACTIONS(1450),
    [anon_sym_U_SQUOTE] = ACTIONS(1450),
    [anon_sym_u8_SQUOTE] = ACTIONS(1450),
    [anon_sym_SQUOTE] = ACTIONS(1450),
    [anon_sym_L_DQUOTE] = ACTIONS(1450),
    [anon_sym_u_DQUOTE] = ACTIONS(1450),
    [anon_sym_U_DQUOTE] = ACTIONS(1450),
    [anon_sym_u8_DQUOTE] = ACTIONS(1450),
    [anon_sym_DQUOTE] = ACTIONS(1450),
    [sym_true] = ACTIONS(1448),
    [sym_false] = ACTIONS(1448),
    [anon_sym_NULL] = ACTIONS(1448),
    [anon_sym_nullptr] = ACTIONS(1448),
    [sym_comment] = ACTIONS(3),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1434),
    [sym_identifier] = ACTIONS(1432),
    [aux_sym_preproc_include_token1] = ACTIONS(1432),
    [aux_sym_preproc_def_token1] = ACTIONS(1432),
    [aux_sym_preproc_if_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1432),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1432),
    [sym_preproc_directive] = ACTIONS(1432),
    [anon_sym_LPAREN2] = ACTIONS(1434),
    [anon_sym_BANG] = ACTIONS(1434),
    [anon_sym_TILDE] = ACTIONS(1434),
    [anon_sym_DASH] = ACTIONS(1432),
    [anon_sym_PLUS] = ACTIONS(1432),
    [anon_sym_STAR] = ACTIONS(1434),
    [anon_sym_AMP] = ACTIONS(1434),
    [anon_sym___extension__] = ACTIONS(1432),
    [anon_sym_typedef] = ACTIONS(1432),
    [anon_sym_extern] = ACTIONS(1432),
    [anon_sym___attribute__] = ACTIONS(1432),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1434),
    [anon_sym___declspec] = ACTIONS(1432),
    [anon_sym___cdecl] = ACTIONS(1432),
    [anon_sym___clrcall] = ACTIONS(1432),
    [anon_sym___stdcall] = ACTIONS(1432),
    [anon_sym___fastcall] = ACTIONS(1432),
    [anon_sym___thiscall] = ACTIONS(1432),
    [anon_sym___vectorcall] = ACTIONS(1432),
    [anon_sym_LBRACE] = ACTIONS(1434),
    [anon_sym_signed] = ACTIONS(1432),
    [anon_sym_unsigned] = ACTIONS(1432),
    [anon_sym_long] = ACTIONS(1432),
    [anon_sym_short] = ACTIONS(1432),
    [anon_sym_static] = ACTIONS(1432),
    [anon_sym_auto] = ACTIONS(1432),
    [anon_sym_register] = ACTIONS(1432),
    [anon_sym_inline] = ACTIONS(1432),
    [anon_sym___inline] = ACTIONS(1432),
    [anon_sym___inline__] = ACTIONS(1432),
    [anon_sym___forceinline] = ACTIONS(1432),
    [anon_sym_thread_local] = ACTIONS(1432),
    [anon_sym___thread] = ACTIONS(1432),
    [anon_sym_const] = ACTIONS(1432),
    [anon_sym_constexpr] = ACTIONS(1432),
    [anon_sym_volatile] = ACTIONS(1432),
    [anon_sym_restrict] = ACTIONS(1432),
    [anon_sym___restrict__] = ACTIONS(1432),
    [anon_sym__Atomic] = ACTIONS(1432),
    [anon_sym__Noreturn] = ACTIONS(1432),
    [anon_sym_noreturn] = ACTIONS(1432),
    [sym_primitive_type] = ACTIONS(1432),
    [anon_sym_enum] = ACTIONS(1432),
    [anon_sym_struct] = ACTIONS(1432),
    [anon_sym_union] = ACTIONS(1432),
    [anon_sym_if] = ACTIONS(1432),
    [anon_sym_switch] = ACTIONS(1432),
    [anon_sym_case] = ACTIONS(1432),
    [anon_sym_default] = ACTIONS(1432),
    [anon_sym_while] = ACTIONS(1432),
    [anon_sym_do] = ACTIONS(1432),
    [anon_sym_for] = ACTIONS(1432),
    [anon_sym_return] = ACTIONS(1432),
    [anon_sym_break] = ACTIONS(1432),
    [anon_sym_continue] = ACTIONS(1432),
    [anon_sym_goto] = ACTIONS(1432),
    [anon_sym_DASH_DASH] = ACTIONS(1434),
    [anon_sym_PLUS_PLUS] = ACTIONS(1434),
    [anon_sym_sizeof] = ACTIONS(1432),
    [anon_sym___alignof__] = ACTIONS(1432),
    [anon_sym___alignof] = ACTIONS(1432),
    [anon_sym__alignof] = ACTIONS(1432),
    [anon_sym_alignof] = ACTIONS(1432),
    [anon_sym__Alignof] = ACTIONS(1432),
    [anon_sym_offsetof] = ACTIONS(1432),
    [anon_sym__Generic] = ACTIONS(1432),
    [anon_sym_asm] = ACTIONS(1432),
    [anon_sym___asm__] = ACTIONS(1432),
    [sym_number_literal] = ACTIONS(1434),
    [anon_sym_L_SQUOTE] = ACTIONS(1434),
    [anon_sym_u_SQUOTE] = ACTIONS(1434),
    [anon_sym_U_SQUOTE] = ACTIONS(1434),
    [anon_sym_u8_SQUOTE] = ACTIONS(1434),
    [anon_sym_SQUOTE] = ACTIONS(1434),
    [anon_sym_L_DQUOTE] = ACTIONS(1434),
    [anon_sym_u_DQUOTE] = ACTIONS(1434),
    [anon_sym_U_DQUOTE] = ACTIONS(1434),
    [anon_sym_u8_DQUOTE] = ACTIONS(1434),
    [anon_sym_DQUOTE] = ACTIONS(1434),
    [sym_true] = ACTIONS(1432),
    [sym_false] = ACTIONS(1432),
    [anon_sym_NULL] = ACTIONS(1432),
    [anon_sym_nullptr] = ACTIONS(1432),
    [sym_comment] = ACTIONS(3),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1454),
    [sym_identifier] = ACTIONS(1452),
    [aux_sym_preproc_include_token1] = ACTIONS(1452),
    [aux_sym_preproc_def_token1] = ACTIONS(1452),
    [aux_sym_preproc_if_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1452),
    [sym_preproc_directive] = ACTIONS(1452),
    [anon_sym_LPAREN2] = ACTIONS(1454),
    [anon_sym_BANG] = ACTIONS(1454),
    [anon_sym_TILDE] = ACTIONS(1454),
    [anon_sym_DASH] = ACTIONS(1452),
    [anon_sym_PLUS] = ACTIONS(1452),
    [anon_sym_STAR] = ACTIONS(1454),
    [anon_sym_AMP] = ACTIONS(1454),
    [anon_sym___extension__] = ACTIONS(1452),
    [anon_sym_typedef] = ACTIONS(1452),
    [anon_sym_extern] = ACTIONS(1452),
    [anon_sym___attribute__] = ACTIONS(1452),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1454),
    [anon_sym___declspec] = ACTIONS(1452),
    [anon_sym___cdecl] = ACTIONS(1452),
    [anon_sym___clrcall] = ACTIONS(1452),
    [anon_sym___stdcall] = ACTIONS(1452),
    [anon_sym___fastcall] = ACTIONS(1452),
    [anon_sym___thiscall] = ACTIONS(1452),
    [anon_sym___vectorcall] = ACTIONS(1452),
    [anon_sym_LBRACE] = ACTIONS(1454),
    [anon_sym_signed] = ACTIONS(1452),
    [anon_sym_unsigned] = ACTIONS(1452),
    [anon_sym_long] = ACTIONS(1452),
    [anon_sym_short] = ACTIONS(1452),
    [anon_sym_static] = ACTIONS(1452),
    [anon_sym_auto] = ACTIONS(1452),
    [anon_sym_register] = ACTIONS(1452),
    [anon_sym_inline] = ACTIONS(1452),
    [anon_sym___inline] = ACTIONS(1452),
    [anon_sym___inline__] = ACTIONS(1452),
    [anon_sym___forceinline] = ACTIONS(1452),
    [anon_sym_thread_local] = ACTIONS(1452),
    [anon_sym___thread] = ACTIONS(1452),
    [anon_sym_const] = ACTIONS(1452),
    [anon_sym_constexpr] = ACTIONS(1452),
    [anon_sym_volatile] = ACTIONS(1452),
    [anon_sym_restrict] = ACTIONS(1452),
    [anon_sym___restrict__] = ACTIONS(1452),
    [anon_sym__Atomic] = ACTIONS(1452),
    [anon_sym__Noreturn] = ACTIONS(1452),
    [anon_sym_noreturn] = ACTIONS(1452),
    [sym_primitive_type] = ACTIONS(1452),
    [anon_sym_enum] = ACTIONS(1452),
    [anon_sym_struct] = ACTIONS(1452),
    [anon_sym_union] = ACTIONS(1452),
    [anon_sym_if] = ACTIONS(1452),
    [anon_sym_switch] = ACTIONS(1452),
    [anon_sym_case] = ACTIONS(1452),
    [anon_sym_default] = ACTIONS(1452),
    [anon_sym_while] = ACTIONS(1452),
    [anon_sym_do] = ACTIONS(1452),
    [anon_sym_for] = ACTIONS(1452),
    [anon_sym_return] = ACTIONS(1452),
    [anon_sym_break] = ACTIONS(1452),
    [anon_sym_continue] = ACTIONS(1452),
    [anon_sym_goto] = ACTIONS(1452),
    [anon_sym_DASH_DASH] = ACTIONS(1454),
    [anon_sym_PLUS_PLUS] = ACTIONS(1454),
    [anon_sym_sizeof] = ACTIONS(1452),
    [anon_sym___alignof__] = ACTIONS(1452),
    [anon_sym___alignof] = ACTIONS(1452),
    [anon_sym__alignof] = ACTIONS(1452),
    [anon_sym_alignof] = ACTIONS(1452),
    [anon_sym__Alignof] = ACTIONS(1452),
    [anon_sym_offsetof] = ACTIONS(1452),
    [anon_sym__Generic] = ACTIONS(1452),
    [anon_sym_asm] = ACTIONS(1452),
    [anon_sym___asm__] = ACTIONS(1452),
    [sym_number_literal] = ACTIONS(1454),
    [anon_sym_L_SQUOTE] = ACTIONS(1454),
    [anon_sym_u_SQUOTE] = ACTIONS(1454),
    [anon_sym_U_SQUOTE] = ACTIONS(1454),
    [anon_sym_u8_SQUOTE] = ACTIONS(1454),
    [anon_sym_SQUOTE] = ACTIONS(1454),
    [anon_sym_L_DQUOTE] = ACTIONS(1454),
    [anon_sym_u_DQUOTE] = ACTIONS(1454),
    [anon_sym_U_DQUOTE] = ACTIONS(1454),
    [anon_sym_u8_DQUOTE] = ACTIONS(1454),
    [anon_sym_DQUOTE] = ACTIONS(1454),
    [sym_true] = ACTIONS(1452),
    [sym_false] = ACTIONS(1452),
    [anon_sym_NULL] = ACTIONS(1452),
    [anon_sym_nullptr] = ACTIONS(1452),
    [sym_comment] = ACTIONS(3),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1466),
    [sym_identifier] = ACTIONS(1464),
    [aux_sym_preproc_include_token1] = ACTIONS(1464),
    [aux_sym_preproc_def_token1] = ACTIONS(1464),
    [aux_sym_preproc_if_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1464),
    [sym_preproc_directive] = ACTIONS(1464),
    [anon_sym_LPAREN2] = ACTIONS(1466),
    [anon_sym_BANG] = ACTIONS(1466),
    [anon_sym_TILDE] = ACTIONS(1466),
    [anon_sym_DASH] = ACTIONS(1464),
    [anon_sym_PLUS] = ACTIONS(1464),
    [anon_sym_STAR] = ACTIONS(1466),
    [anon_sym_AMP] = ACTIONS(1466),
    [anon_sym___extension__] = ACTIONS(1464),
    [anon_sym_typedef] = ACTIONS(1464),
    [anon_sym_extern] = ACTIONS(1464),
    [anon_sym___attribute__] = ACTIONS(1464),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1466),
    [anon_sym___declspec] = ACTIONS(1464),
    [anon_sym___cdecl] = ACTIONS(1464),
    [anon_sym___clrcall] = ACTIONS(1464),
    [anon_sym___stdcall] = ACTIONS(1464),
    [anon_sym___fastcall] = ACTIONS(1464),
    [anon_sym___thiscall] = ACTIONS(1464),
    [anon_sym___vectorcall] = ACTIONS(1464),
    [anon_sym_LBRACE] = ACTIONS(1466),
    [anon_sym_signed] = ACTIONS(1464),
    [anon_sym_unsigned] = ACTIONS(1464),
    [anon_sym_long] = ACTIONS(1464),
    [anon_sym_short] = ACTIONS(1464),
    [anon_sym_static] = ACTIONS(1464),
    [anon_sym_auto] = ACTIONS(1464),
    [anon_sym_register] = ACTIONS(1464),
    [anon_sym_inline] = ACTIONS(1464),
    [anon_sym___inline] = ACTIONS(1464),
    [anon_sym___inline__] = ACTIONS(1464),
    [anon_sym___forceinline] = ACTIONS(1464),
    [anon_sym_thread_local] = ACTIONS(1464),
    [anon_sym___thread] = ACTIONS(1464),
    [anon_sym_const] = ACTIONS(1464),
    [anon_sym_constexpr] = ACTIONS(1464),
    [anon_sym_volatile] = ACTIONS(1464),
    [anon_sym_restrict] = ACTIONS(1464),
    [anon_sym___restrict__] = ACTIONS(1464),
    [anon_sym__Atomic] = ACTIONS(1464),
    [anon_sym__Noreturn] = ACTIONS(1464),
    [anon_sym_noreturn] = ACTIONS(1464),
    [sym_primitive_type] = ACTIONS(1464),
    [anon_sym_enum] = ACTIONS(1464),
    [anon_sym_struct] = ACTIONS(1464),
    [anon_sym_union] = ACTIONS(1464),
    [anon_sym_if] = ACTIONS(1464),
    [anon_sym_switch] = ACTIONS(1464),
    [anon_sym_case] = ACTIONS(1464),
    [anon_sym_default] = ACTIONS(1464),
    [anon_sym_while] = ACTIONS(1464),
    [anon_sym_do] = ACTIONS(1464),
    [anon_sym_for] = ACTIONS(1464),
    [anon_sym_return] = ACTIONS(1464),
    [anon_sym_break] = ACTIONS(1464),
    [anon_sym_continue] = ACTIONS(1464),
    [anon_sym_goto] = ACTIONS(1464),
    [anon_sym_DASH_DASH] = ACTIONS(1466),
    [anon_sym_PLUS_PLUS] = ACTIONS(1466),
    [anon_sym_sizeof] = ACTIONS(1464),
    [anon_sym___alignof__] = ACTIONS(1464),
    [anon_sym___alignof] = ACTIONS(1464),
    [anon_sym__alignof] = ACTIONS(1464),
    [anon_sym_alignof] = ACTIONS(1464),
    [anon_sym__Alignof] = ACTIONS(1464),
    [anon_sym_offsetof] = ACTIONS(1464),
    [anon_sym__Generic] = ACTIONS(1464),
    [anon_sym_asm] = ACTIONS(1464),
    [anon_sym___asm__] = ACTIONS(1464),
    [sym_number_literal] = ACTIONS(1466),
    [anon_sym_L_SQUOTE] = ACTIONS(1466),
    [anon_sym_u_SQUOTE] = ACTIONS(1466),
    [anon_sym_U_SQUOTE] = ACTIONS(1466),
    [anon_sym_u8_SQUOTE] = ACTIONS(1466),
    [anon_sym_SQUOTE] = ACTIONS(1466),
    [anon_sym_L_DQUOTE] = ACTIONS(1466),
    [anon_sym_u_DQUOTE] = ACTIONS(1466),
    [anon_sym_U_DQUOTE] = ACTIONS(1466),
    [anon_sym_u8_DQUOTE] = ACTIONS(1466),
    [anon_sym_DQUOTE] = ACTIONS(1466),
    [sym_true] = ACTIONS(1464),
    [sym_false] = ACTIONS(1464),
    [anon_sym_NULL] = ACTIONS(1464),
    [anon_sym_nullptr] = ACTIONS(1464),
    [sym_comment] = ACTIONS(3),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1470),
    [sym_identifier] = ACTIONS(1468),
    [aux_sym_preproc_include_token1] = ACTIONS(1468),
    [aux_sym_preproc_def_token1] = ACTIONS(1468),
    [aux_sym_preproc_if_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1468),
    [sym_preproc_directive] = ACTIONS(1468),
    [anon_sym_LPAREN2] = ACTIONS(1470),
    [anon_sym_BANG] = ACTIONS(1470),
    [anon_sym_TILDE] = ACTIONS(1470),
    [anon_sym_DASH] = ACTIONS(1468),
    [anon_sym_PLUS] = ACTIONS(1468),
    [anon_sym_STAR] = ACTIONS(1470),
    [anon_sym_AMP] = ACTIONS(1470),
    [anon_sym___extension__] = ACTIONS(1468),
    [anon_sym_typedef] = ACTIONS(1468),
    [anon_sym_extern] = ACTIONS(1468),
    [anon_sym___attribute__] = ACTIONS(1468),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1470),
    [anon_sym___declspec] = ACTIONS(1468),
    [anon_sym___cdecl] = ACTIONS(1468),
    [anon_sym___clrcall] = ACTIONS(1468),
    [anon_sym___stdcall] = ACTIONS(1468),
    [anon_sym___fastcall] = ACTIONS(1468),
    [anon_sym___thiscall] = ACTIONS(1468),
    [anon_sym___vectorcall] = ACTIONS(1468),
    [anon_sym_LBRACE] = ACTIONS(1470),
    [anon_sym_signed] = ACTIONS(1468),
    [anon_sym_unsigned] = ACTIONS(1468),
    [anon_sym_long] = ACTIONS(1468),
    [anon_sym_short] = ACTIONS(1468),
    [anon_sym_static] = ACTIONS(1468),
    [anon_sym_auto] = ACTIONS(1468),
    [anon_sym_register] = ACTIONS(1468),
    [anon_sym_inline] = ACTIONS(1468),
    [anon_sym___inline] = ACTIONS(1468),
    [anon_sym___inline__] = ACTIONS(1468),
    [anon_sym___forceinline] = ACTIONS(1468),
    [anon_sym_thread_local] = ACTIONS(1468),
    [anon_sym___thread] = ACTIONS(1468),
    [anon_sym_const] = ACTIONS(1468),
    [anon_sym_constexpr] = ACTIONS(1468),
    [anon_sym_volatile] = ACTIONS(1468),
    [anon_sym_restrict] = ACTIONS(1468),
    [anon_sym___restrict__] = ACTIONS(1468),
    [anon_sym__Atomic] = ACTIONS(1468),
    [anon_sym__Noreturn] = ACTIONS(1468),
    [anon_sym_noreturn] = ACTIONS(1468),
    [sym_primitive_type] = ACTIONS(1468),
    [anon_sym_enum] = ACTIONS(1468),
    [anon_sym_struct] = ACTIONS(1468),
    [anon_sym_union] = ACTIONS(1468),
    [anon_sym_if] = ACTIONS(1468),
    [anon_sym_switch] = ACTIONS(1468),
    [anon_sym_case] = ACTIONS(1468),
    [anon_sym_default] = ACTIONS(1468),
    [anon_sym_while] = ACTIONS(1468),
    [anon_sym_do] = ACTIONS(1468),
    [anon_sym_for] = ACTIONS(1468),
    [anon_sym_return] = ACTIONS(1468),
    [anon_sym_break] = ACTIONS(1468),
    [anon_sym_continue] = ACTIONS(1468),
    [anon_sym_goto] = ACTIONS(1468),
    [anon_sym_DASH_DASH] = ACTIONS(1470),
    [anon_sym_PLUS_PLUS] = ACTIONS(1470),
    [anon_sym_sizeof] = ACTIONS(1468),
    [anon_sym___alignof__] = ACTIONS(1468),
    [anon_sym___alignof] = ACTIONS(1468),
    [anon_sym__alignof] = ACTIONS(1468),
    [anon_sym_alignof] = ACTIONS(1468),
    [anon_sym__Alignof] = ACTIONS(1468),
    [anon_sym_offsetof] = ACTIONS(1468),
    [anon_sym__Generic] = ACTIONS(1468),
    [anon_sym_asm] = ACTIONS(1468),
    [anon_sym___asm__] = ACTIONS(1468),
    [sym_number_literal] = ACTIONS(1470),
    [anon_sym_L_SQUOTE] = ACTIONS(1470),
    [anon_sym_u_SQUOTE] = ACTIONS(1470),
    [anon_sym_U_SQUOTE] = ACTIONS(1470),
    [anon_sym_u8_SQUOTE] = ACTIONS(1470),
    [anon_sym_SQUOTE] = ACTIONS(1470),
    [anon_sym_L_DQUOTE] = ACTIONS(1470),
    [anon_sym_u_DQUOTE] = ACTIONS(1470),
    [anon_sym_U_DQUOTE] = ACTIONS(1470),
    [anon_sym_u8_DQUOTE] = ACTIONS(1470),
    [anon_sym_DQUOTE] = ACTIONS(1470),
    [sym_true] = ACTIONS(1468),
    [sym_false] = ACTIONS(1468),
    [anon_sym_NULL] = ACTIONS(1468),
    [anon_sym_nullptr] = ACTIONS(1468),
    [sym_comment] = ACTIONS(3),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1458),
    [sym_identifier] = ACTIONS(1456),
    [aux_sym_preproc_include_token1] = ACTIONS(1456),
    [aux_sym_preproc_def_token1] = ACTIONS(1456),
    [aux_sym_preproc_if_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1456),
    [sym_preproc_directive] = ACTIONS(1456),
    [anon_sym_LPAREN2] = ACTIONS(1458),
    [anon_sym_BANG] = ACTIONS(1458),
    [anon_sym_TILDE] = ACTIONS(1458),
    [anon_sym_DASH] = ACTIONS(1456),
    [anon_sym_PLUS] = ACTIONS(1456),
    [anon_sym_STAR] = ACTIONS(1458),
    [anon_sym_AMP] = ACTIONS(1458),
    [anon_sym___extension__] = ACTIONS(1456),
    [anon_sym_typedef] = ACTIONS(1456),
    [anon_sym_extern] = ACTIONS(1456),
    [anon_sym___attribute__] = ACTIONS(1456),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1458),
    [anon_sym___declspec] = ACTIONS(1456),
    [anon_sym___cdecl] = ACTIONS(1456),
    [anon_sym___clrcall] = ACTIONS(1456),
    [anon_sym___stdcall] = ACTIONS(1456),
    [anon_sym___fastcall] = ACTIONS(1456),
    [anon_sym___thiscall] = ACTIONS(1456),
    [anon_sym___vectorcall] = ACTIONS(1456),
    [anon_sym_LBRACE] = ACTIONS(1458),
    [anon_sym_signed] = ACTIONS(1456),
    [anon_sym_unsigned] = ACTIONS(1456),
    [anon_sym_long] = ACTIONS(1456),
    [anon_sym_short] = ACTIONS(1456),
    [anon_sym_static] = ACTIONS(1456),
    [anon_sym_auto] = ACTIONS(1456),
    [anon_sym_register] = ACTIONS(1456),
    [anon_sym_inline] = ACTIONS(1456),
    [anon_sym___inline] = ACTIONS(1456),
    [anon_sym___inline__] = ACTIONS(1456),
    [anon_sym___forceinline] = ACTIONS(1456),
    [anon_sym_thread_local] = ACTIONS(1456),
    [anon_sym___thread] = ACTIONS(1456),
    [anon_sym_const] = ACTIONS(1456),
    [anon_sym_constexpr] = ACTIONS(1456),
    [anon_sym_volatile] = ACTIONS(1456),
    [anon_sym_restrict] = ACTIONS(1456),
    [anon_sym___restrict__] = ACTIONS(1456),
    [anon_sym__Atomic] = ACTIONS(1456),
    [anon_sym__Noreturn] = ACTIONS(1456),
    [anon_sym_noreturn] = ACTIONS(1456),
    [sym_primitive_type] = ACTIONS(1456),
    [anon_sym_enum] = ACTIONS(1456),
    [anon_sym_struct] = ACTIONS(1456),
    [anon_sym_union] = ACTIONS(1456),
    [anon_sym_if] = ACTIONS(1456),
    [anon_sym_switch] = ACTIONS(1456),
    [anon_sym_case] = ACTIONS(1456),
    [anon_sym_default] = ACTIONS(1456),
    [anon_sym_while] = ACTIONS(1456),
    [anon_sym_do] = ACTIONS(1456),
    [anon_sym_for] = ACTIONS(1456),
    [anon_sym_return] = ACTIONS(1456),
    [anon_sym_break] = ACTIONS(1456),
    [anon_sym_continue] = ACTIONS(1456),
    [anon_sym_goto] = ACTIONS(1456),
    [anon_sym_DASH_DASH] = ACTIONS(1458),
    [anon_sym_PLUS_PLUS] = ACTIONS(1458),
    [anon_sym_sizeof] = ACTIONS(1456),
    [anon_sym___alignof__] = ACTIONS(1456),
    [anon_sym___alignof] = ACTIONS(1456),
    [anon_sym__alignof] = ACTIONS(1456),
    [anon_sym_alignof] = ACTIONS(1456),
    [anon_sym__Alignof] = ACTIONS(1456),
    [anon_sym_offsetof] = ACTIONS(1456),
    [anon_sym__Generic] = ACTIONS(1456),
    [anon_sym_asm] = ACTIONS(1456),
    [anon_sym___asm__] = ACTIONS(1456),
    [sym_number_literal] = ACTIONS(1458),
    [anon_sym_L_SQUOTE] = ACTIONS(1458),
    [anon_sym_u_SQUOTE] = ACTIONS(1458),
    [anon_sym_U_SQUOTE] = ACTIONS(1458),
    [anon_sym_u8_SQUOTE] = ACTIONS(1458),
    [anon_sym_SQUOTE] = ACTIONS(1458),
    [anon_sym_L_DQUOTE] = ACTIONS(1458),
    [anon_sym_u_DQUOTE] = ACTIONS(1458),
    [anon_sym_U_DQUOTE] = ACTIONS(1458),
    [anon_sym_u8_DQUOTE] = ACTIONS(1458),
    [anon_sym_DQUOTE] = ACTIONS(1458),
    [sym_true] = ACTIONS(1456),
    [sym_false] = ACTIONS(1456),
    [anon_sym_NULL] = ACTIONS(1456),
    [anon_sym_nullptr] = ACTIONS(1456),
    [sym_comment] = ACTIONS(3),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1430),
    [sym_identifier] = ACTIONS(1428),
    [aux_sym_preproc_include_token1] = ACTIONS(1428),
    [aux_sym_preproc_def_token1] = ACTIONS(1428),
    [aux_sym_preproc_if_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1428),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1428),
    [sym_preproc_directive] = ACTIONS(1428),
    [anon_sym_LPAREN2] = ACTIONS(1430),
    [anon_sym_BANG] = ACTIONS(1430),
    [anon_sym_TILDE] = ACTIONS(1430),
    [anon_sym_DASH] = ACTIONS(1428),
    [anon_sym_PLUS] = ACTIONS(1428),
    [anon_sym_STAR] = ACTIONS(1430),
    [anon_sym_AMP] = ACTIONS(1430),
    [anon_sym___extension__] = ACTIONS(1428),
    [anon_sym_typedef] = ACTIONS(1428),
    [anon_sym_extern] = ACTIONS(1428),
    [anon_sym___attribute__] = ACTIONS(1428),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1430),
    [anon_sym___declspec] = ACTIONS(1428),
    [anon_sym___cdecl] = ACTIONS(1428),
    [anon_sym___clrcall] = ACTIONS(1428),
    [anon_sym___stdcall] = ACTIONS(1428),
    [anon_sym___fastcall] = ACTIONS(1428),
    [anon_sym___thiscall] = ACTIONS(1428),
    [anon_sym___vectorcall] = ACTIONS(1428),
    [anon_sym_LBRACE] = ACTIONS(1430),
    [anon_sym_signed] = ACTIONS(1428),
    [anon_sym_unsigned] = ACTIONS(1428),
    [anon_sym_long] = ACTIONS(1428),
    [anon_sym_short] = ACTIONS(1428),
    [anon_sym_static] = ACTIONS(1428),
    [anon_sym_auto] = ACTIONS(1428),
    [anon_sym_register] = ACTIONS(1428),
    [anon_sym_inline] = ACTIONS(1428),
    [anon_sym___inline] = ACTIONS(1428),
    [anon_sym___inline__] = ACTIONS(1428),
    [anon_sym___forceinline] = ACTIONS(1428),
    [anon_sym_thread_local] = ACTIONS(1428),
    [anon_sym___thread] = ACTIONS(1428),
    [anon_sym_const] = ACTIONS(1428),
    [anon_sym_constexpr] = ACTIONS(1428),
    [anon_sym_volatile] = ACTIONS(1428),
    [anon_sym_restrict] = ACTIONS(1428),
    [anon_sym___restrict__] = ACTIONS(1428),
    [anon_sym__Atomic] = ACTIONS(1428),
    [anon_sym__Noreturn] = ACTIONS(1428),
    [anon_sym_noreturn] = ACTIONS(1428),
    [sym_primitive_type] = ACTIONS(1428),
    [anon_sym_enum] = ACTIONS(1428),
    [anon_sym_struct] = ACTIONS(1428),
    [anon_sym_union] = ACTIONS(1428),
    [anon_sym_if] = ACTIONS(1428),
    [anon_sym_switch] = ACTIONS(1428),
    [anon_sym_case] = ACTIONS(1428),
    [anon_sym_default] = ACTIONS(1428),
    [anon_sym_while] = ACTIONS(1428),
    [anon_sym_do] = ACTIONS(1428),
    [anon_sym_for] = ACTIONS(1428),
    [anon_sym_return] = ACTIONS(1428),
    [anon_sym_break] = ACTIONS(1428),
    [anon_sym_continue] = ACTIONS(1428),
    [anon_sym_goto] = ACTIONS(1428),
    [anon_sym_DASH_DASH] = ACTIONS(1430),
    [anon_sym_PLUS_PLUS] = ACTIONS(1430),
    [anon_sym_sizeof] = ACTIONS(1428),
    [anon_sym___alignof__] = ACTIONS(1428),
    [anon_sym___alignof] = ACTIONS(1428),
    [anon_sym__alignof] = ACTIONS(1428),
    [anon_sym_alignof] = ACTIONS(1428),
    [anon_sym__Alignof] = ACTIONS(1428),
    [anon_sym_offsetof] = ACTIONS(1428),
    [anon_sym__Generic] = ACTIONS(1428),
    [anon_sym_asm] = ACTIONS(1428),
    [anon_sym___asm__] = ACTIONS(1428),
    [sym_number_literal] = ACTIONS(1430),
    [anon_sym_L_SQUOTE] = ACTIONS(1430),
    [anon_sym_u_SQUOTE] = ACTIONS(1430),
    [anon_sym_U_SQUOTE] = ACTIONS(1430),
    [anon_sym_u8_SQUOTE] = ACTIONS(1430),
    [anon_sym_SQUOTE] = ACTIONS(1430),
    [anon_sym_L_DQUOTE] = ACTIONS(1430),
    [anon_sym_u_DQUOTE] = ACTIONS(1430),
    [anon_sym_U_DQUOTE] = ACTIONS(1430),
    [anon_sym_u8_DQUOTE] = ACTIONS(1430),
    [anon_sym_DQUOTE] = ACTIONS(1430),
    [sym_true] = ACTIONS(1428),
    [sym_false] = ACTIONS(1428),
    [anon_sym_NULL] = ACTIONS(1428),
    [anon_sym_nullptr] = ACTIONS(1428),
    [sym_comment] = ACTIONS(3),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1438),
    [sym_identifier] = ACTIONS(1436),
    [aux_sym_preproc_include_token1] = ACTIONS(1436),
    [aux_sym_preproc_def_token1] = ACTIONS(1436),
    [aux_sym_preproc_if_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1436),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1436),
    [sym_preproc_directive] = ACTIONS(1436),
    [anon_sym_LPAREN2] = ACTIONS(1438),
    [anon_sym_BANG] = ACTIONS(1438),
    [anon_sym_TILDE] = ACTIONS(1438),
    [anon_sym_DASH] = ACTIONS(1436),
    [anon_sym_PLUS] = ACTIONS(1436),
    [anon_sym_STAR] = ACTIONS(1438),
    [anon_sym_AMP] = ACTIONS(1438),
    [anon_sym___extension__] = ACTIONS(1436),
    [anon_sym_typedef] = ACTIONS(1436),
    [anon_sym_extern] = ACTIONS(1436),
    [anon_sym___attribute__] = ACTIONS(1436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1438),
    [anon_sym___declspec] = ACTIONS(1436),
    [anon_sym___cdecl] = ACTIONS(1436),
    [anon_sym___clrcall] = ACTIONS(1436),
    [anon_sym___stdcall] = ACTIONS(1436),
    [anon_sym___fastcall] = ACTIONS(1436),
    [anon_sym___thiscall] = ACTIONS(1436),
    [anon_sym___vectorcall] = ACTIONS(1436),
    [anon_sym_LBRACE] = ACTIONS(1438),
    [anon_sym_signed] = ACTIONS(1436),
    [anon_sym_unsigned] = ACTIONS(1436),
    [anon_sym_long] = ACTIONS(1436),
    [anon_sym_short] = ACTIONS(1436),
    [anon_sym_static] = ACTIONS(1436),
    [anon_sym_auto] = ACTIONS(1436),
    [anon_sym_register] = ACTIONS(1436),
    [anon_sym_inline] = ACTIONS(1436),
    [anon_sym___inline] = ACTIONS(1436),
    [anon_sym___inline__] = ACTIONS(1436),
    [anon_sym___forceinline] = ACTIONS(1436),
    [anon_sym_thread_local] = ACTIONS(1436),
    [anon_sym___thread] = ACTIONS(1436),
    [anon_sym_const] = ACTIONS(1436),
    [anon_sym_constexpr] = ACTIONS(1436),
    [anon_sym_volatile] = ACTIONS(1436),
    [anon_sym_restrict] = ACTIONS(1436),
    [anon_sym___restrict__] = ACTIONS(1436),
    [anon_sym__Atomic] = ACTIONS(1436),
    [anon_sym__Noreturn] = ACTIONS(1436),
    [anon_sym_noreturn] = ACTIONS(1436),
    [sym_primitive_type] = ACTIONS(1436),
    [anon_sym_enum] = ACTIONS(1436),
    [anon_sym_struct] = ACTIONS(1436),
    [anon_sym_union] = ACTIONS(1436),
    [anon_sym_if] = ACTIONS(1436),
    [anon_sym_switch] = ACTIONS(1436),
    [anon_sym_case] = ACTIONS(1436),
    [anon_sym_default] = ACTIONS(1436),
    [anon_sym_while] = ACTIONS(1436),
    [anon_sym_do] = ACTIONS(1436),
    [anon_sym_for] = ACTIONS(1436),
    [anon_sym_return] = ACTIONS(1436),
    [anon_sym_break] = ACTIONS(1436),
    [anon_sym_continue] = ACTIONS(1436),
    [anon_sym_goto] = ACTIONS(1436),
    [anon_sym_DASH_DASH] = ACTIONS(1438),
    [anon_sym_PLUS_PLUS] = ACTIONS(1438),
    [anon_sym_sizeof] = ACTIONS(1436),
    [anon_sym___alignof__] = ACTIONS(1436),
    [anon_sym___alignof] = ACTIONS(1436),
    [anon_sym__alignof] = ACTIONS(1436),
    [anon_sym_alignof] = ACTIONS(1436),
    [anon_sym__Alignof] = ACTIONS(1436),
    [anon_sym_offsetof] = ACTIONS(1436),
    [anon_sym__Generic] = ACTIONS(1436),
    [anon_sym_asm] = ACTIONS(1436),
    [anon_sym___asm__] = ACTIONS(1436),
    [sym_number_literal] = ACTIONS(1438),
    [anon_sym_L_SQUOTE] = ACTIONS(1438),
    [anon_sym_u_SQUOTE] = ACTIONS(1438),
    [anon_sym_U_SQUOTE] = ACTIONS(1438),
    [anon_sym_u8_SQUOTE] = ACTIONS(1438),
    [anon_sym_SQUOTE] = ACTIONS(1438),
    [anon_sym_L_DQUOTE] = ACTIONS(1438),
    [anon_sym_u_DQUOTE] = ACTIONS(1438),
    [anon_sym_U_DQUOTE] = ACTIONS(1438),
    [anon_sym_u8_DQUOTE] = ACTIONS(1438),
    [anon_sym_DQUOTE] = ACTIONS(1438),
    [sym_true] = ACTIONS(1436),
    [sym_false] = ACTIONS(1436),
    [anon_sym_NULL] = ACTIONS(1436),
    [anon_sym_nullptr] = ACTIONS(1436),
    [sym_comment] = ACTIONS(3),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1418),
    [sym_identifier] = ACTIONS(1416),
    [aux_sym_preproc_include_token1] = ACTIONS(1416),
    [aux_sym_preproc_def_token1] = ACTIONS(1416),
    [aux_sym_preproc_if_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1416),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1416),
    [sym_preproc_directive] = ACTIONS(1416),
    [anon_sym_LPAREN2] = ACTIONS(1418),
    [anon_sym_BANG] = ACTIONS(1418),
    [anon_sym_TILDE] = ACTIONS(1418),
    [anon_sym_DASH] = ACTIONS(1416),
    [anon_sym_PLUS] = ACTIONS(1416),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(1416),
    [anon_sym_typedef] = ACTIONS(1416),
    [anon_sym_extern] = ACTIONS(1416),
    [anon_sym___attribute__] = ACTIONS(1416),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1418),
    [anon_sym___declspec] = ACTIONS(1416),
    [anon_sym___cdecl] = ACTIONS(1416),
    [anon_sym___clrcall] = ACTIONS(1416),
    [anon_sym___stdcall] = ACTIONS(1416),
    [anon_sym___fastcall] = ACTIONS(1416),
    [anon_sym___thiscall] = ACTIONS(1416),
    [anon_sym___vectorcall] = ACTIONS(1416),
    [anon_sym_LBRACE] = ACTIONS(1418),
    [anon_sym_signed] = ACTIONS(1416),
    [anon_sym_unsigned] = ACTIONS(1416),
    [anon_sym_long] = ACTIONS(1416),
    [anon_sym_short] = ACTIONS(1416),
    [anon_sym_static] = ACTIONS(1416),
    [anon_sym_auto] = ACTIONS(1416),
    [anon_sym_register] = ACTIONS(1416),
    [anon_sym_inline] = ACTIONS(1416),
    [anon_sym___inline] = ACTIONS(1416),
    [anon_sym___inline__] = ACTIONS(1416),
    [anon_sym___forceinline] = ACTIONS(1416),
    [anon_sym_thread_local] = ACTIONS(1416),
    [anon_sym___thread] = ACTIONS(1416),
    [anon_sym_const] = ACTIONS(1416),
    [anon_sym_constexpr] = ACTIONS(1416),
    [anon_sym_volatile] = ACTIONS(1416),
    [anon_sym_restrict] = ACTIONS(1416),
    [anon_sym___restrict__] = ACTIONS(1416),
    [anon_sym__Atomic] = ACTIONS(1416),
    [anon_sym__Noreturn] = ACTIONS(1416),
    [anon_sym_noreturn] = ACTIONS(1416),
    [sym_primitive_type] = ACTIONS(1416),
    [anon_sym_enum] = ACTIONS(1416),
    [anon_sym_struct] = ACTIONS(1416),
    [anon_sym_union] = ACTIONS(1416),
    [anon_sym_if] = ACTIONS(1416),
    [anon_sym_switch] = ACTIONS(1416),
    [anon_sym_case] = ACTIONS(1416),
    [anon_sym_default] = ACTIONS(1416),
    [anon_sym_while] = ACTIONS(1416),
    [anon_sym_do] = ACTIONS(1416),
    [anon_sym_for] = ACTIONS(1416),
    [anon_sym_return] = ACTIONS(1416),
    [anon_sym_break] = ACTIONS(1416),
    [anon_sym_continue] = ACTIONS(1416),
    [anon_sym_goto] = ACTIONS(1416),
    [anon_sym_DASH_DASH] = ACTIONS(1418),
    [anon_sym_PLUS_PLUS] = ACTIONS(1418),
    [anon_sym_sizeof] = ACTIONS(1416),
    [anon_sym___alignof__] = ACTIONS(1416),
    [anon_sym___alignof] = ACTIONS(1416),
    [anon_sym__alignof] = ACTIONS(1416),
    [anon_sym_alignof] = ACTIONS(1416),
    [anon_sym__Alignof] = ACTIONS(1416),
    [anon_sym_offsetof] = ACTIONS(1416),
    [anon_sym__Generic] = ACTIONS(1416),
    [anon_sym_asm] = ACTIONS(1416),
    [anon_sym___asm__] = ACTIONS(1416),
    [sym_number_literal] = ACTIONS(1418),
    [anon_sym_L_SQUOTE] = ACTIONS(1418),
    [anon_sym_u_SQUOTE] = ACTIONS(1418),
    [anon_sym_U_SQUOTE] = ACTIONS(1418),
    [anon_sym_u8_SQUOTE] = ACTIONS(1418),
    [anon_sym_SQUOTE] = ACTIONS(1418),
    [anon_sym_L_DQUOTE] = ACTIONS(1418),
    [anon_sym_u_DQUOTE] = ACTIONS(1418),
    [anon_sym_U_DQUOTE] = ACTIONS(1418),
    [anon_sym_u8_DQUOTE] = ACTIONS(1418),
    [anon_sym_DQUOTE] = ACTIONS(1418),
    [sym_true] = ACTIONS(1416),
    [sym_false] = ACTIONS(1416),
    [anon_sym_NULL] = ACTIONS(1416),
    [anon_sym_nullptr] = ACTIONS(1416),
    [sym_comment] = ACTIONS(3),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1446),
    [sym_identifier] = ACTIONS(1444),
    [aux_sym_preproc_include_token1] = ACTIONS(1444),
    [aux_sym_preproc_def_token1] = ACTIONS(1444),
    [aux_sym_preproc_if_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1444),
    [sym_preproc_directive] = ACTIONS(1444),
    [anon_sym_LPAREN2] = ACTIONS(1446),
    [anon_sym_BANG] = ACTIONS(1446),
    [anon_sym_TILDE] = ACTIONS(1446),
    [anon_sym_DASH] = ACTIONS(1444),
    [anon_sym_PLUS] = ACTIONS(1444),
    [anon_sym_STAR] = ACTIONS(1446),
    [anon_sym_AMP] = ACTIONS(1446),
    [anon_sym___extension__] = ACTIONS(1444),
    [anon_sym_typedef] = ACTIONS(1444),
    [anon_sym_extern] = ACTIONS(1444),
    [anon_sym___attribute__] = ACTIONS(1444),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1446),
    [anon_sym___declspec] = ACTIONS(1444),
    [anon_sym___cdecl] = ACTIONS(1444),
    [anon_sym___clrcall] = ACTIONS(1444),
    [anon_sym___stdcall] = ACTIONS(1444),
    [anon_sym___fastcall] = ACTIONS(1444),
    [anon_sym___thiscall] = ACTIONS(1444),
    [anon_sym___vectorcall] = ACTIONS(1444),
    [anon_sym_LBRACE] = ACTIONS(1446),
    [anon_sym_signed] = ACTIONS(1444),
    [anon_sym_unsigned] = ACTIONS(1444),
    [anon_sym_long] = ACTIONS(1444),
    [anon_sym_short] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1444),
    [anon_sym_auto] = ACTIONS(1444),
    [anon_sym_register] = ACTIONS(1444),
    [anon_sym_inline] = ACTIONS(1444),
    [anon_sym___inline] = ACTIONS(1444),
    [anon_sym___inline__] = ACTIONS(1444),
    [anon_sym___forceinline] = ACTIONS(1444),
    [anon_sym_thread_local] = ACTIONS(1444),
    [anon_sym___thread] = ACTIONS(1444),
    [anon_sym_const] = ACTIONS(1444),
    [anon_sym_constexpr] = ACTIONS(1444),
    [anon_sym_volatile] = ACTIONS(1444),
    [anon_sym_restrict] = ACTIONS(1444),
    [anon_sym___restrict__] = ACTIONS(1444),
    [anon_sym__Atomic] = ACTIONS(1444),
    [anon_sym__Noreturn] = ACTIONS(1444),
    [anon_sym_noreturn] = ACTIONS(1444),
    [sym_primitive_type] = ACTIONS(1444),
    [anon_sym_enum] = ACTIONS(1444),
    [anon_sym_struct] = ACTIONS(1444),
    [anon_sym_union] = ACTIONS(1444),
    [anon_sym_if] = ACTIONS(1444),
    [anon_sym_switch] = ACTIONS(1444),
    [anon_sym_case] = ACTIONS(1444),
    [anon_sym_default] = ACTIONS(1444),
    [anon_sym_while] = ACTIONS(1444),
    [anon_sym_do] = ACTIONS(1444),
    [anon_sym_for] = ACTIONS(1444),
    [anon_sym_return] = ACTIONS(1444),
    [anon_sym_break] = ACTIONS(1444),
    [anon_sym_continue] = ACTIONS(1444),
    [anon_sym_goto] = ACTIONS(1444),
    [anon_sym_DASH_DASH] = ACTIONS(1446),
    [anon_sym_PLUS_PLUS] = ACTIONS(1446),
    [anon_sym_sizeof] = ACTIONS(1444),
    [anon_sym___alignof__] = ACTIONS(1444),
    [anon_sym___alignof] = ACTIONS(1444),
    [anon_sym__alignof] = ACTIONS(1444),
    [anon_sym_alignof] = ACTIONS(1444),
    [anon_sym__Alignof] = ACTIONS(1444),
    [anon_sym_offsetof] = ACTIONS(1444),
    [anon_sym__Generic] = ACTIONS(1444),
    [anon_sym_asm] = ACTIONS(1444),
    [anon_sym___asm__] = ACTIONS(1444),
    [sym_number_literal] = ACTIONS(1446),
    [anon_sym_L_SQUOTE] = ACTIONS(1446),
    [anon_sym_u_SQUOTE] = ACTIONS(1446),
    [anon_sym_U_SQUOTE] = ACTIONS(1446),
    [anon_sym_u8_SQUOTE] = ACTIONS(1446),
    [anon_sym_SQUOTE] = ACTIONS(1446),
    [anon_sym_L_DQUOTE] = ACTIONS(1446),
    [anon_sym_u_DQUOTE] = ACTIONS(1446),
    [anon_sym_U_DQUOTE] = ACTIONS(1446),
    [anon_sym_u8_DQUOTE] = ACTIONS(1446),
    [anon_sym_DQUOTE] = ACTIONS(1446),
    [sym_true] = ACTIONS(1444),
    [sym_false] = ACTIONS(1444),
    [anon_sym_NULL] = ACTIONS(1444),
    [anon_sym_nullptr] = ACTIONS(1444),
    [sym_comment] = ACTIONS(3),
  },
  [479] = {
    [sym__expression] = STATE(847),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(758),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(758),
    [sym_call_expression] = STATE(758),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(758),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(758),
    [sym_initializer_list] = STATE(755),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_identifier] = ACTIONS(1514),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1863),
    [anon_sym_TILDE] = ACTIONS(1865),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1522),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1522),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1522),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1522),
    [anon_sym_GT_GT] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_EQ] = ACTIONS(1522),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_STAR_EQ] = ACTIONS(1516),
    [anon_sym_SLASH_EQ] = ACTIONS(1516),
    [anon_sym_PERCENT_EQ] = ACTIONS(1516),
    [anon_sym_PLUS_EQ] = ACTIONS(1516),
    [anon_sym_DASH_EQ] = ACTIONS(1516),
    [anon_sym_LT_LT_EQ] = ACTIONS(1516),
    [anon_sym_GT_GT_EQ] = ACTIONS(1516),
    [anon_sym_AMP_EQ] = ACTIONS(1516),
    [anon_sym_CARET_EQ] = ACTIONS(1516),
    [anon_sym_PIPE_EQ] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1867),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [480] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1875),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [481] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1789),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [482] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1726),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [483] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1725),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [484] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1817),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [485] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1757),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [486] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1833),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [487] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__type_specifier] = STATE(1099),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__expression] = STATE(1024),
    [sym__expression_not_binary] = STATE(758),
    [sym_comma_expression] = STATE(1727),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_type_descriptor] = STATE(1841),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1114),
    [sym_identifier] = ACTIONS(1869),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(1871),
    [anon_sym_unsigned] = ACTIONS(1871),
    [anon_sym_long] = ACTIONS(1871),
    [anon_sym_short] = ACTIONS(1871),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(1873),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [488] = {
    [sym_identifier] = ACTIONS(1875),
    [anon_sym_COMMA] = ACTIONS(1877),
    [anon_sym_RPAREN] = ACTIONS(1877),
    [anon_sym_LPAREN2] = ACTIONS(1877),
    [anon_sym_BANG] = ACTIONS(1877),
    [anon_sym_TILDE] = ACTIONS(1877),
    [anon_sym_DASH] = ACTIONS(1875),
    [anon_sym_PLUS] = ACTIONS(1875),
    [anon_sym_STAR] = ACTIONS(1877),
    [anon_sym_AMP] = ACTIONS(1877),
    [anon_sym_SEMI] = ACTIONS(1877),
    [anon_sym___extension__] = ACTIONS(1875),
    [anon_sym_extern] = ACTIONS(1875),
    [anon_sym___attribute__] = ACTIONS(1875),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1877),
    [anon_sym___declspec] = ACTIONS(1875),
    [anon_sym_LBRACE] = ACTIONS(1877),
    [anon_sym_signed] = ACTIONS(1875),
    [anon_sym_unsigned] = ACTIONS(1875),
    [anon_sym_long] = ACTIONS(1875),
    [anon_sym_short] = ACTIONS(1875),
    [anon_sym_LBRACK] = ACTIONS(1875),
    [anon_sym_EQ] = ACTIONS(1877),
    [anon_sym_static] = ACTIONS(1875),
    [anon_sym_auto] = ACTIONS(1875),
    [anon_sym_register] = ACTIONS(1875),
    [anon_sym_inline] = ACTIONS(1875),
    [anon_sym___inline] = ACTIONS(1875),
    [anon_sym___inline__] = ACTIONS(1875),
    [anon_sym___forceinline] = ACTIONS(1875),
    [anon_sym_thread_local] = ACTIONS(1875),
    [anon_sym___thread] = ACTIONS(1875),
    [anon_sym_const] = ACTIONS(1875),
    [anon_sym_constexpr] = ACTIONS(1875),
    [anon_sym_volatile] = ACTIONS(1875),
    [anon_sym_restrict] = ACTIONS(1875),
    [anon_sym___restrict__] = ACTIONS(1875),
    [anon_sym__Atomic] = ACTIONS(1875),
    [anon_sym__Noreturn] = ACTIONS(1875),
    [anon_sym_noreturn] = ACTIONS(1875),
    [sym_primitive_type] = ACTIONS(1875),
    [anon_sym_enum] = ACTIONS(1875),
    [anon_sym_COLON] = ACTIONS(1877),
    [anon_sym_struct] = ACTIONS(1875),
    [anon_sym_union] = ACTIONS(1875),
    [anon_sym_if] = ACTIONS(1875),
    [anon_sym_switch] = ACTIONS(1875),
    [anon_sym_case] = ACTIONS(1875),
    [anon_sym_default] = ACTIONS(1875),
    [anon_sym_while] = ACTIONS(1875),
    [anon_sym_do] = ACTIONS(1875),
    [anon_sym_for] = ACTIONS(1875),
    [anon_sym_return] = ACTIONS(1875),
    [anon_sym_break] = ACTIONS(1875),
    [anon_sym_continue] = ACTIONS(1875),
    [anon_sym_goto] = ACTIONS(1875),
    [anon_sym___try] = ACTIONS(1875),
    [anon_sym___leave] = ACTIONS(1875),
    [anon_sym_DASH_DASH] = ACTIONS(1877),
    [anon_sym_PLUS_PLUS] = ACTIONS(1877),
    [anon_sym_sizeof] = ACTIONS(1875),
    [anon_sym___alignof__] = ACTIONS(1875),
    [anon_sym___alignof] = ACTIONS(1875),
    [anon_sym__alignof] = ACTIONS(1875),
    [anon_sym_alignof] = ACTIONS(1875),
    [anon_sym__Alignof] = ACTIONS(1875),
    [anon_sym_offsetof] = ACTIONS(1875),
    [anon_sym__Generic] = ACTIONS(1875),
    [anon_sym_asm] = ACTIONS(1875),
    [anon_sym___asm__] = ACTIONS(1875),
    [sym_number_literal] = ACTIONS(1877),
    [anon_sym_L_SQUOTE] = ACTIONS(1877),
    [anon_sym_u_SQUOTE] = ACTIONS(1877),
    [anon_sym_U_SQUOTE] = ACTIONS(1877),
    [anon_sym_u8_SQUOTE] = ACTIONS(1877),
    [anon_sym_SQUOTE] = ACTIONS(1877),
    [anon_sym_L_DQUOTE] = ACTIONS(1877),
    [anon_sym_u_DQUOTE] = ACTIONS(1877),
    [anon_sym_U_DQUOTE] = ACTIONS(1877),
    [anon_sym_u8_DQUOTE] = ACTIONS(1877),
    [anon_sym_DQUOTE] = ACTIONS(1877),
    [sym_true] = ACTIONS(1875),
    [sym_false] = ACTIONS(1875),
    [anon_sym_NULL] = ACTIONS(1875),
    [anon_sym_nullptr] = ACTIONS(1875),
    [sym_comment] = ACTIONS(3),
  },
  [489] = {
    [sym_identifier] = ACTIONS(1879),
    [anon_sym_COMMA] = ACTIONS(1881),
    [anon_sym_RPAREN] = ACTIONS(1881),
    [anon_sym_LPAREN2] = ACTIONS(1881),
    [anon_sym_BANG] = ACTIONS(1881),
    [anon_sym_TILDE] = ACTIONS(1881),
    [anon_sym_DASH] = ACTIONS(1879),
    [anon_sym_PLUS] = ACTIONS(1879),
    [anon_sym_STAR] = ACTIONS(1881),
    [anon_sym_AMP] = ACTIONS(1881),
    [anon_sym_SEMI] = ACTIONS(1881),
    [anon_sym___extension__] = ACTIONS(1879),
    [anon_sym_extern] = ACTIONS(1879),
    [anon_sym___attribute__] = ACTIONS(1879),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1881),
    [anon_sym___declspec] = ACTIONS(1879),
    [anon_sym_LBRACE] = ACTIONS(1881),
    [anon_sym_signed] = ACTIONS(1879),
    [anon_sym_unsigned] = ACTIONS(1879),
    [anon_sym_long] = ACTIONS(1879),
    [anon_sym_short] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1879),
    [anon_sym_EQ] = ACTIONS(1881),
    [anon_sym_static] = ACTIONS(1879),
    [anon_sym_auto] = ACTIONS(1879),
    [anon_sym_register] = ACTIONS(1879),
    [anon_sym_inline] = ACTIONS(1879),
    [anon_sym___inline] = ACTIONS(1879),
    [anon_sym___inline__] = ACTIONS(1879),
    [anon_sym___forceinline] = ACTIONS(1879),
    [anon_sym_thread_local] = ACTIONS(1879),
    [anon_sym___thread] = ACTIONS(1879),
    [anon_sym_const] = ACTIONS(1879),
    [anon_sym_constexpr] = ACTIONS(1879),
    [anon_sym_volatile] = ACTIONS(1879),
    [anon_sym_restrict] = ACTIONS(1879),
    [anon_sym___restrict__] = ACTIONS(1879),
    [anon_sym__Atomic] = ACTIONS(1879),
    [anon_sym__Noreturn] = ACTIONS(1879),
    [anon_sym_noreturn] = ACTIONS(1879),
    [sym_primitive_type] = ACTIONS(1879),
    [anon_sym_enum] = ACTIONS(1879),
    [anon_sym_COLON] = ACTIONS(1881),
    [anon_sym_struct] = ACTIONS(1879),
    [anon_sym_union] = ACTIONS(1879),
    [anon_sym_if] = ACTIONS(1879),
    [anon_sym_switch] = ACTIONS(1879),
    [anon_sym_case] = ACTIONS(1879),
    [anon_sym_default] = ACTIONS(1879),
    [anon_sym_while] = ACTIONS(1879),
    [anon_sym_do] = ACTIONS(1879),
    [anon_sym_for] = ACTIONS(1879),
    [anon_sym_return] = ACTIONS(1879),
    [anon_sym_break] = ACTIONS(1879),
    [anon_sym_continue] = ACTIONS(1879),
    [anon_sym_goto] = ACTIONS(1879),
    [anon_sym___try] = ACTIONS(1879),
    [anon_sym___leave] = ACTIONS(1879),
    [anon_sym_DASH_DASH] = ACTIONS(1881),
    [anon_sym_PLUS_PLUS] = ACTIONS(1881),
    [anon_sym_sizeof] = ACTIONS(1879),
    [anon_sym___alignof__] = ACTIONS(1879),
    [anon_sym___alignof] = ACTIONS(1879),
    [anon_sym__alignof] = ACTIONS(1879),
    [anon_sym_alignof] = ACTIONS(1879),
    [anon_sym__Alignof] = ACTIONS(1879),
    [anon_sym_offsetof] = ACTIONS(1879),
    [anon_sym__Generic] = ACTIONS(1879),
    [anon_sym_asm] = ACTIONS(1879),
    [anon_sym___asm__] = ACTIONS(1879),
    [sym_number_literal] = ACTIONS(1881),
    [anon_sym_L_SQUOTE] = ACTIONS(1881),
    [anon_sym_u_SQUOTE] = ACTIONS(1881),
    [anon_sym_U_SQUOTE] = ACTIONS(1881),
    [anon_sym_u8_SQUOTE] = ACTIONS(1881),
    [anon_sym_SQUOTE] = ACTIONS(1881),
    [anon_sym_L_DQUOTE] = ACTIONS(1881),
    [anon_sym_u_DQUOTE] = ACTIONS(1881),
    [anon_sym_U_DQUOTE] = ACTIONS(1881),
    [anon_sym_u8_DQUOTE] = ACTIONS(1881),
    [anon_sym_DQUOTE] = ACTIONS(1881),
    [sym_true] = ACTIONS(1879),
    [sym_false] = ACTIONS(1879),
    [anon_sym_NULL] = ACTIONS(1879),
    [anon_sym_nullptr] = ACTIONS(1879),
    [sym_comment] = ACTIONS(3),
  },
  [490] = {
    [sym__expression] = STATE(756),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_initializer_list] = STATE(755),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_COMMA] = ACTIONS(1516),
    [anon_sym_RPAREN] = ACTIONS(1516),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_SEMI] = ACTIONS(1516),
    [anon_sym___attribute__] = ACTIONS(1522),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1516),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_COLON] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [491] = {
    [sym_else_clause] = STATE(310),
    [sym_identifier] = ACTIONS(1292),
    [anon_sym_LPAREN2] = ACTIONS(1294),
    [anon_sym_BANG] = ACTIONS(1294),
    [anon_sym_TILDE] = ACTIONS(1294),
    [anon_sym_DASH] = ACTIONS(1292),
    [anon_sym_PLUS] = ACTIONS(1292),
    [anon_sym_STAR] = ACTIONS(1294),
    [anon_sym_AMP] = ACTIONS(1294),
    [anon_sym_SEMI] = ACTIONS(1294),
    [anon_sym___extension__] = ACTIONS(1292),
    [anon_sym_typedef] = ACTIONS(1292),
    [anon_sym_extern] = ACTIONS(1292),
    [anon_sym___attribute__] = ACTIONS(1292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1294),
    [anon_sym___declspec] = ACTIONS(1292),
    [anon_sym_LBRACE] = ACTIONS(1294),
    [anon_sym_signed] = ACTIONS(1292),
    [anon_sym_unsigned] = ACTIONS(1292),
    [anon_sym_long] = ACTIONS(1292),
    [anon_sym_short] = ACTIONS(1292),
    [anon_sym_static] = ACTIONS(1292),
    [anon_sym_auto] = ACTIONS(1292),
    [anon_sym_register] = ACTIONS(1292),
    [anon_sym_inline] = ACTIONS(1292),
    [anon_sym___inline] = ACTIONS(1292),
    [anon_sym___inline__] = ACTIONS(1292),
    [anon_sym___forceinline] = ACTIONS(1292),
    [anon_sym_thread_local] = ACTIONS(1292),
    [anon_sym___thread] = ACTIONS(1292),
    [anon_sym_const] = ACTIONS(1292),
    [anon_sym_constexpr] = ACTIONS(1292),
    [anon_sym_volatile] = ACTIONS(1292),
    [anon_sym_restrict] = ACTIONS(1292),
    [anon_sym___restrict__] = ACTIONS(1292),
    [anon_sym__Atomic] = ACTIONS(1292),
    [anon_sym__Noreturn] = ACTIONS(1292),
    [anon_sym_noreturn] = ACTIONS(1292),
    [sym_primitive_type] = ACTIONS(1292),
    [anon_sym_enum] = ACTIONS(1292),
    [anon_sym_struct] = ACTIONS(1292),
    [anon_sym_union] = ACTIONS(1292),
    [anon_sym_if] = ACTIONS(1292),
    [anon_sym_else] = ACTIONS(1885),
    [anon_sym_switch] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1292),
    [anon_sym_do] = ACTIONS(1292),
    [anon_sym_for] = ACTIONS(1292),
    [anon_sym_return] = ACTIONS(1292),
    [anon_sym_break] = ACTIONS(1292),
    [anon_sym_continue] = ACTIONS(1292),
    [anon_sym_goto] = ACTIONS(1292),
    [anon_sym___try] = ACTIONS(1292),
    [anon_sym___leave] = ACTIONS(1292),
    [anon_sym_DASH_DASH] = ACTIONS(1294),
    [anon_sym_PLUS_PLUS] = ACTIONS(1294),
    [anon_sym_sizeof] = ACTIONS(1292),
    [anon_sym___alignof__] = ACTIONS(1292),
    [anon_sym___alignof] = ACTIONS(1292),
    [anon_sym__alignof] = ACTIONS(1292),
    [anon_sym_alignof] = ACTIONS(1292),
    [anon_sym__Alignof] = ACTIONS(1292),
    [anon_sym_offsetof] = ACTIONS(1292),
    [anon_sym__Generic] = ACTIONS(1292),
    [anon_sym_asm] = ACTIONS(1292),
    [anon_sym___asm__] = ACTIONS(1292),
    [sym_number_literal] = ACTIONS(1294),
    [anon_sym_L_SQUOTE] = ACTIONS(1294),
    [anon_sym_u_SQUOTE] = ACTIONS(1294),
    [anon_sym_U_SQUOTE] = ACTIONS(1294),
    [anon_sym_u8_SQUOTE] = ACTIONS(1294),
    [anon_sym_SQUOTE] = ACTIONS(1294),
    [anon_sym_L_DQUOTE] = ACTIONS(1294),
    [anon_sym_u_DQUOTE] = ACTIONS(1294),
    [anon_sym_U_DQUOTE] = ACTIONS(1294),
    [anon_sym_u8_DQUOTE] = ACTIONS(1294),
    [anon_sym_DQUOTE] = ACTIONS(1294),
    [sym_true] = ACTIONS(1292),
    [sym_false] = ACTIONS(1292),
    [anon_sym_NULL] = ACTIONS(1292),
    [anon_sym_nullptr] = ACTIONS(1292),
    [sym_comment] = ACTIONS(3),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1887),
    [anon_sym_LPAREN2] = ACTIONS(1890),
    [anon_sym_BANG] = ACTIONS(1890),
    [anon_sym_TILDE] = ACTIONS(1890),
    [anon_sym_DASH] = ACTIONS(1892),
    [anon_sym_PLUS] = ACTIONS(1892),
    [anon_sym_STAR] = ACTIONS(1890),
    [anon_sym_AMP] = ACTIONS(1890),
    [anon_sym_SEMI] = ACTIONS(1890),
    [anon_sym___extension__] = ACTIONS(1894),
    [anon_sym_extern] = ACTIONS(1894),
    [anon_sym___attribute__] = ACTIONS(1894),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1896),
    [anon_sym___declspec] = ACTIONS(1894),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_signed] = ACTIONS(1894),
    [anon_sym_unsigned] = ACTIONS(1894),
    [anon_sym_long] = ACTIONS(1894),
    [anon_sym_short] = ACTIONS(1894),
    [anon_sym_static] = ACTIONS(1894),
    [anon_sym_auto] = ACTIONS(1894),
    [anon_sym_register] = ACTIONS(1894),
    [anon_sym_inline] = ACTIONS(1894),
    [anon_sym___inline] = ACTIONS(1894),
    [anon_sym___inline__] = ACTIONS(1894),
    [anon_sym___forceinline] = ACTIONS(1894),
    [anon_sym_thread_local] = ACTIONS(1894),
    [anon_sym___thread] = ACTIONS(1894),
    [anon_sym_const] = ACTIONS(1894),
    [anon_sym_constexpr] = ACTIONS(1894),
    [anon_sym_volatile] = ACTIONS(1894),
    [anon_sym_restrict] = ACTIONS(1894),
    [anon_sym___restrict__] = ACTIONS(1894),
    [anon_sym__Atomic] = ACTIONS(1894),
    [anon_sym__Noreturn] = ACTIONS(1894),
    [anon_sym_noreturn] = ACTIONS(1894),
    [sym_primitive_type] = ACTIONS(1894),
    [anon_sym_enum] = ACTIONS(1894),
    [anon_sym_struct] = ACTIONS(1894),
    [anon_sym_union] = ACTIONS(1894),
    [anon_sym_if] = ACTIONS(1892),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(1892),
    [anon_sym_default] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1892),
    [anon_sym_do] = ACTIONS(1892),
    [anon_sym_for] = ACTIONS(1892),
    [anon_sym_return] = ACTIONS(1892),
    [anon_sym_break] = ACTIONS(1892),
    [anon_sym_continue] = ACTIONS(1892),
    [anon_sym_goto] = ACTIONS(1892),
    [anon_sym___try] = ACTIONS(1892),
    [anon_sym___leave] = ACTIONS(1892),
    [anon_sym_DASH_DASH] = ACTIONS(1890),
    [anon_sym_PLUS_PLUS] = ACTIONS(1890),
    [anon_sym_sizeof] = ACTIONS(1892),
    [anon_sym___alignof__] = ACTIONS(1892),
    [anon_sym___alignof] = ACTIONS(1892),
    [anon_sym__alignof] = ACTIONS(1892),
    [anon_sym_alignof] = ACTIONS(1892),
    [anon_sym__Alignof] = ACTIONS(1892),
    [anon_sym_offsetof] = ACTIONS(1892),
    [anon_sym__Generic] = ACTIONS(1892),
    [anon_sym_asm] = ACTIONS(1892),
    [anon_sym___asm__] = ACTIONS(1892),
    [sym_number_literal] = ACTIONS(1890),
    [anon_sym_L_SQUOTE] = ACTIONS(1890),
    [anon_sym_u_SQUOTE] = ACTIONS(1890),
    [anon_sym_U_SQUOTE] = ACTIONS(1890),
    [anon_sym_u8_SQUOTE] = ACTIONS(1890),
    [anon_sym_SQUOTE] = ACTIONS(1890),
    [anon_sym_L_DQUOTE] = ACTIONS(1890),
    [anon_sym_u_DQUOTE] = ACTIONS(1890),
    [anon_sym_U_DQUOTE] = ACTIONS(1890),
    [anon_sym_u8_DQUOTE] = ACTIONS(1890),
    [anon_sym_DQUOTE] = ACTIONS(1890),
    [sym_true] = ACTIONS(1892),
    [sym_false] = ACTIONS(1892),
    [anon_sym_NULL] = ACTIONS(1892),
    [anon_sym_nullptr] = ACTIONS(1892),
    [sym_comment] = ACTIONS(3),
  },
  [493] = {
    [sym__expression] = STATE(847),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_initializer_list] = STATE(755),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1516),
    [anon_sym_BANG] = ACTIONS(1901),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1522),
    [anon_sym_PLUS] = ACTIONS(1522),
    [anon_sym_STAR] = ACTIONS(1516),
    [anon_sym_SLASH] = ACTIONS(1522),
    [anon_sym_PERCENT] = ACTIONS(1516),
    [anon_sym_PIPE_PIPE] = ACTIONS(1516),
    [anon_sym_AMP_AMP] = ACTIONS(1516),
    [anon_sym_PIPE] = ACTIONS(1522),
    [anon_sym_CARET] = ACTIONS(1516),
    [anon_sym_AMP] = ACTIONS(1522),
    [anon_sym_EQ_EQ] = ACTIONS(1516),
    [anon_sym_BANG_EQ] = ACTIONS(1516),
    [anon_sym_GT] = ACTIONS(1522),
    [anon_sym_GT_EQ] = ACTIONS(1516),
    [anon_sym_LT_EQ] = ACTIONS(1516),
    [anon_sym_LT] = ACTIONS(1522),
    [anon_sym_LT_LT] = ACTIONS(1516),
    [anon_sym_GT_GT] = ACTIONS(1516),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1516),
    [anon_sym_RBRACK] = ACTIONS(1516),
    [anon_sym_QMARK] = ACTIONS(1516),
    [anon_sym_DASH_DASH] = ACTIONS(1516),
    [anon_sym_PLUS_PLUS] = ACTIONS(1516),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1522),
    [anon_sym_DASH_GT] = ACTIONS(1516),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [494] = {
    [sym_type_qualifier] = STATE(497),
    [sym__expression] = STATE(1059),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(497),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1909),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1915),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [495] = {
    [sym_type_qualifier] = STATE(500),
    [sym__expression] = STATE(1069),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(500),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1919),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1921),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [496] = {
    [sym_type_qualifier] = STATE(498),
    [sym__expression] = STATE(1053),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(498),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1923),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1925),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [497] = {
    [sym_type_qualifier] = STATE(712),
    [sym__expression] = STATE(1055),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(712),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1927),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1929),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [498] = {
    [sym_type_qualifier] = STATE(712),
    [sym__expression] = STATE(1056),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(712),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1931),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1933),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [499] = {
    [sym_type_qualifier] = STATE(712),
    [sym__expression] = STATE(1070),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(712),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1935),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1937),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [500] = {
    [sym_type_qualifier] = STATE(712),
    [sym__expression] = STATE(1065),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(712),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1939),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1941),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [501] = {
    [sym_type_qualifier] = STATE(503),
    [sym__expression] = STATE(1068),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(503),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1943),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1945),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [502] = {
    [sym_type_qualifier] = STATE(499),
    [sym__expression] = STATE(1077),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(499),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1947),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1949),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [503] = {
    [sym_type_qualifier] = STATE(712),
    [sym__expression] = STATE(1067),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(865),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(865),
    [sym_call_expression] = STATE(865),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(865),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(865),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym__type_definition_type_repeat1] = STATE(712),
    [sym_identifier] = ACTIONS(1899),
    [anon_sym_LPAREN2] = ACTIONS(1907),
    [anon_sym_BANG] = ACTIONS(1903),
    [anon_sym_TILDE] = ACTIONS(1903),
    [anon_sym_DASH] = ACTIONS(1901),
    [anon_sym_PLUS] = ACTIONS(1901),
    [anon_sym_STAR] = ACTIONS(1951),
    [anon_sym_AMP] = ACTIONS(1911),
    [anon_sym___extension__] = ACTIONS(1913),
    [anon_sym_RBRACK] = ACTIONS(1953),
    [anon_sym_const] = ACTIONS(1913),
    [anon_sym_constexpr] = ACTIONS(1913),
    [anon_sym_volatile] = ACTIONS(1913),
    [anon_sym_restrict] = ACTIONS(1913),
    [anon_sym___restrict__] = ACTIONS(1913),
    [anon_sym__Atomic] = ACTIONS(1913),
    [anon_sym__Noreturn] = ACTIONS(1913),
    [anon_sym_noreturn] = ACTIONS(1913),
    [anon_sym_DASH_DASH] = ACTIONS(1917),
    [anon_sym_PLUS_PLUS] = ACTIONS(1917),
    [anon_sym_sizeof] = ACTIONS(1905),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [504] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [505] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1972),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [506] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1979),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [507] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1979),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [508] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [509] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1981),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [510] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1983),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [511] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1983),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [512] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1985),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [513] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [514] = {
    [sym__expression] = STATE(1000),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_initializer_list] = STATE(1457),
    [sym_initializer_pair] = STATE(1457),
    [sym_subscript_designator] = STATE(1364),
    [sym_field_designator] = STATE(1364),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_COMMA] = ACTIONS(1989),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(1991),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1995),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [515] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_COMMA] = ACTIONS(1957),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1957),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [516] = {
    [sym_string_literal] = STATE(676),
    [sym_identifier] = ACTIONS(1955),
    [anon_sym_LPAREN2] = ACTIONS(1959),
    [anon_sym_DASH] = ACTIONS(1963),
    [anon_sym_PLUS] = ACTIONS(1963),
    [anon_sym_STAR] = ACTIONS(1965),
    [anon_sym_SLASH] = ACTIONS(1963),
    [anon_sym_PERCENT] = ACTIONS(1963),
    [anon_sym_PIPE_PIPE] = ACTIONS(1957),
    [anon_sym_AMP_AMP] = ACTIONS(1957),
    [anon_sym_PIPE] = ACTIONS(1963),
    [anon_sym_CARET] = ACTIONS(1963),
    [anon_sym_AMP] = ACTIONS(1963),
    [anon_sym_EQ_EQ] = ACTIONS(1957),
    [anon_sym_BANG_EQ] = ACTIONS(1957),
    [anon_sym_GT] = ACTIONS(1963),
    [anon_sym_GT_EQ] = ACTIONS(1957),
    [anon_sym_LT_EQ] = ACTIONS(1957),
    [anon_sym_LT] = ACTIONS(1963),
    [anon_sym_LT_LT] = ACTIONS(1963),
    [anon_sym_GT_GT] = ACTIONS(1963),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym___extension__] = ACTIONS(1955),
    [anon_sym_extern] = ACTIONS(1955),
    [anon_sym___attribute__] = ACTIONS(1955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1968),
    [anon_sym___declspec] = ACTIONS(1955),
    [anon_sym___based] = ACTIONS(1955),
    [anon_sym_LBRACK] = ACTIONS(1963),
    [anon_sym_EQ] = ACTIONS(1970),
    [anon_sym_static] = ACTIONS(1955),
    [anon_sym_auto] = ACTIONS(1955),
    [anon_sym_register] = ACTIONS(1955),
    [anon_sym_inline] = ACTIONS(1955),
    [anon_sym___inline] = ACTIONS(1955),
    [anon_sym___inline__] = ACTIONS(1955),
    [anon_sym___forceinline] = ACTIONS(1955),
    [anon_sym_thread_local] = ACTIONS(1955),
    [anon_sym___thread] = ACTIONS(1955),
    [anon_sym_const] = ACTIONS(1955),
    [anon_sym_constexpr] = ACTIONS(1955),
    [anon_sym_volatile] = ACTIONS(1955),
    [anon_sym_restrict] = ACTIONS(1955),
    [anon_sym___restrict__] = ACTIONS(1955),
    [anon_sym__Atomic] = ACTIONS(1955),
    [anon_sym__Noreturn] = ACTIONS(1955),
    [anon_sym_noreturn] = ACTIONS(1955),
    [anon_sym_COLON] = ACTIONS(1987),
    [anon_sym_QMARK] = ACTIONS(1957),
    [anon_sym_STAR_EQ] = ACTIONS(1974),
    [anon_sym_SLASH_EQ] = ACTIONS(1974),
    [anon_sym_PERCENT_EQ] = ACTIONS(1974),
    [anon_sym_PLUS_EQ] = ACTIONS(1974),
    [anon_sym_DASH_EQ] = ACTIONS(1974),
    [anon_sym_LT_LT_EQ] = ACTIONS(1974),
    [anon_sym_GT_GT_EQ] = ACTIONS(1974),
    [anon_sym_AMP_EQ] = ACTIONS(1974),
    [anon_sym_CARET_EQ] = ACTIONS(1974),
    [anon_sym_PIPE_EQ] = ACTIONS(1974),
    [anon_sym_DASH_DASH] = ACTIONS(1957),
    [anon_sym_PLUS_PLUS] = ACTIONS(1957),
    [anon_sym_DOT] = ACTIONS(1957),
    [anon_sym_DASH_GT] = ACTIONS(1957),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_comment] = ACTIONS(3),
  },
  [517] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_elifdef] = STATE(1824),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym_preproc_else_in_field_declaration_list] = STATE(1824),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1824),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2003),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [518] = {
    [sym_preproc_def] = STATE(527),
    [sym_preproc_function_def] = STATE(527),
    [sym_preproc_call] = STATE(527),
    [sym_preproc_elifdef] = STATE(1683),
    [sym_preproc_if_in_field_declaration_list] = STATE(527),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(527),
    [sym_preproc_else_in_field_declaration_list] = STATE(1683),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1683),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(527),
    [sym_field_declaration] = STATE(527),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(527),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2013),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [519] = {
    [sym__expression] = STATE(1017),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_initializer_list] = STATE(1628),
    [sym_initializer_pair] = STATE(1628),
    [sym_subscript_designator] = STATE(1364),
    [sym_field_designator] = STATE(1364),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1995),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [520] = {
    [sym__expression] = STATE(1017),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_initializer_list] = STATE(1628),
    [sym_initializer_pair] = STATE(1628),
    [sym_subscript_designator] = STATE(1364),
    [sym_field_designator] = STATE(1364),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_RBRACE] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1995),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [521] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_elifdef] = STATE(1740),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym_preproc_else_in_field_declaration_list] = STATE(1740),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1740),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2019),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [522] = {
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1181),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_ms_based_modifier] = STATE(1698),
    [sym__declarator] = STATE(1351),
    [sym__abstract_declarator] = STATE(1438),
    [sym_parenthesized_declarator] = STATE(1296),
    [sym_abstract_parenthesized_declarator] = STATE(1371),
    [sym_attributed_declarator] = STATE(1296),
    [sym_pointer_declarator] = STATE(1296),
    [sym_abstract_pointer_declarator] = STATE(1371),
    [sym_function_declarator] = STATE(1296),
    [sym_abstract_function_declarator] = STATE(1371),
    [sym_array_declarator] = STATE(1296),
    [sym_abstract_array_declarator] = STATE(1371),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym_variadic_parameter] = STATE(1486),
    [sym_parameter_list] = STATE(1385),
    [sym_parameter_declaration] = STATE(1486),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(2021),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2023),
    [anon_sym_RPAREN] = ACTIONS(2025),
    [anon_sym_LPAREN2] = ACTIONS(2027),
    [anon_sym_STAR] = ACTIONS(2029),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym___based] = ACTIONS(2031),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [523] = {
    [sym_preproc_def] = STATE(517),
    [sym_preproc_function_def] = STATE(517),
    [sym_preproc_call] = STATE(517),
    [sym_preproc_elifdef] = STATE(1835),
    [sym_preproc_if_in_field_declaration_list] = STATE(517),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(517),
    [sym_preproc_else_in_field_declaration_list] = STATE(1835),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1835),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(517),
    [sym_field_declaration] = STATE(517),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(517),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2035),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [524] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_elifdef] = STATE(1748),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym_preproc_else_in_field_declaration_list] = STATE(1748),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1748),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2037),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [525] = {
    [sym_preproc_def] = STATE(524),
    [sym_preproc_function_def] = STATE(524),
    [sym_preproc_call] = STATE(524),
    [sym_preproc_elifdef] = STATE(1680),
    [sym_preproc_if_in_field_declaration_list] = STATE(524),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(524),
    [sym_preproc_else_in_field_declaration_list] = STATE(1680),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1680),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(524),
    [sym_field_declaration] = STATE(524),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(524),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2039),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [526] = {
    [sym_preproc_def] = STATE(521),
    [sym_preproc_function_def] = STATE(521),
    [sym_preproc_call] = STATE(521),
    [sym_preproc_elifdef] = STATE(1744),
    [sym_preproc_if_in_field_declaration_list] = STATE(521),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(521),
    [sym_preproc_else_in_field_declaration_list] = STATE(1744),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1744),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(521),
    [sym_field_declaration] = STATE(521),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(521),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2041),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [527] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_elifdef] = STATE(1674),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym_preproc_else_in_field_declaration_list] = STATE(1674),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1674),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(1999),
    [aux_sym_preproc_if_token1] = ACTIONS(2001),
    [aux_sym_preproc_if_token2] = ACTIONS(2043),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2005),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2005),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(117),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(117),
    [sym_preproc_directive] = ACTIONS(2011),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [528] = {
    [sym__expression] = STATE(1017),
    [sym__expression_not_binary] = STATE(758),
    [sym_conditional_expression] = STATE(758),
    [sym_assignment_expression] = STATE(758),
    [sym_pointer_expression] = STATE(783),
    [sym_unary_expression] = STATE(758),
    [sym_binary_expression] = STATE(758),
    [sym_update_expression] = STATE(758),
    [sym_cast_expression] = STATE(758),
    [sym_sizeof_expression] = STATE(758),
    [sym_alignof_expression] = STATE(758),
    [sym_offsetof_expression] = STATE(758),
    [sym_generic_expression] = STATE(758),
    [sym_subscript_expression] = STATE(783),
    [sym_call_expression] = STATE(783),
    [sym_gnu_asm_expression] = STATE(758),
    [sym_field_expression] = STATE(783),
    [sym_compound_literal_expression] = STATE(758),
    [sym_parenthesized_expression] = STATE(783),
    [sym_initializer_list] = STATE(1628),
    [sym_initializer_pair] = STATE(1628),
    [sym_subscript_designator] = STATE(1364),
    [sym_field_designator] = STATE(1364),
    [sym_char_literal] = STATE(758),
    [sym_concatenated_string] = STATE(758),
    [sym_string_literal] = STATE(705),
    [sym_null] = STATE(758),
    [aux_sym_initializer_pair_repeat1] = STATE(1364),
    [sym_identifier] = ACTIONS(1883),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1524),
    [anon_sym_LBRACK] = ACTIONS(1993),
    [anon_sym_DASH_DASH] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(79),
    [anon_sym_sizeof] = ACTIONS(81),
    [anon_sym___alignof__] = ACTIONS(83),
    [anon_sym___alignof] = ACTIONS(83),
    [anon_sym__alignof] = ACTIONS(83),
    [anon_sym_alignof] = ACTIONS(83),
    [anon_sym__Alignof] = ACTIONS(83),
    [anon_sym_offsetof] = ACTIONS(85),
    [anon_sym__Generic] = ACTIONS(87),
    [anon_sym_asm] = ACTIONS(89),
    [anon_sym___asm__] = ACTIONS(89),
    [anon_sym_DOT] = ACTIONS(1995),
    [sym_number_literal] = ACTIONS(157),
    [anon_sym_L_SQUOTE] = ACTIONS(93),
    [anon_sym_u_SQUOTE] = ACTIONS(93),
    [anon_sym_U_SQUOTE] = ACTIONS(93),
    [anon_sym_u8_SQUOTE] = ACTIONS(93),
    [anon_sym_SQUOTE] = ACTIONS(93),
    [anon_sym_L_DQUOTE] = ACTIONS(95),
    [anon_sym_u_DQUOTE] = ACTIONS(95),
    [anon_sym_U_DQUOTE] = ACTIONS(95),
    [anon_sym_u8_DQUOTE] = ACTIONS(95),
    [anon_sym_DQUOTE] = ACTIONS(95),
    [sym_true] = ACTIONS(159),
    [sym_false] = ACTIONS(159),
    [anon_sym_NULL] = ACTIONS(99),
    [anon_sym_nullptr] = ACTIONS(99),
    [sym_comment] = ACTIONS(3),
  },
  [529] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(1850),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1850),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2049),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [530] = {
    [sym_preproc_def] = STATE(534),
    [sym_preproc_function_def] = STATE(534),
    [sym_preproc_call] = STATE(534),
    [sym_preproc_if_in_field_declaration_list] = STATE(534),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(534),
    [sym_preproc_else_in_field_declaration_list] = STATE(1742),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1742),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(534),
    [sym_field_declaration] = STATE(534),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(534),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [531] = {
    [sym_preproc_def] = STATE(536),
    [sym_preproc_function_def] = STATE(536),
    [sym_preproc_call] = STATE(536),
    [sym_preproc_if_in_field_declaration_list] = STATE(536),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(536),
    [sym_preproc_else_in_field_declaration_list] = STATE(1675),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1675),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(536),
    [sym_field_declaration] = STATE(536),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(536),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2057),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [532] = {
    [sym_preproc_def] = STATE(533),
    [sym_preproc_function_def] = STATE(533),
    [sym_preproc_call] = STATE(533),
    [sym_preproc_if_in_field_declaration_list] = STATE(533),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(533),
    [sym_preproc_else_in_field_declaration_list] = STATE(1829),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1829),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(533),
    [sym_field_declaration] = STATE(533),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(533),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [533] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(1820),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1820),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2061),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [534] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(1739),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1739),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2063),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [535] = {
    [sym_preproc_def] = STATE(535),
    [sym_preproc_function_def] = STATE(535),
    [sym_preproc_call] = STATE(535),
    [sym_preproc_if_in_field_declaration_list] = STATE(535),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(535),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1241),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(535),
    [sym_field_declaration] = STATE(535),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(535),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(2065),
    [aux_sym_preproc_def_token1] = ACTIONS(2068),
    [aux_sym_preproc_if_token1] = ACTIONS(2071),
    [aux_sym_preproc_if_token2] = ACTIONS(2074),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2076),
    [aux_sym_preproc_else_token1] = ACTIONS(2074),
    [aux_sym_preproc_elif_token1] = ACTIONS(2074),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2074),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2074),
    [sym_preproc_directive] = ACTIONS(2079),
    [anon_sym___extension__] = ACTIONS(2082),
    [anon_sym_extern] = ACTIONS(2085),
    [anon_sym___attribute__] = ACTIONS(2088),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2091),
    [anon_sym___declspec] = ACTIONS(2094),
    [anon_sym_signed] = ACTIONS(2097),
    [anon_sym_unsigned] = ACTIONS(2097),
    [anon_sym_long] = ACTIONS(2097),
    [anon_sym_short] = ACTIONS(2097),
    [anon_sym_static] = ACTIONS(2085),
    [anon_sym_auto] = ACTIONS(2085),
    [anon_sym_register] = ACTIONS(2085),
    [anon_sym_inline] = ACTIONS(2085),
    [anon_sym___inline] = ACTIONS(2085),
    [anon_sym___inline__] = ACTIONS(2085),
    [anon_sym___forceinline] = ACTIONS(2085),
    [anon_sym_thread_local] = ACTIONS(2085),
    [anon_sym___thread] = ACTIONS(2085),
    [anon_sym_const] = ACTIONS(2082),
    [anon_sym_constexpr] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_restrict] = ACTIONS(2082),
    [anon_sym___restrict__] = ACTIONS(2082),
    [anon_sym__Atomic] = ACTIONS(2082),
    [anon_sym__Noreturn] = ACTIONS(2082),
    [anon_sym_noreturn] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2100),
    [anon_sym_enum] = ACTIONS(2103),
    [anon_sym_struct] = ACTIONS(2106),
    [anon_sym_union] = ACTIONS(2109),
    [sym_comment] = ACTIONS(3),
  },
  [536] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(1672),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1672),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [537] = {
    [sym_preproc_def] = STATE(539),
    [sym_preproc_function_def] = STATE(539),
    [sym_preproc_call] = STATE(539),
    [sym_preproc_if_in_field_declaration_list] = STATE(539),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(539),
    [sym_preproc_else_in_field_declaration_list] = STATE(1640),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1640),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(539),
    [sym_field_declaration] = STATE(539),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(539),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2114),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [538] = {
    [sym_preproc_def] = STATE(529),
    [sym_preproc_function_def] = STATE(529),
    [sym_preproc_call] = STATE(529),
    [sym_preproc_if_in_field_declaration_list] = STATE(529),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(529),
    [sym_preproc_else_in_field_declaration_list] = STATE(1874),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1874),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(529),
    [sym_field_declaration] = STATE(529),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(529),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
  [539] = {
    [sym_preproc_def] = STATE(541),
    [sym_preproc_function_def] = STATE(541),
    [sym_preproc_call] = STATE(541),
    [sym_preproc_if_in_field_declaration_list] = STATE(541),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(541),
    [sym_preproc_else_in_field_declaration_list] = STATE(1804),
    [sym_preproc_elif_in_field_declaration_list] = STATE(1804),
    [sym__declaration_modifiers] = STATE(741),
    [sym__declaration_specifiers] = STATE(1238),
    [sym_attribute_specifier] = STATE(741),
    [sym_attribute_declaration] = STATE(741),
    [sym_ms_declspec_modifier] = STATE(741),
    [sym_storage_class_specifier] = STATE(741),
    [sym_type_qualifier] = STATE(741),
    [sym__type_specifier] = STATE(899),
    [sym_sized_type_specifier] = STATE(925),
    [sym_enum_specifier] = STATE(925),
    [sym_struct_specifier] = STATE(925),
    [sym_union_specifier] = STATE(925),
    [sym__field_declaration_list_item] = STATE(541),
    [sym_field_declaration] = STATE(541),
    [sym_macro_type_specifier] = STATE(925),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(541),
    [aux_sym__declaration_specifiers_repeat1] = STATE(741),
    [aux_sym_sized_type_specifier_repeat1] = STATE(939),
    [sym_identifier] = ACTIONS(1997),
    [aux_sym_preproc_def_token1] = ACTIONS(2045),
    [aux_sym_preproc_if_token1] = ACTIONS(2047),
    [aux_sym_preproc_if_token2] = ACTIONS(2118),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2051),
    [aux_sym_preproc_else_token1] = ACTIONS(2007),
    [aux_sym_preproc_elif_token1] = ACTIONS(2009),
    [sym_preproc_directive] = ACTIONS(2053),
    [anon_sym___extension__] = ACTIONS(47),
    [anon_sym_extern] = ACTIONS(45),
    [anon_sym___attribute__] = ACTIONS(33),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1290),
    [anon_sym___declspec] = ACTIONS(37),
    [anon_sym_signed] = ACTIONS(43),
    [anon_sym_unsigned] = ACTIONS(43),
    [anon_sym_long] = ACTIONS(43),
    [anon_sym_short] = ACTIONS(43),
    [anon_sym_static] = ACTIONS(45),
    [anon_sym_auto] = ACTIONS(45),
    [anon_sym_register] = ACTIONS(45),
    [anon_sym_inline] = ACTIONS(45),
    [anon_sym___inline] = ACTIONS(45),
    [anon_sym___inline__] = ACTIONS(45),
    [anon_sym___forceinline] = ACTIONS(45),
    [anon_sym_thread_local] = ACTIONS(45),
    [anon_sym___thread] = ACTIONS(45),
    [anon_sym_const] = ACTIONS(47),
    [anon_sym_constexpr] = ACTIONS(47),
    [anon_sym_volatile] = ACTIONS(47),
    [anon_sym_restrict] = ACTIONS(47),
    [anon_sym___restrict__] = ACTIONS(47),
    [anon_sym__Atomic] = ACTIONS(47),
    [anon_sym__Noreturn] = ACTIONS(47),
    [anon_sym_noreturn] = ACTIONS(47),
    [sym_primitive_type] = ACTIONS(49),
    [anon_sym_enum] = ACTIONS(51),
    [anon_sym_struct] = ACTIONS(53),
    [anon_sym_union] = ACTIONS(55),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2120), 1,
      anon_sym_RPAREN,
    ACTIONS(2122), 1,
      anon_sym___extension__,
    STATE(705), 1,
      sym_string_literal,
    STATE(995), 1,
      sym__expression,
    STATE(1456), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [114] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym___attribute__,
    ACTIONS(2091), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2094), 1,
      anon_sym___declspec,
    ACTIONS(2100), 1,
      sym_primitive_type,
    ACTIONS(2103), 1,
      anon_sym_enum,
    ACTIONS(2106), 1,
      anon_sym_struct,
    ACTIONS(2109), 1,
      anon_sym_union,
    ACTIONS(2124), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2127), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2133), 1,
      sym_preproc_directive,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1238), 1,
      sym__declaration_specifiers,
    ACTIONS(2130), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2074), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
    ACTIONS(2097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(541), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2082), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2085), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [224] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2136), 1,
      anon_sym_RPAREN,
    ACTIONS(2138), 1,
      anon_sym___extension__,
    STATE(705), 1,
      sym_string_literal,
    STATE(996), 1,
      sym__expression,
    STATE(1470), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [338] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2140), 1,
      anon_sym___extension__,
    STATE(705), 1,
      sym_string_literal,
    STATE(1045), 1,
      sym__expression,
    STATE(1541), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [449] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2144), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2146), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2150), 1,
      sym_preproc_directive,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1237), 1,
      sym__declaration_specifiers,
    ACTIONS(2148), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(546), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [557] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2152), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1015), 1,
      sym__expression,
    STATE(1692), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [665] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym_identifier,
    ACTIONS(2074), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(2088), 1,
      anon_sym___attribute__,
    ACTIONS(2091), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2094), 1,
      anon_sym___declspec,
    ACTIONS(2100), 1,
      sym_primitive_type,
    ACTIONS(2103), 1,
      anon_sym_enum,
    ACTIONS(2106), 1,
      anon_sym_struct,
    ACTIONS(2109), 1,
      anon_sym_union,
    ACTIONS(2154), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2157), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2163), 1,
      sym_preproc_directive,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1237), 1,
      sym__declaration_specifiers,
    ACTIONS(2160), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(546), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2082), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2085), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [773] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2142), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2144), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2150), 1,
      sym_preproc_directive,
    ACTIONS(2166), 1,
      aux_sym_preproc_if_token2,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1237), 1,
      sym__declaration_specifiers,
    ACTIONS(2148), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(544), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [881] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2065), 1,
      sym_identifier,
    ACTIONS(2088), 1,
      anon_sym___attribute__,
    ACTIONS(2091), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2094), 1,
      anon_sym___declspec,
    ACTIONS(2100), 1,
      sym_primitive_type,
    ACTIONS(2103), 1,
      anon_sym_enum,
    ACTIONS(2106), 1,
      anon_sym_struct,
    ACTIONS(2109), 1,
      anon_sym_union,
    ACTIONS(2168), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2171), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2177), 1,
      sym_preproc_directive,
    ACTIONS(2180), 1,
      anon_sym_RBRACE,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1235), 1,
      sym__declaration_specifiers,
    ACTIONS(2174), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(2097), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(548), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(2082), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2085), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [989] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2182), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1037), 1,
      sym__expression,
    STATE(1754), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1097] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2184), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1032), 1,
      sym__expression,
    STATE(1763), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1205] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(755), 1,
      sym_initializer_list,
    STATE(847), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1311] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2190), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2192), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2196), 1,
      sym_preproc_directive,
    ACTIONS(2198), 1,
      anon_sym_RBRACE,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1235), 1,
      sym__declaration_specifiers,
    ACTIONS(2194), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(564), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [1419] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1009), 1,
      sym__expression,
    STATE(1553), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1527] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2200), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1022), 1,
      sym__expression,
    STATE(1858), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1635] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(755), 1,
      sym_initializer_list,
    STATE(847), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1743] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1019), 1,
      sym__expression,
    STATE(1574), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1851] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2202), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1044), 1,
      sym__expression,
    STATE(1649), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1959] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2204), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1046), 1,
      sym__expression,
    STATE(1781), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2067] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1006), 1,
      sym__expression,
    STATE(1712), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2175] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(755), 1,
      sym_initializer_list,
    STATE(756), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2283] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2208), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1012), 1,
      sym__expression,
    STATE(1694), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2391] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1026), 1,
      sym__expression,
    STATE(1764), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2499] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2212), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1013), 1,
      sym__expression,
    STATE(1693), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2607] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2190), 1,
      aux_sym_preproc_def_token1,
    ACTIONS(2192), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(2196), 1,
      sym_preproc_directive,
    ACTIONS(2214), 1,
      anon_sym_RBRACE,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1235), 1,
      sym__declaration_specifiers,
    ACTIONS(2194), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    STATE(548), 8,
      sym_preproc_def,
      sym_preproc_function_def,
      sym_preproc_call,
      sym_preproc_if_in_field_declaration_list,
      sym_preproc_ifdef_in_field_declaration_list,
      sym__field_declaration_list_item,
      sym_field_declaration,
      aux_sym_preproc_if_in_field_declaration_list_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [2715] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1524), 1,
      anon_sym_LBRACE,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(755), 1,
      sym_initializer_list,
    STATE(756), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2821] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2220), 1,
      anon_sym_RPAREN,
    STATE(705), 1,
      sym_string_literal,
    STATE(1043), 1,
      sym__expression,
    STATE(1750), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2929] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1025), 1,
      sym__expression,
    STATE(1714), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3037] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2224), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1028), 1,
      sym__expression,
    STATE(1715), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3145] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2226), 1,
      anon_sym_SEMI,
    STATE(705), 1,
      sym_string_literal,
    STATE(1041), 1,
      sym__expression,
    STATE(1647), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3253] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2228), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3356] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2230), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3459] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1008), 1,
      sym__expression,
    STATE(1812), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3564] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(994), 1,
      sym__expression,
    STATE(1562), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2025), 1,
      anon_sym_RPAREN,
    ACTIONS(2033), 1,
      anon_sym_LBRACK,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1181), 1,
      sym__declaration_specifiers,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1438), 1,
      sym__abstract_declarator,
    STATE(1486), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [3782] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2236), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3885] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2238), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3988] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2240), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4091] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2242), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_string_literal,
    STATE(1081), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4196] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2244), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_string_literal,
    STATE(1085), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4301] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2246), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4404] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2248), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_string_literal,
    STATE(1076), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4509] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2250), 1,
      anon_sym_COLON,
    STATE(705), 1,
      sym_string_literal,
    STATE(1047), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4614] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2252), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2254), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4820] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2256), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4923] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1024), 1,
      sym__expression,
    STATE(1727), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5028] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    ACTIONS(2258), 1,
      anon_sym_RBRACK,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5131] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(767), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1090), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5333] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(760), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(967), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1087), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5639] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    ACTIONS(2260), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(744), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5741] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(768), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5843] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1004), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5945] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1050), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6047] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1051), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6149] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1002), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6251] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1072), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6353] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1063), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1048), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6557] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(842), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6659] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(834), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6759] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(833), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6861] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1060), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6963] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(2262), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7065] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1086), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7167] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1073), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7269] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(999), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7371] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1088), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7473] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1049), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7575] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1079), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7677] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1042), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7779] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1061), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7881] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1052), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7983] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(973), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8085] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(997), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8187] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1062), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8289] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(745), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8389] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1084), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8491] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(837), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8591] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(768), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8691] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2264), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(744), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8791] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1089), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8893] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2266), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(832), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8993] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(747), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9093] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(978), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9195] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(974), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9297] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1082), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9399] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(833), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9499] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(845), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(850), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9699] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(842), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9799] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(970), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9901] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(830), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10001] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(975), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10103] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(968), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10305] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(772), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10405] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1074), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10507] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(969), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10609] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1054), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10711] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(993), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10813] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(745), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10915] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(972), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11017] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(760), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11117] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(971), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11219] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(752), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11319] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(838), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11419] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(774), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11519] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1075), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11621] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(1016), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11723] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(839), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11823] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(840), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11923] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(762), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12023] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(848), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12123] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(841), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12223] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(844), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(962), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(81), 1,
      anon_sym_sizeof,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1883), 1,
      sym_identifier,
    STATE(705), 1,
      sym_string_literal,
    STATE(966), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(79), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(783), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12527] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(778), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12627] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(780), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12727] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1867), 1,
      anon_sym_sizeof,
    ACTIONS(2186), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(846), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1863), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1865), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2188), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(781), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12927] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(1083), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13029] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(763), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13129] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(782), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1514), 1,
      sym_identifier,
    ACTIONS(1526), 1,
      anon_sym_sizeof,
    ACTIONS(2216), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(759), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1518), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1520), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2218), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(758), 21,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13329] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(85), 1,
      anon_sym_offsetof,
    ACTIONS(87), 1,
      anon_sym__Generic,
    ACTIONS(157), 1,
      sym_number_literal,
    ACTIONS(1899), 1,
      sym_identifier,
    ACTIONS(1905), 1,
      anon_sym_sizeof,
    ACTIONS(1907), 1,
      anon_sym_LPAREN2,
    STATE(705), 1,
      sym_string_literal,
    STATE(843), 1,
      sym__expression,
    ACTIONS(89), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(99), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(159), 2,
      sym_true,
      sym_false,
    ACTIONS(1901), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1903), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(1911), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(1917), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(83), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(93), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(865), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(758), 16,
      sym__expression_not_binary,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13431] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2268), 1,
      anon_sym_LBRACE,
    STATE(727), 1,
      sym_ms_call_modifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1260), 1,
      sym__declaration_specifiers,
    STATE(134), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [13532] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2270), 1,
      anon_sym_LBRACE,
    STATE(724), 1,
      sym_ms_call_modifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1270), 1,
      sym__declaration_specifiers,
    STATE(387), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [13633] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2272), 1,
      anon_sym_LBRACE,
    STATE(732), 1,
      sym_ms_call_modifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1264), 1,
      sym__declaration_specifiers,
    STATE(466), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [13734] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2274), 1,
      anon_sym_LBRACE,
    STATE(725), 1,
      sym_ms_call_modifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1250), 1,
      sym__declaration_specifiers,
    STATE(398), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [13835] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2276), 1,
      anon_sym_LBRACE,
    STATE(729), 1,
      sym_ms_call_modifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1265), 1,
      sym__declaration_specifiers,
    STATE(217), 3,
      sym_function_definition,
      sym_declaration,
      sym_declaration_list,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(39), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [13936] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1955), 1,
      anon_sym_const,
    ACTIONS(1959), 1,
      anon_sym_LPAREN2,
    ACTIONS(1965), 1,
      anon_sym_STAR,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(1976), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1968), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [14015] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2278), 1,
      sym_identifier,
    STATE(679), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2282), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2280), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [14080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2286), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2284), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [14139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1875), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [14198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2288), 1,
      sym_identifier,
    STATE(681), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2292), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2290), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [14263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1879), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [14322] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2294), 1,
      sym_identifier,
    STATE(681), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2301), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2299), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
    ACTIONS(2297), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [14387] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2025), 1,
      anon_sym_RPAREN,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1181), 1,
      sym__declaration_specifiers,
    STATE(1486), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14479] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(153), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14571] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(462), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(690), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14663] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(356), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14755] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(388), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(689), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14847] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2304), 1,
      sym_identifier,
    ACTIONS(2306), 1,
      anon_sym_RPAREN,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1181), 1,
      sym__declaration_specifiers,
    STATE(1405), 1,
      sym_variadic_parameter,
    STATE(1486), 1,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [14941] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(209), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15033] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(382), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15125] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(459), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(384), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15309] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(354), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15401] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(215), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(688), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15493] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(135), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15585] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(374), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(692), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15677] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(155), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(694), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15769] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(469), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(699), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15861] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(370), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(685), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [15953] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(460), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16045] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(146), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(683), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16137] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(219), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16229] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(373), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(691), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16321] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(206), 1,
      sym_compound_statement,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(701), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1963), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(1957), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [16474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1963), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(1957), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [16535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2308), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2310), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [16592] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1181), 1,
      sym__declaration_specifiers,
    STATE(1534), 2,
      sym_variadic_parameter,
      sym_parameter_declaration,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16681] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2312), 1,
      sym_identifier,
    ACTIONS(2321), 1,
      anon_sym___attribute__,
    ACTIONS(2324), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2327), 1,
      anon_sym___declspec,
    ACTIONS(2330), 1,
      anon_sym_LBRACE,
    ACTIONS(2335), 1,
      sym_primitive_type,
    ACTIONS(2338), 1,
      anon_sym_enum,
    ACTIONS(2341), 1,
      anon_sym_struct,
    ACTIONS(2344), 1,
      anon_sym_union,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1268), 1,
      sym__declaration_specifiers,
    STATE(708), 2,
      sym_declaration,
      aux_sym__old_style_function_definition_repeat1,
    ACTIONS(2332), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2315), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2318), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2347), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2349), 34,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [16827] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2351), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1181), 1,
      sym__declaration_specifiers,
    STATE(1534), 1,
      sym_parameter_declaration,
    STATE(1618), 1,
      sym_variadic_parameter,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [16918] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [16982] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(712), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2357), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2353), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(2355), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [17041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2362), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2360), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2366), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2364), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17151] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2370), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2368), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2372), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2376), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2382), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2380), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2386), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2384), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2390), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2388), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2394), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2392), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2398), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
    ACTIONS(2396), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [17591] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1280), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17673] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1286), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17755] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1295), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17837] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1281), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [17919] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1283), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1271), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18083] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1290), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18165] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1278), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18247] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1282), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18329] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(899), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1289), 1,
      sym__declaration_specifiers,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(741), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1972), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18474] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1981), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1979), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18600] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1983), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2400), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [18716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1985), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18779] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2414), 1,
      anon_sym___attribute__,
    ACTIONS(2417), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2420), 1,
      anon_sym___declspec,
    ACTIONS(2406), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(739), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2408), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2411), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2404), 11,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [18844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1987), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [18907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(51), 1,
      anon_sym_enum,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(901), 1,
      sym__type_specifier,
    STATE(939), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(43), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(739), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [18986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2284), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2286), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2423), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2431), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2427), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2441), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2439), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [19209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2443), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19260] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    ACTIONS(2471), 1,
      anon_sym_EQ,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2447), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19345] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2477), 1,
      anon_sym_EQ,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2481), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2479), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2485), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2483), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2487), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19583] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2491), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2497), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2495), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2501), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2499), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2505), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2503), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19803] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2509), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2507), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [19864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2513), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2511), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2517), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2515), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [19966] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2491), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2521), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2519), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20149] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2525), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2523), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2453), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    ACTIONS(2473), 1,
      anon_sym_QMARK,
    ACTIONS(2529), 1,
      anon_sym_EQ,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2527), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2533), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2531), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2535), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2539), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20448] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20513] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2545), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2543), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2549), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2547), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2553), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2551), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2557), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(2555), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [20727] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2561), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2559), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20841] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2455), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [20922] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_EQ,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2565), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 14,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [20981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2569), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2567), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21032] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2573), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2571), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21083] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2457), 1,
      anon_sym_PIPE,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2577), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2575), 30,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2459), 1,
      anon_sym_CARET,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21290] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2461), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2491), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21365] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2463), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2465), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2467), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2469), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2491), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [21438] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1970), 1,
      anon_sym_EQ,
    ACTIONS(1974), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2579), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1432), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21590] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1440), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1416), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1452), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1456), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21786] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1488), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2583), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2587), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2591), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [21982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2595), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2599), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2603), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2607), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2611), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2615), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2619), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2623), 40,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2623), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22421] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2583), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2607), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2615), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22562] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2619), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22609] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    STATE(893), 1,
      sym_field_declaration_list,
    STATE(942), 1,
      sym_attribute_specifier,
    ACTIONS(2629), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2627), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [22664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1456), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1488), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22758] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2637), 1,
      anon_sym___attribute__,
    ACTIONS(2640), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2643), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2635), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2633), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2400), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22858] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LPAREN2,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1365), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(2647), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(983), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(990), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [22937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2599), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [22984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2591), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2603), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1452), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23125] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    STATE(857), 1,
      sym_field_declaration_list,
    STATE(930), 1,
      sym_attribute_specifier,
    ACTIONS(2657), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2655), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23180] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2611), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2595), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1440), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2587), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1432), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1416), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23462] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_field_declaration_list,
    STATE(943), 1,
      sym_attribute_specifier,
    ACTIONS(2661), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2659), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2579), 38,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23564] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2667), 1,
      anon_sym___attribute__,
    ACTIONS(2670), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2673), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2665), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_EQ,
    ACTIONS(2663), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23617] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    STATE(911), 1,
      sym_field_declaration_list,
    STATE(944), 1,
      sym_attribute_specifier,
    ACTIONS(2677), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2675), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23672] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_field_declaration_list,
    STATE(933), 1,
      sym_attribute_specifier,
    ACTIONS(2681), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2679), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [23727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2685), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2683), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23774] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2529), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    ACTIONS(2711), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2527), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1881), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1879), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2431), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2427), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [23956] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2545), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2543), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2525), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2523), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2713), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2310), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2308), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [24160] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2471), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    ACTIONS(2711), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2447), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24240] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24300] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(2491), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24362] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2491), 16,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24428] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(2491), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24496] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2441), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2439), 20,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [24550] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24606] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24676] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24748] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 14,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24822] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2509), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2507), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24878] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2491), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [24954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1877), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1875), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25000] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2493), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2491), 18,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25058] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2477), 1,
      anon_sym_EQ,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(2693), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2695), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2697), 1,
      anon_sym_PIPE,
    ACTIONS(2699), 1,
      anon_sym_CARET,
    ACTIONS(2701), 1,
      anon_sym_AMP,
    ACTIONS(2711), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2689), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2703), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2705), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2707), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2709), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2691), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(2475), 11,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2349), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2347), 36,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1456), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1452), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25274] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(673), 1,
      sym_string_literal,
    ACTIONS(2717), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2713), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2591), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25368] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(938), 1,
      sym_attribute_specifier,
    ACTIONS(2721), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2719), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2583), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(936), 1,
      sym_attribute_specifier,
    ACTIONS(2725), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2723), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2595), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2587), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(929), 1,
      sym_attribute_specifier,
    ACTIONS(2729), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2727), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2443), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25695] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(674), 1,
      sym_string_literal,
    ACTIONS(2717), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2713), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2563), 1,
      anon_sym_EQ,
    ACTIONS(2565), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(1963), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1957), 14,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(917), 1,
      sym_attribute_specifier,
    ACTIONS(2733), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2731), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(922), 1,
      sym_attribute_specifier,
    ACTIONS(2737), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2735), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [25891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2579), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2611), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [25981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2599), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2603), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26071] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2605), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2603), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2601), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2599), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2607), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2593), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2591), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2615), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2597), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2595), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2619), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2623), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(671), 1,
      sym_string_literal,
    ACTIONS(2717), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2713), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1488), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1488), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1456), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2613), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2611), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1440), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1432), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1416), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26795] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(924), 1,
      sym_attribute_specifier,
    ACTIONS(2741), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2739), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(916), 1,
      sym_attribute_specifier,
    ACTIONS(2745), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2743), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [26893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2589), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2587), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [26938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2487), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26983] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(670), 1,
      sym_string_literal,
    ACTIONS(2717), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2713), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27032] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(932), 1,
      sym_attribute_specifier,
    ACTIONS(2749), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2747), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2581), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2579), 36,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27126] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(926), 1,
      sym_attribute_specifier,
    ACTIONS(2753), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2751), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27175] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2715), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(672), 1,
      sym_string_literal,
    ACTIONS(2717), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2713), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27224] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2609), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2607), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1416), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27314] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2755), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2757), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27371] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2759), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2761), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(739), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27428] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2763), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2765), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(903), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1432), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2767), 3,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(2769), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(739), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27587] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1440), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2541), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2539), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2585), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2583), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2425), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2423), 24,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [27767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2625), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2623), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27812] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2775), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2773), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2771), 25,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(1452), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [27906] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(946), 1,
      sym_attribute_specifier,
    ACTIONS(2780), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2778), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [27955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2617), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2615), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2621), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2619), 35,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2782), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2786), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2790), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2794), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2798), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2802), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_LPAREN2,
    ACTIONS(1968), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(1955), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2811), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2809), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2815), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2813), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2819), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2817), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2821), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2827), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2825), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2831), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2829), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1352), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [28663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2835), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2833), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2837), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2843), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2841), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2847), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2845), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2851), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2849), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2855), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2853), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2857), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2863), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2861), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2867), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2865), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2871), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2869), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2875), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2873), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      sym_identifier,
    ACTIONS(2886), 1,
      sym_primitive_type,
    STATE(909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2884), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2880), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2882), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2888), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2892), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2896), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2900), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2904), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2908), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2912), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29507] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1299), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1066), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29576] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1301), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(949), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1071), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29645] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1307), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1057), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29714] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1307), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(947), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1057), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [29783] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2926), 1,
      anon_sym_SEMI,
    ACTIONS(2755), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2757), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29839] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2928), 1,
      anon_sym_SEMI,
    ACTIONS(2755), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2757), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29895] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2930), 1,
      anon_sym_SEMI,
    ACTIONS(2755), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2757), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29951] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2932), 1,
      anon_sym_SEMI,
    ACTIONS(2755), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2757), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30007] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym___attribute__,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(2943), 1,
      anon_sym_COLON,
    STATE(923), 1,
      sym_attribute_specifier,
    STATE(981), 1,
      sym_enumerator_list,
    ACTIONS(2936), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2934), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [30059] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(1290), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2945), 1,
      anon_sym_SEMI,
    ACTIONS(2755), 2,
      anon_sym___based,
      sym_identifier,
    ACTIONS(2757), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(900), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(45), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30115] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(2951), 1,
      anon_sym___attribute__,
    STATE(937), 1,
      sym_attribute_specifier,
    STATE(980), 1,
      sym_enumerator_list,
    ACTIONS(2949), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2947), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [30164] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2954), 1,
      anon_sym_typedef,
    ACTIONS(2400), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1352), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(1350), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2956), 1,
      anon_sym_typedef,
    ACTIONS(2400), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2958), 1,
      anon_sym_typedef,
    ACTIONS(2400), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30330] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2966), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2970), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2974), 1,
      anon_sym_typedef,
    ACTIONS(2400), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30508] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2527), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30582] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30636] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2447), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [30710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30780] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30838] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30906] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [30968] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [31032] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [31098] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [31166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2402), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2996), 1,
      anon_sym_typedef,
    ACTIONS(2400), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(2663), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31248] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2475), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [31322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3002), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3000), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [31361] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 1,
      anon_sym___attribute__,
    STATE(918), 1,
      sym_attribute_specifier,
    ACTIONS(3006), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3004), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [31404] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3015), 1,
      anon_sym___attribute__,
    STATE(914), 1,
      sym_attribute_specifier,
    ACTIONS(3013), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3011), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [31447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3022), 1,
      anon_sym___attribute__,
    STATE(921), 1,
      sym_attribute_specifier,
    ACTIONS(3020), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3018), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [31490] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LPAREN2,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1254), 1,
      sym__declarator,
    STATE(1359), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(3025), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31553] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1254), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(987), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1107), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31613] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1294), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31673] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1294), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(991), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1109), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31733] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1261), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1113), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31793] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1287), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(985), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1110), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31853] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_LPAREN2,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(1506), 1,
      aux_sym__old_style_parameter_list_repeat1,
    ACTIONS(1968), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1955), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [31899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1254), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1107), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [31959] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1284), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1111), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [32019] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1262), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(2651), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(990), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1108), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2649), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [32079] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    STATE(1520), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32154] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3049), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [32227] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    STATE(1481), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32302] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    STATE(1499), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32377] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    STATE(1492), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32452] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3060), 1,
      anon_sym_LPAREN2,
    ACTIONS(3064), 1,
      anon_sym_LBRACK,
    ACTIONS(1968), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3057), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1955), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [32495] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3067), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [32566] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(753), 1,
      sym_argument_list,
    STATE(1510), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_LPAREN2,
    ACTIONS(1968), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3073), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1955), 24,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [32682] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    ACTIONS(3078), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    STATE(1459), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32757] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1099), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1831), 1,
      sym_type_descriptor,
    STATE(1078), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [32813] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3080), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [32883] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [32955] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3084), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33027] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(3086), 1,
      anon_sym_enum,
    STATE(1099), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1848), 1,
      sym_type_descriptor,
    STATE(1064), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33083] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3088), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33155] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3090), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [33225] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1224), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33281] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1220), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33337] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33409] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3096), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33481] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3098), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33553] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3100), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33625] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3102), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [33695] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [33765] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [33837] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [33907] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1221), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [33963] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1217), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34019] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3110), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34091] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1225), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34147] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34219] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3114), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34291] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34363] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34435] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3120), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34507] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1223), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34563] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1226), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34619] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1218), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34675] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [34747] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1099), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1795), 1,
      sym_type_descriptor,
    STATE(1078), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34803] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1099), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1810), 1,
      sym_type_descriptor,
    STATE(1078), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34859] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1222), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34915] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1171), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1219), 1,
      sym__type_definition_type,
    STATE(1058), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [34971] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35043] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(3086), 1,
      anon_sym_enum,
    STATE(1099), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1696), 1,
      sym_type_descriptor,
    STATE(1064), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35099] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35171] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3128), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3130), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35315] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3132), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [35385] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35457] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3136), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35529] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3138), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [35599] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3047), 1,
      anon_sym_COMMA,
    ACTIONS(3140), 1,
      anon_sym_SEMI,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35671] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3142), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35740] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3144), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35809] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2491), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [35866] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3158), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [35935] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [35986] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2493), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 9,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [36039] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2256), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36108] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3174), 1,
      anon_sym_COMMA,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36177] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2246), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36246] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2238), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36315] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1299), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36368] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1148), 1,
      sym__type_specifier,
    STATE(1202), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3092), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36421] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2240), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36490] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3176), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36559] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3178), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2447), 1,
      anon_sym_RBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36697] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3180), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [36766] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1997), 1,
      sym_identifier,
    ACTIONS(3086), 1,
      anon_sym_enum,
    STATE(1105), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36819] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2254), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [36888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1309), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [36941] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2228), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37010] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2230), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37079] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2236), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37148] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2252), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37217] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1307), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37270] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3182), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37339] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2493), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2491), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [37398] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2493), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2491), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [37447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2475), 1,
      anon_sym_RBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37516] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3184), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37585] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2258), 1,
      anon_sym_RBRACK,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37654] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(49), 1,
      sym_primitive_type,
    ACTIONS(53), 1,
      anon_sym_struct,
    ACTIONS(55), 1,
      anon_sym_union,
    ACTIONS(1873), 1,
      anon_sym_enum,
    ACTIONS(1997), 1,
      sym_identifier,
    STATE(1105), 1,
      sym__type_specifier,
    STATE(1114), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(1871), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(925), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37707] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    ACTIONS(3186), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [37776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2355), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3188), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2353), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [37815] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3191), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [37884] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2491), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [37949] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    ACTIONS(3193), 1,
      anon_sym_RBRACK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38018] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2527), 1,
      anon_sym_RBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3160), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3162), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    ACTIONS(3172), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [38087] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3195), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38156] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2491), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [38217] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3197), 1,
      anon_sym_COLON,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38286] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    ACTIONS(3199), 1,
      anon_sym_RPAREN,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3164), 1,
      anon_sym_PIPE,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2491), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [38418] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    ACTIONS(2687), 1,
      anon_sym_LPAREN2,
    ACTIONS(3150), 1,
      anon_sym_SLASH,
    ACTIONS(3166), 1,
      anon_sym_CARET,
    ACTIONS(3168), 1,
      anon_sym_AMP,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3146), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3148), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3152), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3154), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3156), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3170), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2491), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [38481] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(3201), 1,
      anon_sym_COLON,
    STATE(923), 1,
      sym_attribute_specifier,
    STATE(1098), 1,
      sym_enumerator_list,
    ACTIONS(2936), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(2934), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 1,
      anon_sym_SEMI,
    ACTIONS(2517), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2515), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [38561] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(2433), 1,
      anon_sym_LBRACK,
    ACTIONS(2964), 1,
      anon_sym_SLASH,
    ACTIONS(2976), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2978), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2980), 1,
      anon_sym_PIPE,
    ACTIONS(2982), 1,
      anon_sym_CARET,
    ACTIONS(2984), 1,
      anon_sym_AMP,
    ACTIONS(2994), 1,
      anon_sym_QMARK,
    STATE(753), 1,
      sym_argument_list,
    ACTIONS(2435), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2437), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2960), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2962), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2986), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2988), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2990), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2992), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [38627] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_attribute_specifier,
    STATE(1097), 1,
      sym_enumerator_list,
    ACTIONS(2949), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2947), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38669] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1103), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3207), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3212), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1095), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3209), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3205), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(921), 1,
      sym_attribute_specifier,
    ACTIONS(3020), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3018), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38747] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(918), 1,
      sym_attribute_specifier,
    ACTIONS(3006), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3004), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    STATE(914), 1,
      sym_attribute_specifier,
    ACTIONS(3013), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3011), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1362), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1104), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3215), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38866] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1365), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1106), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2647), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3221), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3219), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [38944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1356), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3223), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [38991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3227), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3225), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [39022] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1368), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3229), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39069] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1369), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1102), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3231), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39116] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_const,
    ACTIONS(2232), 1,
      anon_sym_LPAREN2,
    ACTIONS(2234), 1,
      anon_sym_STAR,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1359), 1,
      sym__abstract_declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3025), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3217), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39163] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1261), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39207] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1254), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39251] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1284), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39295] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1294), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39339] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1293), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39383] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3235), 1,
      anon_sym_LPAREN2,
    STATE(1165), 1,
      sym_preproc_argument_list,
    ACTIONS(3237), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3233), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1258), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39461] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      sym_primitive_type,
    ACTIONS(3239), 1,
      sym_identifier,
    STATE(909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2884), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2880), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(2882), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39499] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3243), 1,
      anon_sym_RPAREN,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3253), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1117), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39542] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(3259), 1,
      anon_sym_RPAREN,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    STATE(1483), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39597] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3285), 1,
      anon_sym_RPAREN,
    STATE(1494), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39652] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3287), 1,
      anon_sym_RPAREN,
    ACTIONS(3289), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1116), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39695] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3291), 1,
      anon_sym_RPAREN,
    ACTIONS(3293), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1120), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39738] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3295), 1,
      anon_sym_RPAREN,
    STATE(1509), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39793] = 5,
    ACTIONS(3233), 1,
      anon_sym_LF,
    ACTIONS(3297), 1,
      anon_sym_LPAREN2,
    ACTIONS(3299), 1,
      sym_comment,
    STATE(1205), 1,
      sym_preproc_argument_list,
    ACTIONS(3237), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [39826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3303), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3301), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [39868] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3315), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1200), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39908] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3319), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1192), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39948] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3321), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1196), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [39988] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3323), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1203), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40028] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3325), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1214), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40068] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3327), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1193), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40108] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3329), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1188), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40148] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3331), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1206), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40188] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3333), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1213), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40228] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3335), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1204), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40268] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3337), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1164), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3341), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3339), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3345), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3343), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3349), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3347), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40392] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3351), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1153), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40432] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3353), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1154), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40472] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3355), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1136), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40512] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3357), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1155), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3359), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1156), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40592] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3361), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1157), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3363), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1158), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40672] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3365), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1122), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40712] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3367), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1159), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40752] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3369), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1160), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40792] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3371), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1161), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40832] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3375), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1169), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3373), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40864] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3379), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3377), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [40896] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3381), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1183), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [40936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3383), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3387), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [40992] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3303), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3301), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3301), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41052] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3301), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [41100] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3301), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41146] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_PIPE,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3301), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [41192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3303), 1,
      anon_sym_PIPE,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3301), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [41236] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3303), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3301), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [41276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3303), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3301), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [41312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3303), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3301), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41346] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3391), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1209), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41386] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3393), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1185), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3395), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [41476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3399), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3397), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3401), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41532] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3405), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1195), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41572] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3407), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1197), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3411), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1080), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3409), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41644] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3413), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1198), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3417), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1149), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3415), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(47), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2537), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2535), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [41744] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3419), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1184), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41784] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3421), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1201), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41824] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3423), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1208), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41864] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3425), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1211), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41904] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3427), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1212), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41944] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3429), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1189), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [41984] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3241), 1,
      sym_identifier,
    ACTIONS(3245), 1,
      anon_sym_LPAREN2,
    ACTIONS(3247), 1,
      anon_sym_defined,
    ACTIONS(3431), 1,
      sym_number_literal,
    ACTIONS(3249), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3251), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3255), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1190), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [42024] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3307), 1,
      anon_sym_LPAREN2,
    ACTIONS(3309), 1,
      anon_sym_defined,
    ACTIONS(3433), 1,
      sym_number_literal,
    ACTIONS(3311), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3313), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3317), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1215), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [42064] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LPAREN2,
    ACTIONS(2029), 1,
      anon_sym_STAR,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(2653), 1,
      anon_sym_LBRACK,
    STATE(1326), 1,
      sym__declarator,
    STATE(1385), 1,
      sym_parameter_list,
    STATE(1386), 1,
      sym__abstract_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    ACTIONS(3435), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1371), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [42112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3439), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3437), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42140] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3441), 1,
      anon_sym_LF,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42185] = 11,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3303), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42228] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3347), 1,
      anon_sym_LF,
    ACTIONS(3349), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42255] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3339), 1,
      anon_sym_LF,
    ACTIONS(3341), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42282] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3383), 1,
      anon_sym_LF,
    ACTIONS(3385), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42309] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3463), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42354] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3465), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42399] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3467), 1,
      anon_sym_RPAREN,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42448] = 3,
    ACTIONS(2535), 1,
      anon_sym_LF,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(2537), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42475] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42520] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3471), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42565] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3387), 1,
      anon_sym_LF,
    ACTIONS(3389), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42592] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3303), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42621] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3473), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42666] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3303), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42693] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3303), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42738] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3401), 1,
      anon_sym_LF,
    ACTIONS(3403), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42765] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3303), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42796] = 10,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3303), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 1,
      sym_identifier,
    ACTIONS(3478), 1,
      sym_primitive_type,
    STATE(909), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2880), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(3475), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2882), 10,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [42872] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3481), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42917] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3483), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [42962] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3397), 1,
      anon_sym_LF,
    ACTIONS(3399), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [42989] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3485), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [43034] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3343), 1,
      anon_sym_LF,
    ACTIONS(3345), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43061] = 9,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3303), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [43100] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 1,
      anon_sym_SLASH,
    ACTIONS(3267), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3269), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3271), 1,
      anon_sym_PIPE,
    ACTIONS(3273), 1,
      anon_sym_CARET,
    ACTIONS(3275), 1,
      anon_sym_AMP,
    ACTIONS(3487), 1,
      anon_sym_RPAREN,
    ACTIONS(3261), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3277), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3279), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3281), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3283), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43149] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3437), 1,
      anon_sym_LF,
    ACTIONS(3439), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [43176] = 8,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3303), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [43213] = 7,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3303), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [43248] = 6,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3301), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3303), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [43281] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3489), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [43326] = 12,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3447), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3449), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3451), 1,
      anon_sym_PIPE,
    ACTIONS(3453), 1,
      anon_sym_CARET,
    ACTIONS(3455), 1,
      anon_sym_AMP,
    ACTIONS(3491), 1,
      anon_sym_LF,
    ACTIONS(3443), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3457), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3461), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3445), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3459), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [43371] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      anon_sym_const,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3495), 1,
      anon_sym_COLON,
    STATE(923), 1,
      sym_attribute_specifier,
    STATE(1098), 1,
      sym_enumerator_list,
    ACTIONS(2936), 11,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43406] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1398), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43447] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1420), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43488] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1406), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43529] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1437), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43570] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1432), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43611] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1417), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43652] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1426), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43693] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1434), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43734] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1404), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43775] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1306), 1,
      sym__type_declarator,
    STATE(1439), 1,
      sym__type_definition_declarators,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43816] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    STATE(478), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [43864] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1312), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [43902] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    STATE(145), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [43950] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    STATE(353), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [43998] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    STATE(376), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2916), 1,
      sym_identifier,
    ACTIONS(2918), 1,
      anon_sym_LPAREN2,
    ACTIONS(2920), 1,
      anon_sym_STAR,
    ACTIONS(2924), 1,
      sym_primitive_type,
    STATE(1348), 1,
      sym__type_declarator,
    STATE(1800), 1,
      sym_ms_based_modifier,
    ACTIONS(2922), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1353), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [44084] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    STATE(202), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44132] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(376), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44177] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3512), 1,
      anon_sym_SEMI,
    STATE(1272), 1,
      sym__field_declarator,
    STATE(1450), 1,
      sym__field_declaration_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1738), 1,
      sym_attribute_specifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [44218] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(145), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44263] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3514), 1,
      anon_sym_SEMI,
    STATE(1272), 1,
      sym__field_declarator,
    STATE(1488), 1,
      sym__field_declaration_declarator,
    STATE(1689), 1,
      sym_attribute_specifier,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [44304] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3516), 1,
      anon_sym_SEMI,
    STATE(1272), 1,
      sym__field_declarator,
    STATE(1504), 1,
      sym__field_declaration_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1747), 1,
      sym_attribute_specifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [44345] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(478), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(202), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44435] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    ACTIONS(3518), 1,
      anon_sym_SEMI,
    STATE(1272), 1,
      sym__field_declarator,
    STATE(1474), 1,
      sym__field_declaration_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1856), 1,
      sym_attribute_specifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [44476] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(353), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44521] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(693), 1,
      sym__old_style_function_declarator,
    STATE(1233), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1655), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3522), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3525), 1,
      anon_sym_LBRACK,
    STATE(1244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3520), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [44585] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(698), 1,
      sym__old_style_function_declarator,
    STATE(1230), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44623] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(700), 1,
      sym__old_style_function_declarator,
    STATE(1229), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1775), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44661] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(695), 1,
      sym__old_style_function_declarator,
    STATE(1231), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1868), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44699] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(697), 1,
      sym__old_style_function_declarator,
    STATE(1227), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1691), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3529), 1,
      anon_sym_LBRACK,
    STATE(1267), 1,
      sym_gnu_asm_expression,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1253), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3527), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [44767] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1234), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1868), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44802] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1710), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44837] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1464), 1,
      sym_gnu_asm_expression,
    STATE(1467), 1,
      aux_sym__declaration_declarator_repeat1,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [44876] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3531), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [44901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3535), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [44930] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1868), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [44965] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1655), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45000] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1775), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45035] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3537), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45064] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45099] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1236), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1775), 1,
      sym__declaration_declarator,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45134] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3539), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3541), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45192] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3545), 1,
      anon_sym_LBRACK,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3543), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45217] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1239), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1691), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45252] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1240), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1655), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3549), 1,
      anon_sym___attribute__,
    ACTIONS(3552), 1,
      anon_sym_LBRACK,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3547), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3533), 1,
      anon_sym_LBRACK,
    STATE(1263), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(3531), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45337] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1644), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45372] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1252), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1691), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1242), 1,
      sym__declarator,
    STATE(1493), 1,
      sym_init_declarator,
    STATE(1664), 1,
      sym__declaration_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45442] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(703), 1,
      sym__old_style_function_declarator,
    STATE(1314), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45474] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3560), 1,
      anon_sym_COLON,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1395), 1,
      sym_bitfield_clause,
    STATE(1396), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3556), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [45510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2673), 1,
      anon_sym_LBRACK,
    ACTIONS(2665), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [45530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(2635), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [45550] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3506), 1,
      anon_sym_EQ,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1557), 1,
      sym_gnu_asm_expression,
    ACTIONS(3508), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(3562), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [45584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3566), 1,
      anon_sym_LBRACK,
    ACTIONS(3564), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [45604] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3570), 1,
      anon_sym_LBRACK,
    STATE(1244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3568), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [45628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(702), 1,
      sym__old_style_function_declarator,
    STATE(1322), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1275), 1,
      sym__declarator,
    STATE(1551), 1,
      sym_init_declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45692] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(686), 1,
      sym__old_style_function_declarator,
    STATE(1317), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45724] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(696), 1,
      sym__old_style_function_declarator,
    STATE(1310), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45756] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(684), 1,
      sym__old_style_function_declarator,
    STATE(1313), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45788] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1336), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3572), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [45844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1351), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45873] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1338), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45902] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3574), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [45929] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1291), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [45958] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1339), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [45987] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1327), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [46016] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3560), 1,
      anon_sym_COLON,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1497), 1,
      sym_bitfield_clause,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3576), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46047] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(3031), 1,
      sym_identifier,
    ACTIONS(3033), 1,
      anon_sym_LPAREN2,
    ACTIONS(3035), 1,
      anon_sym_STAR,
    STATE(1346), 1,
      sym__field_declarator,
    STATE(1730), 1,
      sym_ms_based_modifier,
    STATE(1340), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [46076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3578), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [46103] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3580), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [46130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      anon_sym___based,
    ACTIONS(2645), 1,
      sym_identifier,
    ACTIONS(3027), 1,
      anon_sym_LPAREN2,
    ACTIONS(3029), 1,
      anon_sym_STAR,
    STATE(1324), 1,
      sym__declarator,
    STATE(1698), 1,
      sym_ms_based_modifier,
    STATE(1296), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [46159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3584), 1,
      anon_sym_LBRACK,
    ACTIONS(3582), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3588), 1,
      anon_sym_LBRACK,
    ACTIONS(3586), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3592), 1,
      anon_sym_LBRACK,
    STATE(1244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3590), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [46217] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3594), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3600), 1,
      anon_sym_LBRACK,
    ACTIONS(3598), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46261] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3602), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3606), 1,
      anon_sym_LBRACK,
    ACTIONS(3604), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3610), 1,
      anon_sym_LBRACK,
    ACTIONS(3608), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACK,
    ACTIONS(3612), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [46341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_LBRACK,
    STATE(1400), 1,
      sym_gnu_asm_output_operand,
    STATE(1699), 1,
      sym_string_literal,
    ACTIONS(3616), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1388), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3622), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46395] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3624), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_LBRACK,
    STATE(1440), 1,
      sym_gnu_asm_input_operand,
    STATE(1777), 1,
      sym_string_literal,
    ACTIONS(3626), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46445] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3630), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46471] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(154), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46500] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RPAREN,
    ACTIONS(3634), 1,
      anon_sym_COLON,
    STATE(676), 1,
      sym_string_literal,
    STATE(1514), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3636), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46548] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(457), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(208), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_COLON,
    ACTIONS(3638), 1,
      anon_sym_RPAREN,
    STATE(676), 1,
      sym_string_literal,
    STATE(1496), 1,
      sym_gnu_asm_output_operand_list,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46629] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3640), 1,
      sym_identifier,
    ACTIONS(3644), 1,
      sym_system_lib_string,
    STATE(1871), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46650] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(383), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3646), 1,
      sym_identifier,
    ACTIONS(3648), 1,
      sym_system_lib_string,
    STATE(1660), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3650), 1,
      sym_identifier,
    ACTIONS(3652), 1,
      sym_system_lib_string,
    STATE(1741), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46721] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3654), 1,
      sym_identifier,
    ACTIONS(3656), 1,
      sym_system_lib_string,
    STATE(1793), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3660), 1,
      anon_sym_LBRACK,
    STATE(1244), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(3658), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [46763] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3500), 1,
      anon_sym_LPAREN2,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    STATE(378), 1,
      sym_compound_statement,
    STATE(964), 1,
      sym__old_style_parameter_list,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3662), 1,
      sym_identifier,
    ACTIONS(3664), 1,
      sym_system_lib_string,
    STATE(1729), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(3642), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46813] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(383), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3628), 1,
      anon_sym_LBRACK,
    STATE(1466), 1,
      sym_gnu_asm_input_operand,
    STATE(1777), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46859] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(1249), 1,
      sym_parameter_list,
    ACTIONS(3666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46883] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(208), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [46909] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym_identifier,
    STATE(1315), 1,
      sym_string_literal,
    STATE(1507), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [46929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3672), 1,
      anon_sym_LBRACK,
    ACTIONS(3670), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [46945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3676), 1,
      anon_sym_LBRACK,
    ACTIONS(3674), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [46961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3680), 1,
      anon_sym_LBRACK,
    ACTIONS(3678), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [46977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3684), 1,
      anon_sym_LBRACK,
    ACTIONS(3682), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [46993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3688), 1,
      anon_sym_LBRACK,
    ACTIONS(3686), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [47009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3618), 1,
      anon_sym_LBRACK,
    STATE(1455), 1,
      sym_gnu_asm_output_operand,
    STATE(1699), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3692), 1,
      anon_sym_LBRACK,
    ACTIONS(3690), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [47045] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(154), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1387), 1,
      sym_string_literal,
    ACTIONS(3694), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47089] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(378), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47115] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    STATE(457), 1,
      sym_compound_statement,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3698), 1,
      anon_sym_LBRACK,
    ACTIONS(3696), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [47157] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3668), 1,
      sym_identifier,
    STATE(1311), 1,
      sym_string_literal,
    STATE(1449), 1,
      sym_concatenated_string,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3702), 1,
      anon_sym_LBRACK,
    ACTIONS(3700), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [47193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3706), 1,
      anon_sym_LBRACK,
    ACTIONS(3704), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(33), 1,
      anon_sym___attribute__,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(3708), 1,
      sym_identifier,
    STATE(895), 1,
      sym_field_declaration_list,
    STATE(1374), 1,
      sym_attribute_specifier,
    STATE(1458), 1,
      sym_ms_declspec_modifier,
  [47233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3712), 1,
      anon_sym_LBRACK,
    ACTIONS(3710), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47248] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3558), 1,
      anon_sym_LBRACK,
    ACTIONS(3714), 1,
      anon_sym_RPAREN,
    STATE(1329), 1,
      sym_parameter_list,
    STATE(1298), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3718), 1,
      anon_sym_LBRACK,
    ACTIONS(3716), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3596), 1,
      anon_sym_LBRACK,
    ACTIONS(3720), 1,
      anon_sym_RPAREN,
    STATE(1354), 1,
      sym_parameter_list,
    STATE(1321), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3724), 1,
      anon_sym_LBRACK,
    ACTIONS(3722), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47324] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3728), 1,
      anon_sym_LBRACK,
    ACTIONS(3726), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47339] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(35), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3504), 1,
      anon_sym_LBRACK,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3730), 1,
      anon_sym_RPAREN,
    STATE(1249), 1,
      sym_parameter_list,
    STATE(1277), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [47362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3734), 1,
      anon_sym_LBRACK,
    ACTIONS(3732), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACK,
    ACTIONS(3736), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3742), 1,
      anon_sym_LBRACK,
    ACTIONS(3740), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3746), 1,
      anon_sym_LBRACK,
    ACTIONS(3744), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [47422] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3748), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1844), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3752), 1,
      anon_sym_LPAREN2,
    STATE(1361), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3754), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [47470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3756), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3758), 1,
      anon_sym_LPAREN2,
    STATE(1358), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3754), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [47504] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3760), 1,
      anon_sym_LPAREN2,
    STATE(1361), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(3762), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [47520] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3765), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1866), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47552] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1993), 1,
      anon_sym_LBRACK,
    ACTIONS(3767), 1,
      anon_sym_EQ,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    STATE(1367), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [47570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3771), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1479), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47602] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_LBRACK,
    ACTIONS(3776), 1,
      anon_sym_EQ,
    ACTIONS(3778), 1,
      anon_sym_DOT,
    STATE(1367), 3,
      sym_subscript_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [47620] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3781), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47638] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3783), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(676), 1,
      sym_string_literal,
    ACTIONS(95), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [47670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(3791), 1,
      sym_identifier,
    STATE(866), 1,
      sym_field_declaration_list,
    STATE(1453), 1,
      sym_ms_declspec_modifier,
  [47722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3793), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3795), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    ACTIONS(3811), 1,
      anon_sym_COLON_COLON,
    STATE(1546), 1,
      sym_argument_list,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [47827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(37), 1,
      anon_sym___declspec,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(3813), 1,
      sym_identifier,
    STATE(859), 1,
      sym_field_declaration_list,
    STATE(1454), 1,
      sym_ms_declspec_modifier,
  [47846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3815), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [47857] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    STATE(1375), 1,
      sym_parameter_list,
    ACTIONS(3666), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [47874] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1413), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3819), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47888] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3620), 1,
      anon_sym_COMMA,
    STATE(1436), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3821), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [47902] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3823), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3827), 1,
      sym_preproc_arg,
    STATE(1593), 1,
      sym_preproc_params,
  [47918] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3829), 1,
      anon_sym_DQUOTE,
    ACTIONS(3831), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3833), 1,
      sym_escape_sequence,
    STATE(1441), 1,
      aux_sym_string_literal_repeat1,
  [47934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3835), 1,
      anon_sym_COMMA,
    STATE(1391), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3838), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [47948] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3840), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3842), 1,
      sym_preproc_arg,
    STATE(1588), 1,
      sym_preproc_params,
  [47964] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3844), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [47978] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3846), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [47992] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    STATE(1428), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3848), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [48006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    STATE(1427), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3850), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [48020] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3852), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3854), 1,
      anon_sym_SEMI,
    STATE(1393), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3858), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_COMMA,
    STATE(1448), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3862), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym_identifier,
    ACTIONS(3866), 1,
      anon_sym_COMMA,
    ACTIONS(3868), 1,
      anon_sym_RBRACE,
    STATE(1498), 1,
      sym_enumerator,
  [48092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3870), 1,
      anon_sym___except,
    ACTIONS(3872), 1,
      anon_sym___finally,
    STATE(189), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48106] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3874), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3876), 1,
      sym_preproc_arg,
    STATE(1597), 1,
      sym_preproc_params,
  [48122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3878), 1,
      anon_sym_SEMI,
    STATE(1397), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3880), 1,
      anon_sym_COMMA,
    ACTIONS(3882), 1,
      anon_sym_RPAREN,
    STATE(1482), 1,
      aux_sym_parameter_list_repeat1,
    STATE(1506), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [48152] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3884), 1,
      anon_sym_SEMI,
    STATE(1414), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym___except,
    ACTIONS(3888), 1,
      anon_sym___finally,
    STATE(319), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48180] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3890), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3892), 1,
      sym_preproc_arg,
    STATE(1555), 1,
      sym_preproc_params,
  [48196] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3894), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3896), 1,
      sym_preproc_arg,
    STATE(1598), 1,
      sym_preproc_params,
  [48212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym___except,
    ACTIONS(3900), 1,
      anon_sym___finally,
    STATE(319), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48226] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3902), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3904), 1,
      sym_preproc_arg,
    STATE(1623), 1,
      sym_preproc_params,
  [48242] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3906), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3908), 1,
      sym_preproc_arg,
    STATE(1537), 1,
      sym_preproc_params,
  [48258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1391), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(3910), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3912), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3914), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48300] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    STATE(1630), 1,
      sym_argument_list,
    ACTIONS(3916), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [48314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3918), 1,
      anon_sym_SEMI,
    STATE(1394), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3920), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [48338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3922), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48352] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3924), 1,
      anon_sym_SEMI,
    STATE(1435), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48366] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3926), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3928), 1,
      sym_preproc_arg,
    STATE(1624), 1,
      sym_preproc_params,
  [48382] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3930), 1,
      anon_sym_COMMA,
    STATE(1422), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3933), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3935), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48410] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3831), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3833), 1,
      sym_escape_sequence,
    ACTIONS(3937), 1,
      anon_sym_DQUOTE,
    STATE(1441), 1,
      aux_sym_string_literal_repeat1,
  [48426] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3939), 1,
      anon_sym_DQUOTE,
    ACTIONS(3941), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3943), 1,
      sym_escape_sequence,
    STATE(1424), 1,
      aux_sym_string_literal_repeat1,
  [48442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3945), 1,
      anon_sym_SEMI,
    STATE(1415), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48456] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3947), 1,
      anon_sym_COMMA,
    STATE(1427), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3950), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [48470] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3554), 1,
      anon_sym_COMMA,
    STATE(1427), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(3952), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [48484] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3825), 1,
      anon_sym_LPAREN,
    ACTIONS(3954), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3956), 1,
      sym_preproc_arg,
    STATE(1608), 1,
      sym_preproc_params,
  [48500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3958), 1,
      anon_sym_COMMA,
    STATE(1430), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(3961), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3963), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3965), 1,
      anon_sym_SEMI,
    STATE(1446), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3967), 1,
      anon_sym___except,
    ACTIONS(3969), 1,
      anon_sym___finally,
    STATE(352), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48556] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3971), 1,
      anon_sym_SEMI,
    STATE(1419), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3973), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48584] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3975), 1,
      anon_sym_COMMA,
    STATE(1436), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(3978), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [48598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3980), 1,
      anon_sym_SEMI,
    STATE(1431), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48612] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3510), 1,
      anon_sym_LPAREN2,
    ACTIONS(3750), 1,
      anon_sym_LBRACK,
    ACTIONS(3982), 1,
      anon_sym_RPAREN,
    STATE(1375), 1,
      sym_parameter_list,
  [48628] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(3984), 1,
      anon_sym_SEMI,
    STATE(1423), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48642] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3856), 1,
      anon_sym_COMMA,
    STATE(1399), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(3986), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48656] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3988), 1,
      anon_sym_DQUOTE,
    ACTIONS(3990), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3993), 1,
      sym_escape_sequence,
    STATE(1441), 1,
      aux_sym_string_literal_repeat1,
  [48672] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3996), 1,
      anon_sym_DQUOTE,
    ACTIONS(3998), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4000), 1,
      sym_escape_sequence,
    STATE(1390), 1,
      aux_sym_string_literal_repeat1,
  [48688] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3831), 1,
      aux_sym_string_literal_token1,
    ACTIONS(3833), 1,
      sym_escape_sequence,
    ACTIONS(4002), 1,
      anon_sym_DQUOTE,
    STATE(1441), 1,
      aux_sym_string_literal_repeat1,
  [48704] = 5,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4004), 1,
      anon_sym_DQUOTE,
    ACTIONS(4006), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4008), 1,
      sym_escape_sequence,
    STATE(1443), 1,
      aux_sym_string_literal_repeat1,
  [48720] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4010), 1,
      anon_sym___except,
    ACTIONS(4012), 1,
      anon_sym___finally,
    STATE(253), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48734] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(4014), 1,
      anon_sym_SEMI,
    STATE(1266), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [48748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 1,
      anon_sym___except,
    ACTIONS(4018), 1,
      anon_sym___finally,
    STATE(113), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [48762] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3860), 1,
      anon_sym_COMMA,
    STATE(1430), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4020), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3632), 1,
      anon_sym_RPAREN,
    ACTIONS(3634), 1,
      anon_sym_COLON,
    STATE(1514), 1,
      sym_gnu_asm_output_operand_list,
  [48789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(4022), 1,
      anon_sym_SEMI,
    STATE(1688), 1,
      sym_attribute_specifier,
  [48802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4024), 1,
      anon_sym_RPAREN,
    ACTIONS(4026), 1,
      anon_sym_COLON,
    STATE(1851), 1,
      sym_gnu_asm_goto_list,
  [48815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(4028), 1,
      sym_identifier,
    STATE(1096), 1,
      sym_enumerator_list,
  [48828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(4030), 1,
      sym_identifier,
    STATE(867), 1,
      sym_field_declaration_list,
  [48841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(4032), 1,
      sym_identifier,
    STATE(889), 1,
      sym_field_declaration_list,
  [48854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4034), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3051), 1,
      anon_sym_RPAREN,
    STATE(1481), 1,
      aux_sym_argument_list_repeat1,
  [48876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
    STATE(1510), 1,
      aux_sym_initializer_list_repeat1,
  [48889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2631), 1,
      anon_sym_LBRACE,
    ACTIONS(4036), 1,
      sym_identifier,
    STATE(866), 1,
      sym_field_declaration_list,
  [48902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3076), 1,
      anon_sym_COMMA,
    ACTIONS(4038), 1,
      anon_sym_RPAREN,
    STATE(1477), 1,
      aux_sym_generic_expression_repeat1,
  [48915] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4042), 1,
      anon_sym_LPAREN2,
    STATE(1716), 1,
      sym_preproc_argument_list,
  [48928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym_identifier,
    ACTIONS(4044), 1,
      anon_sym_RBRACE,
    STATE(1563), 1,
      sym_enumerator,
  [48941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4046), 1,
      anon_sym_COMMA,
    ACTIONS(4049), 1,
      anon_sym_RPAREN,
    STATE(1462), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [48954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4051), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(4053), 1,
      anon_sym_SEMI,
    STATE(1502), 1,
      aux_sym__declaration_declarator_repeat1,
  [48976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4057), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1485), 1,
      aux_sym_attribute_declaration_repeat1,
  [48989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4059), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [48998] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(4061), 1,
      anon_sym_SEMI,
    STATE(1501), 1,
      aux_sym__declaration_declarator_repeat1,
  [49011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4063), 1,
      anon_sym_COMMA,
    ACTIONS(4066), 1,
      anon_sym_RBRACE,
    STATE(1468), 1,
      aux_sym_enumerator_list_repeat1,
  [49024] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(4061), 1,
      anon_sym_SEMI,
    STATE(1501), 1,
      aux_sym__declaration_declarator_repeat1,
  [49037] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3053), 1,
      anon_sym_RPAREN,
    STATE(1499), 1,
      aux_sym_argument_list_repeat1,
  [49050] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    ACTIONS(4070), 1,
      anon_sym_RPAREN,
    STATE(1484), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [49063] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_LPAREN2,
    ACTIONS(4072), 1,
      aux_sym_preproc_include_token2,
    STATE(1716), 1,
      sym_preproc_argument_list,
  [49076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4076), 1,
      anon_sym_RPAREN,
    STATE(1490), 1,
      aux_sym_preproc_params_repeat1,
  [49089] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(4078), 1,
      anon_sym_SEMI,
    STATE(1832), 1,
      sym_attribute_specifier,
  [49102] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4080), 1,
      anon_sym_RPAREN,
    ACTIONS(4082), 1,
      anon_sym_COLON,
    STATE(1451), 1,
      sym_gnu_asm_clobber_list,
  [49115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4026), 1,
      anon_sym_COLON,
    ACTIONS(4084), 1,
      anon_sym_RPAREN,
    STATE(1638), 1,
      sym_gnu_asm_goto_list,
  [49128] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_COMMA,
    ACTIONS(4089), 1,
      anon_sym_RPAREN,
    STATE(1477), 1,
      aux_sym_generic_expression_repeat1,
  [49141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4091), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4093), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(4095), 1,
      sym_identifier,
    STATE(982), 1,
      sym_enumerator_list,
  [49172] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    STATE(1523), 1,
      aux_sym_argument_list_repeat1,
  [49185] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    ACTIONS(4099), 1,
      anon_sym_RPAREN,
    STATE(1526), 1,
      aux_sym_parameter_list_repeat1,
  [49198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(4101), 1,
      anon_sym_RPAREN,
    STATE(1529), 1,
      aux_sym_preproc_argument_list_repeat1,
  [49211] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4068), 1,
      anon_sym_COMMA,
    ACTIONS(4103), 1,
      anon_sym_RPAREN,
    STATE(1525), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [49224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4105), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1512), 1,
      aux_sym_attribute_declaration_repeat1,
  [49237] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4097), 1,
      anon_sym_COMMA,
    ACTIONS(4107), 1,
      anon_sym_RPAREN,
    STATE(1482), 1,
      aux_sym_parameter_list_repeat1,
  [49250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4109), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1505), 1,
      aux_sym_attribute_declaration_repeat1,
  [49263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(4111), 1,
      anon_sym_SEMI,
    STATE(1678), 1,
      sym_attribute_specifier,
  [49276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4113), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [49285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4074), 1,
      anon_sym_COMMA,
    ACTIONS(4115), 1,
      anon_sym_RPAREN,
    STATE(1528), 1,
      aux_sym_preproc_params_repeat1,
  [49298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 1,
      anon_sym_RBRACE,
    ACTIONS(4117), 1,
      anon_sym_COMMA,
    STATE(1491), 1,
      aux_sym_initializer_list_repeat1,
  [49311] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(4120), 1,
      anon_sym_RPAREN,
    STATE(1523), 1,
      aux_sym_argument_list_repeat1,
  [49324] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(3502), 1,
      anon_sym_SEMI,
    STATE(1469), 1,
      aux_sym__declaration_declarator_repeat1,
  [49337] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(4122), 1,
      anon_sym_RPAREN,
    STATE(1529), 1,
      aux_sym_preproc_argument_list_repeat1,
  [49350] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2941), 1,
      anon_sym_LBRACE,
    ACTIONS(4124), 1,
      sym_identifier,
    STATE(1096), 1,
      sym_enumerator_list,
  [49363] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4126), 1,
      anon_sym_RPAREN,
    ACTIONS(4128), 1,
      anon_sym_COLON,
    STATE(1475), 1,
      sym_gnu_asm_input_operand_list,
  [49376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4130), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [49385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4132), 1,
      anon_sym_COMMA,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
    STATE(1522), 1,
      aux_sym_enumerator_list_repeat1,
  [49398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(3045), 1,
      anon_sym_RPAREN,
    STATE(1523), 1,
      aux_sym_argument_list_repeat1,
  [49411] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_LPAREN2,
    ACTIONS(4136), 1,
      aux_sym_preproc_include_token2,
    STATE(1716), 1,
      sym_preproc_argument_list,
  [49424] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4138), 1,
      anon_sym_COMMA,
    ACTIONS(4141), 1,
      anon_sym_SEMI,
    STATE(1501), 1,
      aux_sym__declaration_declarator_repeat1,
  [49437] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3498), 1,
      anon_sym_COMMA,
    ACTIONS(4143), 1,
      anon_sym_SEMI,
    STATE(1501), 1,
      aux_sym__declaration_declarator_repeat1,
  [49450] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(4145), 1,
      sym_identifier,
    STATE(1617), 1,
      sym_variadic_parameter,
  [49463] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3493), 1,
      anon_sym___attribute__,
    ACTIONS(4147), 1,
      anon_sym_SEMI,
    STATE(1743), 1,
      sym_attribute_specifier,
  [49476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4149), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1512), 1,
      aux_sym_attribute_declaration_repeat1,
  [49489] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4151), 1,
      anon_sym_COMMA,
    ACTIONS(4153), 1,
      anon_sym_RPAREN,
    STATE(1462), 1,
      aux_sym__old_style_parameter_list_repeat1,
  [49502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3634), 1,
      anon_sym_COLON,
    ACTIONS(3638), 1,
      anon_sym_RPAREN,
    STATE(1496), 1,
      sym_gnu_asm_output_operand_list,
  [49515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4155), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1521), 1,
      aux_sym_attribute_declaration_repeat1,
  [49528] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3257), 1,
      anon_sym_COMMA,
    ACTIONS(4157), 1,
      anon_sym_RPAREN,
    STATE(1529), 1,
      aux_sym_preproc_argument_list_repeat1,
  [49541] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2017), 1,
      anon_sym_RBRACE,
    ACTIONS(4159), 1,
      anon_sym_COMMA,
    STATE(1491), 1,
      aux_sym_initializer_list_repeat1,
  [49554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4161), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49563] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym_COMMA,
    ACTIONS(4166), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1512), 1,
      aux_sym_attribute_declaration_repeat1,
  [49576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4170), 1,
      anon_sym_EQ,
    ACTIONS(4168), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [49587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4128), 1,
      anon_sym_COLON,
    ACTIONS(4172), 1,
      anon_sym_RPAREN,
    STATE(1517), 1,
      sym_gnu_asm_input_operand_list,
  [49600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4174), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [49609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4176), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [49618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4082), 1,
      anon_sym_COLON,
    ACTIONS(4178), 1,
      anon_sym_RPAREN,
    STATE(1476), 1,
      sym_gnu_asm_clobber_list,
  [49631] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_LPAREN2,
    ACTIONS(4180), 1,
      aux_sym_preproc_include_token2,
    STATE(1716), 1,
      sym_preproc_argument_list,
  [49644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym_identifier,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    STATE(1563), 1,
      sym_enumerator,
  [49657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3043), 1,
      anon_sym_COMMA,
    ACTIONS(4184), 1,
      anon_sym_RPAREN,
    STATE(1523), 1,
      aux_sym_argument_list_repeat1,
  [49670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4055), 1,
      anon_sym_COMMA,
    ACTIONS(4186), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(1512), 1,
      aux_sym_attribute_declaration_repeat1,
  [49683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      anon_sym_RBRACE,
    ACTIONS(4188), 1,
      anon_sym_COMMA,
    STATE(1468), 1,
      aux_sym_enumerator_list_repeat1,
  [49696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 1,
      anon_sym_RPAREN,
    ACTIONS(4190), 1,
      anon_sym_COMMA,
    STATE(1523), 1,
      aux_sym_argument_list_repeat1,
  [49709] = 4,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4042), 1,
      anon_sym_LPAREN2,
    ACTIONS(4193), 1,
      aux_sym_preproc_include_token2,
    STATE(1716), 1,
      sym_preproc_argument_list,
  [49722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4195), 1,
      anon_sym_COMMA,
    ACTIONS(4198), 1,
      anon_sym_RPAREN,
    STATE(1525), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [49735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4200), 1,
      anon_sym_COMMA,
    ACTIONS(4203), 1,
      anon_sym_RPAREN,
    STATE(1526), 1,
      aux_sym_parameter_list_repeat1,
  [49748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4207), 1,
      anon_sym_RPAREN,
    ACTIONS(4205), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [49759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4209), 1,
      anon_sym_COMMA,
    ACTIONS(4212), 1,
      anon_sym_RPAREN,
    STATE(1528), 1,
      aux_sym_preproc_params_repeat1,
  [49772] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3395), 1,
      anon_sym_RPAREN,
    ACTIONS(4214), 1,
      anon_sym_COMMA,
    STATE(1529), 1,
      aux_sym_preproc_argument_list_repeat1,
  [49785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_compound_statement,
  [49795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    STATE(1791), 1,
      sym_argument_list,
  [49805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4217), 1,
      sym_identifier,
    ACTIONS(4219), 1,
      anon_sym_LPAREN2,
  [49815] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1643), 1,
      sym_parenthesized_expression,
  [49825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4203), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1583), 1,
      sym_parenthesized_expression,
  [49843] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4223), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4225), 1,
      sym_preproc_arg,
  [49853] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4227), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4229), 1,
      sym_preproc_arg,
  [49863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1847), 1,
      sym_parenthesized_expression,
  [49873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1616), 1,
      sym_parenthesized_expression,
  [49883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(177), 1,
      sym_compound_statement,
  [49909] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4231), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4233), 1,
      sym_preproc_arg,
  [49919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      sym_identifier,
    STATE(1549), 1,
      sym_attribute,
  [49929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2429), 1,
      anon_sym_LPAREN2,
    STATE(1813), 1,
      sym_argument_list,
  [49939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4237), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [49947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1622), 1,
      sym_parenthesized_expression,
  [49957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_compound_statement,
  [49967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4166), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [49975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1410), 1,
      sym_compound_statement,
  [49985] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3562), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [49993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4239), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50009] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1433), 1,
      sym_compound_statement,
  [50019] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4241), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4243), 1,
      sym_preproc_arg,
  [50029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4245), 1,
      sym_identifier,
    ACTIONS(4247), 1,
      anon_sym_RPAREN,
  [50039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4249), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [50047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3864), 1,
      sym_identifier,
    STATE(1563), 1,
      sym_enumerator,
  [50057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1603), 1,
      sym_parenthesized_expression,
  [50067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4253), 1,
      anon_sym_LPAREN2,
  [50077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(258), 1,
      sym_compound_statement,
  [50087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3049), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [50095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4066), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1614), 1,
      sym_parenthesized_expression,
  [50113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4255), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [50121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(431), 1,
      sym_parenthesized_expression,
  [50131] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(415), 1,
      sym_parenthesized_expression,
  [50141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1445), 1,
      sym_compound_statement,
  [50151] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4259), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4261), 1,
      sym_preproc_arg,
  [50161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      sym_identifier,
    STATE(1465), 1,
      sym_attribute,
  [50171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1625), 1,
      sym_parenthesized_expression,
  [50181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(412), 1,
      sym_parenthesized_expression,
  [50191] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4263), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3108), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(108), 1,
      sym_compound_statement,
  [50217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(420), 1,
      sym_parenthesized_expression,
  [50227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1594), 1,
      sym_parenthesized_expression,
  [50237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(441), 1,
      sym_parenthesized_expression,
  [50247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(421), 1,
      sym_parenthesized_expression,
  [50257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      sym_identifier,
    STATE(1487), 1,
      sym_attribute,
  [50267] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4265), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4267), 1,
      sym_preproc_arg,
  [50277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(416), 1,
      sym_parenthesized_expression,
  [50287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_compound_statement,
  [50297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1610), 1,
      sym_parenthesized_expression,
  [50307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1407), 1,
      sym_compound_statement,
  [50317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_compound_statement,
  [50327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4269), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50335] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4271), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4273), 1,
      sym_preproc_arg,
  [50345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(422), 1,
      sym_parenthesized_expression,
  [50355] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4275), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50363] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4277), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4279), 1,
      sym_preproc_arg,
  [50373] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4281), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [50381] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4283), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4285), 1,
      sym_preproc_arg,
  [50391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(244), 1,
      sym_compound_statement,
  [50401] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4287), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4289), 1,
      sym_preproc_arg,
  [50411] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4291), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4293), 1,
      sym_preproc_arg,
  [50421] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4295), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4297), 1,
      sym_preproc_arg,
  [50431] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4299), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4301), 1,
      sym_preproc_arg,
  [50441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1447), 1,
      sym_compound_statement,
  [50451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1746), 1,
      sym_parenthesized_expression,
  [50461] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4303), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4305), 1,
      sym_preproc_arg,
  [50471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1548), 1,
      sym_parenthesized_expression,
  [50481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(305), 1,
      sym_compound_statement,
  [50491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(338), 1,
      sym_compound_statement,
  [50501] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4307), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4309), 1,
      sym_preproc_arg,
  [50511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(439), 1,
      sym_parenthesized_expression,
  [50521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1720), 1,
      sym_parenthesized_expression,
  [50531] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4311), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4313), 1,
      sym_preproc_arg,
  [50541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(303), 1,
      sym_compound_statement,
  [50551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(129), 1,
      anon_sym_LBRACE,
    STATE(121), 1,
      sym_compound_statement,
  [50561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4235), 1,
      sym_identifier,
    STATE(1508), 1,
      sym_attribute,
  [50571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1542), 1,
      sym_parenthesized_expression,
  [50581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(435), 1,
      sym_parenthesized_expression,
  [50591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(346), 1,
      sym_compound_statement,
  [50601] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4315), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4317), 1,
      sym_preproc_arg,
  [50611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(170), 1,
      sym_compound_statement,
  [50621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4049), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4319), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [50637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(1402), 1,
      sym_compound_statement,
  [50647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      anon_sym_LBRACE,
    STATE(200), 1,
      sym_compound_statement,
  [50657] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4322), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4324), 1,
      sym_preproc_arg,
  [50667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_compound_statement,
  [50677] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4326), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4328), 1,
      sym_preproc_arg,
  [50687] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4330), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4332), 1,
      sym_preproc_arg,
  [50697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_compound_statement,
  [50707] = 3,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4334), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4336), 1,
      sym_preproc_arg,
  [50717] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1686), 1,
      sym_parenthesized_expression,
  [50727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3104), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(411), 1,
      sym_parenthesized_expression,
  [50745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4338), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [50753] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4221), 1,
      anon_sym_LPAREN2,
    STATE(1586), 1,
      sym_parenthesized_expression,
  [50763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4257), 1,
      anon_sym_LPAREN2,
    STATE(429), 1,
      sym_parenthesized_expression,
  [50773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4340), 1,
      anon_sym_RPAREN,
  [50780] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4342), 1,
      aux_sym_preproc_include_token2,
  [50787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4344), 1,
      aux_sym_preproc_if_token2,
  [50794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4346), 1,
      aux_sym_preproc_if_token2,
  [50801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4348), 1,
      aux_sym_preproc_if_token2,
  [50808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4350), 1,
      anon_sym_RPAREN,
  [50815] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4352), 1,
      aux_sym_preproc_include_token2,
  [50822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4354), 1,
      aux_sym_preproc_if_token2,
  [50829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4356), 1,
      ts_builtin_sym_end,
  [50836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      sym_identifier,
  [50843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4360), 1,
      anon_sym_SEMI,
  [50850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4362), 1,
      anon_sym_SEMI,
  [50857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4364), 1,
      aux_sym_preproc_if_token2,
  [50864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4366), 1,
      anon_sym_SEMI,
  [50871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 1,
      anon_sym_SEMI,
  [50878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4368), 1,
      aux_sym_preproc_if_token2,
  [50885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3136), 1,
      anon_sym_SEMI,
  [50892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 1,
      anon_sym_COLON,
  [50899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 1,
      anon_sym_RBRACE,
  [50906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4372), 1,
      anon_sym_SEMI,
  [50913] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4374), 1,
      aux_sym_preproc_include_token2,
  [50920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3128), 1,
      anon_sym_SEMI,
  [50927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4376), 1,
      anon_sym_SEMI,
  [50934] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4378), 1,
      aux_sym_preproc_include_token2,
  [50941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4380), 1,
      anon_sym_SEMI,
  [50948] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4382), 1,
      aux_sym_preproc_include_token2,
  [50955] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4384), 1,
      aux_sym_preproc_include_token2,
  [50962] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4072), 1,
      aux_sym_preproc_include_token2,
  [50969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4386), 1,
      anon_sym_while,
  [50976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4388), 1,
      anon_sym_SEMI,
  [50983] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4390), 1,
      aux_sym_preproc_include_token2,
  [50990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4392), 1,
      anon_sym_SEMI,
  [50997] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4394), 1,
      aux_sym_preproc_include_token2,
  [51004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4396), 1,
      anon_sym_SEMI,
  [51011] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4398), 1,
      aux_sym_preproc_include_token2,
  [51018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_COLON,
  [51025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4402), 1,
      anon_sym_SQUOTE,
  [51032] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4404), 1,
      aux_sym_preproc_include_token2,
  [51039] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4406), 1,
      aux_sym_preproc_include_token2,
  [51046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      aux_sym_preproc_if_token2,
  [51053] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4410), 1,
      aux_sym_preproc_include_token2,
  [51060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      aux_sym_preproc_if_token2,
  [51067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      aux_sym_preproc_if_token2,
  [51074] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4416), 1,
      aux_sym_preproc_include_token2,
  [51081] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4418), 1,
      aux_sym_preproc_include_token2,
  [51088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4420), 1,
      anon_sym_SEMI,
  [51095] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4422), 1,
      aux_sym_preproc_include_token2,
  [51102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      aux_sym_preproc_if_token2,
  [51109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4426), 1,
      sym_identifier,
  [51116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4428), 1,
      sym_identifier,
  [51123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      aux_sym_preproc_if_token2,
  [51130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4432), 1,
      aux_sym_preproc_if_token2,
  [51137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      aux_sym_preproc_if_token2,
  [51144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4436), 1,
      anon_sym_SEMI,
  [51151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4438), 1,
      aux_sym_preproc_if_token2,
  [51158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_SEMI,
  [51165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4442), 1,
      anon_sym_SEMI,
  [51172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4444), 1,
      sym_identifier,
  [51179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_SEMI,
  [51186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3100), 1,
      anon_sym_RPAREN,
  [51193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3096), 1,
      anon_sym_RPAREN,
  [51200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 1,
      anon_sym_SEMI,
  [51207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4448), 1,
      anon_sym_RPAREN,
  [51214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      anon_sym_COLON,
  [51221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4452), 1,
      sym_identifier,
  [51228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4454), 1,
      anon_sym_STAR,
  [51235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4456), 1,
      anon_sym_LPAREN2,
  [51242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4458), 1,
      aux_sym_preproc_if_token2,
  [51249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      aux_sym_preproc_if_token2,
  [51256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 1,
      anon_sym_SEMI,
  [51263] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4462), 1,
      aux_sym_preproc_include_token2,
  [51270] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3383), 1,
      aux_sym_preproc_include_token2,
  [51277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      aux_sym_preproc_if_token2,
  [51284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4466), 1,
      anon_sym_SEMI,
  [51291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4468), 1,
      sym_identifier,
  [51298] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4470), 1,
      aux_sym_preproc_include_token2,
  [51305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      sym_identifier,
  [51312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4474), 1,
      anon_sym_SEMI,
  [51319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      anon_sym_SEMI,
  [51326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3084), 1,
      anon_sym_SEMI,
  [51333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4478), 1,
      sym_identifier,
  [51340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3114), 1,
      anon_sym_SEMI,
  [51347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3120), 1,
      anon_sym_SEMI,
  [51354] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3397), 1,
      aux_sym_preproc_include_token2,
  [51361] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3343), 1,
      aux_sym_preproc_include_token2,
  [51368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4480), 1,
      sym_identifier,
  [51375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3118), 1,
      anon_sym_SEMI,
  [51382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_SEMI,
  [51389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4484), 1,
      anon_sym_SEMI,
  [51396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      sym_identifier,
  [51403] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4488), 1,
      aux_sym_preproc_include_token2,
  [51410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_RPAREN,
  [51417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4492), 1,
      anon_sym_RPAREN,
  [51424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_RPAREN,
  [51431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3112), 1,
      anon_sym_RPAREN,
  [51438] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4496), 1,
      aux_sym_preproc_include_token2,
  [51445] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4193), 1,
      aux_sym_preproc_include_token2,
  [51452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4498), 1,
      anon_sym_STAR,
  [51459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4500), 1,
      aux_sym_preproc_if_token2,
  [51466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      aux_sym_preproc_if_token2,
  [51473] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4504), 1,
      aux_sym_preproc_include_token2,
  [51480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4506), 1,
      anon_sym_SEMI,
  [51487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4508), 1,
      anon_sym_SEMI,
  [51494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      sym_identifier,
  [51501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4512), 1,
      anon_sym_COLON,
  [51508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4514), 1,
      anon_sym_SEMI,
  [51515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      aux_sym_preproc_if_token2,
  [51522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      aux_sym_preproc_if_token2,
  [51529] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4180), 1,
      aux_sym_preproc_include_token2,
  [51536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4520), 1,
      aux_sym_preproc_if_token2,
  [51543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4522), 1,
      anon_sym_SEMI,
  [51550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4524), 1,
      aux_sym_preproc_if_token2,
  [51557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4526), 1,
      aux_sym_preproc_if_token2,
  [51564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_SEMI,
  [51571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4530), 1,
      anon_sym_SEMI,
  [51578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4532), 1,
      aux_sym_preproc_if_token2,
  [51585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4534), 1,
      aux_sym_preproc_if_token2,
  [51592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
  [51599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4536), 1,
      sym_identifier,
  [51606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4538), 1,
      sym_identifier,
  [51613] = 2,
    ACTIONS(2310), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3299), 1,
      sym_comment,
  [51620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3124), 1,
      anon_sym_RPAREN,
  [51627] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4540), 1,
      aux_sym_preproc_include_token2,
  [51634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4542), 1,
      sym_primitive_type,
  [51641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4544), 1,
      anon_sym_RPAREN,
  [51648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      aux_sym_preproc_if_token2,
  [51655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4548), 1,
      sym_identifier,
  [51662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4550), 1,
      sym_identifier,
  [51669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4552), 1,
      aux_sym_preproc_if_token2,
  [51676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      aux_sym_preproc_if_token2,
  [51683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 1,
      anon_sym_RPAREN,
  [51690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3116), 1,
      anon_sym_RPAREN,
  [51697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4556), 1,
      anon_sym_RBRACK,
  [51704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_preproc_if_token2,
  [51711] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4560), 1,
      aux_sym_preproc_include_token2,
  [51718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4562), 1,
      anon_sym_LPAREN2,
  [51725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      aux_sym_preproc_if_token2,
  [51732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4566), 1,
      sym_identifier,
  [51739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4568), 1,
      sym_identifier,
  [51746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4570), 1,
      anon_sym_RPAREN,
  [51753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4572), 1,
      anon_sym_RPAREN,
  [51760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4574), 1,
      sym_identifier,
  [51767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4576), 1,
      anon_sym_SEMI,
  [51774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4578), 1,
      anon_sym_SQUOTE,
  [51781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4580), 1,
      anon_sym_LPAREN2,
  [51788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4582), 1,
      anon_sym_SEMI,
  [51795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4584), 1,
      sym_identifier,
  [51802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4586), 1,
      sym_identifier,
  [51809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3140), 1,
      anon_sym_SEMI,
  [51816] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4588), 1,
      aux_sym_preproc_include_token2,
  [51823] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(3401), 1,
      aux_sym_preproc_include_token2,
  [51830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4590), 1,
      anon_sym_LPAREN2,
  [51837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3082), 1,
      anon_sym_SEMI,
  [51844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4592), 1,
      sym_identifier,
  [51851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4594), 1,
      anon_sym_LPAREN2,
  [51858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4596), 1,
      anon_sym_SEMI,
  [51865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4598), 1,
      anon_sym_RPAREN,
  [51872] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4600), 1,
      aux_sym_preproc_include_token2,
  [51879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4602), 1,
      anon_sym_STAR,
  [51886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4604), 1,
      aux_sym_preproc_if_token2,
  [51893] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4040), 1,
      aux_sym_preproc_include_token2,
  [51900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4606), 1,
      sym_identifier,
  [51907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4608), 1,
      anon_sym_RPAREN,
  [51914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4610), 1,
      anon_sym_RPAREN,
  [51921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4612), 1,
      anon_sym_SEMI,
  [51928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4614), 1,
      anon_sym_SEMI,
  [51935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4616), 1,
      anon_sym_COLON,
  [51942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4618), 1,
      anon_sym_STAR,
  [51949] = 2,
    ACTIONS(2349), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3299), 1,
      sym_comment,
  [51956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4620), 1,
      sym_identifier,
  [51963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4622), 1,
      sym_identifier,
  [51970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4624), 1,
      aux_sym_preproc_if_token2,
  [51977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4626), 1,
      anon_sym_COLON,
  [51984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4628), 1,
      sym_identifier,
  [51991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4630), 1,
      sym_identifier,
  [51998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4632), 1,
      anon_sym_SEMI,
  [52005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4634), 1,
      anon_sym_SEMI,
  [52012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4636), 1,
      anon_sym_COMMA,
  [52019] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4638), 1,
      aux_sym_preproc_include_token2,
  [52026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3088), 1,
      anon_sym_RPAREN,
  [52033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4640), 1,
      anon_sym_RPAREN,
  [52040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4642), 1,
      sym_identifier,
  [52047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4644), 1,
      anon_sym_RPAREN,
  [52054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4134), 1,
      anon_sym_RBRACE,
  [52061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4646), 1,
      anon_sym_RPAREN,
  [52068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4648), 1,
      sym_identifier,
  [52075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_SEMI,
  [52082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 1,
      aux_sym_preproc_if_token2,
  [52089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4654), 1,
      sym_identifier,
  [52096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      sym_identifier,
  [52103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4658), 1,
      sym_identifier,
  [52110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      aux_sym_preproc_if_token2,
  [52117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_SEMI,
  [52124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4664), 1,
      anon_sym_LPAREN2,
  [52131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4666), 1,
      anon_sym_RPAREN,
  [52138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4668), 1,
      anon_sym_LPAREN2,
  [52145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 1,
      aux_sym_preproc_if_token2,
  [52152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_COLON,
  [52159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4674), 1,
      anon_sym_RPAREN,
  [52166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4676), 1,
      anon_sym_SEMI,
  [52173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      anon_sym_RPAREN,
  [52180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4680), 1,
      sym_primitive_type,
  [52187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      aux_sym_preproc_if_token2,
  [52194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4684), 1,
      anon_sym_SEMI,
  [52201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4686), 1,
      anon_sym_while,
  [52208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4688), 1,
      aux_sym_preproc_if_token2,
  [52215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      sym_identifier,
  [52222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 1,
      anon_sym_SEMI,
  [52229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RPAREN,
  [52236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3106), 1,
      anon_sym_SEMI,
  [52243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4694), 1,
      anon_sym_RPAREN,
  [52250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4696), 1,
      anon_sym_LPAREN2,
  [52257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      sym_identifier,
  [52264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4700), 1,
      anon_sym_LPAREN2,
  [52271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_SEMI,
  [52278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_COLON,
  [52285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4706), 1,
      anon_sym_while,
  [52292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4708), 1,
      aux_sym_preproc_if_token2,
  [52299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4710), 1,
      anon_sym_RPAREN,
  [52306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4712), 1,
      anon_sym_RBRACK,
  [52313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4714), 1,
      anon_sym_RPAREN,
  [52320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4716), 1,
      sym_identifier,
  [52327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4718), 1,
      anon_sym_LPAREN2,
  [52334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4720), 1,
      anon_sym_SEMI,
  [52341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4722), 1,
      anon_sym_while,
  [52348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 1,
      anon_sym_SEMI,
  [52355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4724), 1,
      anon_sym_LPAREN2,
  [52362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4726), 1,
      anon_sym_SEMI,
  [52369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4728), 1,
      anon_sym_SQUOTE,
  [52376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4730), 1,
      aux_sym_preproc_if_token2,
  [52383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4732), 1,
      aux_sym_preproc_if_token2,
  [52390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4734), 1,
      anon_sym_RPAREN,
  [52397] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4736), 1,
      anon_sym_while,
  [52404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4738), 1,
      anon_sym_LPAREN2,
  [52411] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4740), 1,
      aux_sym_preproc_include_token2,
  [52418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4742), 1,
      anon_sym_SEMI,
  [52425] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4744), 1,
      aux_sym_preproc_include_token2,
  [52432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4746), 1,
      anon_sym_LPAREN2,
  [52439] = 2,
    ACTIONS(3299), 1,
      sym_comment,
    ACTIONS(4136), 1,
      aux_sym_preproc_include_token2,
  [52446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4748), 1,
      sym_identifier,
  [52453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4750), 1,
      anon_sym_LPAREN2,
  [52460] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4752), 1,
      aux_sym_preproc_if_token2,
  [52467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4754), 1,
      anon_sym_RPAREN,
  [52474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4756), 1,
      anon_sym_LPAREN2,
  [52481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4758), 1,
      anon_sym_RPAREN,
  [52488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4760), 1,
      sym_identifier,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(540)] = 0,
  [SMALL_STATE(541)] = 114,
  [SMALL_STATE(542)] = 224,
  [SMALL_STATE(543)] = 338,
  [SMALL_STATE(544)] = 449,
  [SMALL_STATE(545)] = 557,
  [SMALL_STATE(546)] = 665,
  [SMALL_STATE(547)] = 773,
  [SMALL_STATE(548)] = 881,
  [SMALL_STATE(549)] = 989,
  [SMALL_STATE(550)] = 1097,
  [SMALL_STATE(551)] = 1205,
  [SMALL_STATE(552)] = 1311,
  [SMALL_STATE(553)] = 1419,
  [SMALL_STATE(554)] = 1527,
  [SMALL_STATE(555)] = 1635,
  [SMALL_STATE(556)] = 1743,
  [SMALL_STATE(557)] = 1851,
  [SMALL_STATE(558)] = 1959,
  [SMALL_STATE(559)] = 2067,
  [SMALL_STATE(560)] = 2175,
  [SMALL_STATE(561)] = 2283,
  [SMALL_STATE(562)] = 2391,
  [SMALL_STATE(563)] = 2499,
  [SMALL_STATE(564)] = 2607,
  [SMALL_STATE(565)] = 2715,
  [SMALL_STATE(566)] = 2821,
  [SMALL_STATE(567)] = 2929,
  [SMALL_STATE(568)] = 3037,
  [SMALL_STATE(569)] = 3145,
  [SMALL_STATE(570)] = 3253,
  [SMALL_STATE(571)] = 3356,
  [SMALL_STATE(572)] = 3459,
  [SMALL_STATE(573)] = 3564,
  [SMALL_STATE(574)] = 3669,
  [SMALL_STATE(575)] = 3782,
  [SMALL_STATE(576)] = 3885,
  [SMALL_STATE(577)] = 3988,
  [SMALL_STATE(578)] = 4091,
  [SMALL_STATE(579)] = 4196,
  [SMALL_STATE(580)] = 4301,
  [SMALL_STATE(581)] = 4404,
  [SMALL_STATE(582)] = 4509,
  [SMALL_STATE(583)] = 4614,
  [SMALL_STATE(584)] = 4717,
  [SMALL_STATE(585)] = 4820,
  [SMALL_STATE(586)] = 4923,
  [SMALL_STATE(587)] = 5028,
  [SMALL_STATE(588)] = 5131,
  [SMALL_STATE(589)] = 5231,
  [SMALL_STATE(590)] = 5333,
  [SMALL_STATE(591)] = 5435,
  [SMALL_STATE(592)] = 5537,
  [SMALL_STATE(593)] = 5639,
  [SMALL_STATE(594)] = 5741,
  [SMALL_STATE(595)] = 5843,
  [SMALL_STATE(596)] = 5945,
  [SMALL_STATE(597)] = 6047,
  [SMALL_STATE(598)] = 6149,
  [SMALL_STATE(599)] = 6251,
  [SMALL_STATE(600)] = 6353,
  [SMALL_STATE(601)] = 6455,
  [SMALL_STATE(602)] = 6557,
  [SMALL_STATE(603)] = 6659,
  [SMALL_STATE(604)] = 6759,
  [SMALL_STATE(605)] = 6861,
  [SMALL_STATE(606)] = 6963,
  [SMALL_STATE(607)] = 7065,
  [SMALL_STATE(608)] = 7167,
  [SMALL_STATE(609)] = 7269,
  [SMALL_STATE(610)] = 7371,
  [SMALL_STATE(611)] = 7473,
  [SMALL_STATE(612)] = 7575,
  [SMALL_STATE(613)] = 7677,
  [SMALL_STATE(614)] = 7779,
  [SMALL_STATE(615)] = 7881,
  [SMALL_STATE(616)] = 7983,
  [SMALL_STATE(617)] = 8085,
  [SMALL_STATE(618)] = 8187,
  [SMALL_STATE(619)] = 8289,
  [SMALL_STATE(620)] = 8389,
  [SMALL_STATE(621)] = 8491,
  [SMALL_STATE(622)] = 8591,
  [SMALL_STATE(623)] = 8691,
  [SMALL_STATE(624)] = 8791,
  [SMALL_STATE(625)] = 8893,
  [SMALL_STATE(626)] = 8993,
  [SMALL_STATE(627)] = 9093,
  [SMALL_STATE(628)] = 9195,
  [SMALL_STATE(629)] = 9297,
  [SMALL_STATE(630)] = 9399,
  [SMALL_STATE(631)] = 9499,
  [SMALL_STATE(632)] = 9599,
  [SMALL_STATE(633)] = 9699,
  [SMALL_STATE(634)] = 9799,
  [SMALL_STATE(635)] = 9901,
  [SMALL_STATE(636)] = 10001,
  [SMALL_STATE(637)] = 10103,
  [SMALL_STATE(638)] = 10203,
  [SMALL_STATE(639)] = 10305,
  [SMALL_STATE(640)] = 10405,
  [SMALL_STATE(641)] = 10507,
  [SMALL_STATE(642)] = 10609,
  [SMALL_STATE(643)] = 10711,
  [SMALL_STATE(644)] = 10813,
  [SMALL_STATE(645)] = 10915,
  [SMALL_STATE(646)] = 11017,
  [SMALL_STATE(647)] = 11117,
  [SMALL_STATE(648)] = 11219,
  [SMALL_STATE(649)] = 11319,
  [SMALL_STATE(650)] = 11419,
  [SMALL_STATE(651)] = 11519,
  [SMALL_STATE(652)] = 11621,
  [SMALL_STATE(653)] = 11723,
  [SMALL_STATE(654)] = 11823,
  [SMALL_STATE(655)] = 11923,
  [SMALL_STATE(656)] = 12023,
  [SMALL_STATE(657)] = 12123,
  [SMALL_STATE(658)] = 12223,
  [SMALL_STATE(659)] = 12323,
  [SMALL_STATE(660)] = 12425,
  [SMALL_STATE(661)] = 12527,
  [SMALL_STATE(662)] = 12627,
  [SMALL_STATE(663)] = 12727,
  [SMALL_STATE(664)] = 12827,
  [SMALL_STATE(665)] = 12927,
  [SMALL_STATE(666)] = 13029,
  [SMALL_STATE(667)] = 13129,
  [SMALL_STATE(668)] = 13229,
  [SMALL_STATE(669)] = 13329,
  [SMALL_STATE(670)] = 13431,
  [SMALL_STATE(671)] = 13532,
  [SMALL_STATE(672)] = 13633,
  [SMALL_STATE(673)] = 13734,
  [SMALL_STATE(674)] = 13835,
  [SMALL_STATE(675)] = 13936,
  [SMALL_STATE(676)] = 14015,
  [SMALL_STATE(677)] = 14080,
  [SMALL_STATE(678)] = 14139,
  [SMALL_STATE(679)] = 14198,
  [SMALL_STATE(680)] = 14263,
  [SMALL_STATE(681)] = 14322,
  [SMALL_STATE(682)] = 14387,
  [SMALL_STATE(683)] = 14479,
  [SMALL_STATE(684)] = 14571,
  [SMALL_STATE(685)] = 14663,
  [SMALL_STATE(686)] = 14755,
  [SMALL_STATE(687)] = 14847,
  [SMALL_STATE(688)] = 14941,
  [SMALL_STATE(689)] = 15033,
  [SMALL_STATE(690)] = 15125,
  [SMALL_STATE(691)] = 15217,
  [SMALL_STATE(692)] = 15309,
  [SMALL_STATE(693)] = 15401,
  [SMALL_STATE(694)] = 15493,
  [SMALL_STATE(695)] = 15585,
  [SMALL_STATE(696)] = 15677,
  [SMALL_STATE(697)] = 15769,
  [SMALL_STATE(698)] = 15861,
  [SMALL_STATE(699)] = 15953,
  [SMALL_STATE(700)] = 16045,
  [SMALL_STATE(701)] = 16137,
  [SMALL_STATE(702)] = 16229,
  [SMALL_STATE(703)] = 16321,
  [SMALL_STATE(704)] = 16413,
  [SMALL_STATE(705)] = 16474,
  [SMALL_STATE(706)] = 16535,
  [SMALL_STATE(707)] = 16592,
  [SMALL_STATE(708)] = 16681,
  [SMALL_STATE(709)] = 16770,
  [SMALL_STATE(710)] = 16827,
  [SMALL_STATE(711)] = 16918,
  [SMALL_STATE(712)] = 16982,
  [SMALL_STATE(713)] = 17041,
  [SMALL_STATE(714)] = 17096,
  [SMALL_STATE(715)] = 17151,
  [SMALL_STATE(716)] = 17206,
  [SMALL_STATE(717)] = 17261,
  [SMALL_STATE(718)] = 17316,
  [SMALL_STATE(719)] = 17371,
  [SMALL_STATE(720)] = 17426,
  [SMALL_STATE(721)] = 17481,
  [SMALL_STATE(722)] = 17536,
  [SMALL_STATE(723)] = 17591,
  [SMALL_STATE(724)] = 17673,
  [SMALL_STATE(725)] = 17755,
  [SMALL_STATE(726)] = 17837,
  [SMALL_STATE(727)] = 17919,
  [SMALL_STATE(728)] = 18001,
  [SMALL_STATE(729)] = 18083,
  [SMALL_STATE(730)] = 18165,
  [SMALL_STATE(731)] = 18247,
  [SMALL_STATE(732)] = 18329,
  [SMALL_STATE(733)] = 18411,
  [SMALL_STATE(734)] = 18474,
  [SMALL_STATE(735)] = 18537,
  [SMALL_STATE(736)] = 18600,
  [SMALL_STATE(737)] = 18663,
  [SMALL_STATE(738)] = 18716,
  [SMALL_STATE(739)] = 18779,
  [SMALL_STATE(740)] = 18844,
  [SMALL_STATE(741)] = 18907,
  [SMALL_STATE(742)] = 18986,
  [SMALL_STATE(743)] = 19038,
  [SMALL_STATE(744)] = 19089,
  [SMALL_STATE(745)] = 19150,
  [SMALL_STATE(746)] = 19209,
  [SMALL_STATE(747)] = 19260,
  [SMALL_STATE(748)] = 19345,
  [SMALL_STATE(749)] = 19430,
  [SMALL_STATE(750)] = 19481,
  [SMALL_STATE(751)] = 19532,
  [SMALL_STATE(752)] = 19583,
  [SMALL_STATE(753)] = 19650,
  [SMALL_STATE(754)] = 19701,
  [SMALL_STATE(755)] = 19752,
  [SMALL_STATE(756)] = 19803,
  [SMALL_STATE(757)] = 19864,
  [SMALL_STATE(758)] = 19915,
  [SMALL_STATE(759)] = 19966,
  [SMALL_STATE(760)] = 20037,
  [SMALL_STATE(761)] = 20098,
  [SMALL_STATE(762)] = 20149,
  [SMALL_STATE(763)] = 20210,
  [SMALL_STATE(764)] = 20295,
  [SMALL_STATE(765)] = 20346,
  [SMALL_STATE(766)] = 20397,
  [SMALL_STATE(767)] = 20448,
  [SMALL_STATE(768)] = 20513,
  [SMALL_STATE(769)] = 20574,
  [SMALL_STATE(770)] = 20625,
  [SMALL_STATE(771)] = 20676,
  [SMALL_STATE(772)] = 20727,
  [SMALL_STATE(773)] = 20790,
  [SMALL_STATE(774)] = 20841,
  [SMALL_STATE(775)] = 20922,
  [SMALL_STATE(776)] = 20981,
  [SMALL_STATE(777)] = 21032,
  [SMALL_STATE(778)] = 21083,
  [SMALL_STATE(779)] = 21162,
  [SMALL_STATE(780)] = 21213,
  [SMALL_STATE(781)] = 21290,
  [SMALL_STATE(782)] = 21365,
  [SMALL_STATE(783)] = 21438,
  [SMALL_STATE(784)] = 21492,
  [SMALL_STATE(785)] = 21541,
  [SMALL_STATE(786)] = 21590,
  [SMALL_STATE(787)] = 21639,
  [SMALL_STATE(788)] = 21688,
  [SMALL_STATE(789)] = 21737,
  [SMALL_STATE(790)] = 21786,
  [SMALL_STATE(791)] = 21835,
  [SMALL_STATE(792)] = 21884,
  [SMALL_STATE(793)] = 21933,
  [SMALL_STATE(794)] = 21982,
  [SMALL_STATE(795)] = 22031,
  [SMALL_STATE(796)] = 22080,
  [SMALL_STATE(797)] = 22129,
  [SMALL_STATE(798)] = 22178,
  [SMALL_STATE(799)] = 22227,
  [SMALL_STATE(800)] = 22276,
  [SMALL_STATE(801)] = 22325,
  [SMALL_STATE(802)] = 22374,
  [SMALL_STATE(803)] = 22421,
  [SMALL_STATE(804)] = 22468,
  [SMALL_STATE(805)] = 22515,
  [SMALL_STATE(806)] = 22562,
  [SMALL_STATE(807)] = 22609,
  [SMALL_STATE(808)] = 22664,
  [SMALL_STATE(809)] = 22711,
  [SMALL_STATE(810)] = 22758,
  [SMALL_STATE(811)] = 22811,
  [SMALL_STATE(812)] = 22858,
  [SMALL_STATE(813)] = 22937,
  [SMALL_STATE(814)] = 22984,
  [SMALL_STATE(815)] = 23031,
  [SMALL_STATE(816)] = 23078,
  [SMALL_STATE(817)] = 23125,
  [SMALL_STATE(818)] = 23180,
  [SMALL_STATE(819)] = 23227,
  [SMALL_STATE(820)] = 23274,
  [SMALL_STATE(821)] = 23321,
  [SMALL_STATE(822)] = 23368,
  [SMALL_STATE(823)] = 23415,
  [SMALL_STATE(824)] = 23462,
  [SMALL_STATE(825)] = 23517,
  [SMALL_STATE(826)] = 23564,
  [SMALL_STATE(827)] = 23617,
  [SMALL_STATE(828)] = 23672,
  [SMALL_STATE(829)] = 23727,
  [SMALL_STATE(830)] = 23774,
  [SMALL_STATE(831)] = 23854,
  [SMALL_STATE(832)] = 23900,
  [SMALL_STATE(833)] = 23956,
  [SMALL_STATE(834)] = 24012,
  [SMALL_STATE(835)] = 24068,
  [SMALL_STATE(836)] = 24114,
  [SMALL_STATE(837)] = 24160,
  [SMALL_STATE(838)] = 24240,
  [SMALL_STATE(839)] = 24300,
  [SMALL_STATE(840)] = 24362,
  [SMALL_STATE(841)] = 24428,
  [SMALL_STATE(842)] = 24496,
  [SMALL_STATE(843)] = 24550,
  [SMALL_STATE(844)] = 24606,
  [SMALL_STATE(845)] = 24676,
  [SMALL_STATE(846)] = 24748,
  [SMALL_STATE(847)] = 24822,
  [SMALL_STATE(848)] = 24878,
  [SMALL_STATE(849)] = 24954,
  [SMALL_STATE(850)] = 25000,
  [SMALL_STATE(851)] = 25058,
  [SMALL_STATE(852)] = 25138,
  [SMALL_STATE(853)] = 25184,
  [SMALL_STATE(854)] = 25229,
  [SMALL_STATE(855)] = 25274,
  [SMALL_STATE(856)] = 25323,
  [SMALL_STATE(857)] = 25368,
  [SMALL_STATE(858)] = 25417,
  [SMALL_STATE(859)] = 25462,
  [SMALL_STATE(860)] = 25511,
  [SMALL_STATE(861)] = 25556,
  [SMALL_STATE(862)] = 25601,
  [SMALL_STATE(863)] = 25650,
  [SMALL_STATE(864)] = 25695,
  [SMALL_STATE(865)] = 25744,
  [SMALL_STATE(866)] = 25793,
  [SMALL_STATE(867)] = 25842,
  [SMALL_STATE(868)] = 25891,
  [SMALL_STATE(869)] = 25936,
  [SMALL_STATE(870)] = 25981,
  [SMALL_STATE(871)] = 26026,
  [SMALL_STATE(872)] = 26071,
  [SMALL_STATE(873)] = 26116,
  [SMALL_STATE(874)] = 26161,
  [SMALL_STATE(875)] = 26206,
  [SMALL_STATE(876)] = 26251,
  [SMALL_STATE(877)] = 26296,
  [SMALL_STATE(878)] = 26341,
  [SMALL_STATE(879)] = 26386,
  [SMALL_STATE(880)] = 26431,
  [SMALL_STATE(881)] = 26480,
  [SMALL_STATE(882)] = 26525,
  [SMALL_STATE(883)] = 26570,
  [SMALL_STATE(884)] = 26615,
  [SMALL_STATE(885)] = 26660,
  [SMALL_STATE(886)] = 26705,
  [SMALL_STATE(887)] = 26750,
  [SMALL_STATE(888)] = 26795,
  [SMALL_STATE(889)] = 26844,
  [SMALL_STATE(890)] = 26893,
  [SMALL_STATE(891)] = 26938,
  [SMALL_STATE(892)] = 26983,
  [SMALL_STATE(893)] = 27032,
  [SMALL_STATE(894)] = 27081,
  [SMALL_STATE(895)] = 27126,
  [SMALL_STATE(896)] = 27175,
  [SMALL_STATE(897)] = 27224,
  [SMALL_STATE(898)] = 27269,
  [SMALL_STATE(899)] = 27314,
  [SMALL_STATE(900)] = 27371,
  [SMALL_STATE(901)] = 27428,
  [SMALL_STATE(902)] = 27485,
  [SMALL_STATE(903)] = 27530,
  [SMALL_STATE(904)] = 27587,
  [SMALL_STATE(905)] = 27632,
  [SMALL_STATE(906)] = 27677,
  [SMALL_STATE(907)] = 27722,
  [SMALL_STATE(908)] = 27767,
  [SMALL_STATE(909)] = 27812,
  [SMALL_STATE(910)] = 27861,
  [SMALL_STATE(911)] = 27906,
  [SMALL_STATE(912)] = 27955,
  [SMALL_STATE(913)] = 28000,
  [SMALL_STATE(914)] = 28045,
  [SMALL_STATE(915)] = 28089,
  [SMALL_STATE(916)] = 28133,
  [SMALL_STATE(917)] = 28177,
  [SMALL_STATE(918)] = 28221,
  [SMALL_STATE(919)] = 28265,
  [SMALL_STATE(920)] = 28309,
  [SMALL_STATE(921)] = 28355,
  [SMALL_STATE(922)] = 28399,
  [SMALL_STATE(923)] = 28443,
  [SMALL_STATE(924)] = 28487,
  [SMALL_STATE(925)] = 28531,
  [SMALL_STATE(926)] = 28575,
  [SMALL_STATE(927)] = 28619,
  [SMALL_STATE(928)] = 28663,
  [SMALL_STATE(929)] = 28707,
  [SMALL_STATE(930)] = 28751,
  [SMALL_STATE(931)] = 28795,
  [SMALL_STATE(932)] = 28839,
  [SMALL_STATE(933)] = 28883,
  [SMALL_STATE(934)] = 28927,
  [SMALL_STATE(935)] = 28971,
  [SMALL_STATE(936)] = 29015,
  [SMALL_STATE(937)] = 29059,
  [SMALL_STATE(938)] = 29103,
  [SMALL_STATE(939)] = 29147,
  [SMALL_STATE(940)] = 29199,
  [SMALL_STATE(941)] = 29243,
  [SMALL_STATE(942)] = 29287,
  [SMALL_STATE(943)] = 29331,
  [SMALL_STATE(944)] = 29375,
  [SMALL_STATE(945)] = 29419,
  [SMALL_STATE(946)] = 29463,
  [SMALL_STATE(947)] = 29507,
  [SMALL_STATE(948)] = 29576,
  [SMALL_STATE(949)] = 29645,
  [SMALL_STATE(950)] = 29714,
  [SMALL_STATE(951)] = 29783,
  [SMALL_STATE(952)] = 29839,
  [SMALL_STATE(953)] = 29895,
  [SMALL_STATE(954)] = 29951,
  [SMALL_STATE(955)] = 30007,
  [SMALL_STATE(956)] = 30059,
  [SMALL_STATE(957)] = 30115,
  [SMALL_STATE(958)] = 30164,
  [SMALL_STATE(959)] = 30206,
  [SMALL_STATE(960)] = 30246,
  [SMALL_STATE(961)] = 30288,
  [SMALL_STATE(962)] = 30330,
  [SMALL_STATE(963)] = 30386,
  [SMALL_STATE(964)] = 30426,
  [SMALL_STATE(965)] = 30466,
  [SMALL_STATE(966)] = 30508,
  [SMALL_STATE(967)] = 30582,
  [SMALL_STATE(968)] = 30636,
  [SMALL_STATE(969)] = 30710,
  [SMALL_STATE(970)] = 30780,
  [SMALL_STATE(971)] = 30838,
  [SMALL_STATE(972)] = 30906,
  [SMALL_STATE(973)] = 30968,
  [SMALL_STATE(974)] = 31032,
  [SMALL_STATE(975)] = 31098,
  [SMALL_STATE(976)] = 31166,
  [SMALL_STATE(977)] = 31208,
  [SMALL_STATE(978)] = 31248,
  [SMALL_STATE(979)] = 31322,
  [SMALL_STATE(980)] = 31361,
  [SMALL_STATE(981)] = 31404,
  [SMALL_STATE(982)] = 31447,
  [SMALL_STATE(983)] = 31490,
  [SMALL_STATE(984)] = 31553,
  [SMALL_STATE(985)] = 31613,
  [SMALL_STATE(986)] = 31673,
  [SMALL_STATE(987)] = 31733,
  [SMALL_STATE(988)] = 31793,
  [SMALL_STATE(989)] = 31853,
  [SMALL_STATE(990)] = 31899,
  [SMALL_STATE(991)] = 31959,
  [SMALL_STATE(992)] = 32019,
  [SMALL_STATE(993)] = 32079,
  [SMALL_STATE(994)] = 32154,
  [SMALL_STATE(995)] = 32227,
  [SMALL_STATE(996)] = 32302,
  [SMALL_STATE(997)] = 32377,
  [SMALL_STATE(998)] = 32452,
  [SMALL_STATE(999)] = 32495,
  [SMALL_STATE(1000)] = 32566,
  [SMALL_STATE(1001)] = 32641,
  [SMALL_STATE(1002)] = 32682,
  [SMALL_STATE(1003)] = 32757,
  [SMALL_STATE(1004)] = 32813,
  [SMALL_STATE(1005)] = 32883,
  [SMALL_STATE(1006)] = 32955,
  [SMALL_STATE(1007)] = 33027,
  [SMALL_STATE(1008)] = 33083,
  [SMALL_STATE(1009)] = 33155,
  [SMALL_STATE(1010)] = 33225,
  [SMALL_STATE(1011)] = 33281,
  [SMALL_STATE(1012)] = 33337,
  [SMALL_STATE(1013)] = 33409,
  [SMALL_STATE(1014)] = 33481,
  [SMALL_STATE(1015)] = 33553,
  [SMALL_STATE(1016)] = 33625,
  [SMALL_STATE(1017)] = 33695,
  [SMALL_STATE(1018)] = 33765,
  [SMALL_STATE(1019)] = 33837,
  [SMALL_STATE(1020)] = 33907,
  [SMALL_STATE(1021)] = 33963,
  [SMALL_STATE(1022)] = 34019,
  [SMALL_STATE(1023)] = 34091,
  [SMALL_STATE(1024)] = 34147,
  [SMALL_STATE(1025)] = 34219,
  [SMALL_STATE(1026)] = 34291,
  [SMALL_STATE(1027)] = 34363,
  [SMALL_STATE(1028)] = 34435,
  [SMALL_STATE(1029)] = 34507,
  [SMALL_STATE(1030)] = 34563,
  [SMALL_STATE(1031)] = 34619,
  [SMALL_STATE(1032)] = 34675,
  [SMALL_STATE(1033)] = 34747,
  [SMALL_STATE(1034)] = 34803,
  [SMALL_STATE(1035)] = 34859,
  [SMALL_STATE(1036)] = 34915,
  [SMALL_STATE(1037)] = 34971,
  [SMALL_STATE(1038)] = 35043,
  [SMALL_STATE(1039)] = 35099,
  [SMALL_STATE(1040)] = 35171,
  [SMALL_STATE(1041)] = 35243,
  [SMALL_STATE(1042)] = 35315,
  [SMALL_STATE(1043)] = 35385,
  [SMALL_STATE(1044)] = 35457,
  [SMALL_STATE(1045)] = 35529,
  [SMALL_STATE(1046)] = 35599,
  [SMALL_STATE(1047)] = 35671,
  [SMALL_STATE(1048)] = 35740,
  [SMALL_STATE(1049)] = 35809,
  [SMALL_STATE(1050)] = 35866,
  [SMALL_STATE(1051)] = 35935,
  [SMALL_STATE(1052)] = 35986,
  [SMALL_STATE(1053)] = 36039,
  [SMALL_STATE(1054)] = 36108,
  [SMALL_STATE(1055)] = 36177,
  [SMALL_STATE(1056)] = 36246,
  [SMALL_STATE(1057)] = 36315,
  [SMALL_STATE(1058)] = 36368,
  [SMALL_STATE(1059)] = 36421,
  [SMALL_STATE(1060)] = 36490,
  [SMALL_STATE(1061)] = 36559,
  [SMALL_STATE(1062)] = 36628,
  [SMALL_STATE(1063)] = 36697,
  [SMALL_STATE(1064)] = 36766,
  [SMALL_STATE(1065)] = 36819,
  [SMALL_STATE(1066)] = 36888,
  [SMALL_STATE(1067)] = 36941,
  [SMALL_STATE(1068)] = 37010,
  [SMALL_STATE(1069)] = 37079,
  [SMALL_STATE(1070)] = 37148,
  [SMALL_STATE(1071)] = 37217,
  [SMALL_STATE(1072)] = 37270,
  [SMALL_STATE(1073)] = 37339,
  [SMALL_STATE(1074)] = 37398,
  [SMALL_STATE(1075)] = 37447,
  [SMALL_STATE(1076)] = 37516,
  [SMALL_STATE(1077)] = 37585,
  [SMALL_STATE(1078)] = 37654,
  [SMALL_STATE(1079)] = 37707,
  [SMALL_STATE(1080)] = 37776,
  [SMALL_STATE(1081)] = 37815,
  [SMALL_STATE(1082)] = 37884,
  [SMALL_STATE(1083)] = 37949,
  [SMALL_STATE(1084)] = 38018,
  [SMALL_STATE(1085)] = 38087,
  [SMALL_STATE(1086)] = 38156,
  [SMALL_STATE(1087)] = 38217,
  [SMALL_STATE(1088)] = 38286,
  [SMALL_STATE(1089)] = 38355,
  [SMALL_STATE(1090)] = 38418,
  [SMALL_STATE(1091)] = 38481,
  [SMALL_STATE(1092)] = 38525,
  [SMALL_STATE(1093)] = 38561,
  [SMALL_STATE(1094)] = 38627,
  [SMALL_STATE(1095)] = 38669,
  [SMALL_STATE(1096)] = 38711,
  [SMALL_STATE(1097)] = 38747,
  [SMALL_STATE(1098)] = 38783,
  [SMALL_STATE(1099)] = 38819,
  [SMALL_STATE(1100)] = 38866,
  [SMALL_STATE(1101)] = 38913,
  [SMALL_STATE(1102)] = 38944,
  [SMALL_STATE(1103)] = 38991,
  [SMALL_STATE(1104)] = 39022,
  [SMALL_STATE(1105)] = 39069,
  [SMALL_STATE(1106)] = 39116,
  [SMALL_STATE(1107)] = 39163,
  [SMALL_STATE(1108)] = 39207,
  [SMALL_STATE(1109)] = 39251,
  [SMALL_STATE(1110)] = 39295,
  [SMALL_STATE(1111)] = 39339,
  [SMALL_STATE(1112)] = 39383,
  [SMALL_STATE(1113)] = 39417,
  [SMALL_STATE(1114)] = 39461,
  [SMALL_STATE(1115)] = 39499,
  [SMALL_STATE(1116)] = 39542,
  [SMALL_STATE(1117)] = 39597,
  [SMALL_STATE(1118)] = 39652,
  [SMALL_STATE(1119)] = 39695,
  [SMALL_STATE(1120)] = 39738,
  [SMALL_STATE(1121)] = 39793,
  [SMALL_STATE(1122)] = 39826,
  [SMALL_STATE(1123)] = 39868,
  [SMALL_STATE(1124)] = 39908,
  [SMALL_STATE(1125)] = 39948,
  [SMALL_STATE(1126)] = 39988,
  [SMALL_STATE(1127)] = 40028,
  [SMALL_STATE(1128)] = 40068,
  [SMALL_STATE(1129)] = 40108,
  [SMALL_STATE(1130)] = 40148,
  [SMALL_STATE(1131)] = 40188,
  [SMALL_STATE(1132)] = 40228,
  [SMALL_STATE(1133)] = 40268,
  [SMALL_STATE(1134)] = 40308,
  [SMALL_STATE(1135)] = 40336,
  [SMALL_STATE(1136)] = 40364,
  [SMALL_STATE(1137)] = 40392,
  [SMALL_STATE(1138)] = 40432,
  [SMALL_STATE(1139)] = 40472,
  [SMALL_STATE(1140)] = 40512,
  [SMALL_STATE(1141)] = 40552,
  [SMALL_STATE(1142)] = 40592,
  [SMALL_STATE(1143)] = 40632,
  [SMALL_STATE(1144)] = 40672,
  [SMALL_STATE(1145)] = 40712,
  [SMALL_STATE(1146)] = 40752,
  [SMALL_STATE(1147)] = 40792,
  [SMALL_STATE(1148)] = 40832,
  [SMALL_STATE(1149)] = 40864,
  [SMALL_STATE(1150)] = 40896,
  [SMALL_STATE(1151)] = 40936,
  [SMALL_STATE(1152)] = 40964,
  [SMALL_STATE(1153)] = 40992,
  [SMALL_STATE(1154)] = 41024,
  [SMALL_STATE(1155)] = 41052,
  [SMALL_STATE(1156)] = 41100,
  [SMALL_STATE(1157)] = 41146,
  [SMALL_STATE(1158)] = 41192,
  [SMALL_STATE(1159)] = 41236,
  [SMALL_STATE(1160)] = 41276,
  [SMALL_STATE(1161)] = 41312,
  [SMALL_STATE(1162)] = 41346,
  [SMALL_STATE(1163)] = 41386,
  [SMALL_STATE(1164)] = 41426,
  [SMALL_STATE(1165)] = 41476,
  [SMALL_STATE(1166)] = 41504,
  [SMALL_STATE(1167)] = 41532,
  [SMALL_STATE(1168)] = 41572,
  [SMALL_STATE(1169)] = 41612,
  [SMALL_STATE(1170)] = 41644,
  [SMALL_STATE(1171)] = 41684,
  [SMALL_STATE(1172)] = 41716,
  [SMALL_STATE(1173)] = 41744,
  [SMALL_STATE(1174)] = 41784,
  [SMALL_STATE(1175)] = 41824,
  [SMALL_STATE(1176)] = 41864,
  [SMALL_STATE(1177)] = 41904,
  [SMALL_STATE(1178)] = 41944,
  [SMALL_STATE(1179)] = 41984,
  [SMALL_STATE(1180)] = 42024,
  [SMALL_STATE(1181)] = 42064,
  [SMALL_STATE(1182)] = 42112,
  [SMALL_STATE(1183)] = 42140,
  [SMALL_STATE(1184)] = 42185,
  [SMALL_STATE(1185)] = 42228,
  [SMALL_STATE(1186)] = 42255,
  [SMALL_STATE(1187)] = 42282,
  [SMALL_STATE(1188)] = 42309,
  [SMALL_STATE(1189)] = 42354,
  [SMALL_STATE(1190)] = 42399,
  [SMALL_STATE(1191)] = 42448,
  [SMALL_STATE(1192)] = 42475,
  [SMALL_STATE(1193)] = 42520,
  [SMALL_STATE(1194)] = 42565,
  [SMALL_STATE(1195)] = 42592,
  [SMALL_STATE(1196)] = 42621,
  [SMALL_STATE(1197)] = 42666,
  [SMALL_STATE(1198)] = 42693,
  [SMALL_STATE(1199)] = 42738,
  [SMALL_STATE(1200)] = 42765,
  [SMALL_STATE(1201)] = 42796,
  [SMALL_STATE(1202)] = 42837,
  [SMALL_STATE(1203)] = 42872,
  [SMALL_STATE(1204)] = 42917,
  [SMALL_STATE(1205)] = 42962,
  [SMALL_STATE(1206)] = 42989,
  [SMALL_STATE(1207)] = 43034,
  [SMALL_STATE(1208)] = 43061,
  [SMALL_STATE(1209)] = 43100,
  [SMALL_STATE(1210)] = 43149,
  [SMALL_STATE(1211)] = 43176,
  [SMALL_STATE(1212)] = 43213,
  [SMALL_STATE(1213)] = 43248,
  [SMALL_STATE(1214)] = 43281,
  [SMALL_STATE(1215)] = 43326,
  [SMALL_STATE(1216)] = 43371,
  [SMALL_STATE(1217)] = 43406,
  [SMALL_STATE(1218)] = 43447,
  [SMALL_STATE(1219)] = 43488,
  [SMALL_STATE(1220)] = 43529,
  [SMALL_STATE(1221)] = 43570,
  [SMALL_STATE(1222)] = 43611,
  [SMALL_STATE(1223)] = 43652,
  [SMALL_STATE(1224)] = 43693,
  [SMALL_STATE(1225)] = 43734,
  [SMALL_STATE(1226)] = 43775,
  [SMALL_STATE(1227)] = 43816,
  [SMALL_STATE(1228)] = 43864,
  [SMALL_STATE(1229)] = 43902,
  [SMALL_STATE(1230)] = 43950,
  [SMALL_STATE(1231)] = 43998,
  [SMALL_STATE(1232)] = 44046,
  [SMALL_STATE(1233)] = 44084,
  [SMALL_STATE(1234)] = 44132,
  [SMALL_STATE(1235)] = 44177,
  [SMALL_STATE(1236)] = 44218,
  [SMALL_STATE(1237)] = 44263,
  [SMALL_STATE(1238)] = 44304,
  [SMALL_STATE(1239)] = 44345,
  [SMALL_STATE(1240)] = 44390,
  [SMALL_STATE(1241)] = 44435,
  [SMALL_STATE(1242)] = 44476,
  [SMALL_STATE(1243)] = 44521,
  [SMALL_STATE(1244)] = 44559,
  [SMALL_STATE(1245)] = 44585,
  [SMALL_STATE(1246)] = 44623,
  [SMALL_STATE(1247)] = 44661,
  [SMALL_STATE(1248)] = 44699,
  [SMALL_STATE(1249)] = 44737,
  [SMALL_STATE(1250)] = 44767,
  [SMALL_STATE(1251)] = 44802,
  [SMALL_STATE(1252)] = 44837,
  [SMALL_STATE(1253)] = 44876,
  [SMALL_STATE(1254)] = 44901,
  [SMALL_STATE(1255)] = 44930,
  [SMALL_STATE(1256)] = 44965,
  [SMALL_STATE(1257)] = 45000,
  [SMALL_STATE(1258)] = 45035,
  [SMALL_STATE(1259)] = 45064,
  [SMALL_STATE(1260)] = 45099,
  [SMALL_STATE(1261)] = 45134,
  [SMALL_STATE(1262)] = 45163,
  [SMALL_STATE(1263)] = 45192,
  [SMALL_STATE(1264)] = 45217,
  [SMALL_STATE(1265)] = 45252,
  [SMALL_STATE(1266)] = 45287,
  [SMALL_STATE(1267)] = 45312,
  [SMALL_STATE(1268)] = 45337,
  [SMALL_STATE(1269)] = 45372,
  [SMALL_STATE(1270)] = 45407,
  [SMALL_STATE(1271)] = 45442,
  [SMALL_STATE(1272)] = 45474,
  [SMALL_STATE(1273)] = 45510,
  [SMALL_STATE(1274)] = 45530,
  [SMALL_STATE(1275)] = 45550,
  [SMALL_STATE(1276)] = 45584,
  [SMALL_STATE(1277)] = 45604,
  [SMALL_STATE(1278)] = 45628,
  [SMALL_STATE(1279)] = 45660,
  [SMALL_STATE(1280)] = 45692,
  [SMALL_STATE(1281)] = 45724,
  [SMALL_STATE(1282)] = 45756,
  [SMALL_STATE(1283)] = 45788,
  [SMALL_STATE(1284)] = 45817,
  [SMALL_STATE(1285)] = 45844,
  [SMALL_STATE(1286)] = 45873,
  [SMALL_STATE(1287)] = 45902,
  [SMALL_STATE(1288)] = 45929,
  [SMALL_STATE(1289)] = 45958,
  [SMALL_STATE(1290)] = 45987,
  [SMALL_STATE(1291)] = 46016,
  [SMALL_STATE(1292)] = 46047,
  [SMALL_STATE(1293)] = 46076,
  [SMALL_STATE(1294)] = 46103,
  [SMALL_STATE(1295)] = 46130,
  [SMALL_STATE(1296)] = 46159,
  [SMALL_STATE(1297)] = 46177,
  [SMALL_STATE(1298)] = 46195,
  [SMALL_STATE(1299)] = 46217,
  [SMALL_STATE(1300)] = 46243,
  [SMALL_STATE(1301)] = 46261,
  [SMALL_STATE(1302)] = 46287,
  [SMALL_STATE(1303)] = 46305,
  [SMALL_STATE(1304)] = 46323,
  [SMALL_STATE(1305)] = 46341,
  [SMALL_STATE(1306)] = 46365,
  [SMALL_STATE(1307)] = 46395,
  [SMALL_STATE(1308)] = 46421,
  [SMALL_STATE(1309)] = 46445,
  [SMALL_STATE(1310)] = 46471,
  [SMALL_STATE(1311)] = 46500,
  [SMALL_STATE(1312)] = 46523,
  [SMALL_STATE(1313)] = 46548,
  [SMALL_STATE(1314)] = 46577,
  [SMALL_STATE(1315)] = 46606,
  [SMALL_STATE(1316)] = 46629,
  [SMALL_STATE(1317)] = 46650,
  [SMALL_STATE(1318)] = 46679,
  [SMALL_STATE(1319)] = 46700,
  [SMALL_STATE(1320)] = 46721,
  [SMALL_STATE(1321)] = 46742,
  [SMALL_STATE(1322)] = 46763,
  [SMALL_STATE(1323)] = 46792,
  [SMALL_STATE(1324)] = 46813,
  [SMALL_STATE(1325)] = 46839,
  [SMALL_STATE(1326)] = 46859,
  [SMALL_STATE(1327)] = 46883,
  [SMALL_STATE(1328)] = 46909,
  [SMALL_STATE(1329)] = 46929,
  [SMALL_STATE(1330)] = 46945,
  [SMALL_STATE(1331)] = 46961,
  [SMALL_STATE(1332)] = 46977,
  [SMALL_STATE(1333)] = 46993,
  [SMALL_STATE(1334)] = 47009,
  [SMALL_STATE(1335)] = 47029,
  [SMALL_STATE(1336)] = 47045,
  [SMALL_STATE(1337)] = 47071,
  [SMALL_STATE(1338)] = 47089,
  [SMALL_STATE(1339)] = 47115,
  [SMALL_STATE(1340)] = 47141,
  [SMALL_STATE(1341)] = 47157,
  [SMALL_STATE(1342)] = 47177,
  [SMALL_STATE(1343)] = 47193,
  [SMALL_STATE(1344)] = 47208,
  [SMALL_STATE(1345)] = 47233,
  [SMALL_STATE(1346)] = 47248,
  [SMALL_STATE(1347)] = 47271,
  [SMALL_STATE(1348)] = 47286,
  [SMALL_STATE(1349)] = 47309,
  [SMALL_STATE(1350)] = 47324,
  [SMALL_STATE(1351)] = 47339,
  [SMALL_STATE(1352)] = 47362,
  [SMALL_STATE(1353)] = 47377,
  [SMALL_STATE(1354)] = 47392,
  [SMALL_STATE(1355)] = 47407,
  [SMALL_STATE(1356)] = 47422,
  [SMALL_STATE(1357)] = 47440,
  [SMALL_STATE(1358)] = 47454,
  [SMALL_STATE(1359)] = 47470,
  [SMALL_STATE(1360)] = 47488,
  [SMALL_STATE(1361)] = 47504,
  [SMALL_STATE(1362)] = 47520,
  [SMALL_STATE(1363)] = 47538,
  [SMALL_STATE(1364)] = 47552,
  [SMALL_STATE(1365)] = 47570,
  [SMALL_STATE(1366)] = 47588,
  [SMALL_STATE(1367)] = 47602,
  [SMALL_STATE(1368)] = 47620,
  [SMALL_STATE(1369)] = 47638,
  [SMALL_STATE(1370)] = 47656,
  [SMALL_STATE(1371)] = 47670,
  [SMALL_STATE(1372)] = 47681,
  [SMALL_STATE(1373)] = 47692,
  [SMALL_STATE(1374)] = 47703,
  [SMALL_STATE(1375)] = 47722,
  [SMALL_STATE(1376)] = 47733,
  [SMALL_STATE(1377)] = 47744,
  [SMALL_STATE(1378)] = 47755,
  [SMALL_STATE(1379)] = 47766,
  [SMALL_STATE(1380)] = 47777,
  [SMALL_STATE(1381)] = 47788,
  [SMALL_STATE(1382)] = 47799,
  [SMALL_STATE(1383)] = 47810,
  [SMALL_STATE(1384)] = 47827,
  [SMALL_STATE(1385)] = 47846,
  [SMALL_STATE(1386)] = 47857,
  [SMALL_STATE(1387)] = 47874,
  [SMALL_STATE(1388)] = 47888,
  [SMALL_STATE(1389)] = 47902,
  [SMALL_STATE(1390)] = 47918,
  [SMALL_STATE(1391)] = 47934,
  [SMALL_STATE(1392)] = 47948,
  [SMALL_STATE(1393)] = 47964,
  [SMALL_STATE(1394)] = 47978,
  [SMALL_STATE(1395)] = 47992,
  [SMALL_STATE(1396)] = 48006,
  [SMALL_STATE(1397)] = 48020,
  [SMALL_STATE(1398)] = 48034,
  [SMALL_STATE(1399)] = 48048,
  [SMALL_STATE(1400)] = 48062,
  [SMALL_STATE(1401)] = 48076,
  [SMALL_STATE(1402)] = 48092,
  [SMALL_STATE(1403)] = 48106,
  [SMALL_STATE(1404)] = 48122,
  [SMALL_STATE(1405)] = 48136,
  [SMALL_STATE(1406)] = 48152,
  [SMALL_STATE(1407)] = 48166,
  [SMALL_STATE(1408)] = 48180,
  [SMALL_STATE(1409)] = 48196,
  [SMALL_STATE(1410)] = 48212,
  [SMALL_STATE(1411)] = 48226,
  [SMALL_STATE(1412)] = 48242,
  [SMALL_STATE(1413)] = 48258,
  [SMALL_STATE(1414)] = 48272,
  [SMALL_STATE(1415)] = 48286,
  [SMALL_STATE(1416)] = 48300,
  [SMALL_STATE(1417)] = 48314,
  [SMALL_STATE(1418)] = 48328,
  [SMALL_STATE(1419)] = 48338,
  [SMALL_STATE(1420)] = 48352,
  [SMALL_STATE(1421)] = 48366,
  [SMALL_STATE(1422)] = 48382,
  [SMALL_STATE(1423)] = 48396,
  [SMALL_STATE(1424)] = 48410,
  [SMALL_STATE(1425)] = 48426,
  [SMALL_STATE(1426)] = 48442,
  [SMALL_STATE(1427)] = 48456,
  [SMALL_STATE(1428)] = 48470,
  [SMALL_STATE(1429)] = 48484,
  [SMALL_STATE(1430)] = 48500,
  [SMALL_STATE(1431)] = 48514,
  [SMALL_STATE(1432)] = 48528,
  [SMALL_STATE(1433)] = 48542,
  [SMALL_STATE(1434)] = 48556,
  [SMALL_STATE(1435)] = 48570,
  [SMALL_STATE(1436)] = 48584,
  [SMALL_STATE(1437)] = 48598,
  [SMALL_STATE(1438)] = 48612,
  [SMALL_STATE(1439)] = 48628,
  [SMALL_STATE(1440)] = 48642,
  [SMALL_STATE(1441)] = 48656,
  [SMALL_STATE(1442)] = 48672,
  [SMALL_STATE(1443)] = 48688,
  [SMALL_STATE(1444)] = 48704,
  [SMALL_STATE(1445)] = 48720,
  [SMALL_STATE(1446)] = 48734,
  [SMALL_STATE(1447)] = 48748,
  [SMALL_STATE(1448)] = 48762,
  [SMALL_STATE(1449)] = 48776,
  [SMALL_STATE(1450)] = 48789,
  [SMALL_STATE(1451)] = 48802,
  [SMALL_STATE(1452)] = 48815,
  [SMALL_STATE(1453)] = 48828,
  [SMALL_STATE(1454)] = 48841,
  [SMALL_STATE(1455)] = 48854,
  [SMALL_STATE(1456)] = 48863,
  [SMALL_STATE(1457)] = 48876,
  [SMALL_STATE(1458)] = 48889,
  [SMALL_STATE(1459)] = 48902,
  [SMALL_STATE(1460)] = 48915,
  [SMALL_STATE(1461)] = 48928,
  [SMALL_STATE(1462)] = 48941,
  [SMALL_STATE(1463)] = 48954,
  [SMALL_STATE(1464)] = 48963,
  [SMALL_STATE(1465)] = 48976,
  [SMALL_STATE(1466)] = 48989,
  [SMALL_STATE(1467)] = 48998,
  [SMALL_STATE(1468)] = 49011,
  [SMALL_STATE(1469)] = 49024,
  [SMALL_STATE(1470)] = 49037,
  [SMALL_STATE(1471)] = 49050,
  [SMALL_STATE(1472)] = 49063,
  [SMALL_STATE(1473)] = 49076,
  [SMALL_STATE(1474)] = 49089,
  [SMALL_STATE(1475)] = 49102,
  [SMALL_STATE(1476)] = 49115,
  [SMALL_STATE(1477)] = 49128,
  [SMALL_STATE(1478)] = 49141,
  [SMALL_STATE(1479)] = 49150,
  [SMALL_STATE(1480)] = 49159,
  [SMALL_STATE(1481)] = 49172,
  [SMALL_STATE(1482)] = 49185,
  [SMALL_STATE(1483)] = 49198,
  [SMALL_STATE(1484)] = 49211,
  [SMALL_STATE(1485)] = 49224,
  [SMALL_STATE(1486)] = 49237,
  [SMALL_STATE(1487)] = 49250,
  [SMALL_STATE(1488)] = 49263,
  [SMALL_STATE(1489)] = 49276,
  [SMALL_STATE(1490)] = 49285,
  [SMALL_STATE(1491)] = 49298,
  [SMALL_STATE(1492)] = 49311,
  [SMALL_STATE(1493)] = 49324,
  [SMALL_STATE(1494)] = 49337,
  [SMALL_STATE(1495)] = 49350,
  [SMALL_STATE(1496)] = 49363,
  [SMALL_STATE(1497)] = 49376,
  [SMALL_STATE(1498)] = 49385,
  [SMALL_STATE(1499)] = 49398,
  [SMALL_STATE(1500)] = 49411,
  [SMALL_STATE(1501)] = 49424,
  [SMALL_STATE(1502)] = 49437,
  [SMALL_STATE(1503)] = 49450,
  [SMALL_STATE(1504)] = 49463,
  [SMALL_STATE(1505)] = 49476,
  [SMALL_STATE(1506)] = 49489,
  [SMALL_STATE(1507)] = 49502,
  [SMALL_STATE(1508)] = 49515,
  [SMALL_STATE(1509)] = 49528,
  [SMALL_STATE(1510)] = 49541,
  [SMALL_STATE(1511)] = 49554,
  [SMALL_STATE(1512)] = 49563,
  [SMALL_STATE(1513)] = 49576,
  [SMALL_STATE(1514)] = 49587,
  [SMALL_STATE(1515)] = 49600,
  [SMALL_STATE(1516)] = 49609,
  [SMALL_STATE(1517)] = 49618,
  [SMALL_STATE(1518)] = 49631,
  [SMALL_STATE(1519)] = 49644,
  [SMALL_STATE(1520)] = 49657,
  [SMALL_STATE(1521)] = 49670,
  [SMALL_STATE(1522)] = 49683,
  [SMALL_STATE(1523)] = 49696,
  [SMALL_STATE(1524)] = 49709,
  [SMALL_STATE(1525)] = 49722,
  [SMALL_STATE(1526)] = 49735,
  [SMALL_STATE(1527)] = 49748,
  [SMALL_STATE(1528)] = 49759,
  [SMALL_STATE(1529)] = 49772,
  [SMALL_STATE(1530)] = 49785,
  [SMALL_STATE(1531)] = 49795,
  [SMALL_STATE(1532)] = 49805,
  [SMALL_STATE(1533)] = 49815,
  [SMALL_STATE(1534)] = 49825,
  [SMALL_STATE(1535)] = 49833,
  [SMALL_STATE(1536)] = 49843,
  [SMALL_STATE(1537)] = 49853,
  [SMALL_STATE(1538)] = 49863,
  [SMALL_STATE(1539)] = 49873,
  [SMALL_STATE(1540)] = 49883,
  [SMALL_STATE(1541)] = 49891,
  [SMALL_STATE(1542)] = 49899,
  [SMALL_STATE(1543)] = 49909,
  [SMALL_STATE(1544)] = 49919,
  [SMALL_STATE(1545)] = 49929,
  [SMALL_STATE(1546)] = 49939,
  [SMALL_STATE(1547)] = 49947,
  [SMALL_STATE(1548)] = 49957,
  [SMALL_STATE(1549)] = 49967,
  [SMALL_STATE(1550)] = 49975,
  [SMALL_STATE(1551)] = 49985,
  [SMALL_STATE(1552)] = 49993,
  [SMALL_STATE(1553)] = 50001,
  [SMALL_STATE(1554)] = 50009,
  [SMALL_STATE(1555)] = 50019,
  [SMALL_STATE(1556)] = 50029,
  [SMALL_STATE(1557)] = 50039,
  [SMALL_STATE(1558)] = 50047,
  [SMALL_STATE(1559)] = 50057,
  [SMALL_STATE(1560)] = 50067,
  [SMALL_STATE(1561)] = 50077,
  [SMALL_STATE(1562)] = 50087,
  [SMALL_STATE(1563)] = 50095,
  [SMALL_STATE(1564)] = 50103,
  [SMALL_STATE(1565)] = 50113,
  [SMALL_STATE(1566)] = 50121,
  [SMALL_STATE(1567)] = 50131,
  [SMALL_STATE(1568)] = 50141,
  [SMALL_STATE(1569)] = 50151,
  [SMALL_STATE(1570)] = 50161,
  [SMALL_STATE(1571)] = 50171,
  [SMALL_STATE(1572)] = 50181,
  [SMALL_STATE(1573)] = 50191,
  [SMALL_STATE(1574)] = 50199,
  [SMALL_STATE(1575)] = 50207,
  [SMALL_STATE(1576)] = 50217,
  [SMALL_STATE(1577)] = 50227,
  [SMALL_STATE(1578)] = 50237,
  [SMALL_STATE(1579)] = 50247,
  [SMALL_STATE(1580)] = 50257,
  [SMALL_STATE(1581)] = 50267,
  [SMALL_STATE(1582)] = 50277,
  [SMALL_STATE(1583)] = 50287,
  [SMALL_STATE(1584)] = 50297,
  [SMALL_STATE(1585)] = 50307,
  [SMALL_STATE(1586)] = 50317,
  [SMALL_STATE(1587)] = 50327,
  [SMALL_STATE(1588)] = 50335,
  [SMALL_STATE(1589)] = 50345,
  [SMALL_STATE(1590)] = 50355,
  [SMALL_STATE(1591)] = 50363,
  [SMALL_STATE(1592)] = 50373,
  [SMALL_STATE(1593)] = 50381,
  [SMALL_STATE(1594)] = 50391,
  [SMALL_STATE(1595)] = 50401,
  [SMALL_STATE(1596)] = 50411,
  [SMALL_STATE(1597)] = 50421,
  [SMALL_STATE(1598)] = 50431,
  [SMALL_STATE(1599)] = 50441,
  [SMALL_STATE(1600)] = 50451,
  [SMALL_STATE(1601)] = 50461,
  [SMALL_STATE(1602)] = 50471,
  [SMALL_STATE(1603)] = 50481,
  [SMALL_STATE(1604)] = 50491,
  [SMALL_STATE(1605)] = 50501,
  [SMALL_STATE(1606)] = 50511,
  [SMALL_STATE(1607)] = 50521,
  [SMALL_STATE(1608)] = 50531,
  [SMALL_STATE(1609)] = 50541,
  [SMALL_STATE(1610)] = 50551,
  [SMALL_STATE(1611)] = 50561,
  [SMALL_STATE(1612)] = 50571,
  [SMALL_STATE(1613)] = 50581,
  [SMALL_STATE(1614)] = 50591,
  [SMALL_STATE(1615)] = 50601,
  [SMALL_STATE(1616)] = 50611,
  [SMALL_STATE(1617)] = 50621,
  [SMALL_STATE(1618)] = 50629,
  [SMALL_STATE(1619)] = 50637,
  [SMALL_STATE(1620)] = 50647,
  [SMALL_STATE(1621)] = 50657,
  [SMALL_STATE(1622)] = 50667,
  [SMALL_STATE(1623)] = 50677,
  [SMALL_STATE(1624)] = 50687,
  [SMALL_STATE(1625)] = 50697,
  [SMALL_STATE(1626)] = 50707,
  [SMALL_STATE(1627)] = 50717,
  [SMALL_STATE(1628)] = 50727,
  [SMALL_STATE(1629)] = 50735,
  [SMALL_STATE(1630)] = 50745,
  [SMALL_STATE(1631)] = 50753,
  [SMALL_STATE(1632)] = 50763,
  [SMALL_STATE(1633)] = 50773,
  [SMALL_STATE(1634)] = 50780,
  [SMALL_STATE(1635)] = 50787,
  [SMALL_STATE(1636)] = 50794,
  [SMALL_STATE(1637)] = 50801,
  [SMALL_STATE(1638)] = 50808,
  [SMALL_STATE(1639)] = 50815,
  [SMALL_STATE(1640)] = 50822,
  [SMALL_STATE(1641)] = 50829,
  [SMALL_STATE(1642)] = 50836,
  [SMALL_STATE(1643)] = 50843,
  [SMALL_STATE(1644)] = 50850,
  [SMALL_STATE(1645)] = 50857,
  [SMALL_STATE(1646)] = 50864,
  [SMALL_STATE(1647)] = 50871,
  [SMALL_STATE(1648)] = 50878,
  [SMALL_STATE(1649)] = 50885,
  [SMALL_STATE(1650)] = 50892,
  [SMALL_STATE(1651)] = 50899,
  [SMALL_STATE(1652)] = 50906,
  [SMALL_STATE(1653)] = 50913,
  [SMALL_STATE(1654)] = 50920,
  [SMALL_STATE(1655)] = 50927,
  [SMALL_STATE(1656)] = 50934,
  [SMALL_STATE(1657)] = 50941,
  [SMALL_STATE(1658)] = 50948,
  [SMALL_STATE(1659)] = 50955,
  [SMALL_STATE(1660)] = 50962,
  [SMALL_STATE(1661)] = 50969,
  [SMALL_STATE(1662)] = 50976,
  [SMALL_STATE(1663)] = 50983,
  [SMALL_STATE(1664)] = 50990,
  [SMALL_STATE(1665)] = 50997,
  [SMALL_STATE(1666)] = 51004,
  [SMALL_STATE(1667)] = 51011,
  [SMALL_STATE(1668)] = 51018,
  [SMALL_STATE(1669)] = 51025,
  [SMALL_STATE(1670)] = 51032,
  [SMALL_STATE(1671)] = 51039,
  [SMALL_STATE(1672)] = 51046,
  [SMALL_STATE(1673)] = 51053,
  [SMALL_STATE(1674)] = 51060,
  [SMALL_STATE(1675)] = 51067,
  [SMALL_STATE(1676)] = 51074,
  [SMALL_STATE(1677)] = 51081,
  [SMALL_STATE(1678)] = 51088,
  [SMALL_STATE(1679)] = 51095,
  [SMALL_STATE(1680)] = 51102,
  [SMALL_STATE(1681)] = 51109,
  [SMALL_STATE(1682)] = 51116,
  [SMALL_STATE(1683)] = 51123,
  [SMALL_STATE(1684)] = 51130,
  [SMALL_STATE(1685)] = 51137,
  [SMALL_STATE(1686)] = 51144,
  [SMALL_STATE(1687)] = 51151,
  [SMALL_STATE(1688)] = 51158,
  [SMALL_STATE(1689)] = 51165,
  [SMALL_STATE(1690)] = 51172,
  [SMALL_STATE(1691)] = 51179,
  [SMALL_STATE(1692)] = 51186,
  [SMALL_STATE(1693)] = 51193,
  [SMALL_STATE(1694)] = 51200,
  [SMALL_STATE(1695)] = 51207,
  [SMALL_STATE(1696)] = 51214,
  [SMALL_STATE(1697)] = 51221,
  [SMALL_STATE(1698)] = 51228,
  [SMALL_STATE(1699)] = 51235,
  [SMALL_STATE(1700)] = 51242,
  [SMALL_STATE(1701)] = 51249,
  [SMALL_STATE(1702)] = 51256,
  [SMALL_STATE(1703)] = 51263,
  [SMALL_STATE(1704)] = 51270,
  [SMALL_STATE(1705)] = 51277,
  [SMALL_STATE(1706)] = 51284,
  [SMALL_STATE(1707)] = 51291,
  [SMALL_STATE(1708)] = 51298,
  [SMALL_STATE(1709)] = 51305,
  [SMALL_STATE(1710)] = 51312,
  [SMALL_STATE(1711)] = 51319,
  [SMALL_STATE(1712)] = 51326,
  [SMALL_STATE(1713)] = 51333,
  [SMALL_STATE(1714)] = 51340,
  [SMALL_STATE(1715)] = 51347,
  [SMALL_STATE(1716)] = 51354,
  [SMALL_STATE(1717)] = 51361,
  [SMALL_STATE(1718)] = 51368,
  [SMALL_STATE(1719)] = 51375,
  [SMALL_STATE(1720)] = 51382,
  [SMALL_STATE(1721)] = 51389,
  [SMALL_STATE(1722)] = 51396,
  [SMALL_STATE(1723)] = 51403,
  [SMALL_STATE(1724)] = 51410,
  [SMALL_STATE(1725)] = 51417,
  [SMALL_STATE(1726)] = 51424,
  [SMALL_STATE(1727)] = 51431,
  [SMALL_STATE(1728)] = 51438,
  [SMALL_STATE(1729)] = 51445,
  [SMALL_STATE(1730)] = 51452,
  [SMALL_STATE(1731)] = 51459,
  [SMALL_STATE(1732)] = 51466,
  [SMALL_STATE(1733)] = 51473,
  [SMALL_STATE(1734)] = 51480,
  [SMALL_STATE(1735)] = 51487,
  [SMALL_STATE(1736)] = 51494,
  [SMALL_STATE(1737)] = 51501,
  [SMALL_STATE(1738)] = 51508,
  [SMALL_STATE(1739)] = 51515,
  [SMALL_STATE(1740)] = 51522,
  [SMALL_STATE(1741)] = 51529,
  [SMALL_STATE(1742)] = 51536,
  [SMALL_STATE(1743)] = 51543,
  [SMALL_STATE(1744)] = 51550,
  [SMALL_STATE(1745)] = 51557,
  [SMALL_STATE(1746)] = 51564,
  [SMALL_STATE(1747)] = 51571,
  [SMALL_STATE(1748)] = 51578,
  [SMALL_STATE(1749)] = 51585,
  [SMALL_STATE(1750)] = 51592,
  [SMALL_STATE(1751)] = 51599,
  [SMALL_STATE(1752)] = 51606,
  [SMALL_STATE(1753)] = 51613,
  [SMALL_STATE(1754)] = 51620,
  [SMALL_STATE(1755)] = 51627,
  [SMALL_STATE(1756)] = 51634,
  [SMALL_STATE(1757)] = 51641,
  [SMALL_STATE(1758)] = 51648,
  [SMALL_STATE(1759)] = 51655,
  [SMALL_STATE(1760)] = 51662,
  [SMALL_STATE(1761)] = 51669,
  [SMALL_STATE(1762)] = 51676,
  [SMALL_STATE(1763)] = 51683,
  [SMALL_STATE(1764)] = 51690,
  [SMALL_STATE(1765)] = 51697,
  [SMALL_STATE(1766)] = 51704,
  [SMALL_STATE(1767)] = 51711,
  [SMALL_STATE(1768)] = 51718,
  [SMALL_STATE(1769)] = 51725,
  [SMALL_STATE(1770)] = 51732,
  [SMALL_STATE(1771)] = 51739,
  [SMALL_STATE(1772)] = 51746,
  [SMALL_STATE(1773)] = 51753,
  [SMALL_STATE(1774)] = 51760,
  [SMALL_STATE(1775)] = 51767,
  [SMALL_STATE(1776)] = 51774,
  [SMALL_STATE(1777)] = 51781,
  [SMALL_STATE(1778)] = 51788,
  [SMALL_STATE(1779)] = 51795,
  [SMALL_STATE(1780)] = 51802,
  [SMALL_STATE(1781)] = 51809,
  [SMALL_STATE(1782)] = 51816,
  [SMALL_STATE(1783)] = 51823,
  [SMALL_STATE(1784)] = 51830,
  [SMALL_STATE(1785)] = 51837,
  [SMALL_STATE(1786)] = 51844,
  [SMALL_STATE(1787)] = 51851,
  [SMALL_STATE(1788)] = 51858,
  [SMALL_STATE(1789)] = 51865,
  [SMALL_STATE(1790)] = 51872,
  [SMALL_STATE(1791)] = 51879,
  [SMALL_STATE(1792)] = 51886,
  [SMALL_STATE(1793)] = 51893,
  [SMALL_STATE(1794)] = 51900,
  [SMALL_STATE(1795)] = 51907,
  [SMALL_STATE(1796)] = 51914,
  [SMALL_STATE(1797)] = 51921,
  [SMALL_STATE(1798)] = 51928,
  [SMALL_STATE(1799)] = 51935,
  [SMALL_STATE(1800)] = 51942,
  [SMALL_STATE(1801)] = 51949,
  [SMALL_STATE(1802)] = 51956,
  [SMALL_STATE(1803)] = 51963,
  [SMALL_STATE(1804)] = 51970,
  [SMALL_STATE(1805)] = 51977,
  [SMALL_STATE(1806)] = 51984,
  [SMALL_STATE(1807)] = 51991,
  [SMALL_STATE(1808)] = 51998,
  [SMALL_STATE(1809)] = 52005,
  [SMALL_STATE(1810)] = 52012,
  [SMALL_STATE(1811)] = 52019,
  [SMALL_STATE(1812)] = 52026,
  [SMALL_STATE(1813)] = 52033,
  [SMALL_STATE(1814)] = 52040,
  [SMALL_STATE(1815)] = 52047,
  [SMALL_STATE(1816)] = 52054,
  [SMALL_STATE(1817)] = 52061,
  [SMALL_STATE(1818)] = 52068,
  [SMALL_STATE(1819)] = 52075,
  [SMALL_STATE(1820)] = 52082,
  [SMALL_STATE(1821)] = 52089,
  [SMALL_STATE(1822)] = 52096,
  [SMALL_STATE(1823)] = 52103,
  [SMALL_STATE(1824)] = 52110,
  [SMALL_STATE(1825)] = 52117,
  [SMALL_STATE(1826)] = 52124,
  [SMALL_STATE(1827)] = 52131,
  [SMALL_STATE(1828)] = 52138,
  [SMALL_STATE(1829)] = 52145,
  [SMALL_STATE(1830)] = 52152,
  [SMALL_STATE(1831)] = 52159,
  [SMALL_STATE(1832)] = 52166,
  [SMALL_STATE(1833)] = 52173,
  [SMALL_STATE(1834)] = 52180,
  [SMALL_STATE(1835)] = 52187,
  [SMALL_STATE(1836)] = 52194,
  [SMALL_STATE(1837)] = 52201,
  [SMALL_STATE(1838)] = 52208,
  [SMALL_STATE(1839)] = 52215,
  [SMALL_STATE(1840)] = 52222,
  [SMALL_STATE(1841)] = 52229,
  [SMALL_STATE(1842)] = 52236,
  [SMALL_STATE(1843)] = 52243,
  [SMALL_STATE(1844)] = 52250,
  [SMALL_STATE(1845)] = 52257,
  [SMALL_STATE(1846)] = 52264,
  [SMALL_STATE(1847)] = 52271,
  [SMALL_STATE(1848)] = 52278,
  [SMALL_STATE(1849)] = 52285,
  [SMALL_STATE(1850)] = 52292,
  [SMALL_STATE(1851)] = 52299,
  [SMALL_STATE(1852)] = 52306,
  [SMALL_STATE(1853)] = 52313,
  [SMALL_STATE(1854)] = 52320,
  [SMALL_STATE(1855)] = 52327,
  [SMALL_STATE(1856)] = 52334,
  [SMALL_STATE(1857)] = 52341,
  [SMALL_STATE(1858)] = 52348,
  [SMALL_STATE(1859)] = 52355,
  [SMALL_STATE(1860)] = 52362,
  [SMALL_STATE(1861)] = 52369,
  [SMALL_STATE(1862)] = 52376,
  [SMALL_STATE(1863)] = 52383,
  [SMALL_STATE(1864)] = 52390,
  [SMALL_STATE(1865)] = 52397,
  [SMALL_STATE(1866)] = 52404,
  [SMALL_STATE(1867)] = 52411,
  [SMALL_STATE(1868)] = 52418,
  [SMALL_STATE(1869)] = 52425,
  [SMALL_STATE(1870)] = 52432,
  [SMALL_STATE(1871)] = 52439,
  [SMALL_STATE(1872)] = 52446,
  [SMALL_STATE(1873)] = 52453,
  [SMALL_STATE(1874)] = 52460,
  [SMALL_STATE(1875)] = 52467,
  [SMALL_STATE(1876)] = 52474,
  [SMALL_STATE(1877)] = 52481,
  [SMALL_STATE(1878)] = 52488,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(516),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(644),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1611),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(835),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(925),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1344),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1384),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1806),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(593),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1787),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1360),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(508),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1320),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1128),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(29),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1030),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(892),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1584),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1737),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1798),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1760),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1599),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(211),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(392),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1323),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1802),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 16),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1668),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1735),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1734),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1786),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1721),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 40),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 16),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 40),
  [255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(508),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1320),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1751),
  [264] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1128),
  [267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1752),
  [272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1543),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(482),
  [278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(644),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(644),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(655),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(106),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(961),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1030),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(892),
  [299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1859),
  [302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1611),
  [305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1855),
  [308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(979),
  [311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(42),
  [314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(939),
  [317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(835),
  [320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(811),
  [323] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(925),
  [326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1480),
  [329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1344),
  [332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1384),
  [335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1579),
  [338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1584),
  [341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(592),
  [344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1737),
  [347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1576),
  [350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(419),
  [353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1870),
  [356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(558),
  [359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1798),
  [362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1797),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1760),
  [368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1599),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1788),
  [374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(594),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(593),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1787),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1784),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1768),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1360),
  [392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(758),
  [395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1592),
  [398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1442),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(758),
  [404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(770),
  [407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(510),
  [410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1323),
  [413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1802),
  [416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1126),
  [419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1780),
  [422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1596),
  [425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(163),
  [428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(960),
  [431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1023),
  [434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(864),
  [437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(35),
  [440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1582),
  [443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1612),
  [446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(600),
  [449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1668),
  [452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1589),
  [455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(438),
  [458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1873),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(559),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1735),
  [467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1734),
  [470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1786),
  [473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1619),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1721),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1316),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1681),
  [485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1130),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1621),
  [491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(855),
  [499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1578),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1805),
  [511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1566),
  [513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1808),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1809),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1690),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1550),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1318),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1818),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1615),
  [543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [615] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(507),
  [618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1316),
  [621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1681),
  [624] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1130),
  [627] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1682),
  [630] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1621),
  [633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(264),
  [636] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(958),
  [639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1036),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(855),
  [645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(40),
  [648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1578),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1577),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(599),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1805),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1566),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(423),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1828),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(554),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1808),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1809),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1690),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1550),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1706),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(505),
  [694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1318),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1818),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1124),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1803),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1615),
  [709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(320),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(965),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1020),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(880),
  [721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(38),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1606),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1564),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(601),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1650),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1613),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(418),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1876),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(569),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1666),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1662),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1807),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1554),
  [760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1657),
  [763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(516),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1319),
  [775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1878),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1150),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1872),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1626),
  [787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(482),
  [790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(644),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(644),
  [796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(655),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(976),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1010),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(896),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1859),
  [811] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1611),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1855),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(979),
  [820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(37),
  [823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(939),
  [826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(835),
  [829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(811),
  [832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(925),
  [835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1480),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1344),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1384),
  [844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1572),
  [847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1571),
  [850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(605),
  [853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1830),
  [856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1567),
  [859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(448),
  [862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1826),
  [865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(557),
  [868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1825),
  [871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1819),
  [874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1806),
  [877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(594),
  [880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(593),
  [883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1787),
  [886] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1784),
  [889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1768),
  [892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1360),
  [895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1092),
  [898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1592),
  [901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1442),
  [904] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1092),
  [907] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(770),
  [910] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(509),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [915] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(482),
  [918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(644),
  [921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(644),
  [924] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(655),
  [927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(106),
  [930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(961),
  [933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1030),
  [936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(835),
  [939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1859),
  [942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1611),
  [945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1855),
  [948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(42),
  [951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(939),
  [954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(811),
  [957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(925),
  [960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1480),
  [963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1344),
  [966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1384),
  [969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1579),
  [972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1584),
  [975] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1576),
  [978] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(419),
  [981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1870),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(558),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1798),
  [990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1797),
  [993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1760),
  [996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1599),
  [999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1788),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(594),
  [1005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(593),
  [1008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1787),
  [1011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1784),
  [1014] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1768),
  [1017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1360),
  [1020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(758),
  [1023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1592),
  [1026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1442),
  [1029] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(758),
  [1032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(770),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [1047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(511),
  [1050] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(163),
  [1053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(960),
  [1056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1023),
  [1059] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(35),
  [1062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1582),
  [1065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1612),
  [1068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1589),
  [1071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(438),
  [1074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1873),
  [1077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(559),
  [1080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1735),
  [1083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1734),
  [1086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1786),
  [1089] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1619),
  [1092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1721),
  [1095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(506),
  [1098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(264),
  [1101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(958),
  [1104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1036),
  [1107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(40),
  [1110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1578),
  [1115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1577),
  [1118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1566),
  [1121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(423),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1828),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(554),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1808),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1809),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1690),
  [1139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1550),
  [1142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1706),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 9),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [1157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1836),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 9),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(504),
  [1168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(320),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(965),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1020),
  [1177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(38),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1606),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1564),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1613),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(418),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1876),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(569),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1666),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1662),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1807),
  [1207] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1554),
  [1210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1657),
  [1213] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(513),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(233),
  [1219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(976),
  [1222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1010),
  [1225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(37),
  [1228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1572),
  [1231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1571),
  [1234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1567),
  [1237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(448),
  [1240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1826),
  [1243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(557),
  [1246] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1825),
  [1249] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1819),
  [1252] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1806),
  [1255] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1568),
  [1258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1836),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(512),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1632),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1629),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1846),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1585),
  [1286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(515),
  [1288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [1292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 78),
  [1300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 78),
  [1302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 54),
  [1304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 54),
  [1306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 82),
  [1308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 82),
  [1310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [1312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [1314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [1316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [1318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [1320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [1322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [1324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [1326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 8),
  [1330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 47),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 47),
  [1334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 74),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 74),
  [1338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 94),
  [1340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 94),
  [1342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 8),
  [1346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 47),
  [1348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 47),
  [1350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 31),
  [1352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 31),
  [1354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 29),
  [1356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 29),
  [1358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 27),
  [1360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 27),
  [1362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [1364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [1366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 26),
  [1370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 26),
  [1372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 26),
  [1374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [1376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [1378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [1380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [1382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [1384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [1386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [1388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [1390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [1396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [1398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 74),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 74),
  [1402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 21),
  [1404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 21),
  [1406] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 89),
  [1408] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 5, .production_id = 89),
  [1410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 1, .production_id = 2),
  [1414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [1416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 4),
  [1420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 91),
  [1422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 91),
  [1424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [1428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 15),
  [1430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 15),
  [1432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 16),
  [1434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 16),
  [1436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 16),
  [1438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 16),
  [1440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 17),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 17),
  [1444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 32),
  [1446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 32),
  [1448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 36),
  [1450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 3, .production_id = 36),
  [1452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 38),
  [1454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 38),
  [1456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 39),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 39),
  [1460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 40),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 40),
  [1464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 41),
  [1466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 41),
  [1468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 16),
  [1470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 16),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [1474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [1476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 63),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 63),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 64),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 64),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 65),
  [1486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_definition, 4, .production_id = 65),
  [1488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 68),
  [1490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 68),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 69),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 69),
  [1496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 40),
  [1498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 40),
  [1500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 70),
  [1502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 70),
  [1504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [1508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [1510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(432),
  [1512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 56),
  [1518] = {.entry = {.count = 1, .reusable = false}}, SHIFT(619),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1522] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 56),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(623),
  [1528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(734),
  [1531] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(482),
  [1534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(644),
  [1537] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(644),
  [1540] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(655),
  [1543] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(106),
  [1546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1580),
  [1549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(42),
  [1552] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1579),
  [1555] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1584),
  [1558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(592),
  [1561] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1737),
  [1564] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1576),
  [1567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(419),
  [1570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1870),
  [1573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(558),
  [1576] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1798),
  [1579] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1797),
  [1582] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1760),
  [1585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1599),
  [1588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1788),
  [1591] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(594),
  [1594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(593),
  [1597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1787),
  [1600] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1784),
  [1603] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1768),
  [1606] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1360),
  [1609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(758),
  [1612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1592),
  [1615] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1442),
  [1618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(758),
  [1621] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(770),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(735),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(264),
  [1634] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(40),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1578),
  [1640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1577),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(599),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1805),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1566),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(423),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1828),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(554),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1808),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1809),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1690),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1550),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1706),
  [1676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [1680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [1684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1688] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(738),
  [1691] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(37),
  [1694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1632),
  [1697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1571),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(614),
  [1703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1799),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1629),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(448),
  [1712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1846),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(557),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1825),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1819),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1806),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1585),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(736),
  [1733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(163),
  [1736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(35),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1582),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1612),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(600),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1668),
  [1751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1589),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(438),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1873),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(559),
  [1763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1735),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1734),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1786),
  [1772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1619),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1721),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(733),
  [1781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(320),
  [1784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(38),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1606),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1564),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(601),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1650),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1613),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(418),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1876),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(569),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1666),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1662),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1807),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1554),
  [1823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1657),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(740),
  [1829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(233),
  [1832] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1572),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(605),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1830),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1567),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1826),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1568),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1836),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [1855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 1, .production_id = 2),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [1863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(633),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [1869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [1871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [1873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1495),
  [1875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [1877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [1885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(451),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [1896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [1903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(606),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [1909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [1917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [1921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [1947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [1949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [1955] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [1959] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1), SHIFT(1033),
  [1963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [1976] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1642),
  [1997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [2001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [2005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [2007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [2009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [2011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [2013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(805),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(998),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [2033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [2039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [2043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(876),
  [2045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1822),
  [2047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 40),
  [2051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(801),
  [2061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [2063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(920),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1821),
  [2071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1129),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1722),
  [2079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1601),
  [2082] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(811),
  [2085] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(835),
  [2088] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1859),
  [2091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1570),
  [2094] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1855),
  [2097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(939),
  [2100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(925),
  [2103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1480),
  [2106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1344),
  [2109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1384),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [2116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 40),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(873),
  [2120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(617),
  [2124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1822),
  [2127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1127),
  [2130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1771),
  [2133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1595),
  [2136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(643),
  [2140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [2144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [2148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1794),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1591),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2),
  [2154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1823),
  [2157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1125),
  [2160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1794),
  [2163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1591),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [2168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1779),
  [2171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1132),
  [2174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1854),
  [2177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1581),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [2182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 40),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 81),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1779),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1132),
  [2194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [2204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 55),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .production_id = 55),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 99),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [2228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [2284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [2286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [2290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [2292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [2294] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(681),
  [2297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2299] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [2301] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1442),
  [2304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [2308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [2310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [2312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(920),
  [2315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(811),
  [2318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(835),
  [2321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1859),
  [2324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1570),
  [2327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1855),
  [2330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2),
  [2332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(939),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(925),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1480),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1344),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__old_style_function_definition_repeat1, 2), SHIFT_REPEAT(1384),
  [2347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [2349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [2351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [2353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [2357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(737),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 115),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 115),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 85),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 85),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 84),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 84),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 103),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 103),
  [2376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 102),
  [2378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 102),
  [2380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 57),
  [2382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 57),
  [2384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 110),
  [2386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 110),
  [2388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 111),
  [2390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 111),
  [2392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 119),
  [2394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 119),
  [2396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 116),
  [2398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 116),
  [2400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [2402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [2404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [2408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(811),
  [2411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(835),
  [2414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1859),
  [2417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1570),
  [2420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(1855),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [2431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 9),
  [2433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 5),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 67),
  [2449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [2451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(646),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(662),
  [2459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [2461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [2465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [2469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(588),
  [2471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 67),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 28),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 28),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 4, .production_id = 66),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 4, .production_id = 66),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 28),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 28),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 12),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 37),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 37),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 45),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 45),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 45),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 5),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 90),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 90),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 11),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 5),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 56),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 56),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [2555] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [2557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [2563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 100),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 100),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [2579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 42),
  [2583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 91),
  [2585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 91),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 16),
  [2589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 16),
  [2591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 70),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 70),
  [2595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 42),
  [2597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 42),
  [2599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 40),
  [2601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 40),
  [2603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 69),
  [2605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 69),
  [2607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 31),
  [2609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 31),
  [2611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 31),
  [2613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 31),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 16),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 16),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 41),
  [2621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 41),
  [2623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 40),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 40),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 7),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [2633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 2),
  [2635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [2637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym__old_style_parameter_list, 2),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1296),
  [2647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [2649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 52),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 23),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 23),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 3),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [2667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2670] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 3), REDUCE(sym__old_style_parameter_list, 3),
  [2673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 7),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 23),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 23),
  [2683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(632),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(637),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [2695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(631),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [2703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(653),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(649),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [2715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [2719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 77),
  [2721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 77),
  [2723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 8),
  [2727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 51),
  [2729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 51),
  [2731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 24),
  [2735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 53),
  [2739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 51),
  [2741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 51),
  [2743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 24),
  [2747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 22),
  [2751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 8),
  [2755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 3),
  [2759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 3),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 13),
  [2765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 13),
  [2767] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 13),
  [2769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 13),
  [2771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [2775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(909),
  [2778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 22),
  [2782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 22),
  [2784] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 22),
  [2786] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [2788] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [2790] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [2792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 24),
  [2794] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [2796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 24),
  [2798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 76),
  [2800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 76),
  [2802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [2804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [2806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1033),
  [2809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [2811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 8),
  [2813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [2815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 53),
  [2817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [2819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 7),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 5, .production_id = 51),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 5, .production_id = 51),
  [2825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [2827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [2829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [2831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 8),
  [2833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 58),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_macro_type_specifier, 4, .dynamic_precedence = -1, .production_id = 58),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 51),
  [2839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 51),
  [2841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [2843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 5, .production_id = 52),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 5),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 5),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 22),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 4, .production_id = 23),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 4, .production_id = 23),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 14),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 14),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 8),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 49),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 49),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 6, .production_id = 77),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 6, .production_id = 77),
  [2877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(935),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [2882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [2884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [2886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(940),
  [2888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 13),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 13),
  [2892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [2894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [2896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 3, .production_id = 7),
  [2900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 23),
  [2902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 23),
  [2904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 3, .production_id = 7),
  [2908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [2910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [2912] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [2914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 4, .production_id = 22),
  [2916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [2922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1343),
  [2924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [2936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7),
  [2938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(1859),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [2951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49), SHIFT(1859),
  [2954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [2956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [2958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [2960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [2966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_parameter_list, 4),
  [2968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 4),
  [2970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 33),
  [2972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_function_declarator, 2, .production_id = 33),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [2980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(636),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(616),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [2994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1031),
  [2998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__old_style_parameter_list, 3),
  [3000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [3002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 76),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 76),
  [3008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 76), SHIFT(1859),
  [3011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 22),
  [3013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 22),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 22), SHIFT(1859),
  [3018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 8),
  [3022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 8), SHIFT(1859),
  [3025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [3035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1503),
  [3040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(977),
  [3043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [3047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 44),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [3053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3060] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), SHIFT(1033),
  [3064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [3073] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [3080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(677),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 60),
  [3092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [3094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 80),
  [3098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 79),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 106),
  [3110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [3112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [3114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [3116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 98),
  [3118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [3120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 97),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 96),
  [3126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 75),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .production_id = 107),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [3140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(640),
  [3148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [3150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [3152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(615),
  [3154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [3156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [3160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [3164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [3168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [3176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [3178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [3180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [3188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(811),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [3209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1103),
  [3212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(1101),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 3),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [3219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 13),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 3),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 13),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [3243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [3245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1560),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1138),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [3271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [3283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1199),
  [3289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [3293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1118),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 28),
  [3303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 28),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1121),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [3317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 5),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [3353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1154),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [3357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1156),
  [3361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 13),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 13),
  [3377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 3),
  [3381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [3385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [3387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [3395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 12),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 12),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [3403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [3409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 13),
  [3411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 13),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 3),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [3423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [3425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [3435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 42),
  [3437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [3439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [3441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1167),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1170),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1173),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1174),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1176),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1131),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [3463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1152),
  [3469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [3471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [3473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(909),
  [3478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(940),
  [3481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [3483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [3485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [3487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1194),
  [3489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [3491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [3493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [3495] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 7), SHIFT(1756),
  [3498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [3500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, .production_id = 10),
  [3504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [3506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [3508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [3510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [3512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [3514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [3518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [3520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(1611),
  [3525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [3527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .production_id = 33),
  [3529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .production_id = 33),
  [3531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 3, .production_id = 33),
  [3533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 3, .production_id = 33),
  [3535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 59),
  [3537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 104),
  [3539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [3541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 30),
  [3543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 4, .production_id = 33),
  [3545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 4, .production_id = 33),
  [3547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(1859),
  [3552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [3554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [3556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 1, .production_id = 10),
  [3558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [3560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [3562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 30),
  [3564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [3566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [3568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [3570] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [3572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [3574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 30),
  [3576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 30),
  [3578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 104),
  [3580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 59),
  [3582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [3584] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [3586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [3590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [3592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [3594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [3598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 88),
  [3600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 88),
  [3602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 30),
  [3604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 10),
  [3606] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 10),
  [3608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 10),
  [3610] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 10),
  [3612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 105),
  [3614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 105),
  [3616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [3622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 10),
  [3624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 59),
  [3626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [3628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 104),
  [3632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [3634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [3636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 30),
  [3638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [3642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [3644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [3646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [3648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1518),
  [3652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1741),
  [3654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [3656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [3658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [3660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [3662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [3664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [3666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 71),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [3670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .production_id = 33),
  [3672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .production_id = 33),
  [3674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 10),
  [3676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 10),
  [3678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 88),
  [3680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 88),
  [3682] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 10),
  [3684] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 10),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [3690] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 105),
  [3692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 105),
  [3694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [3696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [3698] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [3700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 50),
  [3702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 50),
  [3704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 20),
  [3706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 20),
  [3708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [3710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 10),
  [3712] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 10),
  [3714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [3720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [3726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 10),
  [3728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 10),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [3732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 88),
  [3734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 88),
  [3736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [3738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [3740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 33),
  [3742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 33),
  [3744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 105),
  [3746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 105),
  [3748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 73),
  [3750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 59),
  [3758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [3760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [3762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(1418),
  [3765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 18),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [3771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 30),
  [3773] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(612),
  [3776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [3778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1642),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 43),
  [3783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 46),
  [3785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [3787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 10),
  [3789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 105),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 33),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [3797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 10),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 88),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 72),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 92),
  [3807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [3815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 19),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [3819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 109),
  [3821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 35),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [3833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1441),
  [3835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 117), SHIFT_REPEAT(1366),
  [3838] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 117),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [3846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 10),
  [3850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 2, .production_id = 35),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 101),
  [3860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [3862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 83),
  [3864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [3870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [3884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [3896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1639),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [3910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 113),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 48),
  [3918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [3930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 108), SHIFT_REPEAT(1325),
  [3933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 108),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1424),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [3947] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 62), SHIFT_REPEAT(1288),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 2, .production_id = 62),
  [3952] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_declarator, 3, .production_id = 95),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3958] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 108), SHIFT_REPEAT(1334),
  [3961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 108),
  [3963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [3965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [3969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [3971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [3973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 62), SHIFT_REPEAT(1228),
  [3978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 62),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [3984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 83),
  [3988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [3990] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1441),
  [3993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(1441),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1390),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [4010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [4012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [4014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [4016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [4018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 101),
  [4022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [4024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [4028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [4034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 83),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [4046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2), SHIFT_REPEAT(1503),
  [4049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 112),
  [4053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 34),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1544),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 83),
  [4061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 35),
  [4063] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(1558),
  [4066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [4070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 114),
  [4072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [4076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [4078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [4080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [4082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [4086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(1007),
  [4089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [4091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 112),
  [4093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 109),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [4103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 118),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [4113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [4117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(528),
  [4120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [4122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [4126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [4128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__field_declaration_declarator_repeat1, 3, .production_id = 30),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [4138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 62), SHIFT_REPEAT(1279),
  [4141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 62),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 3, .production_id = 61),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 121),
  [4163] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(1544),
  [4166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [4168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [4170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [4172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [4174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 93),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 121),
  [4178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [4190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(543),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4195] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 120), SHIFT_REPEAT(1839),
  [4198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 120),
  [4200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(707),
  [4203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [4209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(1565),
  [4212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [4214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(1133),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [4223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [4225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [4229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [4233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [4239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 114),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [4243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1703),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1471),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 3, .production_id = 87),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [4259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [4261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [4263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1861),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [4267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1728),
  [4269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter, 1),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [4273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [4281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [4285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1659),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [4297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [4301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [4305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1663),
  [4307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [4309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [4313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1658),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1653),
  [4319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), REDUCE(aux_sym__old_style_parameter_list_repeat1, 2),
  [4322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [4324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [4326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [4328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [4330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [4332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [4334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [4336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1733),
  [4338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 48),
  [4340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [4342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [4344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [4346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [4348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [4350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [4352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [4354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [4356] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [4358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [4360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [4362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [4364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [4366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [4368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [4372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [4374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [4376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [4378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [4386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [4396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [4398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [4402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [4404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [4406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [4408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(858),
  [4410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [4412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [4416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [4418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [4420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [4422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [4426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [4428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [4430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [4434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 41),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [4442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [4444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [4450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [4458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [4460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [4468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [4472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [4488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [4492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [4496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [4498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [4500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 69),
  [4502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 70),
  [4504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [4506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [4514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [4532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [4536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [4542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [4548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [4552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [4554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1210),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [4580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [4582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [4602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [4604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 91),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [4628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [4648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [4670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [4694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [4700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [4708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 91),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [4718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [4720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [4730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [4732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [4734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [4736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [4738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1845),
  [4740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [4746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [4748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [4750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [4752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 69),
  [4754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [4756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [4758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [4760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_c(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
