#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1381
#define LARGE_STATE_COUNT 406
#define SYMBOL_COUNT 321
#define ALIAS_COUNT 1
#define TOKEN_COUNT 138
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 40
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 208

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_decimal_floating_point_literal = 6,
  sym_hex_floating_point_literal = 7,
  sym_true = 8,
  sym_false = 9,
  sym_character_literal = 10,
  anon_sym_DQUOTE = 11,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 12,
  sym_string_fragment = 13,
  aux_sym__multiline_string_fragment_token1 = 14,
  aux_sym__multiline_string_fragment_token2 = 15,
  anon_sym_BSLASH_LBRACE = 16,
  anon_sym_RBRACE = 17,
  aux_sym__escape_sequence_token1 = 18,
  sym_escape_sequence = 19,
  sym_null_literal = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_AMP = 23,
  anon_sym_EQ = 24,
  anon_sym_PLUS_EQ = 25,
  anon_sym_DASH_EQ = 26,
  anon_sym_STAR_EQ = 27,
  anon_sym_SLASH_EQ = 28,
  anon_sym_AMP_EQ = 29,
  anon_sym_PIPE_EQ = 30,
  anon_sym_CARET_EQ = 31,
  anon_sym_PERCENT_EQ = 32,
  anon_sym_LT_LT_EQ = 33,
  anon_sym_GT_GT_EQ = 34,
  anon_sym_GT_GT_GT_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_LT = 37,
  anon_sym_GT_EQ = 38,
  anon_sym_LT_EQ = 39,
  anon_sym_EQ_EQ = 40,
  anon_sym_BANG_EQ = 41,
  anon_sym_AMP_AMP = 42,
  anon_sym_PIPE_PIPE = 43,
  anon_sym_PLUS = 44,
  anon_sym_DASH = 45,
  anon_sym_STAR = 46,
  anon_sym_SLASH = 47,
  anon_sym_PIPE = 48,
  anon_sym_CARET = 49,
  anon_sym_PERCENT = 50,
  anon_sym_LT_LT = 51,
  anon_sym_GT_GT = 52,
  anon_sym_GT_GT_GT = 53,
  anon_sym_instanceof = 54,
  anon_sym_final = 55,
  anon_sym_DASH_GT = 56,
  anon_sym_COMMA = 57,
  anon_sym_QMARK = 58,
  anon_sym_COLON = 59,
  anon_sym_BANG = 60,
  anon_sym_TILDE = 61,
  anon_sym_PLUS_PLUS = 62,
  anon_sym_DASH_DASH = 63,
  anon_sym_new = 64,
  anon_sym_LBRACK = 65,
  anon_sym_RBRACK = 66,
  anon_sym_DOT = 67,
  anon_sym_class = 68,
  anon_sym_COLON_COLON = 69,
  anon_sym_extends = 70,
  anon_sym_switch = 71,
  anon_sym_LBRACE = 72,
  anon_sym_case = 73,
  anon_sym_default = 74,
  sym_underscore_pattern = 75,
  anon_sym_when = 76,
  anon_sym_SEMI = 77,
  anon_sym_assert = 78,
  anon_sym_do = 79,
  anon_sym_while = 80,
  anon_sym_break = 81,
  anon_sym_continue = 82,
  anon_sym_return = 83,
  anon_sym_yield = 84,
  anon_sym_synchronized = 85,
  anon_sym_throw = 86,
  anon_sym_try = 87,
  anon_sym_catch = 88,
  anon_sym_finally = 89,
  anon_sym_if = 90,
  anon_sym_else = 91,
  anon_sym_for = 92,
  anon_sym_AT = 93,
  anon_sym_open = 94,
  anon_sym_module = 95,
  anon_sym_requires = 96,
  anon_sym_transitive = 97,
  anon_sym_static = 98,
  anon_sym_exports = 99,
  anon_sym_to = 100,
  anon_sym_opens = 101,
  anon_sym_uses = 102,
  anon_sym_provides = 103,
  anon_sym_with = 104,
  anon_sym_package = 105,
  anon_sym_import = 106,
  anon_sym_enum = 107,
  anon_sym_public = 108,
  anon_sym_protected = 109,
  anon_sym_private = 110,
  anon_sym_abstract = 111,
  anon_sym_strictfp = 112,
  anon_sym_native = 113,
  anon_sym_transient = 114,
  anon_sym_volatile = 115,
  anon_sym_sealed = 116,
  anon_sym_non_DASHsealed = 117,
  anon_sym_implements = 118,
  anon_sym_permits = 119,
  anon_sym_record = 120,
  anon_sym_ATinterface = 121,
  anon_sym_interface = 122,
  anon_sym_byte = 123,
  anon_sym_short = 124,
  anon_sym_int = 125,
  anon_sym_long = 126,
  anon_sym_char = 127,
  anon_sym_float = 128,
  anon_sym_double = 129,
  sym_boolean_type = 130,
  sym_void_type = 131,
  anon_sym_DOT_DOT_DOT = 132,
  anon_sym_throws = 133,
  sym_this = 134,
  sym_super = 135,
  sym_line_comment = 136,
  sym_block_comment = 137,
  sym_program = 138,
  sym__toplevel_statement = 139,
  sym__literal = 140,
  sym_string_literal = 141,
  sym__string_literal = 142,
  sym__multiline_string_literal = 143,
  sym__multiline_string_fragment = 144,
  sym_string_interpolation = 145,
  sym__escape_sequence = 146,
  sym_expression = 147,
  sym_cast_expression = 148,
  sym_assignment_expression = 149,
  sym_binary_expression = 150,
  sym_instanceof_expression = 151,
  sym_lambda_expression = 152,
  sym_inferred_parameters = 153,
  sym_ternary_expression = 154,
  sym_unary_expression = 155,
  sym_update_expression = 156,
  sym_primary_expression = 157,
  sym_array_creation_expression = 158,
  sym_dimensions_expr = 159,
  sym_parenthesized_expression = 160,
  sym_condition = 161,
  sym_class_literal = 162,
  sym_object_creation_expression = 163,
  sym__unqualified_object_creation_expression = 164,
  sym_field_access = 165,
  sym_template_expression = 166,
  sym_array_access = 167,
  sym_method_invocation = 168,
  sym_argument_list = 169,
  sym_method_reference = 170,
  sym_type_arguments = 171,
  sym_wildcard = 172,
  sym__wildcard_bounds = 173,
  sym_dimensions = 174,
  sym_switch_expression = 175,
  sym_switch_block = 176,
  sym_switch_block_statement_group = 177,
  sym_switch_rule = 178,
  sym_switch_label = 179,
  sym_pattern = 180,
  sym_type_pattern = 181,
  sym_record_pattern = 182,
  sym_record_pattern_body = 183,
  sym_record_pattern_component = 184,
  sym_guard = 185,
  sym_statement = 186,
  sym_block = 187,
  sym_expression_statement = 188,
  sym_labeled_statement = 189,
  sym_assert_statement = 190,
  sym_do_statement = 191,
  sym_break_statement = 192,
  sym_continue_statement = 193,
  sym_return_statement = 194,
  sym_yield_statement = 195,
  sym_synchronized_statement = 196,
  sym_throw_statement = 197,
  sym_try_statement = 198,
  sym_catch_clause = 199,
  sym_catch_formal_parameter = 200,
  sym_catch_type = 201,
  sym_finally_clause = 202,
  sym_try_with_resources_statement = 203,
  sym_resource_specification = 204,
  sym_resource = 205,
  sym_if_statement = 206,
  sym_while_statement = 207,
  sym_for_statement = 208,
  sym_enhanced_for_statement = 209,
  sym__annotation = 210,
  sym_marker_annotation = 211,
  sym_annotation = 212,
  sym_annotation_argument_list = 213,
  sym_element_value_pair = 214,
  sym__element_value = 215,
  sym_element_value_array_initializer = 216,
  sym_declaration = 217,
  sym_module_declaration = 218,
  sym_module_body = 219,
  sym_module_directive = 220,
  sym_requires_module_directive = 221,
  sym_requires_modifier = 222,
  sym_exports_module_directive = 223,
  sym_opens_module_directive = 224,
  sym_uses_module_directive = 225,
  sym_provides_module_directive = 226,
  sym_package_declaration = 227,
  sym_import_declaration = 228,
  sym_asterisk = 229,
  sym_enum_declaration = 230,
  sym_enum_body = 231,
  sym_enum_body_declarations = 232,
  sym_enum_constant = 233,
  sym_class_declaration = 234,
  sym_modifiers = 235,
  sym_type_parameters = 236,
  sym_type_parameter = 237,
  sym_type_bound = 238,
  sym_superclass = 239,
  sym_super_interfaces = 240,
  sym_type_list = 241,
  sym_permits = 242,
  sym_class_body = 243,
  sym_static_initializer = 244,
  sym_constructor_declaration = 245,
  sym__constructor_declarator = 246,
  sym_constructor_body = 247,
  sym_explicit_constructor_invocation = 248,
  sym_scoped_identifier = 249,
  sym_field_declaration = 250,
  sym_record_declaration = 251,
  sym_annotation_type_declaration = 252,
  sym_annotation_type_body = 253,
  sym_annotation_type_element_declaration = 254,
  sym__default_value = 255,
  sym_interface_declaration = 256,
  sym_extends_interfaces = 257,
  sym_interface_body = 258,
  sym_constant_declaration = 259,
  sym__variable_declarator_list = 260,
  sym_variable_declarator = 261,
  sym__variable_declarator_id = 262,
  sym_array_initializer = 263,
  sym__type = 264,
  sym__unannotated_type = 265,
  sym_annotated_type = 266,
  sym_scoped_type_identifier = 267,
  sym_generic_type = 268,
  sym_array_type = 269,
  sym_integral_type = 270,
  sym_floating_point_type = 271,
  sym__method_header = 272,
  sym__method_declarator = 273,
  sym_formal_parameters = 274,
  sym_formal_parameter = 275,
  sym_receiver_parameter = 276,
  sym_spread_parameter = 277,
  sym_throws = 278,
  sym_local_variable_declaration = 279,
  sym_method_declaration = 280,
  sym_compact_constructor_declaration = 281,
  sym__reserved_identifier = 282,
  aux_sym_program_repeat1 = 283,
  aux_sym__string_literal_repeat1 = 284,
  aux_sym__multiline_string_literal_repeat1 = 285,
  aux_sym_cast_expression_repeat1 = 286,
  aux_sym_inferred_parameters_repeat1 = 287,
  aux_sym_array_creation_expression_repeat1 = 288,
  aux_sym_array_creation_expression_repeat2 = 289,
  aux_sym_argument_list_repeat1 = 290,
  aux_sym_type_arguments_repeat1 = 291,
  aux_sym_dimensions_repeat1 = 292,
  aux_sym_switch_block_repeat1 = 293,
  aux_sym_switch_block_repeat2 = 294,
  aux_sym_switch_block_statement_group_repeat1 = 295,
  aux_sym_switch_block_statement_group_repeat2 = 296,
  aux_sym_record_pattern_body_repeat1 = 297,
  aux_sym_try_statement_repeat1 = 298,
  aux_sym_catch_type_repeat1 = 299,
  aux_sym_resource_specification_repeat1 = 300,
  aux_sym_for_statement_repeat1 = 301,
  aux_sym_for_statement_repeat2 = 302,
  aux_sym_annotation_argument_list_repeat1 = 303,
  aux_sym_element_value_array_initializer_repeat1 = 304,
  aux_sym_module_body_repeat1 = 305,
  aux_sym_requires_module_directive_repeat1 = 306,
  aux_sym_exports_module_directive_repeat1 = 307,
  aux_sym_provides_module_directive_repeat1 = 308,
  aux_sym_enum_body_repeat1 = 309,
  aux_sym_enum_body_declarations_repeat1 = 310,
  aux_sym_modifiers_repeat1 = 311,
  aux_sym_type_parameters_repeat1 = 312,
  aux_sym_type_bound_repeat1 = 313,
  aux_sym_type_list_repeat1 = 314,
  aux_sym_annotation_type_body_repeat1 = 315,
  aux_sym_interface_body_repeat1 = 316,
  aux_sym__variable_declarator_list_repeat1 = 317,
  aux_sym_array_initializer_repeat1 = 318,
  aux_sym_formal_parameters_repeat1 = 319,
  aux_sym_receiver_parameter_repeat1 = 320,
  alias_sym_type_identifier = 321,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_string_fragment] = "string_fragment",
  [aux_sym__multiline_string_fragment_token1] = "_multiline_string_fragment_token1",
  [aux_sym__multiline_string_fragment_token2] = "_multiline_string_fragment_token2",
  [anon_sym_BSLASH_LBRACE] = "\\{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_null_literal] = "null_literal",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_final] = "final",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_extends] = "extends",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [sym_underscore_pattern] = "underscore_pattern",
  [anon_sym_when] = "when",
  [anon_sym_SEMI] = ";",
  [anon_sym_assert] = "assert",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_enum] = "enum",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_sealed] = "sealed",
  [anon_sym_non_DASHsealed] = "non-sealed",
  [anon_sym_implements] = "implements",
  [anon_sym_permits] = "permits",
  [anon_sym_record] = "record",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_throws] = "throws",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym_program] = "program",
  [sym__toplevel_statement] = "_toplevel_statement",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym__multiline_string_fragment] = "multiline_string_fragment",
  [sym_string_interpolation] = "string_interpolation",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_expression] = "expression",
  [sym_cast_expression] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_instanceof_expression] = "instanceof_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_dimensions_expr] = "dimensions_expr",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_condition] = "condition",
  [sym_class_literal] = "class_literal",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__unqualified_object_creation_expression] = "_unqualified_object_creation_expression",
  [sym_field_access] = "field_access",
  [sym_template_expression] = "template_expression",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_type_arguments] = "type_arguments",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dimensions] = "dimensions",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_block] = "switch_block",
  [sym_switch_block_statement_group] = "switch_block_statement_group",
  [sym_switch_rule] = "switch_rule",
  [sym_switch_label] = "switch_label",
  [sym_pattern] = "pattern",
  [sym_type_pattern] = "type_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_record_pattern_body] = "record_pattern_body",
  [sym_record_pattern_component] = "record_pattern_component",
  [sym_guard] = "guard",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally_clause] = "finally_clause",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_annotation_argument_list] = "annotation_argument_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym__element_value] = "_element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_body] = "module_body",
  [sym_module_directive] = "module_directive",
  [sym_requires_module_directive] = "requires_module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_exports_module_directive] = "exports_module_directive",
  [sym_opens_module_directive] = "opens_module_directive",
  [sym_uses_module_directive] = "uses_module_directive",
  [sym_provides_module_directive] = "provides_module_directive",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifiers] = "modifiers",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_type_list] = "type_list",
  [sym_permits] = "permits",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_declarator] = "_constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym__default_value] = "_default_value",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_constant_declaration] = "constant_declaration",
  [sym__variable_declarator_list] = "_variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym__variable_declarator_id] = "_variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__method_header] = "_method_header",
  [sym__method_declarator] = "_method_declarator",
  [sym_formal_parameters] = "formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_compact_constructor_declaration] = "compact_constructor_declaration",
  [sym__reserved_identifier] = "_reserved_identifier",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_array_creation_expression_repeat2] = "array_creation_expression_repeat2",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_block_repeat2] = "switch_block_repeat2",
  [aux_sym_switch_block_statement_group_repeat1] = "switch_block_statement_group_repeat1",
  [aux_sym_switch_block_statement_group_repeat2] = "switch_block_statement_group_repeat2",
  [aux_sym_record_pattern_body_repeat1] = "record_pattern_body_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_for_statement_repeat2] = "for_statement_repeat2",
  [aux_sym_annotation_argument_list_repeat1] = "annotation_argument_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_body_repeat1] = "module_body_repeat1",
  [aux_sym_requires_module_directive_repeat1] = "requires_module_directive_repeat1",
  [aux_sym_exports_module_directive_repeat1] = "exports_module_directive_repeat1",
  [aux_sym_provides_module_directive_repeat1] = "provides_module_directive_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym__variable_declarator_list_repeat1] = "_variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_receiver_parameter_repeat1] = "receiver_parameter_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_octal_integer_literal] = sym_octal_integer_literal,
  [sym_binary_integer_literal] = sym_binary_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_string_fragment] = sym_string_fragment,
  [aux_sym__multiline_string_fragment_token1] = aux_sym__multiline_string_fragment_token1,
  [aux_sym__multiline_string_fragment_token2] = aux_sym__multiline_string_fragment_token2,
  [anon_sym_BSLASH_LBRACE] = anon_sym_BSLASH_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [sym_underscore_pattern] = sym_underscore_pattern,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_synchronized] = anon_sym_synchronized,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_exports] = anon_sym_exports,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_opens] = anon_sym_opens,
  [anon_sym_uses] = anon_sym_uses,
  [anon_sym_provides] = anon_sym_provides,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_strictfp] = anon_sym_strictfp,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_non_DASHsealed] = anon_sym_non_DASHsealed,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_permits] = anon_sym_permits,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [sym_boolean_type] = sym_boolean_type,
  [sym_void_type] = sym_void_type,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_throws] = anon_sym_throws,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym_program] = sym_program,
  [sym__toplevel_statement] = sym__toplevel_statement,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym__multiline_string_fragment] = sym__multiline_string_fragment,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_expression] = sym_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_instanceof_expression] = sym_instanceof_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_inferred_parameters] = sym_inferred_parameters,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_dimensions_expr] = sym_dimensions_expr,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_condition] = sym_condition,
  [sym_class_literal] = sym_class_literal,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__unqualified_object_creation_expression] = sym__unqualified_object_creation_expression,
  [sym_field_access] = sym_field_access,
  [sym_template_expression] = sym_template_expression,
  [sym_array_access] = sym_array_access,
  [sym_method_invocation] = sym_method_invocation,
  [sym_argument_list] = sym_argument_list,
  [sym_method_reference] = sym_method_reference,
  [sym_type_arguments] = sym_type_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym__wildcard_bounds] = sym__wildcard_bounds,
  [sym_dimensions] = sym_dimensions,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_block_statement_group] = sym_switch_block_statement_group,
  [sym_switch_rule] = sym_switch_rule,
  [sym_switch_label] = sym_switch_label,
  [sym_pattern] = sym_pattern,
  [sym_type_pattern] = sym_type_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_record_pattern_body] = sym_record_pattern_body,
  [sym_record_pattern_component] = sym_record_pattern_component,
  [sym_guard] = sym_guard,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_formal_parameter] = sym_catch_formal_parameter,
  [sym_catch_type] = sym_catch_type,
  [sym_finally_clause] = sym_finally_clause,
  [sym_try_with_resources_statement] = sym_try_with_resources_statement,
  [sym_resource_specification] = sym_resource_specification,
  [sym_resource] = sym_resource,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_enhanced_for_statement] = sym_enhanced_for_statement,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_annotation_argument_list] = sym_annotation_argument_list,
  [sym_element_value_pair] = sym_element_value_pair,
  [sym__element_value] = sym__element_value,
  [sym_element_value_array_initializer] = sym_element_value_array_initializer,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_module_body] = sym_module_body,
  [sym_module_directive] = sym_module_directive,
  [sym_requires_module_directive] = sym_requires_module_directive,
  [sym_requires_modifier] = sym_requires_modifier,
  [sym_exports_module_directive] = sym_exports_module_directive,
  [sym_opens_module_directive] = sym_opens_module_directive,
  [sym_uses_module_directive] = sym_uses_module_directive,
  [sym_provides_module_directive] = sym_provides_module_directive,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_asterisk] = sym_asterisk,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_declarations] = sym_enum_body_declarations,
  [sym_enum_constant] = sym_enum_constant,
  [sym_class_declaration] = sym_class_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_super_interfaces] = sym_super_interfaces,
  [sym_type_list] = sym_type_list,
  [sym_permits] = sym_permits,
  [sym_class_body] = sym_class_body,
  [sym_static_initializer] = sym_static_initializer,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_declarator] = sym__constructor_declarator,
  [sym_constructor_body] = sym_constructor_body,
  [sym_explicit_constructor_invocation] = sym_explicit_constructor_invocation,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_field_declaration] = sym_field_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_annotation_type_declaration] = sym_annotation_type_declaration,
  [sym_annotation_type_body] = sym_annotation_type_body,
  [sym_annotation_type_element_declaration] = sym_annotation_type_element_declaration,
  [sym__default_value] = sym__default_value,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_interfaces] = sym_extends_interfaces,
  [sym_interface_body] = sym_interface_body,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym__variable_declarator_list] = sym__variable_declarator_list,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym__variable_declarator_id] = sym__variable_declarator_id,
  [sym_array_initializer] = sym_array_initializer,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_array_type] = sym_array_type,
  [sym_integral_type] = sym_integral_type,
  [sym_floating_point_type] = sym_floating_point_type,
  [sym__method_header] = sym__method_header,
  [sym__method_declarator] = sym__method_declarator,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym_receiver_parameter] = sym_receiver_parameter,
  [sym_spread_parameter] = sym_spread_parameter,
  [sym_throws] = sym_throws,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_compact_constructor_declaration] = sym_compact_constructor_declaration,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym_cast_expression_repeat1] = aux_sym_cast_expression_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_array_creation_expression_repeat2] = aux_sym_array_creation_expression_repeat2,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_block_repeat2] = aux_sym_switch_block_repeat2,
  [aux_sym_switch_block_statement_group_repeat1] = aux_sym_switch_block_statement_group_repeat1,
  [aux_sym_switch_block_statement_group_repeat2] = aux_sym_switch_block_statement_group_repeat2,
  [aux_sym_record_pattern_body_repeat1] = aux_sym_record_pattern_body_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_catch_type_repeat1] = aux_sym_catch_type_repeat1,
  [aux_sym_resource_specification_repeat1] = aux_sym_resource_specification_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_for_statement_repeat2] = aux_sym_for_statement_repeat2,
  [aux_sym_annotation_argument_list_repeat1] = aux_sym_annotation_argument_list_repeat1,
  [aux_sym_element_value_array_initializer_repeat1] = aux_sym_element_value_array_initializer_repeat1,
  [aux_sym_module_body_repeat1] = aux_sym_module_body_repeat1,
  [aux_sym_requires_module_directive_repeat1] = aux_sym_requires_module_directive_repeat1,
  [aux_sym_exports_module_directive_repeat1] = aux_sym_exports_module_directive_repeat1,
  [aux_sym_provides_module_directive_repeat1] = aux_sym_provides_module_directive_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_enum_body_declarations_repeat1] = aux_sym_enum_body_declarations_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_bound_repeat1] = aux_sym_type_bound_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_annotation_type_body_repeat1] = aux_sym_annotation_type_body_repeat1,
  [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
  [aux_sym__variable_declarator_list_repeat1] = aux_sym__variable_declarator_list_repeat1,
  [aux_sym_array_initializer_repeat1] = aux_sym_array_initializer_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_receiver_parameter_repeat1] = aux_sym_receiver_parameter_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__multiline_string_fragment_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BSLASH_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [sym_underscore_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_non_DASHsealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__toplevel_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instanceof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_condition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__unqualified_object_creation_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_template_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block_statement_group] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_body] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_component] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element_value] = {
    .visible = false,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_body] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_requires_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_exports_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_opens_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uses_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_provides_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_permits] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__default_value] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_id] = {
    .visible = false,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__method_header] = {
    .visible = false,
    .named = true,
  },
  [sym__method_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compact_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exports_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_provides_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_receiver_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_arguments = 2,
  field_array = 3,
  field_body = 4,
  field_condition = 5,
  field_consequence = 6,
  field_constructor = 7,
  field_declarator = 8,
  field_dimensions = 9,
  field_element = 10,
  field_field = 11,
  field_index = 12,
  field_init = 13,
  field_interfaces = 14,
  field_key = 15,
  field_left = 16,
  field_modifiers = 17,
  field_module = 18,
  field_modules = 19,
  field_name = 20,
  field_object = 21,
  field_operand = 22,
  field_operator = 23,
  field_package = 24,
  field_parameters = 25,
  field_pattern = 26,
  field_permits = 27,
  field_provided = 28,
  field_provider = 29,
  field_resources = 30,
  field_right = 31,
  field_scope = 32,
  field_superclass = 33,
  field_template_argument = 34,
  field_template_processor = 35,
  field_type = 36,
  field_type_arguments = 37,
  field_type_parameters = 38,
  field_update = 39,
  field_value = 40,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declarator] = "declarator",
  [field_dimensions] = "dimensions",
  [field_element] = "element",
  [field_field] = "field",
  [field_index] = "index",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_modules] = "modules",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_permits] = "permits",
  [field_provided] = "provided",
  [field_provider] = "provider",
  [field_resources] = "resources",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_superclass] = "superclass",
  [field_template_argument] = "template_argument",
  [field_template_processor] = "template_processor",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [3] = {.index = 0, .length = 3},
  [4] = {.index = 3, .length = 2},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 1},
  [8] = {.index = 9, .length = 2},
  [9] = {.index = 11, .length = 1},
  [10] = {.index = 12, .length = 2},
  [11] = {.index = 14, .length = 4},
  [12] = {.index = 18, .length = 5},
  [13] = {.index = 23, .length = 6},
  [14] = {.index = 29, .length = 3},
  [16] = {.index = 32, .length = 2},
  [17] = {.index = 34, .length = 2},
  [18] = {.index = 32, .length = 2},
  [19] = {.index = 34, .length = 2},
  [20] = {.index = 36, .length = 2},
  [21] = {.index = 38, .length = 2},
  [22] = {.index = 40, .length = 1},
  [23] = {.index = 41, .length = 1},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 2},
  [28] = {.index = 50, .length = 3},
  [29] = {.index = 53, .length = 2},
  [31] = {.index = 55, .length = 2},
  [32] = {.index = 57, .length = 2},
  [33] = {.index = 59, .length = 2},
  [34] = {.index = 61, .length = 3},
  [35] = {.index = 64, .length = 5},
  [36] = {.index = 69, .length = 6},
  [37] = {.index = 75, .length = 5},
  [38] = {.index = 80, .length = 2},
  [39] = {.index = 82, .length = 2},
  [40] = {.index = 84, .length = 2},
  [41] = {.index = 86, .length = 2},
  [43] = {.index = 88, .length = 3},
  [44] = {.index = 91, .length = 2},
  [45] = {.index = 93, .length = 1},
  [46] = {.index = 94, .length = 2},
  [47] = {.index = 96, .length = 3},
  [48] = {.index = 99, .length = 3},
  [49] = {.index = 96, .length = 3},
  [50] = {.index = 99, .length = 3},
  [51] = {.index = 102, .length = 3},
  [52] = {.index = 102, .length = 3},
  [53] = {.index = 105, .length = 2},
  [54] = {.index = 107, .length = 2},
  [55] = {.index = 105, .length = 2},
  [56] = {.index = 107, .length = 2},
  [57] = {.index = 109, .length = 3},
  [58] = {.index = 112, .length = 3},
  [59] = {.index = 115, .length = 3},
  [60] = {.index = 118, .length = 3},
  [61] = {.index = 121, .length = 2},
  [62] = {.index = 123, .length = 2},
  [63] = {.index = 125, .length = 3},
  [64] = {.index = 128, .length = 2},
  [65] = {.index = 130, .length = 3},
  [67] = {.index = 133, .length = 2},
  [68] = {.index = 135, .length = 2},
  [69] = {.index = 137, .length = 3},
  [70] = {.index = 140, .length = 2},
  [71] = {.index = 142, .length = 2},
  [72] = {.index = 144, .length = 5},
  [73] = {.index = 149, .length = 3},
  [74] = {.index = 152, .length = 1},
  [75] = {.index = 153, .length = 2},
  [76] = {.index = 155, .length = 3},
  [78] = {.index = 158, .length = 3},
  [79] = {.index = 161, .length = 3},
  [80] = {.index = 161, .length = 3},
  [81] = {.index = 164, .length = 3},
  [82] = {.index = 167, .length = 3},
  [83] = {.index = 164, .length = 3},
  [84] = {.index = 167, .length = 3},
  [85] = {.index = 170, .length = 3},
  [86] = {.index = 170, .length = 3},
  [87] = {.index = 173, .length = 2},
  [88] = {.index = 175, .length = 4},
  [89] = {.index = 179, .length = 4},
  [90] = {.index = 183, .length = 4},
  [91] = {.index = 187, .length = 4},
  [92] = {.index = 191, .length = 4},
  [93] = {.index = 195, .length = 4},
  [94] = {.index = 199, .length = 4},
  [95] = {.index = 203, .length = 2},
  [96] = {.index = 205, .length = 3},
  [97] = {.index = 208, .length = 1},
  [98] = {.index = 209, .length = 2},
  [99] = {.index = 211, .length = 1},
  [100] = {.index = 212, .length = 4},
  [101] = {.index = 216, .length = 4},
  [102] = {.index = 220, .length = 3},
  [103] = {.index = 223, .length = 3},
  [104] = {.index = 226, .length = 2},
  [105] = {.index = 228, .length = 4},
  [106] = {.index = 232, .length = 3},
  [107] = {.index = 235, .length = 3},
  [108] = {.index = 238, .length = 3},
  [109] = {.index = 241, .length = 3},
  [110] = {.index = 244, .length = 3},
  [111] = {.index = 247, .length = 3},
  [112] = {.index = 250, .length = 3},
  [113] = {.index = 253, .length = 2},
  [114] = {.index = 255, .length = 2},
  [115] = {.index = 257, .length = 3},
  [116] = {.index = 257, .length = 3},
  [117] = {.index = 260, .length = 4},
  [118] = {.index = 264, .length = 3},
  [119] = {.index = 267, .length = 4},
  [120] = {.index = 271, .length = 5},
  [121] = {.index = 276, .length = 5},
  [122] = {.index = 281, .length = 5},
  [123] = {.index = 286, .length = 5},
  [124] = {.index = 291, .length = 4},
  [125] = {.index = 295, .length = 2},
  [126] = {.index = 297, .length = 1},
  [127] = {.index = 298, .length = 2},
  [128] = {.index = 300, .length = 2},
  [129] = {.index = 302, .length = 1},
  [130] = {.index = 303, .length = 2},
  [131] = {.index = 305, .length = 1},
  [132] = {.index = 306, .length = 3},
  [133] = {.index = 309, .length = 5},
  [134] = {.index = 314, .length = 4},
  [135] = {.index = 318, .length = 3},
  [136] = {.index = 321, .length = 4},
  [137] = {.index = 325, .length = 4},
  [138] = {.index = 329, .length = 4},
  [139] = {.index = 333, .length = 4},
  [140] = {.index = 337, .length = 4},
  [141] = {.index = 341, .length = 4},
  [142] = {.index = 345, .length = 4},
  [143] = {.index = 349, .length = 4},
  [144] = {.index = 353, .length = 3},
  [145] = {.index = 356, .length = 3},
  [146] = {.index = 359, .length = 4},
  [147] = {.index = 363, .length = 6},
  [148] = {.index = 369, .length = 4},
  [149] = {.index = 373, .length = 1},
  [150] = {.index = 374, .length = 2},
  [151] = {.index = 376, .length = 2},
  [152] = {.index = 378, .length = 1},
  [153] = {.index = 379, .length = 2},
  [154] = {.index = 381, .length = 2},
  [155] = {.index = 383, .length = 2},
  [156] = {.index = 385, .length = 3},
  [157] = {.index = 388, .length = 3},
  [158] = {.index = 391, .length = 2},
  [159] = {.index = 393, .length = 3},
  [160] = {.index = 396, .length = 4},
  [161] = {.index = 400, .length = 5},
  [162] = {.index = 405, .length = 5},
  [163] = {.index = 410, .length = 5},
  [164] = {.index = 415, .length = 5},
  [165] = {.index = 420, .length = 5},
  [166] = {.index = 425, .length = 4},
  [167] = {.index = 429, .length = 2},
  [168] = {.index = 431, .length = 3},
  [169] = {.index = 434, .length = 3},
  [170] = {.index = 437, .length = 3},
  [171] = {.index = 440, .length = 3},
  [172] = {.index = 443, .length = 3},
  [173] = {.index = 446, .length = 5},
  [174] = {.index = 451, .length = 4},
  [175] = {.index = 455, .length = 4},
  [176] = {.index = 459, .length = 2},
  [177] = {.index = 461, .length = 1},
  [178] = {.index = 462, .length = 2},
  [179] = {.index = 464, .length = 6},
  [180] = {.index = 470, .length = 3},
  [181] = {.index = 473, .length = 4},
  [182] = {.index = 477, .length = 4},
  [183] = {.index = 481, .length = 4},
  [184] = {.index = 485, .length = 4},
  [185] = {.index = 489, .length = 4},
  [186] = {.index = 493, .length = 5},
  [187] = {.index = 498, .length = 5},
  [188] = {.index = 503, .length = 1},
  [189] = {.index = 504, .length = 3},
  [190] = {.index = 507, .length = 2},
  [191] = {.index = 509, .length = 1},
  [192] = {.index = 510, .length = 2},
  [193] = {.index = 512, .length = 2},
  [194] = {.index = 514, .length = 2},
  [195] = {.index = 516, .length = 1},
  [196] = {.index = 517, .length = 3},
  [197] = {.index = 520, .length = 3},
  [198] = {.index = 523, .length = 3},
  [199] = {.index = 526, .length = 5},
  [200] = {.index = 531, .length = 5},
  [201] = {.index = 536, .length = 5},
  [202] = {.index = 541, .length = 3},
  [203] = {.index = 544, .length = 3},
  [204] = {.index = 547, .length = 4},
  [205] = {.index = 551, .length = 4},
  [206] = {.index = 555, .length = 6},
  [207] = {.index = 561, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_arguments, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_arguments, 0, .inherited = true},
  [3] =
    {field_operand, 1},
    {field_operator, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_arguments, 1},
    {field_name, 0},
  [8] =
    {field_name, 0},
  [9] =
    {field_dimensions, 1},
    {field_element, 0},
  [11] =
    {field_declarator, 0},
  [12] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [14] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0},
  [18] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [23] =
    {field_body, 1},
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [29] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [32] =
    {field_arguments, 2},
    {field_type, 1},
  [34] =
    {field_dimensions, 2},
    {field_type, 1},
  [36] =
    {field_body, 2},
    {field_name, 1},
  [38] =
    {field_body, 2},
    {field_condition, 1},
  [40] =
    {field_body, 2},
  [41] =
    {field_body, 1},
  [42] =
    {field_body, 2},
    {field_resources, 1},
  [44] =
    {field_condition, 1},
    {field_consequence, 2},
  [46] =
    {field_arguments, 2},
    {field_name, 1},
  [48] =
    {field_field, 2},
    {field_object, 0},
  [50] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [53] =
    {field_body, 2},
    {field_parameters, 0},
  [55] =
    {field_left, 0},
    {field_pattern, 2},
  [57] =
    {field_left, 0},
    {field_right, 2},
  [59] =
    {field_template_argument, 2},
    {field_template_processor, 0},
  [61] =
    {field_arguments, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
  [64] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [69] =
    {field_body, 2},
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [75] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1},
    {field_type_parameters, 0},
  [80] =
    {field_dimensions, 1},
    {field_name, 0},
  [82] =
    {field_name, 0},
    {field_parameters, 1},
  [84] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [86] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [88] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
  [91] =
    {field_type, 1},
    {field_value, 3},
  [93] =
    {field_type, 1},
  [94] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [96] =
    {field_dimensions, 2},
    {field_type, 1},
    {field_value, 3},
  [99] =
    {field_dimensions, 2},
    {field_dimensions, 3},
    {field_type, 1},
  [102] =
    {field_arguments, 3},
    {field_type, 2},
    {field_type_arguments, 1},
  [105] =
    {field_arguments, 3},
    {field_type, 2},
  [107] =
    {field_dimensions, 3},
    {field_type, 2},
  [109] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [112] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [115] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [118] =
    {field_body, 3},
    {field_name, 1},
    {field_permits, 2},
  [121] =
    {field_name, 2},
    {field_scope, 0},
  [123] =
    {field_body, 3},
    {field_name, 2},
  [125] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [128] =
    {field_body, 3},
    {field_name, 1},
  [130] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [133] =
    {field_left, 0},
    {field_pattern, 3},
  [135] =
    {field_left, 0},
    {field_right, 3},
  [137] =
    {field_left, 0},
    {field_name, 3},
    {field_right, 2},
  [140] =
    {field_array, 0},
    {field_index, 2},
  [142] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1},
  [144] =
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type, 2},
    {field_type_parameters, 0},
  [149] =
    {field_dimensions, 2},
    {field_name, 0},
    {field_parameters, 1},
  [152] =
    {field_declarator, 1},
  [153] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [155] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [158] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [161] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 1},
  [164] =
    {field_dimensions, 3},
    {field_type, 2},
    {field_value, 4},
  [167] =
    {field_dimensions, 3},
    {field_dimensions, 4},
    {field_type, 2},
  [170] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 2},
  [173] =
    {field_body, 1},
    {field_name, 0},
  [175] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [179] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [183] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [187] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_type_parameters, 2},
  [191] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [195] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_superclass, 2},
  [199] =
    {field_body, 4},
    {field_interfaces, 2},
    {field_name, 1},
    {field_permits, 3},
  [203] =
    {field_body, 1},
    {field_condition, 3},
  [205] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [208] =
    {field_init, 1},
  [209] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [211] =
    {field_modifiers, 0},
  [212] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [216] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_parameters, 2},
  [220] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [223] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
  [226] =
    {field_field, 4},
    {field_object, 0},
  [228] =
    {field_arguments, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [232] =
    {field_left, 0},
    {field_name, 4},
    {field_right, 3},
  [235] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [238] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [241] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [244] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [247] =
    {field_body, 4},
    {field_name, 2},
    {field_permits, 3},
  [250] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [253] =
    {field_body, 4},
    {field_name, 2},
  [255] =
    {field_body, 4},
    {field_name, 3},
  [257] =
    {field_arguments, 5},
    {field_type, 4},
    {field_type_arguments, 2},
  [260] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [264] =
    {field_name, 1},
    {field_parameters, 2},
    {field_type_parameters, 0},
  [267] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [271] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [276] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [281] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [286] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 2},
  [291] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
    {field_value, 3},
  [295] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [297] =
    {field_body, 5},
  [298] =
    {field_body, 5},
    {field_init, 2},
  [300] =
    {field_key, 0},
    {field_value, 2},
  [302] =
    {field_module, 1},
  [303] =
    {field_modifiers, 0, .inherited = true},
    {field_modifiers, 1, .inherited = true},
  [305] =
    {field_package, 1},
  [306] =
    {field_arguments, 1},
    {field_body, 2},
    {field_name, 0},
  [309] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [314] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [318] =
    {field_arguments, 5},
    {field_name, 4},
    {field_object, 0},
  [321] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [325] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [329] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_type_parameters, 3},
  [333] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [337] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_superclass, 3},
  [341] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 2},
    {field_permits, 4},
  [345] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [349] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_parameters, 3},
  [353] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [356] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
  [359] =
    {field_body, 3},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [363] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 1},
    {field_permits, 5},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [369] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
    {field_value, 4},
  [373] =
    {field_body, 4},
  [374] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [376] =
    {field_body, 6},
    {field_update, 4},
  [378] =
    {field_update, 1},
  [379] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [381] =
    {field_body, 6},
    {field_condition, 3},
  [383] =
    {field_body, 6},
    {field_init, 2},
  [385] =
    {field_body, 6},
    {field_init, 2},
    {field_update, 4},
  [388] =
    {field_body, 6},
    {field_condition, 3},
    {field_init, 2},
  [391] =
    {field_modifiers, 1, .inherited = true},
    {field_module, 2},
  [393] =
    {field_arguments, 2},
    {field_body, 3},
    {field_name, 1},
  [396] =
    {field_arguments, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [400] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [405] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [410] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [415] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 3},
  [420] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [425] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [429] =
    {field_arguments, 1},
    {field_constructor, 0},
  [431] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [434] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [437] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 5},
  [440] =
    {field_body, 7},
    {field_condition, 4},
    {field_init, 2},
  [443] =
    {field_body, 7},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [446] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 2},
    {field_value, 5},
  [451] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [455] =
    {field_body, 7},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
  [459] =
    {field_modules, 3},
    {field_package, 1},
  [461] =
    {field_provided, 1},
  [462] =
    {field_name, 1},
    {field_type, 0},
  [464] =
    {field_body, 7},
    {field_interfaces, 5},
    {field_name, 2},
    {field_permits, 6},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [470] =
    {field_arguments, 2},
    {field_constructor, 1},
    {field_type_arguments, 0},
  [473] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [477] =
    {field_body, 8},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [481] =
    {field_body, 8},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
  [485] =
    {field_body, 8},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
  [489] =
    {field_body, 8},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [493] =
    {field_body, 8},
    {field_dimensions, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_value, 6},
  [498] =
    {field_body, 8},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [503] =
    {field_modules, 1},
  [504] =
    {field_modules, 3},
    {field_modules, 4, .inherited = true},
    {field_package, 1},
  [507] =
    {field_modules, 0, .inherited = true},
    {field_modules, 1, .inherited = true},
  [509] =
    {field_provider, 1},
  [510] =
    {field_provided, 1},
    {field_provider, 4, .inherited = true},
  [512] =
    {field_provider, 0, .inherited = true},
    {field_provider, 1, .inherited = true},
  [514] =
    {field_name, 2},
    {field_type, 1},
  [516] =
    {field_value, 1},
  [517] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
  [520] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 4, .inherited = true},
  [523] =
    {field_arguments, 3},
    {field_constructor, 2},
    {field_object, 0},
  [526] =
    {field_body, 9},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [531] =
    {field_body, 9},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [536] =
    {field_body, 9},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
  [541] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
  [544] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 5, .inherited = true},
  [547] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
    {field_value, 5, .inherited = true},
  [551] =
    {field_arguments, 4},
    {field_constructor, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [555] =
    {field_body, 10},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
    {field_update, 8, .inherited = true},
  [561] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
    {field_value, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = sym_identifier,
  },
  [2] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [1] = alias_sym_type_identifier,
  },
  [18] = {
    [1] = alias_sym_type_identifier,
  },
  [19] = {
    [1] = alias_sym_type_identifier,
  },
  [30] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [42] = {
    [2] = alias_sym_type_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [1] = alias_sym_type_identifier,
  },
  [52] = {
    [2] = alias_sym_type_identifier,
  },
  [55] = {
    [2] = alias_sym_type_identifier,
  },
  [56] = {
    [2] = alias_sym_type_identifier,
  },
  [66] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [77] = {
    [3] = alias_sym_type_identifier,
  },
  [80] = {
    [3] = alias_sym_type_identifier,
  },
  [83] = {
    [2] = alias_sym_type_identifier,
  },
  [84] = {
    [2] = alias_sym_type_identifier,
  },
  [86] = {
    [3] = alias_sym_type_identifier,
  },
  [116] = {
    [4] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 8,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 9,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 15,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 38,
  [39] = 38,
  [40] = 40,
  [41] = 30,
  [42] = 42,
  [43] = 37,
  [44] = 36,
  [45] = 35,
  [46] = 34,
  [47] = 33,
  [48] = 32,
  [49] = 31,
  [50] = 29,
  [51] = 28,
  [52] = 26,
  [53] = 42,
  [54] = 40,
  [55] = 24,
  [56] = 23,
  [57] = 21,
  [58] = 16,
  [59] = 20,
  [60] = 17,
  [61] = 61,
  [62] = 61,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 63,
  [69] = 18,
  [70] = 19,
  [71] = 27,
  [72] = 67,
  [73] = 38,
  [74] = 40,
  [75] = 30,
  [76] = 42,
  [77] = 37,
  [78] = 36,
  [79] = 35,
  [80] = 34,
  [81] = 33,
  [82] = 32,
  [83] = 31,
  [84] = 29,
  [85] = 28,
  [86] = 26,
  [87] = 15,
  [88] = 24,
  [89] = 23,
  [90] = 21,
  [91] = 20,
  [92] = 17,
  [93] = 61,
  [94] = 16,
  [95] = 64,
  [96] = 65,
  [97] = 66,
  [98] = 67,
  [99] = 63,
  [100] = 18,
  [101] = 19,
  [102] = 27,
  [103] = 64,
  [104] = 65,
  [105] = 66,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 114,
  [117] = 117,
  [118] = 117,
  [119] = 117,
  [120] = 120,
  [121] = 120,
  [122] = 122,
  [123] = 122,
  [124] = 122,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 129,
  [132] = 132,
  [133] = 133,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 135,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 142,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 149,
  [151] = 151,
  [152] = 149,
  [153] = 151,
  [154] = 154,
  [155] = 155,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 155,
  [163] = 145,
  [164] = 164,
  [165] = 156,
  [166] = 154,
  [167] = 146,
  [168] = 168,
  [169] = 168,
  [170] = 164,
  [171] = 146,
  [172] = 156,
  [173] = 168,
  [174] = 157,
  [175] = 145,
  [176] = 176,
  [177] = 161,
  [178] = 154,
  [179] = 164,
  [180] = 161,
  [181] = 181,
  [182] = 160,
  [183] = 155,
  [184] = 157,
  [185] = 185,
  [186] = 148,
  [187] = 160,
  [188] = 176,
  [189] = 176,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 197,
  [200] = 200,
  [201] = 201,
  [202] = 193,
  [203] = 203,
  [204] = 192,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 215,
  [216] = 191,
  [217] = 207,
  [218] = 212,
  [219] = 213,
  [220] = 220,
  [221] = 221,
  [222] = 222,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 207,
  [229] = 229,
  [230] = 230,
  [231] = 231,
  [232] = 211,
  [233] = 208,
  [234] = 200,
  [235] = 214,
  [236] = 215,
  [237] = 220,
  [238] = 221,
  [239] = 222,
  [240] = 224,
  [241] = 230,
  [242] = 229,
  [243] = 226,
  [244] = 197,
  [245] = 223,
  [246] = 198,
  [247] = 231,
  [248] = 248,
  [249] = 110,
  [250] = 109,
  [251] = 251,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 261,
  [262] = 262,
  [263] = 263,
  [264] = 264,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 393,
  [395] = 395,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 400,
  [402] = 402,
  [403] = 400,
  [404] = 404,
  [405] = 404,
  [406] = 132,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 413,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 417,
  [420] = 420,
  [421] = 420,
  [422] = 417,
  [423] = 420,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 412,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 439,
  [442] = 442,
  [443] = 443,
  [444] = 439,
  [445] = 430,
  [446] = 446,
  [447] = 447,
  [448] = 448,
  [449] = 449,
  [450] = 450,
  [451] = 451,
  [452] = 452,
  [453] = 453,
  [454] = 454,
  [455] = 440,
  [456] = 456,
  [457] = 457,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 462,
  [463] = 463,
  [464] = 285,
  [465] = 465,
  [466] = 466,
  [467] = 467,
  [468] = 468,
  [469] = 356,
  [470] = 470,
  [471] = 471,
  [472] = 472,
  [473] = 473,
  [474] = 474,
  [475] = 475,
  [476] = 476,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 481,
  [482] = 482,
  [483] = 483,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 487,
  [488] = 488,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 494,
  [495] = 495,
  [496] = 496,
  [497] = 429,
  [498] = 498,
  [499] = 499,
  [500] = 428,
  [501] = 501,
  [502] = 502,
  [503] = 503,
  [504] = 504,
  [505] = 505,
  [506] = 459,
  [507] = 507,
  [508] = 454,
  [509] = 509,
  [510] = 460,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 515,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 519,
  [520] = 435,
  [521] = 521,
  [522] = 522,
  [523] = 523,
  [524] = 524,
  [525] = 525,
  [526] = 526,
  [527] = 527,
  [528] = 528,
  [529] = 529,
  [530] = 530,
  [531] = 481,
  [532] = 532,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 536,
  [537] = 436,
  [538] = 538,
  [539] = 539,
  [540] = 540,
  [541] = 541,
  [542] = 542,
  [543] = 543,
  [544] = 544,
  [545] = 545,
  [546] = 546,
  [547] = 547,
  [548] = 548,
  [549] = 549,
  [550] = 550,
  [551] = 551,
  [552] = 552,
  [553] = 553,
  [554] = 554,
  [555] = 555,
  [556] = 556,
  [557] = 557,
  [558] = 558,
  [559] = 559,
  [560] = 560,
  [561] = 561,
  [562] = 562,
  [563] = 434,
  [564] = 564,
  [565] = 565,
  [566] = 566,
  [567] = 567,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 573,
  [574] = 574,
  [575] = 575,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 431,
  [584] = 493,
  [585] = 432,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 590,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 599,
  [600] = 600,
  [601] = 601,
  [602] = 602,
  [603] = 603,
  [604] = 604,
  [605] = 605,
  [606] = 606,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 611,
  [612] = 612,
  [613] = 613,
  [614] = 614,
  [615] = 615,
  [616] = 616,
  [617] = 617,
  [618] = 618,
  [619] = 619,
  [620] = 620,
  [621] = 621,
  [622] = 622,
  [623] = 623,
  [624] = 624,
  [625] = 485,
  [626] = 505,
  [627] = 627,
  [628] = 501,
  [629] = 629,
  [630] = 620,
  [631] = 467,
  [632] = 627,
  [633] = 614,
  [634] = 622,
  [635] = 635,
  [636] = 621,
  [637] = 618,
  [638] = 619,
  [639] = 615,
  [640] = 640,
  [641] = 616,
  [642] = 617,
  [643] = 456,
  [644] = 644,
  [645] = 612,
  [646] = 457,
  [647] = 640,
  [648] = 624,
  [649] = 623,
  [650] = 650,
  [651] = 613,
  [652] = 652,
  [653] = 653,
  [654] = 653,
  [655] = 655,
  [656] = 120,
  [657] = 653,
  [658] = 658,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 541,
  [663] = 521,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 661,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 538,
  [673] = 673,
  [674] = 660,
  [675] = 665,
  [676] = 669,
  [677] = 658,
  [678] = 659,
  [679] = 665,
  [680] = 670,
  [681] = 660,
  [682] = 671,
  [683] = 550,
  [684] = 669,
  [685] = 667,
  [686] = 667,
  [687] = 671,
  [688] = 670,
  [689] = 659,
  [690] = 658,
  [691] = 691,
  [692] = 577,
  [693] = 693,
  [694] = 694,
  [695] = 471,
  [696] = 696,
  [697] = 697,
  [698] = 468,
  [699] = 466,
  [700] = 472,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 452,
  [706] = 706,
  [707] = 462,
  [708] = 708,
  [709] = 709,
  [710] = 710,
  [711] = 711,
  [712] = 712,
  [713] = 713,
  [714] = 714,
  [715] = 715,
  [716] = 711,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 477,
  [723] = 718,
  [724] = 724,
  [725] = 725,
  [726] = 725,
  [727] = 727,
  [728] = 728,
  [729] = 458,
  [730] = 727,
  [731] = 728,
  [732] = 713,
  [733] = 714,
  [734] = 734,
  [735] = 735,
  [736] = 727,
  [737] = 476,
  [738] = 735,
  [739] = 739,
  [740] = 463,
  [741] = 741,
  [742] = 742,
  [743] = 743,
  [744] = 744,
  [745] = 745,
  [746] = 744,
  [747] = 711,
  [748] = 748,
  [749] = 691,
  [750] = 713,
  [751] = 751,
  [752] = 735,
  [753] = 714,
  [754] = 718,
  [755] = 755,
  [756] = 756,
  [757] = 474,
  [758] = 475,
  [759] = 465,
  [760] = 760,
  [761] = 761,
  [762] = 485,
  [763] = 763,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 132,
  [768] = 768,
  [769] = 769,
  [770] = 768,
  [771] = 771,
  [772] = 768,
  [773] = 773,
  [774] = 467,
  [775] = 775,
  [776] = 776,
  [777] = 777,
  [778] = 778,
  [779] = 779,
  [780] = 776,
  [781] = 781,
  [782] = 782,
  [783] = 783,
  [784] = 784,
  [785] = 785,
  [786] = 775,
  [787] = 787,
  [788] = 788,
  [789] = 777,
  [790] = 790,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 794,
  [795] = 795,
  [796] = 541,
  [797] = 521,
  [798] = 798,
  [799] = 799,
  [800] = 795,
  [801] = 801,
  [802] = 802,
  [803] = 795,
  [804] = 538,
  [805] = 805,
  [806] = 806,
  [807] = 550,
  [808] = 808,
  [809] = 809,
  [810] = 810,
  [811] = 810,
  [812] = 812,
  [813] = 813,
  [814] = 814,
  [815] = 815,
  [816] = 816,
  [817] = 817,
  [818] = 462,
  [819] = 819,
  [820] = 820,
  [821] = 821,
  [822] = 822,
  [823] = 823,
  [824] = 824,
  [825] = 825,
  [826] = 826,
  [827] = 827,
  [828] = 433,
  [829] = 829,
  [830] = 830,
  [831] = 831,
  [832] = 831,
  [833] = 438,
  [834] = 834,
  [835] = 831,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 465,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 842,
  [845] = 841,
  [846] = 846,
  [847] = 847,
  [848] = 843,
  [849] = 846,
  [850] = 850,
  [851] = 851,
  [852] = 442,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 856,
  [857] = 448,
  [858] = 858,
  [859] = 859,
  [860] = 858,
  [861] = 861,
  [862] = 855,
  [863] = 863,
  [864] = 864,
  [865] = 447,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 868,
  [871] = 449,
  [872] = 448,
  [873] = 866,
  [874] = 874,
  [875] = 869,
  [876] = 451,
  [877] = 450,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 881,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 483,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 905,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 905,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 943,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 943,
  [962] = 962,
  [963] = 806,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 959,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 945,
  [977] = 954,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 960,
  [982] = 948,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 949,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 998,
  [1009] = 1009,
  [1010] = 1010,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1014,
  [1018] = 1018,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1013,
  [1022] = 1022,
  [1023] = 1014,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 1028,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1013,
  [1037] = 1037,
  [1038] = 1038,
  [1039] = 1039,
  [1040] = 1040,
  [1041] = 1041,
  [1042] = 965,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 1051,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1056,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1068,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 1076,
  [1077] = 1077,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1068,
  [1087] = 1071,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1091,
  [1092] = 1092,
  [1093] = 1093,
  [1094] = 1068,
  [1095] = 1071,
  [1096] = 1096,
  [1097] = 1097,
  [1098] = 1098,
  [1099] = 1089,
  [1100] = 1100,
  [1101] = 1101,
  [1102] = 1083,
  [1103] = 1103,
  [1104] = 1104,
  [1105] = 1082,
  [1106] = 1076,
  [1107] = 1080,
  [1108] = 1078,
  [1109] = 1109,
  [1110] = 1092,
  [1111] = 1111,
  [1112] = 1089,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1083,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1092,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1128,
  [1129] = 1126,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1142,
  [1143] = 1143,
  [1144] = 1144,
  [1145] = 1145,
  [1146] = 1146,
  [1147] = 1147,
  [1148] = 1148,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1155,
  [1156] = 1093,
  [1157] = 1157,
  [1158] = 1158,
  [1159] = 1078,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1133,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1165,
  [1166] = 1134,
  [1167] = 1035,
  [1168] = 1082,
  [1169] = 1126,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1134,
  [1173] = 1080,
  [1174] = 1157,
  [1175] = 1175,
  [1176] = 1157,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1184,
  [1185] = 1185,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1199,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1190,
  [1207] = 1207,
  [1208] = 1208,
  [1209] = 1209,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1217,
  [1218] = 1218,
  [1219] = 1219,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1230,
  [1231] = 1231,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1235,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 393,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1188,
  [1260] = 1260,
  [1261] = 1182,
  [1262] = 1262,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1182,
  [1268] = 1188,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1271,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1275,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1283,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1286,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1301,
  [1302] = 1302,
  [1303] = 1303,
  [1304] = 1304,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1310,
  [1311] = 1311,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1314,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1317,
  [1318] = 1318,
  [1319] = 1319,
  [1320] = 1320,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1329,
  [1330] = 1330,
  [1331] = 1306,
  [1332] = 1332,
  [1333] = 1333,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1336,
  [1337] = 1337,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1340,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1343,
  [1344] = 1344,
  [1345] = 1345,
  [1346] = 1346,
  [1347] = 1324,
  [1348] = 1330,
  [1349] = 1349,
  [1350] = 1350,
  [1351] = 1351,
  [1352] = 1326,
  [1353] = 1353,
  [1354] = 1354,
  [1355] = 1355,
  [1356] = 1356,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1360,
  [1361] = 1361,
  [1362] = 1362,
  [1363] = 1363,
  [1364] = 1364,
  [1365] = 1365,
  [1366] = 1366,
  [1367] = 1367,
  [1368] = 1368,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1330,
  [1372] = 1360,
  [1373] = 1369,
  [1374] = 1310,
  [1375] = 1375,
  [1376] = 1369,
  [1377] = 1309,
  [1378] = 1378,
  [1379] = 1308,
  [1380] = 1306,
};

static inline bool sym_escape_sequence_character_set_1(int32_t c) {
  return (c < 'a'
    ? (c < '?'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '?' || c == '\\'))
    : (c <= 'b' || (c < 'r'
      ? (c < 'n'
        ? c == 'f'
        : c <= 'n')
      : (c <= 'r' || (c >= 't' && c <= 'v')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 6688
    ? (c < 2984
      ? (c < 2365
        ? (c < 1488
          ? (c < 886
            ? (c < 216
              ? (c < 181
                ? (c < 'a'
                  ? (c >= '$' && c <= '_')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? c == 186
                  : c <= 214)))
              : (c <= 246 || (c < 748
                ? (c < 710
                  ? (c >= 248 && c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1013 || (c < 1329
                ? (c < 1162
                  ? (c >= 1015 && c <= 1153)
                  : c <= 1327)
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1791
                  ? (c >= 1786 && c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2544
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2869
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2835
                ? (c < 2821
                  ? c == 2809
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2958
              ? (c < 2929
                ? (c < 2908
                  ? c == 2877
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2949
                  ? c == 2947
                  : c <= 2954)))
              : (c <= 2960 || (c < 2972
                ? (c < 2969
                  ? (c >= 2962 && c <= 2965)
                  : c <= 2970)
                : (c <= 2972 || (c < 2979
                  ? (c >= 2974 && c <= 2975)
                  : c <= 2980)))))))))))
      : (c <= 2986 || (c < 4176
        ? (c < 3423
          ? (c < 3218
            ? (c < 3133
              ? (c < 3086
                ? (c < 3024
                  ? (c >= 2990 && c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3114
                  ? (c >= 3090 && c <= 3112)
                  : c <= 3129)))
              : (c <= 3133 || (c < 3200
                ? (c < 3165
                  ? (c >= 3160 && c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : c <= 3216)))))
            : (c <= 3240 || (c < 3332
              ? (c < 3293
                ? (c < 3253
                  ? (c >= 3242 && c <= 3251)
                  : (c <= 3257 || c == 3261))
                : (c <= 3294 || (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)))
              : (c <= 3340 || (c < 3389
                ? (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5873
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11264
        ? (c < 8064
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8027
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : c <= 8025)
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))))))
          : (c <= 8116 || (c < 8455
            ? (c < 8160
              ? (c < 8134
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8150
                  ? (c >= 8144 && c <= 8147)
                  : c <= 8155)))
              : (c <= 8172 || (c < 8319
                ? (c < 8182
                  ? (c >= 8178 && c <= 8180)
                  : (c <= 8188 || c == 8305))
                : (c <= 8319 || (c < 8450
                  ? (c >= 8336 && c <= 8348)
                  : c <= 8450)))))
            : (c <= 8455 || (c < 8490
              ? (c < 8484
                ? (c < 8469
                  ? (c >= 8458 && c <= 8467)
                  : (c <= 8469 || (c >= 8473 && c <= 8477)))
                : (c <= 8484 || (c < 8488
                  ? c == 8486
                  : c <= 8488)))
              : (c <= 8493 || (c < 8517
                ? (c < 8508
                  ? (c >= 8495 && c <= 8505)
                  : c <= 8511)
                : (c <= 8521 || (c < 8579
                  ? c == 8526
                  : c <= 8580)))))))))
        : (c <= 11492 || (c < 12704
          ? (c < 11720
            ? (c < 11631
              ? (c < 11559
                ? (c < 11506
                  ? (c >= 11499 && c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11568
                  ? c == 11565
                  : c <= 11623)))
              : (c <= 11631 || (c < 11696
                ? (c < 11680
                  ? (c >= 11648 && c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11712
                  ? (c >= 11704 && c <= 11710)
                  : c <= 11718)))))
            : (c <= 11726 || (c < 12353
              ? (c < 12293
                ? (c < 11736
                  ? (c >= 11728 && c <= 11734)
                  : (c <= 11742 || c == 11823))
                : (c <= 12294 || (c < 12347
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42725)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66928
          ? (c < 66208
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c >= 65664 && c <= 65786)
                  : c <= 66204)))))
            : (c <= 66256 || (c < 66504
              ? (c < 66384
                ? (c < 66349
                  ? (c >= 66304 && c <= 66335)
                  : (c <= 66368 || (c >= 66370 && c <= 66377)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66776
                ? (c < 66736
                  ? (c >= 66560 && c <= 66717)
                  : c <= 66771)
                : (c <= 66811 || (c < 66864
                  ? (c >= 66816 && c <= 66855)
                  : c <= 66915)))))))
          : (c <= 66938 || (c < 67506
            ? (c < 67003
              ? (c < 66967
                ? (c < 66956
                  ? (c >= 66940 && c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 66995
                  ? (c >= 66979 && c <= 66993)
                  : c <= 67001)))
              : (c <= 67004 || (c < 67424
                ? (c < 67392
                  ? (c >= 67072 && c <= 67382)
                  : c <= 67413)
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 880
            ? (c < 192
              ? (c < 170
                ? (c < '_'
                  ? (c >= '$' && c <= 'Z')
                  : (c <= '_' || (c >= 'a' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 186)))
              : (c <= 214 || (c < 736
                ? (c < 248
                  ? (c >= 216 && c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1162
                ? (c < 1015
                  ? (c >= 931 && c <= 1013)
                  : c <= 1153)
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? c == '$'
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 186 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 6320
    ? (c < 2974
      ? (c < 2308
        ? (c < 1369
          ? (c < 748
            ? (c < 181
              ? (c < '_'
                ? (c < '0'
                  ? c == '$'
                  : (c <= '9' || (c >= 'A' && c <= 'Z')))
                : (c <= '_' || (c < 162
                  ? (c >= 'a' && c <= 'z')
                  : (c <= 162 || c == 170))))
              : (c <= 181 || (c < 248
                ? (c < 192
                  ? c == 186
                  : (c <= 214 || (c >= 216 && c <= 246)))
                : (c <= 705 || (c < 736
                  ? (c >= 710 && c <= 721)
                  : c <= 740)))))
            : (c <= 748 || (c < 904
              ? (c < 890
                ? (c < 880
                  ? c == 750
                  : (c <= 884 || (c >= 886 && c <= 887)))
                : (c <= 893 || (c < 902
                  ? c == 895
                  : c <= 902)))
              : (c <= 906 || (c < 1015
                ? (c < 910
                  ? c == 908
                  : (c <= 929 || (c >= 931 && c <= 1013)))
                : (c <= 1153 || (c < 1329
                  ? (c >= 1162 && c <= 1327)
                  : c <= 1366)))))))
          : (c <= 1369 || (c < 1869
            ? (c < 1649
              ? (c < 1568
                ? (c < 1488
                  ? (c >= 1376 && c <= 1416)
                  : (c <= 1514 || (c >= 1519 && c <= 1522)))
                : (c <= 1610 || (c < 1646
                  ? (c >= 1632 && c <= 1641)
                  : c <= 1647)))
              : (c <= 1747 || (c < 1791
                ? (c < 1765
                  ? c == 1749
                  : (c <= 1766 || (c >= 1774 && c <= 1788)))
                : (c <= 1791 || (c < 1810
                  ? c == 1808
                  : c <= 1839)))))
            : (c <= 1957 || (c < 2084
              ? (c < 2042
                ? (c < 1984
                  ? c == 1969
                  : (c <= 2026 || (c >= 2036 && c <= 2037)))
                : (c <= 2042 || (c < 2074
                  ? (c >= 2048 && c <= 2069)
                  : c <= 2074)))
              : (c <= 2084 || (c < 2160
                ? (c < 2112
                  ? c == 2088
                  : (c <= 2136 || (c >= 2144 && c <= 2154)))
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2406
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2415 || (c < 2437
                  ? (c >= 2417 && c <= 2432)
                  : (c <= 2444 || (c >= 2447 && c <= 2448)))))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2534 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2654
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2674
                  ? (c >= 2662 && c <= 2671)
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2858
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2821
                ? (c < 2790
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2799 || c == 2809))
                : (c <= 2828 || (c < 2835
                  ? (c >= 2831 && c <= 2832)
                  : c <= 2856)))))
            : (c <= 2864 || (c < 2929
              ? (c < 2908
                ? (c < 2869
                  ? (c >= 2866 && c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2918
                  ? (c >= 2911 && c <= 2913)
                  : c <= 2927)))
              : (c <= 2929 || (c < 2962
                ? (c < 2949
                  ? c == 2947
                  : (c <= 2954 || (c >= 2958 && c <= 2960)))
                : (c <= 2965 || (c < 2972
                  ? (c >= 2969 && c <= 2970)
                  : c <= 2972)))))))))))
      : (c <= 2975 || (c < 3840
        ? (c < 3389
          ? (c < 3200
            ? (c < 3090
              ? (c < 3024
                ? (c < 2984
                  ? (c >= 2979 && c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3077
                  ? (c >= 3046 && c <= 3055)
                  : (c <= 3084 || (c >= 3086 && c <= 3088)))))
              : (c <= 3112 || (c < 3165
                ? (c < 3133
                  ? (c >= 3114 && c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3174
                  ? (c >= 3168 && c <= 3169)
                  : c <= 3183)))))
            : (c <= 3200 || (c < 3293
              ? (c < 3242
                ? (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : (c <= 3216 || (c >= 3218 && c <= 3240)))
                : (c <= 3251 || (c < 3261
                  ? (c >= 3253 && c <= 3257)
                  : c <= 3261)))
              : (c <= 3294 || (c < 3332
                ? (c < 3302
                  ? (c >= 3296 && c <= 3297)
                  : (c <= 3311 || (c >= 3313 && c <= 3314)))
                : (c <= 3340 || (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)))))))
          : (c <= 3389 || (c < 3648
            ? (c < 3482
              ? (c < 3430
                ? (c < 3412
                  ? c == 3406
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3439 || (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : c <= 3478)))
              : (c <= 3505 || (c < 3558
                ? (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : (c <= 3517 || (c >= 3520 && c <= 3526)))
                : (c <= 3567 || (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : c <= 3635)))))
            : (c <= 3654 || (c < 3751
              ? (c < 3718
                ? (c < 3713
                  ? (c >= 3664 && c <= 3673)
                  : (c <= 3714 || c == 3716))
                : (c <= 3722 || (c < 3749
                  ? (c >= 3724 && c <= 3747)
                  : c <= 3749)))
              : (c <= 3760 || (c < 3782
                ? (c < 3773
                  ? (c >= 3762 && c <= 3763)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))
                : (c <= 3782 || (c < 3804
                  ? (c >= 3792 && c <= 3801)
                  : c <= 3807)))))))))
        : (c <= 3840 || (c < 4800
          ? (c < 4256
            ? (c < 4186
              ? (c < 3976
                ? (c < 3904
                  ? (c >= 3872 && c <= 3881)
                  : (c <= 3911 || (c >= 3913 && c <= 3948)))
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : (c <= 4169 || (c >= 4176 && c <= 4181)))))
              : (c <= 4189 || (c < 4213
                ? (c < 4197
                  ? c == 4193
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))
                : (c <= 4225 || (c < 4240
                  ? c == 4238
                  : c <= 4249)))))
            : (c <= 4293 || (c < 4696
              ? (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))
              : (c <= 4696 || (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))))))
          : (c <= 4800 || (c < 5888
            ? (c < 5024
              ? (c < 4882
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))
                : (c <= 4885 || (c < 4992
                  ? (c >= 4888 && c <= 4954)
                  : c <= 5007)))
              : (c <= 5109 || (c < 5761
                ? (c < 5121
                  ? (c >= 5112 && c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))
                : (c <= 5786 || (c < 5873
                  ? (c >= 5792 && c <= 5866)
                  : c <= 5880)))))
            : (c <= 5905 || (c < 6108
              ? (c < 5998
                ? (c < 5952
                  ? (c >= 5919 && c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c >= 6016 && c <= 6067)
                  : c <= 6103)))
              : (c <= 6108 || (c < 6272
                ? (c < 6160
                  ? (c >= 6112 && c <= 6121)
                  : (c <= 6169 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))))))))))))
    : (c <= 6389 || (c < 43138
      ? (c < 8488
        ? (c < 7960
          ? (c < 7043
            ? (c < 6688
              ? (c < 6528
                ? (c < 6470
                  ? (c >= 6400 && c <= 6430)
                  : (c <= 6509 || (c >= 6512 && c <= 6516)))
                : (c <= 6571 || (c < 6608
                  ? (c >= 6576 && c <= 6601)
                  : (c <= 6617 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 6917
                ? (c < 6800
                  ? (c >= 6784 && c <= 6793)
                  : (c <= 6809 || c == 6823))
                : (c <= 6963 || (c < 6992
                  ? (c >= 6981 && c <= 6988)
                  : c <= 7001)))))
            : (c <= 7072 || (c < 7357
              ? (c < 7245
                ? (c < 7168
                  ? (c >= 7086 && c <= 7141)
                  : (c <= 7203 || (c >= 7232 && c <= 7241)))
                : (c <= 7293 || (c < 7312
                  ? (c >= 7296 && c <= 7304)
                  : c <= 7354)))
              : (c <= 7359 || (c < 7418
                ? (c < 7406
                  ? (c >= 7401 && c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))
                : (c <= 7418 || (c < 7680
                  ? (c >= 7424 && c <= 7615)
                  : c <= 7957)))))))
          : (c <= 7965 || (c < 8150
            ? (c < 8031
              ? (c < 8025
                ? (c < 8008
                  ? (c >= 7968 && c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))
              : (c <= 8061 || (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))))
            : (c <= 8155 || (c < 8450
              ? (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))
              : (c <= 8450 || (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))))))))
        : (c <= 8488 || (c < 12445
          ? (c < 11648
            ? (c < 11499
              ? (c < 8517
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))
                : (c <= 8521 || (c < 8579
                  ? c == 8526
                  : (c <= 8580 || (c >= 11264 && c <= 11492)))))
              : (c <= 11502 || (c < 11565
                ? (c < 11520
                  ? (c >= 11506 && c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11631
                  ? (c >= 11568 && c <= 11623)
                  : c <= 11631)))))
            : (c <= 11670 || (c < 11728
              ? (c < 11704
                ? (c < 11688
                  ? (c >= 11680 && c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11720
                  ? (c >= 11712 && c <= 11718)
                  : c <= 11726)))
              : (c <= 11734 || (c < 12337
                ? (c < 11823
                  ? (c >= 11736 && c <= 11742)
                  : (c <= 11823 || (c >= 12293 && c <= 12294)))
                : (c <= 12341 || (c < 12353
                  ? (c >= 12347 && c <= 12348)
                  : c <= 12438)))))))
          : (c <= 12447 || (c < 42560
            ? (c < 13312
              ? (c < 12593
                ? (c < 12540
                  ? (c >= 12449 && c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))
                : (c <= 12686 || (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : c <= 12799)))
              : (c <= 13312 || (c < 42192
                ? (c < 19968
                  ? c == 19903
                  : (c <= 19968 || (c >= 40959 && c <= 42124)))
                : (c <= 42237 || (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : c <= 42539)))))
            : (c <= 42606 || (c < 42963
              ? (c < 42786
                ? (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : (c <= 42725 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : c <= 42961)))
              : (c <= 42963 || (c < 43015
                ? (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)))))))))))
      : (c <= 43187 || (c < 65142
        ? (c < 43793
          ? (c < 43600
            ? (c < 43396
              ? (c < 43261
                ? (c < 43250
                  ? (c >= 43216 && c <= 43225)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43312
                  ? (c >= 43264 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))
              : (c <= 43442 || (c < 43520
                ? (c < 43488
                  ? (c >= 43471 && c <= 43481)
                  : (c <= 43492 || (c >= 43494 && c <= 43518)))
                : (c <= 43560 || (c < 43588
                  ? (c >= 43584 && c <= 43586)
                  : c <= 43595)))))
            : (c <= 43609 || (c < 43712
              ? (c < 43697
                ? (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))
                : (c <= 43697 || (c < 43705
                  ? (c >= 43701 && c <= 43702)
                  : c <= 43709)))
              : (c <= 43712 || (c < 43762
                ? (c < 43739
                  ? c == 43714
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43785
                  ? (c >= 43777 && c <= 43782)
                  : c <= 43790)))))))
          : (c <= 43798 || (c < 64275
            ? (c < 44032
              ? (c < 43868
                ? (c < 43816
                  ? (c >= 43808 && c <= 43814)
                  : (c <= 43822 || (c >= 43824 && c <= 43866)))
                : (c <= 43881 || (c < 44016
                  ? (c >= 43888 && c <= 44002)
                  : c <= 44025)))
              : (c <= 44032 || (c < 63744
                ? (c < 55216
                  ? c == 55203
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))
                : (c <= 64109 || (c < 64256
                  ? (c >= 64112 && c <= 64217)
                  : c <= 64262)))))
            : (c <= 64279 || (c < 64323
              ? (c < 64312
                ? (c < 64287
                  ? c == 64285
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64320
                  ? c == 64318
                  : c <= 64321)))
              : (c <= 64324 || (c < 64914
                ? (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))
                : (c <= 64967 || (c < 65136
                  ? (c >= 65008 && c <= 65019)
                  : c <= 65140)))))))))
        : (c <= 65276 || (c < 66816
          ? (c < 65664
            ? (c < 65498
              ? (c < 65382
                ? (c < 65313
                  ? (c >= 65296 && c <= 65305)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65470 || (c < 65482
                  ? (c >= 65474 && c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))
              : (c <= 65500 || (c < 65596
                ? (c < 65549
                  ? (c >= 65536 && c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))
                : (c <= 65597 || (c < 65616
                  ? (c >= 65599 && c <= 65613)
                  : c <= 65629)))))
            : (c <= 65786 || (c < 66432
              ? (c < 66349
                ? (c < 66208
                  ? (c >= 66176 && c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))
                : (c <= 66368 || (c < 66384
                  ? (c >= 66370 && c <= 66377)
                  : c <= 66421)))
              : (c <= 66461 || (c < 66720
                ? (c < 66504
                  ? (c >= 66464 && c <= 66499)
                  : (c <= 66511 || (c >= 66560 && c <= 66717)))
                : (c <= 66729 || (c < 66776
                  ? (c >= 66736 && c <= 66771)
                  : c <= 66811)))))))
          : (c <= 66855 || (c < 67463
            ? (c < 66979
              ? (c < 66956
                ? (c < 66928
                  ? (c >= 66864 && c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))
                : (c <= 66962 || (c < 66967
                  ? (c >= 66964 && c <= 66965)
                  : c <= 66977)))
              : (c <= 66993 || (c < 67392
                ? (c < 67003
                  ? (c >= 66995 && c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))
                : (c <= 67413 || (c < 67456
                  ? (c >= 67424 && c <= 67431)
                  : c <= 67461)))))
            : (c <= 67504 || (c < 67647
              ? (c < 67594
                ? (c < 67584
                  ? (c >= 67506 && c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67644
                  ? (c >= 67639 && c <= 67640)
                  : c <= 67644)))
              : (c <= 67669 || (c < 67828
                ? (c < 67712
                  ? (c >= 67680 && c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(180);
      if (lookahead == '"') ADVANCE(102);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(129);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '.') ADVANCE(188);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '0') ADVANCE(71);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(147);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(144);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(194);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == '\\') ADVANCE(43);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == 'n') ADVANCE(200);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(119);
      if (lookahead == '~') ADVANCE(181);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(201);
      END_STATE();
    case 1:
      if (lookahead == '!') ADVANCE(180);
      if (lookahead == '"') ADVANCE(102);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(129);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '.') ADVANCE(188);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '0') ADVANCE(71);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(147);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(144);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(119);
      if (lookahead == '~') ADVANCE(181);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(201);
      END_STATE();
    case 2:
      if (lookahead == '!') ADVANCE(180);
      if (lookahead == '"') ADVANCE(102);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(129);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '0') ADVANCE(71);
      if (lookahead == ':') ADVANCE(19);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(147);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(144);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == 'n') ADVANCE(200);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(119);
      if (lookahead == '~') ADVANCE(181);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(201);
      END_STATE();
    case 3:
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(168);
      if (lookahead == '&') ADVANCE(128);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(145);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == 'n') ADVANCE(200);
      if (lookahead == '|') ADVANCE(165);
      if (lookahead == '}') ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(201);
      END_STATE();
    case 4:
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(168);
      if (lookahead == '&') ADVANCE(128);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(186);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(21);
      if (lookahead == '>') ADVANCE(145);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(165);
      if (lookahead == '}') ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(201);
      END_STATE();
    case 5:
      if (lookahead == '"') ADVANCE(103);
      END_STATE();
    case 6:
      if (lookahead == '"') ADVANCE(116);
      if (lookahead == '/') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(43);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      if (lookahead != 0) ADVANCE(115);
      END_STATE();
    case 7:
      if (lookahead == '"') ADVANCE(117);
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(101);
      if (lookahead == '/') ADVANCE(105);
      if (lookahead == '\\') ADVANCE(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(108);
      if (lookahead != 0) ADVANCE(109);
      END_STATE();
    case 9:
      if (lookahead == '&') ADVANCE(127);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '.') ADVANCE(187);
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(146);
      if (lookahead == '=') ADVANCE(130);
      if (lookahead == '>') ADVANCE(143);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(193);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(163);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(201);
      END_STATE();
    case 10:
      if (lookahead == '\'') ADVANCE(100);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(10);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(202);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(203);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 13:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead != 0) ADVANCE(13);
      END_STATE();
    case 14:
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == '_') ADVANCE(54);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(197);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 17:
      if (lookahead == '/') ADVANCE(11);
      if (lookahead == '<') ADVANCE(146);
      if (lookahead == '@') ADVANCE(37);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(17)
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(201);
      END_STATE();
    case 18:
      if (lookahead == '0') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 19:
      if (lookahead == ':') ADVANCE(190);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 22:
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '\'') ADVANCE(10);
      END_STATE();
    case 23:
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 24:
      if (lookahead == '_') ADVANCE(23);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(26);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(30);
      END_STATE();
    case 30:
      if (lookahead == 'c') ADVANCE(35);
      END_STATE();
    case 31:
      if (lookahead == 'd') ADVANCE(195);
      END_STATE();
    case 32:
      if (lookahead == 'e') ADVANCE(40);
      END_STATE();
    case 33:
      if (lookahead == 'e') ADVANCE(28);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(31);
      END_STATE();
    case 35:
      if (lookahead == 'e') ADVANCE(196);
      END_STATE();
    case 36:
      if (lookahead == 'f') ADVANCE(29);
      END_STATE();
    case 37:
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(34);
      END_STATE();
    case 39:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 40:
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(33);
      END_STATE();
    case 42:
      if (lookahead == 't') ADVANCE(32);
      END_STATE();
    case 43:
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(65);
      if (lookahead == '{') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(121);
      if (sym_escape_sequence_character_set_1(lookahead)) ADVANCE(122);
      if (lookahead != 0) ADVANCE(120);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(46);
      if (lookahead == 'x') ADVANCE(65);
      if (lookahead == '{') ADVANCE(118);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(124);
      if (lookahead != 0) ADVANCE(122);
      END_STATE();
    case 45:
      if (lookahead == '{') ADVANCE(118);
      END_STATE();
    case 46:
      if (lookahead == '{') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 47:
      if (lookahead == '}') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 48:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(18);
      if (lookahead == '0') ADVANCE(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 50:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(85);
      END_STATE();
    case 51:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(83);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(14);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(122);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(47);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 66:
      if (lookahead != 0) ADVANCE(10);
      END_STATE();
    case 67:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(180);
      if (lookahead == '"') ADVANCE(102);
      if (lookahead == '%') ADVANCE(169);
      if (lookahead == '&') ADVANCE(129);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(160);
      if (lookahead == '+') ADVANCE(156);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(157);
      if (lookahead == '.') ADVANCE(188);
      if (lookahead == '/') ADVANCE(162);
      if (lookahead == '0') ADVANCE(71);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(147);
      if (lookahead == '=') ADVANCE(131);
      if (lookahead == '>') ADVANCE(144);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(194);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == '\\') ADVANCE(45);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(167);
      if (lookahead == 'n') ADVANCE(200);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(164);
      if (lookahead == '}') ADVANCE(119);
      if (lookahead == '~') ADVANCE(181);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(201);
      END_STATE();
    case 68:
      if (eof) ADVANCE(69);
      if (lookahead == '!') ADVANCE(180);
      if (lookahead == '"') ADVANCE(102);
      if (lookahead == '%') ADVANCE(168);
      if (lookahead == '&') ADVANCE(128);
      if (lookahead == '\'') ADVANCE(22);
      if (lookahead == '(') ADVANCE(125);
      if (lookahead == ')') ADVANCE(126);
      if (lookahead == '*') ADVANCE(159);
      if (lookahead == '+') ADVANCE(155);
      if (lookahead == ',') ADVANCE(177);
      if (lookahead == '-') ADVANCE(158);
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == '/') ADVANCE(161);
      if (lookahead == '0') ADVANCE(71);
      if (lookahead == ':') ADVANCE(179);
      if (lookahead == ';') ADVANCE(192);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(21);
      if (lookahead == '>') ADVANCE(145);
      if (lookahead == '?') ADVANCE(178);
      if (lookahead == '@') ADVANCE(194);
      if (lookahead == '[') ADVANCE(184);
      if (lookahead == ']') ADVANCE(185);
      if (lookahead == '^') ADVANCE(166);
      if (lookahead == 'n') ADVANCE(200);
      if (lookahead == '{') ADVANCE(191);
      if (lookahead == '|') ADVANCE(165);
      if (lookahead == '}') ADVANCE(119);
      if (lookahead == '~') ADVANCE(181);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(73);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(201);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(50);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(70);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(52);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(16);
      if (lookahead == '_') ADVANCE(54);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(49);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(70);
      if (lookahead == '_') ADVANCE(24);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(70);
      if (lookahead == '_') ADVANCE(56);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(72);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(70);
      if (lookahead == '_') ADVANCE(23);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(74);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(75);
      if (lookahead == '_') ADVANCE(57);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(75);
      if (lookahead == '_') ADVANCE(25);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(77);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(75);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(79);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(75);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(18);
      if (lookahead == '.') ADVANCE(98);
      if (lookahead == '0') ADVANCE(78);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(75);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(80);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(76);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(79);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '.') ADVANCE(89);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == '_') ADVANCE(51);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(14);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(82);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(81);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(84);
      if (lookahead == '_') ADVANCE(50);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(85);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(53);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(88);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(49);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(86);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(59);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(27);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(26);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(58);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(95);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(18);
      if (lookahead == '0') ADVANCE(91);
      if (lookahead == '_') ADVANCE(63);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(93);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(97);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(90);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(5);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '\n') ADVANCE(109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(107);
      if (lookahead == '/') ADVANCE(104);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead == '/') ADVANCE(109);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(106);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '/') ADVANCE(105);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(108);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(109);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '\n') ADVANCE(115);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(202);
      if (lookahead != 0) ADVANCE(110);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(113);
      if (lookahead == '/') ADVANCE(110);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(112);
      if (lookahead == '/') ADVANCE(115);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(113);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '*') ADVANCE(112);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(113);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead == '/') ADVANCE(111);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(114);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(115);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '"') ADVANCE(5);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0) ADVANCE(117);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_token2);
      if (lookahead == '\\') ADVANCE(7);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(117);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACE);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(122);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(123);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(153);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(153);
      if (lookahead == '=') ADVANCE(136);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(149);
      if (lookahead == '>') ADVANCE(172);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(149);
      if (lookahead == '>') ADVANCE(173);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(171);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(170);
      if (lookahead == '=') ADVANCE(150);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(182);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(182);
      if (lookahead == '=') ADVANCE(132);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(183);
      if (lookahead == '=') ADVANCE(133);
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(183);
      if (lookahead == '>') ADVANCE(176);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(134);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(202);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(13);
      if (lookahead == '/') ADVANCE(202);
      if (lookahead == '=') ADVANCE(135);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(137);
      if (lookahead == '|') ADVANCE(154);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(154);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(139);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(141);
      if (lookahead == '>') ADVANCE(175);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(174);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(190);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(87);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(39);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_non_DASHsealed);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(41);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(201);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(198);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(201);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(199);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(201);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(202);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_block_comment);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  switch (state) {
    case 0:
      if (lookahead == '_') ADVANCE(1);
      if (lookahead == 'a') ADVANCE(2);
      if (lookahead == 'b') ADVANCE(3);
      if (lookahead == 'c') ADVANCE(4);
      if (lookahead == 'd') ADVANCE(5);
      if (lookahead == 'e') ADVANCE(6);
      if (lookahead == 'f') ADVANCE(7);
      if (lookahead == 'i') ADVANCE(8);
      if (lookahead == 'l') ADVANCE(9);
      if (lookahead == 'm') ADVANCE(10);
      if (lookahead == 'n') ADVANCE(11);
      if (lookahead == 'o') ADVANCE(12);
      if (lookahead == 'p') ADVANCE(13);
      if (lookahead == 'r') ADVANCE(14);
      if (lookahead == 's') ADVANCE(15);
      if (lookahead == 't') ADVANCE(16);
      if (lookahead == 'u') ADVANCE(17);
      if (lookahead == 'v') ADVANCE(18);
      if (lookahead == 'w') ADVANCE(19);
      if (lookahead == 'y') ADVANCE(20);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_underscore_pattern);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'h') ADVANCE(27);
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 'x') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'l') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'm') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(56);
      if (lookahead == 'w') ADVANCE(57);
      if (lookahead == 'y') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(77);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(78);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 34:
      if (lookahead == 'p') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(88);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(91);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 45:
      if (lookahead == 'w') ADVANCE(93);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(98);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 51:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 52:
      if (lookahead == 'c') ADVANCE(101);
      if (lookahead == 'q') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(106);
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 56:
      if (lookahead == 'p') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(117);
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 77:
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(134);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(137);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(146);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(147);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(151);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(152);
      END_STATE();
    case 98:
      if (lookahead == 'v') ADVANCE(153);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'v') ADVANCE(155);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 101:
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(171);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(172);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 121:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(179);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 126:
      if (lookahead == 'k') ADVANCE(181);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(182);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(185);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 137:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 138:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 141:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 148:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 152:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(214);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 168:
      if (lookahead == 'w') ADVANCE(215);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 195:
      if (lookahead == 'f') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 199:
      if (lookahead == 'g') ADVANCE(235);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(238);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(239);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(243);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(244);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 213:
      if (lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 214:
      if (lookahead == 'r') ADVANCE(248);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 223:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(256);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(257);
      END_STATE();
    case 228:
      if (lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 236:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 238:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 248:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(272);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(277);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_permits);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 268:
      if (lookahead == 'p') ADVANCE(281);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 278:
      if (lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 284:
      if (lookahead == 'v') ADVANCE(292);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 286:
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 287:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 290:
      if (lookahead == 'z') ADVANCE(295);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 0},
  [2] = {.lex_state = 0},
  [3] = {.lex_state = 0},
  [4] = {.lex_state = 0},
  [5] = {.lex_state = 0},
  [6] = {.lex_state = 0},
  [7] = {.lex_state = 0},
  [8] = {.lex_state = 0},
  [9] = {.lex_state = 0},
  [10] = {.lex_state = 0},
  [11] = {.lex_state = 0},
  [12] = {.lex_state = 0},
  [13] = {.lex_state = 0},
  [14] = {.lex_state = 0},
  [15] = {.lex_state = 0},
  [16] = {.lex_state = 0},
  [17] = {.lex_state = 0},
  [18] = {.lex_state = 0},
  [19] = {.lex_state = 0},
  [20] = {.lex_state = 0},
  [21] = {.lex_state = 0},
  [22] = {.lex_state = 0},
  [23] = {.lex_state = 0},
  [24] = {.lex_state = 0},
  [25] = {.lex_state = 0},
  [26] = {.lex_state = 0},
  [27] = {.lex_state = 0},
  [28] = {.lex_state = 0},
  [29] = {.lex_state = 0},
  [30] = {.lex_state = 0},
  [31] = {.lex_state = 0},
  [32] = {.lex_state = 0},
  [33] = {.lex_state = 0},
  [34] = {.lex_state = 0},
  [35] = {.lex_state = 0},
  [36] = {.lex_state = 0},
  [37] = {.lex_state = 0},
  [38] = {.lex_state = 0},
  [39] = {.lex_state = 0},
  [40] = {.lex_state = 0},
  [41] = {.lex_state = 0},
  [42] = {.lex_state = 0},
  [43] = {.lex_state = 0},
  [44] = {.lex_state = 0},
  [45] = {.lex_state = 0},
  [46] = {.lex_state = 0},
  [47] = {.lex_state = 0},
  [48] = {.lex_state = 0},
  [49] = {.lex_state = 0},
  [50] = {.lex_state = 0},
  [51] = {.lex_state = 0},
  [52] = {.lex_state = 0},
  [53] = {.lex_state = 0},
  [54] = {.lex_state = 0},
  [55] = {.lex_state = 0},
  [56] = {.lex_state = 0},
  [57] = {.lex_state = 0},
  [58] = {.lex_state = 0},
  [59] = {.lex_state = 0},
  [60] = {.lex_state = 0},
  [61] = {.lex_state = 0},
  [62] = {.lex_state = 0},
  [63] = {.lex_state = 0},
  [64] = {.lex_state = 0},
  [65] = {.lex_state = 0},
  [66] = {.lex_state = 0},
  [67] = {.lex_state = 0},
  [68] = {.lex_state = 0},
  [69] = {.lex_state = 0},
  [70] = {.lex_state = 0},
  [71] = {.lex_state = 0},
  [72] = {.lex_state = 0},
  [73] = {.lex_state = 0},
  [74] = {.lex_state = 0},
  [75] = {.lex_state = 0},
  [76] = {.lex_state = 0},
  [77] = {.lex_state = 0},
  [78] = {.lex_state = 0},
  [79] = {.lex_state = 0},
  [80] = {.lex_state = 0},
  [81] = {.lex_state = 0},
  [82] = {.lex_state = 0},
  [83] = {.lex_state = 0},
  [84] = {.lex_state = 0},
  [85] = {.lex_state = 0},
  [86] = {.lex_state = 0},
  [87] = {.lex_state = 0},
  [88] = {.lex_state = 0},
  [89] = {.lex_state = 0},
  [90] = {.lex_state = 0},
  [91] = {.lex_state = 0},
  [92] = {.lex_state = 0},
  [93] = {.lex_state = 0},
  [94] = {.lex_state = 0},
  [95] = {.lex_state = 0},
  [96] = {.lex_state = 0},
  [97] = {.lex_state = 0},
  [98] = {.lex_state = 0},
  [99] = {.lex_state = 0},
  [100] = {.lex_state = 0},
  [101] = {.lex_state = 0},
  [102] = {.lex_state = 0},
  [103] = {.lex_state = 0},
  [104] = {.lex_state = 0},
  [105] = {.lex_state = 0},
  [106] = {.lex_state = 1},
  [107] = {.lex_state = 68},
  [108] = {.lex_state = 68},
  [109] = {.lex_state = 68},
  [110] = {.lex_state = 68},
  [111] = {.lex_state = 68},
  [112] = {.lex_state = 68},
  [113] = {.lex_state = 68},
  [114] = {.lex_state = 2},
  [115] = {.lex_state = 2},
  [116] = {.lex_state = 2},
  [117] = {.lex_state = 2},
  [118] = {.lex_state = 2},
  [119] = {.lex_state = 2},
  [120] = {.lex_state = 68},
  [121] = {.lex_state = 68},
  [122] = {.lex_state = 1},
  [123] = {.lex_state = 1},
  [124] = {.lex_state = 1},
  [125] = {.lex_state = 1},
  [126] = {.lex_state = 1},
  [127] = {.lex_state = 1},
  [128] = {.lex_state = 1},
  [129] = {.lex_state = 1},
  [130] = {.lex_state = 1},
  [131] = {.lex_state = 1},
  [132] = {.lex_state = 0},
  [133] = {.lex_state = 1},
  [134] = {.lex_state = 1},
  [135] = {.lex_state = 1},
  [136] = {.lex_state = 1},
  [137] = {.lex_state = 1},
  [138] = {.lex_state = 1},
  [139] = {.lex_state = 1},
  [140] = {.lex_state = 1},
  [141] = {.lex_state = 1},
  [142] = {.lex_state = 1},
  [143] = {.lex_state = 1},
  [144] = {.lex_state = 1},
  [145] = {.lex_state = 1},
  [146] = {.lex_state = 1},
  [147] = {.lex_state = 1},
  [148] = {.lex_state = 1},
  [149] = {.lex_state = 1},
  [150] = {.lex_state = 1},
  [151] = {.lex_state = 1},
  [152] = {.lex_state = 1},
  [153] = {.lex_state = 1},
  [154] = {.lex_state = 1},
  [155] = {.lex_state = 1},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 1},
  [158] = {.lex_state = 0},
  [159] = {.lex_state = 0},
  [160] = {.lex_state = 1},
  [161] = {.lex_state = 1},
  [162] = {.lex_state = 1},
  [163] = {.lex_state = 1},
  [164] = {.lex_state = 1},
  [165] = {.lex_state = 1},
  [166] = {.lex_state = 1},
  [167] = {.lex_state = 1},
  [168] = {.lex_state = 1},
  [169] = {.lex_state = 1},
  [170] = {.lex_state = 1},
  [171] = {.lex_state = 1},
  [172] = {.lex_state = 1},
  [173] = {.lex_state = 1},
  [174] = {.lex_state = 1},
  [175] = {.lex_state = 1},
  [176] = {.lex_state = 1},
  [177] = {.lex_state = 1},
  [178] = {.lex_state = 1},
  [179] = {.lex_state = 1},
  [180] = {.lex_state = 1},
  [181] = {.lex_state = 0},
  [182] = {.lex_state = 1},
  [183] = {.lex_state = 1},
  [184] = {.lex_state = 1},
  [185] = {.lex_state = 1},
  [186] = {.lex_state = 1},
  [187] = {.lex_state = 1},
  [188] = {.lex_state = 1},
  [189] = {.lex_state = 1},
  [190] = {.lex_state = 1},
  [191] = {.lex_state = 1},
  [192] = {.lex_state = 1},
  [193] = {.lex_state = 1},
  [194] = {.lex_state = 1},
  [195] = {.lex_state = 1},
  [196] = {.lex_state = 1},
  [197] = {.lex_state = 1},
  [198] = {.lex_state = 1},
  [199] = {.lex_state = 1},
  [200] = {.lex_state = 1},
  [201] = {.lex_state = 1},
  [202] = {.lex_state = 1},
  [203] = {.lex_state = 1},
  [204] = {.lex_state = 1},
  [205] = {.lex_state = 1},
  [206] = {.lex_state = 1},
  [207] = {.lex_state = 1},
  [208] = {.lex_state = 1},
  [209] = {.lex_state = 1},
  [210] = {.lex_state = 1},
  [211] = {.lex_state = 1},
  [212] = {.lex_state = 1},
  [213] = {.lex_state = 1},
  [214] = {.lex_state = 1},
  [215] = {.lex_state = 1},
  [216] = {.lex_state = 1},
  [217] = {.lex_state = 1},
  [218] = {.lex_state = 1},
  [219] = {.lex_state = 1},
  [220] = {.lex_state = 1},
  [221] = {.lex_state = 1},
  [222] = {.lex_state = 1},
  [223] = {.lex_state = 1},
  [224] = {.lex_state = 1},
  [225] = {.lex_state = 0},
  [226] = {.lex_state = 1},
  [227] = {.lex_state = 1},
  [228] = {.lex_state = 1},
  [229] = {.lex_state = 1},
  [230] = {.lex_state = 1},
  [231] = {.lex_state = 1},
  [232] = {.lex_state = 1},
  [233] = {.lex_state = 1},
  [234] = {.lex_state = 1},
  [235] = {.lex_state = 1},
  [236] = {.lex_state = 1},
  [237] = {.lex_state = 1},
  [238] = {.lex_state = 1},
  [239] = {.lex_state = 1},
  [240] = {.lex_state = 1},
  [241] = {.lex_state = 1},
  [242] = {.lex_state = 1},
  [243] = {.lex_state = 1},
  [244] = {.lex_state = 1},
  [245] = {.lex_state = 1},
  [246] = {.lex_state = 1},
  [247] = {.lex_state = 1},
  [248] = {.lex_state = 2},
  [249] = {.lex_state = 0},
  [250] = {.lex_state = 0},
  [251] = {.lex_state = 0},
  [252] = {.lex_state = 2},
  [253] = {.lex_state = 2},
  [254] = {.lex_state = 2},
  [255] = {.lex_state = 0},
  [256] = {.lex_state = 0},
  [257] = {.lex_state = 0},
  [258] = {.lex_state = 0},
  [259] = {.lex_state = 0},
  [260] = {.lex_state = 0},
  [261] = {.lex_state = 0},
  [262] = {.lex_state = 0},
  [263] = {.lex_state = 0},
  [264] = {.lex_state = 0},
  [265] = {.lex_state = 0},
  [266] = {.lex_state = 0},
  [267] = {.lex_state = 0},
  [268] = {.lex_state = 0},
  [269] = {.lex_state = 0},
  [270] = {.lex_state = 0},
  [271] = {.lex_state = 0},
  [272] = {.lex_state = 0},
  [273] = {.lex_state = 0},
  [274] = {.lex_state = 0},
  [275] = {.lex_state = 0},
  [276] = {.lex_state = 0},
  [277] = {.lex_state = 0},
  [278] = {.lex_state = 0},
  [279] = {.lex_state = 0},
  [280] = {.lex_state = 0},
  [281] = {.lex_state = 0},
  [282] = {.lex_state = 0},
  [283] = {.lex_state = 0},
  [284] = {.lex_state = 0},
  [285] = {.lex_state = 0},
  [286] = {.lex_state = 0},
  [287] = {.lex_state = 0},
  [288] = {.lex_state = 0},
  [289] = {.lex_state = 0},
  [290] = {.lex_state = 0},
  [291] = {.lex_state = 0},
  [292] = {.lex_state = 0},
  [293] = {.lex_state = 0},
  [294] = {.lex_state = 0},
  [295] = {.lex_state = 0},
  [296] = {.lex_state = 0},
  [297] = {.lex_state = 0},
  [298] = {.lex_state = 0},
  [299] = {.lex_state = 0},
  [300] = {.lex_state = 0},
  [301] = {.lex_state = 0},
  [302] = {.lex_state = 0},
  [303] = {.lex_state = 0},
  [304] = {.lex_state = 0},
  [305] = {.lex_state = 0},
  [306] = {.lex_state = 0},
  [307] = {.lex_state = 0},
  [308] = {.lex_state = 0},
  [309] = {.lex_state = 0},
  [310] = {.lex_state = 0},
  [311] = {.lex_state = 0},
  [312] = {.lex_state = 0},
  [313] = {.lex_state = 0},
  [314] = {.lex_state = 0},
  [315] = {.lex_state = 0},
  [316] = {.lex_state = 0},
  [317] = {.lex_state = 0},
  [318] = {.lex_state = 0},
  [319] = {.lex_state = 0},
  [320] = {.lex_state = 0},
  [321] = {.lex_state = 0},
  [322] = {.lex_state = 0},
  [323] = {.lex_state = 0},
  [324] = {.lex_state = 0},
  [325] = {.lex_state = 0},
  [326] = {.lex_state = 0},
  [327] = {.lex_state = 0},
  [328] = {.lex_state = 0},
  [329] = {.lex_state = 0},
  [330] = {.lex_state = 0},
  [331] = {.lex_state = 0},
  [332] = {.lex_state = 0},
  [333] = {.lex_state = 0},
  [334] = {.lex_state = 0},
  [335] = {.lex_state = 0},
  [336] = {.lex_state = 0},
  [337] = {.lex_state = 0},
  [338] = {.lex_state = 0},
  [339] = {.lex_state = 0},
  [340] = {.lex_state = 0},
  [341] = {.lex_state = 0},
  [342] = {.lex_state = 0},
  [343] = {.lex_state = 0},
  [344] = {.lex_state = 0},
  [345] = {.lex_state = 0},
  [346] = {.lex_state = 0},
  [347] = {.lex_state = 0},
  [348] = {.lex_state = 0},
  [349] = {.lex_state = 0},
  [350] = {.lex_state = 0},
  [351] = {.lex_state = 0},
  [352] = {.lex_state = 0},
  [353] = {.lex_state = 0},
  [354] = {.lex_state = 0},
  [355] = {.lex_state = 0},
  [356] = {.lex_state = 0},
  [357] = {.lex_state = 0},
  [358] = {.lex_state = 0},
  [359] = {.lex_state = 0},
  [360] = {.lex_state = 0},
  [361] = {.lex_state = 0},
  [362] = {.lex_state = 0},
  [363] = {.lex_state = 0},
  [364] = {.lex_state = 0},
  [365] = {.lex_state = 0},
  [366] = {.lex_state = 0},
  [367] = {.lex_state = 0},
  [368] = {.lex_state = 0},
  [369] = {.lex_state = 0},
  [370] = {.lex_state = 0},
  [371] = {.lex_state = 0},
  [372] = {.lex_state = 0},
  [373] = {.lex_state = 0},
  [374] = {.lex_state = 0},
  [375] = {.lex_state = 0},
  [376] = {.lex_state = 0},
  [377] = {.lex_state = 0},
  [378] = {.lex_state = 0},
  [379] = {.lex_state = 0},
  [380] = {.lex_state = 0},
  [381] = {.lex_state = 0},
  [382] = {.lex_state = 0},
  [383] = {.lex_state = 0},
  [384] = {.lex_state = 0},
  [385] = {.lex_state = 0},
  [386] = {.lex_state = 0},
  [387] = {.lex_state = 0},
  [388] = {.lex_state = 0},
  [389] = {.lex_state = 0},
  [390] = {.lex_state = 0},
  [391] = {.lex_state = 0},
  [392] = {.lex_state = 0},
  [393] = {.lex_state = 0},
  [394] = {.lex_state = 0},
  [395] = {.lex_state = 0},
  [396] = {.lex_state = 0},
  [397] = {.lex_state = 0},
  [398] = {.lex_state = 0},
  [399] = {.lex_state = 0},
  [400] = {.lex_state = 0},
  [401] = {.lex_state = 0},
  [402] = {.lex_state = 0},
  [403] = {.lex_state = 2},
  [404] = {.lex_state = 1},
  [405] = {.lex_state = 1},
  [406] = {.lex_state = 3},
  [407] = {.lex_state = 0},
  [408] = {.lex_state = 0},
  [409] = {.lex_state = 0},
  [410] = {.lex_state = 0},
  [411] = {.lex_state = 0},
  [412] = {.lex_state = 1},
  [413] = {.lex_state = 1},
  [414] = {.lex_state = 1},
  [415] = {.lex_state = 0},
  [416] = {.lex_state = 0},
  [417] = {.lex_state = 1},
  [418] = {.lex_state = 0},
  [419] = {.lex_state = 1},
  [420] = {.lex_state = 1},
  [421] = {.lex_state = 1},
  [422] = {.lex_state = 1},
  [423] = {.lex_state = 1},
  [424] = {.lex_state = 1},
  [425] = {.lex_state = 0},
  [426] = {.lex_state = 0},
  [427] = {.lex_state = 0},
  [428] = {.lex_state = 1},
  [429] = {.lex_state = 1},
  [430] = {.lex_state = 1},
  [431] = {.lex_state = 4},
  [432] = {.lex_state = 4},
  [433] = {.lex_state = 4},
  [434] = {.lex_state = 1},
  [435] = {.lex_state = 1},
  [436] = {.lex_state = 1},
  [437] = {.lex_state = 1},
  [438] = {.lex_state = 4},
  [439] = {.lex_state = 1},
  [440] = {.lex_state = 1},
  [441] = {.lex_state = 1},
  [442] = {.lex_state = 4},
  [443] = {.lex_state = 1},
  [444] = {.lex_state = 1},
  [445] = {.lex_state = 1},
  [446] = {.lex_state = 1},
  [447] = {.lex_state = 4},
  [448] = {.lex_state = 4},
  [449] = {.lex_state = 4},
  [450] = {.lex_state = 4},
  [451] = {.lex_state = 4},
  [452] = {.lex_state = 4},
  [453] = {.lex_state = 1},
  [454] = {.lex_state = 4},
  [455] = {.lex_state = 1},
  [456] = {.lex_state = 4},
  [457] = {.lex_state = 4},
  [458] = {.lex_state = 4},
  [459] = {.lex_state = 4},
  [460] = {.lex_state = 4},
  [461] = {.lex_state = 1},
  [462] = {.lex_state = 4},
  [463] = {.lex_state = 4},
  [464] = {.lex_state = 1},
  [465] = {.lex_state = 4},
  [466] = {.lex_state = 4},
  [467] = {.lex_state = 0},
  [468] = {.lex_state = 4},
  [469] = {.lex_state = 1},
  [470] = {.lex_state = 2},
  [471] = {.lex_state = 4},
  [472] = {.lex_state = 4},
  [473] = {.lex_state = 4},
  [474] = {.lex_state = 4},
  [475] = {.lex_state = 4},
  [476] = {.lex_state = 4},
  [477] = {.lex_state = 4},
  [478] = {.lex_state = 4},
  [479] = {.lex_state = 4},
  [480] = {.lex_state = 2},
  [481] = {.lex_state = 4},
  [482] = {.lex_state = 2},
  [483] = {.lex_state = 4},
  [484] = {.lex_state = 2},
  [485] = {.lex_state = 0},
  [486] = {.lex_state = 4},
  [487] = {.lex_state = 4},
  [488] = {.lex_state = 4},
  [489] = {.lex_state = 4},
  [490] = {.lex_state = 4},
  [491] = {.lex_state = 4},
  [492] = {.lex_state = 4},
  [493] = {.lex_state = 4},
  [494] = {.lex_state = 4},
  [495] = {.lex_state = 4},
  [496] = {.lex_state = 4},
  [497] = {.lex_state = 4},
  [498] = {.lex_state = 4},
  [499] = {.lex_state = 4},
  [500] = {.lex_state = 4},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 4},
  [503] = {.lex_state = 4},
  [504] = {.lex_state = 4},
  [505] = {.lex_state = 0},
  [506] = {.lex_state = 9},
  [507] = {.lex_state = 4},
  [508] = {.lex_state = 9},
  [509] = {.lex_state = 4},
  [510] = {.lex_state = 9},
  [511] = {.lex_state = 4},
  [512] = {.lex_state = 4},
  [513] = {.lex_state = 4},
  [514] = {.lex_state = 4},
  [515] = {.lex_state = 4},
  [516] = {.lex_state = 4},
  [517] = {.lex_state = 4},
  [518] = {.lex_state = 4},
  [519] = {.lex_state = 4},
  [520] = {.lex_state = 4},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 4},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 4},
  [527] = {.lex_state = 4},
  [528] = {.lex_state = 4},
  [529] = {.lex_state = 4},
  [530] = {.lex_state = 4},
  [531] = {.lex_state = 4},
  [532] = {.lex_state = 4},
  [533] = {.lex_state = 4},
  [534] = {.lex_state = 4},
  [535] = {.lex_state = 4},
  [536] = {.lex_state = 4},
  [537] = {.lex_state = 4},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 4},
  [540] = {.lex_state = 4},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 4},
  [545] = {.lex_state = 0},
  [546] = {.lex_state = 4},
  [547] = {.lex_state = 4},
  [548] = {.lex_state = 4},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 0},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 0},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 4},
  [556] = {.lex_state = 4},
  [557] = {.lex_state = 4},
  [558] = {.lex_state = 4},
  [559] = {.lex_state = 4},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 4},
  [562] = {.lex_state = 4},
  [563] = {.lex_state = 4},
  [564] = {.lex_state = 4},
  [565] = {.lex_state = 4},
  [566] = {.lex_state = 4},
  [567] = {.lex_state = 4},
  [568] = {.lex_state = 4},
  [569] = {.lex_state = 4},
  [570] = {.lex_state = 4},
  [571] = {.lex_state = 4},
  [572] = {.lex_state = 4},
  [573] = {.lex_state = 4},
  [574] = {.lex_state = 4},
  [575] = {.lex_state = 4},
  [576] = {.lex_state = 4},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 0},
  [580] = {.lex_state = 0},
  [581] = {.lex_state = 0},
  [582] = {.lex_state = 1},
  [583] = {.lex_state = 9},
  [584] = {.lex_state = 4},
  [585] = {.lex_state = 9},
  [586] = {.lex_state = 4},
  [587] = {.lex_state = 4},
  [588] = {.lex_state = 4},
  [589] = {.lex_state = 4},
  [590] = {.lex_state = 0},
  [591] = {.lex_state = 4},
  [592] = {.lex_state = 1},
  [593] = {.lex_state = 4},
  [594] = {.lex_state = 4},
  [595] = {.lex_state = 4},
  [596] = {.lex_state = 0},
  [597] = {.lex_state = 0},
  [598] = {.lex_state = 4},
  [599] = {.lex_state = 4},
  [600] = {.lex_state = 4},
  [601] = {.lex_state = 4},
  [602] = {.lex_state = 0},
  [603] = {.lex_state = 0},
  [604] = {.lex_state = 0},
  [605] = {.lex_state = 4},
  [606] = {.lex_state = 4},
  [607] = {.lex_state = 4},
  [608] = {.lex_state = 0},
  [609] = {.lex_state = 4},
  [610] = {.lex_state = 4},
  [611] = {.lex_state = 0},
  [612] = {.lex_state = 4},
  [613] = {.lex_state = 4},
  [614] = {.lex_state = 4},
  [615] = {.lex_state = 4},
  [616] = {.lex_state = 4},
  [617] = {.lex_state = 4},
  [618] = {.lex_state = 4},
  [619] = {.lex_state = 4},
  [620] = {.lex_state = 4},
  [621] = {.lex_state = 4},
  [622] = {.lex_state = 4},
  [623] = {.lex_state = 4},
  [624] = {.lex_state = 4},
  [625] = {.lex_state = 2},
  [626] = {.lex_state = 2},
  [627] = {.lex_state = 4},
  [628] = {.lex_state = 2},
  [629] = {.lex_state = 4},
  [630] = {.lex_state = 4},
  [631] = {.lex_state = 2},
  [632] = {.lex_state = 4},
  [633] = {.lex_state = 4},
  [634] = {.lex_state = 4},
  [635] = {.lex_state = 4},
  [636] = {.lex_state = 4},
  [637] = {.lex_state = 4},
  [638] = {.lex_state = 4},
  [639] = {.lex_state = 4},
  [640] = {.lex_state = 4},
  [641] = {.lex_state = 4},
  [642] = {.lex_state = 4},
  [643] = {.lex_state = 9},
  [644] = {.lex_state = 1},
  [645] = {.lex_state = 4},
  [646] = {.lex_state = 9},
  [647] = {.lex_state = 4},
  [648] = {.lex_state = 4},
  [649] = {.lex_state = 4},
  [650] = {.lex_state = 4},
  [651] = {.lex_state = 4},
  [652] = {.lex_state = 1},
  [653] = {.lex_state = 4},
  [654] = {.lex_state = 4},
  [655] = {.lex_state = 2},
  [656] = {.lex_state = 4},
  [657] = {.lex_state = 4},
  [658] = {.lex_state = 4},
  [659] = {.lex_state = 4},
  [660] = {.lex_state = 4},
  [661] = {.lex_state = 9},
  [662] = {.lex_state = 2},
  [663] = {.lex_state = 2},
  [664] = {.lex_state = 4},
  [665] = {.lex_state = 4},
  [666] = {.lex_state = 4},
  [667] = {.lex_state = 4},
  [668] = {.lex_state = 9},
  [669] = {.lex_state = 4},
  [670] = {.lex_state = 4},
  [671] = {.lex_state = 4},
  [672] = {.lex_state = 2},
  [673] = {.lex_state = 4},
  [674] = {.lex_state = 4},
  [675] = {.lex_state = 4},
  [676] = {.lex_state = 4},
  [677] = {.lex_state = 4},
  [678] = {.lex_state = 4},
  [679] = {.lex_state = 4},
  [680] = {.lex_state = 4},
  [681] = {.lex_state = 4},
  [682] = {.lex_state = 4},
  [683] = {.lex_state = 2},
  [684] = {.lex_state = 4},
  [685] = {.lex_state = 4},
  [686] = {.lex_state = 4},
  [687] = {.lex_state = 4},
  [688] = {.lex_state = 4},
  [689] = {.lex_state = 4},
  [690] = {.lex_state = 4},
  [691] = {.lex_state = 4},
  [692] = {.lex_state = 2},
  [693] = {.lex_state = 2},
  [694] = {.lex_state = 1},
  [695] = {.lex_state = 9},
  [696] = {.lex_state = 4},
  [697] = {.lex_state = 1},
  [698] = {.lex_state = 9},
  [699] = {.lex_state = 9},
  [700] = {.lex_state = 9},
  [701] = {.lex_state = 17},
  [702] = {.lex_state = 4},
  [703] = {.lex_state = 4},
  [704] = {.lex_state = 4},
  [705] = {.lex_state = 9},
  [706] = {.lex_state = 4},
  [707] = {.lex_state = 9},
  [708] = {.lex_state = 2},
  [709] = {.lex_state = 4},
  [710] = {.lex_state = 4},
  [711] = {.lex_state = 4},
  [712] = {.lex_state = 4},
  [713] = {.lex_state = 4},
  [714] = {.lex_state = 4},
  [715] = {.lex_state = 4},
  [716] = {.lex_state = 4},
  [717] = {.lex_state = 4},
  [718] = {.lex_state = 4},
  [719] = {.lex_state = 4},
  [720] = {.lex_state = 1},
  [721] = {.lex_state = 1},
  [722] = {.lex_state = 9},
  [723] = {.lex_state = 4},
  [724] = {.lex_state = 1},
  [725] = {.lex_state = 4},
  [726] = {.lex_state = 4},
  [727] = {.lex_state = 4},
  [728] = {.lex_state = 4},
  [729] = {.lex_state = 9},
  [730] = {.lex_state = 4},
  [731] = {.lex_state = 4},
  [732] = {.lex_state = 4},
  [733] = {.lex_state = 4},
  [734] = {.lex_state = 17},
  [735] = {.lex_state = 4},
  [736] = {.lex_state = 4},
  [737] = {.lex_state = 9},
  [738] = {.lex_state = 4},
  [739] = {.lex_state = 4},
  [740] = {.lex_state = 9},
  [741] = {.lex_state = 1},
  [742] = {.lex_state = 4},
  [743] = {.lex_state = 4},
  [744] = {.lex_state = 4},
  [745] = {.lex_state = 4},
  [746] = {.lex_state = 4},
  [747] = {.lex_state = 4},
  [748] = {.lex_state = 4},
  [749] = {.lex_state = 4},
  [750] = {.lex_state = 4},
  [751] = {.lex_state = 17},
  [752] = {.lex_state = 4},
  [753] = {.lex_state = 4},
  [754] = {.lex_state = 4},
  [755] = {.lex_state = 1},
  [756] = {.lex_state = 1},
  [757] = {.lex_state = 9},
  [758] = {.lex_state = 9},
  [759] = {.lex_state = 9},
  [760] = {.lex_state = 1},
  [761] = {.lex_state = 1},
  [762] = {.lex_state = 1},
  [763] = {.lex_state = 1},
  [764] = {.lex_state = 1},
  [765] = {.lex_state = 1},
  [766] = {.lex_state = 1},
  [767] = {.lex_state = 1},
  [768] = {.lex_state = 1},
  [769] = {.lex_state = 2},
  [770] = {.lex_state = 1},
  [771] = {.lex_state = 1},
  [772] = {.lex_state = 1},
  [773] = {.lex_state = 1},
  [774] = {.lex_state = 1},
  [775] = {.lex_state = 1},
  [776] = {.lex_state = 1},
  [777] = {.lex_state = 1},
  [778] = {.lex_state = 1},
  [779] = {.lex_state = 1},
  [780] = {.lex_state = 1},
  [781] = {.lex_state = 1},
  [782] = {.lex_state = 1},
  [783] = {.lex_state = 17},
  [784] = {.lex_state = 1},
  [785] = {.lex_state = 1},
  [786] = {.lex_state = 1},
  [787] = {.lex_state = 1},
  [788] = {.lex_state = 1},
  [789] = {.lex_state = 1},
  [790] = {.lex_state = 1},
  [791] = {.lex_state = 1},
  [792] = {.lex_state = 1},
  [793] = {.lex_state = 1},
  [794] = {.lex_state = 1},
  [795] = {.lex_state = 1},
  [796] = {.lex_state = 1},
  [797] = {.lex_state = 1},
  [798] = {.lex_state = 1},
  [799] = {.lex_state = 1},
  [800] = {.lex_state = 1},
  [801] = {.lex_state = 17},
  [802] = {.lex_state = 1},
  [803] = {.lex_state = 1},
  [804] = {.lex_state = 1},
  [805] = {.lex_state = 1},
  [806] = {.lex_state = 1},
  [807] = {.lex_state = 1},
  [808] = {.lex_state = 1},
  [809] = {.lex_state = 1},
  [810] = {.lex_state = 1},
  [811] = {.lex_state = 1},
  [812] = {.lex_state = 1},
  [813] = {.lex_state = 1},
  [814] = {.lex_state = 1},
  [815] = {.lex_state = 1},
  [816] = {.lex_state = 1},
  [817] = {.lex_state = 1},
  [818] = {.lex_state = 1},
  [819] = {.lex_state = 1},
  [820] = {.lex_state = 1},
  [821] = {.lex_state = 1},
  [822] = {.lex_state = 1},
  [823] = {.lex_state = 1},
  [824] = {.lex_state = 1},
  [825] = {.lex_state = 1},
  [826] = {.lex_state = 1},
  [827] = {.lex_state = 1},
  [828] = {.lex_state = 9},
  [829] = {.lex_state = 1},
  [830] = {.lex_state = 1},
  [831] = {.lex_state = 1},
  [832] = {.lex_state = 1},
  [833] = {.lex_state = 9},
  [834] = {.lex_state = 1},
  [835] = {.lex_state = 1},
  [836] = {.lex_state = 1},
  [837] = {.lex_state = 1},
  [838] = {.lex_state = 1},
  [839] = {.lex_state = 1},
  [840] = {.lex_state = 1},
  [841] = {.lex_state = 1},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 1},
  [844] = {.lex_state = 1},
  [845] = {.lex_state = 1},
  [846] = {.lex_state = 1},
  [847] = {.lex_state = 1},
  [848] = {.lex_state = 1},
  [849] = {.lex_state = 1},
  [850] = {.lex_state = 1},
  [851] = {.lex_state = 1},
  [852] = {.lex_state = 1},
  [853] = {.lex_state = 1},
  [854] = {.lex_state = 1},
  [855] = {.lex_state = 1},
  [856] = {.lex_state = 1},
  [857] = {.lex_state = 1},
  [858] = {.lex_state = 1},
  [859] = {.lex_state = 1},
  [860] = {.lex_state = 1},
  [861] = {.lex_state = 1},
  [862] = {.lex_state = 1},
  [863] = {.lex_state = 1},
  [864] = {.lex_state = 1},
  [865] = {.lex_state = 1},
  [866] = {.lex_state = 1},
  [867] = {.lex_state = 1},
  [868] = {.lex_state = 1},
  [869] = {.lex_state = 1},
  [870] = {.lex_state = 1},
  [871] = {.lex_state = 1},
  [872] = {.lex_state = 1},
  [873] = {.lex_state = 1},
  [874] = {.lex_state = 1},
  [875] = {.lex_state = 1},
  [876] = {.lex_state = 1},
  [877] = {.lex_state = 1},
  [878] = {.lex_state = 1},
  [879] = {.lex_state = 1},
  [880] = {.lex_state = 1},
  [881] = {.lex_state = 1},
  [882] = {.lex_state = 1},
  [883] = {.lex_state = 1},
  [884] = {.lex_state = 1},
  [885] = {.lex_state = 1},
  [886] = {.lex_state = 1},
  [887] = {.lex_state = 1},
  [888] = {.lex_state = 1},
  [889] = {.lex_state = 6},
  [890] = {.lex_state = 6},
  [891] = {.lex_state = 1},
  [892] = {.lex_state = 1},
  [893] = {.lex_state = 1},
  [894] = {.lex_state = 6},
  [895] = {.lex_state = 1},
  [896] = {.lex_state = 1},
  [897] = {.lex_state = 1},
  [898] = {.lex_state = 1},
  [899] = {.lex_state = 1},
  [900] = {.lex_state = 1},
  [901] = {.lex_state = 1},
  [902] = {.lex_state = 1},
  [903] = {.lex_state = 1},
  [904] = {.lex_state = 1},
  [905] = {.lex_state = 1},
  [906] = {.lex_state = 1},
  [907] = {.lex_state = 1},
  [908] = {.lex_state = 9},
  [909] = {.lex_state = 1},
  [910] = {.lex_state = 1},
  [911] = {.lex_state = 1},
  [912] = {.lex_state = 1},
  [913] = {.lex_state = 1},
  [914] = {.lex_state = 1},
  [915] = {.lex_state = 1},
  [916] = {.lex_state = 1},
  [917] = {.lex_state = 1},
  [918] = {.lex_state = 1},
  [919] = {.lex_state = 1},
  [920] = {.lex_state = 1},
  [921] = {.lex_state = 1},
  [922] = {.lex_state = 1},
  [923] = {.lex_state = 1},
  [924] = {.lex_state = 1},
  [925] = {.lex_state = 1},
  [926] = {.lex_state = 1},
  [927] = {.lex_state = 1},
  [928] = {.lex_state = 1},
  [929] = {.lex_state = 1},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 1},
  [932] = {.lex_state = 1},
  [933] = {.lex_state = 1},
  [934] = {.lex_state = 1},
  [935] = {.lex_state = 1},
  [936] = {.lex_state = 1},
  [937] = {.lex_state = 1},
  [938] = {.lex_state = 1},
  [939] = {.lex_state = 0},
  [940] = {.lex_state = 1},
  [941] = {.lex_state = 1},
  [942] = {.lex_state = 1},
  [943] = {.lex_state = 1},
  [944] = {.lex_state = 1},
  [945] = {.lex_state = 1},
  [946] = {.lex_state = 1},
  [947] = {.lex_state = 1},
  [948] = {.lex_state = 1},
  [949] = {.lex_state = 1},
  [950] = {.lex_state = 1},
  [951] = {.lex_state = 1},
  [952] = {.lex_state = 1},
  [953] = {.lex_state = 1},
  [954] = {.lex_state = 1},
  [955] = {.lex_state = 1},
  [956] = {.lex_state = 1},
  [957] = {.lex_state = 1},
  [958] = {.lex_state = 1},
  [959] = {.lex_state = 1},
  [960] = {.lex_state = 1},
  [961] = {.lex_state = 1},
  [962] = {.lex_state = 1},
  [963] = {.lex_state = 1},
  [964] = {.lex_state = 1},
  [965] = {.lex_state = 6},
  [966] = {.lex_state = 8},
  [967] = {.lex_state = 1},
  [968] = {.lex_state = 1},
  [969] = {.lex_state = 1},
  [970] = {.lex_state = 1},
  [971] = {.lex_state = 1},
  [972] = {.lex_state = 1},
  [973] = {.lex_state = 8},
  [974] = {.lex_state = 1},
  [975] = {.lex_state = 8},
  [976] = {.lex_state = 1},
  [977] = {.lex_state = 1},
  [978] = {.lex_state = 1},
  [979] = {.lex_state = 6},
  [980] = {.lex_state = 1},
  [981] = {.lex_state = 1},
  [982] = {.lex_state = 1},
  [983] = {.lex_state = 0},
  [984] = {.lex_state = 0},
  [985] = {.lex_state = 0},
  [986] = {.lex_state = 1},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 0},
  [990] = {.lex_state = 0},
  [991] = {.lex_state = 0},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 0},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 9},
  [997] = {.lex_state = 0},
  [998] = {.lex_state = 1},
  [999] = {.lex_state = 0},
  [1000] = {.lex_state = 0},
  [1001] = {.lex_state = 1},
  [1002] = {.lex_state = 0},
  [1003] = {.lex_state = 0},
  [1004] = {.lex_state = 0},
  [1005] = {.lex_state = 9},
  [1006] = {.lex_state = 0},
  [1007] = {.lex_state = 1},
  [1008] = {.lex_state = 1},
  [1009] = {.lex_state = 0},
  [1010] = {.lex_state = 1},
  [1011] = {.lex_state = 0},
  [1012] = {.lex_state = 1},
  [1013] = {.lex_state = 0},
  [1014] = {.lex_state = 0},
  [1015] = {.lex_state = 1},
  [1016] = {.lex_state = 1},
  [1017] = {.lex_state = 0},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 1},
  [1020] = {.lex_state = 1},
  [1021] = {.lex_state = 0},
  [1022] = {.lex_state = 1},
  [1023] = {.lex_state = 0},
  [1024] = {.lex_state = 1},
  [1025] = {.lex_state = 1},
  [1026] = {.lex_state = 1},
  [1027] = {.lex_state = 0},
  [1028] = {.lex_state = 0},
  [1029] = {.lex_state = 9},
  [1030] = {.lex_state = 1},
  [1031] = {.lex_state = 1},
  [1032] = {.lex_state = 0},
  [1033] = {.lex_state = 1},
  [1034] = {.lex_state = 0},
  [1035] = {.lex_state = 1},
  [1036] = {.lex_state = 0},
  [1037] = {.lex_state = 9},
  [1038] = {.lex_state = 0},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 0},
  [1041] = {.lex_state = 9},
  [1042] = {.lex_state = 8},
  [1043] = {.lex_state = 1},
  [1044] = {.lex_state = 0},
  [1045] = {.lex_state = 1},
  [1046] = {.lex_state = 1},
  [1047] = {.lex_state = 1},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 1},
  [1050] = {.lex_state = 1},
  [1051] = {.lex_state = 1},
  [1052] = {.lex_state = 1},
  [1053] = {.lex_state = 1},
  [1054] = {.lex_state = 1},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 9},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 1},
  [1060] = {.lex_state = 1},
  [1061] = {.lex_state = 1},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 9},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 1},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 1},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 1},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 9},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 1},
  [1091] = {.lex_state = 1},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 9},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 9},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 1},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 1},
  [1121] = {.lex_state = 0},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 1},
  [1125] = {.lex_state = 1},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 9},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 9},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 1},
  [1139] = {.lex_state = 1},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 1},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 9},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 1},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 9},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 9},
  [1163] = {.lex_state = 1},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 9},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 1},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 1},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 1},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 1},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 1},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 1},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 0},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 9},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 9},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 1},
  [1227] = {.lex_state = 9},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 9},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 9},
  [1243] = {.lex_state = 1},
  [1244] = {.lex_state = 9},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 1},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 1},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 1},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 1},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 9},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 1},
  [1299] = {.lex_state = 1},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 1},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 1},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 1},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 1},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 1},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 1},
  [1332] = {.lex_state = 1},
  [1333] = {.lex_state = 1},
  [1334] = {.lex_state = 1},
  [1335] = {.lex_state = 1},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 1},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 1},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 1},
  [1364] = {.lex_state = 1},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 1},
  [1368] = {.lex_state = 1},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
  [1380] = {.lex_state = 1},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_character_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [sym_underscore_pattern] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_synchronized] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_exports] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_opens] = ACTIONS(1),
    [anon_sym_uses] = ACTIONS(1),
    [anon_sym_provides] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_strictfp] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_non_DASHsealed] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_permits] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [sym_boolean_type] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_program] = STATE(1361),
    [sym__toplevel_statement] = STATE(3),
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(3),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(751),
    [sym_type_parameters] = STATE(788),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(765),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__method_header] = STATE(1151),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym_method_declaration] = STATE(3),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_program_repeat1] = STATE(3),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [2] = {
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(751),
    [sym_type_parameters] = STATE(788),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(765),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__method_header] = STATE(1151),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(97),
    [sym_identifier] = ACTIONS(99),
    [sym_decimal_integer_literal] = ACTIONS(102),
    [sym_hex_integer_literal] = ACTIONS(102),
    [sym_octal_integer_literal] = ACTIONS(102),
    [sym_binary_integer_literal] = ACTIONS(105),
    [sym_decimal_floating_point_literal] = ACTIONS(105),
    [sym_hex_floating_point_literal] = ACTIONS(102),
    [sym_true] = ACTIONS(102),
    [sym_false] = ACTIONS(102),
    [sym_character_literal] = ACTIONS(105),
    [anon_sym_DQUOTE] = ACTIONS(108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(111),
    [sym_null_literal] = ACTIONS(102),
    [anon_sym_LPAREN] = ACTIONS(114),
    [anon_sym_LT] = ACTIONS(117),
    [anon_sym_PLUS] = ACTIONS(120),
    [anon_sym_DASH] = ACTIONS(120),
    [anon_sym_final] = ACTIONS(123),
    [anon_sym_BANG] = ACTIONS(126),
    [anon_sym_TILDE] = ACTIONS(126),
    [anon_sym_PLUS_PLUS] = ACTIONS(129),
    [anon_sym_DASH_DASH] = ACTIONS(129),
    [anon_sym_new] = ACTIONS(132),
    [anon_sym_class] = ACTIONS(135),
    [anon_sym_switch] = ACTIONS(138),
    [anon_sym_LBRACE] = ACTIONS(141),
    [anon_sym_default] = ACTIONS(123),
    [anon_sym_SEMI] = ACTIONS(144),
    [anon_sym_assert] = ACTIONS(147),
    [anon_sym_do] = ACTIONS(150),
    [anon_sym_while] = ACTIONS(153),
    [anon_sym_break] = ACTIONS(156),
    [anon_sym_continue] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(162),
    [anon_sym_yield] = ACTIONS(165),
    [anon_sym_synchronized] = ACTIONS(168),
    [anon_sym_throw] = ACTIONS(171),
    [anon_sym_try] = ACTIONS(174),
    [anon_sym_if] = ACTIONS(177),
    [anon_sym_for] = ACTIONS(180),
    [anon_sym_AT] = ACTIONS(183),
    [anon_sym_open] = ACTIONS(186),
    [anon_sym_module] = ACTIONS(189),
    [anon_sym_static] = ACTIONS(123),
    [anon_sym_with] = ACTIONS(192),
    [anon_sym_package] = ACTIONS(195),
    [anon_sym_import] = ACTIONS(198),
    [anon_sym_enum] = ACTIONS(201),
    [anon_sym_public] = ACTIONS(123),
    [anon_sym_protected] = ACTIONS(123),
    [anon_sym_private] = ACTIONS(123),
    [anon_sym_abstract] = ACTIONS(123),
    [anon_sym_strictfp] = ACTIONS(123),
    [anon_sym_native] = ACTIONS(123),
    [anon_sym_transient] = ACTIONS(123),
    [anon_sym_volatile] = ACTIONS(123),
    [anon_sym_sealed] = ACTIONS(204),
    [anon_sym_non_DASHsealed] = ACTIONS(207),
    [anon_sym_record] = ACTIONS(210),
    [anon_sym_ATinterface] = ACTIONS(213),
    [anon_sym_interface] = ACTIONS(216),
    [anon_sym_byte] = ACTIONS(219),
    [anon_sym_short] = ACTIONS(219),
    [anon_sym_int] = ACTIONS(219),
    [anon_sym_long] = ACTIONS(219),
    [anon_sym_char] = ACTIONS(219),
    [anon_sym_float] = ACTIONS(222),
    [anon_sym_double] = ACTIONS(222),
    [sym_boolean_type] = ACTIONS(225),
    [sym_void_type] = ACTIONS(225),
    [sym_this] = ACTIONS(228),
    [sym_super] = ACTIONS(231),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(751),
    [sym_type_parameters] = STATE(788),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(765),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__method_header] = STATE(1151),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [ts_builtin_sym_end] = ACTIONS(234),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_switch_label] = STATE(1322),
    [sym_statement] = STATE(7),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(388),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(7),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(238),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(240),
    [anon_sym_default] = ACTIONS(240),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(635),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_type_arguments] = STATE(1299),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(11),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_explicit_constructor_invocation] = STATE(13),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(11),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(250),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(254),
    [sym_super] = ACTIONS(256),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(258),
    [sym_decimal_integer_literal] = ACTIONS(261),
    [sym_hex_integer_literal] = ACTIONS(261),
    [sym_octal_integer_literal] = ACTIONS(261),
    [sym_binary_integer_literal] = ACTIONS(264),
    [sym_decimal_floating_point_literal] = ACTIONS(264),
    [sym_hex_floating_point_literal] = ACTIONS(261),
    [sym_true] = ACTIONS(261),
    [sym_false] = ACTIONS(261),
    [sym_character_literal] = ACTIONS(264),
    [anon_sym_DQUOTE] = ACTIONS(267),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(270),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(261),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(278),
    [anon_sym_DASH] = ACTIONS(278),
    [anon_sym_final] = ACTIONS(281),
    [anon_sym_BANG] = ACTIONS(284),
    [anon_sym_TILDE] = ACTIONS(284),
    [anon_sym_PLUS_PLUS] = ACTIONS(287),
    [anon_sym_DASH_DASH] = ACTIONS(287),
    [anon_sym_new] = ACTIONS(290),
    [anon_sym_class] = ACTIONS(293),
    [anon_sym_switch] = ACTIONS(296),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_case] = ACTIONS(302),
    [anon_sym_default] = ACTIONS(281),
    [anon_sym_SEMI] = ACTIONS(304),
    [anon_sym_assert] = ACTIONS(307),
    [anon_sym_do] = ACTIONS(310),
    [anon_sym_while] = ACTIONS(313),
    [anon_sym_break] = ACTIONS(316),
    [anon_sym_continue] = ACTIONS(319),
    [anon_sym_return] = ACTIONS(322),
    [anon_sym_yield] = ACTIONS(325),
    [anon_sym_synchronized] = ACTIONS(328),
    [anon_sym_throw] = ACTIONS(331),
    [anon_sym_try] = ACTIONS(334),
    [anon_sym_if] = ACTIONS(337),
    [anon_sym_for] = ACTIONS(340),
    [anon_sym_AT] = ACTIONS(343),
    [anon_sym_open] = ACTIONS(346),
    [anon_sym_module] = ACTIONS(349),
    [anon_sym_static] = ACTIONS(281),
    [anon_sym_with] = ACTIONS(352),
    [anon_sym_package] = ACTIONS(355),
    [anon_sym_import] = ACTIONS(358),
    [anon_sym_enum] = ACTIONS(361),
    [anon_sym_public] = ACTIONS(281),
    [anon_sym_protected] = ACTIONS(281),
    [anon_sym_private] = ACTIONS(281),
    [anon_sym_abstract] = ACTIONS(281),
    [anon_sym_strictfp] = ACTIONS(281),
    [anon_sym_native] = ACTIONS(281),
    [anon_sym_transient] = ACTIONS(281),
    [anon_sym_volatile] = ACTIONS(281),
    [anon_sym_sealed] = ACTIONS(364),
    [anon_sym_non_DASHsealed] = ACTIONS(367),
    [anon_sym_record] = ACTIONS(370),
    [anon_sym_ATinterface] = ACTIONS(373),
    [anon_sym_interface] = ACTIONS(376),
    [anon_sym_byte] = ACTIONS(379),
    [anon_sym_short] = ACTIONS(379),
    [anon_sym_int] = ACTIONS(379),
    [anon_sym_long] = ACTIONS(379),
    [anon_sym_char] = ACTIONS(379),
    [anon_sym_float] = ACTIONS(382),
    [anon_sym_double] = ACTIONS(382),
    [sym_boolean_type] = ACTIONS(385),
    [sym_void_type] = ACTIONS(385),
    [sym_this] = ACTIONS(388),
    [sym_super] = ACTIONS(391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(394),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_case] = ACTIONS(396),
    [anon_sym_default] = ACTIONS(396),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(398),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(10),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(10),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(400),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(402),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(404),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(6),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(6),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(406),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(12),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(12),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(404),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(8),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(8),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(408),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(376),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(262),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(371),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(380),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(1351),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(378),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(374),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(358),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(357),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(370),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(255),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(273),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(266),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(266),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(393),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(273),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(255),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(370),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(357),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(358),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(394),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(374),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(378),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(380),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(376),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(262),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(377),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(377),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(349),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(274),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(261),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(260),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(349),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(371),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(120),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(236),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(242),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(244),
    [anon_sym_for] = ACTIONS(246),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(260),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(266),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(1253),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(318),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(368),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(273),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(255),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(366),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(367),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(370),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(375),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(363),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(357),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(358),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(361),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(365),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(374),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(378),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(380),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(383),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(262),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(377),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(376),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(274),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(261),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(260),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(349),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(362),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(371),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(656),
    [sym_statement] = STATE(360),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(410),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(412),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(414),
    [anon_sym_for] = ACTIONS(416),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(350),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(274),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(121),
    [sym_statement] = STATE(261),
    [sym_block] = STATE(264),
    [sym_expression_statement] = STATE(264),
    [sym_labeled_statement] = STATE(264),
    [sym_assert_statement] = STATE(264),
    [sym_do_statement] = STATE(264),
    [sym_break_statement] = STATE(264),
    [sym_continue_statement] = STATE(264),
    [sym_return_statement] = STATE(264),
    [sym_yield_statement] = STATE(264),
    [sym_synchronized_statement] = STATE(264),
    [sym_throw_statement] = STATE(264),
    [sym_try_statement] = STATE(264),
    [sym_try_with_resources_statement] = STATE(264),
    [sym_if_statement] = STATE(264),
    [sym_while_statement] = STATE(264),
    [sym_for_statement] = STATE(264),
    [sym_enhanced_for_statement] = STATE(264),
    [sym__annotation] = STATE(577),
    [sym_marker_annotation] = STATE(577),
    [sym_annotation] = STATE(577),
    [sym_declaration] = STATE(264),
    [sym_module_declaration] = STATE(259),
    [sym_package_declaration] = STATE(259),
    [sym_import_declaration] = STATE(259),
    [sym_enum_declaration] = STATE(259),
    [sym_class_declaration] = STATE(259),
    [sym_modifiers] = STATE(783),
    [sym_record_declaration] = STATE(259),
    [sym_annotation_type_declaration] = STATE(259),
    [sym_interface_declaration] = STATE(259),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(773),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(264),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(741),
    [aux_sym_modifiers_repeat1] = STATE(505),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(23),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_class] = ACTIONS(31),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_default] = ACTIONS(23),
    [anon_sym_SEMI] = ACTIONS(37),
    [anon_sym_assert] = ACTIONS(39),
    [anon_sym_do] = ACTIONS(41),
    [anon_sym_while] = ACTIONS(43),
    [anon_sym_break] = ACTIONS(45),
    [anon_sym_continue] = ACTIONS(47),
    [anon_sym_return] = ACTIONS(49),
    [anon_sym_yield] = ACTIONS(51),
    [anon_sym_synchronized] = ACTIONS(53),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_try] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_for] = ACTIONS(61),
    [anon_sym_AT] = ACTIONS(63),
    [anon_sym_open] = ACTIONS(65),
    [anon_sym_module] = ACTIONS(67),
    [anon_sym_static] = ACTIONS(23),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_package] = ACTIONS(71),
    [anon_sym_import] = ACTIONS(73),
    [anon_sym_enum] = ACTIONS(75),
    [anon_sym_public] = ACTIONS(23),
    [anon_sym_protected] = ACTIONS(23),
    [anon_sym_private] = ACTIONS(23),
    [anon_sym_abstract] = ACTIONS(23),
    [anon_sym_strictfp] = ACTIONS(23),
    [anon_sym_native] = ACTIONS(23),
    [anon_sym_transient] = ACTIONS(23),
    [anon_sym_volatile] = ACTIONS(23),
    [anon_sym_sealed] = ACTIONS(248),
    [anon_sym_non_DASHsealed] = ACTIONS(79),
    [anon_sym_record] = ACTIONS(81),
    [anon_sym_ATinterface] = ACTIONS(83),
    [anon_sym_interface] = ACTIONS(85),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(717),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(420),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [ts_builtin_sym_end] = ACTIONS(426),
    [sym_identifier] = ACTIONS(428),
    [sym_decimal_integer_literal] = ACTIONS(428),
    [sym_hex_integer_literal] = ACTIONS(428),
    [sym_octal_integer_literal] = ACTIONS(428),
    [sym_binary_integer_literal] = ACTIONS(426),
    [sym_decimal_floating_point_literal] = ACTIONS(426),
    [sym_hex_floating_point_literal] = ACTIONS(428),
    [sym_true] = ACTIONS(428),
    [sym_false] = ACTIONS(428),
    [sym_character_literal] = ACTIONS(426),
    [anon_sym_DQUOTE] = ACTIONS(428),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(426),
    [anon_sym_RBRACE] = ACTIONS(426),
    [sym_null_literal] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(426),
    [anon_sym_RPAREN] = ACTIONS(426),
    [anon_sym_AMP] = ACTIONS(428),
    [anon_sym_GT] = ACTIONS(428),
    [anon_sym_LT] = ACTIONS(428),
    [anon_sym_GT_EQ] = ACTIONS(426),
    [anon_sym_LT_EQ] = ACTIONS(426),
    [anon_sym_EQ_EQ] = ACTIONS(426),
    [anon_sym_BANG_EQ] = ACTIONS(426),
    [anon_sym_AMP_AMP] = ACTIONS(426),
    [anon_sym_PIPE_PIPE] = ACTIONS(426),
    [anon_sym_PLUS] = ACTIONS(428),
    [anon_sym_DASH] = ACTIONS(428),
    [anon_sym_STAR] = ACTIONS(426),
    [anon_sym_SLASH] = ACTIONS(428),
    [anon_sym_PIPE] = ACTIONS(428),
    [anon_sym_CARET] = ACTIONS(426),
    [anon_sym_PERCENT] = ACTIONS(426),
    [anon_sym_LT_LT] = ACTIONS(426),
    [anon_sym_GT_GT] = ACTIONS(428),
    [anon_sym_GT_GT_GT] = ACTIONS(426),
    [anon_sym_instanceof] = ACTIONS(428),
    [anon_sym_final] = ACTIONS(428),
    [anon_sym_DASH_GT] = ACTIONS(426),
    [anon_sym_COMMA] = ACTIONS(426),
    [anon_sym_QMARK] = ACTIONS(426),
    [anon_sym_COLON] = ACTIONS(428),
    [anon_sym_BANG] = ACTIONS(428),
    [anon_sym_TILDE] = ACTIONS(426),
    [anon_sym_PLUS_PLUS] = ACTIONS(426),
    [anon_sym_DASH_DASH] = ACTIONS(426),
    [anon_sym_new] = ACTIONS(428),
    [anon_sym_LBRACK] = ACTIONS(426),
    [anon_sym_RBRACK] = ACTIONS(426),
    [anon_sym_DOT] = ACTIONS(428),
    [anon_sym_class] = ACTIONS(428),
    [anon_sym_COLON_COLON] = ACTIONS(426),
    [anon_sym_switch] = ACTIONS(428),
    [anon_sym_LBRACE] = ACTIONS(426),
    [anon_sym_case] = ACTIONS(428),
    [anon_sym_default] = ACTIONS(428),
    [anon_sym_when] = ACTIONS(428),
    [anon_sym_SEMI] = ACTIONS(426),
    [anon_sym_assert] = ACTIONS(428),
    [anon_sym_do] = ACTIONS(428),
    [anon_sym_while] = ACTIONS(428),
    [anon_sym_break] = ACTIONS(428),
    [anon_sym_continue] = ACTIONS(428),
    [anon_sym_return] = ACTIONS(428),
    [anon_sym_yield] = ACTIONS(428),
    [anon_sym_synchronized] = ACTIONS(428),
    [anon_sym_throw] = ACTIONS(428),
    [anon_sym_try] = ACTIONS(428),
    [anon_sym_if] = ACTIONS(428),
    [anon_sym_else] = ACTIONS(428),
    [anon_sym_for] = ACTIONS(428),
    [anon_sym_AT] = ACTIONS(428),
    [anon_sym_open] = ACTIONS(428),
    [anon_sym_module] = ACTIONS(428),
    [anon_sym_static] = ACTIONS(428),
    [anon_sym_with] = ACTIONS(428),
    [anon_sym_package] = ACTIONS(428),
    [anon_sym_import] = ACTIONS(428),
    [anon_sym_enum] = ACTIONS(428),
    [anon_sym_public] = ACTIONS(428),
    [anon_sym_protected] = ACTIONS(428),
    [anon_sym_private] = ACTIONS(428),
    [anon_sym_abstract] = ACTIONS(428),
    [anon_sym_strictfp] = ACTIONS(428),
    [anon_sym_native] = ACTIONS(428),
    [anon_sym_transient] = ACTIONS(428),
    [anon_sym_volatile] = ACTIONS(428),
    [anon_sym_sealed] = ACTIONS(428),
    [anon_sym_non_DASHsealed] = ACTIONS(426),
    [anon_sym_record] = ACTIONS(428),
    [anon_sym_ATinterface] = ACTIONS(426),
    [anon_sym_interface] = ACTIONS(428),
    [anon_sym_byte] = ACTIONS(428),
    [anon_sym_short] = ACTIONS(428),
    [anon_sym_int] = ACTIONS(428),
    [anon_sym_long] = ACTIONS(428),
    [anon_sym_char] = ACTIONS(428),
    [anon_sym_float] = ACTIONS(428),
    [anon_sym_double] = ACTIONS(428),
    [sym_boolean_type] = ACTIONS(428),
    [sym_void_type] = ACTIONS(428),
    [sym_this] = ACTIONS(428),
    [sym_super] = ACTIONS(428),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [ts_builtin_sym_end] = ACTIONS(430),
    [sym_identifier] = ACTIONS(432),
    [sym_decimal_integer_literal] = ACTIONS(432),
    [sym_hex_integer_literal] = ACTIONS(432),
    [sym_octal_integer_literal] = ACTIONS(432),
    [sym_binary_integer_literal] = ACTIONS(430),
    [sym_decimal_floating_point_literal] = ACTIONS(430),
    [sym_hex_floating_point_literal] = ACTIONS(432),
    [sym_true] = ACTIONS(432),
    [sym_false] = ACTIONS(432),
    [sym_character_literal] = ACTIONS(430),
    [anon_sym_DQUOTE] = ACTIONS(432),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(430),
    [anon_sym_RBRACE] = ACTIONS(430),
    [sym_null_literal] = ACTIONS(432),
    [anon_sym_LPAREN] = ACTIONS(430),
    [anon_sym_RPAREN] = ACTIONS(430),
    [anon_sym_AMP] = ACTIONS(432),
    [anon_sym_GT] = ACTIONS(432),
    [anon_sym_LT] = ACTIONS(432),
    [anon_sym_GT_EQ] = ACTIONS(430),
    [anon_sym_LT_EQ] = ACTIONS(430),
    [anon_sym_EQ_EQ] = ACTIONS(430),
    [anon_sym_BANG_EQ] = ACTIONS(430),
    [anon_sym_AMP_AMP] = ACTIONS(430),
    [anon_sym_PIPE_PIPE] = ACTIONS(430),
    [anon_sym_PLUS] = ACTIONS(432),
    [anon_sym_DASH] = ACTIONS(432),
    [anon_sym_STAR] = ACTIONS(430),
    [anon_sym_SLASH] = ACTIONS(432),
    [anon_sym_PIPE] = ACTIONS(432),
    [anon_sym_CARET] = ACTIONS(430),
    [anon_sym_PERCENT] = ACTIONS(430),
    [anon_sym_LT_LT] = ACTIONS(430),
    [anon_sym_GT_GT] = ACTIONS(432),
    [anon_sym_GT_GT_GT] = ACTIONS(430),
    [anon_sym_instanceof] = ACTIONS(432),
    [anon_sym_final] = ACTIONS(432),
    [anon_sym_DASH_GT] = ACTIONS(430),
    [anon_sym_COMMA] = ACTIONS(430),
    [anon_sym_QMARK] = ACTIONS(430),
    [anon_sym_COLON] = ACTIONS(432),
    [anon_sym_BANG] = ACTIONS(432),
    [anon_sym_TILDE] = ACTIONS(430),
    [anon_sym_PLUS_PLUS] = ACTIONS(430),
    [anon_sym_DASH_DASH] = ACTIONS(430),
    [anon_sym_new] = ACTIONS(432),
    [anon_sym_LBRACK] = ACTIONS(430),
    [anon_sym_RBRACK] = ACTIONS(430),
    [anon_sym_DOT] = ACTIONS(432),
    [anon_sym_class] = ACTIONS(432),
    [anon_sym_COLON_COLON] = ACTIONS(430),
    [anon_sym_switch] = ACTIONS(432),
    [anon_sym_LBRACE] = ACTIONS(430),
    [anon_sym_case] = ACTIONS(432),
    [anon_sym_default] = ACTIONS(432),
    [anon_sym_when] = ACTIONS(432),
    [anon_sym_SEMI] = ACTIONS(430),
    [anon_sym_assert] = ACTIONS(432),
    [anon_sym_do] = ACTIONS(432),
    [anon_sym_while] = ACTIONS(432),
    [anon_sym_break] = ACTIONS(432),
    [anon_sym_continue] = ACTIONS(432),
    [anon_sym_return] = ACTIONS(432),
    [anon_sym_yield] = ACTIONS(432),
    [anon_sym_synchronized] = ACTIONS(432),
    [anon_sym_throw] = ACTIONS(432),
    [anon_sym_try] = ACTIONS(432),
    [anon_sym_if] = ACTIONS(432),
    [anon_sym_else] = ACTIONS(432),
    [anon_sym_for] = ACTIONS(432),
    [anon_sym_AT] = ACTIONS(432),
    [anon_sym_open] = ACTIONS(432),
    [anon_sym_module] = ACTIONS(432),
    [anon_sym_static] = ACTIONS(432),
    [anon_sym_with] = ACTIONS(432),
    [anon_sym_package] = ACTIONS(432),
    [anon_sym_import] = ACTIONS(432),
    [anon_sym_enum] = ACTIONS(432),
    [anon_sym_public] = ACTIONS(432),
    [anon_sym_protected] = ACTIONS(432),
    [anon_sym_private] = ACTIONS(432),
    [anon_sym_abstract] = ACTIONS(432),
    [anon_sym_strictfp] = ACTIONS(432),
    [anon_sym_native] = ACTIONS(432),
    [anon_sym_transient] = ACTIONS(432),
    [anon_sym_volatile] = ACTIONS(432),
    [anon_sym_sealed] = ACTIONS(432),
    [anon_sym_non_DASHsealed] = ACTIONS(430),
    [anon_sym_record] = ACTIONS(432),
    [anon_sym_ATinterface] = ACTIONS(430),
    [anon_sym_interface] = ACTIONS(432),
    [anon_sym_byte] = ACTIONS(432),
    [anon_sym_short] = ACTIONS(432),
    [anon_sym_int] = ACTIONS(432),
    [anon_sym_long] = ACTIONS(432),
    [anon_sym_char] = ACTIONS(432),
    [anon_sym_float] = ACTIONS(432),
    [anon_sym_double] = ACTIONS(432),
    [sym_boolean_type] = ACTIONS(432),
    [sym_void_type] = ACTIONS(432),
    [sym_this] = ACTIONS(432),
    [sym_super] = ACTIONS(432),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [sym_decimal_integer_literal] = ACTIONS(436),
    [sym_hex_integer_literal] = ACTIONS(436),
    [sym_octal_integer_literal] = ACTIONS(436),
    [sym_binary_integer_literal] = ACTIONS(434),
    [sym_decimal_floating_point_literal] = ACTIONS(434),
    [sym_hex_floating_point_literal] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_character_literal] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [sym_null_literal] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_RPAREN] = ACTIONS(434),
    [anon_sym_AMP] = ACTIONS(436),
    [anon_sym_GT] = ACTIONS(436),
    [anon_sym_LT] = ACTIONS(436),
    [anon_sym_GT_EQ] = ACTIONS(434),
    [anon_sym_LT_EQ] = ACTIONS(434),
    [anon_sym_EQ_EQ] = ACTIONS(434),
    [anon_sym_BANG_EQ] = ACTIONS(434),
    [anon_sym_AMP_AMP] = ACTIONS(434),
    [anon_sym_PIPE_PIPE] = ACTIONS(434),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_STAR] = ACTIONS(434),
    [anon_sym_SLASH] = ACTIONS(436),
    [anon_sym_PIPE] = ACTIONS(436),
    [anon_sym_CARET] = ACTIONS(434),
    [anon_sym_PERCENT] = ACTIONS(434),
    [anon_sym_LT_LT] = ACTIONS(434),
    [anon_sym_GT_GT] = ACTIONS(436),
    [anon_sym_GT_GT_GT] = ACTIONS(434),
    [anon_sym_instanceof] = ACTIONS(436),
    [anon_sym_final] = ACTIONS(436),
    [anon_sym_DASH_GT] = ACTIONS(434),
    [anon_sym_COMMA] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(434),
    [anon_sym_COLON] = ACTIONS(434),
    [anon_sym_BANG] = ACTIONS(436),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_RBRACK] = ACTIONS(434),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_when] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_assert] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_synchronized] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(436),
    [anon_sym_open] = ACTIONS(436),
    [anon_sym_module] = ACTIONS(436),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_package] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_enum] = ACTIONS(436),
    [anon_sym_public] = ACTIONS(436),
    [anon_sym_protected] = ACTIONS(436),
    [anon_sym_private] = ACTIONS(436),
    [anon_sym_abstract] = ACTIONS(436),
    [anon_sym_strictfp] = ACTIONS(436),
    [anon_sym_native] = ACTIONS(436),
    [anon_sym_transient] = ACTIONS(436),
    [anon_sym_volatile] = ACTIONS(436),
    [anon_sym_sealed] = ACTIONS(436),
    [anon_sym_non_DASHsealed] = ACTIONS(434),
    [anon_sym_record] = ACTIONS(436),
    [anon_sym_ATinterface] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(436),
    [anon_sym_byte] = ACTIONS(436),
    [anon_sym_short] = ACTIONS(436),
    [anon_sym_int] = ACTIONS(436),
    [anon_sym_long] = ACTIONS(436),
    [anon_sym_char] = ACTIONS(436),
    [anon_sym_float] = ACTIONS(436),
    [anon_sym_double] = ACTIONS(436),
    [sym_boolean_type] = ACTIONS(436),
    [sym_void_type] = ACTIONS(436),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [ts_builtin_sym_end] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [sym_decimal_integer_literal] = ACTIONS(440),
    [sym_hex_integer_literal] = ACTIONS(440),
    [sym_octal_integer_literal] = ACTIONS(440),
    [sym_binary_integer_literal] = ACTIONS(438),
    [sym_decimal_floating_point_literal] = ACTIONS(438),
    [sym_hex_floating_point_literal] = ACTIONS(440),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_character_literal] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [sym_null_literal] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_RPAREN] = ACTIONS(438),
    [anon_sym_AMP] = ACTIONS(440),
    [anon_sym_GT] = ACTIONS(440),
    [anon_sym_LT] = ACTIONS(440),
    [anon_sym_GT_EQ] = ACTIONS(438),
    [anon_sym_LT_EQ] = ACTIONS(438),
    [anon_sym_EQ_EQ] = ACTIONS(438),
    [anon_sym_BANG_EQ] = ACTIONS(438),
    [anon_sym_AMP_AMP] = ACTIONS(438),
    [anon_sym_PIPE_PIPE] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(438),
    [anon_sym_SLASH] = ACTIONS(440),
    [anon_sym_PIPE] = ACTIONS(440),
    [anon_sym_CARET] = ACTIONS(438),
    [anon_sym_PERCENT] = ACTIONS(438),
    [anon_sym_LT_LT] = ACTIONS(438),
    [anon_sym_GT_GT] = ACTIONS(440),
    [anon_sym_GT_GT_GT] = ACTIONS(438),
    [anon_sym_instanceof] = ACTIONS(440),
    [anon_sym_final] = ACTIONS(440),
    [anon_sym_DASH_GT] = ACTIONS(438),
    [anon_sym_COMMA] = ACTIONS(438),
    [anon_sym_QMARK] = ACTIONS(438),
    [anon_sym_COLON] = ACTIONS(438),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_RBRACK] = ACTIONS(438),
    [anon_sym_class] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_when] = ACTIONS(440),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_assert] = ACTIONS(440),
    [anon_sym_do] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(440),
    [anon_sym_break] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_yield] = ACTIONS(440),
    [anon_sym_synchronized] = ACTIONS(440),
    [anon_sym_throw] = ACTIONS(440),
    [anon_sym_try] = ACTIONS(440),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_else] = ACTIONS(440),
    [anon_sym_for] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(440),
    [anon_sym_open] = ACTIONS(440),
    [anon_sym_module] = ACTIONS(440),
    [anon_sym_static] = ACTIONS(440),
    [anon_sym_with] = ACTIONS(440),
    [anon_sym_package] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(440),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_public] = ACTIONS(440),
    [anon_sym_protected] = ACTIONS(440),
    [anon_sym_private] = ACTIONS(440),
    [anon_sym_abstract] = ACTIONS(440),
    [anon_sym_strictfp] = ACTIONS(440),
    [anon_sym_native] = ACTIONS(440),
    [anon_sym_transient] = ACTIONS(440),
    [anon_sym_volatile] = ACTIONS(440),
    [anon_sym_sealed] = ACTIONS(440),
    [anon_sym_non_DASHsealed] = ACTIONS(438),
    [anon_sym_record] = ACTIONS(440),
    [anon_sym_ATinterface] = ACTIONS(438),
    [anon_sym_interface] = ACTIONS(440),
    [anon_sym_byte] = ACTIONS(440),
    [anon_sym_short] = ACTIONS(440),
    [anon_sym_int] = ACTIONS(440),
    [anon_sym_long] = ACTIONS(440),
    [anon_sym_char] = ACTIONS(440),
    [anon_sym_float] = ACTIONS(440),
    [anon_sym_double] = ACTIONS(440),
    [sym_boolean_type] = ACTIONS(440),
    [sym_void_type] = ACTIONS(440),
    [sym_this] = ACTIONS(440),
    [sym_super] = ACTIONS(440),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [ts_builtin_sym_end] = ACTIONS(442),
    [sym_identifier] = ACTIONS(444),
    [sym_decimal_integer_literal] = ACTIONS(444),
    [sym_hex_integer_literal] = ACTIONS(444),
    [sym_octal_integer_literal] = ACTIONS(444),
    [sym_binary_integer_literal] = ACTIONS(442),
    [sym_decimal_floating_point_literal] = ACTIONS(442),
    [sym_hex_floating_point_literal] = ACTIONS(444),
    [sym_true] = ACTIONS(444),
    [sym_false] = ACTIONS(444),
    [sym_character_literal] = ACTIONS(442),
    [anon_sym_DQUOTE] = ACTIONS(444),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(442),
    [anon_sym_RBRACE] = ACTIONS(442),
    [sym_null_literal] = ACTIONS(444),
    [anon_sym_LPAREN] = ACTIONS(442),
    [anon_sym_RPAREN] = ACTIONS(442),
    [anon_sym_AMP] = ACTIONS(444),
    [anon_sym_GT] = ACTIONS(444),
    [anon_sym_LT] = ACTIONS(444),
    [anon_sym_GT_EQ] = ACTIONS(442),
    [anon_sym_LT_EQ] = ACTIONS(442),
    [anon_sym_EQ_EQ] = ACTIONS(442),
    [anon_sym_BANG_EQ] = ACTIONS(442),
    [anon_sym_AMP_AMP] = ACTIONS(442),
    [anon_sym_PIPE_PIPE] = ACTIONS(442),
    [anon_sym_PLUS] = ACTIONS(444),
    [anon_sym_DASH] = ACTIONS(444),
    [anon_sym_STAR] = ACTIONS(442),
    [anon_sym_SLASH] = ACTIONS(444),
    [anon_sym_PIPE] = ACTIONS(444),
    [anon_sym_CARET] = ACTIONS(442),
    [anon_sym_PERCENT] = ACTIONS(442),
    [anon_sym_LT_LT] = ACTIONS(442),
    [anon_sym_GT_GT] = ACTIONS(444),
    [anon_sym_GT_GT_GT] = ACTIONS(442),
    [anon_sym_instanceof] = ACTIONS(444),
    [anon_sym_final] = ACTIONS(444),
    [anon_sym_DASH_GT] = ACTIONS(442),
    [anon_sym_COMMA] = ACTIONS(442),
    [anon_sym_QMARK] = ACTIONS(442),
    [anon_sym_COLON] = ACTIONS(442),
    [anon_sym_BANG] = ACTIONS(444),
    [anon_sym_TILDE] = ACTIONS(442),
    [anon_sym_PLUS_PLUS] = ACTIONS(442),
    [anon_sym_DASH_DASH] = ACTIONS(442),
    [anon_sym_new] = ACTIONS(444),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_class] = ACTIONS(444),
    [anon_sym_switch] = ACTIONS(444),
    [anon_sym_LBRACE] = ACTIONS(442),
    [anon_sym_case] = ACTIONS(444),
    [anon_sym_default] = ACTIONS(444),
    [anon_sym_when] = ACTIONS(444),
    [anon_sym_SEMI] = ACTIONS(442),
    [anon_sym_assert] = ACTIONS(444),
    [anon_sym_do] = ACTIONS(444),
    [anon_sym_while] = ACTIONS(444),
    [anon_sym_break] = ACTIONS(444),
    [anon_sym_continue] = ACTIONS(444),
    [anon_sym_return] = ACTIONS(444),
    [anon_sym_yield] = ACTIONS(444),
    [anon_sym_synchronized] = ACTIONS(444),
    [anon_sym_throw] = ACTIONS(444),
    [anon_sym_try] = ACTIONS(444),
    [anon_sym_if] = ACTIONS(444),
    [anon_sym_else] = ACTIONS(444),
    [anon_sym_for] = ACTIONS(444),
    [anon_sym_AT] = ACTIONS(444),
    [anon_sym_open] = ACTIONS(444),
    [anon_sym_module] = ACTIONS(444),
    [anon_sym_static] = ACTIONS(444),
    [anon_sym_with] = ACTIONS(444),
    [anon_sym_package] = ACTIONS(444),
    [anon_sym_import] = ACTIONS(444),
    [anon_sym_enum] = ACTIONS(444),
    [anon_sym_public] = ACTIONS(444),
    [anon_sym_protected] = ACTIONS(444),
    [anon_sym_private] = ACTIONS(444),
    [anon_sym_abstract] = ACTIONS(444),
    [anon_sym_strictfp] = ACTIONS(444),
    [anon_sym_native] = ACTIONS(444),
    [anon_sym_transient] = ACTIONS(444),
    [anon_sym_volatile] = ACTIONS(444),
    [anon_sym_sealed] = ACTIONS(444),
    [anon_sym_non_DASHsealed] = ACTIONS(442),
    [anon_sym_record] = ACTIONS(444),
    [anon_sym_ATinterface] = ACTIONS(442),
    [anon_sym_interface] = ACTIONS(444),
    [anon_sym_byte] = ACTIONS(444),
    [anon_sym_short] = ACTIONS(444),
    [anon_sym_int] = ACTIONS(444),
    [anon_sym_long] = ACTIONS(444),
    [anon_sym_char] = ACTIONS(444),
    [anon_sym_float] = ACTIONS(444),
    [anon_sym_double] = ACTIONS(444),
    [sym_boolean_type] = ACTIONS(444),
    [sym_void_type] = ACTIONS(444),
    [sym_this] = ACTIONS(444),
    [sym_super] = ACTIONS(444),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [ts_builtin_sym_end] = ACTIONS(446),
    [sym_identifier] = ACTIONS(448),
    [sym_decimal_integer_literal] = ACTIONS(448),
    [sym_hex_integer_literal] = ACTIONS(448),
    [sym_octal_integer_literal] = ACTIONS(448),
    [sym_binary_integer_literal] = ACTIONS(446),
    [sym_decimal_floating_point_literal] = ACTIONS(446),
    [sym_hex_floating_point_literal] = ACTIONS(448),
    [sym_true] = ACTIONS(448),
    [sym_false] = ACTIONS(448),
    [sym_character_literal] = ACTIONS(446),
    [anon_sym_DQUOTE] = ACTIONS(448),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(446),
    [anon_sym_RBRACE] = ACTIONS(446),
    [sym_null_literal] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(446),
    [anon_sym_RPAREN] = ACTIONS(446),
    [anon_sym_AMP] = ACTIONS(448),
    [anon_sym_GT] = ACTIONS(448),
    [anon_sym_LT] = ACTIONS(448),
    [anon_sym_GT_EQ] = ACTIONS(446),
    [anon_sym_LT_EQ] = ACTIONS(446),
    [anon_sym_EQ_EQ] = ACTIONS(446),
    [anon_sym_BANG_EQ] = ACTIONS(446),
    [anon_sym_AMP_AMP] = ACTIONS(446),
    [anon_sym_PIPE_PIPE] = ACTIONS(446),
    [anon_sym_PLUS] = ACTIONS(448),
    [anon_sym_DASH] = ACTIONS(448),
    [anon_sym_STAR] = ACTIONS(446),
    [anon_sym_SLASH] = ACTIONS(448),
    [anon_sym_PIPE] = ACTIONS(448),
    [anon_sym_CARET] = ACTIONS(446),
    [anon_sym_PERCENT] = ACTIONS(446),
    [anon_sym_LT_LT] = ACTIONS(446),
    [anon_sym_GT_GT] = ACTIONS(448),
    [anon_sym_GT_GT_GT] = ACTIONS(446),
    [anon_sym_instanceof] = ACTIONS(448),
    [anon_sym_final] = ACTIONS(448),
    [anon_sym_DASH_GT] = ACTIONS(446),
    [anon_sym_COMMA] = ACTIONS(446),
    [anon_sym_QMARK] = ACTIONS(446),
    [anon_sym_COLON] = ACTIONS(446),
    [anon_sym_BANG] = ACTIONS(448),
    [anon_sym_TILDE] = ACTIONS(446),
    [anon_sym_PLUS_PLUS] = ACTIONS(446),
    [anon_sym_DASH_DASH] = ACTIONS(446),
    [anon_sym_new] = ACTIONS(448),
    [anon_sym_RBRACK] = ACTIONS(446),
    [anon_sym_class] = ACTIONS(448),
    [anon_sym_switch] = ACTIONS(448),
    [anon_sym_LBRACE] = ACTIONS(446),
    [anon_sym_case] = ACTIONS(448),
    [anon_sym_default] = ACTIONS(448),
    [anon_sym_when] = ACTIONS(448),
    [anon_sym_SEMI] = ACTIONS(446),
    [anon_sym_assert] = ACTIONS(448),
    [anon_sym_do] = ACTIONS(448),
    [anon_sym_while] = ACTIONS(448),
    [anon_sym_break] = ACTIONS(448),
    [anon_sym_continue] = ACTIONS(448),
    [anon_sym_return] = ACTIONS(448),
    [anon_sym_yield] = ACTIONS(448),
    [anon_sym_synchronized] = ACTIONS(448),
    [anon_sym_throw] = ACTIONS(448),
    [anon_sym_try] = ACTIONS(448),
    [anon_sym_if] = ACTIONS(448),
    [anon_sym_else] = ACTIONS(448),
    [anon_sym_for] = ACTIONS(448),
    [anon_sym_AT] = ACTIONS(448),
    [anon_sym_open] = ACTIONS(448),
    [anon_sym_module] = ACTIONS(448),
    [anon_sym_static] = ACTIONS(448),
    [anon_sym_with] = ACTIONS(448),
    [anon_sym_package] = ACTIONS(448),
    [anon_sym_import] = ACTIONS(448),
    [anon_sym_enum] = ACTIONS(448),
    [anon_sym_public] = ACTIONS(448),
    [anon_sym_protected] = ACTIONS(448),
    [anon_sym_private] = ACTIONS(448),
    [anon_sym_abstract] = ACTIONS(448),
    [anon_sym_strictfp] = ACTIONS(448),
    [anon_sym_native] = ACTIONS(448),
    [anon_sym_transient] = ACTIONS(448),
    [anon_sym_volatile] = ACTIONS(448),
    [anon_sym_sealed] = ACTIONS(448),
    [anon_sym_non_DASHsealed] = ACTIONS(446),
    [anon_sym_record] = ACTIONS(448),
    [anon_sym_ATinterface] = ACTIONS(446),
    [anon_sym_interface] = ACTIONS(448),
    [anon_sym_byte] = ACTIONS(448),
    [anon_sym_short] = ACTIONS(448),
    [anon_sym_int] = ACTIONS(448),
    [anon_sym_long] = ACTIONS(448),
    [anon_sym_char] = ACTIONS(448),
    [anon_sym_float] = ACTIONS(448),
    [anon_sym_double] = ACTIONS(448),
    [sym_boolean_type] = ACTIONS(448),
    [sym_void_type] = ACTIONS(448),
    [sym_this] = ACTIONS(448),
    [sym_super] = ACTIONS(448),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [ts_builtin_sym_end] = ACTIONS(450),
    [sym_identifier] = ACTIONS(452),
    [sym_decimal_integer_literal] = ACTIONS(452),
    [sym_hex_integer_literal] = ACTIONS(452),
    [sym_octal_integer_literal] = ACTIONS(452),
    [sym_binary_integer_literal] = ACTIONS(450),
    [sym_decimal_floating_point_literal] = ACTIONS(450),
    [sym_hex_floating_point_literal] = ACTIONS(452),
    [sym_true] = ACTIONS(452),
    [sym_false] = ACTIONS(452),
    [sym_character_literal] = ACTIONS(450),
    [anon_sym_DQUOTE] = ACTIONS(452),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(450),
    [anon_sym_RBRACE] = ACTIONS(450),
    [sym_null_literal] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(450),
    [anon_sym_RPAREN] = ACTIONS(450),
    [anon_sym_AMP] = ACTIONS(452),
    [anon_sym_GT] = ACTIONS(452),
    [anon_sym_LT] = ACTIONS(452),
    [anon_sym_GT_EQ] = ACTIONS(450),
    [anon_sym_LT_EQ] = ACTIONS(450),
    [anon_sym_EQ_EQ] = ACTIONS(450),
    [anon_sym_BANG_EQ] = ACTIONS(450),
    [anon_sym_AMP_AMP] = ACTIONS(450),
    [anon_sym_PIPE_PIPE] = ACTIONS(450),
    [anon_sym_PLUS] = ACTIONS(452),
    [anon_sym_DASH] = ACTIONS(452),
    [anon_sym_STAR] = ACTIONS(450),
    [anon_sym_SLASH] = ACTIONS(452),
    [anon_sym_PIPE] = ACTIONS(452),
    [anon_sym_CARET] = ACTIONS(450),
    [anon_sym_PERCENT] = ACTIONS(450),
    [anon_sym_LT_LT] = ACTIONS(450),
    [anon_sym_GT_GT] = ACTIONS(452),
    [anon_sym_GT_GT_GT] = ACTIONS(450),
    [anon_sym_instanceof] = ACTIONS(452),
    [anon_sym_final] = ACTIONS(452),
    [anon_sym_DASH_GT] = ACTIONS(450),
    [anon_sym_COMMA] = ACTIONS(450),
    [anon_sym_QMARK] = ACTIONS(450),
    [anon_sym_COLON] = ACTIONS(450),
    [anon_sym_BANG] = ACTIONS(452),
    [anon_sym_TILDE] = ACTIONS(450),
    [anon_sym_PLUS_PLUS] = ACTIONS(450),
    [anon_sym_DASH_DASH] = ACTIONS(450),
    [anon_sym_new] = ACTIONS(452),
    [anon_sym_RBRACK] = ACTIONS(450),
    [anon_sym_class] = ACTIONS(452),
    [anon_sym_switch] = ACTIONS(452),
    [anon_sym_LBRACE] = ACTIONS(450),
    [anon_sym_case] = ACTIONS(452),
    [anon_sym_default] = ACTIONS(452),
    [anon_sym_when] = ACTIONS(452),
    [anon_sym_SEMI] = ACTIONS(450),
    [anon_sym_assert] = ACTIONS(452),
    [anon_sym_do] = ACTIONS(452),
    [anon_sym_while] = ACTIONS(452),
    [anon_sym_break] = ACTIONS(452),
    [anon_sym_continue] = ACTIONS(452),
    [anon_sym_return] = ACTIONS(452),
    [anon_sym_yield] = ACTIONS(452),
    [anon_sym_synchronized] = ACTIONS(452),
    [anon_sym_throw] = ACTIONS(452),
    [anon_sym_try] = ACTIONS(452),
    [anon_sym_if] = ACTIONS(452),
    [anon_sym_else] = ACTIONS(452),
    [anon_sym_for] = ACTIONS(452),
    [anon_sym_AT] = ACTIONS(452),
    [anon_sym_open] = ACTIONS(452),
    [anon_sym_module] = ACTIONS(452),
    [anon_sym_static] = ACTIONS(452),
    [anon_sym_with] = ACTIONS(452),
    [anon_sym_package] = ACTIONS(452),
    [anon_sym_import] = ACTIONS(452),
    [anon_sym_enum] = ACTIONS(452),
    [anon_sym_public] = ACTIONS(452),
    [anon_sym_protected] = ACTIONS(452),
    [anon_sym_private] = ACTIONS(452),
    [anon_sym_abstract] = ACTIONS(452),
    [anon_sym_strictfp] = ACTIONS(452),
    [anon_sym_native] = ACTIONS(452),
    [anon_sym_transient] = ACTIONS(452),
    [anon_sym_volatile] = ACTIONS(452),
    [anon_sym_sealed] = ACTIONS(452),
    [anon_sym_non_DASHsealed] = ACTIONS(450),
    [anon_sym_record] = ACTIONS(452),
    [anon_sym_ATinterface] = ACTIONS(450),
    [anon_sym_interface] = ACTIONS(452),
    [anon_sym_byte] = ACTIONS(452),
    [anon_sym_short] = ACTIONS(452),
    [anon_sym_int] = ACTIONS(452),
    [anon_sym_long] = ACTIONS(452),
    [anon_sym_char] = ACTIONS(452),
    [anon_sym_float] = ACTIONS(452),
    [anon_sym_double] = ACTIONS(452),
    [sym_boolean_type] = ACTIONS(452),
    [sym_void_type] = ACTIONS(452),
    [sym_this] = ACTIONS(452),
    [sym_super] = ACTIONS(452),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(742),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(836),
    [sym__type] = STATE(1028),
    [sym__unannotated_type] = STATE(694),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_formal_parameter] = STATE(1140),
    [sym_receiver_parameter] = STATE(1207),
    [sym_spread_parameter] = STATE(1140),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(794),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(454),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(742),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(836),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(694),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_formal_parameter] = STATE(1140),
    [sym_receiver_parameter] = STATE(1207),
    [sym_spread_parameter] = STATE(1140),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(794),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(466),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(742),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(836),
    [sym__type] = STATE(1032),
    [sym__unannotated_type] = STATE(694),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_formal_parameter] = STATE(1140),
    [sym_receiver_parameter] = STATE(1207),
    [sym_spread_parameter] = STATE(1140),
    [sym__reserved_identifier] = STATE(443),
    [aux_sym_array_creation_expression_repeat1] = STATE(794),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(454),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(669),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(835),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(770),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(178),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(676),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(831),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(772),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(154),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(470),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(684),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(832),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(768),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym_local_variable_declaration] = STATE(166),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_SEMI] = ACTIONS(472),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_identifier] = ACTIONS(474),
    [sym_decimal_integer_literal] = ACTIONS(474),
    [sym_hex_integer_literal] = ACTIONS(474),
    [sym_octal_integer_literal] = ACTIONS(474),
    [sym_binary_integer_literal] = ACTIONS(476),
    [sym_decimal_floating_point_literal] = ACTIONS(476),
    [sym_hex_floating_point_literal] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_character_literal] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [sym_null_literal] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(478),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(480),
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_final] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(485),
    [anon_sym_DASH_DASH] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(485),
    [anon_sym_assert] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_synchronized] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(474),
    [anon_sym_open] = ACTIONS(474),
    [anon_sym_module] = ACTIONS(474),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_package] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_enum] = ACTIONS(474),
    [anon_sym_public] = ACTIONS(474),
    [anon_sym_protected] = ACTIONS(474),
    [anon_sym_private] = ACTIONS(474),
    [anon_sym_abstract] = ACTIONS(474),
    [anon_sym_strictfp] = ACTIONS(474),
    [anon_sym_native] = ACTIONS(474),
    [anon_sym_transient] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_sealed] = ACTIONS(474),
    [anon_sym_non_DASHsealed] = ACTIONS(476),
    [anon_sym_record] = ACTIONS(474),
    [anon_sym_ATinterface] = ACTIONS(476),
    [anon_sym_interface] = ACTIONS(474),
    [anon_sym_byte] = ACTIONS(474),
    [anon_sym_short] = ACTIONS(474),
    [anon_sym_int] = ACTIONS(474),
    [anon_sym_long] = ACTIONS(474),
    [anon_sym_char] = ACTIONS(474),
    [anon_sym_float] = ACTIONS(474),
    [anon_sym_double] = ACTIONS(474),
    [sym_boolean_type] = ACTIONS(474),
    [sym_void_type] = ACTIONS(474),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_identifier] = ACTIONS(474),
    [sym_decimal_integer_literal] = ACTIONS(474),
    [sym_hex_integer_literal] = ACTIONS(474),
    [sym_octal_integer_literal] = ACTIONS(474),
    [sym_binary_integer_literal] = ACTIONS(476),
    [sym_decimal_floating_point_literal] = ACTIONS(476),
    [sym_hex_floating_point_literal] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_character_literal] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(476),
    [sym_null_literal] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_AMP] = ACTIONS(478),
    [anon_sym_GT] = ACTIONS(478),
    [anon_sym_LT] = ACTIONS(482),
    [anon_sym_GT_EQ] = ACTIONS(480),
    [anon_sym_LT_EQ] = ACTIONS(480),
    [anon_sym_EQ_EQ] = ACTIONS(480),
    [anon_sym_BANG_EQ] = ACTIONS(480),
    [anon_sym_AMP_AMP] = ACTIONS(480),
    [anon_sym_PIPE_PIPE] = ACTIONS(480),
    [anon_sym_PLUS] = ACTIONS(482),
    [anon_sym_DASH] = ACTIONS(482),
    [anon_sym_STAR] = ACTIONS(480),
    [anon_sym_SLASH] = ACTIONS(478),
    [anon_sym_PIPE] = ACTIONS(478),
    [anon_sym_CARET] = ACTIONS(480),
    [anon_sym_PERCENT] = ACTIONS(480),
    [anon_sym_LT_LT] = ACTIONS(480),
    [anon_sym_GT_GT] = ACTIONS(478),
    [anon_sym_GT_GT_GT] = ACTIONS(480),
    [anon_sym_instanceof] = ACTIONS(478),
    [anon_sym_final] = ACTIONS(474),
    [anon_sym_QMARK] = ACTIONS(480),
    [anon_sym_BANG] = ACTIONS(474),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(485),
    [anon_sym_DASH_DASH] = ACTIONS(485),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(485),
    [anon_sym_assert] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_synchronized] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(474),
    [anon_sym_open] = ACTIONS(474),
    [anon_sym_module] = ACTIONS(474),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_package] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_enum] = ACTIONS(474),
    [anon_sym_public] = ACTIONS(474),
    [anon_sym_protected] = ACTIONS(474),
    [anon_sym_private] = ACTIONS(474),
    [anon_sym_abstract] = ACTIONS(474),
    [anon_sym_strictfp] = ACTIONS(474),
    [anon_sym_native] = ACTIONS(474),
    [anon_sym_transient] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_sealed] = ACTIONS(474),
    [anon_sym_non_DASHsealed] = ACTIONS(476),
    [anon_sym_record] = ACTIONS(474),
    [anon_sym_ATinterface] = ACTIONS(476),
    [anon_sym_interface] = ACTIONS(474),
    [anon_sym_byte] = ACTIONS(474),
    [anon_sym_short] = ACTIONS(474),
    [anon_sym_int] = ACTIONS(474),
    [anon_sym_long] = ACTIONS(474),
    [anon_sym_char] = ACTIONS(474),
    [anon_sym_float] = ACTIONS(474),
    [anon_sym_double] = ACTIONS(474),
    [sym_boolean_type] = ACTIONS(474),
    [sym_void_type] = ACTIONS(474),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym_element_value_pair] = STATE(1166),
    [sym__element_value] = STATE(1371),
    [sym_element_value_array_initializer] = STATE(1371),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(488),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(490),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym_element_value_pair] = STATE(1134),
    [sym__element_value] = STATE(1330),
    [sym_element_value_array_initializer] = STATE(1330),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(488),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(494),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym_element_value_pair] = STATE(1172),
    [sym__element_value] = STATE(1348),
    [sym_element_value_array_initializer] = STATE(1348),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(488),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(496),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1128),
    [sym_element_value_array_initializer] = STATE(1128),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(498),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(500),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(748),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_block] = STATE(1090),
    [sym_expression_statement] = STATE(1090),
    [sym_throw_statement] = STATE(1090),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_throw] = ACTIONS(55),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(673),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym_array_initializer] = STATE(1145),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(502),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_COMMA] = ACTIONS(504),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1211),
    [sym_element_value_array_initializer] = STATE(1211),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(508),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(664),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_record_pattern] = STATE(1113),
    [sym_record_pattern_component] = STATE(1113),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(820),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(857),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(444),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(510),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(512),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(514),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1211),
    [sym_element_value_array_initializer] = STATE(1211),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(516),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(664),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_record_pattern] = STATE(1113),
    [sym_record_pattern_component] = STATE(1113),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(820),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(857),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(444),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(510),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [sym_underscore_pattern] = ACTIONS(514),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_identifier] = ACTIONS(420),
    [anon_sym_RBRACE] = ACTIONS(422),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(420),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_COLON] = ACTIONS(420),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_RBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(420),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_LBRACE] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(420),
    [anon_sym_when] = ACTIONS(420),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(420),
    [anon_sym_AT] = ACTIONS(420),
    [anon_sym_open] = ACTIONS(420),
    [anon_sym_module] = ACTIONS(420),
    [anon_sym_static] = ACTIONS(420),
    [anon_sym_to] = ACTIONS(420),
    [anon_sym_with] = ACTIONS(420),
    [anon_sym_package] = ACTIONS(420),
    [anon_sym_enum] = ACTIONS(420),
    [anon_sym_public] = ACTIONS(420),
    [anon_sym_protected] = ACTIONS(420),
    [anon_sym_private] = ACTIONS(420),
    [anon_sym_abstract] = ACTIONS(420),
    [anon_sym_strictfp] = ACTIONS(420),
    [anon_sym_native] = ACTIONS(420),
    [anon_sym_transient] = ACTIONS(420),
    [anon_sym_volatile] = ACTIONS(420),
    [anon_sym_sealed] = ACTIONS(420),
    [anon_sym_non_DASHsealed] = ACTIONS(422),
    [anon_sym_record] = ACTIONS(420),
    [anon_sym_ATinterface] = ACTIONS(422),
    [anon_sym_interface] = ACTIONS(420),
    [anon_sym_byte] = ACTIONS(420),
    [anon_sym_short] = ACTIONS(420),
    [anon_sym_int] = ACTIONS(420),
    [anon_sym_long] = ACTIONS(420),
    [anon_sym_char] = ACTIONS(420),
    [anon_sym_float] = ACTIONS(420),
    [anon_sym_double] = ACTIONS(420),
    [sym_boolean_type] = ACTIONS(420),
    [sym_void_type] = ACTIONS(420),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(696),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym_array_initializer] = STATE(1230),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(520),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1211),
    [sym_element_value_array_initializer] = STATE(1211),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(627),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_pattern] = STATE(1035),
    [sym_type_pattern] = STATE(1139),
    [sym_record_pattern] = STATE(1139),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(817),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(857),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(439),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(522),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(710),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1285),
    [sym_element_value_array_initializer] = STATE(1285),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(696),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym_array_initializer] = STATE(1230),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [anon_sym_RBRACE] = ACTIONS(532),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1356),
    [sym_element_value_array_initializer] = STATE(1356),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(650),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(847),
    [sym_marker_annotation] = STATE(847),
    [sym_annotation] = STATE(847),
    [sym__element_value] = STATE(1285),
    [sym_element_value_array_initializer] = STATE(1285),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(492),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(632),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_pattern] = STATE(1167),
    [sym_type_pattern] = STATE(1139),
    [sym_record_pattern] = STATE(1139),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(817),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(857),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(441),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(534),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(696),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym_array_initializer] = STATE(1230),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(615),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_block] = STATE(609),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(666),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym_array_initializer] = STATE(1152),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(506),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(639),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym_block] = STATE(609),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_LBRACE] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(670),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(538),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(677),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(540),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(664),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(544),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(733),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(546),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(753),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(548),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(712),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(550),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(714),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(552),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(712),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(554),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(716),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(556),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(671),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(713),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(560),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [157] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(681),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(562),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_catch_clause] = STATE(181),
    [sym_finally_clause] = STATE(334),
    [aux_sym_try_statement_repeat1] = STATE(181),
    [ts_builtin_sym_end] = ACTIONS(564),
    [sym_identifier] = ACTIONS(566),
    [sym_decimal_integer_literal] = ACTIONS(566),
    [sym_hex_integer_literal] = ACTIONS(566),
    [sym_octal_integer_literal] = ACTIONS(566),
    [sym_binary_integer_literal] = ACTIONS(564),
    [sym_decimal_floating_point_literal] = ACTIONS(564),
    [sym_hex_floating_point_literal] = ACTIONS(566),
    [sym_true] = ACTIONS(566),
    [sym_false] = ACTIONS(566),
    [sym_character_literal] = ACTIONS(564),
    [anon_sym_DQUOTE] = ACTIONS(566),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(564),
    [anon_sym_RBRACE] = ACTIONS(564),
    [sym_null_literal] = ACTIONS(566),
    [anon_sym_LPAREN] = ACTIONS(564),
    [anon_sym_LT] = ACTIONS(564),
    [anon_sym_PLUS] = ACTIONS(566),
    [anon_sym_DASH] = ACTIONS(566),
    [anon_sym_final] = ACTIONS(566),
    [anon_sym_BANG] = ACTIONS(564),
    [anon_sym_TILDE] = ACTIONS(564),
    [anon_sym_PLUS_PLUS] = ACTIONS(564),
    [anon_sym_DASH_DASH] = ACTIONS(564),
    [anon_sym_new] = ACTIONS(566),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(566),
    [anon_sym_LBRACE] = ACTIONS(564),
    [anon_sym_case] = ACTIONS(566),
    [anon_sym_default] = ACTIONS(566),
    [anon_sym_SEMI] = ACTIONS(564),
    [anon_sym_assert] = ACTIONS(566),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_while] = ACTIONS(566),
    [anon_sym_break] = ACTIONS(566),
    [anon_sym_continue] = ACTIONS(566),
    [anon_sym_return] = ACTIONS(566),
    [anon_sym_yield] = ACTIONS(566),
    [anon_sym_synchronized] = ACTIONS(566),
    [anon_sym_throw] = ACTIONS(566),
    [anon_sym_try] = ACTIONS(566),
    [anon_sym_catch] = ACTIONS(568),
    [anon_sym_finally] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(566),
    [anon_sym_else] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(566),
    [anon_sym_AT] = ACTIONS(566),
    [anon_sym_open] = ACTIONS(566),
    [anon_sym_module] = ACTIONS(566),
    [anon_sym_static] = ACTIONS(566),
    [anon_sym_with] = ACTIONS(566),
    [anon_sym_package] = ACTIONS(566),
    [anon_sym_import] = ACTIONS(566),
    [anon_sym_enum] = ACTIONS(566),
    [anon_sym_public] = ACTIONS(566),
    [anon_sym_protected] = ACTIONS(566),
    [anon_sym_private] = ACTIONS(566),
    [anon_sym_abstract] = ACTIONS(566),
    [anon_sym_strictfp] = ACTIONS(566),
    [anon_sym_native] = ACTIONS(566),
    [anon_sym_transient] = ACTIONS(566),
    [anon_sym_volatile] = ACTIONS(566),
    [anon_sym_sealed] = ACTIONS(566),
    [anon_sym_non_DASHsealed] = ACTIONS(564),
    [anon_sym_record] = ACTIONS(566),
    [anon_sym_ATinterface] = ACTIONS(564),
    [anon_sym_interface] = ACTIONS(566),
    [anon_sym_byte] = ACTIONS(566),
    [anon_sym_short] = ACTIONS(566),
    [anon_sym_int] = ACTIONS(566),
    [anon_sym_long] = ACTIONS(566),
    [anon_sym_char] = ACTIONS(566),
    [anon_sym_float] = ACTIONS(566),
    [anon_sym_double] = ACTIONS(566),
    [sym_boolean_type] = ACTIONS(566),
    [sym_void_type] = ACTIONS(566),
    [sym_this] = ACTIONS(566),
    [sym_super] = ACTIONS(566),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_catch_clause] = STATE(225),
    [sym_finally_clause] = STATE(311),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(572),
    [sym_identifier] = ACTIONS(574),
    [sym_decimal_integer_literal] = ACTIONS(574),
    [sym_hex_integer_literal] = ACTIONS(574),
    [sym_octal_integer_literal] = ACTIONS(574),
    [sym_binary_integer_literal] = ACTIONS(572),
    [sym_decimal_floating_point_literal] = ACTIONS(572),
    [sym_hex_floating_point_literal] = ACTIONS(574),
    [sym_true] = ACTIONS(574),
    [sym_false] = ACTIONS(574),
    [sym_character_literal] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(574),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(572),
    [sym_null_literal] = ACTIONS(574),
    [anon_sym_LPAREN] = ACTIONS(572),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(574),
    [anon_sym_DASH] = ACTIONS(574),
    [anon_sym_final] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_TILDE] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(572),
    [anon_sym_new] = ACTIONS(574),
    [anon_sym_class] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(574),
    [anon_sym_default] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_assert] = ACTIONS(574),
    [anon_sym_do] = ACTIONS(574),
    [anon_sym_while] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(574),
    [anon_sym_continue] = ACTIONS(574),
    [anon_sym_return] = ACTIONS(574),
    [anon_sym_yield] = ACTIONS(574),
    [anon_sym_synchronized] = ACTIONS(574),
    [anon_sym_throw] = ACTIONS(574),
    [anon_sym_try] = ACTIONS(574),
    [anon_sym_catch] = ACTIONS(568),
    [anon_sym_finally] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_for] = ACTIONS(574),
    [anon_sym_AT] = ACTIONS(574),
    [anon_sym_open] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(574),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_package] = ACTIONS(574),
    [anon_sym_import] = ACTIONS(574),
    [anon_sym_enum] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(574),
    [anon_sym_strictfp] = ACTIONS(574),
    [anon_sym_native] = ACTIONS(574),
    [anon_sym_transient] = ACTIONS(574),
    [anon_sym_volatile] = ACTIONS(574),
    [anon_sym_sealed] = ACTIONS(574),
    [anon_sym_non_DASHsealed] = ACTIONS(572),
    [anon_sym_record] = ACTIONS(574),
    [anon_sym_ATinterface] = ACTIONS(572),
    [anon_sym_interface] = ACTIONS(574),
    [anon_sym_byte] = ACTIONS(574),
    [anon_sym_short] = ACTIONS(574),
    [anon_sym_int] = ACTIONS(574),
    [anon_sym_long] = ACTIONS(574),
    [anon_sym_char] = ACTIONS(574),
    [anon_sym_float] = ACTIONS(574),
    [anon_sym_double] = ACTIONS(574),
    [sym_boolean_type] = ACTIONS(574),
    [sym_void_type] = ACTIONS(574),
    [sym_this] = ACTIONS(574),
    [sym_super] = ACTIONS(574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [160] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(679),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(576),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [161] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(667),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(578),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [162] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(687),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(580),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [163] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(680),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(582),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [164] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(689),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(584),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [165] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(750),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(586),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [166] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(711),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(588),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [167] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(690),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(590),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [168] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(654),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(592),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [169] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(657),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(594),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [170] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(678),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(596),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [171] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(658),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(598),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [172] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(732),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(600),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [173] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(653),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(602),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [174] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(660),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(604),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [175] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(688),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(606),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [176] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(727),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(608),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [177] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(686),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(610),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [178] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(747),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(612),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [179] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(659),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(614),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [180] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(685),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_catch_clause] = STATE(225),
    [sym_finally_clause] = STATE(369),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [sym_decimal_integer_literal] = ACTIONS(620),
    [sym_hex_integer_literal] = ACTIONS(620),
    [sym_octal_integer_literal] = ACTIONS(620),
    [sym_binary_integer_literal] = ACTIONS(618),
    [sym_decimal_floating_point_literal] = ACTIONS(618),
    [sym_hex_floating_point_literal] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_character_literal] = ACTIONS(618),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [sym_null_literal] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_final] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_assert] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_synchronized] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_catch] = ACTIONS(568),
    [anon_sym_finally] = ACTIONS(570),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_open] = ACTIONS(620),
    [anon_sym_module] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_package] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_enum] = ACTIONS(620),
    [anon_sym_public] = ACTIONS(620),
    [anon_sym_protected] = ACTIONS(620),
    [anon_sym_private] = ACTIONS(620),
    [anon_sym_abstract] = ACTIONS(620),
    [anon_sym_strictfp] = ACTIONS(620),
    [anon_sym_native] = ACTIONS(620),
    [anon_sym_transient] = ACTIONS(620),
    [anon_sym_volatile] = ACTIONS(620),
    [anon_sym_sealed] = ACTIONS(620),
    [anon_sym_non_DASHsealed] = ACTIONS(618),
    [anon_sym_record] = ACTIONS(620),
    [anon_sym_ATinterface] = ACTIONS(618),
    [anon_sym_interface] = ACTIONS(620),
    [anon_sym_byte] = ACTIONS(620),
    [anon_sym_short] = ACTIONS(620),
    [anon_sym_int] = ACTIONS(620),
    [anon_sym_long] = ACTIONS(620),
    [anon_sym_char] = ACTIONS(620),
    [anon_sym_float] = ACTIONS(620),
    [anon_sym_double] = ACTIONS(620),
    [sym_boolean_type] = ACTIONS(620),
    [sym_void_type] = ACTIONS(620),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [182] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(665),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [183] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(682),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(624),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [184] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(674),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(626),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [185] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(715),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(628),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [186] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(630),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [187] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(675),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_RPAREN] = ACTIONS(632),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [188] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(736),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(634),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [189] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(730),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_SEMI] = ACTIONS(636),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [190] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(703),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [191] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(744),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [192] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(589),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [193] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(595),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(712),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(704),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [196] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(743),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [197] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(752),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(749),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [199] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(738),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [200] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(605),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [201] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(706),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [202] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(595),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [203] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(745),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [204] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(589),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [205] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(742),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(702),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [207] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(723),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [208] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(619),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [209] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(719),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [210] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(709),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [211] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(607),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(536),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [212] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(634),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [213] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(640),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(614),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(616),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [216] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(746),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [217] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(754),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(622),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [219] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(647),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [220] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(617),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [221] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(612),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [222] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(624),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(649),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [224] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(621),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [225] = {
    [sym_catch_clause] = STATE(225),
    [aux_sym_try_statement_repeat1] = STATE(225),
    [ts_builtin_sym_end] = ACTIONS(638),
    [sym_identifier] = ACTIONS(640),
    [sym_decimal_integer_literal] = ACTIONS(640),
    [sym_hex_integer_literal] = ACTIONS(640),
    [sym_octal_integer_literal] = ACTIONS(640),
    [sym_binary_integer_literal] = ACTIONS(638),
    [sym_decimal_floating_point_literal] = ACTIONS(638),
    [sym_hex_floating_point_literal] = ACTIONS(640),
    [sym_true] = ACTIONS(640),
    [sym_false] = ACTIONS(640),
    [sym_character_literal] = ACTIONS(638),
    [anon_sym_DQUOTE] = ACTIONS(640),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(638),
    [anon_sym_RBRACE] = ACTIONS(638),
    [sym_null_literal] = ACTIONS(640),
    [anon_sym_LPAREN] = ACTIONS(638),
    [anon_sym_LT] = ACTIONS(638),
    [anon_sym_PLUS] = ACTIONS(640),
    [anon_sym_DASH] = ACTIONS(640),
    [anon_sym_final] = ACTIONS(640),
    [anon_sym_BANG] = ACTIONS(638),
    [anon_sym_TILDE] = ACTIONS(638),
    [anon_sym_PLUS_PLUS] = ACTIONS(638),
    [anon_sym_DASH_DASH] = ACTIONS(638),
    [anon_sym_new] = ACTIONS(640),
    [anon_sym_class] = ACTIONS(640),
    [anon_sym_switch] = ACTIONS(640),
    [anon_sym_LBRACE] = ACTIONS(638),
    [anon_sym_case] = ACTIONS(640),
    [anon_sym_default] = ACTIONS(640),
    [anon_sym_SEMI] = ACTIONS(638),
    [anon_sym_assert] = ACTIONS(640),
    [anon_sym_do] = ACTIONS(640),
    [anon_sym_while] = ACTIONS(640),
    [anon_sym_break] = ACTIONS(640),
    [anon_sym_continue] = ACTIONS(640),
    [anon_sym_return] = ACTIONS(640),
    [anon_sym_yield] = ACTIONS(640),
    [anon_sym_synchronized] = ACTIONS(640),
    [anon_sym_throw] = ACTIONS(640),
    [anon_sym_try] = ACTIONS(640),
    [anon_sym_catch] = ACTIONS(642),
    [anon_sym_finally] = ACTIONS(640),
    [anon_sym_if] = ACTIONS(640),
    [anon_sym_else] = ACTIONS(640),
    [anon_sym_for] = ACTIONS(640),
    [anon_sym_AT] = ACTIONS(640),
    [anon_sym_open] = ACTIONS(640),
    [anon_sym_module] = ACTIONS(640),
    [anon_sym_static] = ACTIONS(640),
    [anon_sym_with] = ACTIONS(640),
    [anon_sym_package] = ACTIONS(640),
    [anon_sym_import] = ACTIONS(640),
    [anon_sym_enum] = ACTIONS(640),
    [anon_sym_public] = ACTIONS(640),
    [anon_sym_protected] = ACTIONS(640),
    [anon_sym_private] = ACTIONS(640),
    [anon_sym_abstract] = ACTIONS(640),
    [anon_sym_strictfp] = ACTIONS(640),
    [anon_sym_native] = ACTIONS(640),
    [anon_sym_transient] = ACTIONS(640),
    [anon_sym_volatile] = ACTIONS(640),
    [anon_sym_sealed] = ACTIONS(640),
    [anon_sym_non_DASHsealed] = ACTIONS(638),
    [anon_sym_record] = ACTIONS(640),
    [anon_sym_ATinterface] = ACTIONS(638),
    [anon_sym_interface] = ACTIONS(640),
    [anon_sym_byte] = ACTIONS(640),
    [anon_sym_short] = ACTIONS(640),
    [anon_sym_int] = ACTIONS(640),
    [anon_sym_long] = ACTIONS(640),
    [anon_sym_char] = ACTIONS(640),
    [anon_sym_float] = ACTIONS(640),
    [anon_sym_double] = ACTIONS(640),
    [sym_boolean_type] = ACTIONS(640),
    [sym_void_type] = ACTIONS(640),
    [sym_this] = ACTIONS(640),
    [sym_super] = ACTIONS(640),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [226] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(651),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [227] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(739),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [228] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(718),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(637),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [230] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(731),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [231] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(725),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(606),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(607),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(536),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(638),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(605),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(633),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(641),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [237] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(642),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [238] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(645),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [239] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(648),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [240] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(636),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [241] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(728),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [242] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(618),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [243] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(613),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [244] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(735),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [245] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(623),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [246] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(691),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1372),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(455),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(455),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(445),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(536),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(526),
    [anon_sym_DASH] = ACTIONS(526),
    [anon_sym_BANG] = ACTIONS(528),
    [anon_sym_TILDE] = ACTIONS(528),
    [anon_sym_PLUS_PLUS] = ACTIONS(530),
    [anon_sym_DASH_DASH] = ACTIONS(530),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [247] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_expression] = STATE(726),
    [sym_cast_expression] = STATE(594),
    [sym_assignment_expression] = STATE(594),
    [sym_binary_expression] = STATE(594),
    [sym_instanceof_expression] = STATE(594),
    [sym_lambda_expression] = STATE(594),
    [sym_inferred_parameters] = STATE(1360),
    [sym_ternary_expression] = STATE(594),
    [sym_unary_expression] = STATE(594),
    [sym_update_expression] = STATE(594),
    [sym_primary_expression] = STATE(515),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(440),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(440),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_switch_expression] = STATE(594),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(430),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(418),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_PLUS] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(21),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(25),
    [anon_sym_PLUS_PLUS] = ACTIONS(27),
    [anon_sym_DASH_DASH] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_switch] = ACTIONS(33),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_sealed] = ACTIONS(69),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [248] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1119),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(1003),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_resource] = STATE(1237),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(838),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(805),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__reserved_identifier] = STATE(1004),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(645),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_RPAREN] = ACTIONS(649),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [sym_decimal_integer_literal] = ACTIONS(440),
    [sym_hex_integer_literal] = ACTIONS(440),
    [sym_octal_integer_literal] = ACTIONS(440),
    [sym_binary_integer_literal] = ACTIONS(438),
    [sym_decimal_floating_point_literal] = ACTIONS(438),
    [sym_hex_floating_point_literal] = ACTIONS(440),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_character_literal] = ACTIONS(438),
    [anon_sym_DQUOTE] = ACTIONS(440),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(438),
    [anon_sym_RBRACE] = ACTIONS(438),
    [sym_null_literal] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(438),
    [anon_sym_LT] = ACTIONS(438),
    [anon_sym_PLUS] = ACTIONS(440),
    [anon_sym_DASH] = ACTIONS(440),
    [anon_sym_final] = ACTIONS(440),
    [anon_sym_BANG] = ACTIONS(438),
    [anon_sym_TILDE] = ACTIONS(438),
    [anon_sym_PLUS_PLUS] = ACTIONS(438),
    [anon_sym_DASH_DASH] = ACTIONS(438),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_class] = ACTIONS(440),
    [anon_sym_switch] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(438),
    [anon_sym_case] = ACTIONS(440),
    [anon_sym_default] = ACTIONS(440),
    [anon_sym_SEMI] = ACTIONS(438),
    [anon_sym_assert] = ACTIONS(440),
    [anon_sym_do] = ACTIONS(440),
    [anon_sym_while] = ACTIONS(440),
    [anon_sym_break] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_yield] = ACTIONS(440),
    [anon_sym_synchronized] = ACTIONS(440),
    [anon_sym_throw] = ACTIONS(440),
    [anon_sym_try] = ACTIONS(440),
    [anon_sym_catch] = ACTIONS(440),
    [anon_sym_finally] = ACTIONS(440),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_else] = ACTIONS(440),
    [anon_sym_for] = ACTIONS(440),
    [anon_sym_AT] = ACTIONS(440),
    [anon_sym_open] = ACTIONS(440),
    [anon_sym_module] = ACTIONS(440),
    [anon_sym_static] = ACTIONS(440),
    [anon_sym_with] = ACTIONS(440),
    [anon_sym_package] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(440),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_public] = ACTIONS(440),
    [anon_sym_protected] = ACTIONS(440),
    [anon_sym_private] = ACTIONS(440),
    [anon_sym_abstract] = ACTIONS(440),
    [anon_sym_strictfp] = ACTIONS(440),
    [anon_sym_native] = ACTIONS(440),
    [anon_sym_transient] = ACTIONS(440),
    [anon_sym_volatile] = ACTIONS(440),
    [anon_sym_sealed] = ACTIONS(440),
    [anon_sym_non_DASHsealed] = ACTIONS(438),
    [anon_sym_record] = ACTIONS(440),
    [anon_sym_ATinterface] = ACTIONS(438),
    [anon_sym_interface] = ACTIONS(440),
    [anon_sym_byte] = ACTIONS(440),
    [anon_sym_short] = ACTIONS(440),
    [anon_sym_int] = ACTIONS(440),
    [anon_sym_long] = ACTIONS(440),
    [anon_sym_char] = ACTIONS(440),
    [anon_sym_float] = ACTIONS(440),
    [anon_sym_double] = ACTIONS(440),
    [sym_boolean_type] = ACTIONS(440),
    [sym_void_type] = ACTIONS(440),
    [sym_this] = ACTIONS(440),
    [sym_super] = ACTIONS(440),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(434),
    [sym_identifier] = ACTIONS(436),
    [sym_decimal_integer_literal] = ACTIONS(436),
    [sym_hex_integer_literal] = ACTIONS(436),
    [sym_octal_integer_literal] = ACTIONS(436),
    [sym_binary_integer_literal] = ACTIONS(434),
    [sym_decimal_floating_point_literal] = ACTIONS(434),
    [sym_hex_floating_point_literal] = ACTIONS(436),
    [sym_true] = ACTIONS(436),
    [sym_false] = ACTIONS(436),
    [sym_character_literal] = ACTIONS(434),
    [anon_sym_DQUOTE] = ACTIONS(436),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(434),
    [anon_sym_RBRACE] = ACTIONS(434),
    [sym_null_literal] = ACTIONS(436),
    [anon_sym_LPAREN] = ACTIONS(434),
    [anon_sym_LT] = ACTIONS(434),
    [anon_sym_PLUS] = ACTIONS(436),
    [anon_sym_DASH] = ACTIONS(436),
    [anon_sym_final] = ACTIONS(436),
    [anon_sym_BANG] = ACTIONS(434),
    [anon_sym_TILDE] = ACTIONS(434),
    [anon_sym_PLUS_PLUS] = ACTIONS(434),
    [anon_sym_DASH_DASH] = ACTIONS(434),
    [anon_sym_new] = ACTIONS(436),
    [anon_sym_class] = ACTIONS(436),
    [anon_sym_switch] = ACTIONS(436),
    [anon_sym_LBRACE] = ACTIONS(434),
    [anon_sym_case] = ACTIONS(436),
    [anon_sym_default] = ACTIONS(436),
    [anon_sym_SEMI] = ACTIONS(434),
    [anon_sym_assert] = ACTIONS(436),
    [anon_sym_do] = ACTIONS(436),
    [anon_sym_while] = ACTIONS(436),
    [anon_sym_break] = ACTIONS(436),
    [anon_sym_continue] = ACTIONS(436),
    [anon_sym_return] = ACTIONS(436),
    [anon_sym_yield] = ACTIONS(436),
    [anon_sym_synchronized] = ACTIONS(436),
    [anon_sym_throw] = ACTIONS(436),
    [anon_sym_try] = ACTIONS(436),
    [anon_sym_catch] = ACTIONS(436),
    [anon_sym_finally] = ACTIONS(436),
    [anon_sym_if] = ACTIONS(436),
    [anon_sym_else] = ACTIONS(436),
    [anon_sym_for] = ACTIONS(436),
    [anon_sym_AT] = ACTIONS(436),
    [anon_sym_open] = ACTIONS(436),
    [anon_sym_module] = ACTIONS(436),
    [anon_sym_static] = ACTIONS(436),
    [anon_sym_with] = ACTIONS(436),
    [anon_sym_package] = ACTIONS(436),
    [anon_sym_import] = ACTIONS(436),
    [anon_sym_enum] = ACTIONS(436),
    [anon_sym_public] = ACTIONS(436),
    [anon_sym_protected] = ACTIONS(436),
    [anon_sym_private] = ACTIONS(436),
    [anon_sym_abstract] = ACTIONS(436),
    [anon_sym_strictfp] = ACTIONS(436),
    [anon_sym_native] = ACTIONS(436),
    [anon_sym_transient] = ACTIONS(436),
    [anon_sym_volatile] = ACTIONS(436),
    [anon_sym_sealed] = ACTIONS(436),
    [anon_sym_non_DASHsealed] = ACTIONS(434),
    [anon_sym_record] = ACTIONS(436),
    [anon_sym_ATinterface] = ACTIONS(434),
    [anon_sym_interface] = ACTIONS(436),
    [anon_sym_byte] = ACTIONS(436),
    [anon_sym_short] = ACTIONS(436),
    [anon_sym_int] = ACTIONS(436),
    [anon_sym_long] = ACTIONS(436),
    [anon_sym_char] = ACTIONS(436),
    [anon_sym_float] = ACTIONS(436),
    [anon_sym_double] = ACTIONS(436),
    [sym_boolean_type] = ACTIONS(436),
    [sym_void_type] = ACTIONS(436),
    [sym_this] = ACTIONS(436),
    [sym_super] = ACTIONS(436),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [251] = {
    [ts_builtin_sym_end] = ACTIONS(653),
    [sym_identifier] = ACTIONS(655),
    [sym_decimal_integer_literal] = ACTIONS(655),
    [sym_hex_integer_literal] = ACTIONS(655),
    [sym_octal_integer_literal] = ACTIONS(655),
    [sym_binary_integer_literal] = ACTIONS(653),
    [sym_decimal_floating_point_literal] = ACTIONS(653),
    [sym_hex_floating_point_literal] = ACTIONS(655),
    [sym_true] = ACTIONS(655),
    [sym_false] = ACTIONS(655),
    [sym_character_literal] = ACTIONS(653),
    [anon_sym_DQUOTE] = ACTIONS(655),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(653),
    [anon_sym_RBRACE] = ACTIONS(653),
    [sym_null_literal] = ACTIONS(655),
    [anon_sym_LPAREN] = ACTIONS(653),
    [anon_sym_LT] = ACTIONS(653),
    [anon_sym_PLUS] = ACTIONS(655),
    [anon_sym_DASH] = ACTIONS(655),
    [anon_sym_final] = ACTIONS(655),
    [anon_sym_BANG] = ACTIONS(653),
    [anon_sym_TILDE] = ACTIONS(653),
    [anon_sym_PLUS_PLUS] = ACTIONS(653),
    [anon_sym_DASH_DASH] = ACTIONS(653),
    [anon_sym_new] = ACTIONS(655),
    [anon_sym_class] = ACTIONS(655),
    [anon_sym_switch] = ACTIONS(655),
    [anon_sym_LBRACE] = ACTIONS(653),
    [anon_sym_case] = ACTIONS(655),
    [anon_sym_default] = ACTIONS(655),
    [anon_sym_SEMI] = ACTIONS(653),
    [anon_sym_assert] = ACTIONS(655),
    [anon_sym_do] = ACTIONS(655),
    [anon_sym_while] = ACTIONS(655),
    [anon_sym_break] = ACTIONS(655),
    [anon_sym_continue] = ACTIONS(655),
    [anon_sym_return] = ACTIONS(655),
    [anon_sym_yield] = ACTIONS(655),
    [anon_sym_synchronized] = ACTIONS(655),
    [anon_sym_throw] = ACTIONS(655),
    [anon_sym_try] = ACTIONS(655),
    [anon_sym_catch] = ACTIONS(655),
    [anon_sym_finally] = ACTIONS(655),
    [anon_sym_if] = ACTIONS(655),
    [anon_sym_else] = ACTIONS(655),
    [anon_sym_for] = ACTIONS(655),
    [anon_sym_AT] = ACTIONS(655),
    [anon_sym_open] = ACTIONS(655),
    [anon_sym_module] = ACTIONS(655),
    [anon_sym_static] = ACTIONS(655),
    [anon_sym_with] = ACTIONS(655),
    [anon_sym_package] = ACTIONS(655),
    [anon_sym_import] = ACTIONS(655),
    [anon_sym_enum] = ACTIONS(655),
    [anon_sym_public] = ACTIONS(655),
    [anon_sym_protected] = ACTIONS(655),
    [anon_sym_private] = ACTIONS(655),
    [anon_sym_abstract] = ACTIONS(655),
    [anon_sym_strictfp] = ACTIONS(655),
    [anon_sym_native] = ACTIONS(655),
    [anon_sym_transient] = ACTIONS(655),
    [anon_sym_volatile] = ACTIONS(655),
    [anon_sym_sealed] = ACTIONS(655),
    [anon_sym_non_DASHsealed] = ACTIONS(653),
    [anon_sym_record] = ACTIONS(655),
    [anon_sym_ATinterface] = ACTIONS(653),
    [anon_sym_interface] = ACTIONS(655),
    [anon_sym_byte] = ACTIONS(655),
    [anon_sym_short] = ACTIONS(655),
    [anon_sym_int] = ACTIONS(655),
    [anon_sym_long] = ACTIONS(655),
    [anon_sym_char] = ACTIONS(655),
    [anon_sym_float] = ACTIONS(655),
    [anon_sym_double] = ACTIONS(655),
    [sym_boolean_type] = ACTIONS(655),
    [sym_void_type] = ACTIONS(655),
    [sym_this] = ACTIONS(655),
    [sym_super] = ACTIONS(655),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [252] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1119),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(1003),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_resource] = STATE(1237),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(838),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(805),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__reserved_identifier] = STATE(1004),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(645),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_RPAREN] = ACTIONS(657),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [253] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1119),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(1003),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_resource] = STATE(1237),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(838),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(805),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__reserved_identifier] = STATE(1004),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(645),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [254] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_primary_expression] = STATE(1119),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(1003),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym_resource] = STATE(1100),
    [sym__annotation] = STATE(692),
    [sym_marker_annotation] = STATE(692),
    [sym_annotation] = STATE(692),
    [sym_modifiers] = STATE(838),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(805),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym__reserved_identifier] = STATE(1004),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [aux_sym_modifiers_repeat1] = STATE(626),
    [sym_identifier] = ACTIONS(645),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(647),
    [anon_sym_final] = ACTIONS(458),
    [anon_sym_new] = ACTIONS(651),
    [anon_sym_default] = ACTIONS(458),
    [anon_sym_yield] = ACTIONS(69),
    [anon_sym_synchronized] = ACTIONS(458),
    [anon_sym_AT] = ACTIONS(460),
    [anon_sym_open] = ACTIONS(69),
    [anon_sym_module] = ACTIONS(69),
    [anon_sym_static] = ACTIONS(458),
    [anon_sym_with] = ACTIONS(69),
    [anon_sym_public] = ACTIONS(458),
    [anon_sym_protected] = ACTIONS(458),
    [anon_sym_private] = ACTIONS(458),
    [anon_sym_abstract] = ACTIONS(458),
    [anon_sym_strictfp] = ACTIONS(458),
    [anon_sym_native] = ACTIONS(458),
    [anon_sym_transient] = ACTIONS(458),
    [anon_sym_volatile] = ACTIONS(458),
    [anon_sym_sealed] = ACTIONS(462),
    [anon_sym_non_DASHsealed] = ACTIONS(464),
    [anon_sym_record] = ACTIONS(69),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(95),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(659),
    [sym_identifier] = ACTIONS(661),
    [sym_decimal_integer_literal] = ACTIONS(661),
    [sym_hex_integer_literal] = ACTIONS(661),
    [sym_octal_integer_literal] = ACTIONS(661),
    [sym_binary_integer_literal] = ACTIONS(659),
    [sym_decimal_floating_point_literal] = ACTIONS(659),
    [sym_hex_floating_point_literal] = ACTIONS(661),
    [sym_true] = ACTIONS(661),
    [sym_false] = ACTIONS(661),
    [sym_character_literal] = ACTIONS(659),
    [anon_sym_DQUOTE] = ACTIONS(661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(659),
    [anon_sym_RBRACE] = ACTIONS(659),
    [sym_null_literal] = ACTIONS(661),
    [anon_sym_LPAREN] = ACTIONS(659),
    [anon_sym_LT] = ACTIONS(659),
    [anon_sym_PLUS] = ACTIONS(661),
    [anon_sym_DASH] = ACTIONS(661),
    [anon_sym_final] = ACTIONS(661),
    [anon_sym_BANG] = ACTIONS(659),
    [anon_sym_TILDE] = ACTIONS(659),
    [anon_sym_PLUS_PLUS] = ACTIONS(659),
    [anon_sym_DASH_DASH] = ACTIONS(659),
    [anon_sym_new] = ACTIONS(661),
    [anon_sym_class] = ACTIONS(661),
    [anon_sym_switch] = ACTIONS(661),
    [anon_sym_LBRACE] = ACTIONS(659),
    [anon_sym_case] = ACTIONS(661),
    [anon_sym_default] = ACTIONS(661),
    [anon_sym_SEMI] = ACTIONS(659),
    [anon_sym_assert] = ACTIONS(661),
    [anon_sym_do] = ACTIONS(661),
    [anon_sym_while] = ACTIONS(661),
    [anon_sym_break] = ACTIONS(661),
    [anon_sym_continue] = ACTIONS(661),
    [anon_sym_return] = ACTIONS(661),
    [anon_sym_yield] = ACTIONS(661),
    [anon_sym_synchronized] = ACTIONS(661),
    [anon_sym_throw] = ACTIONS(661),
    [anon_sym_try] = ACTIONS(661),
    [anon_sym_if] = ACTIONS(661),
    [anon_sym_else] = ACTIONS(661),
    [anon_sym_for] = ACTIONS(661),
    [anon_sym_AT] = ACTIONS(661),
    [anon_sym_open] = ACTIONS(661),
    [anon_sym_module] = ACTIONS(661),
    [anon_sym_static] = ACTIONS(661),
    [anon_sym_with] = ACTIONS(661),
    [anon_sym_package] = ACTIONS(661),
    [anon_sym_import] = ACTIONS(661),
    [anon_sym_enum] = ACTIONS(661),
    [anon_sym_public] = ACTIONS(661),
    [anon_sym_protected] = ACTIONS(661),
    [anon_sym_private] = ACTIONS(661),
    [anon_sym_abstract] = ACTIONS(661),
    [anon_sym_strictfp] = ACTIONS(661),
    [anon_sym_native] = ACTIONS(661),
    [anon_sym_transient] = ACTIONS(661),
    [anon_sym_volatile] = ACTIONS(661),
    [anon_sym_sealed] = ACTIONS(661),
    [anon_sym_non_DASHsealed] = ACTIONS(659),
    [anon_sym_record] = ACTIONS(661),
    [anon_sym_ATinterface] = ACTIONS(659),
    [anon_sym_interface] = ACTIONS(661),
    [anon_sym_byte] = ACTIONS(661),
    [anon_sym_short] = ACTIONS(661),
    [anon_sym_int] = ACTIONS(661),
    [anon_sym_long] = ACTIONS(661),
    [anon_sym_char] = ACTIONS(661),
    [anon_sym_float] = ACTIONS(661),
    [anon_sym_double] = ACTIONS(661),
    [sym_boolean_type] = ACTIONS(661),
    [sym_void_type] = ACTIONS(661),
    [sym_this] = ACTIONS(661),
    [sym_super] = ACTIONS(661),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [256] = {
    [ts_builtin_sym_end] = ACTIONS(663),
    [sym_identifier] = ACTIONS(665),
    [sym_decimal_integer_literal] = ACTIONS(665),
    [sym_hex_integer_literal] = ACTIONS(665),
    [sym_octal_integer_literal] = ACTIONS(665),
    [sym_binary_integer_literal] = ACTIONS(663),
    [sym_decimal_floating_point_literal] = ACTIONS(663),
    [sym_hex_floating_point_literal] = ACTIONS(665),
    [sym_true] = ACTIONS(665),
    [sym_false] = ACTIONS(665),
    [sym_character_literal] = ACTIONS(663),
    [anon_sym_DQUOTE] = ACTIONS(665),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(663),
    [anon_sym_RBRACE] = ACTIONS(663),
    [sym_null_literal] = ACTIONS(665),
    [anon_sym_LPAREN] = ACTIONS(663),
    [anon_sym_LT] = ACTIONS(663),
    [anon_sym_PLUS] = ACTIONS(665),
    [anon_sym_DASH] = ACTIONS(665),
    [anon_sym_final] = ACTIONS(665),
    [anon_sym_BANG] = ACTIONS(663),
    [anon_sym_TILDE] = ACTIONS(663),
    [anon_sym_PLUS_PLUS] = ACTIONS(663),
    [anon_sym_DASH_DASH] = ACTIONS(663),
    [anon_sym_new] = ACTIONS(665),
    [anon_sym_class] = ACTIONS(665),
    [anon_sym_switch] = ACTIONS(665),
    [anon_sym_LBRACE] = ACTIONS(663),
    [anon_sym_case] = ACTIONS(665),
    [anon_sym_default] = ACTIONS(665),
    [anon_sym_SEMI] = ACTIONS(663),
    [anon_sym_assert] = ACTIONS(665),
    [anon_sym_do] = ACTIONS(665),
    [anon_sym_while] = ACTIONS(665),
    [anon_sym_break] = ACTIONS(665),
    [anon_sym_continue] = ACTIONS(665),
    [anon_sym_return] = ACTIONS(665),
    [anon_sym_yield] = ACTIONS(665),
    [anon_sym_synchronized] = ACTIONS(665),
    [anon_sym_throw] = ACTIONS(665),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_if] = ACTIONS(665),
    [anon_sym_else] = ACTIONS(665),
    [anon_sym_for] = ACTIONS(665),
    [anon_sym_AT] = ACTIONS(665),
    [anon_sym_open] = ACTIONS(665),
    [anon_sym_module] = ACTIONS(665),
    [anon_sym_static] = ACTIONS(665),
    [anon_sym_with] = ACTIONS(665),
    [anon_sym_package] = ACTIONS(665),
    [anon_sym_import] = ACTIONS(665),
    [anon_sym_enum] = ACTIONS(665),
    [anon_sym_public] = ACTIONS(665),
    [anon_sym_protected] = ACTIONS(665),
    [anon_sym_private] = ACTIONS(665),
    [anon_sym_abstract] = ACTIONS(665),
    [anon_sym_strictfp] = ACTIONS(665),
    [anon_sym_native] = ACTIONS(665),
    [anon_sym_transient] = ACTIONS(665),
    [anon_sym_volatile] = ACTIONS(665),
    [anon_sym_sealed] = ACTIONS(665),
    [anon_sym_non_DASHsealed] = ACTIONS(663),
    [anon_sym_record] = ACTIONS(665),
    [anon_sym_ATinterface] = ACTIONS(663),
    [anon_sym_interface] = ACTIONS(665),
    [anon_sym_byte] = ACTIONS(665),
    [anon_sym_short] = ACTIONS(665),
    [anon_sym_int] = ACTIONS(665),
    [anon_sym_long] = ACTIONS(665),
    [anon_sym_char] = ACTIONS(665),
    [anon_sym_float] = ACTIONS(665),
    [anon_sym_double] = ACTIONS(665),
    [sym_boolean_type] = ACTIONS(665),
    [sym_void_type] = ACTIONS(665),
    [sym_this] = ACTIONS(665),
    [sym_super] = ACTIONS(665),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(667),
    [sym_identifier] = ACTIONS(669),
    [sym_decimal_integer_literal] = ACTIONS(669),
    [sym_hex_integer_literal] = ACTIONS(669),
    [sym_octal_integer_literal] = ACTIONS(669),
    [sym_binary_integer_literal] = ACTIONS(667),
    [sym_decimal_floating_point_literal] = ACTIONS(667),
    [sym_hex_floating_point_literal] = ACTIONS(669),
    [sym_true] = ACTIONS(669),
    [sym_false] = ACTIONS(669),
    [sym_character_literal] = ACTIONS(667),
    [anon_sym_DQUOTE] = ACTIONS(669),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(667),
    [anon_sym_RBRACE] = ACTIONS(667),
    [sym_null_literal] = ACTIONS(669),
    [anon_sym_LPAREN] = ACTIONS(667),
    [anon_sym_LT] = ACTIONS(667),
    [anon_sym_PLUS] = ACTIONS(669),
    [anon_sym_DASH] = ACTIONS(669),
    [anon_sym_final] = ACTIONS(669),
    [anon_sym_BANG] = ACTIONS(667),
    [anon_sym_TILDE] = ACTIONS(667),
    [anon_sym_PLUS_PLUS] = ACTIONS(667),
    [anon_sym_DASH_DASH] = ACTIONS(667),
    [anon_sym_new] = ACTIONS(669),
    [anon_sym_class] = ACTIONS(669),
    [anon_sym_switch] = ACTIONS(669),
    [anon_sym_LBRACE] = ACTIONS(667),
    [anon_sym_case] = ACTIONS(669),
    [anon_sym_default] = ACTIONS(669),
    [anon_sym_SEMI] = ACTIONS(667),
    [anon_sym_assert] = ACTIONS(669),
    [anon_sym_do] = ACTIONS(669),
    [anon_sym_while] = ACTIONS(669),
    [anon_sym_break] = ACTIONS(669),
    [anon_sym_continue] = ACTIONS(669),
    [anon_sym_return] = ACTIONS(669),
    [anon_sym_yield] = ACTIONS(669),
    [anon_sym_synchronized] = ACTIONS(669),
    [anon_sym_throw] = ACTIONS(669),
    [anon_sym_try] = ACTIONS(669),
    [anon_sym_if] = ACTIONS(669),
    [anon_sym_else] = ACTIONS(669),
    [anon_sym_for] = ACTIONS(669),
    [anon_sym_AT] = ACTIONS(669),
    [anon_sym_open] = ACTIONS(669),
    [anon_sym_module] = ACTIONS(669),
    [anon_sym_static] = ACTIONS(669),
    [anon_sym_with] = ACTIONS(669),
    [anon_sym_package] = ACTIONS(669),
    [anon_sym_import] = ACTIONS(669),
    [anon_sym_enum] = ACTIONS(669),
    [anon_sym_public] = ACTIONS(669),
    [anon_sym_protected] = ACTIONS(669),
    [anon_sym_private] = ACTIONS(669),
    [anon_sym_abstract] = ACTIONS(669),
    [anon_sym_strictfp] = ACTIONS(669),
    [anon_sym_native] = ACTIONS(669),
    [anon_sym_transient] = ACTIONS(669),
    [anon_sym_volatile] = ACTIONS(669),
    [anon_sym_sealed] = ACTIONS(669),
    [anon_sym_non_DASHsealed] = ACTIONS(667),
    [anon_sym_record] = ACTIONS(669),
    [anon_sym_ATinterface] = ACTIONS(667),
    [anon_sym_interface] = ACTIONS(669),
    [anon_sym_byte] = ACTIONS(669),
    [anon_sym_short] = ACTIONS(669),
    [anon_sym_int] = ACTIONS(669),
    [anon_sym_long] = ACTIONS(669),
    [anon_sym_char] = ACTIONS(669),
    [anon_sym_float] = ACTIONS(669),
    [anon_sym_double] = ACTIONS(669),
    [sym_boolean_type] = ACTIONS(669),
    [sym_void_type] = ACTIONS(669),
    [sym_this] = ACTIONS(669),
    [sym_super] = ACTIONS(669),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(671),
    [sym_identifier] = ACTIONS(673),
    [sym_decimal_integer_literal] = ACTIONS(673),
    [sym_hex_integer_literal] = ACTIONS(673),
    [sym_octal_integer_literal] = ACTIONS(673),
    [sym_binary_integer_literal] = ACTIONS(671),
    [sym_decimal_floating_point_literal] = ACTIONS(671),
    [sym_hex_floating_point_literal] = ACTIONS(673),
    [sym_true] = ACTIONS(673),
    [sym_false] = ACTIONS(673),
    [sym_character_literal] = ACTIONS(671),
    [anon_sym_DQUOTE] = ACTIONS(673),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(671),
    [anon_sym_RBRACE] = ACTIONS(671),
    [sym_null_literal] = ACTIONS(673),
    [anon_sym_LPAREN] = ACTIONS(671),
    [anon_sym_LT] = ACTIONS(671),
    [anon_sym_PLUS] = ACTIONS(673),
    [anon_sym_DASH] = ACTIONS(673),
    [anon_sym_final] = ACTIONS(673),
    [anon_sym_BANG] = ACTIONS(671),
    [anon_sym_TILDE] = ACTIONS(671),
    [anon_sym_PLUS_PLUS] = ACTIONS(671),
    [anon_sym_DASH_DASH] = ACTIONS(671),
    [anon_sym_new] = ACTIONS(673),
    [anon_sym_class] = ACTIONS(673),
    [anon_sym_switch] = ACTIONS(673),
    [anon_sym_LBRACE] = ACTIONS(671),
    [anon_sym_case] = ACTIONS(673),
    [anon_sym_default] = ACTIONS(673),
    [anon_sym_SEMI] = ACTIONS(671),
    [anon_sym_assert] = ACTIONS(673),
    [anon_sym_do] = ACTIONS(673),
    [anon_sym_while] = ACTIONS(673),
    [anon_sym_break] = ACTIONS(673),
    [anon_sym_continue] = ACTIONS(673),
    [anon_sym_return] = ACTIONS(673),
    [anon_sym_yield] = ACTIONS(673),
    [anon_sym_synchronized] = ACTIONS(673),
    [anon_sym_throw] = ACTIONS(673),
    [anon_sym_try] = ACTIONS(673),
    [anon_sym_if] = ACTIONS(673),
    [anon_sym_else] = ACTIONS(673),
    [anon_sym_for] = ACTIONS(673),
    [anon_sym_AT] = ACTIONS(673),
    [anon_sym_open] = ACTIONS(673),
    [anon_sym_module] = ACTIONS(673),
    [anon_sym_static] = ACTIONS(673),
    [anon_sym_with] = ACTIONS(673),
    [anon_sym_package] = ACTIONS(673),
    [anon_sym_import] = ACTIONS(673),
    [anon_sym_enum] = ACTIONS(673),
    [anon_sym_public] = ACTIONS(673),
    [anon_sym_protected] = ACTIONS(673),
    [anon_sym_private] = ACTIONS(673),
    [anon_sym_abstract] = ACTIONS(673),
    [anon_sym_strictfp] = ACTIONS(673),
    [anon_sym_native] = ACTIONS(673),
    [anon_sym_transient] = ACTIONS(673),
    [anon_sym_volatile] = ACTIONS(673),
    [anon_sym_sealed] = ACTIONS(673),
    [anon_sym_non_DASHsealed] = ACTIONS(671),
    [anon_sym_record] = ACTIONS(673),
    [anon_sym_ATinterface] = ACTIONS(671),
    [anon_sym_interface] = ACTIONS(673),
    [anon_sym_byte] = ACTIONS(673),
    [anon_sym_short] = ACTIONS(673),
    [anon_sym_int] = ACTIONS(673),
    [anon_sym_long] = ACTIONS(673),
    [anon_sym_char] = ACTIONS(673),
    [anon_sym_float] = ACTIONS(673),
    [anon_sym_double] = ACTIONS(673),
    [sym_boolean_type] = ACTIONS(673),
    [sym_void_type] = ACTIONS(673),
    [sym_this] = ACTIONS(673),
    [sym_super] = ACTIONS(673),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [259] = {
    [ts_builtin_sym_end] = ACTIONS(675),
    [sym_identifier] = ACTIONS(677),
    [sym_decimal_integer_literal] = ACTIONS(677),
    [sym_hex_integer_literal] = ACTIONS(677),
    [sym_octal_integer_literal] = ACTIONS(677),
    [sym_binary_integer_literal] = ACTIONS(675),
    [sym_decimal_floating_point_literal] = ACTIONS(675),
    [sym_hex_floating_point_literal] = ACTIONS(677),
    [sym_true] = ACTIONS(677),
    [sym_false] = ACTIONS(677),
    [sym_character_literal] = ACTIONS(675),
    [anon_sym_DQUOTE] = ACTIONS(677),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(675),
    [anon_sym_RBRACE] = ACTIONS(675),
    [sym_null_literal] = ACTIONS(677),
    [anon_sym_LPAREN] = ACTIONS(675),
    [anon_sym_LT] = ACTIONS(675),
    [anon_sym_PLUS] = ACTIONS(677),
    [anon_sym_DASH] = ACTIONS(677),
    [anon_sym_final] = ACTIONS(677),
    [anon_sym_BANG] = ACTIONS(675),
    [anon_sym_TILDE] = ACTIONS(675),
    [anon_sym_PLUS_PLUS] = ACTIONS(675),
    [anon_sym_DASH_DASH] = ACTIONS(675),
    [anon_sym_new] = ACTIONS(677),
    [anon_sym_class] = ACTIONS(677),
    [anon_sym_switch] = ACTIONS(677),
    [anon_sym_LBRACE] = ACTIONS(675),
    [anon_sym_case] = ACTIONS(677),
    [anon_sym_default] = ACTIONS(677),
    [anon_sym_SEMI] = ACTIONS(675),
    [anon_sym_assert] = ACTIONS(677),
    [anon_sym_do] = ACTIONS(677),
    [anon_sym_while] = ACTIONS(677),
    [anon_sym_break] = ACTIONS(677),
    [anon_sym_continue] = ACTIONS(677),
    [anon_sym_return] = ACTIONS(677),
    [anon_sym_yield] = ACTIONS(677),
    [anon_sym_synchronized] = ACTIONS(677),
    [anon_sym_throw] = ACTIONS(677),
    [anon_sym_try] = ACTIONS(677),
    [anon_sym_if] = ACTIONS(677),
    [anon_sym_else] = ACTIONS(677),
    [anon_sym_for] = ACTIONS(677),
    [anon_sym_AT] = ACTIONS(677),
    [anon_sym_open] = ACTIONS(677),
    [anon_sym_module] = ACTIONS(677),
    [anon_sym_static] = ACTIONS(677),
    [anon_sym_with] = ACTIONS(677),
    [anon_sym_package] = ACTIONS(677),
    [anon_sym_import] = ACTIONS(677),
    [anon_sym_enum] = ACTIONS(677),
    [anon_sym_public] = ACTIONS(677),
    [anon_sym_protected] = ACTIONS(677),
    [anon_sym_private] = ACTIONS(677),
    [anon_sym_abstract] = ACTIONS(677),
    [anon_sym_strictfp] = ACTIONS(677),
    [anon_sym_native] = ACTIONS(677),
    [anon_sym_transient] = ACTIONS(677),
    [anon_sym_volatile] = ACTIONS(677),
    [anon_sym_sealed] = ACTIONS(677),
    [anon_sym_non_DASHsealed] = ACTIONS(675),
    [anon_sym_record] = ACTIONS(677),
    [anon_sym_ATinterface] = ACTIONS(675),
    [anon_sym_interface] = ACTIONS(677),
    [anon_sym_byte] = ACTIONS(677),
    [anon_sym_short] = ACTIONS(677),
    [anon_sym_int] = ACTIONS(677),
    [anon_sym_long] = ACTIONS(677),
    [anon_sym_char] = ACTIONS(677),
    [anon_sym_float] = ACTIONS(677),
    [anon_sym_double] = ACTIONS(677),
    [sym_boolean_type] = ACTIONS(677),
    [sym_void_type] = ACTIONS(677),
    [sym_this] = ACTIONS(677),
    [sym_super] = ACTIONS(677),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(679),
    [sym_identifier] = ACTIONS(681),
    [sym_decimal_integer_literal] = ACTIONS(681),
    [sym_hex_integer_literal] = ACTIONS(681),
    [sym_octal_integer_literal] = ACTIONS(681),
    [sym_binary_integer_literal] = ACTIONS(679),
    [sym_decimal_floating_point_literal] = ACTIONS(679),
    [sym_hex_floating_point_literal] = ACTIONS(681),
    [sym_true] = ACTIONS(681),
    [sym_false] = ACTIONS(681),
    [sym_character_literal] = ACTIONS(679),
    [anon_sym_DQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(679),
    [anon_sym_RBRACE] = ACTIONS(679),
    [sym_null_literal] = ACTIONS(681),
    [anon_sym_LPAREN] = ACTIONS(679),
    [anon_sym_LT] = ACTIONS(679),
    [anon_sym_PLUS] = ACTIONS(681),
    [anon_sym_DASH] = ACTIONS(681),
    [anon_sym_final] = ACTIONS(681),
    [anon_sym_BANG] = ACTIONS(679),
    [anon_sym_TILDE] = ACTIONS(679),
    [anon_sym_PLUS_PLUS] = ACTIONS(679),
    [anon_sym_DASH_DASH] = ACTIONS(679),
    [anon_sym_new] = ACTIONS(681),
    [anon_sym_class] = ACTIONS(681),
    [anon_sym_switch] = ACTIONS(681),
    [anon_sym_LBRACE] = ACTIONS(679),
    [anon_sym_case] = ACTIONS(681),
    [anon_sym_default] = ACTIONS(681),
    [anon_sym_SEMI] = ACTIONS(679),
    [anon_sym_assert] = ACTIONS(681),
    [anon_sym_do] = ACTIONS(681),
    [anon_sym_while] = ACTIONS(681),
    [anon_sym_break] = ACTIONS(681),
    [anon_sym_continue] = ACTIONS(681),
    [anon_sym_return] = ACTIONS(681),
    [anon_sym_yield] = ACTIONS(681),
    [anon_sym_synchronized] = ACTIONS(681),
    [anon_sym_throw] = ACTIONS(681),
    [anon_sym_try] = ACTIONS(681),
    [anon_sym_if] = ACTIONS(681),
    [anon_sym_else] = ACTIONS(681),
    [anon_sym_for] = ACTIONS(681),
    [anon_sym_AT] = ACTIONS(681),
    [anon_sym_open] = ACTIONS(681),
    [anon_sym_module] = ACTIONS(681),
    [anon_sym_static] = ACTIONS(681),
    [anon_sym_with] = ACTIONS(681),
    [anon_sym_package] = ACTIONS(681),
    [anon_sym_import] = ACTIONS(681),
    [anon_sym_enum] = ACTIONS(681),
    [anon_sym_public] = ACTIONS(681),
    [anon_sym_protected] = ACTIONS(681),
    [anon_sym_private] = ACTIONS(681),
    [anon_sym_abstract] = ACTIONS(681),
    [anon_sym_strictfp] = ACTIONS(681),
    [anon_sym_native] = ACTIONS(681),
    [anon_sym_transient] = ACTIONS(681),
    [anon_sym_volatile] = ACTIONS(681),
    [anon_sym_sealed] = ACTIONS(681),
    [anon_sym_non_DASHsealed] = ACTIONS(679),
    [anon_sym_record] = ACTIONS(681),
    [anon_sym_ATinterface] = ACTIONS(679),
    [anon_sym_interface] = ACTIONS(681),
    [anon_sym_byte] = ACTIONS(681),
    [anon_sym_short] = ACTIONS(681),
    [anon_sym_int] = ACTIONS(681),
    [anon_sym_long] = ACTIONS(681),
    [anon_sym_char] = ACTIONS(681),
    [anon_sym_float] = ACTIONS(681),
    [anon_sym_double] = ACTIONS(681),
    [sym_boolean_type] = ACTIONS(681),
    [sym_void_type] = ACTIONS(681),
    [sym_this] = ACTIONS(681),
    [sym_super] = ACTIONS(681),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(683),
    [sym_identifier] = ACTIONS(685),
    [sym_decimal_integer_literal] = ACTIONS(685),
    [sym_hex_integer_literal] = ACTIONS(685),
    [sym_octal_integer_literal] = ACTIONS(685),
    [sym_binary_integer_literal] = ACTIONS(683),
    [sym_decimal_floating_point_literal] = ACTIONS(683),
    [sym_hex_floating_point_literal] = ACTIONS(685),
    [sym_true] = ACTIONS(685),
    [sym_false] = ACTIONS(685),
    [sym_character_literal] = ACTIONS(683),
    [anon_sym_DQUOTE] = ACTIONS(685),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(683),
    [anon_sym_RBRACE] = ACTIONS(683),
    [sym_null_literal] = ACTIONS(685),
    [anon_sym_LPAREN] = ACTIONS(683),
    [anon_sym_LT] = ACTIONS(683),
    [anon_sym_PLUS] = ACTIONS(685),
    [anon_sym_DASH] = ACTIONS(685),
    [anon_sym_final] = ACTIONS(685),
    [anon_sym_BANG] = ACTIONS(683),
    [anon_sym_TILDE] = ACTIONS(683),
    [anon_sym_PLUS_PLUS] = ACTIONS(683),
    [anon_sym_DASH_DASH] = ACTIONS(683),
    [anon_sym_new] = ACTIONS(685),
    [anon_sym_class] = ACTIONS(685),
    [anon_sym_switch] = ACTIONS(685),
    [anon_sym_LBRACE] = ACTIONS(683),
    [anon_sym_case] = ACTIONS(685),
    [anon_sym_default] = ACTIONS(685),
    [anon_sym_SEMI] = ACTIONS(683),
    [anon_sym_assert] = ACTIONS(685),
    [anon_sym_do] = ACTIONS(685),
    [anon_sym_while] = ACTIONS(685),
    [anon_sym_break] = ACTIONS(685),
    [anon_sym_continue] = ACTIONS(685),
    [anon_sym_return] = ACTIONS(685),
    [anon_sym_yield] = ACTIONS(685),
    [anon_sym_synchronized] = ACTIONS(685),
    [anon_sym_throw] = ACTIONS(685),
    [anon_sym_try] = ACTIONS(685),
    [anon_sym_if] = ACTIONS(685),
    [anon_sym_else] = ACTIONS(685),
    [anon_sym_for] = ACTIONS(685),
    [anon_sym_AT] = ACTIONS(685),
    [anon_sym_open] = ACTIONS(685),
    [anon_sym_module] = ACTIONS(685),
    [anon_sym_static] = ACTIONS(685),
    [anon_sym_with] = ACTIONS(685),
    [anon_sym_package] = ACTIONS(685),
    [anon_sym_import] = ACTIONS(685),
    [anon_sym_enum] = ACTIONS(685),
    [anon_sym_public] = ACTIONS(685),
    [anon_sym_protected] = ACTIONS(685),
    [anon_sym_private] = ACTIONS(685),
    [anon_sym_abstract] = ACTIONS(685),
    [anon_sym_strictfp] = ACTIONS(685),
    [anon_sym_native] = ACTIONS(685),
    [anon_sym_transient] = ACTIONS(685),
    [anon_sym_volatile] = ACTIONS(685),
    [anon_sym_sealed] = ACTIONS(685),
    [anon_sym_non_DASHsealed] = ACTIONS(683),
    [anon_sym_record] = ACTIONS(685),
    [anon_sym_ATinterface] = ACTIONS(683),
    [anon_sym_interface] = ACTIONS(685),
    [anon_sym_byte] = ACTIONS(685),
    [anon_sym_short] = ACTIONS(685),
    [anon_sym_int] = ACTIONS(685),
    [anon_sym_long] = ACTIONS(685),
    [anon_sym_char] = ACTIONS(685),
    [anon_sym_float] = ACTIONS(685),
    [anon_sym_double] = ACTIONS(685),
    [sym_boolean_type] = ACTIONS(685),
    [sym_void_type] = ACTIONS(685),
    [sym_this] = ACTIONS(685),
    [sym_super] = ACTIONS(685),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(687),
    [sym_identifier] = ACTIONS(689),
    [sym_decimal_integer_literal] = ACTIONS(689),
    [sym_hex_integer_literal] = ACTIONS(689),
    [sym_octal_integer_literal] = ACTIONS(689),
    [sym_binary_integer_literal] = ACTIONS(687),
    [sym_decimal_floating_point_literal] = ACTIONS(687),
    [sym_hex_floating_point_literal] = ACTIONS(689),
    [sym_true] = ACTIONS(689),
    [sym_false] = ACTIONS(689),
    [sym_character_literal] = ACTIONS(687),
    [anon_sym_DQUOTE] = ACTIONS(689),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(687),
    [anon_sym_RBRACE] = ACTIONS(687),
    [sym_null_literal] = ACTIONS(689),
    [anon_sym_LPAREN] = ACTIONS(687),
    [anon_sym_LT] = ACTIONS(687),
    [anon_sym_PLUS] = ACTIONS(689),
    [anon_sym_DASH] = ACTIONS(689),
    [anon_sym_final] = ACTIONS(689),
    [anon_sym_BANG] = ACTIONS(687),
    [anon_sym_TILDE] = ACTIONS(687),
    [anon_sym_PLUS_PLUS] = ACTIONS(687),
    [anon_sym_DASH_DASH] = ACTIONS(687),
    [anon_sym_new] = ACTIONS(689),
    [anon_sym_class] = ACTIONS(689),
    [anon_sym_switch] = ACTIONS(689),
    [anon_sym_LBRACE] = ACTIONS(687),
    [anon_sym_case] = ACTIONS(689),
    [anon_sym_default] = ACTIONS(689),
    [anon_sym_SEMI] = ACTIONS(687),
    [anon_sym_assert] = ACTIONS(689),
    [anon_sym_do] = ACTIONS(689),
    [anon_sym_while] = ACTIONS(689),
    [anon_sym_break] = ACTIONS(689),
    [anon_sym_continue] = ACTIONS(689),
    [anon_sym_return] = ACTIONS(689),
    [anon_sym_yield] = ACTIONS(689),
    [anon_sym_synchronized] = ACTIONS(689),
    [anon_sym_throw] = ACTIONS(689),
    [anon_sym_try] = ACTIONS(689),
    [anon_sym_if] = ACTIONS(689),
    [anon_sym_else] = ACTIONS(689),
    [anon_sym_for] = ACTIONS(689),
    [anon_sym_AT] = ACTIONS(689),
    [anon_sym_open] = ACTIONS(689),
    [anon_sym_module] = ACTIONS(689),
    [anon_sym_static] = ACTIONS(689),
    [anon_sym_with] = ACTIONS(689),
    [anon_sym_package] = ACTIONS(689),
    [anon_sym_import] = ACTIONS(689),
    [anon_sym_enum] = ACTIONS(689),
    [anon_sym_public] = ACTIONS(689),
    [anon_sym_protected] = ACTIONS(689),
    [anon_sym_private] = ACTIONS(689),
    [anon_sym_abstract] = ACTIONS(689),
    [anon_sym_strictfp] = ACTIONS(689),
    [anon_sym_native] = ACTIONS(689),
    [anon_sym_transient] = ACTIONS(689),
    [anon_sym_volatile] = ACTIONS(689),
    [anon_sym_sealed] = ACTIONS(689),
    [anon_sym_non_DASHsealed] = ACTIONS(687),
    [anon_sym_record] = ACTIONS(689),
    [anon_sym_ATinterface] = ACTIONS(687),
    [anon_sym_interface] = ACTIONS(689),
    [anon_sym_byte] = ACTIONS(689),
    [anon_sym_short] = ACTIONS(689),
    [anon_sym_int] = ACTIONS(689),
    [anon_sym_long] = ACTIONS(689),
    [anon_sym_char] = ACTIONS(689),
    [anon_sym_float] = ACTIONS(689),
    [anon_sym_double] = ACTIONS(689),
    [sym_boolean_type] = ACTIONS(689),
    [sym_void_type] = ACTIONS(689),
    [sym_this] = ACTIONS(689),
    [sym_super] = ACTIONS(689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(691),
    [sym_identifier] = ACTIONS(693),
    [sym_decimal_integer_literal] = ACTIONS(693),
    [sym_hex_integer_literal] = ACTIONS(693),
    [sym_octal_integer_literal] = ACTIONS(693),
    [sym_binary_integer_literal] = ACTIONS(691),
    [sym_decimal_floating_point_literal] = ACTIONS(691),
    [sym_hex_floating_point_literal] = ACTIONS(693),
    [sym_true] = ACTIONS(693),
    [sym_false] = ACTIONS(693),
    [sym_character_literal] = ACTIONS(691),
    [anon_sym_DQUOTE] = ACTIONS(693),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(691),
    [anon_sym_RBRACE] = ACTIONS(691),
    [sym_null_literal] = ACTIONS(693),
    [anon_sym_LPAREN] = ACTIONS(691),
    [anon_sym_LT] = ACTIONS(691),
    [anon_sym_PLUS] = ACTIONS(693),
    [anon_sym_DASH] = ACTIONS(693),
    [anon_sym_final] = ACTIONS(693),
    [anon_sym_BANG] = ACTIONS(691),
    [anon_sym_TILDE] = ACTIONS(691),
    [anon_sym_PLUS_PLUS] = ACTIONS(691),
    [anon_sym_DASH_DASH] = ACTIONS(691),
    [anon_sym_new] = ACTIONS(693),
    [anon_sym_class] = ACTIONS(693),
    [anon_sym_switch] = ACTIONS(693),
    [anon_sym_LBRACE] = ACTIONS(691),
    [anon_sym_case] = ACTIONS(693),
    [anon_sym_default] = ACTIONS(693),
    [anon_sym_SEMI] = ACTIONS(691),
    [anon_sym_assert] = ACTIONS(693),
    [anon_sym_do] = ACTIONS(693),
    [anon_sym_while] = ACTIONS(693),
    [anon_sym_break] = ACTIONS(693),
    [anon_sym_continue] = ACTIONS(693),
    [anon_sym_return] = ACTIONS(693),
    [anon_sym_yield] = ACTIONS(693),
    [anon_sym_synchronized] = ACTIONS(693),
    [anon_sym_throw] = ACTIONS(693),
    [anon_sym_try] = ACTIONS(693),
    [anon_sym_if] = ACTIONS(693),
    [anon_sym_else] = ACTIONS(693),
    [anon_sym_for] = ACTIONS(693),
    [anon_sym_AT] = ACTIONS(693),
    [anon_sym_open] = ACTIONS(693),
    [anon_sym_module] = ACTIONS(693),
    [anon_sym_static] = ACTIONS(693),
    [anon_sym_with] = ACTIONS(693),
    [anon_sym_package] = ACTIONS(693),
    [anon_sym_import] = ACTIONS(693),
    [anon_sym_enum] = ACTIONS(693),
    [anon_sym_public] = ACTIONS(693),
    [anon_sym_protected] = ACTIONS(693),
    [anon_sym_private] = ACTIONS(693),
    [anon_sym_abstract] = ACTIONS(693),
    [anon_sym_strictfp] = ACTIONS(693),
    [anon_sym_native] = ACTIONS(693),
    [anon_sym_transient] = ACTIONS(693),
    [anon_sym_volatile] = ACTIONS(693),
    [anon_sym_sealed] = ACTIONS(693),
    [anon_sym_non_DASHsealed] = ACTIONS(691),
    [anon_sym_record] = ACTIONS(693),
    [anon_sym_ATinterface] = ACTIONS(691),
    [anon_sym_interface] = ACTIONS(693),
    [anon_sym_byte] = ACTIONS(693),
    [anon_sym_short] = ACTIONS(693),
    [anon_sym_int] = ACTIONS(693),
    [anon_sym_long] = ACTIONS(693),
    [anon_sym_char] = ACTIONS(693),
    [anon_sym_float] = ACTIONS(693),
    [anon_sym_double] = ACTIONS(693),
    [sym_boolean_type] = ACTIONS(693),
    [sym_void_type] = ACTIONS(693),
    [sym_this] = ACTIONS(693),
    [sym_super] = ACTIONS(693),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(476),
    [sym_identifier] = ACTIONS(474),
    [sym_decimal_integer_literal] = ACTIONS(474),
    [sym_hex_integer_literal] = ACTIONS(474),
    [sym_octal_integer_literal] = ACTIONS(474),
    [sym_binary_integer_literal] = ACTIONS(476),
    [sym_decimal_floating_point_literal] = ACTIONS(476),
    [sym_hex_floating_point_literal] = ACTIONS(474),
    [sym_true] = ACTIONS(474),
    [sym_false] = ACTIONS(474),
    [sym_character_literal] = ACTIONS(476),
    [anon_sym_DQUOTE] = ACTIONS(474),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(476),
    [anon_sym_RBRACE] = ACTIONS(476),
    [sym_null_literal] = ACTIONS(474),
    [anon_sym_LPAREN] = ACTIONS(476),
    [anon_sym_LT] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(474),
    [anon_sym_DASH] = ACTIONS(474),
    [anon_sym_final] = ACTIONS(474),
    [anon_sym_BANG] = ACTIONS(476),
    [anon_sym_TILDE] = ACTIONS(476),
    [anon_sym_PLUS_PLUS] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(476),
    [anon_sym_new] = ACTIONS(474),
    [anon_sym_class] = ACTIONS(474),
    [anon_sym_switch] = ACTIONS(474),
    [anon_sym_LBRACE] = ACTIONS(476),
    [anon_sym_case] = ACTIONS(474),
    [anon_sym_default] = ACTIONS(474),
    [anon_sym_SEMI] = ACTIONS(476),
    [anon_sym_assert] = ACTIONS(474),
    [anon_sym_do] = ACTIONS(474),
    [anon_sym_while] = ACTIONS(474),
    [anon_sym_break] = ACTIONS(474),
    [anon_sym_continue] = ACTIONS(474),
    [anon_sym_return] = ACTIONS(474),
    [anon_sym_yield] = ACTIONS(474),
    [anon_sym_synchronized] = ACTIONS(474),
    [anon_sym_throw] = ACTIONS(474),
    [anon_sym_try] = ACTIONS(474),
    [anon_sym_if] = ACTIONS(474),
    [anon_sym_else] = ACTIONS(474),
    [anon_sym_for] = ACTIONS(474),
    [anon_sym_AT] = ACTIONS(474),
    [anon_sym_open] = ACTIONS(474),
    [anon_sym_module] = ACTIONS(474),
    [anon_sym_static] = ACTIONS(474),
    [anon_sym_with] = ACTIONS(474),
    [anon_sym_package] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(474),
    [anon_sym_enum] = ACTIONS(474),
    [anon_sym_public] = ACTIONS(474),
    [anon_sym_protected] = ACTIONS(474),
    [anon_sym_private] = ACTIONS(474),
    [anon_sym_abstract] = ACTIONS(474),
    [anon_sym_strictfp] = ACTIONS(474),
    [anon_sym_native] = ACTIONS(474),
    [anon_sym_transient] = ACTIONS(474),
    [anon_sym_volatile] = ACTIONS(474),
    [anon_sym_sealed] = ACTIONS(474),
    [anon_sym_non_DASHsealed] = ACTIONS(476),
    [anon_sym_record] = ACTIONS(474),
    [anon_sym_ATinterface] = ACTIONS(476),
    [anon_sym_interface] = ACTIONS(474),
    [anon_sym_byte] = ACTIONS(474),
    [anon_sym_short] = ACTIONS(474),
    [anon_sym_int] = ACTIONS(474),
    [anon_sym_long] = ACTIONS(474),
    [anon_sym_char] = ACTIONS(474),
    [anon_sym_float] = ACTIONS(474),
    [anon_sym_double] = ACTIONS(474),
    [sym_boolean_type] = ACTIONS(474),
    [sym_void_type] = ACTIONS(474),
    [sym_this] = ACTIONS(474),
    [sym_super] = ACTIONS(474),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(695),
    [sym_identifier] = ACTIONS(697),
    [sym_decimal_integer_literal] = ACTIONS(697),
    [sym_hex_integer_literal] = ACTIONS(697),
    [sym_octal_integer_literal] = ACTIONS(697),
    [sym_binary_integer_literal] = ACTIONS(695),
    [sym_decimal_floating_point_literal] = ACTIONS(695),
    [sym_hex_floating_point_literal] = ACTIONS(697),
    [sym_true] = ACTIONS(697),
    [sym_false] = ACTIONS(697),
    [sym_character_literal] = ACTIONS(695),
    [anon_sym_DQUOTE] = ACTIONS(697),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(695),
    [anon_sym_RBRACE] = ACTIONS(695),
    [sym_null_literal] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(695),
    [anon_sym_LT] = ACTIONS(695),
    [anon_sym_PLUS] = ACTIONS(697),
    [anon_sym_DASH] = ACTIONS(697),
    [anon_sym_final] = ACTIONS(697),
    [anon_sym_BANG] = ACTIONS(695),
    [anon_sym_TILDE] = ACTIONS(695),
    [anon_sym_PLUS_PLUS] = ACTIONS(695),
    [anon_sym_DASH_DASH] = ACTIONS(695),
    [anon_sym_new] = ACTIONS(697),
    [anon_sym_class] = ACTIONS(697),
    [anon_sym_switch] = ACTIONS(697),
    [anon_sym_LBRACE] = ACTIONS(695),
    [anon_sym_case] = ACTIONS(697),
    [anon_sym_default] = ACTIONS(697),
    [anon_sym_SEMI] = ACTIONS(695),
    [anon_sym_assert] = ACTIONS(697),
    [anon_sym_do] = ACTIONS(697),
    [anon_sym_while] = ACTIONS(697),
    [anon_sym_break] = ACTIONS(697),
    [anon_sym_continue] = ACTIONS(697),
    [anon_sym_return] = ACTIONS(697),
    [anon_sym_yield] = ACTIONS(697),
    [anon_sym_synchronized] = ACTIONS(697),
    [anon_sym_throw] = ACTIONS(697),
    [anon_sym_try] = ACTIONS(697),
    [anon_sym_if] = ACTIONS(697),
    [anon_sym_else] = ACTIONS(697),
    [anon_sym_for] = ACTIONS(697),
    [anon_sym_AT] = ACTIONS(697),
    [anon_sym_open] = ACTIONS(697),
    [anon_sym_module] = ACTIONS(697),
    [anon_sym_static] = ACTIONS(697),
    [anon_sym_with] = ACTIONS(697),
    [anon_sym_package] = ACTIONS(697),
    [anon_sym_import] = ACTIONS(697),
    [anon_sym_enum] = ACTIONS(697),
    [anon_sym_public] = ACTIONS(697),
    [anon_sym_protected] = ACTIONS(697),
    [anon_sym_private] = ACTIONS(697),
    [anon_sym_abstract] = ACTIONS(697),
    [anon_sym_strictfp] = ACTIONS(697),
    [anon_sym_native] = ACTIONS(697),
    [anon_sym_transient] = ACTIONS(697),
    [anon_sym_volatile] = ACTIONS(697),
    [anon_sym_sealed] = ACTIONS(697),
    [anon_sym_non_DASHsealed] = ACTIONS(695),
    [anon_sym_record] = ACTIONS(697),
    [anon_sym_ATinterface] = ACTIONS(695),
    [anon_sym_interface] = ACTIONS(697),
    [anon_sym_byte] = ACTIONS(697),
    [anon_sym_short] = ACTIONS(697),
    [anon_sym_int] = ACTIONS(697),
    [anon_sym_long] = ACTIONS(697),
    [anon_sym_char] = ACTIONS(697),
    [anon_sym_float] = ACTIONS(697),
    [anon_sym_double] = ACTIONS(697),
    [sym_boolean_type] = ACTIONS(697),
    [sym_void_type] = ACTIONS(697),
    [sym_this] = ACTIONS(697),
    [sym_super] = ACTIONS(697),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(699),
    [sym_identifier] = ACTIONS(701),
    [sym_decimal_integer_literal] = ACTIONS(701),
    [sym_hex_integer_literal] = ACTIONS(701),
    [sym_octal_integer_literal] = ACTIONS(701),
    [sym_binary_integer_literal] = ACTIONS(699),
    [sym_decimal_floating_point_literal] = ACTIONS(699),
    [sym_hex_floating_point_literal] = ACTIONS(701),
    [sym_true] = ACTIONS(701),
    [sym_false] = ACTIONS(701),
    [sym_character_literal] = ACTIONS(699),
    [anon_sym_DQUOTE] = ACTIONS(701),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(699),
    [anon_sym_RBRACE] = ACTIONS(699),
    [sym_null_literal] = ACTIONS(701),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LT] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_final] = ACTIONS(701),
    [anon_sym_BANG] = ACTIONS(699),
    [anon_sym_TILDE] = ACTIONS(699),
    [anon_sym_PLUS_PLUS] = ACTIONS(699),
    [anon_sym_DASH_DASH] = ACTIONS(699),
    [anon_sym_new] = ACTIONS(701),
    [anon_sym_class] = ACTIONS(701),
    [anon_sym_switch] = ACTIONS(701),
    [anon_sym_LBRACE] = ACTIONS(699),
    [anon_sym_case] = ACTIONS(701),
    [anon_sym_default] = ACTIONS(701),
    [anon_sym_SEMI] = ACTIONS(699),
    [anon_sym_assert] = ACTIONS(701),
    [anon_sym_do] = ACTIONS(701),
    [anon_sym_while] = ACTIONS(701),
    [anon_sym_break] = ACTIONS(701),
    [anon_sym_continue] = ACTIONS(701),
    [anon_sym_return] = ACTIONS(701),
    [anon_sym_yield] = ACTIONS(701),
    [anon_sym_synchronized] = ACTIONS(701),
    [anon_sym_throw] = ACTIONS(701),
    [anon_sym_try] = ACTIONS(701),
    [anon_sym_if] = ACTIONS(701),
    [anon_sym_else] = ACTIONS(701),
    [anon_sym_for] = ACTIONS(701),
    [anon_sym_AT] = ACTIONS(701),
    [anon_sym_open] = ACTIONS(701),
    [anon_sym_module] = ACTIONS(701),
    [anon_sym_static] = ACTIONS(701),
    [anon_sym_with] = ACTIONS(701),
    [anon_sym_package] = ACTIONS(701),
    [anon_sym_import] = ACTIONS(701),
    [anon_sym_enum] = ACTIONS(701),
    [anon_sym_public] = ACTIONS(701),
    [anon_sym_protected] = ACTIONS(701),
    [anon_sym_private] = ACTIONS(701),
    [anon_sym_abstract] = ACTIONS(701),
    [anon_sym_strictfp] = ACTIONS(701),
    [anon_sym_native] = ACTIONS(701),
    [anon_sym_transient] = ACTIONS(701),
    [anon_sym_volatile] = ACTIONS(701),
    [anon_sym_sealed] = ACTIONS(701),
    [anon_sym_non_DASHsealed] = ACTIONS(699),
    [anon_sym_record] = ACTIONS(701),
    [anon_sym_ATinterface] = ACTIONS(699),
    [anon_sym_interface] = ACTIONS(701),
    [anon_sym_byte] = ACTIONS(701),
    [anon_sym_short] = ACTIONS(701),
    [anon_sym_int] = ACTIONS(701),
    [anon_sym_long] = ACTIONS(701),
    [anon_sym_char] = ACTIONS(701),
    [anon_sym_float] = ACTIONS(701),
    [anon_sym_double] = ACTIONS(701),
    [sym_boolean_type] = ACTIONS(701),
    [sym_void_type] = ACTIONS(701),
    [sym_this] = ACTIONS(701),
    [sym_super] = ACTIONS(701),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(703),
    [sym_identifier] = ACTIONS(705),
    [sym_decimal_integer_literal] = ACTIONS(705),
    [sym_hex_integer_literal] = ACTIONS(705),
    [sym_octal_integer_literal] = ACTIONS(705),
    [sym_binary_integer_literal] = ACTIONS(703),
    [sym_decimal_floating_point_literal] = ACTIONS(703),
    [sym_hex_floating_point_literal] = ACTIONS(705),
    [sym_true] = ACTIONS(705),
    [sym_false] = ACTIONS(705),
    [sym_character_literal] = ACTIONS(703),
    [anon_sym_DQUOTE] = ACTIONS(705),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(703),
    [anon_sym_RBRACE] = ACTIONS(703),
    [sym_null_literal] = ACTIONS(705),
    [anon_sym_LPAREN] = ACTIONS(703),
    [anon_sym_LT] = ACTIONS(703),
    [anon_sym_PLUS] = ACTIONS(705),
    [anon_sym_DASH] = ACTIONS(705),
    [anon_sym_final] = ACTIONS(705),
    [anon_sym_BANG] = ACTIONS(703),
    [anon_sym_TILDE] = ACTIONS(703),
    [anon_sym_PLUS_PLUS] = ACTIONS(703),
    [anon_sym_DASH_DASH] = ACTIONS(703),
    [anon_sym_new] = ACTIONS(705),
    [anon_sym_class] = ACTIONS(705),
    [anon_sym_switch] = ACTIONS(705),
    [anon_sym_LBRACE] = ACTIONS(703),
    [anon_sym_case] = ACTIONS(705),
    [anon_sym_default] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(703),
    [anon_sym_assert] = ACTIONS(705),
    [anon_sym_do] = ACTIONS(705),
    [anon_sym_while] = ACTIONS(705),
    [anon_sym_break] = ACTIONS(705),
    [anon_sym_continue] = ACTIONS(705),
    [anon_sym_return] = ACTIONS(705),
    [anon_sym_yield] = ACTIONS(705),
    [anon_sym_synchronized] = ACTIONS(705),
    [anon_sym_throw] = ACTIONS(705),
    [anon_sym_try] = ACTIONS(705),
    [anon_sym_if] = ACTIONS(705),
    [anon_sym_else] = ACTIONS(705),
    [anon_sym_for] = ACTIONS(705),
    [anon_sym_AT] = ACTIONS(705),
    [anon_sym_open] = ACTIONS(705),
    [anon_sym_module] = ACTIONS(705),
    [anon_sym_static] = ACTIONS(705),
    [anon_sym_with] = ACTIONS(705),
    [anon_sym_package] = ACTIONS(705),
    [anon_sym_import] = ACTIONS(705),
    [anon_sym_enum] = ACTIONS(705),
    [anon_sym_public] = ACTIONS(705),
    [anon_sym_protected] = ACTIONS(705),
    [anon_sym_private] = ACTIONS(705),
    [anon_sym_abstract] = ACTIONS(705),
    [anon_sym_strictfp] = ACTIONS(705),
    [anon_sym_native] = ACTIONS(705),
    [anon_sym_transient] = ACTIONS(705),
    [anon_sym_volatile] = ACTIONS(705),
    [anon_sym_sealed] = ACTIONS(705),
    [anon_sym_non_DASHsealed] = ACTIONS(703),
    [anon_sym_record] = ACTIONS(705),
    [anon_sym_ATinterface] = ACTIONS(703),
    [anon_sym_interface] = ACTIONS(705),
    [anon_sym_byte] = ACTIONS(705),
    [anon_sym_short] = ACTIONS(705),
    [anon_sym_int] = ACTIONS(705),
    [anon_sym_long] = ACTIONS(705),
    [anon_sym_char] = ACTIONS(705),
    [anon_sym_float] = ACTIONS(705),
    [anon_sym_double] = ACTIONS(705),
    [sym_boolean_type] = ACTIONS(705),
    [sym_void_type] = ACTIONS(705),
    [sym_this] = ACTIONS(705),
    [sym_super] = ACTIONS(705),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(707),
    [sym_identifier] = ACTIONS(709),
    [sym_decimal_integer_literal] = ACTIONS(709),
    [sym_hex_integer_literal] = ACTIONS(709),
    [sym_octal_integer_literal] = ACTIONS(709),
    [sym_binary_integer_literal] = ACTIONS(707),
    [sym_decimal_floating_point_literal] = ACTIONS(707),
    [sym_hex_floating_point_literal] = ACTIONS(709),
    [sym_true] = ACTIONS(709),
    [sym_false] = ACTIONS(709),
    [sym_character_literal] = ACTIONS(707),
    [anon_sym_DQUOTE] = ACTIONS(709),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(707),
    [anon_sym_RBRACE] = ACTIONS(707),
    [sym_null_literal] = ACTIONS(709),
    [anon_sym_LPAREN] = ACTIONS(707),
    [anon_sym_LT] = ACTIONS(707),
    [anon_sym_PLUS] = ACTIONS(709),
    [anon_sym_DASH] = ACTIONS(709),
    [anon_sym_final] = ACTIONS(709),
    [anon_sym_BANG] = ACTIONS(707),
    [anon_sym_TILDE] = ACTIONS(707),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(709),
    [anon_sym_class] = ACTIONS(709),
    [anon_sym_switch] = ACTIONS(709),
    [anon_sym_LBRACE] = ACTIONS(707),
    [anon_sym_case] = ACTIONS(709),
    [anon_sym_default] = ACTIONS(709),
    [anon_sym_SEMI] = ACTIONS(707),
    [anon_sym_assert] = ACTIONS(709),
    [anon_sym_do] = ACTIONS(709),
    [anon_sym_while] = ACTIONS(709),
    [anon_sym_break] = ACTIONS(709),
    [anon_sym_continue] = ACTIONS(709),
    [anon_sym_return] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(709),
    [anon_sym_synchronized] = ACTIONS(709),
    [anon_sym_throw] = ACTIONS(709),
    [anon_sym_try] = ACTIONS(709),
    [anon_sym_if] = ACTIONS(709),
    [anon_sym_else] = ACTIONS(709),
    [anon_sym_for] = ACTIONS(709),
    [anon_sym_AT] = ACTIONS(709),
    [anon_sym_open] = ACTIONS(709),
    [anon_sym_module] = ACTIONS(709),
    [anon_sym_static] = ACTIONS(709),
    [anon_sym_with] = ACTIONS(709),
    [anon_sym_package] = ACTIONS(709),
    [anon_sym_import] = ACTIONS(709),
    [anon_sym_enum] = ACTIONS(709),
    [anon_sym_public] = ACTIONS(709),
    [anon_sym_protected] = ACTIONS(709),
    [anon_sym_private] = ACTIONS(709),
    [anon_sym_abstract] = ACTIONS(709),
    [anon_sym_strictfp] = ACTIONS(709),
    [anon_sym_native] = ACTIONS(709),
    [anon_sym_transient] = ACTIONS(709),
    [anon_sym_volatile] = ACTIONS(709),
    [anon_sym_sealed] = ACTIONS(709),
    [anon_sym_non_DASHsealed] = ACTIONS(707),
    [anon_sym_record] = ACTIONS(709),
    [anon_sym_ATinterface] = ACTIONS(707),
    [anon_sym_interface] = ACTIONS(709),
    [anon_sym_byte] = ACTIONS(709),
    [anon_sym_short] = ACTIONS(709),
    [anon_sym_int] = ACTIONS(709),
    [anon_sym_long] = ACTIONS(709),
    [anon_sym_char] = ACTIONS(709),
    [anon_sym_float] = ACTIONS(709),
    [anon_sym_double] = ACTIONS(709),
    [sym_boolean_type] = ACTIONS(709),
    [sym_void_type] = ACTIONS(709),
    [sym_this] = ACTIONS(709),
    [sym_super] = ACTIONS(709),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(711),
    [sym_identifier] = ACTIONS(713),
    [sym_decimal_integer_literal] = ACTIONS(713),
    [sym_hex_integer_literal] = ACTIONS(713),
    [sym_octal_integer_literal] = ACTIONS(713),
    [sym_binary_integer_literal] = ACTIONS(711),
    [sym_decimal_floating_point_literal] = ACTIONS(711),
    [sym_hex_floating_point_literal] = ACTIONS(713),
    [sym_true] = ACTIONS(713),
    [sym_false] = ACTIONS(713),
    [sym_character_literal] = ACTIONS(711),
    [anon_sym_DQUOTE] = ACTIONS(713),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(711),
    [anon_sym_RBRACE] = ACTIONS(711),
    [sym_null_literal] = ACTIONS(713),
    [anon_sym_LPAREN] = ACTIONS(711),
    [anon_sym_LT] = ACTIONS(711),
    [anon_sym_PLUS] = ACTIONS(713),
    [anon_sym_DASH] = ACTIONS(713),
    [anon_sym_final] = ACTIONS(713),
    [anon_sym_BANG] = ACTIONS(711),
    [anon_sym_TILDE] = ACTIONS(711),
    [anon_sym_PLUS_PLUS] = ACTIONS(711),
    [anon_sym_DASH_DASH] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(713),
    [anon_sym_class] = ACTIONS(713),
    [anon_sym_switch] = ACTIONS(713),
    [anon_sym_LBRACE] = ACTIONS(711),
    [anon_sym_case] = ACTIONS(713),
    [anon_sym_default] = ACTIONS(713),
    [anon_sym_SEMI] = ACTIONS(711),
    [anon_sym_assert] = ACTIONS(713),
    [anon_sym_do] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(713),
    [anon_sym_break] = ACTIONS(713),
    [anon_sym_continue] = ACTIONS(713),
    [anon_sym_return] = ACTIONS(713),
    [anon_sym_yield] = ACTIONS(713),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(713),
    [anon_sym_try] = ACTIONS(713),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_else] = ACTIONS(713),
    [anon_sym_for] = ACTIONS(713),
    [anon_sym_AT] = ACTIONS(713),
    [anon_sym_open] = ACTIONS(713),
    [anon_sym_module] = ACTIONS(713),
    [anon_sym_static] = ACTIONS(713),
    [anon_sym_with] = ACTIONS(713),
    [anon_sym_package] = ACTIONS(713),
    [anon_sym_import] = ACTIONS(713),
    [anon_sym_enum] = ACTIONS(713),
    [anon_sym_public] = ACTIONS(713),
    [anon_sym_protected] = ACTIONS(713),
    [anon_sym_private] = ACTIONS(713),
    [anon_sym_abstract] = ACTIONS(713),
    [anon_sym_strictfp] = ACTIONS(713),
    [anon_sym_native] = ACTIONS(713),
    [anon_sym_transient] = ACTIONS(713),
    [anon_sym_volatile] = ACTIONS(713),
    [anon_sym_sealed] = ACTIONS(713),
    [anon_sym_non_DASHsealed] = ACTIONS(711),
    [anon_sym_record] = ACTIONS(713),
    [anon_sym_ATinterface] = ACTIONS(711),
    [anon_sym_interface] = ACTIONS(713),
    [anon_sym_byte] = ACTIONS(713),
    [anon_sym_short] = ACTIONS(713),
    [anon_sym_int] = ACTIONS(713),
    [anon_sym_long] = ACTIONS(713),
    [anon_sym_char] = ACTIONS(713),
    [anon_sym_float] = ACTIONS(713),
    [anon_sym_double] = ACTIONS(713),
    [sym_boolean_type] = ACTIONS(713),
    [sym_void_type] = ACTIONS(713),
    [sym_this] = ACTIONS(713),
    [sym_super] = ACTIONS(713),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(715),
    [sym_identifier] = ACTIONS(717),
    [sym_decimal_integer_literal] = ACTIONS(717),
    [sym_hex_integer_literal] = ACTIONS(717),
    [sym_octal_integer_literal] = ACTIONS(717),
    [sym_binary_integer_literal] = ACTIONS(715),
    [sym_decimal_floating_point_literal] = ACTIONS(715),
    [sym_hex_floating_point_literal] = ACTIONS(717),
    [sym_true] = ACTIONS(717),
    [sym_false] = ACTIONS(717),
    [sym_character_literal] = ACTIONS(715),
    [anon_sym_DQUOTE] = ACTIONS(717),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(715),
    [anon_sym_RBRACE] = ACTIONS(715),
    [sym_null_literal] = ACTIONS(717),
    [anon_sym_LPAREN] = ACTIONS(715),
    [anon_sym_LT] = ACTIONS(715),
    [anon_sym_PLUS] = ACTIONS(717),
    [anon_sym_DASH] = ACTIONS(717),
    [anon_sym_final] = ACTIONS(717),
    [anon_sym_BANG] = ACTIONS(715),
    [anon_sym_TILDE] = ACTIONS(715),
    [anon_sym_PLUS_PLUS] = ACTIONS(715),
    [anon_sym_DASH_DASH] = ACTIONS(715),
    [anon_sym_new] = ACTIONS(717),
    [anon_sym_class] = ACTIONS(717),
    [anon_sym_switch] = ACTIONS(717),
    [anon_sym_LBRACE] = ACTIONS(715),
    [anon_sym_case] = ACTIONS(717),
    [anon_sym_default] = ACTIONS(717),
    [anon_sym_SEMI] = ACTIONS(715),
    [anon_sym_assert] = ACTIONS(717),
    [anon_sym_do] = ACTIONS(717),
    [anon_sym_while] = ACTIONS(717),
    [anon_sym_break] = ACTIONS(717),
    [anon_sym_continue] = ACTIONS(717),
    [anon_sym_return] = ACTIONS(717),
    [anon_sym_yield] = ACTIONS(717),
    [anon_sym_synchronized] = ACTIONS(717),
    [anon_sym_throw] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(717),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_else] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(717),
    [anon_sym_AT] = ACTIONS(717),
    [anon_sym_open] = ACTIONS(717),
    [anon_sym_module] = ACTIONS(717),
    [anon_sym_static] = ACTIONS(717),
    [anon_sym_with] = ACTIONS(717),
    [anon_sym_package] = ACTIONS(717),
    [anon_sym_import] = ACTIONS(717),
    [anon_sym_enum] = ACTIONS(717),
    [anon_sym_public] = ACTIONS(717),
    [anon_sym_protected] = ACTIONS(717),
    [anon_sym_private] = ACTIONS(717),
    [anon_sym_abstract] = ACTIONS(717),
    [anon_sym_strictfp] = ACTIONS(717),
    [anon_sym_native] = ACTIONS(717),
    [anon_sym_transient] = ACTIONS(717),
    [anon_sym_volatile] = ACTIONS(717),
    [anon_sym_sealed] = ACTIONS(717),
    [anon_sym_non_DASHsealed] = ACTIONS(715),
    [anon_sym_record] = ACTIONS(717),
    [anon_sym_ATinterface] = ACTIONS(715),
    [anon_sym_interface] = ACTIONS(717),
    [anon_sym_byte] = ACTIONS(717),
    [anon_sym_short] = ACTIONS(717),
    [anon_sym_int] = ACTIONS(717),
    [anon_sym_long] = ACTIONS(717),
    [anon_sym_char] = ACTIONS(717),
    [anon_sym_float] = ACTIONS(717),
    [anon_sym_double] = ACTIONS(717),
    [sym_boolean_type] = ACTIONS(717),
    [sym_void_type] = ACTIONS(717),
    [sym_this] = ACTIONS(717),
    [sym_super] = ACTIONS(717),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(719),
    [sym_identifier] = ACTIONS(721),
    [sym_decimal_integer_literal] = ACTIONS(721),
    [sym_hex_integer_literal] = ACTIONS(721),
    [sym_octal_integer_literal] = ACTIONS(721),
    [sym_binary_integer_literal] = ACTIONS(719),
    [sym_decimal_floating_point_literal] = ACTIONS(719),
    [sym_hex_floating_point_literal] = ACTIONS(721),
    [sym_true] = ACTIONS(721),
    [sym_false] = ACTIONS(721),
    [sym_character_literal] = ACTIONS(719),
    [anon_sym_DQUOTE] = ACTIONS(721),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(719),
    [anon_sym_RBRACE] = ACTIONS(719),
    [sym_null_literal] = ACTIONS(721),
    [anon_sym_LPAREN] = ACTIONS(719),
    [anon_sym_LT] = ACTIONS(719),
    [anon_sym_PLUS] = ACTIONS(721),
    [anon_sym_DASH] = ACTIONS(721),
    [anon_sym_final] = ACTIONS(721),
    [anon_sym_BANG] = ACTIONS(719),
    [anon_sym_TILDE] = ACTIONS(719),
    [anon_sym_PLUS_PLUS] = ACTIONS(719),
    [anon_sym_DASH_DASH] = ACTIONS(719),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_class] = ACTIONS(721),
    [anon_sym_switch] = ACTIONS(721),
    [anon_sym_LBRACE] = ACTIONS(719),
    [anon_sym_case] = ACTIONS(721),
    [anon_sym_default] = ACTIONS(721),
    [anon_sym_SEMI] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(721),
    [anon_sym_do] = ACTIONS(721),
    [anon_sym_while] = ACTIONS(721),
    [anon_sym_break] = ACTIONS(721),
    [anon_sym_continue] = ACTIONS(721),
    [anon_sym_return] = ACTIONS(721),
    [anon_sym_yield] = ACTIONS(721),
    [anon_sym_synchronized] = ACTIONS(721),
    [anon_sym_throw] = ACTIONS(721),
    [anon_sym_try] = ACTIONS(721),
    [anon_sym_if] = ACTIONS(721),
    [anon_sym_else] = ACTIONS(721),
    [anon_sym_for] = ACTIONS(721),
    [anon_sym_AT] = ACTIONS(721),
    [anon_sym_open] = ACTIONS(721),
    [anon_sym_module] = ACTIONS(721),
    [anon_sym_static] = ACTIONS(721),
    [anon_sym_with] = ACTIONS(721),
    [anon_sym_package] = ACTIONS(721),
    [anon_sym_import] = ACTIONS(721),
    [anon_sym_enum] = ACTIONS(721),
    [anon_sym_public] = ACTIONS(721),
    [anon_sym_protected] = ACTIONS(721),
    [anon_sym_private] = ACTIONS(721),
    [anon_sym_abstract] = ACTIONS(721),
    [anon_sym_strictfp] = ACTIONS(721),
    [anon_sym_native] = ACTIONS(721),
    [anon_sym_transient] = ACTIONS(721),
    [anon_sym_volatile] = ACTIONS(721),
    [anon_sym_sealed] = ACTIONS(721),
    [anon_sym_non_DASHsealed] = ACTIONS(719),
    [anon_sym_record] = ACTIONS(721),
    [anon_sym_ATinterface] = ACTIONS(719),
    [anon_sym_interface] = ACTIONS(721),
    [anon_sym_byte] = ACTIONS(721),
    [anon_sym_short] = ACTIONS(721),
    [anon_sym_int] = ACTIONS(721),
    [anon_sym_long] = ACTIONS(721),
    [anon_sym_char] = ACTIONS(721),
    [anon_sym_float] = ACTIONS(721),
    [anon_sym_double] = ACTIONS(721),
    [sym_boolean_type] = ACTIONS(721),
    [sym_void_type] = ACTIONS(721),
    [sym_this] = ACTIONS(721),
    [sym_super] = ACTIONS(721),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(723),
    [sym_identifier] = ACTIONS(725),
    [sym_decimal_integer_literal] = ACTIONS(725),
    [sym_hex_integer_literal] = ACTIONS(725),
    [sym_octal_integer_literal] = ACTIONS(725),
    [sym_binary_integer_literal] = ACTIONS(723),
    [sym_decimal_floating_point_literal] = ACTIONS(723),
    [sym_hex_floating_point_literal] = ACTIONS(725),
    [sym_true] = ACTIONS(725),
    [sym_false] = ACTIONS(725),
    [sym_character_literal] = ACTIONS(723),
    [anon_sym_DQUOTE] = ACTIONS(725),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(723),
    [anon_sym_RBRACE] = ACTIONS(723),
    [sym_null_literal] = ACTIONS(725),
    [anon_sym_LPAREN] = ACTIONS(723),
    [anon_sym_LT] = ACTIONS(723),
    [anon_sym_PLUS] = ACTIONS(725),
    [anon_sym_DASH] = ACTIONS(725),
    [anon_sym_final] = ACTIONS(725),
    [anon_sym_BANG] = ACTIONS(723),
    [anon_sym_TILDE] = ACTIONS(723),
    [anon_sym_PLUS_PLUS] = ACTIONS(723),
    [anon_sym_DASH_DASH] = ACTIONS(723),
    [anon_sym_new] = ACTIONS(725),
    [anon_sym_class] = ACTIONS(725),
    [anon_sym_switch] = ACTIONS(725),
    [anon_sym_LBRACE] = ACTIONS(723),
    [anon_sym_case] = ACTIONS(725),
    [anon_sym_default] = ACTIONS(725),
    [anon_sym_SEMI] = ACTIONS(723),
    [anon_sym_assert] = ACTIONS(725),
    [anon_sym_do] = ACTIONS(725),
    [anon_sym_while] = ACTIONS(725),
    [anon_sym_break] = ACTIONS(725),
    [anon_sym_continue] = ACTIONS(725),
    [anon_sym_return] = ACTIONS(725),
    [anon_sym_yield] = ACTIONS(725),
    [anon_sym_synchronized] = ACTIONS(725),
    [anon_sym_throw] = ACTIONS(725),
    [anon_sym_try] = ACTIONS(725),
    [anon_sym_if] = ACTIONS(725),
    [anon_sym_else] = ACTIONS(725),
    [anon_sym_for] = ACTIONS(725),
    [anon_sym_AT] = ACTIONS(725),
    [anon_sym_open] = ACTIONS(725),
    [anon_sym_module] = ACTIONS(725),
    [anon_sym_static] = ACTIONS(725),
    [anon_sym_with] = ACTIONS(725),
    [anon_sym_package] = ACTIONS(725),
    [anon_sym_import] = ACTIONS(725),
    [anon_sym_enum] = ACTIONS(725),
    [anon_sym_public] = ACTIONS(725),
    [anon_sym_protected] = ACTIONS(725),
    [anon_sym_private] = ACTIONS(725),
    [anon_sym_abstract] = ACTIONS(725),
    [anon_sym_strictfp] = ACTIONS(725),
    [anon_sym_native] = ACTIONS(725),
    [anon_sym_transient] = ACTIONS(725),
    [anon_sym_volatile] = ACTIONS(725),
    [anon_sym_sealed] = ACTIONS(725),
    [anon_sym_non_DASHsealed] = ACTIONS(723),
    [anon_sym_record] = ACTIONS(725),
    [anon_sym_ATinterface] = ACTIONS(723),
    [anon_sym_interface] = ACTIONS(725),
    [anon_sym_byte] = ACTIONS(725),
    [anon_sym_short] = ACTIONS(725),
    [anon_sym_int] = ACTIONS(725),
    [anon_sym_long] = ACTIONS(725),
    [anon_sym_char] = ACTIONS(725),
    [anon_sym_float] = ACTIONS(725),
    [anon_sym_double] = ACTIONS(725),
    [sym_boolean_type] = ACTIONS(725),
    [sym_void_type] = ACTIONS(725),
    [sym_this] = ACTIONS(725),
    [sym_super] = ACTIONS(725),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(727),
    [sym_identifier] = ACTIONS(729),
    [sym_decimal_integer_literal] = ACTIONS(729),
    [sym_hex_integer_literal] = ACTIONS(729),
    [sym_octal_integer_literal] = ACTIONS(729),
    [sym_binary_integer_literal] = ACTIONS(727),
    [sym_decimal_floating_point_literal] = ACTIONS(727),
    [sym_hex_floating_point_literal] = ACTIONS(729),
    [sym_true] = ACTIONS(729),
    [sym_false] = ACTIONS(729),
    [sym_character_literal] = ACTIONS(727),
    [anon_sym_DQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(727),
    [anon_sym_RBRACE] = ACTIONS(727),
    [sym_null_literal] = ACTIONS(729),
    [anon_sym_LPAREN] = ACTIONS(727),
    [anon_sym_LT] = ACTIONS(727),
    [anon_sym_PLUS] = ACTIONS(729),
    [anon_sym_DASH] = ACTIONS(729),
    [anon_sym_final] = ACTIONS(729),
    [anon_sym_BANG] = ACTIONS(727),
    [anon_sym_TILDE] = ACTIONS(727),
    [anon_sym_PLUS_PLUS] = ACTIONS(727),
    [anon_sym_DASH_DASH] = ACTIONS(727),
    [anon_sym_new] = ACTIONS(729),
    [anon_sym_class] = ACTIONS(729),
    [anon_sym_switch] = ACTIONS(729),
    [anon_sym_LBRACE] = ACTIONS(727),
    [anon_sym_case] = ACTIONS(729),
    [anon_sym_default] = ACTIONS(729),
    [anon_sym_SEMI] = ACTIONS(727),
    [anon_sym_assert] = ACTIONS(729),
    [anon_sym_do] = ACTIONS(729),
    [anon_sym_while] = ACTIONS(729),
    [anon_sym_break] = ACTIONS(729),
    [anon_sym_continue] = ACTIONS(729),
    [anon_sym_return] = ACTIONS(729),
    [anon_sym_yield] = ACTIONS(729),
    [anon_sym_synchronized] = ACTIONS(729),
    [anon_sym_throw] = ACTIONS(729),
    [anon_sym_try] = ACTIONS(729),
    [anon_sym_if] = ACTIONS(729),
    [anon_sym_else] = ACTIONS(729),
    [anon_sym_for] = ACTIONS(729),
    [anon_sym_AT] = ACTIONS(729),
    [anon_sym_open] = ACTIONS(729),
    [anon_sym_module] = ACTIONS(729),
    [anon_sym_static] = ACTIONS(729),
    [anon_sym_with] = ACTIONS(729),
    [anon_sym_package] = ACTIONS(729),
    [anon_sym_import] = ACTIONS(729),
    [anon_sym_enum] = ACTIONS(729),
    [anon_sym_public] = ACTIONS(729),
    [anon_sym_protected] = ACTIONS(729),
    [anon_sym_private] = ACTIONS(729),
    [anon_sym_abstract] = ACTIONS(729),
    [anon_sym_strictfp] = ACTIONS(729),
    [anon_sym_native] = ACTIONS(729),
    [anon_sym_transient] = ACTIONS(729),
    [anon_sym_volatile] = ACTIONS(729),
    [anon_sym_sealed] = ACTIONS(729),
    [anon_sym_non_DASHsealed] = ACTIONS(727),
    [anon_sym_record] = ACTIONS(729),
    [anon_sym_ATinterface] = ACTIONS(727),
    [anon_sym_interface] = ACTIONS(729),
    [anon_sym_byte] = ACTIONS(729),
    [anon_sym_short] = ACTIONS(729),
    [anon_sym_int] = ACTIONS(729),
    [anon_sym_long] = ACTIONS(729),
    [anon_sym_char] = ACTIONS(729),
    [anon_sym_float] = ACTIONS(729),
    [anon_sym_double] = ACTIONS(729),
    [sym_boolean_type] = ACTIONS(729),
    [sym_void_type] = ACTIONS(729),
    [sym_this] = ACTIONS(729),
    [sym_super] = ACTIONS(729),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(731),
    [sym_identifier] = ACTIONS(733),
    [sym_decimal_integer_literal] = ACTIONS(733),
    [sym_hex_integer_literal] = ACTIONS(733),
    [sym_octal_integer_literal] = ACTIONS(733),
    [sym_binary_integer_literal] = ACTIONS(731),
    [sym_decimal_floating_point_literal] = ACTIONS(731),
    [sym_hex_floating_point_literal] = ACTIONS(733),
    [sym_true] = ACTIONS(733),
    [sym_false] = ACTIONS(733),
    [sym_character_literal] = ACTIONS(731),
    [anon_sym_DQUOTE] = ACTIONS(733),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [anon_sym_RBRACE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(733),
    [anon_sym_LPAREN] = ACTIONS(731),
    [anon_sym_LT] = ACTIONS(731),
    [anon_sym_PLUS] = ACTIONS(733),
    [anon_sym_DASH] = ACTIONS(733),
    [anon_sym_final] = ACTIONS(733),
    [anon_sym_BANG] = ACTIONS(731),
    [anon_sym_TILDE] = ACTIONS(731),
    [anon_sym_PLUS_PLUS] = ACTIONS(731),
    [anon_sym_DASH_DASH] = ACTIONS(731),
    [anon_sym_new] = ACTIONS(733),
    [anon_sym_class] = ACTIONS(733),
    [anon_sym_switch] = ACTIONS(733),
    [anon_sym_LBRACE] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(733),
    [anon_sym_default] = ACTIONS(733),
    [anon_sym_SEMI] = ACTIONS(731),
    [anon_sym_assert] = ACTIONS(733),
    [anon_sym_do] = ACTIONS(733),
    [anon_sym_while] = ACTIONS(733),
    [anon_sym_break] = ACTIONS(733),
    [anon_sym_continue] = ACTIONS(733),
    [anon_sym_return] = ACTIONS(733),
    [anon_sym_yield] = ACTIONS(733),
    [anon_sym_synchronized] = ACTIONS(733),
    [anon_sym_throw] = ACTIONS(733),
    [anon_sym_try] = ACTIONS(733),
    [anon_sym_if] = ACTIONS(733),
    [anon_sym_else] = ACTIONS(733),
    [anon_sym_for] = ACTIONS(733),
    [anon_sym_AT] = ACTIONS(733),
    [anon_sym_open] = ACTIONS(733),
    [anon_sym_module] = ACTIONS(733),
    [anon_sym_static] = ACTIONS(733),
    [anon_sym_with] = ACTIONS(733),
    [anon_sym_package] = ACTIONS(733),
    [anon_sym_import] = ACTIONS(733),
    [anon_sym_enum] = ACTIONS(733),
    [anon_sym_public] = ACTIONS(733),
    [anon_sym_protected] = ACTIONS(733),
    [anon_sym_private] = ACTIONS(733),
    [anon_sym_abstract] = ACTIONS(733),
    [anon_sym_strictfp] = ACTIONS(733),
    [anon_sym_native] = ACTIONS(733),
    [anon_sym_transient] = ACTIONS(733),
    [anon_sym_volatile] = ACTIONS(733),
    [anon_sym_sealed] = ACTIONS(733),
    [anon_sym_non_DASHsealed] = ACTIONS(731),
    [anon_sym_record] = ACTIONS(733),
    [anon_sym_ATinterface] = ACTIONS(731),
    [anon_sym_interface] = ACTIONS(733),
    [anon_sym_byte] = ACTIONS(733),
    [anon_sym_short] = ACTIONS(733),
    [anon_sym_int] = ACTIONS(733),
    [anon_sym_long] = ACTIONS(733),
    [anon_sym_char] = ACTIONS(733),
    [anon_sym_float] = ACTIONS(733),
    [anon_sym_double] = ACTIONS(733),
    [sym_boolean_type] = ACTIONS(733),
    [sym_void_type] = ACTIONS(733),
    [sym_this] = ACTIONS(733),
    [sym_super] = ACTIONS(733),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(735),
    [sym_identifier] = ACTIONS(737),
    [sym_decimal_integer_literal] = ACTIONS(737),
    [sym_hex_integer_literal] = ACTIONS(737),
    [sym_octal_integer_literal] = ACTIONS(737),
    [sym_binary_integer_literal] = ACTIONS(735),
    [sym_decimal_floating_point_literal] = ACTIONS(735),
    [sym_hex_floating_point_literal] = ACTIONS(737),
    [sym_true] = ACTIONS(737),
    [sym_false] = ACTIONS(737),
    [sym_character_literal] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(735),
    [anon_sym_RBRACE] = ACTIONS(735),
    [sym_null_literal] = ACTIONS(737),
    [anon_sym_LPAREN] = ACTIONS(735),
    [anon_sym_LT] = ACTIONS(735),
    [anon_sym_PLUS] = ACTIONS(737),
    [anon_sym_DASH] = ACTIONS(737),
    [anon_sym_final] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(735),
    [anon_sym_TILDE] = ACTIONS(735),
    [anon_sym_PLUS_PLUS] = ACTIONS(735),
    [anon_sym_DASH_DASH] = ACTIONS(735),
    [anon_sym_new] = ACTIONS(737),
    [anon_sym_class] = ACTIONS(737),
    [anon_sym_switch] = ACTIONS(737),
    [anon_sym_LBRACE] = ACTIONS(735),
    [anon_sym_case] = ACTIONS(737),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_SEMI] = ACTIONS(735),
    [anon_sym_assert] = ACTIONS(737),
    [anon_sym_do] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(737),
    [anon_sym_break] = ACTIONS(737),
    [anon_sym_continue] = ACTIONS(737),
    [anon_sym_return] = ACTIONS(737),
    [anon_sym_yield] = ACTIONS(737),
    [anon_sym_synchronized] = ACTIONS(737),
    [anon_sym_throw] = ACTIONS(737),
    [anon_sym_try] = ACTIONS(737),
    [anon_sym_if] = ACTIONS(737),
    [anon_sym_else] = ACTIONS(737),
    [anon_sym_for] = ACTIONS(737),
    [anon_sym_AT] = ACTIONS(737),
    [anon_sym_open] = ACTIONS(737),
    [anon_sym_module] = ACTIONS(737),
    [anon_sym_static] = ACTIONS(737),
    [anon_sym_with] = ACTIONS(737),
    [anon_sym_package] = ACTIONS(737),
    [anon_sym_import] = ACTIONS(737),
    [anon_sym_enum] = ACTIONS(737),
    [anon_sym_public] = ACTIONS(737),
    [anon_sym_protected] = ACTIONS(737),
    [anon_sym_private] = ACTIONS(737),
    [anon_sym_abstract] = ACTIONS(737),
    [anon_sym_strictfp] = ACTIONS(737),
    [anon_sym_native] = ACTIONS(737),
    [anon_sym_transient] = ACTIONS(737),
    [anon_sym_volatile] = ACTIONS(737),
    [anon_sym_sealed] = ACTIONS(737),
    [anon_sym_non_DASHsealed] = ACTIONS(735),
    [anon_sym_record] = ACTIONS(737),
    [anon_sym_ATinterface] = ACTIONS(735),
    [anon_sym_interface] = ACTIONS(737),
    [anon_sym_byte] = ACTIONS(737),
    [anon_sym_short] = ACTIONS(737),
    [anon_sym_int] = ACTIONS(737),
    [anon_sym_long] = ACTIONS(737),
    [anon_sym_char] = ACTIONS(737),
    [anon_sym_float] = ACTIONS(737),
    [anon_sym_double] = ACTIONS(737),
    [sym_boolean_type] = ACTIONS(737),
    [sym_void_type] = ACTIONS(737),
    [sym_this] = ACTIONS(737),
    [sym_super] = ACTIONS(737),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(739),
    [sym_identifier] = ACTIONS(741),
    [sym_decimal_integer_literal] = ACTIONS(741),
    [sym_hex_integer_literal] = ACTIONS(741),
    [sym_octal_integer_literal] = ACTIONS(741),
    [sym_binary_integer_literal] = ACTIONS(739),
    [sym_decimal_floating_point_literal] = ACTIONS(739),
    [sym_hex_floating_point_literal] = ACTIONS(741),
    [sym_true] = ACTIONS(741),
    [sym_false] = ACTIONS(741),
    [sym_character_literal] = ACTIONS(739),
    [anon_sym_DQUOTE] = ACTIONS(741),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(739),
    [anon_sym_RBRACE] = ACTIONS(739),
    [sym_null_literal] = ACTIONS(741),
    [anon_sym_LPAREN] = ACTIONS(739),
    [anon_sym_LT] = ACTIONS(739),
    [anon_sym_PLUS] = ACTIONS(741),
    [anon_sym_DASH] = ACTIONS(741),
    [anon_sym_final] = ACTIONS(741),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(739),
    [anon_sym_DASH_DASH] = ACTIONS(739),
    [anon_sym_new] = ACTIONS(741),
    [anon_sym_class] = ACTIONS(741),
    [anon_sym_switch] = ACTIONS(741),
    [anon_sym_LBRACE] = ACTIONS(739),
    [anon_sym_case] = ACTIONS(741),
    [anon_sym_default] = ACTIONS(741),
    [anon_sym_SEMI] = ACTIONS(739),
    [anon_sym_assert] = ACTIONS(741),
    [anon_sym_do] = ACTIONS(741),
    [anon_sym_while] = ACTIONS(741),
    [anon_sym_break] = ACTIONS(741),
    [anon_sym_continue] = ACTIONS(741),
    [anon_sym_return] = ACTIONS(741),
    [anon_sym_yield] = ACTIONS(741),
    [anon_sym_synchronized] = ACTIONS(741),
    [anon_sym_throw] = ACTIONS(741),
    [anon_sym_try] = ACTIONS(741),
    [anon_sym_if] = ACTIONS(741),
    [anon_sym_else] = ACTIONS(741),
    [anon_sym_for] = ACTIONS(741),
    [anon_sym_AT] = ACTIONS(741),
    [anon_sym_open] = ACTIONS(741),
    [anon_sym_module] = ACTIONS(741),
    [anon_sym_static] = ACTIONS(741),
    [anon_sym_with] = ACTIONS(741),
    [anon_sym_package] = ACTIONS(741),
    [anon_sym_import] = ACTIONS(741),
    [anon_sym_enum] = ACTIONS(741),
    [anon_sym_public] = ACTIONS(741),
    [anon_sym_protected] = ACTIONS(741),
    [anon_sym_private] = ACTIONS(741),
    [anon_sym_abstract] = ACTIONS(741),
    [anon_sym_strictfp] = ACTIONS(741),
    [anon_sym_native] = ACTIONS(741),
    [anon_sym_transient] = ACTIONS(741),
    [anon_sym_volatile] = ACTIONS(741),
    [anon_sym_sealed] = ACTIONS(741),
    [anon_sym_non_DASHsealed] = ACTIONS(739),
    [anon_sym_record] = ACTIONS(741),
    [anon_sym_ATinterface] = ACTIONS(739),
    [anon_sym_interface] = ACTIONS(741),
    [anon_sym_byte] = ACTIONS(741),
    [anon_sym_short] = ACTIONS(741),
    [anon_sym_int] = ACTIONS(741),
    [anon_sym_long] = ACTIONS(741),
    [anon_sym_char] = ACTIONS(741),
    [anon_sym_float] = ACTIONS(741),
    [anon_sym_double] = ACTIONS(741),
    [sym_boolean_type] = ACTIONS(741),
    [sym_void_type] = ACTIONS(741),
    [sym_this] = ACTIONS(741),
    [sym_super] = ACTIONS(741),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(572),
    [sym_identifier] = ACTIONS(574),
    [sym_decimal_integer_literal] = ACTIONS(574),
    [sym_hex_integer_literal] = ACTIONS(574),
    [sym_octal_integer_literal] = ACTIONS(574),
    [sym_binary_integer_literal] = ACTIONS(572),
    [sym_decimal_floating_point_literal] = ACTIONS(572),
    [sym_hex_floating_point_literal] = ACTIONS(574),
    [sym_true] = ACTIONS(574),
    [sym_false] = ACTIONS(574),
    [sym_character_literal] = ACTIONS(572),
    [anon_sym_DQUOTE] = ACTIONS(574),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(572),
    [anon_sym_RBRACE] = ACTIONS(572),
    [sym_null_literal] = ACTIONS(574),
    [anon_sym_LPAREN] = ACTIONS(572),
    [anon_sym_LT] = ACTIONS(572),
    [anon_sym_PLUS] = ACTIONS(574),
    [anon_sym_DASH] = ACTIONS(574),
    [anon_sym_final] = ACTIONS(574),
    [anon_sym_BANG] = ACTIONS(572),
    [anon_sym_TILDE] = ACTIONS(572),
    [anon_sym_PLUS_PLUS] = ACTIONS(572),
    [anon_sym_DASH_DASH] = ACTIONS(572),
    [anon_sym_new] = ACTIONS(574),
    [anon_sym_class] = ACTIONS(574),
    [anon_sym_switch] = ACTIONS(574),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(574),
    [anon_sym_default] = ACTIONS(574),
    [anon_sym_SEMI] = ACTIONS(572),
    [anon_sym_assert] = ACTIONS(574),
    [anon_sym_do] = ACTIONS(574),
    [anon_sym_while] = ACTIONS(574),
    [anon_sym_break] = ACTIONS(574),
    [anon_sym_continue] = ACTIONS(574),
    [anon_sym_return] = ACTIONS(574),
    [anon_sym_yield] = ACTIONS(574),
    [anon_sym_synchronized] = ACTIONS(574),
    [anon_sym_throw] = ACTIONS(574),
    [anon_sym_try] = ACTIONS(574),
    [anon_sym_if] = ACTIONS(574),
    [anon_sym_else] = ACTIONS(574),
    [anon_sym_for] = ACTIONS(574),
    [anon_sym_AT] = ACTIONS(574),
    [anon_sym_open] = ACTIONS(574),
    [anon_sym_module] = ACTIONS(574),
    [anon_sym_static] = ACTIONS(574),
    [anon_sym_with] = ACTIONS(574),
    [anon_sym_package] = ACTIONS(574),
    [anon_sym_import] = ACTIONS(574),
    [anon_sym_enum] = ACTIONS(574),
    [anon_sym_public] = ACTIONS(574),
    [anon_sym_protected] = ACTIONS(574),
    [anon_sym_private] = ACTIONS(574),
    [anon_sym_abstract] = ACTIONS(574),
    [anon_sym_strictfp] = ACTIONS(574),
    [anon_sym_native] = ACTIONS(574),
    [anon_sym_transient] = ACTIONS(574),
    [anon_sym_volatile] = ACTIONS(574),
    [anon_sym_sealed] = ACTIONS(574),
    [anon_sym_non_DASHsealed] = ACTIONS(572),
    [anon_sym_record] = ACTIONS(574),
    [anon_sym_ATinterface] = ACTIONS(572),
    [anon_sym_interface] = ACTIONS(574),
    [anon_sym_byte] = ACTIONS(574),
    [anon_sym_short] = ACTIONS(574),
    [anon_sym_int] = ACTIONS(574),
    [anon_sym_long] = ACTIONS(574),
    [anon_sym_char] = ACTIONS(574),
    [anon_sym_float] = ACTIONS(574),
    [anon_sym_double] = ACTIONS(574),
    [sym_boolean_type] = ACTIONS(574),
    [sym_void_type] = ACTIONS(574),
    [sym_this] = ACTIONS(574),
    [sym_super] = ACTIONS(574),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(743),
    [sym_identifier] = ACTIONS(745),
    [sym_decimal_integer_literal] = ACTIONS(745),
    [sym_hex_integer_literal] = ACTIONS(745),
    [sym_octal_integer_literal] = ACTIONS(745),
    [sym_binary_integer_literal] = ACTIONS(743),
    [sym_decimal_floating_point_literal] = ACTIONS(743),
    [sym_hex_floating_point_literal] = ACTIONS(745),
    [sym_true] = ACTIONS(745),
    [sym_false] = ACTIONS(745),
    [sym_character_literal] = ACTIONS(743),
    [anon_sym_DQUOTE] = ACTIONS(745),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(743),
    [anon_sym_RBRACE] = ACTIONS(743),
    [sym_null_literal] = ACTIONS(745),
    [anon_sym_LPAREN] = ACTIONS(743),
    [anon_sym_LT] = ACTIONS(743),
    [anon_sym_PLUS] = ACTIONS(745),
    [anon_sym_DASH] = ACTIONS(745),
    [anon_sym_final] = ACTIONS(745),
    [anon_sym_BANG] = ACTIONS(743),
    [anon_sym_TILDE] = ACTIONS(743),
    [anon_sym_PLUS_PLUS] = ACTIONS(743),
    [anon_sym_DASH_DASH] = ACTIONS(743),
    [anon_sym_new] = ACTIONS(745),
    [anon_sym_class] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(745),
    [anon_sym_LBRACE] = ACTIONS(743),
    [anon_sym_case] = ACTIONS(745),
    [anon_sym_default] = ACTIONS(745),
    [anon_sym_SEMI] = ACTIONS(743),
    [anon_sym_assert] = ACTIONS(745),
    [anon_sym_do] = ACTIONS(745),
    [anon_sym_while] = ACTIONS(745),
    [anon_sym_break] = ACTIONS(745),
    [anon_sym_continue] = ACTIONS(745),
    [anon_sym_return] = ACTIONS(745),
    [anon_sym_yield] = ACTIONS(745),
    [anon_sym_synchronized] = ACTIONS(745),
    [anon_sym_throw] = ACTIONS(745),
    [anon_sym_try] = ACTIONS(745),
    [anon_sym_if] = ACTIONS(745),
    [anon_sym_else] = ACTIONS(745),
    [anon_sym_for] = ACTIONS(745),
    [anon_sym_AT] = ACTIONS(745),
    [anon_sym_open] = ACTIONS(745),
    [anon_sym_module] = ACTIONS(745),
    [anon_sym_static] = ACTIONS(745),
    [anon_sym_with] = ACTIONS(745),
    [anon_sym_package] = ACTIONS(745),
    [anon_sym_import] = ACTIONS(745),
    [anon_sym_enum] = ACTIONS(745),
    [anon_sym_public] = ACTIONS(745),
    [anon_sym_protected] = ACTIONS(745),
    [anon_sym_private] = ACTIONS(745),
    [anon_sym_abstract] = ACTIONS(745),
    [anon_sym_strictfp] = ACTIONS(745),
    [anon_sym_native] = ACTIONS(745),
    [anon_sym_transient] = ACTIONS(745),
    [anon_sym_volatile] = ACTIONS(745),
    [anon_sym_sealed] = ACTIONS(745),
    [anon_sym_non_DASHsealed] = ACTIONS(743),
    [anon_sym_record] = ACTIONS(745),
    [anon_sym_ATinterface] = ACTIONS(743),
    [anon_sym_interface] = ACTIONS(745),
    [anon_sym_byte] = ACTIONS(745),
    [anon_sym_short] = ACTIONS(745),
    [anon_sym_int] = ACTIONS(745),
    [anon_sym_long] = ACTIONS(745),
    [anon_sym_char] = ACTIONS(745),
    [anon_sym_float] = ACTIONS(745),
    [anon_sym_double] = ACTIONS(745),
    [sym_boolean_type] = ACTIONS(745),
    [sym_void_type] = ACTIONS(745),
    [sym_this] = ACTIONS(745),
    [sym_super] = ACTIONS(745),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(747),
    [sym_identifier] = ACTIONS(749),
    [sym_decimal_integer_literal] = ACTIONS(749),
    [sym_hex_integer_literal] = ACTIONS(749),
    [sym_octal_integer_literal] = ACTIONS(749),
    [sym_binary_integer_literal] = ACTIONS(747),
    [sym_decimal_floating_point_literal] = ACTIONS(747),
    [sym_hex_floating_point_literal] = ACTIONS(749),
    [sym_true] = ACTIONS(749),
    [sym_false] = ACTIONS(749),
    [sym_character_literal] = ACTIONS(747),
    [anon_sym_DQUOTE] = ACTIONS(749),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(747),
    [anon_sym_RBRACE] = ACTIONS(747),
    [sym_null_literal] = ACTIONS(749),
    [anon_sym_LPAREN] = ACTIONS(747),
    [anon_sym_LT] = ACTIONS(747),
    [anon_sym_PLUS] = ACTIONS(749),
    [anon_sym_DASH] = ACTIONS(749),
    [anon_sym_final] = ACTIONS(749),
    [anon_sym_BANG] = ACTIONS(747),
    [anon_sym_TILDE] = ACTIONS(747),
    [anon_sym_PLUS_PLUS] = ACTIONS(747),
    [anon_sym_DASH_DASH] = ACTIONS(747),
    [anon_sym_new] = ACTIONS(749),
    [anon_sym_class] = ACTIONS(749),
    [anon_sym_switch] = ACTIONS(749),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_case] = ACTIONS(749),
    [anon_sym_default] = ACTIONS(749),
    [anon_sym_SEMI] = ACTIONS(747),
    [anon_sym_assert] = ACTIONS(749),
    [anon_sym_do] = ACTIONS(749),
    [anon_sym_while] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(749),
    [anon_sym_continue] = ACTIONS(749),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_yield] = ACTIONS(749),
    [anon_sym_synchronized] = ACTIONS(749),
    [anon_sym_throw] = ACTIONS(749),
    [anon_sym_try] = ACTIONS(749),
    [anon_sym_if] = ACTIONS(749),
    [anon_sym_else] = ACTIONS(749),
    [anon_sym_for] = ACTIONS(749),
    [anon_sym_AT] = ACTIONS(749),
    [anon_sym_open] = ACTIONS(749),
    [anon_sym_module] = ACTIONS(749),
    [anon_sym_static] = ACTIONS(749),
    [anon_sym_with] = ACTIONS(749),
    [anon_sym_package] = ACTIONS(749),
    [anon_sym_import] = ACTIONS(749),
    [anon_sym_enum] = ACTIONS(749),
    [anon_sym_public] = ACTIONS(749),
    [anon_sym_protected] = ACTIONS(749),
    [anon_sym_private] = ACTIONS(749),
    [anon_sym_abstract] = ACTIONS(749),
    [anon_sym_strictfp] = ACTIONS(749),
    [anon_sym_native] = ACTIONS(749),
    [anon_sym_transient] = ACTIONS(749),
    [anon_sym_volatile] = ACTIONS(749),
    [anon_sym_sealed] = ACTIONS(749),
    [anon_sym_non_DASHsealed] = ACTIONS(747),
    [anon_sym_record] = ACTIONS(749),
    [anon_sym_ATinterface] = ACTIONS(747),
    [anon_sym_interface] = ACTIONS(749),
    [anon_sym_byte] = ACTIONS(749),
    [anon_sym_short] = ACTIONS(749),
    [anon_sym_int] = ACTIONS(749),
    [anon_sym_long] = ACTIONS(749),
    [anon_sym_char] = ACTIONS(749),
    [anon_sym_float] = ACTIONS(749),
    [anon_sym_double] = ACTIONS(749),
    [sym_boolean_type] = ACTIONS(749),
    [sym_void_type] = ACTIONS(749),
    [sym_this] = ACTIONS(749),
    [sym_super] = ACTIONS(749),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(751),
    [sym_identifier] = ACTIONS(753),
    [sym_decimal_integer_literal] = ACTIONS(753),
    [sym_hex_integer_literal] = ACTIONS(753),
    [sym_octal_integer_literal] = ACTIONS(753),
    [sym_binary_integer_literal] = ACTIONS(751),
    [sym_decimal_floating_point_literal] = ACTIONS(751),
    [sym_hex_floating_point_literal] = ACTIONS(753),
    [sym_true] = ACTIONS(753),
    [sym_false] = ACTIONS(753),
    [sym_character_literal] = ACTIONS(751),
    [anon_sym_DQUOTE] = ACTIONS(753),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(751),
    [anon_sym_RBRACE] = ACTIONS(751),
    [sym_null_literal] = ACTIONS(753),
    [anon_sym_LPAREN] = ACTIONS(751),
    [anon_sym_LT] = ACTIONS(751),
    [anon_sym_PLUS] = ACTIONS(753),
    [anon_sym_DASH] = ACTIONS(753),
    [anon_sym_final] = ACTIONS(753),
    [anon_sym_BANG] = ACTIONS(751),
    [anon_sym_TILDE] = ACTIONS(751),
    [anon_sym_PLUS_PLUS] = ACTIONS(751),
    [anon_sym_DASH_DASH] = ACTIONS(751),
    [anon_sym_new] = ACTIONS(753),
    [anon_sym_class] = ACTIONS(753),
    [anon_sym_switch] = ACTIONS(753),
    [anon_sym_LBRACE] = ACTIONS(751),
    [anon_sym_case] = ACTIONS(753),
    [anon_sym_default] = ACTIONS(753),
    [anon_sym_SEMI] = ACTIONS(751),
    [anon_sym_assert] = ACTIONS(753),
    [anon_sym_do] = ACTIONS(753),
    [anon_sym_while] = ACTIONS(753),
    [anon_sym_break] = ACTIONS(753),
    [anon_sym_continue] = ACTIONS(753),
    [anon_sym_return] = ACTIONS(753),
    [anon_sym_yield] = ACTIONS(753),
    [anon_sym_synchronized] = ACTIONS(753),
    [anon_sym_throw] = ACTIONS(753),
    [anon_sym_try] = ACTIONS(753),
    [anon_sym_if] = ACTIONS(753),
    [anon_sym_else] = ACTIONS(753),
    [anon_sym_for] = ACTIONS(753),
    [anon_sym_AT] = ACTIONS(753),
    [anon_sym_open] = ACTIONS(753),
    [anon_sym_module] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(753),
    [anon_sym_with] = ACTIONS(753),
    [anon_sym_package] = ACTIONS(753),
    [anon_sym_import] = ACTIONS(753),
    [anon_sym_enum] = ACTIONS(753),
    [anon_sym_public] = ACTIONS(753),
    [anon_sym_protected] = ACTIONS(753),
    [anon_sym_private] = ACTIONS(753),
    [anon_sym_abstract] = ACTIONS(753),
    [anon_sym_strictfp] = ACTIONS(753),
    [anon_sym_native] = ACTIONS(753),
    [anon_sym_transient] = ACTIONS(753),
    [anon_sym_volatile] = ACTIONS(753),
    [anon_sym_sealed] = ACTIONS(753),
    [anon_sym_non_DASHsealed] = ACTIONS(751),
    [anon_sym_record] = ACTIONS(753),
    [anon_sym_ATinterface] = ACTIONS(751),
    [anon_sym_interface] = ACTIONS(753),
    [anon_sym_byte] = ACTIONS(753),
    [anon_sym_short] = ACTIONS(753),
    [anon_sym_int] = ACTIONS(753),
    [anon_sym_long] = ACTIONS(753),
    [anon_sym_char] = ACTIONS(753),
    [anon_sym_float] = ACTIONS(753),
    [anon_sym_double] = ACTIONS(753),
    [sym_boolean_type] = ACTIONS(753),
    [sym_void_type] = ACTIONS(753),
    [sym_this] = ACTIONS(753),
    [sym_super] = ACTIONS(753),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(755),
    [sym_identifier] = ACTIONS(757),
    [sym_decimal_integer_literal] = ACTIONS(757),
    [sym_hex_integer_literal] = ACTIONS(757),
    [sym_octal_integer_literal] = ACTIONS(757),
    [sym_binary_integer_literal] = ACTIONS(755),
    [sym_decimal_floating_point_literal] = ACTIONS(755),
    [sym_hex_floating_point_literal] = ACTIONS(757),
    [sym_true] = ACTIONS(757),
    [sym_false] = ACTIONS(757),
    [sym_character_literal] = ACTIONS(755),
    [anon_sym_DQUOTE] = ACTIONS(757),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(755),
    [anon_sym_RBRACE] = ACTIONS(755),
    [sym_null_literal] = ACTIONS(757),
    [anon_sym_LPAREN] = ACTIONS(755),
    [anon_sym_LT] = ACTIONS(755),
    [anon_sym_PLUS] = ACTIONS(757),
    [anon_sym_DASH] = ACTIONS(757),
    [anon_sym_final] = ACTIONS(757),
    [anon_sym_BANG] = ACTIONS(755),
    [anon_sym_TILDE] = ACTIONS(755),
    [anon_sym_PLUS_PLUS] = ACTIONS(755),
    [anon_sym_DASH_DASH] = ACTIONS(755),
    [anon_sym_new] = ACTIONS(757),
    [anon_sym_class] = ACTIONS(757),
    [anon_sym_switch] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(755),
    [anon_sym_case] = ACTIONS(757),
    [anon_sym_default] = ACTIONS(757),
    [anon_sym_SEMI] = ACTIONS(755),
    [anon_sym_assert] = ACTIONS(757),
    [anon_sym_do] = ACTIONS(757),
    [anon_sym_while] = ACTIONS(757),
    [anon_sym_break] = ACTIONS(757),
    [anon_sym_continue] = ACTIONS(757),
    [anon_sym_return] = ACTIONS(757),
    [anon_sym_yield] = ACTIONS(757),
    [anon_sym_synchronized] = ACTIONS(757),
    [anon_sym_throw] = ACTIONS(757),
    [anon_sym_try] = ACTIONS(757),
    [anon_sym_if] = ACTIONS(757),
    [anon_sym_else] = ACTIONS(757),
    [anon_sym_for] = ACTIONS(757),
    [anon_sym_AT] = ACTIONS(757),
    [anon_sym_open] = ACTIONS(757),
    [anon_sym_module] = ACTIONS(757),
    [anon_sym_static] = ACTIONS(757),
    [anon_sym_with] = ACTIONS(757),
    [anon_sym_package] = ACTIONS(757),
    [anon_sym_import] = ACTIONS(757),
    [anon_sym_enum] = ACTIONS(757),
    [anon_sym_public] = ACTIONS(757),
    [anon_sym_protected] = ACTIONS(757),
    [anon_sym_private] = ACTIONS(757),
    [anon_sym_abstract] = ACTIONS(757),
    [anon_sym_strictfp] = ACTIONS(757),
    [anon_sym_native] = ACTIONS(757),
    [anon_sym_transient] = ACTIONS(757),
    [anon_sym_volatile] = ACTIONS(757),
    [anon_sym_sealed] = ACTIONS(757),
    [anon_sym_non_DASHsealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(757),
    [anon_sym_ATinterface] = ACTIONS(755),
    [anon_sym_interface] = ACTIONS(757),
    [anon_sym_byte] = ACTIONS(757),
    [anon_sym_short] = ACTIONS(757),
    [anon_sym_int] = ACTIONS(757),
    [anon_sym_long] = ACTIONS(757),
    [anon_sym_char] = ACTIONS(757),
    [anon_sym_float] = ACTIONS(757),
    [anon_sym_double] = ACTIONS(757),
    [sym_boolean_type] = ACTIONS(757),
    [sym_void_type] = ACTIONS(757),
    [sym_this] = ACTIONS(757),
    [sym_super] = ACTIONS(757),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(759),
    [sym_identifier] = ACTIONS(761),
    [sym_decimal_integer_literal] = ACTIONS(761),
    [sym_hex_integer_literal] = ACTIONS(761),
    [sym_octal_integer_literal] = ACTIONS(761),
    [sym_binary_integer_literal] = ACTIONS(759),
    [sym_decimal_floating_point_literal] = ACTIONS(759),
    [sym_hex_floating_point_literal] = ACTIONS(761),
    [sym_true] = ACTIONS(761),
    [sym_false] = ACTIONS(761),
    [sym_character_literal] = ACTIONS(759),
    [anon_sym_DQUOTE] = ACTIONS(761),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(759),
    [anon_sym_RBRACE] = ACTIONS(759),
    [sym_null_literal] = ACTIONS(761),
    [anon_sym_LPAREN] = ACTIONS(759),
    [anon_sym_LT] = ACTIONS(759),
    [anon_sym_PLUS] = ACTIONS(761),
    [anon_sym_DASH] = ACTIONS(761),
    [anon_sym_final] = ACTIONS(761),
    [anon_sym_BANG] = ACTIONS(759),
    [anon_sym_TILDE] = ACTIONS(759),
    [anon_sym_PLUS_PLUS] = ACTIONS(759),
    [anon_sym_DASH_DASH] = ACTIONS(759),
    [anon_sym_new] = ACTIONS(761),
    [anon_sym_class] = ACTIONS(761),
    [anon_sym_switch] = ACTIONS(761),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_case] = ACTIONS(761),
    [anon_sym_default] = ACTIONS(761),
    [anon_sym_SEMI] = ACTIONS(759),
    [anon_sym_assert] = ACTIONS(761),
    [anon_sym_do] = ACTIONS(761),
    [anon_sym_while] = ACTIONS(761),
    [anon_sym_break] = ACTIONS(761),
    [anon_sym_continue] = ACTIONS(761),
    [anon_sym_return] = ACTIONS(761),
    [anon_sym_yield] = ACTIONS(761),
    [anon_sym_synchronized] = ACTIONS(761),
    [anon_sym_throw] = ACTIONS(761),
    [anon_sym_try] = ACTIONS(761),
    [anon_sym_if] = ACTIONS(761),
    [anon_sym_else] = ACTIONS(761),
    [anon_sym_for] = ACTIONS(761),
    [anon_sym_AT] = ACTIONS(761),
    [anon_sym_open] = ACTIONS(761),
    [anon_sym_module] = ACTIONS(761),
    [anon_sym_static] = ACTIONS(761),
    [anon_sym_with] = ACTIONS(761),
    [anon_sym_package] = ACTIONS(761),
    [anon_sym_import] = ACTIONS(761),
    [anon_sym_enum] = ACTIONS(761),
    [anon_sym_public] = ACTIONS(761),
    [anon_sym_protected] = ACTIONS(761),
    [anon_sym_private] = ACTIONS(761),
    [anon_sym_abstract] = ACTIONS(761),
    [anon_sym_strictfp] = ACTIONS(761),
    [anon_sym_native] = ACTIONS(761),
    [anon_sym_transient] = ACTIONS(761),
    [anon_sym_volatile] = ACTIONS(761),
    [anon_sym_sealed] = ACTIONS(761),
    [anon_sym_non_DASHsealed] = ACTIONS(759),
    [anon_sym_record] = ACTIONS(761),
    [anon_sym_ATinterface] = ACTIONS(759),
    [anon_sym_interface] = ACTIONS(761),
    [anon_sym_byte] = ACTIONS(761),
    [anon_sym_short] = ACTIONS(761),
    [anon_sym_int] = ACTIONS(761),
    [anon_sym_long] = ACTIONS(761),
    [anon_sym_char] = ACTIONS(761),
    [anon_sym_float] = ACTIONS(761),
    [anon_sym_double] = ACTIONS(761),
    [sym_boolean_type] = ACTIONS(761),
    [sym_void_type] = ACTIONS(761),
    [sym_this] = ACTIONS(761),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(763),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(765),
    [sym_hex_integer_literal] = ACTIONS(765),
    [sym_octal_integer_literal] = ACTIONS(765),
    [sym_binary_integer_literal] = ACTIONS(763),
    [sym_decimal_floating_point_literal] = ACTIONS(763),
    [sym_hex_floating_point_literal] = ACTIONS(765),
    [sym_true] = ACTIONS(765),
    [sym_false] = ACTIONS(765),
    [sym_character_literal] = ACTIONS(763),
    [anon_sym_DQUOTE] = ACTIONS(765),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(763),
    [anon_sym_RBRACE] = ACTIONS(763),
    [sym_null_literal] = ACTIONS(765),
    [anon_sym_LPAREN] = ACTIONS(763),
    [anon_sym_LT] = ACTIONS(763),
    [anon_sym_PLUS] = ACTIONS(765),
    [anon_sym_DASH] = ACTIONS(765),
    [anon_sym_final] = ACTIONS(765),
    [anon_sym_BANG] = ACTIONS(763),
    [anon_sym_TILDE] = ACTIONS(763),
    [anon_sym_PLUS_PLUS] = ACTIONS(763),
    [anon_sym_DASH_DASH] = ACTIONS(763),
    [anon_sym_new] = ACTIONS(765),
    [anon_sym_class] = ACTIONS(765),
    [anon_sym_switch] = ACTIONS(765),
    [anon_sym_LBRACE] = ACTIONS(763),
    [anon_sym_case] = ACTIONS(765),
    [anon_sym_default] = ACTIONS(765),
    [anon_sym_SEMI] = ACTIONS(763),
    [anon_sym_assert] = ACTIONS(765),
    [anon_sym_do] = ACTIONS(765),
    [anon_sym_while] = ACTIONS(765),
    [anon_sym_break] = ACTIONS(765),
    [anon_sym_continue] = ACTIONS(765),
    [anon_sym_return] = ACTIONS(765),
    [anon_sym_yield] = ACTIONS(765),
    [anon_sym_synchronized] = ACTIONS(765),
    [anon_sym_throw] = ACTIONS(765),
    [anon_sym_try] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(765),
    [anon_sym_else] = ACTIONS(765),
    [anon_sym_for] = ACTIONS(765),
    [anon_sym_AT] = ACTIONS(765),
    [anon_sym_open] = ACTIONS(765),
    [anon_sym_module] = ACTIONS(765),
    [anon_sym_static] = ACTIONS(765),
    [anon_sym_with] = ACTIONS(765),
    [anon_sym_package] = ACTIONS(765),
    [anon_sym_import] = ACTIONS(765),
    [anon_sym_enum] = ACTIONS(765),
    [anon_sym_public] = ACTIONS(765),
    [anon_sym_protected] = ACTIONS(765),
    [anon_sym_private] = ACTIONS(765),
    [anon_sym_abstract] = ACTIONS(765),
    [anon_sym_strictfp] = ACTIONS(765),
    [anon_sym_native] = ACTIONS(765),
    [anon_sym_transient] = ACTIONS(765),
    [anon_sym_volatile] = ACTIONS(765),
    [anon_sym_sealed] = ACTIONS(765),
    [anon_sym_non_DASHsealed] = ACTIONS(763),
    [anon_sym_record] = ACTIONS(765),
    [anon_sym_ATinterface] = ACTIONS(763),
    [anon_sym_interface] = ACTIONS(765),
    [anon_sym_byte] = ACTIONS(765),
    [anon_sym_short] = ACTIONS(765),
    [anon_sym_int] = ACTIONS(765),
    [anon_sym_long] = ACTIONS(765),
    [anon_sym_char] = ACTIONS(765),
    [anon_sym_float] = ACTIONS(765),
    [anon_sym_double] = ACTIONS(765),
    [sym_boolean_type] = ACTIONS(765),
    [sym_void_type] = ACTIONS(765),
    [sym_this] = ACTIONS(765),
    [sym_super] = ACTIONS(765),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(767),
    [sym_identifier] = ACTIONS(769),
    [sym_decimal_integer_literal] = ACTIONS(769),
    [sym_hex_integer_literal] = ACTIONS(769),
    [sym_octal_integer_literal] = ACTIONS(769),
    [sym_binary_integer_literal] = ACTIONS(767),
    [sym_decimal_floating_point_literal] = ACTIONS(767),
    [sym_hex_floating_point_literal] = ACTIONS(769),
    [sym_true] = ACTIONS(769),
    [sym_false] = ACTIONS(769),
    [sym_character_literal] = ACTIONS(767),
    [anon_sym_DQUOTE] = ACTIONS(769),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(767),
    [anon_sym_RBRACE] = ACTIONS(767),
    [sym_null_literal] = ACTIONS(769),
    [anon_sym_LPAREN] = ACTIONS(767),
    [anon_sym_LT] = ACTIONS(767),
    [anon_sym_PLUS] = ACTIONS(769),
    [anon_sym_DASH] = ACTIONS(769),
    [anon_sym_final] = ACTIONS(769),
    [anon_sym_BANG] = ACTIONS(767),
    [anon_sym_TILDE] = ACTIONS(767),
    [anon_sym_PLUS_PLUS] = ACTIONS(767),
    [anon_sym_DASH_DASH] = ACTIONS(767),
    [anon_sym_new] = ACTIONS(769),
    [anon_sym_class] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_case] = ACTIONS(769),
    [anon_sym_default] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(767),
    [anon_sym_assert] = ACTIONS(769),
    [anon_sym_do] = ACTIONS(769),
    [anon_sym_while] = ACTIONS(769),
    [anon_sym_break] = ACTIONS(769),
    [anon_sym_continue] = ACTIONS(769),
    [anon_sym_return] = ACTIONS(769),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_synchronized] = ACTIONS(769),
    [anon_sym_throw] = ACTIONS(769),
    [anon_sym_try] = ACTIONS(769),
    [anon_sym_if] = ACTIONS(769),
    [anon_sym_else] = ACTIONS(769),
    [anon_sym_for] = ACTIONS(769),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(769),
    [anon_sym_module] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(769),
    [anon_sym_with] = ACTIONS(769),
    [anon_sym_package] = ACTIONS(769),
    [anon_sym_import] = ACTIONS(769),
    [anon_sym_enum] = ACTIONS(769),
    [anon_sym_public] = ACTIONS(769),
    [anon_sym_protected] = ACTIONS(769),
    [anon_sym_private] = ACTIONS(769),
    [anon_sym_abstract] = ACTIONS(769),
    [anon_sym_strictfp] = ACTIONS(769),
    [anon_sym_native] = ACTIONS(769),
    [anon_sym_transient] = ACTIONS(769),
    [anon_sym_volatile] = ACTIONS(769),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_non_DASHsealed] = ACTIONS(767),
    [anon_sym_record] = ACTIONS(769),
    [anon_sym_ATinterface] = ACTIONS(767),
    [anon_sym_interface] = ACTIONS(769),
    [anon_sym_byte] = ACTIONS(769),
    [anon_sym_short] = ACTIONS(769),
    [anon_sym_int] = ACTIONS(769),
    [anon_sym_long] = ACTIONS(769),
    [anon_sym_char] = ACTIONS(769),
    [anon_sym_float] = ACTIONS(769),
    [anon_sym_double] = ACTIONS(769),
    [sym_boolean_type] = ACTIONS(769),
    [sym_void_type] = ACTIONS(769),
    [sym_this] = ACTIONS(769),
    [sym_super] = ACTIONS(769),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(771),
    [sym_identifier] = ACTIONS(773),
    [sym_decimal_integer_literal] = ACTIONS(773),
    [sym_hex_integer_literal] = ACTIONS(773),
    [sym_octal_integer_literal] = ACTIONS(773),
    [sym_binary_integer_literal] = ACTIONS(771),
    [sym_decimal_floating_point_literal] = ACTIONS(771),
    [sym_hex_floating_point_literal] = ACTIONS(773),
    [sym_true] = ACTIONS(773),
    [sym_false] = ACTIONS(773),
    [sym_character_literal] = ACTIONS(771),
    [anon_sym_DQUOTE] = ACTIONS(773),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(771),
    [anon_sym_RBRACE] = ACTIONS(771),
    [sym_null_literal] = ACTIONS(773),
    [anon_sym_LPAREN] = ACTIONS(771),
    [anon_sym_LT] = ACTIONS(771),
    [anon_sym_PLUS] = ACTIONS(773),
    [anon_sym_DASH] = ACTIONS(773),
    [anon_sym_final] = ACTIONS(773),
    [anon_sym_BANG] = ACTIONS(771),
    [anon_sym_TILDE] = ACTIONS(771),
    [anon_sym_PLUS_PLUS] = ACTIONS(771),
    [anon_sym_DASH_DASH] = ACTIONS(771),
    [anon_sym_new] = ACTIONS(773),
    [anon_sym_class] = ACTIONS(773),
    [anon_sym_switch] = ACTIONS(773),
    [anon_sym_LBRACE] = ACTIONS(771),
    [anon_sym_case] = ACTIONS(773),
    [anon_sym_default] = ACTIONS(773),
    [anon_sym_SEMI] = ACTIONS(771),
    [anon_sym_assert] = ACTIONS(773),
    [anon_sym_do] = ACTIONS(773),
    [anon_sym_while] = ACTIONS(773),
    [anon_sym_break] = ACTIONS(773),
    [anon_sym_continue] = ACTIONS(773),
    [anon_sym_return] = ACTIONS(773),
    [anon_sym_yield] = ACTIONS(773),
    [anon_sym_synchronized] = ACTIONS(773),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_if] = ACTIONS(773),
    [anon_sym_else] = ACTIONS(773),
    [anon_sym_for] = ACTIONS(773),
    [anon_sym_AT] = ACTIONS(773),
    [anon_sym_open] = ACTIONS(773),
    [anon_sym_module] = ACTIONS(773),
    [anon_sym_static] = ACTIONS(773),
    [anon_sym_with] = ACTIONS(773),
    [anon_sym_package] = ACTIONS(773),
    [anon_sym_import] = ACTIONS(773),
    [anon_sym_enum] = ACTIONS(773),
    [anon_sym_public] = ACTIONS(773),
    [anon_sym_protected] = ACTIONS(773),
    [anon_sym_private] = ACTIONS(773),
    [anon_sym_abstract] = ACTIONS(773),
    [anon_sym_strictfp] = ACTIONS(773),
    [anon_sym_native] = ACTIONS(773),
    [anon_sym_transient] = ACTIONS(773),
    [anon_sym_volatile] = ACTIONS(773),
    [anon_sym_sealed] = ACTIONS(773),
    [anon_sym_non_DASHsealed] = ACTIONS(771),
    [anon_sym_record] = ACTIONS(773),
    [anon_sym_ATinterface] = ACTIONS(771),
    [anon_sym_interface] = ACTIONS(773),
    [anon_sym_byte] = ACTIONS(773),
    [anon_sym_short] = ACTIONS(773),
    [anon_sym_int] = ACTIONS(773),
    [anon_sym_long] = ACTIONS(773),
    [anon_sym_char] = ACTIONS(773),
    [anon_sym_float] = ACTIONS(773),
    [anon_sym_double] = ACTIONS(773),
    [sym_boolean_type] = ACTIONS(773),
    [sym_void_type] = ACTIONS(773),
    [sym_this] = ACTIONS(773),
    [sym_super] = ACTIONS(773),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(775),
    [sym_identifier] = ACTIONS(777),
    [sym_decimal_integer_literal] = ACTIONS(777),
    [sym_hex_integer_literal] = ACTIONS(777),
    [sym_octal_integer_literal] = ACTIONS(777),
    [sym_binary_integer_literal] = ACTIONS(775),
    [sym_decimal_floating_point_literal] = ACTIONS(775),
    [sym_hex_floating_point_literal] = ACTIONS(777),
    [sym_true] = ACTIONS(777),
    [sym_false] = ACTIONS(777),
    [sym_character_literal] = ACTIONS(775),
    [anon_sym_DQUOTE] = ACTIONS(777),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(775),
    [anon_sym_RBRACE] = ACTIONS(775),
    [sym_null_literal] = ACTIONS(777),
    [anon_sym_LPAREN] = ACTIONS(775),
    [anon_sym_LT] = ACTIONS(775),
    [anon_sym_PLUS] = ACTIONS(777),
    [anon_sym_DASH] = ACTIONS(777),
    [anon_sym_final] = ACTIONS(777),
    [anon_sym_BANG] = ACTIONS(775),
    [anon_sym_TILDE] = ACTIONS(775),
    [anon_sym_PLUS_PLUS] = ACTIONS(775),
    [anon_sym_DASH_DASH] = ACTIONS(775),
    [anon_sym_new] = ACTIONS(777),
    [anon_sym_class] = ACTIONS(777),
    [anon_sym_switch] = ACTIONS(777),
    [anon_sym_LBRACE] = ACTIONS(775),
    [anon_sym_case] = ACTIONS(777),
    [anon_sym_default] = ACTIONS(777),
    [anon_sym_SEMI] = ACTIONS(775),
    [anon_sym_assert] = ACTIONS(777),
    [anon_sym_do] = ACTIONS(777),
    [anon_sym_while] = ACTIONS(777),
    [anon_sym_break] = ACTIONS(777),
    [anon_sym_continue] = ACTIONS(777),
    [anon_sym_return] = ACTIONS(777),
    [anon_sym_yield] = ACTIONS(777),
    [anon_sym_synchronized] = ACTIONS(777),
    [anon_sym_throw] = ACTIONS(777),
    [anon_sym_try] = ACTIONS(777),
    [anon_sym_if] = ACTIONS(777),
    [anon_sym_else] = ACTIONS(777),
    [anon_sym_for] = ACTIONS(777),
    [anon_sym_AT] = ACTIONS(777),
    [anon_sym_open] = ACTIONS(777),
    [anon_sym_module] = ACTIONS(777),
    [anon_sym_static] = ACTIONS(777),
    [anon_sym_with] = ACTIONS(777),
    [anon_sym_package] = ACTIONS(777),
    [anon_sym_import] = ACTIONS(777),
    [anon_sym_enum] = ACTIONS(777),
    [anon_sym_public] = ACTIONS(777),
    [anon_sym_protected] = ACTIONS(777),
    [anon_sym_private] = ACTIONS(777),
    [anon_sym_abstract] = ACTIONS(777),
    [anon_sym_strictfp] = ACTIONS(777),
    [anon_sym_native] = ACTIONS(777),
    [anon_sym_transient] = ACTIONS(777),
    [anon_sym_volatile] = ACTIONS(777),
    [anon_sym_sealed] = ACTIONS(777),
    [anon_sym_non_DASHsealed] = ACTIONS(775),
    [anon_sym_record] = ACTIONS(777),
    [anon_sym_ATinterface] = ACTIONS(775),
    [anon_sym_interface] = ACTIONS(777),
    [anon_sym_byte] = ACTIONS(777),
    [anon_sym_short] = ACTIONS(777),
    [anon_sym_int] = ACTIONS(777),
    [anon_sym_long] = ACTIONS(777),
    [anon_sym_char] = ACTIONS(777),
    [anon_sym_float] = ACTIONS(777),
    [anon_sym_double] = ACTIONS(777),
    [sym_boolean_type] = ACTIONS(777),
    [sym_void_type] = ACTIONS(777),
    [sym_this] = ACTIONS(777),
    [sym_super] = ACTIONS(777),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(779),
    [sym_identifier] = ACTIONS(781),
    [sym_decimal_integer_literal] = ACTIONS(781),
    [sym_hex_integer_literal] = ACTIONS(781),
    [sym_octal_integer_literal] = ACTIONS(781),
    [sym_binary_integer_literal] = ACTIONS(779),
    [sym_decimal_floating_point_literal] = ACTIONS(779),
    [sym_hex_floating_point_literal] = ACTIONS(781),
    [sym_true] = ACTIONS(781),
    [sym_false] = ACTIONS(781),
    [sym_character_literal] = ACTIONS(779),
    [anon_sym_DQUOTE] = ACTIONS(781),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(779),
    [anon_sym_RBRACE] = ACTIONS(779),
    [sym_null_literal] = ACTIONS(781),
    [anon_sym_LPAREN] = ACTIONS(779),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_PLUS] = ACTIONS(781),
    [anon_sym_DASH] = ACTIONS(781),
    [anon_sym_final] = ACTIONS(781),
    [anon_sym_BANG] = ACTIONS(779),
    [anon_sym_TILDE] = ACTIONS(779),
    [anon_sym_PLUS_PLUS] = ACTIONS(779),
    [anon_sym_DASH_DASH] = ACTIONS(779),
    [anon_sym_new] = ACTIONS(781),
    [anon_sym_class] = ACTIONS(781),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_LBRACE] = ACTIONS(779),
    [anon_sym_case] = ACTIONS(781),
    [anon_sym_default] = ACTIONS(781),
    [anon_sym_SEMI] = ACTIONS(779),
    [anon_sym_assert] = ACTIONS(781),
    [anon_sym_do] = ACTIONS(781),
    [anon_sym_while] = ACTIONS(781),
    [anon_sym_break] = ACTIONS(781),
    [anon_sym_continue] = ACTIONS(781),
    [anon_sym_return] = ACTIONS(781),
    [anon_sym_yield] = ACTIONS(781),
    [anon_sym_synchronized] = ACTIONS(781),
    [anon_sym_throw] = ACTIONS(781),
    [anon_sym_try] = ACTIONS(781),
    [anon_sym_if] = ACTIONS(781),
    [anon_sym_else] = ACTIONS(781),
    [anon_sym_for] = ACTIONS(781),
    [anon_sym_AT] = ACTIONS(781),
    [anon_sym_open] = ACTIONS(781),
    [anon_sym_module] = ACTIONS(781),
    [anon_sym_static] = ACTIONS(781),
    [anon_sym_with] = ACTIONS(781),
    [anon_sym_package] = ACTIONS(781),
    [anon_sym_import] = ACTIONS(781),
    [anon_sym_enum] = ACTIONS(781),
    [anon_sym_public] = ACTIONS(781),
    [anon_sym_protected] = ACTIONS(781),
    [anon_sym_private] = ACTIONS(781),
    [anon_sym_abstract] = ACTIONS(781),
    [anon_sym_strictfp] = ACTIONS(781),
    [anon_sym_native] = ACTIONS(781),
    [anon_sym_transient] = ACTIONS(781),
    [anon_sym_volatile] = ACTIONS(781),
    [anon_sym_sealed] = ACTIONS(781),
    [anon_sym_non_DASHsealed] = ACTIONS(779),
    [anon_sym_record] = ACTIONS(781),
    [anon_sym_ATinterface] = ACTIONS(779),
    [anon_sym_interface] = ACTIONS(781),
    [anon_sym_byte] = ACTIONS(781),
    [anon_sym_short] = ACTIONS(781),
    [anon_sym_int] = ACTIONS(781),
    [anon_sym_long] = ACTIONS(781),
    [anon_sym_char] = ACTIONS(781),
    [anon_sym_float] = ACTIONS(781),
    [anon_sym_double] = ACTIONS(781),
    [sym_boolean_type] = ACTIONS(781),
    [sym_void_type] = ACTIONS(781),
    [sym_this] = ACTIONS(781),
    [sym_super] = ACTIONS(781),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(783),
    [sym_identifier] = ACTIONS(785),
    [sym_decimal_integer_literal] = ACTIONS(785),
    [sym_hex_integer_literal] = ACTIONS(785),
    [sym_octal_integer_literal] = ACTIONS(785),
    [sym_binary_integer_literal] = ACTIONS(783),
    [sym_decimal_floating_point_literal] = ACTIONS(783),
    [sym_hex_floating_point_literal] = ACTIONS(785),
    [sym_true] = ACTIONS(785),
    [sym_false] = ACTIONS(785),
    [sym_character_literal] = ACTIONS(783),
    [anon_sym_DQUOTE] = ACTIONS(785),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(783),
    [anon_sym_RBRACE] = ACTIONS(783),
    [sym_null_literal] = ACTIONS(785),
    [anon_sym_LPAREN] = ACTIONS(783),
    [anon_sym_LT] = ACTIONS(783),
    [anon_sym_PLUS] = ACTIONS(785),
    [anon_sym_DASH] = ACTIONS(785),
    [anon_sym_final] = ACTIONS(785),
    [anon_sym_BANG] = ACTIONS(783),
    [anon_sym_TILDE] = ACTIONS(783),
    [anon_sym_PLUS_PLUS] = ACTIONS(783),
    [anon_sym_DASH_DASH] = ACTIONS(783),
    [anon_sym_new] = ACTIONS(785),
    [anon_sym_class] = ACTIONS(785),
    [anon_sym_switch] = ACTIONS(785),
    [anon_sym_LBRACE] = ACTIONS(783),
    [anon_sym_case] = ACTIONS(785),
    [anon_sym_default] = ACTIONS(785),
    [anon_sym_SEMI] = ACTIONS(783),
    [anon_sym_assert] = ACTIONS(785),
    [anon_sym_do] = ACTIONS(785),
    [anon_sym_while] = ACTIONS(785),
    [anon_sym_break] = ACTIONS(785),
    [anon_sym_continue] = ACTIONS(785),
    [anon_sym_return] = ACTIONS(785),
    [anon_sym_yield] = ACTIONS(785),
    [anon_sym_synchronized] = ACTIONS(785),
    [anon_sym_throw] = ACTIONS(785),
    [anon_sym_try] = ACTIONS(785),
    [anon_sym_if] = ACTIONS(785),
    [anon_sym_else] = ACTIONS(785),
    [anon_sym_for] = ACTIONS(785),
    [anon_sym_AT] = ACTIONS(785),
    [anon_sym_open] = ACTIONS(785),
    [anon_sym_module] = ACTIONS(785),
    [anon_sym_static] = ACTIONS(785),
    [anon_sym_with] = ACTIONS(785),
    [anon_sym_package] = ACTIONS(785),
    [anon_sym_import] = ACTIONS(785),
    [anon_sym_enum] = ACTIONS(785),
    [anon_sym_public] = ACTIONS(785),
    [anon_sym_protected] = ACTIONS(785),
    [anon_sym_private] = ACTIONS(785),
    [anon_sym_abstract] = ACTIONS(785),
    [anon_sym_strictfp] = ACTIONS(785),
    [anon_sym_native] = ACTIONS(785),
    [anon_sym_transient] = ACTIONS(785),
    [anon_sym_volatile] = ACTIONS(785),
    [anon_sym_sealed] = ACTIONS(785),
    [anon_sym_non_DASHsealed] = ACTIONS(783),
    [anon_sym_record] = ACTIONS(785),
    [anon_sym_ATinterface] = ACTIONS(783),
    [anon_sym_interface] = ACTIONS(785),
    [anon_sym_byte] = ACTIONS(785),
    [anon_sym_short] = ACTIONS(785),
    [anon_sym_int] = ACTIONS(785),
    [anon_sym_long] = ACTIONS(785),
    [anon_sym_char] = ACTIONS(785),
    [anon_sym_float] = ACTIONS(785),
    [anon_sym_double] = ACTIONS(785),
    [sym_boolean_type] = ACTIONS(785),
    [sym_void_type] = ACTIONS(785),
    [sym_this] = ACTIONS(785),
    [sym_super] = ACTIONS(785),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(787),
    [sym_identifier] = ACTIONS(789),
    [sym_decimal_integer_literal] = ACTIONS(789),
    [sym_hex_integer_literal] = ACTIONS(789),
    [sym_octal_integer_literal] = ACTIONS(789),
    [sym_binary_integer_literal] = ACTIONS(787),
    [sym_decimal_floating_point_literal] = ACTIONS(787),
    [sym_hex_floating_point_literal] = ACTIONS(789),
    [sym_true] = ACTIONS(789),
    [sym_false] = ACTIONS(789),
    [sym_character_literal] = ACTIONS(787),
    [anon_sym_DQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(787),
    [anon_sym_RBRACE] = ACTIONS(787),
    [sym_null_literal] = ACTIONS(789),
    [anon_sym_LPAREN] = ACTIONS(787),
    [anon_sym_LT] = ACTIONS(787),
    [anon_sym_PLUS] = ACTIONS(789),
    [anon_sym_DASH] = ACTIONS(789),
    [anon_sym_final] = ACTIONS(789),
    [anon_sym_BANG] = ACTIONS(787),
    [anon_sym_TILDE] = ACTIONS(787),
    [anon_sym_PLUS_PLUS] = ACTIONS(787),
    [anon_sym_DASH_DASH] = ACTIONS(787),
    [anon_sym_new] = ACTIONS(789),
    [anon_sym_class] = ACTIONS(789),
    [anon_sym_switch] = ACTIONS(789),
    [anon_sym_LBRACE] = ACTIONS(787),
    [anon_sym_case] = ACTIONS(789),
    [anon_sym_default] = ACTIONS(789),
    [anon_sym_SEMI] = ACTIONS(787),
    [anon_sym_assert] = ACTIONS(789),
    [anon_sym_do] = ACTIONS(789),
    [anon_sym_while] = ACTIONS(789),
    [anon_sym_break] = ACTIONS(789),
    [anon_sym_continue] = ACTIONS(789),
    [anon_sym_return] = ACTIONS(789),
    [anon_sym_yield] = ACTIONS(789),
    [anon_sym_synchronized] = ACTIONS(789),
    [anon_sym_throw] = ACTIONS(789),
    [anon_sym_try] = ACTIONS(789),
    [anon_sym_if] = ACTIONS(789),
    [anon_sym_else] = ACTIONS(789),
    [anon_sym_for] = ACTIONS(789),
    [anon_sym_AT] = ACTIONS(789),
    [anon_sym_open] = ACTIONS(789),
    [anon_sym_module] = ACTIONS(789),
    [anon_sym_static] = ACTIONS(789),
    [anon_sym_with] = ACTIONS(789),
    [anon_sym_package] = ACTIONS(789),
    [anon_sym_import] = ACTIONS(789),
    [anon_sym_enum] = ACTIONS(789),
    [anon_sym_public] = ACTIONS(789),
    [anon_sym_protected] = ACTIONS(789),
    [anon_sym_private] = ACTIONS(789),
    [anon_sym_abstract] = ACTIONS(789),
    [anon_sym_strictfp] = ACTIONS(789),
    [anon_sym_native] = ACTIONS(789),
    [anon_sym_transient] = ACTIONS(789),
    [anon_sym_volatile] = ACTIONS(789),
    [anon_sym_sealed] = ACTIONS(789),
    [anon_sym_non_DASHsealed] = ACTIONS(787),
    [anon_sym_record] = ACTIONS(789),
    [anon_sym_ATinterface] = ACTIONS(787),
    [anon_sym_interface] = ACTIONS(789),
    [anon_sym_byte] = ACTIONS(789),
    [anon_sym_short] = ACTIONS(789),
    [anon_sym_int] = ACTIONS(789),
    [anon_sym_long] = ACTIONS(789),
    [anon_sym_char] = ACTIONS(789),
    [anon_sym_float] = ACTIONS(789),
    [anon_sym_double] = ACTIONS(789),
    [sym_boolean_type] = ACTIONS(789),
    [sym_void_type] = ACTIONS(789),
    [sym_this] = ACTIONS(789),
    [sym_super] = ACTIONS(789),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(791),
    [sym_identifier] = ACTIONS(793),
    [sym_decimal_integer_literal] = ACTIONS(793),
    [sym_hex_integer_literal] = ACTIONS(793),
    [sym_octal_integer_literal] = ACTIONS(793),
    [sym_binary_integer_literal] = ACTIONS(791),
    [sym_decimal_floating_point_literal] = ACTIONS(791),
    [sym_hex_floating_point_literal] = ACTIONS(793),
    [sym_true] = ACTIONS(793),
    [sym_false] = ACTIONS(793),
    [sym_character_literal] = ACTIONS(791),
    [anon_sym_DQUOTE] = ACTIONS(793),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(791),
    [anon_sym_RBRACE] = ACTIONS(791),
    [sym_null_literal] = ACTIONS(793),
    [anon_sym_LPAREN] = ACTIONS(791),
    [anon_sym_LT] = ACTIONS(791),
    [anon_sym_PLUS] = ACTIONS(793),
    [anon_sym_DASH] = ACTIONS(793),
    [anon_sym_final] = ACTIONS(793),
    [anon_sym_BANG] = ACTIONS(791),
    [anon_sym_TILDE] = ACTIONS(791),
    [anon_sym_PLUS_PLUS] = ACTIONS(791),
    [anon_sym_DASH_DASH] = ACTIONS(791),
    [anon_sym_new] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(793),
    [anon_sym_switch] = ACTIONS(793),
    [anon_sym_LBRACE] = ACTIONS(791),
    [anon_sym_case] = ACTIONS(793),
    [anon_sym_default] = ACTIONS(793),
    [anon_sym_SEMI] = ACTIONS(791),
    [anon_sym_assert] = ACTIONS(793),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_while] = ACTIONS(793),
    [anon_sym_break] = ACTIONS(793),
    [anon_sym_continue] = ACTIONS(793),
    [anon_sym_return] = ACTIONS(793),
    [anon_sym_yield] = ACTIONS(793),
    [anon_sym_synchronized] = ACTIONS(793),
    [anon_sym_throw] = ACTIONS(793),
    [anon_sym_try] = ACTIONS(793),
    [anon_sym_if] = ACTIONS(793),
    [anon_sym_else] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(793),
    [anon_sym_AT] = ACTIONS(793),
    [anon_sym_open] = ACTIONS(793),
    [anon_sym_module] = ACTIONS(793),
    [anon_sym_static] = ACTIONS(793),
    [anon_sym_with] = ACTIONS(793),
    [anon_sym_package] = ACTIONS(793),
    [anon_sym_import] = ACTIONS(793),
    [anon_sym_enum] = ACTIONS(793),
    [anon_sym_public] = ACTIONS(793),
    [anon_sym_protected] = ACTIONS(793),
    [anon_sym_private] = ACTIONS(793),
    [anon_sym_abstract] = ACTIONS(793),
    [anon_sym_strictfp] = ACTIONS(793),
    [anon_sym_native] = ACTIONS(793),
    [anon_sym_transient] = ACTIONS(793),
    [anon_sym_volatile] = ACTIONS(793),
    [anon_sym_sealed] = ACTIONS(793),
    [anon_sym_non_DASHsealed] = ACTIONS(791),
    [anon_sym_record] = ACTIONS(793),
    [anon_sym_ATinterface] = ACTIONS(791),
    [anon_sym_interface] = ACTIONS(793),
    [anon_sym_byte] = ACTIONS(793),
    [anon_sym_short] = ACTIONS(793),
    [anon_sym_int] = ACTIONS(793),
    [anon_sym_long] = ACTIONS(793),
    [anon_sym_char] = ACTIONS(793),
    [anon_sym_float] = ACTIONS(793),
    [anon_sym_double] = ACTIONS(793),
    [sym_boolean_type] = ACTIONS(793),
    [sym_void_type] = ACTIONS(793),
    [sym_this] = ACTIONS(793),
    [sym_super] = ACTIONS(793),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(795),
    [sym_identifier] = ACTIONS(797),
    [sym_decimal_integer_literal] = ACTIONS(797),
    [sym_hex_integer_literal] = ACTIONS(797),
    [sym_octal_integer_literal] = ACTIONS(797),
    [sym_binary_integer_literal] = ACTIONS(795),
    [sym_decimal_floating_point_literal] = ACTIONS(795),
    [sym_hex_floating_point_literal] = ACTIONS(797),
    [sym_true] = ACTIONS(797),
    [sym_false] = ACTIONS(797),
    [sym_character_literal] = ACTIONS(795),
    [anon_sym_DQUOTE] = ACTIONS(797),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(795),
    [anon_sym_RBRACE] = ACTIONS(795),
    [sym_null_literal] = ACTIONS(797),
    [anon_sym_LPAREN] = ACTIONS(795),
    [anon_sym_LT] = ACTIONS(795),
    [anon_sym_PLUS] = ACTIONS(797),
    [anon_sym_DASH] = ACTIONS(797),
    [anon_sym_final] = ACTIONS(797),
    [anon_sym_BANG] = ACTIONS(795),
    [anon_sym_TILDE] = ACTIONS(795),
    [anon_sym_PLUS_PLUS] = ACTIONS(795),
    [anon_sym_DASH_DASH] = ACTIONS(795),
    [anon_sym_new] = ACTIONS(797),
    [anon_sym_class] = ACTIONS(797),
    [anon_sym_switch] = ACTIONS(797),
    [anon_sym_LBRACE] = ACTIONS(795),
    [anon_sym_case] = ACTIONS(797),
    [anon_sym_default] = ACTIONS(797),
    [anon_sym_SEMI] = ACTIONS(795),
    [anon_sym_assert] = ACTIONS(797),
    [anon_sym_do] = ACTIONS(797),
    [anon_sym_while] = ACTIONS(797),
    [anon_sym_break] = ACTIONS(797),
    [anon_sym_continue] = ACTIONS(797),
    [anon_sym_return] = ACTIONS(797),
    [anon_sym_yield] = ACTIONS(797),
    [anon_sym_synchronized] = ACTIONS(797),
    [anon_sym_throw] = ACTIONS(797),
    [anon_sym_try] = ACTIONS(797),
    [anon_sym_if] = ACTIONS(797),
    [anon_sym_else] = ACTIONS(797),
    [anon_sym_for] = ACTIONS(797),
    [anon_sym_AT] = ACTIONS(797),
    [anon_sym_open] = ACTIONS(797),
    [anon_sym_module] = ACTIONS(797),
    [anon_sym_static] = ACTIONS(797),
    [anon_sym_with] = ACTIONS(797),
    [anon_sym_package] = ACTIONS(797),
    [anon_sym_import] = ACTIONS(797),
    [anon_sym_enum] = ACTIONS(797),
    [anon_sym_public] = ACTIONS(797),
    [anon_sym_protected] = ACTIONS(797),
    [anon_sym_private] = ACTIONS(797),
    [anon_sym_abstract] = ACTIONS(797),
    [anon_sym_strictfp] = ACTIONS(797),
    [anon_sym_native] = ACTIONS(797),
    [anon_sym_transient] = ACTIONS(797),
    [anon_sym_volatile] = ACTIONS(797),
    [anon_sym_sealed] = ACTIONS(797),
    [anon_sym_non_DASHsealed] = ACTIONS(795),
    [anon_sym_record] = ACTIONS(797),
    [anon_sym_ATinterface] = ACTIONS(795),
    [anon_sym_interface] = ACTIONS(797),
    [anon_sym_byte] = ACTIONS(797),
    [anon_sym_short] = ACTIONS(797),
    [anon_sym_int] = ACTIONS(797),
    [anon_sym_long] = ACTIONS(797),
    [anon_sym_char] = ACTIONS(797),
    [anon_sym_float] = ACTIONS(797),
    [anon_sym_double] = ACTIONS(797),
    [sym_boolean_type] = ACTIONS(797),
    [sym_void_type] = ACTIONS(797),
    [sym_this] = ACTIONS(797),
    [sym_super] = ACTIONS(797),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(799),
    [sym_identifier] = ACTIONS(801),
    [sym_decimal_integer_literal] = ACTIONS(801),
    [sym_hex_integer_literal] = ACTIONS(801),
    [sym_octal_integer_literal] = ACTIONS(801),
    [sym_binary_integer_literal] = ACTIONS(799),
    [sym_decimal_floating_point_literal] = ACTIONS(799),
    [sym_hex_floating_point_literal] = ACTIONS(801),
    [sym_true] = ACTIONS(801),
    [sym_false] = ACTIONS(801),
    [sym_character_literal] = ACTIONS(799),
    [anon_sym_DQUOTE] = ACTIONS(801),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(799),
    [anon_sym_RBRACE] = ACTIONS(799),
    [sym_null_literal] = ACTIONS(801),
    [anon_sym_LPAREN] = ACTIONS(799),
    [anon_sym_LT] = ACTIONS(799),
    [anon_sym_PLUS] = ACTIONS(801),
    [anon_sym_DASH] = ACTIONS(801),
    [anon_sym_final] = ACTIONS(801),
    [anon_sym_BANG] = ACTIONS(799),
    [anon_sym_TILDE] = ACTIONS(799),
    [anon_sym_PLUS_PLUS] = ACTIONS(799),
    [anon_sym_DASH_DASH] = ACTIONS(799),
    [anon_sym_new] = ACTIONS(801),
    [anon_sym_class] = ACTIONS(801),
    [anon_sym_switch] = ACTIONS(801),
    [anon_sym_LBRACE] = ACTIONS(799),
    [anon_sym_case] = ACTIONS(801),
    [anon_sym_default] = ACTIONS(801),
    [anon_sym_SEMI] = ACTIONS(799),
    [anon_sym_assert] = ACTIONS(801),
    [anon_sym_do] = ACTIONS(801),
    [anon_sym_while] = ACTIONS(801),
    [anon_sym_break] = ACTIONS(801),
    [anon_sym_continue] = ACTIONS(801),
    [anon_sym_return] = ACTIONS(801),
    [anon_sym_yield] = ACTIONS(801),
    [anon_sym_synchronized] = ACTIONS(801),
    [anon_sym_throw] = ACTIONS(801),
    [anon_sym_try] = ACTIONS(801),
    [anon_sym_if] = ACTIONS(801),
    [anon_sym_else] = ACTIONS(801),
    [anon_sym_for] = ACTIONS(801),
    [anon_sym_AT] = ACTIONS(801),
    [anon_sym_open] = ACTIONS(801),
    [anon_sym_module] = ACTIONS(801),
    [anon_sym_static] = ACTIONS(801),
    [anon_sym_with] = ACTIONS(801),
    [anon_sym_package] = ACTIONS(801),
    [anon_sym_import] = ACTIONS(801),
    [anon_sym_enum] = ACTIONS(801),
    [anon_sym_public] = ACTIONS(801),
    [anon_sym_protected] = ACTIONS(801),
    [anon_sym_private] = ACTIONS(801),
    [anon_sym_abstract] = ACTIONS(801),
    [anon_sym_strictfp] = ACTIONS(801),
    [anon_sym_native] = ACTIONS(801),
    [anon_sym_transient] = ACTIONS(801),
    [anon_sym_volatile] = ACTIONS(801),
    [anon_sym_sealed] = ACTIONS(801),
    [anon_sym_non_DASHsealed] = ACTIONS(799),
    [anon_sym_record] = ACTIONS(801),
    [anon_sym_ATinterface] = ACTIONS(799),
    [anon_sym_interface] = ACTIONS(801),
    [anon_sym_byte] = ACTIONS(801),
    [anon_sym_short] = ACTIONS(801),
    [anon_sym_int] = ACTIONS(801),
    [anon_sym_long] = ACTIONS(801),
    [anon_sym_char] = ACTIONS(801),
    [anon_sym_float] = ACTIONS(801),
    [anon_sym_double] = ACTIONS(801),
    [sym_boolean_type] = ACTIONS(801),
    [sym_void_type] = ACTIONS(801),
    [sym_this] = ACTIONS(801),
    [sym_super] = ACTIONS(801),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(803),
    [sym_identifier] = ACTIONS(805),
    [sym_decimal_integer_literal] = ACTIONS(805),
    [sym_hex_integer_literal] = ACTIONS(805),
    [sym_octal_integer_literal] = ACTIONS(805),
    [sym_binary_integer_literal] = ACTIONS(803),
    [sym_decimal_floating_point_literal] = ACTIONS(803),
    [sym_hex_floating_point_literal] = ACTIONS(805),
    [sym_true] = ACTIONS(805),
    [sym_false] = ACTIONS(805),
    [sym_character_literal] = ACTIONS(803),
    [anon_sym_DQUOTE] = ACTIONS(805),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(803),
    [anon_sym_RBRACE] = ACTIONS(803),
    [sym_null_literal] = ACTIONS(805),
    [anon_sym_LPAREN] = ACTIONS(803),
    [anon_sym_LT] = ACTIONS(803),
    [anon_sym_PLUS] = ACTIONS(805),
    [anon_sym_DASH] = ACTIONS(805),
    [anon_sym_final] = ACTIONS(805),
    [anon_sym_BANG] = ACTIONS(803),
    [anon_sym_TILDE] = ACTIONS(803),
    [anon_sym_PLUS_PLUS] = ACTIONS(803),
    [anon_sym_DASH_DASH] = ACTIONS(803),
    [anon_sym_new] = ACTIONS(805),
    [anon_sym_class] = ACTIONS(805),
    [anon_sym_switch] = ACTIONS(805),
    [anon_sym_LBRACE] = ACTIONS(803),
    [anon_sym_case] = ACTIONS(805),
    [anon_sym_default] = ACTIONS(805),
    [anon_sym_SEMI] = ACTIONS(803),
    [anon_sym_assert] = ACTIONS(805),
    [anon_sym_do] = ACTIONS(805),
    [anon_sym_while] = ACTIONS(805),
    [anon_sym_break] = ACTIONS(805),
    [anon_sym_continue] = ACTIONS(805),
    [anon_sym_return] = ACTIONS(805),
    [anon_sym_yield] = ACTIONS(805),
    [anon_sym_synchronized] = ACTIONS(805),
    [anon_sym_throw] = ACTIONS(805),
    [anon_sym_try] = ACTIONS(805),
    [anon_sym_if] = ACTIONS(805),
    [anon_sym_else] = ACTIONS(805),
    [anon_sym_for] = ACTIONS(805),
    [anon_sym_AT] = ACTIONS(805),
    [anon_sym_open] = ACTIONS(805),
    [anon_sym_module] = ACTIONS(805),
    [anon_sym_static] = ACTIONS(805),
    [anon_sym_with] = ACTIONS(805),
    [anon_sym_package] = ACTIONS(805),
    [anon_sym_import] = ACTIONS(805),
    [anon_sym_enum] = ACTIONS(805),
    [anon_sym_public] = ACTIONS(805),
    [anon_sym_protected] = ACTIONS(805),
    [anon_sym_private] = ACTIONS(805),
    [anon_sym_abstract] = ACTIONS(805),
    [anon_sym_strictfp] = ACTIONS(805),
    [anon_sym_native] = ACTIONS(805),
    [anon_sym_transient] = ACTIONS(805),
    [anon_sym_volatile] = ACTIONS(805),
    [anon_sym_sealed] = ACTIONS(805),
    [anon_sym_non_DASHsealed] = ACTIONS(803),
    [anon_sym_record] = ACTIONS(805),
    [anon_sym_ATinterface] = ACTIONS(803),
    [anon_sym_interface] = ACTIONS(805),
    [anon_sym_byte] = ACTIONS(805),
    [anon_sym_short] = ACTIONS(805),
    [anon_sym_int] = ACTIONS(805),
    [anon_sym_long] = ACTIONS(805),
    [anon_sym_char] = ACTIONS(805),
    [anon_sym_float] = ACTIONS(805),
    [anon_sym_double] = ACTIONS(805),
    [sym_boolean_type] = ACTIONS(805),
    [sym_void_type] = ACTIONS(805),
    [sym_this] = ACTIONS(805),
    [sym_super] = ACTIONS(805),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(807),
    [sym_identifier] = ACTIONS(809),
    [sym_decimal_integer_literal] = ACTIONS(809),
    [sym_hex_integer_literal] = ACTIONS(809),
    [sym_octal_integer_literal] = ACTIONS(809),
    [sym_binary_integer_literal] = ACTIONS(807),
    [sym_decimal_floating_point_literal] = ACTIONS(807),
    [sym_hex_floating_point_literal] = ACTIONS(809),
    [sym_true] = ACTIONS(809),
    [sym_false] = ACTIONS(809),
    [sym_character_literal] = ACTIONS(807),
    [anon_sym_DQUOTE] = ACTIONS(809),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(807),
    [anon_sym_RBRACE] = ACTIONS(807),
    [sym_null_literal] = ACTIONS(809),
    [anon_sym_LPAREN] = ACTIONS(807),
    [anon_sym_LT] = ACTIONS(807),
    [anon_sym_PLUS] = ACTIONS(809),
    [anon_sym_DASH] = ACTIONS(809),
    [anon_sym_final] = ACTIONS(809),
    [anon_sym_BANG] = ACTIONS(807),
    [anon_sym_TILDE] = ACTIONS(807),
    [anon_sym_PLUS_PLUS] = ACTIONS(807),
    [anon_sym_DASH_DASH] = ACTIONS(807),
    [anon_sym_new] = ACTIONS(809),
    [anon_sym_class] = ACTIONS(809),
    [anon_sym_switch] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(807),
    [anon_sym_case] = ACTIONS(809),
    [anon_sym_default] = ACTIONS(809),
    [anon_sym_SEMI] = ACTIONS(807),
    [anon_sym_assert] = ACTIONS(809),
    [anon_sym_do] = ACTIONS(809),
    [anon_sym_while] = ACTIONS(809),
    [anon_sym_break] = ACTIONS(809),
    [anon_sym_continue] = ACTIONS(809),
    [anon_sym_return] = ACTIONS(809),
    [anon_sym_yield] = ACTIONS(809),
    [anon_sym_synchronized] = ACTIONS(809),
    [anon_sym_throw] = ACTIONS(809),
    [anon_sym_try] = ACTIONS(809),
    [anon_sym_if] = ACTIONS(809),
    [anon_sym_else] = ACTIONS(809),
    [anon_sym_for] = ACTIONS(809),
    [anon_sym_AT] = ACTIONS(809),
    [anon_sym_open] = ACTIONS(809),
    [anon_sym_module] = ACTIONS(809),
    [anon_sym_static] = ACTIONS(809),
    [anon_sym_with] = ACTIONS(809),
    [anon_sym_package] = ACTIONS(809),
    [anon_sym_import] = ACTIONS(809),
    [anon_sym_enum] = ACTIONS(809),
    [anon_sym_public] = ACTIONS(809),
    [anon_sym_protected] = ACTIONS(809),
    [anon_sym_private] = ACTIONS(809),
    [anon_sym_abstract] = ACTIONS(809),
    [anon_sym_strictfp] = ACTIONS(809),
    [anon_sym_native] = ACTIONS(809),
    [anon_sym_transient] = ACTIONS(809),
    [anon_sym_volatile] = ACTIONS(809),
    [anon_sym_sealed] = ACTIONS(809),
    [anon_sym_non_DASHsealed] = ACTIONS(807),
    [anon_sym_record] = ACTIONS(809),
    [anon_sym_ATinterface] = ACTIONS(807),
    [anon_sym_interface] = ACTIONS(809),
    [anon_sym_byte] = ACTIONS(809),
    [anon_sym_short] = ACTIONS(809),
    [anon_sym_int] = ACTIONS(809),
    [anon_sym_long] = ACTIONS(809),
    [anon_sym_char] = ACTIONS(809),
    [anon_sym_float] = ACTIONS(809),
    [anon_sym_double] = ACTIONS(809),
    [sym_boolean_type] = ACTIONS(809),
    [sym_void_type] = ACTIONS(809),
    [sym_this] = ACTIONS(809),
    [sym_super] = ACTIONS(809),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(811),
    [sym_identifier] = ACTIONS(813),
    [sym_decimal_integer_literal] = ACTIONS(813),
    [sym_hex_integer_literal] = ACTIONS(813),
    [sym_octal_integer_literal] = ACTIONS(813),
    [sym_binary_integer_literal] = ACTIONS(811),
    [sym_decimal_floating_point_literal] = ACTIONS(811),
    [sym_hex_floating_point_literal] = ACTIONS(813),
    [sym_true] = ACTIONS(813),
    [sym_false] = ACTIONS(813),
    [sym_character_literal] = ACTIONS(811),
    [anon_sym_DQUOTE] = ACTIONS(813),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(811),
    [anon_sym_RBRACE] = ACTIONS(811),
    [sym_null_literal] = ACTIONS(813),
    [anon_sym_LPAREN] = ACTIONS(811),
    [anon_sym_LT] = ACTIONS(811),
    [anon_sym_PLUS] = ACTIONS(813),
    [anon_sym_DASH] = ACTIONS(813),
    [anon_sym_final] = ACTIONS(813),
    [anon_sym_BANG] = ACTIONS(811),
    [anon_sym_TILDE] = ACTIONS(811),
    [anon_sym_PLUS_PLUS] = ACTIONS(811),
    [anon_sym_DASH_DASH] = ACTIONS(811),
    [anon_sym_new] = ACTIONS(813),
    [anon_sym_class] = ACTIONS(813),
    [anon_sym_switch] = ACTIONS(813),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_case] = ACTIONS(813),
    [anon_sym_default] = ACTIONS(813),
    [anon_sym_SEMI] = ACTIONS(811),
    [anon_sym_assert] = ACTIONS(813),
    [anon_sym_do] = ACTIONS(813),
    [anon_sym_while] = ACTIONS(813),
    [anon_sym_break] = ACTIONS(813),
    [anon_sym_continue] = ACTIONS(813),
    [anon_sym_return] = ACTIONS(813),
    [anon_sym_yield] = ACTIONS(813),
    [anon_sym_synchronized] = ACTIONS(813),
    [anon_sym_throw] = ACTIONS(813),
    [anon_sym_try] = ACTIONS(813),
    [anon_sym_if] = ACTIONS(813),
    [anon_sym_else] = ACTIONS(813),
    [anon_sym_for] = ACTIONS(813),
    [anon_sym_AT] = ACTIONS(813),
    [anon_sym_open] = ACTIONS(813),
    [anon_sym_module] = ACTIONS(813),
    [anon_sym_static] = ACTIONS(813),
    [anon_sym_with] = ACTIONS(813),
    [anon_sym_package] = ACTIONS(813),
    [anon_sym_import] = ACTIONS(813),
    [anon_sym_enum] = ACTIONS(813),
    [anon_sym_public] = ACTIONS(813),
    [anon_sym_protected] = ACTIONS(813),
    [anon_sym_private] = ACTIONS(813),
    [anon_sym_abstract] = ACTIONS(813),
    [anon_sym_strictfp] = ACTIONS(813),
    [anon_sym_native] = ACTIONS(813),
    [anon_sym_transient] = ACTIONS(813),
    [anon_sym_volatile] = ACTIONS(813),
    [anon_sym_sealed] = ACTIONS(813),
    [anon_sym_non_DASHsealed] = ACTIONS(811),
    [anon_sym_record] = ACTIONS(813),
    [anon_sym_ATinterface] = ACTIONS(811),
    [anon_sym_interface] = ACTIONS(813),
    [anon_sym_byte] = ACTIONS(813),
    [anon_sym_short] = ACTIONS(813),
    [anon_sym_int] = ACTIONS(813),
    [anon_sym_long] = ACTIONS(813),
    [anon_sym_char] = ACTIONS(813),
    [anon_sym_float] = ACTIONS(813),
    [anon_sym_double] = ACTIONS(813),
    [sym_boolean_type] = ACTIONS(813),
    [sym_void_type] = ACTIONS(813),
    [sym_this] = ACTIONS(813),
    [sym_super] = ACTIONS(813),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(815),
    [sym_identifier] = ACTIONS(817),
    [sym_decimal_integer_literal] = ACTIONS(817),
    [sym_hex_integer_literal] = ACTIONS(817),
    [sym_octal_integer_literal] = ACTIONS(817),
    [sym_binary_integer_literal] = ACTIONS(815),
    [sym_decimal_floating_point_literal] = ACTIONS(815),
    [sym_hex_floating_point_literal] = ACTIONS(817),
    [sym_true] = ACTIONS(817),
    [sym_false] = ACTIONS(817),
    [sym_character_literal] = ACTIONS(815),
    [anon_sym_DQUOTE] = ACTIONS(817),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(815),
    [anon_sym_RBRACE] = ACTIONS(815),
    [sym_null_literal] = ACTIONS(817),
    [anon_sym_LPAREN] = ACTIONS(815),
    [anon_sym_LT] = ACTIONS(815),
    [anon_sym_PLUS] = ACTIONS(817),
    [anon_sym_DASH] = ACTIONS(817),
    [anon_sym_final] = ACTIONS(817),
    [anon_sym_BANG] = ACTIONS(815),
    [anon_sym_TILDE] = ACTIONS(815),
    [anon_sym_PLUS_PLUS] = ACTIONS(815),
    [anon_sym_DASH_DASH] = ACTIONS(815),
    [anon_sym_new] = ACTIONS(817),
    [anon_sym_class] = ACTIONS(817),
    [anon_sym_switch] = ACTIONS(817),
    [anon_sym_LBRACE] = ACTIONS(815),
    [anon_sym_case] = ACTIONS(817),
    [anon_sym_default] = ACTIONS(817),
    [anon_sym_SEMI] = ACTIONS(815),
    [anon_sym_assert] = ACTIONS(817),
    [anon_sym_do] = ACTIONS(817),
    [anon_sym_while] = ACTIONS(817),
    [anon_sym_break] = ACTIONS(817),
    [anon_sym_continue] = ACTIONS(817),
    [anon_sym_return] = ACTIONS(817),
    [anon_sym_yield] = ACTIONS(817),
    [anon_sym_synchronized] = ACTIONS(817),
    [anon_sym_throw] = ACTIONS(817),
    [anon_sym_try] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(817),
    [anon_sym_for] = ACTIONS(817),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_open] = ACTIONS(817),
    [anon_sym_module] = ACTIONS(817),
    [anon_sym_static] = ACTIONS(817),
    [anon_sym_with] = ACTIONS(817),
    [anon_sym_package] = ACTIONS(817),
    [anon_sym_import] = ACTIONS(817),
    [anon_sym_enum] = ACTIONS(817),
    [anon_sym_public] = ACTIONS(817),
    [anon_sym_protected] = ACTIONS(817),
    [anon_sym_private] = ACTIONS(817),
    [anon_sym_abstract] = ACTIONS(817),
    [anon_sym_strictfp] = ACTIONS(817),
    [anon_sym_native] = ACTIONS(817),
    [anon_sym_transient] = ACTIONS(817),
    [anon_sym_volatile] = ACTIONS(817),
    [anon_sym_sealed] = ACTIONS(817),
    [anon_sym_non_DASHsealed] = ACTIONS(815),
    [anon_sym_record] = ACTIONS(817),
    [anon_sym_ATinterface] = ACTIONS(815),
    [anon_sym_interface] = ACTIONS(817),
    [anon_sym_byte] = ACTIONS(817),
    [anon_sym_short] = ACTIONS(817),
    [anon_sym_int] = ACTIONS(817),
    [anon_sym_long] = ACTIONS(817),
    [anon_sym_char] = ACTIONS(817),
    [anon_sym_float] = ACTIONS(817),
    [anon_sym_double] = ACTIONS(817),
    [sym_boolean_type] = ACTIONS(817),
    [sym_void_type] = ACTIONS(817),
    [sym_this] = ACTIONS(817),
    [sym_super] = ACTIONS(817),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(819),
    [sym_identifier] = ACTIONS(821),
    [sym_decimal_integer_literal] = ACTIONS(821),
    [sym_hex_integer_literal] = ACTIONS(821),
    [sym_octal_integer_literal] = ACTIONS(821),
    [sym_binary_integer_literal] = ACTIONS(819),
    [sym_decimal_floating_point_literal] = ACTIONS(819),
    [sym_hex_floating_point_literal] = ACTIONS(821),
    [sym_true] = ACTIONS(821),
    [sym_false] = ACTIONS(821),
    [sym_character_literal] = ACTIONS(819),
    [anon_sym_DQUOTE] = ACTIONS(821),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(819),
    [anon_sym_RBRACE] = ACTIONS(819),
    [sym_null_literal] = ACTIONS(821),
    [anon_sym_LPAREN] = ACTIONS(819),
    [anon_sym_LT] = ACTIONS(819),
    [anon_sym_PLUS] = ACTIONS(821),
    [anon_sym_DASH] = ACTIONS(821),
    [anon_sym_final] = ACTIONS(821),
    [anon_sym_BANG] = ACTIONS(819),
    [anon_sym_TILDE] = ACTIONS(819),
    [anon_sym_PLUS_PLUS] = ACTIONS(819),
    [anon_sym_DASH_DASH] = ACTIONS(819),
    [anon_sym_new] = ACTIONS(821),
    [anon_sym_class] = ACTIONS(821),
    [anon_sym_switch] = ACTIONS(821),
    [anon_sym_LBRACE] = ACTIONS(819),
    [anon_sym_case] = ACTIONS(821),
    [anon_sym_default] = ACTIONS(821),
    [anon_sym_SEMI] = ACTIONS(819),
    [anon_sym_assert] = ACTIONS(821),
    [anon_sym_do] = ACTIONS(821),
    [anon_sym_while] = ACTIONS(821),
    [anon_sym_break] = ACTIONS(821),
    [anon_sym_continue] = ACTIONS(821),
    [anon_sym_return] = ACTIONS(821),
    [anon_sym_yield] = ACTIONS(821),
    [anon_sym_synchronized] = ACTIONS(821),
    [anon_sym_throw] = ACTIONS(821),
    [anon_sym_try] = ACTIONS(821),
    [anon_sym_if] = ACTIONS(821),
    [anon_sym_else] = ACTIONS(821),
    [anon_sym_for] = ACTIONS(821),
    [anon_sym_AT] = ACTIONS(821),
    [anon_sym_open] = ACTIONS(821),
    [anon_sym_module] = ACTIONS(821),
    [anon_sym_static] = ACTIONS(821),
    [anon_sym_with] = ACTIONS(821),
    [anon_sym_package] = ACTIONS(821),
    [anon_sym_import] = ACTIONS(821),
    [anon_sym_enum] = ACTIONS(821),
    [anon_sym_public] = ACTIONS(821),
    [anon_sym_protected] = ACTIONS(821),
    [anon_sym_private] = ACTIONS(821),
    [anon_sym_abstract] = ACTIONS(821),
    [anon_sym_strictfp] = ACTIONS(821),
    [anon_sym_native] = ACTIONS(821),
    [anon_sym_transient] = ACTIONS(821),
    [anon_sym_volatile] = ACTIONS(821),
    [anon_sym_sealed] = ACTIONS(821),
    [anon_sym_non_DASHsealed] = ACTIONS(819),
    [anon_sym_record] = ACTIONS(821),
    [anon_sym_ATinterface] = ACTIONS(819),
    [anon_sym_interface] = ACTIONS(821),
    [anon_sym_byte] = ACTIONS(821),
    [anon_sym_short] = ACTIONS(821),
    [anon_sym_int] = ACTIONS(821),
    [anon_sym_long] = ACTIONS(821),
    [anon_sym_char] = ACTIONS(821),
    [anon_sym_float] = ACTIONS(821),
    [anon_sym_double] = ACTIONS(821),
    [sym_boolean_type] = ACTIONS(821),
    [sym_void_type] = ACTIONS(821),
    [sym_this] = ACTIONS(821),
    [sym_super] = ACTIONS(821),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(823),
    [sym_identifier] = ACTIONS(825),
    [sym_decimal_integer_literal] = ACTIONS(825),
    [sym_hex_integer_literal] = ACTIONS(825),
    [sym_octal_integer_literal] = ACTIONS(825),
    [sym_binary_integer_literal] = ACTIONS(823),
    [sym_decimal_floating_point_literal] = ACTIONS(823),
    [sym_hex_floating_point_literal] = ACTIONS(825),
    [sym_true] = ACTIONS(825),
    [sym_false] = ACTIONS(825),
    [sym_character_literal] = ACTIONS(823),
    [anon_sym_DQUOTE] = ACTIONS(825),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(823),
    [anon_sym_RBRACE] = ACTIONS(823),
    [sym_null_literal] = ACTIONS(825),
    [anon_sym_LPAREN] = ACTIONS(823),
    [anon_sym_LT] = ACTIONS(823),
    [anon_sym_PLUS] = ACTIONS(825),
    [anon_sym_DASH] = ACTIONS(825),
    [anon_sym_final] = ACTIONS(825),
    [anon_sym_BANG] = ACTIONS(823),
    [anon_sym_TILDE] = ACTIONS(823),
    [anon_sym_PLUS_PLUS] = ACTIONS(823),
    [anon_sym_DASH_DASH] = ACTIONS(823),
    [anon_sym_new] = ACTIONS(825),
    [anon_sym_class] = ACTIONS(825),
    [anon_sym_switch] = ACTIONS(825),
    [anon_sym_LBRACE] = ACTIONS(823),
    [anon_sym_case] = ACTIONS(825),
    [anon_sym_default] = ACTIONS(825),
    [anon_sym_SEMI] = ACTIONS(823),
    [anon_sym_assert] = ACTIONS(825),
    [anon_sym_do] = ACTIONS(825),
    [anon_sym_while] = ACTIONS(825),
    [anon_sym_break] = ACTIONS(825),
    [anon_sym_continue] = ACTIONS(825),
    [anon_sym_return] = ACTIONS(825),
    [anon_sym_yield] = ACTIONS(825),
    [anon_sym_synchronized] = ACTIONS(825),
    [anon_sym_throw] = ACTIONS(825),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_if] = ACTIONS(825),
    [anon_sym_else] = ACTIONS(825),
    [anon_sym_for] = ACTIONS(825),
    [anon_sym_AT] = ACTIONS(825),
    [anon_sym_open] = ACTIONS(825),
    [anon_sym_module] = ACTIONS(825),
    [anon_sym_static] = ACTIONS(825),
    [anon_sym_with] = ACTIONS(825),
    [anon_sym_package] = ACTIONS(825),
    [anon_sym_import] = ACTIONS(825),
    [anon_sym_enum] = ACTIONS(825),
    [anon_sym_public] = ACTIONS(825),
    [anon_sym_protected] = ACTIONS(825),
    [anon_sym_private] = ACTIONS(825),
    [anon_sym_abstract] = ACTIONS(825),
    [anon_sym_strictfp] = ACTIONS(825),
    [anon_sym_native] = ACTIONS(825),
    [anon_sym_transient] = ACTIONS(825),
    [anon_sym_volatile] = ACTIONS(825),
    [anon_sym_sealed] = ACTIONS(825),
    [anon_sym_non_DASHsealed] = ACTIONS(823),
    [anon_sym_record] = ACTIONS(825),
    [anon_sym_ATinterface] = ACTIONS(823),
    [anon_sym_interface] = ACTIONS(825),
    [anon_sym_byte] = ACTIONS(825),
    [anon_sym_short] = ACTIONS(825),
    [anon_sym_int] = ACTIONS(825),
    [anon_sym_long] = ACTIONS(825),
    [anon_sym_char] = ACTIONS(825),
    [anon_sym_float] = ACTIONS(825),
    [anon_sym_double] = ACTIONS(825),
    [sym_boolean_type] = ACTIONS(825),
    [sym_void_type] = ACTIONS(825),
    [sym_this] = ACTIONS(825),
    [sym_super] = ACTIONS(825),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(827),
    [sym_identifier] = ACTIONS(829),
    [sym_decimal_integer_literal] = ACTIONS(829),
    [sym_hex_integer_literal] = ACTIONS(829),
    [sym_octal_integer_literal] = ACTIONS(829),
    [sym_binary_integer_literal] = ACTIONS(827),
    [sym_decimal_floating_point_literal] = ACTIONS(827),
    [sym_hex_floating_point_literal] = ACTIONS(829),
    [sym_true] = ACTIONS(829),
    [sym_false] = ACTIONS(829),
    [sym_character_literal] = ACTIONS(827),
    [anon_sym_DQUOTE] = ACTIONS(829),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(827),
    [anon_sym_RBRACE] = ACTIONS(827),
    [sym_null_literal] = ACTIONS(829),
    [anon_sym_LPAREN] = ACTIONS(827),
    [anon_sym_LT] = ACTIONS(827),
    [anon_sym_PLUS] = ACTIONS(829),
    [anon_sym_DASH] = ACTIONS(829),
    [anon_sym_final] = ACTIONS(829),
    [anon_sym_BANG] = ACTIONS(827),
    [anon_sym_TILDE] = ACTIONS(827),
    [anon_sym_PLUS_PLUS] = ACTIONS(827),
    [anon_sym_DASH_DASH] = ACTIONS(827),
    [anon_sym_new] = ACTIONS(829),
    [anon_sym_class] = ACTIONS(829),
    [anon_sym_switch] = ACTIONS(829),
    [anon_sym_LBRACE] = ACTIONS(827),
    [anon_sym_case] = ACTIONS(829),
    [anon_sym_default] = ACTIONS(829),
    [anon_sym_SEMI] = ACTIONS(827),
    [anon_sym_assert] = ACTIONS(829),
    [anon_sym_do] = ACTIONS(829),
    [anon_sym_while] = ACTIONS(829),
    [anon_sym_break] = ACTIONS(829),
    [anon_sym_continue] = ACTIONS(829),
    [anon_sym_return] = ACTIONS(829),
    [anon_sym_yield] = ACTIONS(829),
    [anon_sym_synchronized] = ACTIONS(829),
    [anon_sym_throw] = ACTIONS(829),
    [anon_sym_try] = ACTIONS(829),
    [anon_sym_if] = ACTIONS(829),
    [anon_sym_else] = ACTIONS(829),
    [anon_sym_for] = ACTIONS(829),
    [anon_sym_AT] = ACTIONS(829),
    [anon_sym_open] = ACTIONS(829),
    [anon_sym_module] = ACTIONS(829),
    [anon_sym_static] = ACTIONS(829),
    [anon_sym_with] = ACTIONS(829),
    [anon_sym_package] = ACTIONS(829),
    [anon_sym_import] = ACTIONS(829),
    [anon_sym_enum] = ACTIONS(829),
    [anon_sym_public] = ACTIONS(829),
    [anon_sym_protected] = ACTIONS(829),
    [anon_sym_private] = ACTIONS(829),
    [anon_sym_abstract] = ACTIONS(829),
    [anon_sym_strictfp] = ACTIONS(829),
    [anon_sym_native] = ACTIONS(829),
    [anon_sym_transient] = ACTIONS(829),
    [anon_sym_volatile] = ACTIONS(829),
    [anon_sym_sealed] = ACTIONS(829),
    [anon_sym_non_DASHsealed] = ACTIONS(827),
    [anon_sym_record] = ACTIONS(829),
    [anon_sym_ATinterface] = ACTIONS(827),
    [anon_sym_interface] = ACTIONS(829),
    [anon_sym_byte] = ACTIONS(829),
    [anon_sym_short] = ACTIONS(829),
    [anon_sym_int] = ACTIONS(829),
    [anon_sym_long] = ACTIONS(829),
    [anon_sym_char] = ACTIONS(829),
    [anon_sym_float] = ACTIONS(829),
    [anon_sym_double] = ACTIONS(829),
    [sym_boolean_type] = ACTIONS(829),
    [sym_void_type] = ACTIONS(829),
    [sym_this] = ACTIONS(829),
    [sym_super] = ACTIONS(829),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(831),
    [sym_identifier] = ACTIONS(833),
    [sym_decimal_integer_literal] = ACTIONS(833),
    [sym_hex_integer_literal] = ACTIONS(833),
    [sym_octal_integer_literal] = ACTIONS(833),
    [sym_binary_integer_literal] = ACTIONS(831),
    [sym_decimal_floating_point_literal] = ACTIONS(831),
    [sym_hex_floating_point_literal] = ACTIONS(833),
    [sym_true] = ACTIONS(833),
    [sym_false] = ACTIONS(833),
    [sym_character_literal] = ACTIONS(831),
    [anon_sym_DQUOTE] = ACTIONS(833),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(831),
    [anon_sym_RBRACE] = ACTIONS(831),
    [sym_null_literal] = ACTIONS(833),
    [anon_sym_LPAREN] = ACTIONS(831),
    [anon_sym_LT] = ACTIONS(831),
    [anon_sym_PLUS] = ACTIONS(833),
    [anon_sym_DASH] = ACTIONS(833),
    [anon_sym_final] = ACTIONS(833),
    [anon_sym_BANG] = ACTIONS(831),
    [anon_sym_TILDE] = ACTIONS(831),
    [anon_sym_PLUS_PLUS] = ACTIONS(831),
    [anon_sym_DASH_DASH] = ACTIONS(831),
    [anon_sym_new] = ACTIONS(833),
    [anon_sym_class] = ACTIONS(833),
    [anon_sym_switch] = ACTIONS(833),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_case] = ACTIONS(833),
    [anon_sym_default] = ACTIONS(833),
    [anon_sym_SEMI] = ACTIONS(831),
    [anon_sym_assert] = ACTIONS(833),
    [anon_sym_do] = ACTIONS(833),
    [anon_sym_while] = ACTIONS(833),
    [anon_sym_break] = ACTIONS(833),
    [anon_sym_continue] = ACTIONS(833),
    [anon_sym_return] = ACTIONS(833),
    [anon_sym_yield] = ACTIONS(833),
    [anon_sym_synchronized] = ACTIONS(833),
    [anon_sym_throw] = ACTIONS(833),
    [anon_sym_try] = ACTIONS(833),
    [anon_sym_if] = ACTIONS(833),
    [anon_sym_else] = ACTIONS(833),
    [anon_sym_for] = ACTIONS(833),
    [anon_sym_AT] = ACTIONS(833),
    [anon_sym_open] = ACTIONS(833),
    [anon_sym_module] = ACTIONS(833),
    [anon_sym_static] = ACTIONS(833),
    [anon_sym_with] = ACTIONS(833),
    [anon_sym_package] = ACTIONS(833),
    [anon_sym_import] = ACTIONS(833),
    [anon_sym_enum] = ACTIONS(833),
    [anon_sym_public] = ACTIONS(833),
    [anon_sym_protected] = ACTIONS(833),
    [anon_sym_private] = ACTIONS(833),
    [anon_sym_abstract] = ACTIONS(833),
    [anon_sym_strictfp] = ACTIONS(833),
    [anon_sym_native] = ACTIONS(833),
    [anon_sym_transient] = ACTIONS(833),
    [anon_sym_volatile] = ACTIONS(833),
    [anon_sym_sealed] = ACTIONS(833),
    [anon_sym_non_DASHsealed] = ACTIONS(831),
    [anon_sym_record] = ACTIONS(833),
    [anon_sym_ATinterface] = ACTIONS(831),
    [anon_sym_interface] = ACTIONS(833),
    [anon_sym_byte] = ACTIONS(833),
    [anon_sym_short] = ACTIONS(833),
    [anon_sym_int] = ACTIONS(833),
    [anon_sym_long] = ACTIONS(833),
    [anon_sym_char] = ACTIONS(833),
    [anon_sym_float] = ACTIONS(833),
    [anon_sym_double] = ACTIONS(833),
    [sym_boolean_type] = ACTIONS(833),
    [sym_void_type] = ACTIONS(833),
    [sym_this] = ACTIONS(833),
    [sym_super] = ACTIONS(833),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(835),
    [sym_identifier] = ACTIONS(837),
    [sym_decimal_integer_literal] = ACTIONS(837),
    [sym_hex_integer_literal] = ACTIONS(837),
    [sym_octal_integer_literal] = ACTIONS(837),
    [sym_binary_integer_literal] = ACTIONS(835),
    [sym_decimal_floating_point_literal] = ACTIONS(835),
    [sym_hex_floating_point_literal] = ACTIONS(837),
    [sym_true] = ACTIONS(837),
    [sym_false] = ACTIONS(837),
    [sym_character_literal] = ACTIONS(835),
    [anon_sym_DQUOTE] = ACTIONS(837),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(835),
    [anon_sym_RBRACE] = ACTIONS(835),
    [sym_null_literal] = ACTIONS(837),
    [anon_sym_LPAREN] = ACTIONS(835),
    [anon_sym_LT] = ACTIONS(835),
    [anon_sym_PLUS] = ACTIONS(837),
    [anon_sym_DASH] = ACTIONS(837),
    [anon_sym_final] = ACTIONS(837),
    [anon_sym_BANG] = ACTIONS(835),
    [anon_sym_TILDE] = ACTIONS(835),
    [anon_sym_PLUS_PLUS] = ACTIONS(835),
    [anon_sym_DASH_DASH] = ACTIONS(835),
    [anon_sym_new] = ACTIONS(837),
    [anon_sym_class] = ACTIONS(837),
    [anon_sym_switch] = ACTIONS(837),
    [anon_sym_LBRACE] = ACTIONS(835),
    [anon_sym_case] = ACTIONS(837),
    [anon_sym_default] = ACTIONS(837),
    [anon_sym_SEMI] = ACTIONS(835),
    [anon_sym_assert] = ACTIONS(837),
    [anon_sym_do] = ACTIONS(837),
    [anon_sym_while] = ACTIONS(837),
    [anon_sym_break] = ACTIONS(837),
    [anon_sym_continue] = ACTIONS(837),
    [anon_sym_return] = ACTIONS(837),
    [anon_sym_yield] = ACTIONS(837),
    [anon_sym_synchronized] = ACTIONS(837),
    [anon_sym_throw] = ACTIONS(837),
    [anon_sym_try] = ACTIONS(837),
    [anon_sym_if] = ACTIONS(837),
    [anon_sym_else] = ACTIONS(837),
    [anon_sym_for] = ACTIONS(837),
    [anon_sym_AT] = ACTIONS(837),
    [anon_sym_open] = ACTIONS(837),
    [anon_sym_module] = ACTIONS(837),
    [anon_sym_static] = ACTIONS(837),
    [anon_sym_with] = ACTIONS(837),
    [anon_sym_package] = ACTIONS(837),
    [anon_sym_import] = ACTIONS(837),
    [anon_sym_enum] = ACTIONS(837),
    [anon_sym_public] = ACTIONS(837),
    [anon_sym_protected] = ACTIONS(837),
    [anon_sym_private] = ACTIONS(837),
    [anon_sym_abstract] = ACTIONS(837),
    [anon_sym_strictfp] = ACTIONS(837),
    [anon_sym_native] = ACTIONS(837),
    [anon_sym_transient] = ACTIONS(837),
    [anon_sym_volatile] = ACTIONS(837),
    [anon_sym_sealed] = ACTIONS(837),
    [anon_sym_non_DASHsealed] = ACTIONS(835),
    [anon_sym_record] = ACTIONS(837),
    [anon_sym_ATinterface] = ACTIONS(835),
    [anon_sym_interface] = ACTIONS(837),
    [anon_sym_byte] = ACTIONS(837),
    [anon_sym_short] = ACTIONS(837),
    [anon_sym_int] = ACTIONS(837),
    [anon_sym_long] = ACTIONS(837),
    [anon_sym_char] = ACTIONS(837),
    [anon_sym_float] = ACTIONS(837),
    [anon_sym_double] = ACTIONS(837),
    [sym_boolean_type] = ACTIONS(837),
    [sym_void_type] = ACTIONS(837),
    [sym_this] = ACTIONS(837),
    [sym_super] = ACTIONS(837),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(839),
    [sym_identifier] = ACTIONS(841),
    [sym_decimal_integer_literal] = ACTIONS(841),
    [sym_hex_integer_literal] = ACTIONS(841),
    [sym_octal_integer_literal] = ACTIONS(841),
    [sym_binary_integer_literal] = ACTIONS(839),
    [sym_decimal_floating_point_literal] = ACTIONS(839),
    [sym_hex_floating_point_literal] = ACTIONS(841),
    [sym_true] = ACTIONS(841),
    [sym_false] = ACTIONS(841),
    [sym_character_literal] = ACTIONS(839),
    [anon_sym_DQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(839),
    [anon_sym_RBRACE] = ACTIONS(839),
    [sym_null_literal] = ACTIONS(841),
    [anon_sym_LPAREN] = ACTIONS(839),
    [anon_sym_LT] = ACTIONS(839),
    [anon_sym_PLUS] = ACTIONS(841),
    [anon_sym_DASH] = ACTIONS(841),
    [anon_sym_final] = ACTIONS(841),
    [anon_sym_BANG] = ACTIONS(839),
    [anon_sym_TILDE] = ACTIONS(839),
    [anon_sym_PLUS_PLUS] = ACTIONS(839),
    [anon_sym_DASH_DASH] = ACTIONS(839),
    [anon_sym_new] = ACTIONS(841),
    [anon_sym_class] = ACTIONS(841),
    [anon_sym_switch] = ACTIONS(841),
    [anon_sym_LBRACE] = ACTIONS(839),
    [anon_sym_case] = ACTIONS(841),
    [anon_sym_default] = ACTIONS(841),
    [anon_sym_SEMI] = ACTIONS(839),
    [anon_sym_assert] = ACTIONS(841),
    [anon_sym_do] = ACTIONS(841),
    [anon_sym_while] = ACTIONS(841),
    [anon_sym_break] = ACTIONS(841),
    [anon_sym_continue] = ACTIONS(841),
    [anon_sym_return] = ACTIONS(841),
    [anon_sym_yield] = ACTIONS(841),
    [anon_sym_synchronized] = ACTIONS(841),
    [anon_sym_throw] = ACTIONS(841),
    [anon_sym_try] = ACTIONS(841),
    [anon_sym_if] = ACTIONS(841),
    [anon_sym_else] = ACTIONS(841),
    [anon_sym_for] = ACTIONS(841),
    [anon_sym_AT] = ACTIONS(841),
    [anon_sym_open] = ACTIONS(841),
    [anon_sym_module] = ACTIONS(841),
    [anon_sym_static] = ACTIONS(841),
    [anon_sym_with] = ACTIONS(841),
    [anon_sym_package] = ACTIONS(841),
    [anon_sym_import] = ACTIONS(841),
    [anon_sym_enum] = ACTIONS(841),
    [anon_sym_public] = ACTIONS(841),
    [anon_sym_protected] = ACTIONS(841),
    [anon_sym_private] = ACTIONS(841),
    [anon_sym_abstract] = ACTIONS(841),
    [anon_sym_strictfp] = ACTIONS(841),
    [anon_sym_native] = ACTIONS(841),
    [anon_sym_transient] = ACTIONS(841),
    [anon_sym_volatile] = ACTIONS(841),
    [anon_sym_sealed] = ACTIONS(841),
    [anon_sym_non_DASHsealed] = ACTIONS(839),
    [anon_sym_record] = ACTIONS(841),
    [anon_sym_ATinterface] = ACTIONS(839),
    [anon_sym_interface] = ACTIONS(841),
    [anon_sym_byte] = ACTIONS(841),
    [anon_sym_short] = ACTIONS(841),
    [anon_sym_int] = ACTIONS(841),
    [anon_sym_long] = ACTIONS(841),
    [anon_sym_char] = ACTIONS(841),
    [anon_sym_float] = ACTIONS(841),
    [anon_sym_double] = ACTIONS(841),
    [sym_boolean_type] = ACTIONS(841),
    [sym_void_type] = ACTIONS(841),
    [sym_this] = ACTIONS(841),
    [sym_super] = ACTIONS(841),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(843),
    [sym_identifier] = ACTIONS(845),
    [sym_decimal_integer_literal] = ACTIONS(845),
    [sym_hex_integer_literal] = ACTIONS(845),
    [sym_octal_integer_literal] = ACTIONS(845),
    [sym_binary_integer_literal] = ACTIONS(843),
    [sym_decimal_floating_point_literal] = ACTIONS(843),
    [sym_hex_floating_point_literal] = ACTIONS(845),
    [sym_true] = ACTIONS(845),
    [sym_false] = ACTIONS(845),
    [sym_character_literal] = ACTIONS(843),
    [anon_sym_DQUOTE] = ACTIONS(845),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(843),
    [anon_sym_RBRACE] = ACTIONS(843),
    [sym_null_literal] = ACTIONS(845),
    [anon_sym_LPAREN] = ACTIONS(843),
    [anon_sym_LT] = ACTIONS(843),
    [anon_sym_PLUS] = ACTIONS(845),
    [anon_sym_DASH] = ACTIONS(845),
    [anon_sym_final] = ACTIONS(845),
    [anon_sym_BANG] = ACTIONS(843),
    [anon_sym_TILDE] = ACTIONS(843),
    [anon_sym_PLUS_PLUS] = ACTIONS(843),
    [anon_sym_DASH_DASH] = ACTIONS(843),
    [anon_sym_new] = ACTIONS(845),
    [anon_sym_class] = ACTIONS(845),
    [anon_sym_switch] = ACTIONS(845),
    [anon_sym_LBRACE] = ACTIONS(843),
    [anon_sym_case] = ACTIONS(845),
    [anon_sym_default] = ACTIONS(845),
    [anon_sym_SEMI] = ACTIONS(843),
    [anon_sym_assert] = ACTIONS(845),
    [anon_sym_do] = ACTIONS(845),
    [anon_sym_while] = ACTIONS(845),
    [anon_sym_break] = ACTIONS(845),
    [anon_sym_continue] = ACTIONS(845),
    [anon_sym_return] = ACTIONS(845),
    [anon_sym_yield] = ACTIONS(845),
    [anon_sym_synchronized] = ACTIONS(845),
    [anon_sym_throw] = ACTIONS(845),
    [anon_sym_try] = ACTIONS(845),
    [anon_sym_if] = ACTIONS(845),
    [anon_sym_else] = ACTIONS(845),
    [anon_sym_for] = ACTIONS(845),
    [anon_sym_AT] = ACTIONS(845),
    [anon_sym_open] = ACTIONS(845),
    [anon_sym_module] = ACTIONS(845),
    [anon_sym_static] = ACTIONS(845),
    [anon_sym_with] = ACTIONS(845),
    [anon_sym_package] = ACTIONS(845),
    [anon_sym_import] = ACTIONS(845),
    [anon_sym_enum] = ACTIONS(845),
    [anon_sym_public] = ACTIONS(845),
    [anon_sym_protected] = ACTIONS(845),
    [anon_sym_private] = ACTIONS(845),
    [anon_sym_abstract] = ACTIONS(845),
    [anon_sym_strictfp] = ACTIONS(845),
    [anon_sym_native] = ACTIONS(845),
    [anon_sym_transient] = ACTIONS(845),
    [anon_sym_volatile] = ACTIONS(845),
    [anon_sym_sealed] = ACTIONS(845),
    [anon_sym_non_DASHsealed] = ACTIONS(843),
    [anon_sym_record] = ACTIONS(845),
    [anon_sym_ATinterface] = ACTIONS(843),
    [anon_sym_interface] = ACTIONS(845),
    [anon_sym_byte] = ACTIONS(845),
    [anon_sym_short] = ACTIONS(845),
    [anon_sym_int] = ACTIONS(845),
    [anon_sym_long] = ACTIONS(845),
    [anon_sym_char] = ACTIONS(845),
    [anon_sym_float] = ACTIONS(845),
    [anon_sym_double] = ACTIONS(845),
    [sym_boolean_type] = ACTIONS(845),
    [sym_void_type] = ACTIONS(845),
    [sym_this] = ACTIONS(845),
    [sym_super] = ACTIONS(845),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(847),
    [sym_identifier] = ACTIONS(849),
    [sym_decimal_integer_literal] = ACTIONS(849),
    [sym_hex_integer_literal] = ACTIONS(849),
    [sym_octal_integer_literal] = ACTIONS(849),
    [sym_binary_integer_literal] = ACTIONS(847),
    [sym_decimal_floating_point_literal] = ACTIONS(847),
    [sym_hex_floating_point_literal] = ACTIONS(849),
    [sym_true] = ACTIONS(849),
    [sym_false] = ACTIONS(849),
    [sym_character_literal] = ACTIONS(847),
    [anon_sym_DQUOTE] = ACTIONS(849),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(847),
    [anon_sym_RBRACE] = ACTIONS(847),
    [sym_null_literal] = ACTIONS(849),
    [anon_sym_LPAREN] = ACTIONS(847),
    [anon_sym_LT] = ACTIONS(847),
    [anon_sym_PLUS] = ACTIONS(849),
    [anon_sym_DASH] = ACTIONS(849),
    [anon_sym_final] = ACTIONS(849),
    [anon_sym_BANG] = ACTIONS(847),
    [anon_sym_TILDE] = ACTIONS(847),
    [anon_sym_PLUS_PLUS] = ACTIONS(847),
    [anon_sym_DASH_DASH] = ACTIONS(847),
    [anon_sym_new] = ACTIONS(849),
    [anon_sym_class] = ACTIONS(849),
    [anon_sym_switch] = ACTIONS(849),
    [anon_sym_LBRACE] = ACTIONS(847),
    [anon_sym_case] = ACTIONS(849),
    [anon_sym_default] = ACTIONS(849),
    [anon_sym_SEMI] = ACTIONS(847),
    [anon_sym_assert] = ACTIONS(849),
    [anon_sym_do] = ACTIONS(849),
    [anon_sym_while] = ACTIONS(849),
    [anon_sym_break] = ACTIONS(849),
    [anon_sym_continue] = ACTIONS(849),
    [anon_sym_return] = ACTIONS(849),
    [anon_sym_yield] = ACTIONS(849),
    [anon_sym_synchronized] = ACTIONS(849),
    [anon_sym_throw] = ACTIONS(849),
    [anon_sym_try] = ACTIONS(849),
    [anon_sym_if] = ACTIONS(849),
    [anon_sym_else] = ACTIONS(849),
    [anon_sym_for] = ACTIONS(849),
    [anon_sym_AT] = ACTIONS(849),
    [anon_sym_open] = ACTIONS(849),
    [anon_sym_module] = ACTIONS(849),
    [anon_sym_static] = ACTIONS(849),
    [anon_sym_with] = ACTIONS(849),
    [anon_sym_package] = ACTIONS(849),
    [anon_sym_import] = ACTIONS(849),
    [anon_sym_enum] = ACTIONS(849),
    [anon_sym_public] = ACTIONS(849),
    [anon_sym_protected] = ACTIONS(849),
    [anon_sym_private] = ACTIONS(849),
    [anon_sym_abstract] = ACTIONS(849),
    [anon_sym_strictfp] = ACTIONS(849),
    [anon_sym_native] = ACTIONS(849),
    [anon_sym_transient] = ACTIONS(849),
    [anon_sym_volatile] = ACTIONS(849),
    [anon_sym_sealed] = ACTIONS(849),
    [anon_sym_non_DASHsealed] = ACTIONS(847),
    [anon_sym_record] = ACTIONS(849),
    [anon_sym_ATinterface] = ACTIONS(847),
    [anon_sym_interface] = ACTIONS(849),
    [anon_sym_byte] = ACTIONS(849),
    [anon_sym_short] = ACTIONS(849),
    [anon_sym_int] = ACTIONS(849),
    [anon_sym_long] = ACTIONS(849),
    [anon_sym_char] = ACTIONS(849),
    [anon_sym_float] = ACTIONS(849),
    [anon_sym_double] = ACTIONS(849),
    [sym_boolean_type] = ACTIONS(849),
    [sym_void_type] = ACTIONS(849),
    [sym_this] = ACTIONS(849),
    [sym_super] = ACTIONS(849),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(851),
    [sym_identifier] = ACTIONS(853),
    [sym_decimal_integer_literal] = ACTIONS(853),
    [sym_hex_integer_literal] = ACTIONS(853),
    [sym_octal_integer_literal] = ACTIONS(853),
    [sym_binary_integer_literal] = ACTIONS(851),
    [sym_decimal_floating_point_literal] = ACTIONS(851),
    [sym_hex_floating_point_literal] = ACTIONS(853),
    [sym_true] = ACTIONS(853),
    [sym_false] = ACTIONS(853),
    [sym_character_literal] = ACTIONS(851),
    [anon_sym_DQUOTE] = ACTIONS(853),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(851),
    [anon_sym_RBRACE] = ACTIONS(851),
    [sym_null_literal] = ACTIONS(853),
    [anon_sym_LPAREN] = ACTIONS(851),
    [anon_sym_LT] = ACTIONS(851),
    [anon_sym_PLUS] = ACTIONS(853),
    [anon_sym_DASH] = ACTIONS(853),
    [anon_sym_final] = ACTIONS(853),
    [anon_sym_BANG] = ACTIONS(851),
    [anon_sym_TILDE] = ACTIONS(851),
    [anon_sym_PLUS_PLUS] = ACTIONS(851),
    [anon_sym_DASH_DASH] = ACTIONS(851),
    [anon_sym_new] = ACTIONS(853),
    [anon_sym_class] = ACTIONS(853),
    [anon_sym_switch] = ACTIONS(853),
    [anon_sym_LBRACE] = ACTIONS(851),
    [anon_sym_case] = ACTIONS(853),
    [anon_sym_default] = ACTIONS(853),
    [anon_sym_SEMI] = ACTIONS(851),
    [anon_sym_assert] = ACTIONS(853),
    [anon_sym_do] = ACTIONS(853),
    [anon_sym_while] = ACTIONS(853),
    [anon_sym_break] = ACTIONS(853),
    [anon_sym_continue] = ACTIONS(853),
    [anon_sym_return] = ACTIONS(853),
    [anon_sym_yield] = ACTIONS(853),
    [anon_sym_synchronized] = ACTIONS(853),
    [anon_sym_throw] = ACTIONS(853),
    [anon_sym_try] = ACTIONS(853),
    [anon_sym_if] = ACTIONS(853),
    [anon_sym_else] = ACTIONS(853),
    [anon_sym_for] = ACTIONS(853),
    [anon_sym_AT] = ACTIONS(853),
    [anon_sym_open] = ACTIONS(853),
    [anon_sym_module] = ACTIONS(853),
    [anon_sym_static] = ACTIONS(853),
    [anon_sym_with] = ACTIONS(853),
    [anon_sym_package] = ACTIONS(853),
    [anon_sym_import] = ACTIONS(853),
    [anon_sym_enum] = ACTIONS(853),
    [anon_sym_public] = ACTIONS(853),
    [anon_sym_protected] = ACTIONS(853),
    [anon_sym_private] = ACTIONS(853),
    [anon_sym_abstract] = ACTIONS(853),
    [anon_sym_strictfp] = ACTIONS(853),
    [anon_sym_native] = ACTIONS(853),
    [anon_sym_transient] = ACTIONS(853),
    [anon_sym_volatile] = ACTIONS(853),
    [anon_sym_sealed] = ACTIONS(853),
    [anon_sym_non_DASHsealed] = ACTIONS(851),
    [anon_sym_record] = ACTIONS(853),
    [anon_sym_ATinterface] = ACTIONS(851),
    [anon_sym_interface] = ACTIONS(853),
    [anon_sym_byte] = ACTIONS(853),
    [anon_sym_short] = ACTIONS(853),
    [anon_sym_int] = ACTIONS(853),
    [anon_sym_long] = ACTIONS(853),
    [anon_sym_char] = ACTIONS(853),
    [anon_sym_float] = ACTIONS(853),
    [anon_sym_double] = ACTIONS(853),
    [sym_boolean_type] = ACTIONS(853),
    [sym_void_type] = ACTIONS(853),
    [sym_this] = ACTIONS(853),
    [sym_super] = ACTIONS(853),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(855),
    [sym_identifier] = ACTIONS(857),
    [sym_decimal_integer_literal] = ACTIONS(857),
    [sym_hex_integer_literal] = ACTIONS(857),
    [sym_octal_integer_literal] = ACTIONS(857),
    [sym_binary_integer_literal] = ACTIONS(855),
    [sym_decimal_floating_point_literal] = ACTIONS(855),
    [sym_hex_floating_point_literal] = ACTIONS(857),
    [sym_true] = ACTIONS(857),
    [sym_false] = ACTIONS(857),
    [sym_character_literal] = ACTIONS(855),
    [anon_sym_DQUOTE] = ACTIONS(857),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(855),
    [anon_sym_RBRACE] = ACTIONS(855),
    [sym_null_literal] = ACTIONS(857),
    [anon_sym_LPAREN] = ACTIONS(855),
    [anon_sym_LT] = ACTIONS(855),
    [anon_sym_PLUS] = ACTIONS(857),
    [anon_sym_DASH] = ACTIONS(857),
    [anon_sym_final] = ACTIONS(857),
    [anon_sym_BANG] = ACTIONS(855),
    [anon_sym_TILDE] = ACTIONS(855),
    [anon_sym_PLUS_PLUS] = ACTIONS(855),
    [anon_sym_DASH_DASH] = ACTIONS(855),
    [anon_sym_new] = ACTIONS(857),
    [anon_sym_class] = ACTIONS(857),
    [anon_sym_switch] = ACTIONS(857),
    [anon_sym_LBRACE] = ACTIONS(855),
    [anon_sym_case] = ACTIONS(857),
    [anon_sym_default] = ACTIONS(857),
    [anon_sym_SEMI] = ACTIONS(855),
    [anon_sym_assert] = ACTIONS(857),
    [anon_sym_do] = ACTIONS(857),
    [anon_sym_while] = ACTIONS(857),
    [anon_sym_break] = ACTIONS(857),
    [anon_sym_continue] = ACTIONS(857),
    [anon_sym_return] = ACTIONS(857),
    [anon_sym_yield] = ACTIONS(857),
    [anon_sym_synchronized] = ACTIONS(857),
    [anon_sym_throw] = ACTIONS(857),
    [anon_sym_try] = ACTIONS(857),
    [anon_sym_if] = ACTIONS(857),
    [anon_sym_else] = ACTIONS(857),
    [anon_sym_for] = ACTIONS(857),
    [anon_sym_AT] = ACTIONS(857),
    [anon_sym_open] = ACTIONS(857),
    [anon_sym_module] = ACTIONS(857),
    [anon_sym_static] = ACTIONS(857),
    [anon_sym_with] = ACTIONS(857),
    [anon_sym_package] = ACTIONS(857),
    [anon_sym_import] = ACTIONS(857),
    [anon_sym_enum] = ACTIONS(857),
    [anon_sym_public] = ACTIONS(857),
    [anon_sym_protected] = ACTIONS(857),
    [anon_sym_private] = ACTIONS(857),
    [anon_sym_abstract] = ACTIONS(857),
    [anon_sym_strictfp] = ACTIONS(857),
    [anon_sym_native] = ACTIONS(857),
    [anon_sym_transient] = ACTIONS(857),
    [anon_sym_volatile] = ACTIONS(857),
    [anon_sym_sealed] = ACTIONS(857),
    [anon_sym_non_DASHsealed] = ACTIONS(855),
    [anon_sym_record] = ACTIONS(857),
    [anon_sym_ATinterface] = ACTIONS(855),
    [anon_sym_interface] = ACTIONS(857),
    [anon_sym_byte] = ACTIONS(857),
    [anon_sym_short] = ACTIONS(857),
    [anon_sym_int] = ACTIONS(857),
    [anon_sym_long] = ACTIONS(857),
    [anon_sym_char] = ACTIONS(857),
    [anon_sym_float] = ACTIONS(857),
    [anon_sym_double] = ACTIONS(857),
    [sym_boolean_type] = ACTIONS(857),
    [sym_void_type] = ACTIONS(857),
    [sym_this] = ACTIONS(857),
    [sym_super] = ACTIONS(857),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(859),
    [sym_identifier] = ACTIONS(861),
    [sym_decimal_integer_literal] = ACTIONS(861),
    [sym_hex_integer_literal] = ACTIONS(861),
    [sym_octal_integer_literal] = ACTIONS(861),
    [sym_binary_integer_literal] = ACTIONS(859),
    [sym_decimal_floating_point_literal] = ACTIONS(859),
    [sym_hex_floating_point_literal] = ACTIONS(861),
    [sym_true] = ACTIONS(861),
    [sym_false] = ACTIONS(861),
    [sym_character_literal] = ACTIONS(859),
    [anon_sym_DQUOTE] = ACTIONS(861),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(859),
    [anon_sym_RBRACE] = ACTIONS(859),
    [sym_null_literal] = ACTIONS(861),
    [anon_sym_LPAREN] = ACTIONS(859),
    [anon_sym_LT] = ACTIONS(859),
    [anon_sym_PLUS] = ACTIONS(861),
    [anon_sym_DASH] = ACTIONS(861),
    [anon_sym_final] = ACTIONS(861),
    [anon_sym_BANG] = ACTIONS(859),
    [anon_sym_TILDE] = ACTIONS(859),
    [anon_sym_PLUS_PLUS] = ACTIONS(859),
    [anon_sym_DASH_DASH] = ACTIONS(859),
    [anon_sym_new] = ACTIONS(861),
    [anon_sym_class] = ACTIONS(861),
    [anon_sym_switch] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(859),
    [anon_sym_case] = ACTIONS(861),
    [anon_sym_default] = ACTIONS(861),
    [anon_sym_SEMI] = ACTIONS(859),
    [anon_sym_assert] = ACTIONS(861),
    [anon_sym_do] = ACTIONS(861),
    [anon_sym_while] = ACTIONS(861),
    [anon_sym_break] = ACTIONS(861),
    [anon_sym_continue] = ACTIONS(861),
    [anon_sym_return] = ACTIONS(861),
    [anon_sym_yield] = ACTIONS(861),
    [anon_sym_synchronized] = ACTIONS(861),
    [anon_sym_throw] = ACTIONS(861),
    [anon_sym_try] = ACTIONS(861),
    [anon_sym_if] = ACTIONS(861),
    [anon_sym_else] = ACTIONS(861),
    [anon_sym_for] = ACTIONS(861),
    [anon_sym_AT] = ACTIONS(861),
    [anon_sym_open] = ACTIONS(861),
    [anon_sym_module] = ACTIONS(861),
    [anon_sym_static] = ACTIONS(861),
    [anon_sym_with] = ACTIONS(861),
    [anon_sym_package] = ACTIONS(861),
    [anon_sym_import] = ACTIONS(861),
    [anon_sym_enum] = ACTIONS(861),
    [anon_sym_public] = ACTIONS(861),
    [anon_sym_protected] = ACTIONS(861),
    [anon_sym_private] = ACTIONS(861),
    [anon_sym_abstract] = ACTIONS(861),
    [anon_sym_strictfp] = ACTIONS(861),
    [anon_sym_native] = ACTIONS(861),
    [anon_sym_transient] = ACTIONS(861),
    [anon_sym_volatile] = ACTIONS(861),
    [anon_sym_sealed] = ACTIONS(861),
    [anon_sym_non_DASHsealed] = ACTIONS(859),
    [anon_sym_record] = ACTIONS(861),
    [anon_sym_ATinterface] = ACTIONS(859),
    [anon_sym_interface] = ACTIONS(861),
    [anon_sym_byte] = ACTIONS(861),
    [anon_sym_short] = ACTIONS(861),
    [anon_sym_int] = ACTIONS(861),
    [anon_sym_long] = ACTIONS(861),
    [anon_sym_char] = ACTIONS(861),
    [anon_sym_float] = ACTIONS(861),
    [anon_sym_double] = ACTIONS(861),
    [sym_boolean_type] = ACTIONS(861),
    [sym_void_type] = ACTIONS(861),
    [sym_this] = ACTIONS(861),
    [sym_super] = ACTIONS(861),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(863),
    [sym_identifier] = ACTIONS(865),
    [sym_decimal_integer_literal] = ACTIONS(865),
    [sym_hex_integer_literal] = ACTIONS(865),
    [sym_octal_integer_literal] = ACTIONS(865),
    [sym_binary_integer_literal] = ACTIONS(863),
    [sym_decimal_floating_point_literal] = ACTIONS(863),
    [sym_hex_floating_point_literal] = ACTIONS(865),
    [sym_true] = ACTIONS(865),
    [sym_false] = ACTIONS(865),
    [sym_character_literal] = ACTIONS(863),
    [anon_sym_DQUOTE] = ACTIONS(865),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(863),
    [anon_sym_RBRACE] = ACTIONS(863),
    [sym_null_literal] = ACTIONS(865),
    [anon_sym_LPAREN] = ACTIONS(863),
    [anon_sym_LT] = ACTIONS(863),
    [anon_sym_PLUS] = ACTIONS(865),
    [anon_sym_DASH] = ACTIONS(865),
    [anon_sym_final] = ACTIONS(865),
    [anon_sym_BANG] = ACTIONS(863),
    [anon_sym_TILDE] = ACTIONS(863),
    [anon_sym_PLUS_PLUS] = ACTIONS(863),
    [anon_sym_DASH_DASH] = ACTIONS(863),
    [anon_sym_new] = ACTIONS(865),
    [anon_sym_class] = ACTIONS(865),
    [anon_sym_switch] = ACTIONS(865),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_case] = ACTIONS(865),
    [anon_sym_default] = ACTIONS(865),
    [anon_sym_SEMI] = ACTIONS(863),
    [anon_sym_assert] = ACTIONS(865),
    [anon_sym_do] = ACTIONS(865),
    [anon_sym_while] = ACTIONS(865),
    [anon_sym_break] = ACTIONS(865),
    [anon_sym_continue] = ACTIONS(865),
    [anon_sym_return] = ACTIONS(865),
    [anon_sym_yield] = ACTIONS(865),
    [anon_sym_synchronized] = ACTIONS(865),
    [anon_sym_throw] = ACTIONS(865),
    [anon_sym_try] = ACTIONS(865),
    [anon_sym_if] = ACTIONS(865),
    [anon_sym_else] = ACTIONS(865),
    [anon_sym_for] = ACTIONS(865),
    [anon_sym_AT] = ACTIONS(865),
    [anon_sym_open] = ACTIONS(865),
    [anon_sym_module] = ACTIONS(865),
    [anon_sym_static] = ACTIONS(865),
    [anon_sym_with] = ACTIONS(865),
    [anon_sym_package] = ACTIONS(865),
    [anon_sym_import] = ACTIONS(865),
    [anon_sym_enum] = ACTIONS(865),
    [anon_sym_public] = ACTIONS(865),
    [anon_sym_protected] = ACTIONS(865),
    [anon_sym_private] = ACTIONS(865),
    [anon_sym_abstract] = ACTIONS(865),
    [anon_sym_strictfp] = ACTIONS(865),
    [anon_sym_native] = ACTIONS(865),
    [anon_sym_transient] = ACTIONS(865),
    [anon_sym_volatile] = ACTIONS(865),
    [anon_sym_sealed] = ACTIONS(865),
    [anon_sym_non_DASHsealed] = ACTIONS(863),
    [anon_sym_record] = ACTIONS(865),
    [anon_sym_ATinterface] = ACTIONS(863),
    [anon_sym_interface] = ACTIONS(865),
    [anon_sym_byte] = ACTIONS(865),
    [anon_sym_short] = ACTIONS(865),
    [anon_sym_int] = ACTIONS(865),
    [anon_sym_long] = ACTIONS(865),
    [anon_sym_char] = ACTIONS(865),
    [anon_sym_float] = ACTIONS(865),
    [anon_sym_double] = ACTIONS(865),
    [sym_boolean_type] = ACTIONS(865),
    [sym_void_type] = ACTIONS(865),
    [sym_this] = ACTIONS(865),
    [sym_super] = ACTIONS(865),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(867),
    [sym_identifier] = ACTIONS(869),
    [sym_decimal_integer_literal] = ACTIONS(869),
    [sym_hex_integer_literal] = ACTIONS(869),
    [sym_octal_integer_literal] = ACTIONS(869),
    [sym_binary_integer_literal] = ACTIONS(867),
    [sym_decimal_floating_point_literal] = ACTIONS(867),
    [sym_hex_floating_point_literal] = ACTIONS(869),
    [sym_true] = ACTIONS(869),
    [sym_false] = ACTIONS(869),
    [sym_character_literal] = ACTIONS(867),
    [anon_sym_DQUOTE] = ACTIONS(869),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(867),
    [anon_sym_RBRACE] = ACTIONS(867),
    [sym_null_literal] = ACTIONS(869),
    [anon_sym_LPAREN] = ACTIONS(867),
    [anon_sym_LT] = ACTIONS(867),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_final] = ACTIONS(869),
    [anon_sym_BANG] = ACTIONS(867),
    [anon_sym_TILDE] = ACTIONS(867),
    [anon_sym_PLUS_PLUS] = ACTIONS(867),
    [anon_sym_DASH_DASH] = ACTIONS(867),
    [anon_sym_new] = ACTIONS(869),
    [anon_sym_class] = ACTIONS(869),
    [anon_sym_switch] = ACTIONS(869),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_case] = ACTIONS(869),
    [anon_sym_default] = ACTIONS(869),
    [anon_sym_SEMI] = ACTIONS(867),
    [anon_sym_assert] = ACTIONS(869),
    [anon_sym_do] = ACTIONS(869),
    [anon_sym_while] = ACTIONS(869),
    [anon_sym_break] = ACTIONS(869),
    [anon_sym_continue] = ACTIONS(869),
    [anon_sym_return] = ACTIONS(869),
    [anon_sym_yield] = ACTIONS(869),
    [anon_sym_synchronized] = ACTIONS(869),
    [anon_sym_throw] = ACTIONS(869),
    [anon_sym_try] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(869),
    [anon_sym_for] = ACTIONS(869),
    [anon_sym_AT] = ACTIONS(869),
    [anon_sym_open] = ACTIONS(869),
    [anon_sym_module] = ACTIONS(869),
    [anon_sym_static] = ACTIONS(869),
    [anon_sym_with] = ACTIONS(869),
    [anon_sym_package] = ACTIONS(869),
    [anon_sym_import] = ACTIONS(869),
    [anon_sym_enum] = ACTIONS(869),
    [anon_sym_public] = ACTIONS(869),
    [anon_sym_protected] = ACTIONS(869),
    [anon_sym_private] = ACTIONS(869),
    [anon_sym_abstract] = ACTIONS(869),
    [anon_sym_strictfp] = ACTIONS(869),
    [anon_sym_native] = ACTIONS(869),
    [anon_sym_transient] = ACTIONS(869),
    [anon_sym_volatile] = ACTIONS(869),
    [anon_sym_sealed] = ACTIONS(869),
    [anon_sym_non_DASHsealed] = ACTIONS(867),
    [anon_sym_record] = ACTIONS(869),
    [anon_sym_ATinterface] = ACTIONS(867),
    [anon_sym_interface] = ACTIONS(869),
    [anon_sym_byte] = ACTIONS(869),
    [anon_sym_short] = ACTIONS(869),
    [anon_sym_int] = ACTIONS(869),
    [anon_sym_long] = ACTIONS(869),
    [anon_sym_char] = ACTIONS(869),
    [anon_sym_float] = ACTIONS(869),
    [anon_sym_double] = ACTIONS(869),
    [sym_boolean_type] = ACTIONS(869),
    [sym_void_type] = ACTIONS(869),
    [sym_this] = ACTIONS(869),
    [sym_super] = ACTIONS(869),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(871),
    [sym_identifier] = ACTIONS(873),
    [sym_decimal_integer_literal] = ACTIONS(873),
    [sym_hex_integer_literal] = ACTIONS(873),
    [sym_octal_integer_literal] = ACTIONS(873),
    [sym_binary_integer_literal] = ACTIONS(871),
    [sym_decimal_floating_point_literal] = ACTIONS(871),
    [sym_hex_floating_point_literal] = ACTIONS(873),
    [sym_true] = ACTIONS(873),
    [sym_false] = ACTIONS(873),
    [sym_character_literal] = ACTIONS(871),
    [anon_sym_DQUOTE] = ACTIONS(873),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(871),
    [anon_sym_RBRACE] = ACTIONS(871),
    [sym_null_literal] = ACTIONS(873),
    [anon_sym_LPAREN] = ACTIONS(871),
    [anon_sym_LT] = ACTIONS(871),
    [anon_sym_PLUS] = ACTIONS(873),
    [anon_sym_DASH] = ACTIONS(873),
    [anon_sym_final] = ACTIONS(873),
    [anon_sym_BANG] = ACTIONS(871),
    [anon_sym_TILDE] = ACTIONS(871),
    [anon_sym_PLUS_PLUS] = ACTIONS(871),
    [anon_sym_DASH_DASH] = ACTIONS(871),
    [anon_sym_new] = ACTIONS(873),
    [anon_sym_class] = ACTIONS(873),
    [anon_sym_switch] = ACTIONS(873),
    [anon_sym_LBRACE] = ACTIONS(871),
    [anon_sym_case] = ACTIONS(873),
    [anon_sym_default] = ACTIONS(873),
    [anon_sym_SEMI] = ACTIONS(871),
    [anon_sym_assert] = ACTIONS(873),
    [anon_sym_do] = ACTIONS(873),
    [anon_sym_while] = ACTIONS(873),
    [anon_sym_break] = ACTIONS(873),
    [anon_sym_continue] = ACTIONS(873),
    [anon_sym_return] = ACTIONS(873),
    [anon_sym_yield] = ACTIONS(873),
    [anon_sym_synchronized] = ACTIONS(873),
    [anon_sym_throw] = ACTIONS(873),
    [anon_sym_try] = ACTIONS(873),
    [anon_sym_if] = ACTIONS(873),
    [anon_sym_else] = ACTIONS(873),
    [anon_sym_for] = ACTIONS(873),
    [anon_sym_AT] = ACTIONS(873),
    [anon_sym_open] = ACTIONS(873),
    [anon_sym_module] = ACTIONS(873),
    [anon_sym_static] = ACTIONS(873),
    [anon_sym_with] = ACTIONS(873),
    [anon_sym_package] = ACTIONS(873),
    [anon_sym_import] = ACTIONS(873),
    [anon_sym_enum] = ACTIONS(873),
    [anon_sym_public] = ACTIONS(873),
    [anon_sym_protected] = ACTIONS(873),
    [anon_sym_private] = ACTIONS(873),
    [anon_sym_abstract] = ACTIONS(873),
    [anon_sym_strictfp] = ACTIONS(873),
    [anon_sym_native] = ACTIONS(873),
    [anon_sym_transient] = ACTIONS(873),
    [anon_sym_volatile] = ACTIONS(873),
    [anon_sym_sealed] = ACTIONS(873),
    [anon_sym_non_DASHsealed] = ACTIONS(871),
    [anon_sym_record] = ACTIONS(873),
    [anon_sym_ATinterface] = ACTIONS(871),
    [anon_sym_interface] = ACTIONS(873),
    [anon_sym_byte] = ACTIONS(873),
    [anon_sym_short] = ACTIONS(873),
    [anon_sym_int] = ACTIONS(873),
    [anon_sym_long] = ACTIONS(873),
    [anon_sym_char] = ACTIONS(873),
    [anon_sym_float] = ACTIONS(873),
    [anon_sym_double] = ACTIONS(873),
    [sym_boolean_type] = ACTIONS(873),
    [sym_void_type] = ACTIONS(873),
    [sym_this] = ACTIONS(873),
    [sym_super] = ACTIONS(873),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(875),
    [sym_identifier] = ACTIONS(877),
    [sym_decimal_integer_literal] = ACTIONS(877),
    [sym_hex_integer_literal] = ACTIONS(877),
    [sym_octal_integer_literal] = ACTIONS(877),
    [sym_binary_integer_literal] = ACTIONS(875),
    [sym_decimal_floating_point_literal] = ACTIONS(875),
    [sym_hex_floating_point_literal] = ACTIONS(877),
    [sym_true] = ACTIONS(877),
    [sym_false] = ACTIONS(877),
    [sym_character_literal] = ACTIONS(875),
    [anon_sym_DQUOTE] = ACTIONS(877),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(875),
    [anon_sym_RBRACE] = ACTIONS(875),
    [sym_null_literal] = ACTIONS(877),
    [anon_sym_LPAREN] = ACTIONS(875),
    [anon_sym_LT] = ACTIONS(875),
    [anon_sym_PLUS] = ACTIONS(877),
    [anon_sym_DASH] = ACTIONS(877),
    [anon_sym_final] = ACTIONS(877),
    [anon_sym_BANG] = ACTIONS(875),
    [anon_sym_TILDE] = ACTIONS(875),
    [anon_sym_PLUS_PLUS] = ACTIONS(875),
    [anon_sym_DASH_DASH] = ACTIONS(875),
    [anon_sym_new] = ACTIONS(877),
    [anon_sym_class] = ACTIONS(877),
    [anon_sym_switch] = ACTIONS(877),
    [anon_sym_LBRACE] = ACTIONS(875),
    [anon_sym_case] = ACTIONS(877),
    [anon_sym_default] = ACTIONS(877),
    [anon_sym_SEMI] = ACTIONS(875),
    [anon_sym_assert] = ACTIONS(877),
    [anon_sym_do] = ACTIONS(877),
    [anon_sym_while] = ACTIONS(877),
    [anon_sym_break] = ACTIONS(877),
    [anon_sym_continue] = ACTIONS(877),
    [anon_sym_return] = ACTIONS(877),
    [anon_sym_yield] = ACTIONS(877),
    [anon_sym_synchronized] = ACTIONS(877),
    [anon_sym_throw] = ACTIONS(877),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_if] = ACTIONS(877),
    [anon_sym_else] = ACTIONS(877),
    [anon_sym_for] = ACTIONS(877),
    [anon_sym_AT] = ACTIONS(877),
    [anon_sym_open] = ACTIONS(877),
    [anon_sym_module] = ACTIONS(877),
    [anon_sym_static] = ACTIONS(877),
    [anon_sym_with] = ACTIONS(877),
    [anon_sym_package] = ACTIONS(877),
    [anon_sym_import] = ACTIONS(877),
    [anon_sym_enum] = ACTIONS(877),
    [anon_sym_public] = ACTIONS(877),
    [anon_sym_protected] = ACTIONS(877),
    [anon_sym_private] = ACTIONS(877),
    [anon_sym_abstract] = ACTIONS(877),
    [anon_sym_strictfp] = ACTIONS(877),
    [anon_sym_native] = ACTIONS(877),
    [anon_sym_transient] = ACTIONS(877),
    [anon_sym_volatile] = ACTIONS(877),
    [anon_sym_sealed] = ACTIONS(877),
    [anon_sym_non_DASHsealed] = ACTIONS(875),
    [anon_sym_record] = ACTIONS(877),
    [anon_sym_ATinterface] = ACTIONS(875),
    [anon_sym_interface] = ACTIONS(877),
    [anon_sym_byte] = ACTIONS(877),
    [anon_sym_short] = ACTIONS(877),
    [anon_sym_int] = ACTIONS(877),
    [anon_sym_long] = ACTIONS(877),
    [anon_sym_char] = ACTIONS(877),
    [anon_sym_float] = ACTIONS(877),
    [anon_sym_double] = ACTIONS(877),
    [sym_boolean_type] = ACTIONS(877),
    [sym_void_type] = ACTIONS(877),
    [sym_this] = ACTIONS(877),
    [sym_super] = ACTIONS(877),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(879),
    [sym_identifier] = ACTIONS(881),
    [sym_decimal_integer_literal] = ACTIONS(881),
    [sym_hex_integer_literal] = ACTIONS(881),
    [sym_octal_integer_literal] = ACTIONS(881),
    [sym_binary_integer_literal] = ACTIONS(879),
    [sym_decimal_floating_point_literal] = ACTIONS(879),
    [sym_hex_floating_point_literal] = ACTIONS(881),
    [sym_true] = ACTIONS(881),
    [sym_false] = ACTIONS(881),
    [sym_character_literal] = ACTIONS(879),
    [anon_sym_DQUOTE] = ACTIONS(881),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(879),
    [anon_sym_RBRACE] = ACTIONS(879),
    [sym_null_literal] = ACTIONS(881),
    [anon_sym_LPAREN] = ACTIONS(879),
    [anon_sym_LT] = ACTIONS(879),
    [anon_sym_PLUS] = ACTIONS(881),
    [anon_sym_DASH] = ACTIONS(881),
    [anon_sym_final] = ACTIONS(881),
    [anon_sym_BANG] = ACTIONS(879),
    [anon_sym_TILDE] = ACTIONS(879),
    [anon_sym_PLUS_PLUS] = ACTIONS(879),
    [anon_sym_DASH_DASH] = ACTIONS(879),
    [anon_sym_new] = ACTIONS(881),
    [anon_sym_class] = ACTIONS(881),
    [anon_sym_switch] = ACTIONS(881),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_case] = ACTIONS(881),
    [anon_sym_default] = ACTIONS(881),
    [anon_sym_SEMI] = ACTIONS(879),
    [anon_sym_assert] = ACTIONS(881),
    [anon_sym_do] = ACTIONS(881),
    [anon_sym_while] = ACTIONS(881),
    [anon_sym_break] = ACTIONS(881),
    [anon_sym_continue] = ACTIONS(881),
    [anon_sym_return] = ACTIONS(881),
    [anon_sym_yield] = ACTIONS(881),
    [anon_sym_synchronized] = ACTIONS(881),
    [anon_sym_throw] = ACTIONS(881),
    [anon_sym_try] = ACTIONS(881),
    [anon_sym_if] = ACTIONS(881),
    [anon_sym_else] = ACTIONS(881),
    [anon_sym_for] = ACTIONS(881),
    [anon_sym_AT] = ACTIONS(881),
    [anon_sym_open] = ACTIONS(881),
    [anon_sym_module] = ACTIONS(881),
    [anon_sym_static] = ACTIONS(881),
    [anon_sym_with] = ACTIONS(881),
    [anon_sym_package] = ACTIONS(881),
    [anon_sym_import] = ACTIONS(881),
    [anon_sym_enum] = ACTIONS(881),
    [anon_sym_public] = ACTIONS(881),
    [anon_sym_protected] = ACTIONS(881),
    [anon_sym_private] = ACTIONS(881),
    [anon_sym_abstract] = ACTIONS(881),
    [anon_sym_strictfp] = ACTIONS(881),
    [anon_sym_native] = ACTIONS(881),
    [anon_sym_transient] = ACTIONS(881),
    [anon_sym_volatile] = ACTIONS(881),
    [anon_sym_sealed] = ACTIONS(881),
    [anon_sym_non_DASHsealed] = ACTIONS(879),
    [anon_sym_record] = ACTIONS(881),
    [anon_sym_ATinterface] = ACTIONS(879),
    [anon_sym_interface] = ACTIONS(881),
    [anon_sym_byte] = ACTIONS(881),
    [anon_sym_short] = ACTIONS(881),
    [anon_sym_int] = ACTIONS(881),
    [anon_sym_long] = ACTIONS(881),
    [anon_sym_char] = ACTIONS(881),
    [anon_sym_float] = ACTIONS(881),
    [anon_sym_double] = ACTIONS(881),
    [sym_boolean_type] = ACTIONS(881),
    [sym_void_type] = ACTIONS(881),
    [sym_this] = ACTIONS(881),
    [sym_super] = ACTIONS(881),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(883),
    [sym_identifier] = ACTIONS(885),
    [sym_decimal_integer_literal] = ACTIONS(885),
    [sym_hex_integer_literal] = ACTIONS(885),
    [sym_octal_integer_literal] = ACTIONS(885),
    [sym_binary_integer_literal] = ACTIONS(883),
    [sym_decimal_floating_point_literal] = ACTIONS(883),
    [sym_hex_floating_point_literal] = ACTIONS(885),
    [sym_true] = ACTIONS(885),
    [sym_false] = ACTIONS(885),
    [sym_character_literal] = ACTIONS(883),
    [anon_sym_DQUOTE] = ACTIONS(885),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(883),
    [anon_sym_RBRACE] = ACTIONS(883),
    [sym_null_literal] = ACTIONS(885),
    [anon_sym_LPAREN] = ACTIONS(883),
    [anon_sym_LT] = ACTIONS(883),
    [anon_sym_PLUS] = ACTIONS(885),
    [anon_sym_DASH] = ACTIONS(885),
    [anon_sym_final] = ACTIONS(885),
    [anon_sym_BANG] = ACTIONS(883),
    [anon_sym_TILDE] = ACTIONS(883),
    [anon_sym_PLUS_PLUS] = ACTIONS(883),
    [anon_sym_DASH_DASH] = ACTIONS(883),
    [anon_sym_new] = ACTIONS(885),
    [anon_sym_class] = ACTIONS(885),
    [anon_sym_switch] = ACTIONS(885),
    [anon_sym_LBRACE] = ACTIONS(883),
    [anon_sym_case] = ACTIONS(885),
    [anon_sym_default] = ACTIONS(885),
    [anon_sym_SEMI] = ACTIONS(883),
    [anon_sym_assert] = ACTIONS(885),
    [anon_sym_do] = ACTIONS(885),
    [anon_sym_while] = ACTIONS(885),
    [anon_sym_break] = ACTIONS(885),
    [anon_sym_continue] = ACTIONS(885),
    [anon_sym_return] = ACTIONS(885),
    [anon_sym_yield] = ACTIONS(885),
    [anon_sym_synchronized] = ACTIONS(885),
    [anon_sym_throw] = ACTIONS(885),
    [anon_sym_try] = ACTIONS(885),
    [anon_sym_if] = ACTIONS(885),
    [anon_sym_else] = ACTIONS(885),
    [anon_sym_for] = ACTIONS(885),
    [anon_sym_AT] = ACTIONS(885),
    [anon_sym_open] = ACTIONS(885),
    [anon_sym_module] = ACTIONS(885),
    [anon_sym_static] = ACTIONS(885),
    [anon_sym_with] = ACTIONS(885),
    [anon_sym_package] = ACTIONS(885),
    [anon_sym_import] = ACTIONS(885),
    [anon_sym_enum] = ACTIONS(885),
    [anon_sym_public] = ACTIONS(885),
    [anon_sym_protected] = ACTIONS(885),
    [anon_sym_private] = ACTIONS(885),
    [anon_sym_abstract] = ACTIONS(885),
    [anon_sym_strictfp] = ACTIONS(885),
    [anon_sym_native] = ACTIONS(885),
    [anon_sym_transient] = ACTIONS(885),
    [anon_sym_volatile] = ACTIONS(885),
    [anon_sym_sealed] = ACTIONS(885),
    [anon_sym_non_DASHsealed] = ACTIONS(883),
    [anon_sym_record] = ACTIONS(885),
    [anon_sym_ATinterface] = ACTIONS(883),
    [anon_sym_interface] = ACTIONS(885),
    [anon_sym_byte] = ACTIONS(885),
    [anon_sym_short] = ACTIONS(885),
    [anon_sym_int] = ACTIONS(885),
    [anon_sym_long] = ACTIONS(885),
    [anon_sym_char] = ACTIONS(885),
    [anon_sym_float] = ACTIONS(885),
    [anon_sym_double] = ACTIONS(885),
    [sym_boolean_type] = ACTIONS(885),
    [sym_void_type] = ACTIONS(885),
    [sym_this] = ACTIONS(885),
    [sym_super] = ACTIONS(885),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(887),
    [sym_identifier] = ACTIONS(889),
    [sym_decimal_integer_literal] = ACTIONS(889),
    [sym_hex_integer_literal] = ACTIONS(889),
    [sym_octal_integer_literal] = ACTIONS(889),
    [sym_binary_integer_literal] = ACTIONS(887),
    [sym_decimal_floating_point_literal] = ACTIONS(887),
    [sym_hex_floating_point_literal] = ACTIONS(889),
    [sym_true] = ACTIONS(889),
    [sym_false] = ACTIONS(889),
    [sym_character_literal] = ACTIONS(887),
    [anon_sym_DQUOTE] = ACTIONS(889),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(887),
    [anon_sym_RBRACE] = ACTIONS(887),
    [sym_null_literal] = ACTIONS(889),
    [anon_sym_LPAREN] = ACTIONS(887),
    [anon_sym_LT] = ACTIONS(887),
    [anon_sym_PLUS] = ACTIONS(889),
    [anon_sym_DASH] = ACTIONS(889),
    [anon_sym_final] = ACTIONS(889),
    [anon_sym_BANG] = ACTIONS(887),
    [anon_sym_TILDE] = ACTIONS(887),
    [anon_sym_PLUS_PLUS] = ACTIONS(887),
    [anon_sym_DASH_DASH] = ACTIONS(887),
    [anon_sym_new] = ACTIONS(889),
    [anon_sym_class] = ACTIONS(889),
    [anon_sym_switch] = ACTIONS(889),
    [anon_sym_LBRACE] = ACTIONS(887),
    [anon_sym_case] = ACTIONS(889),
    [anon_sym_default] = ACTIONS(889),
    [anon_sym_SEMI] = ACTIONS(887),
    [anon_sym_assert] = ACTIONS(889),
    [anon_sym_do] = ACTIONS(889),
    [anon_sym_while] = ACTIONS(889),
    [anon_sym_break] = ACTIONS(889),
    [anon_sym_continue] = ACTIONS(889),
    [anon_sym_return] = ACTIONS(889),
    [anon_sym_yield] = ACTIONS(889),
    [anon_sym_synchronized] = ACTIONS(889),
    [anon_sym_throw] = ACTIONS(889),
    [anon_sym_try] = ACTIONS(889),
    [anon_sym_if] = ACTIONS(889),
    [anon_sym_else] = ACTIONS(889),
    [anon_sym_for] = ACTIONS(889),
    [anon_sym_AT] = ACTIONS(889),
    [anon_sym_open] = ACTIONS(889),
    [anon_sym_module] = ACTIONS(889),
    [anon_sym_static] = ACTIONS(889),
    [anon_sym_with] = ACTIONS(889),
    [anon_sym_package] = ACTIONS(889),
    [anon_sym_import] = ACTIONS(889),
    [anon_sym_enum] = ACTIONS(889),
    [anon_sym_public] = ACTIONS(889),
    [anon_sym_protected] = ACTIONS(889),
    [anon_sym_private] = ACTIONS(889),
    [anon_sym_abstract] = ACTIONS(889),
    [anon_sym_strictfp] = ACTIONS(889),
    [anon_sym_native] = ACTIONS(889),
    [anon_sym_transient] = ACTIONS(889),
    [anon_sym_volatile] = ACTIONS(889),
    [anon_sym_sealed] = ACTIONS(889),
    [anon_sym_non_DASHsealed] = ACTIONS(887),
    [anon_sym_record] = ACTIONS(889),
    [anon_sym_ATinterface] = ACTIONS(887),
    [anon_sym_interface] = ACTIONS(889),
    [anon_sym_byte] = ACTIONS(889),
    [anon_sym_short] = ACTIONS(889),
    [anon_sym_int] = ACTIONS(889),
    [anon_sym_long] = ACTIONS(889),
    [anon_sym_char] = ACTIONS(889),
    [anon_sym_float] = ACTIONS(889),
    [anon_sym_double] = ACTIONS(889),
    [sym_boolean_type] = ACTIONS(889),
    [sym_void_type] = ACTIONS(889),
    [sym_this] = ACTIONS(889),
    [sym_super] = ACTIONS(889),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(891),
    [sym_identifier] = ACTIONS(893),
    [sym_decimal_integer_literal] = ACTIONS(893),
    [sym_hex_integer_literal] = ACTIONS(893),
    [sym_octal_integer_literal] = ACTIONS(893),
    [sym_binary_integer_literal] = ACTIONS(891),
    [sym_decimal_floating_point_literal] = ACTIONS(891),
    [sym_hex_floating_point_literal] = ACTIONS(893),
    [sym_true] = ACTIONS(893),
    [sym_false] = ACTIONS(893),
    [sym_character_literal] = ACTIONS(891),
    [anon_sym_DQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(891),
    [anon_sym_RBRACE] = ACTIONS(891),
    [sym_null_literal] = ACTIONS(893),
    [anon_sym_LPAREN] = ACTIONS(891),
    [anon_sym_LT] = ACTIONS(891),
    [anon_sym_PLUS] = ACTIONS(893),
    [anon_sym_DASH] = ACTIONS(893),
    [anon_sym_final] = ACTIONS(893),
    [anon_sym_BANG] = ACTIONS(891),
    [anon_sym_TILDE] = ACTIONS(891),
    [anon_sym_PLUS_PLUS] = ACTIONS(891),
    [anon_sym_DASH_DASH] = ACTIONS(891),
    [anon_sym_new] = ACTIONS(893),
    [anon_sym_class] = ACTIONS(893),
    [anon_sym_switch] = ACTIONS(893),
    [anon_sym_LBRACE] = ACTIONS(891),
    [anon_sym_case] = ACTIONS(893),
    [anon_sym_default] = ACTIONS(893),
    [anon_sym_SEMI] = ACTIONS(891),
    [anon_sym_assert] = ACTIONS(893),
    [anon_sym_do] = ACTIONS(893),
    [anon_sym_while] = ACTIONS(893),
    [anon_sym_break] = ACTIONS(893),
    [anon_sym_continue] = ACTIONS(893),
    [anon_sym_return] = ACTIONS(893),
    [anon_sym_yield] = ACTIONS(893),
    [anon_sym_synchronized] = ACTIONS(893),
    [anon_sym_throw] = ACTIONS(893),
    [anon_sym_try] = ACTIONS(893),
    [anon_sym_if] = ACTIONS(893),
    [anon_sym_else] = ACTIONS(893),
    [anon_sym_for] = ACTIONS(893),
    [anon_sym_AT] = ACTIONS(893),
    [anon_sym_open] = ACTIONS(893),
    [anon_sym_module] = ACTIONS(893),
    [anon_sym_static] = ACTIONS(893),
    [anon_sym_with] = ACTIONS(893),
    [anon_sym_package] = ACTIONS(893),
    [anon_sym_import] = ACTIONS(893),
    [anon_sym_enum] = ACTIONS(893),
    [anon_sym_public] = ACTIONS(893),
    [anon_sym_protected] = ACTIONS(893),
    [anon_sym_private] = ACTIONS(893),
    [anon_sym_abstract] = ACTIONS(893),
    [anon_sym_strictfp] = ACTIONS(893),
    [anon_sym_native] = ACTIONS(893),
    [anon_sym_transient] = ACTIONS(893),
    [anon_sym_volatile] = ACTIONS(893),
    [anon_sym_sealed] = ACTIONS(893),
    [anon_sym_non_DASHsealed] = ACTIONS(891),
    [anon_sym_record] = ACTIONS(893),
    [anon_sym_ATinterface] = ACTIONS(891),
    [anon_sym_interface] = ACTIONS(893),
    [anon_sym_byte] = ACTIONS(893),
    [anon_sym_short] = ACTIONS(893),
    [anon_sym_int] = ACTIONS(893),
    [anon_sym_long] = ACTIONS(893),
    [anon_sym_char] = ACTIONS(893),
    [anon_sym_float] = ACTIONS(893),
    [anon_sym_double] = ACTIONS(893),
    [sym_boolean_type] = ACTIONS(893),
    [sym_void_type] = ACTIONS(893),
    [sym_this] = ACTIONS(893),
    [sym_super] = ACTIONS(893),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(895),
    [sym_identifier] = ACTIONS(897),
    [sym_decimal_integer_literal] = ACTIONS(897),
    [sym_hex_integer_literal] = ACTIONS(897),
    [sym_octal_integer_literal] = ACTIONS(897),
    [sym_binary_integer_literal] = ACTIONS(895),
    [sym_decimal_floating_point_literal] = ACTIONS(895),
    [sym_hex_floating_point_literal] = ACTIONS(897),
    [sym_true] = ACTIONS(897),
    [sym_false] = ACTIONS(897),
    [sym_character_literal] = ACTIONS(895),
    [anon_sym_DQUOTE] = ACTIONS(897),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(895),
    [anon_sym_RBRACE] = ACTIONS(895),
    [sym_null_literal] = ACTIONS(897),
    [anon_sym_LPAREN] = ACTIONS(895),
    [anon_sym_LT] = ACTIONS(895),
    [anon_sym_PLUS] = ACTIONS(897),
    [anon_sym_DASH] = ACTIONS(897),
    [anon_sym_final] = ACTIONS(897),
    [anon_sym_BANG] = ACTIONS(895),
    [anon_sym_TILDE] = ACTIONS(895),
    [anon_sym_PLUS_PLUS] = ACTIONS(895),
    [anon_sym_DASH_DASH] = ACTIONS(895),
    [anon_sym_new] = ACTIONS(897),
    [anon_sym_class] = ACTIONS(897),
    [anon_sym_switch] = ACTIONS(897),
    [anon_sym_LBRACE] = ACTIONS(895),
    [anon_sym_case] = ACTIONS(897),
    [anon_sym_default] = ACTIONS(897),
    [anon_sym_SEMI] = ACTIONS(895),
    [anon_sym_assert] = ACTIONS(897),
    [anon_sym_do] = ACTIONS(897),
    [anon_sym_while] = ACTIONS(897),
    [anon_sym_break] = ACTIONS(897),
    [anon_sym_continue] = ACTIONS(897),
    [anon_sym_return] = ACTIONS(897),
    [anon_sym_yield] = ACTIONS(897),
    [anon_sym_synchronized] = ACTIONS(897),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_try] = ACTIONS(897),
    [anon_sym_if] = ACTIONS(897),
    [anon_sym_else] = ACTIONS(897),
    [anon_sym_for] = ACTIONS(897),
    [anon_sym_AT] = ACTIONS(897),
    [anon_sym_open] = ACTIONS(897),
    [anon_sym_module] = ACTIONS(897),
    [anon_sym_static] = ACTIONS(897),
    [anon_sym_with] = ACTIONS(897),
    [anon_sym_package] = ACTIONS(897),
    [anon_sym_import] = ACTIONS(897),
    [anon_sym_enum] = ACTIONS(897),
    [anon_sym_public] = ACTIONS(897),
    [anon_sym_protected] = ACTIONS(897),
    [anon_sym_private] = ACTIONS(897),
    [anon_sym_abstract] = ACTIONS(897),
    [anon_sym_strictfp] = ACTIONS(897),
    [anon_sym_native] = ACTIONS(897),
    [anon_sym_transient] = ACTIONS(897),
    [anon_sym_volatile] = ACTIONS(897),
    [anon_sym_sealed] = ACTIONS(897),
    [anon_sym_non_DASHsealed] = ACTIONS(895),
    [anon_sym_record] = ACTIONS(897),
    [anon_sym_ATinterface] = ACTIONS(895),
    [anon_sym_interface] = ACTIONS(897),
    [anon_sym_byte] = ACTIONS(897),
    [anon_sym_short] = ACTIONS(897),
    [anon_sym_int] = ACTIONS(897),
    [anon_sym_long] = ACTIONS(897),
    [anon_sym_char] = ACTIONS(897),
    [anon_sym_float] = ACTIONS(897),
    [anon_sym_double] = ACTIONS(897),
    [sym_boolean_type] = ACTIONS(897),
    [sym_void_type] = ACTIONS(897),
    [sym_this] = ACTIONS(897),
    [sym_super] = ACTIONS(897),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(899),
    [sym_identifier] = ACTIONS(901),
    [sym_decimal_integer_literal] = ACTIONS(901),
    [sym_hex_integer_literal] = ACTIONS(901),
    [sym_octal_integer_literal] = ACTIONS(901),
    [sym_binary_integer_literal] = ACTIONS(899),
    [sym_decimal_floating_point_literal] = ACTIONS(899),
    [sym_hex_floating_point_literal] = ACTIONS(901),
    [sym_true] = ACTIONS(901),
    [sym_false] = ACTIONS(901),
    [sym_character_literal] = ACTIONS(899),
    [anon_sym_DQUOTE] = ACTIONS(901),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(899),
    [anon_sym_RBRACE] = ACTIONS(899),
    [sym_null_literal] = ACTIONS(901),
    [anon_sym_LPAREN] = ACTIONS(899),
    [anon_sym_LT] = ACTIONS(899),
    [anon_sym_PLUS] = ACTIONS(901),
    [anon_sym_DASH] = ACTIONS(901),
    [anon_sym_final] = ACTIONS(901),
    [anon_sym_BANG] = ACTIONS(899),
    [anon_sym_TILDE] = ACTIONS(899),
    [anon_sym_PLUS_PLUS] = ACTIONS(899),
    [anon_sym_DASH_DASH] = ACTIONS(899),
    [anon_sym_new] = ACTIONS(901),
    [anon_sym_class] = ACTIONS(901),
    [anon_sym_switch] = ACTIONS(901),
    [anon_sym_LBRACE] = ACTIONS(899),
    [anon_sym_case] = ACTIONS(901),
    [anon_sym_default] = ACTIONS(901),
    [anon_sym_SEMI] = ACTIONS(899),
    [anon_sym_assert] = ACTIONS(901),
    [anon_sym_do] = ACTIONS(901),
    [anon_sym_while] = ACTIONS(901),
    [anon_sym_break] = ACTIONS(901),
    [anon_sym_continue] = ACTIONS(901),
    [anon_sym_return] = ACTIONS(901),
    [anon_sym_yield] = ACTIONS(901),
    [anon_sym_synchronized] = ACTIONS(901),
    [anon_sym_throw] = ACTIONS(901),
    [anon_sym_try] = ACTIONS(901),
    [anon_sym_if] = ACTIONS(901),
    [anon_sym_else] = ACTIONS(901),
    [anon_sym_for] = ACTIONS(901),
    [anon_sym_AT] = ACTIONS(901),
    [anon_sym_open] = ACTIONS(901),
    [anon_sym_module] = ACTIONS(901),
    [anon_sym_static] = ACTIONS(901),
    [anon_sym_with] = ACTIONS(901),
    [anon_sym_package] = ACTIONS(901),
    [anon_sym_import] = ACTIONS(901),
    [anon_sym_enum] = ACTIONS(901),
    [anon_sym_public] = ACTIONS(901),
    [anon_sym_protected] = ACTIONS(901),
    [anon_sym_private] = ACTIONS(901),
    [anon_sym_abstract] = ACTIONS(901),
    [anon_sym_strictfp] = ACTIONS(901),
    [anon_sym_native] = ACTIONS(901),
    [anon_sym_transient] = ACTIONS(901),
    [anon_sym_volatile] = ACTIONS(901),
    [anon_sym_sealed] = ACTIONS(901),
    [anon_sym_non_DASHsealed] = ACTIONS(899),
    [anon_sym_record] = ACTIONS(901),
    [anon_sym_ATinterface] = ACTIONS(899),
    [anon_sym_interface] = ACTIONS(901),
    [anon_sym_byte] = ACTIONS(901),
    [anon_sym_short] = ACTIONS(901),
    [anon_sym_int] = ACTIONS(901),
    [anon_sym_long] = ACTIONS(901),
    [anon_sym_char] = ACTIONS(901),
    [anon_sym_float] = ACTIONS(901),
    [anon_sym_double] = ACTIONS(901),
    [sym_boolean_type] = ACTIONS(901),
    [sym_void_type] = ACTIONS(901),
    [sym_this] = ACTIONS(901),
    [sym_super] = ACTIONS(901),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(903),
    [sym_identifier] = ACTIONS(905),
    [sym_decimal_integer_literal] = ACTIONS(905),
    [sym_hex_integer_literal] = ACTIONS(905),
    [sym_octal_integer_literal] = ACTIONS(905),
    [sym_binary_integer_literal] = ACTIONS(903),
    [sym_decimal_floating_point_literal] = ACTIONS(903),
    [sym_hex_floating_point_literal] = ACTIONS(905),
    [sym_true] = ACTIONS(905),
    [sym_false] = ACTIONS(905),
    [sym_character_literal] = ACTIONS(903),
    [anon_sym_DQUOTE] = ACTIONS(905),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(903),
    [anon_sym_RBRACE] = ACTIONS(903),
    [sym_null_literal] = ACTIONS(905),
    [anon_sym_LPAREN] = ACTIONS(903),
    [anon_sym_LT] = ACTIONS(903),
    [anon_sym_PLUS] = ACTIONS(905),
    [anon_sym_DASH] = ACTIONS(905),
    [anon_sym_final] = ACTIONS(905),
    [anon_sym_BANG] = ACTIONS(903),
    [anon_sym_TILDE] = ACTIONS(903),
    [anon_sym_PLUS_PLUS] = ACTIONS(903),
    [anon_sym_DASH_DASH] = ACTIONS(903),
    [anon_sym_new] = ACTIONS(905),
    [anon_sym_class] = ACTIONS(905),
    [anon_sym_switch] = ACTIONS(905),
    [anon_sym_LBRACE] = ACTIONS(903),
    [anon_sym_case] = ACTIONS(905),
    [anon_sym_default] = ACTIONS(905),
    [anon_sym_SEMI] = ACTIONS(903),
    [anon_sym_assert] = ACTIONS(905),
    [anon_sym_do] = ACTIONS(905),
    [anon_sym_while] = ACTIONS(905),
    [anon_sym_break] = ACTIONS(905),
    [anon_sym_continue] = ACTIONS(905),
    [anon_sym_return] = ACTIONS(905),
    [anon_sym_yield] = ACTIONS(905),
    [anon_sym_synchronized] = ACTIONS(905),
    [anon_sym_throw] = ACTIONS(905),
    [anon_sym_try] = ACTIONS(905),
    [anon_sym_if] = ACTIONS(905),
    [anon_sym_else] = ACTIONS(905),
    [anon_sym_for] = ACTIONS(905),
    [anon_sym_AT] = ACTIONS(905),
    [anon_sym_open] = ACTIONS(905),
    [anon_sym_module] = ACTIONS(905),
    [anon_sym_static] = ACTIONS(905),
    [anon_sym_with] = ACTIONS(905),
    [anon_sym_package] = ACTIONS(905),
    [anon_sym_import] = ACTIONS(905),
    [anon_sym_enum] = ACTIONS(905),
    [anon_sym_public] = ACTIONS(905),
    [anon_sym_protected] = ACTIONS(905),
    [anon_sym_private] = ACTIONS(905),
    [anon_sym_abstract] = ACTIONS(905),
    [anon_sym_strictfp] = ACTIONS(905),
    [anon_sym_native] = ACTIONS(905),
    [anon_sym_transient] = ACTIONS(905),
    [anon_sym_volatile] = ACTIONS(905),
    [anon_sym_sealed] = ACTIONS(905),
    [anon_sym_non_DASHsealed] = ACTIONS(903),
    [anon_sym_record] = ACTIONS(905),
    [anon_sym_ATinterface] = ACTIONS(903),
    [anon_sym_interface] = ACTIONS(905),
    [anon_sym_byte] = ACTIONS(905),
    [anon_sym_short] = ACTIONS(905),
    [anon_sym_int] = ACTIONS(905),
    [anon_sym_long] = ACTIONS(905),
    [anon_sym_char] = ACTIONS(905),
    [anon_sym_float] = ACTIONS(905),
    [anon_sym_double] = ACTIONS(905),
    [sym_boolean_type] = ACTIONS(905),
    [sym_void_type] = ACTIONS(905),
    [sym_this] = ACTIONS(905),
    [sym_super] = ACTIONS(905),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [319] = {
    [ts_builtin_sym_end] = ACTIONS(907),
    [sym_identifier] = ACTIONS(909),
    [sym_decimal_integer_literal] = ACTIONS(909),
    [sym_hex_integer_literal] = ACTIONS(909),
    [sym_octal_integer_literal] = ACTIONS(909),
    [sym_binary_integer_literal] = ACTIONS(907),
    [sym_decimal_floating_point_literal] = ACTIONS(907),
    [sym_hex_floating_point_literal] = ACTIONS(909),
    [sym_true] = ACTIONS(909),
    [sym_false] = ACTIONS(909),
    [sym_character_literal] = ACTIONS(907),
    [anon_sym_DQUOTE] = ACTIONS(909),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(907),
    [anon_sym_RBRACE] = ACTIONS(907),
    [sym_null_literal] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(907),
    [anon_sym_LT] = ACTIONS(907),
    [anon_sym_PLUS] = ACTIONS(909),
    [anon_sym_DASH] = ACTIONS(909),
    [anon_sym_final] = ACTIONS(909),
    [anon_sym_BANG] = ACTIONS(907),
    [anon_sym_TILDE] = ACTIONS(907),
    [anon_sym_PLUS_PLUS] = ACTIONS(907),
    [anon_sym_DASH_DASH] = ACTIONS(907),
    [anon_sym_new] = ACTIONS(909),
    [anon_sym_class] = ACTIONS(909),
    [anon_sym_switch] = ACTIONS(909),
    [anon_sym_LBRACE] = ACTIONS(907),
    [anon_sym_case] = ACTIONS(909),
    [anon_sym_default] = ACTIONS(909),
    [anon_sym_SEMI] = ACTIONS(907),
    [anon_sym_assert] = ACTIONS(909),
    [anon_sym_do] = ACTIONS(909),
    [anon_sym_while] = ACTIONS(909),
    [anon_sym_break] = ACTIONS(909),
    [anon_sym_continue] = ACTIONS(909),
    [anon_sym_return] = ACTIONS(909),
    [anon_sym_yield] = ACTIONS(909),
    [anon_sym_synchronized] = ACTIONS(909),
    [anon_sym_throw] = ACTIONS(909),
    [anon_sym_try] = ACTIONS(909),
    [anon_sym_if] = ACTIONS(909),
    [anon_sym_else] = ACTIONS(909),
    [anon_sym_for] = ACTIONS(909),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_open] = ACTIONS(909),
    [anon_sym_module] = ACTIONS(909),
    [anon_sym_static] = ACTIONS(909),
    [anon_sym_with] = ACTIONS(909),
    [anon_sym_package] = ACTIONS(909),
    [anon_sym_import] = ACTIONS(909),
    [anon_sym_enum] = ACTIONS(909),
    [anon_sym_public] = ACTIONS(909),
    [anon_sym_protected] = ACTIONS(909),
    [anon_sym_private] = ACTIONS(909),
    [anon_sym_abstract] = ACTIONS(909),
    [anon_sym_strictfp] = ACTIONS(909),
    [anon_sym_native] = ACTIONS(909),
    [anon_sym_transient] = ACTIONS(909),
    [anon_sym_volatile] = ACTIONS(909),
    [anon_sym_sealed] = ACTIONS(909),
    [anon_sym_non_DASHsealed] = ACTIONS(907),
    [anon_sym_record] = ACTIONS(909),
    [anon_sym_ATinterface] = ACTIONS(907),
    [anon_sym_interface] = ACTIONS(909),
    [anon_sym_byte] = ACTIONS(909),
    [anon_sym_short] = ACTIONS(909),
    [anon_sym_int] = ACTIONS(909),
    [anon_sym_long] = ACTIONS(909),
    [anon_sym_char] = ACTIONS(909),
    [anon_sym_float] = ACTIONS(909),
    [anon_sym_double] = ACTIONS(909),
    [sym_boolean_type] = ACTIONS(909),
    [sym_void_type] = ACTIONS(909),
    [sym_this] = ACTIONS(909),
    [sym_super] = ACTIONS(909),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(911),
    [sym_identifier] = ACTIONS(913),
    [sym_decimal_integer_literal] = ACTIONS(913),
    [sym_hex_integer_literal] = ACTIONS(913),
    [sym_octal_integer_literal] = ACTIONS(913),
    [sym_binary_integer_literal] = ACTIONS(911),
    [sym_decimal_floating_point_literal] = ACTIONS(911),
    [sym_hex_floating_point_literal] = ACTIONS(913),
    [sym_true] = ACTIONS(913),
    [sym_false] = ACTIONS(913),
    [sym_character_literal] = ACTIONS(911),
    [anon_sym_DQUOTE] = ACTIONS(913),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(911),
    [anon_sym_RBRACE] = ACTIONS(911),
    [sym_null_literal] = ACTIONS(913),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LT] = ACTIONS(911),
    [anon_sym_PLUS] = ACTIONS(913),
    [anon_sym_DASH] = ACTIONS(913),
    [anon_sym_final] = ACTIONS(913),
    [anon_sym_BANG] = ACTIONS(911),
    [anon_sym_TILDE] = ACTIONS(911),
    [anon_sym_PLUS_PLUS] = ACTIONS(911),
    [anon_sym_DASH_DASH] = ACTIONS(911),
    [anon_sym_new] = ACTIONS(913),
    [anon_sym_class] = ACTIONS(913),
    [anon_sym_switch] = ACTIONS(913),
    [anon_sym_LBRACE] = ACTIONS(911),
    [anon_sym_case] = ACTIONS(913),
    [anon_sym_default] = ACTIONS(913),
    [anon_sym_SEMI] = ACTIONS(911),
    [anon_sym_assert] = ACTIONS(913),
    [anon_sym_do] = ACTIONS(913),
    [anon_sym_while] = ACTIONS(913),
    [anon_sym_break] = ACTIONS(913),
    [anon_sym_continue] = ACTIONS(913),
    [anon_sym_return] = ACTIONS(913),
    [anon_sym_yield] = ACTIONS(913),
    [anon_sym_synchronized] = ACTIONS(913),
    [anon_sym_throw] = ACTIONS(913),
    [anon_sym_try] = ACTIONS(913),
    [anon_sym_if] = ACTIONS(913),
    [anon_sym_else] = ACTIONS(913),
    [anon_sym_for] = ACTIONS(913),
    [anon_sym_AT] = ACTIONS(913),
    [anon_sym_open] = ACTIONS(913),
    [anon_sym_module] = ACTIONS(913),
    [anon_sym_static] = ACTIONS(913),
    [anon_sym_with] = ACTIONS(913),
    [anon_sym_package] = ACTIONS(913),
    [anon_sym_import] = ACTIONS(913),
    [anon_sym_enum] = ACTIONS(913),
    [anon_sym_public] = ACTIONS(913),
    [anon_sym_protected] = ACTIONS(913),
    [anon_sym_private] = ACTIONS(913),
    [anon_sym_abstract] = ACTIONS(913),
    [anon_sym_strictfp] = ACTIONS(913),
    [anon_sym_native] = ACTIONS(913),
    [anon_sym_transient] = ACTIONS(913),
    [anon_sym_volatile] = ACTIONS(913),
    [anon_sym_sealed] = ACTIONS(913),
    [anon_sym_non_DASHsealed] = ACTIONS(911),
    [anon_sym_record] = ACTIONS(913),
    [anon_sym_ATinterface] = ACTIONS(911),
    [anon_sym_interface] = ACTIONS(913),
    [anon_sym_byte] = ACTIONS(913),
    [anon_sym_short] = ACTIONS(913),
    [anon_sym_int] = ACTIONS(913),
    [anon_sym_long] = ACTIONS(913),
    [anon_sym_char] = ACTIONS(913),
    [anon_sym_float] = ACTIONS(913),
    [anon_sym_double] = ACTIONS(913),
    [sym_boolean_type] = ACTIONS(913),
    [sym_void_type] = ACTIONS(913),
    [sym_this] = ACTIONS(913),
    [sym_super] = ACTIONS(913),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(915),
    [sym_identifier] = ACTIONS(917),
    [sym_decimal_integer_literal] = ACTIONS(917),
    [sym_hex_integer_literal] = ACTIONS(917),
    [sym_octal_integer_literal] = ACTIONS(917),
    [sym_binary_integer_literal] = ACTIONS(915),
    [sym_decimal_floating_point_literal] = ACTIONS(915),
    [sym_hex_floating_point_literal] = ACTIONS(917),
    [sym_true] = ACTIONS(917),
    [sym_false] = ACTIONS(917),
    [sym_character_literal] = ACTIONS(915),
    [anon_sym_DQUOTE] = ACTIONS(917),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(915),
    [anon_sym_RBRACE] = ACTIONS(915),
    [sym_null_literal] = ACTIONS(917),
    [anon_sym_LPAREN] = ACTIONS(915),
    [anon_sym_LT] = ACTIONS(915),
    [anon_sym_PLUS] = ACTIONS(917),
    [anon_sym_DASH] = ACTIONS(917),
    [anon_sym_final] = ACTIONS(917),
    [anon_sym_BANG] = ACTIONS(915),
    [anon_sym_TILDE] = ACTIONS(915),
    [anon_sym_PLUS_PLUS] = ACTIONS(915),
    [anon_sym_DASH_DASH] = ACTIONS(915),
    [anon_sym_new] = ACTIONS(917),
    [anon_sym_class] = ACTIONS(917),
    [anon_sym_switch] = ACTIONS(917),
    [anon_sym_LBRACE] = ACTIONS(915),
    [anon_sym_case] = ACTIONS(917),
    [anon_sym_default] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(915),
    [anon_sym_assert] = ACTIONS(917),
    [anon_sym_do] = ACTIONS(917),
    [anon_sym_while] = ACTIONS(917),
    [anon_sym_break] = ACTIONS(917),
    [anon_sym_continue] = ACTIONS(917),
    [anon_sym_return] = ACTIONS(917),
    [anon_sym_yield] = ACTIONS(917),
    [anon_sym_synchronized] = ACTIONS(917),
    [anon_sym_throw] = ACTIONS(917),
    [anon_sym_try] = ACTIONS(917),
    [anon_sym_if] = ACTIONS(917),
    [anon_sym_else] = ACTIONS(917),
    [anon_sym_for] = ACTIONS(917),
    [anon_sym_AT] = ACTIONS(917),
    [anon_sym_open] = ACTIONS(917),
    [anon_sym_module] = ACTIONS(917),
    [anon_sym_static] = ACTIONS(917),
    [anon_sym_with] = ACTIONS(917),
    [anon_sym_package] = ACTIONS(917),
    [anon_sym_import] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(917),
    [anon_sym_public] = ACTIONS(917),
    [anon_sym_protected] = ACTIONS(917),
    [anon_sym_private] = ACTIONS(917),
    [anon_sym_abstract] = ACTIONS(917),
    [anon_sym_strictfp] = ACTIONS(917),
    [anon_sym_native] = ACTIONS(917),
    [anon_sym_transient] = ACTIONS(917),
    [anon_sym_volatile] = ACTIONS(917),
    [anon_sym_sealed] = ACTIONS(917),
    [anon_sym_non_DASHsealed] = ACTIONS(915),
    [anon_sym_record] = ACTIONS(917),
    [anon_sym_ATinterface] = ACTIONS(915),
    [anon_sym_interface] = ACTIONS(917),
    [anon_sym_byte] = ACTIONS(917),
    [anon_sym_short] = ACTIONS(917),
    [anon_sym_int] = ACTIONS(917),
    [anon_sym_long] = ACTIONS(917),
    [anon_sym_char] = ACTIONS(917),
    [anon_sym_float] = ACTIONS(917),
    [anon_sym_double] = ACTIONS(917),
    [sym_boolean_type] = ACTIONS(917),
    [sym_void_type] = ACTIONS(917),
    [sym_this] = ACTIONS(917),
    [sym_super] = ACTIONS(917),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(919),
    [sym_identifier] = ACTIONS(921),
    [sym_decimal_integer_literal] = ACTIONS(921),
    [sym_hex_integer_literal] = ACTIONS(921),
    [sym_octal_integer_literal] = ACTIONS(921),
    [sym_binary_integer_literal] = ACTIONS(919),
    [sym_decimal_floating_point_literal] = ACTIONS(919),
    [sym_hex_floating_point_literal] = ACTIONS(921),
    [sym_true] = ACTIONS(921),
    [sym_false] = ACTIONS(921),
    [sym_character_literal] = ACTIONS(919),
    [anon_sym_DQUOTE] = ACTIONS(921),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(919),
    [anon_sym_RBRACE] = ACTIONS(919),
    [sym_null_literal] = ACTIONS(921),
    [anon_sym_LPAREN] = ACTIONS(919),
    [anon_sym_LT] = ACTIONS(919),
    [anon_sym_PLUS] = ACTIONS(921),
    [anon_sym_DASH] = ACTIONS(921),
    [anon_sym_final] = ACTIONS(921),
    [anon_sym_BANG] = ACTIONS(919),
    [anon_sym_TILDE] = ACTIONS(919),
    [anon_sym_PLUS_PLUS] = ACTIONS(919),
    [anon_sym_DASH_DASH] = ACTIONS(919),
    [anon_sym_new] = ACTIONS(921),
    [anon_sym_class] = ACTIONS(921),
    [anon_sym_switch] = ACTIONS(921),
    [anon_sym_LBRACE] = ACTIONS(919),
    [anon_sym_case] = ACTIONS(921),
    [anon_sym_default] = ACTIONS(921),
    [anon_sym_SEMI] = ACTIONS(919),
    [anon_sym_assert] = ACTIONS(921),
    [anon_sym_do] = ACTIONS(921),
    [anon_sym_while] = ACTIONS(921),
    [anon_sym_break] = ACTIONS(921),
    [anon_sym_continue] = ACTIONS(921),
    [anon_sym_return] = ACTIONS(921),
    [anon_sym_yield] = ACTIONS(921),
    [anon_sym_synchronized] = ACTIONS(921),
    [anon_sym_throw] = ACTIONS(921),
    [anon_sym_try] = ACTIONS(921),
    [anon_sym_if] = ACTIONS(921),
    [anon_sym_else] = ACTIONS(921),
    [anon_sym_for] = ACTIONS(921),
    [anon_sym_AT] = ACTIONS(921),
    [anon_sym_open] = ACTIONS(921),
    [anon_sym_module] = ACTIONS(921),
    [anon_sym_static] = ACTIONS(921),
    [anon_sym_with] = ACTIONS(921),
    [anon_sym_package] = ACTIONS(921),
    [anon_sym_import] = ACTIONS(921),
    [anon_sym_enum] = ACTIONS(921),
    [anon_sym_public] = ACTIONS(921),
    [anon_sym_protected] = ACTIONS(921),
    [anon_sym_private] = ACTIONS(921),
    [anon_sym_abstract] = ACTIONS(921),
    [anon_sym_strictfp] = ACTIONS(921),
    [anon_sym_native] = ACTIONS(921),
    [anon_sym_transient] = ACTIONS(921),
    [anon_sym_volatile] = ACTIONS(921),
    [anon_sym_sealed] = ACTIONS(921),
    [anon_sym_non_DASHsealed] = ACTIONS(919),
    [anon_sym_record] = ACTIONS(921),
    [anon_sym_ATinterface] = ACTIONS(919),
    [anon_sym_interface] = ACTIONS(921),
    [anon_sym_byte] = ACTIONS(921),
    [anon_sym_short] = ACTIONS(921),
    [anon_sym_int] = ACTIONS(921),
    [anon_sym_long] = ACTIONS(921),
    [anon_sym_char] = ACTIONS(921),
    [anon_sym_float] = ACTIONS(921),
    [anon_sym_double] = ACTIONS(921),
    [sym_boolean_type] = ACTIONS(921),
    [sym_void_type] = ACTIONS(921),
    [sym_this] = ACTIONS(921),
    [sym_super] = ACTIONS(921),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(923),
    [sym_identifier] = ACTIONS(925),
    [sym_decimal_integer_literal] = ACTIONS(925),
    [sym_hex_integer_literal] = ACTIONS(925),
    [sym_octal_integer_literal] = ACTIONS(925),
    [sym_binary_integer_literal] = ACTIONS(923),
    [sym_decimal_floating_point_literal] = ACTIONS(923),
    [sym_hex_floating_point_literal] = ACTIONS(925),
    [sym_true] = ACTIONS(925),
    [sym_false] = ACTIONS(925),
    [sym_character_literal] = ACTIONS(923),
    [anon_sym_DQUOTE] = ACTIONS(925),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(923),
    [anon_sym_RBRACE] = ACTIONS(923),
    [sym_null_literal] = ACTIONS(925),
    [anon_sym_LPAREN] = ACTIONS(923),
    [anon_sym_LT] = ACTIONS(923),
    [anon_sym_PLUS] = ACTIONS(925),
    [anon_sym_DASH] = ACTIONS(925),
    [anon_sym_final] = ACTIONS(925),
    [anon_sym_BANG] = ACTIONS(923),
    [anon_sym_TILDE] = ACTIONS(923),
    [anon_sym_PLUS_PLUS] = ACTIONS(923),
    [anon_sym_DASH_DASH] = ACTIONS(923),
    [anon_sym_new] = ACTIONS(925),
    [anon_sym_class] = ACTIONS(925),
    [anon_sym_switch] = ACTIONS(925),
    [anon_sym_LBRACE] = ACTIONS(923),
    [anon_sym_case] = ACTIONS(925),
    [anon_sym_default] = ACTIONS(925),
    [anon_sym_SEMI] = ACTIONS(923),
    [anon_sym_assert] = ACTIONS(925),
    [anon_sym_do] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(925),
    [anon_sym_break] = ACTIONS(925),
    [anon_sym_continue] = ACTIONS(925),
    [anon_sym_return] = ACTIONS(925),
    [anon_sym_yield] = ACTIONS(925),
    [anon_sym_synchronized] = ACTIONS(925),
    [anon_sym_throw] = ACTIONS(925),
    [anon_sym_try] = ACTIONS(925),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_else] = ACTIONS(925),
    [anon_sym_for] = ACTIONS(925),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_open] = ACTIONS(925),
    [anon_sym_module] = ACTIONS(925),
    [anon_sym_static] = ACTIONS(925),
    [anon_sym_with] = ACTIONS(925),
    [anon_sym_package] = ACTIONS(925),
    [anon_sym_import] = ACTIONS(925),
    [anon_sym_enum] = ACTIONS(925),
    [anon_sym_public] = ACTIONS(925),
    [anon_sym_protected] = ACTIONS(925),
    [anon_sym_private] = ACTIONS(925),
    [anon_sym_abstract] = ACTIONS(925),
    [anon_sym_strictfp] = ACTIONS(925),
    [anon_sym_native] = ACTIONS(925),
    [anon_sym_transient] = ACTIONS(925),
    [anon_sym_volatile] = ACTIONS(925),
    [anon_sym_sealed] = ACTIONS(925),
    [anon_sym_non_DASHsealed] = ACTIONS(923),
    [anon_sym_record] = ACTIONS(925),
    [anon_sym_ATinterface] = ACTIONS(923),
    [anon_sym_interface] = ACTIONS(925),
    [anon_sym_byte] = ACTIONS(925),
    [anon_sym_short] = ACTIONS(925),
    [anon_sym_int] = ACTIONS(925),
    [anon_sym_long] = ACTIONS(925),
    [anon_sym_char] = ACTIONS(925),
    [anon_sym_float] = ACTIONS(925),
    [anon_sym_double] = ACTIONS(925),
    [sym_boolean_type] = ACTIONS(925),
    [sym_void_type] = ACTIONS(925),
    [sym_this] = ACTIONS(925),
    [sym_super] = ACTIONS(925),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(927),
    [sym_identifier] = ACTIONS(929),
    [sym_decimal_integer_literal] = ACTIONS(929),
    [sym_hex_integer_literal] = ACTIONS(929),
    [sym_octal_integer_literal] = ACTIONS(929),
    [sym_binary_integer_literal] = ACTIONS(927),
    [sym_decimal_floating_point_literal] = ACTIONS(927),
    [sym_hex_floating_point_literal] = ACTIONS(929),
    [sym_true] = ACTIONS(929),
    [sym_false] = ACTIONS(929),
    [sym_character_literal] = ACTIONS(927),
    [anon_sym_DQUOTE] = ACTIONS(929),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(927),
    [anon_sym_RBRACE] = ACTIONS(927),
    [sym_null_literal] = ACTIONS(929),
    [anon_sym_LPAREN] = ACTIONS(927),
    [anon_sym_LT] = ACTIONS(927),
    [anon_sym_PLUS] = ACTIONS(929),
    [anon_sym_DASH] = ACTIONS(929),
    [anon_sym_final] = ACTIONS(929),
    [anon_sym_BANG] = ACTIONS(927),
    [anon_sym_TILDE] = ACTIONS(927),
    [anon_sym_PLUS_PLUS] = ACTIONS(927),
    [anon_sym_DASH_DASH] = ACTIONS(927),
    [anon_sym_new] = ACTIONS(929),
    [anon_sym_class] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(929),
    [anon_sym_LBRACE] = ACTIONS(927),
    [anon_sym_case] = ACTIONS(929),
    [anon_sym_default] = ACTIONS(929),
    [anon_sym_SEMI] = ACTIONS(927),
    [anon_sym_assert] = ACTIONS(929),
    [anon_sym_do] = ACTIONS(929),
    [anon_sym_while] = ACTIONS(929),
    [anon_sym_break] = ACTIONS(929),
    [anon_sym_continue] = ACTIONS(929),
    [anon_sym_return] = ACTIONS(929),
    [anon_sym_yield] = ACTIONS(929),
    [anon_sym_synchronized] = ACTIONS(929),
    [anon_sym_throw] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(929),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_else] = ACTIONS(929),
    [anon_sym_for] = ACTIONS(929),
    [anon_sym_AT] = ACTIONS(929),
    [anon_sym_open] = ACTIONS(929),
    [anon_sym_module] = ACTIONS(929),
    [anon_sym_static] = ACTIONS(929),
    [anon_sym_with] = ACTIONS(929),
    [anon_sym_package] = ACTIONS(929),
    [anon_sym_import] = ACTIONS(929),
    [anon_sym_enum] = ACTIONS(929),
    [anon_sym_public] = ACTIONS(929),
    [anon_sym_protected] = ACTIONS(929),
    [anon_sym_private] = ACTIONS(929),
    [anon_sym_abstract] = ACTIONS(929),
    [anon_sym_strictfp] = ACTIONS(929),
    [anon_sym_native] = ACTIONS(929),
    [anon_sym_transient] = ACTIONS(929),
    [anon_sym_volatile] = ACTIONS(929),
    [anon_sym_sealed] = ACTIONS(929),
    [anon_sym_non_DASHsealed] = ACTIONS(927),
    [anon_sym_record] = ACTIONS(929),
    [anon_sym_ATinterface] = ACTIONS(927),
    [anon_sym_interface] = ACTIONS(929),
    [anon_sym_byte] = ACTIONS(929),
    [anon_sym_short] = ACTIONS(929),
    [anon_sym_int] = ACTIONS(929),
    [anon_sym_long] = ACTIONS(929),
    [anon_sym_char] = ACTIONS(929),
    [anon_sym_float] = ACTIONS(929),
    [anon_sym_double] = ACTIONS(929),
    [sym_boolean_type] = ACTIONS(929),
    [sym_void_type] = ACTIONS(929),
    [sym_this] = ACTIONS(929),
    [sym_super] = ACTIONS(929),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [325] = {
    [ts_builtin_sym_end] = ACTIONS(931),
    [sym_identifier] = ACTIONS(933),
    [sym_decimal_integer_literal] = ACTIONS(933),
    [sym_hex_integer_literal] = ACTIONS(933),
    [sym_octal_integer_literal] = ACTIONS(933),
    [sym_binary_integer_literal] = ACTIONS(931),
    [sym_decimal_floating_point_literal] = ACTIONS(931),
    [sym_hex_floating_point_literal] = ACTIONS(933),
    [sym_true] = ACTIONS(933),
    [sym_false] = ACTIONS(933),
    [sym_character_literal] = ACTIONS(931),
    [anon_sym_DQUOTE] = ACTIONS(933),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(931),
    [anon_sym_RBRACE] = ACTIONS(931),
    [sym_null_literal] = ACTIONS(933),
    [anon_sym_LPAREN] = ACTIONS(931),
    [anon_sym_LT] = ACTIONS(931),
    [anon_sym_PLUS] = ACTIONS(933),
    [anon_sym_DASH] = ACTIONS(933),
    [anon_sym_final] = ACTIONS(933),
    [anon_sym_BANG] = ACTIONS(931),
    [anon_sym_TILDE] = ACTIONS(931),
    [anon_sym_PLUS_PLUS] = ACTIONS(931),
    [anon_sym_DASH_DASH] = ACTIONS(931),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_class] = ACTIONS(933),
    [anon_sym_switch] = ACTIONS(933),
    [anon_sym_LBRACE] = ACTIONS(931),
    [anon_sym_case] = ACTIONS(933),
    [anon_sym_default] = ACTIONS(933),
    [anon_sym_SEMI] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(933),
    [anon_sym_do] = ACTIONS(933),
    [anon_sym_while] = ACTIONS(933),
    [anon_sym_break] = ACTIONS(933),
    [anon_sym_continue] = ACTIONS(933),
    [anon_sym_return] = ACTIONS(933),
    [anon_sym_yield] = ACTIONS(933),
    [anon_sym_synchronized] = ACTIONS(933),
    [anon_sym_throw] = ACTIONS(933),
    [anon_sym_try] = ACTIONS(933),
    [anon_sym_if] = ACTIONS(933),
    [anon_sym_else] = ACTIONS(933),
    [anon_sym_for] = ACTIONS(933),
    [anon_sym_AT] = ACTIONS(933),
    [anon_sym_open] = ACTIONS(933),
    [anon_sym_module] = ACTIONS(933),
    [anon_sym_static] = ACTIONS(933),
    [anon_sym_with] = ACTIONS(933),
    [anon_sym_package] = ACTIONS(933),
    [anon_sym_import] = ACTIONS(933),
    [anon_sym_enum] = ACTIONS(933),
    [anon_sym_public] = ACTIONS(933),
    [anon_sym_protected] = ACTIONS(933),
    [anon_sym_private] = ACTIONS(933),
    [anon_sym_abstract] = ACTIONS(933),
    [anon_sym_strictfp] = ACTIONS(933),
    [anon_sym_native] = ACTIONS(933),
    [anon_sym_transient] = ACTIONS(933),
    [anon_sym_volatile] = ACTIONS(933),
    [anon_sym_sealed] = ACTIONS(933),
    [anon_sym_non_DASHsealed] = ACTIONS(931),
    [anon_sym_record] = ACTIONS(933),
    [anon_sym_ATinterface] = ACTIONS(931),
    [anon_sym_interface] = ACTIONS(933),
    [anon_sym_byte] = ACTIONS(933),
    [anon_sym_short] = ACTIONS(933),
    [anon_sym_int] = ACTIONS(933),
    [anon_sym_long] = ACTIONS(933),
    [anon_sym_char] = ACTIONS(933),
    [anon_sym_float] = ACTIONS(933),
    [anon_sym_double] = ACTIONS(933),
    [sym_boolean_type] = ACTIONS(933),
    [sym_void_type] = ACTIONS(933),
    [sym_this] = ACTIONS(933),
    [sym_super] = ACTIONS(933),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [326] = {
    [ts_builtin_sym_end] = ACTIONS(935),
    [sym_identifier] = ACTIONS(937),
    [sym_decimal_integer_literal] = ACTIONS(937),
    [sym_hex_integer_literal] = ACTIONS(937),
    [sym_octal_integer_literal] = ACTIONS(937),
    [sym_binary_integer_literal] = ACTIONS(935),
    [sym_decimal_floating_point_literal] = ACTIONS(935),
    [sym_hex_floating_point_literal] = ACTIONS(937),
    [sym_true] = ACTIONS(937),
    [sym_false] = ACTIONS(937),
    [sym_character_literal] = ACTIONS(935),
    [anon_sym_DQUOTE] = ACTIONS(937),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(935),
    [anon_sym_RBRACE] = ACTIONS(935),
    [sym_null_literal] = ACTIONS(937),
    [anon_sym_LPAREN] = ACTIONS(935),
    [anon_sym_LT] = ACTIONS(935),
    [anon_sym_PLUS] = ACTIONS(937),
    [anon_sym_DASH] = ACTIONS(937),
    [anon_sym_final] = ACTIONS(937),
    [anon_sym_BANG] = ACTIONS(935),
    [anon_sym_TILDE] = ACTIONS(935),
    [anon_sym_PLUS_PLUS] = ACTIONS(935),
    [anon_sym_DASH_DASH] = ACTIONS(935),
    [anon_sym_new] = ACTIONS(937),
    [anon_sym_class] = ACTIONS(937),
    [anon_sym_switch] = ACTIONS(937),
    [anon_sym_LBRACE] = ACTIONS(935),
    [anon_sym_case] = ACTIONS(937),
    [anon_sym_default] = ACTIONS(937),
    [anon_sym_SEMI] = ACTIONS(935),
    [anon_sym_assert] = ACTIONS(937),
    [anon_sym_do] = ACTIONS(937),
    [anon_sym_while] = ACTIONS(937),
    [anon_sym_break] = ACTIONS(937),
    [anon_sym_continue] = ACTIONS(937),
    [anon_sym_return] = ACTIONS(937),
    [anon_sym_yield] = ACTIONS(937),
    [anon_sym_synchronized] = ACTIONS(937),
    [anon_sym_throw] = ACTIONS(937),
    [anon_sym_try] = ACTIONS(937),
    [anon_sym_if] = ACTIONS(937),
    [anon_sym_else] = ACTIONS(937),
    [anon_sym_for] = ACTIONS(937),
    [anon_sym_AT] = ACTIONS(937),
    [anon_sym_open] = ACTIONS(937),
    [anon_sym_module] = ACTIONS(937),
    [anon_sym_static] = ACTIONS(937),
    [anon_sym_with] = ACTIONS(937),
    [anon_sym_package] = ACTIONS(937),
    [anon_sym_import] = ACTIONS(937),
    [anon_sym_enum] = ACTIONS(937),
    [anon_sym_public] = ACTIONS(937),
    [anon_sym_protected] = ACTIONS(937),
    [anon_sym_private] = ACTIONS(937),
    [anon_sym_abstract] = ACTIONS(937),
    [anon_sym_strictfp] = ACTIONS(937),
    [anon_sym_native] = ACTIONS(937),
    [anon_sym_transient] = ACTIONS(937),
    [anon_sym_volatile] = ACTIONS(937),
    [anon_sym_sealed] = ACTIONS(937),
    [anon_sym_non_DASHsealed] = ACTIONS(935),
    [anon_sym_record] = ACTIONS(937),
    [anon_sym_ATinterface] = ACTIONS(935),
    [anon_sym_interface] = ACTIONS(937),
    [anon_sym_byte] = ACTIONS(937),
    [anon_sym_short] = ACTIONS(937),
    [anon_sym_int] = ACTIONS(937),
    [anon_sym_long] = ACTIONS(937),
    [anon_sym_char] = ACTIONS(937),
    [anon_sym_float] = ACTIONS(937),
    [anon_sym_double] = ACTIONS(937),
    [sym_boolean_type] = ACTIONS(937),
    [sym_void_type] = ACTIONS(937),
    [sym_this] = ACTIONS(937),
    [sym_super] = ACTIONS(937),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [327] = {
    [ts_builtin_sym_end] = ACTIONS(939),
    [sym_identifier] = ACTIONS(941),
    [sym_decimal_integer_literal] = ACTIONS(941),
    [sym_hex_integer_literal] = ACTIONS(941),
    [sym_octal_integer_literal] = ACTIONS(941),
    [sym_binary_integer_literal] = ACTIONS(939),
    [sym_decimal_floating_point_literal] = ACTIONS(939),
    [sym_hex_floating_point_literal] = ACTIONS(941),
    [sym_true] = ACTIONS(941),
    [sym_false] = ACTIONS(941),
    [sym_character_literal] = ACTIONS(939),
    [anon_sym_DQUOTE] = ACTIONS(941),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(939),
    [anon_sym_RBRACE] = ACTIONS(939),
    [sym_null_literal] = ACTIONS(941),
    [anon_sym_LPAREN] = ACTIONS(939),
    [anon_sym_LT] = ACTIONS(939),
    [anon_sym_PLUS] = ACTIONS(941),
    [anon_sym_DASH] = ACTIONS(941),
    [anon_sym_final] = ACTIONS(941),
    [anon_sym_BANG] = ACTIONS(939),
    [anon_sym_TILDE] = ACTIONS(939),
    [anon_sym_PLUS_PLUS] = ACTIONS(939),
    [anon_sym_DASH_DASH] = ACTIONS(939),
    [anon_sym_new] = ACTIONS(941),
    [anon_sym_class] = ACTIONS(941),
    [anon_sym_switch] = ACTIONS(941),
    [anon_sym_LBRACE] = ACTIONS(939),
    [anon_sym_case] = ACTIONS(941),
    [anon_sym_default] = ACTIONS(941),
    [anon_sym_SEMI] = ACTIONS(939),
    [anon_sym_assert] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(941),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_break] = ACTIONS(941),
    [anon_sym_continue] = ACTIONS(941),
    [anon_sym_return] = ACTIONS(941),
    [anon_sym_yield] = ACTIONS(941),
    [anon_sym_synchronized] = ACTIONS(941),
    [anon_sym_throw] = ACTIONS(941),
    [anon_sym_try] = ACTIONS(941),
    [anon_sym_if] = ACTIONS(941),
    [anon_sym_else] = ACTIONS(941),
    [anon_sym_for] = ACTIONS(941),
    [anon_sym_AT] = ACTIONS(941),
    [anon_sym_open] = ACTIONS(941),
    [anon_sym_module] = ACTIONS(941),
    [anon_sym_static] = ACTIONS(941),
    [anon_sym_with] = ACTIONS(941),
    [anon_sym_package] = ACTIONS(941),
    [anon_sym_import] = ACTIONS(941),
    [anon_sym_enum] = ACTIONS(941),
    [anon_sym_public] = ACTIONS(941),
    [anon_sym_protected] = ACTIONS(941),
    [anon_sym_private] = ACTIONS(941),
    [anon_sym_abstract] = ACTIONS(941),
    [anon_sym_strictfp] = ACTIONS(941),
    [anon_sym_native] = ACTIONS(941),
    [anon_sym_transient] = ACTIONS(941),
    [anon_sym_volatile] = ACTIONS(941),
    [anon_sym_sealed] = ACTIONS(941),
    [anon_sym_non_DASHsealed] = ACTIONS(939),
    [anon_sym_record] = ACTIONS(941),
    [anon_sym_ATinterface] = ACTIONS(939),
    [anon_sym_interface] = ACTIONS(941),
    [anon_sym_byte] = ACTIONS(941),
    [anon_sym_short] = ACTIONS(941),
    [anon_sym_int] = ACTIONS(941),
    [anon_sym_long] = ACTIONS(941),
    [anon_sym_char] = ACTIONS(941),
    [anon_sym_float] = ACTIONS(941),
    [anon_sym_double] = ACTIONS(941),
    [sym_boolean_type] = ACTIONS(941),
    [sym_void_type] = ACTIONS(941),
    [sym_this] = ACTIONS(941),
    [sym_super] = ACTIONS(941),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(943),
    [sym_identifier] = ACTIONS(945),
    [sym_decimal_integer_literal] = ACTIONS(945),
    [sym_hex_integer_literal] = ACTIONS(945),
    [sym_octal_integer_literal] = ACTIONS(945),
    [sym_binary_integer_literal] = ACTIONS(943),
    [sym_decimal_floating_point_literal] = ACTIONS(943),
    [sym_hex_floating_point_literal] = ACTIONS(945),
    [sym_true] = ACTIONS(945),
    [sym_false] = ACTIONS(945),
    [sym_character_literal] = ACTIONS(943),
    [anon_sym_DQUOTE] = ACTIONS(945),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(943),
    [anon_sym_RBRACE] = ACTIONS(943),
    [sym_null_literal] = ACTIONS(945),
    [anon_sym_LPAREN] = ACTIONS(943),
    [anon_sym_LT] = ACTIONS(943),
    [anon_sym_PLUS] = ACTIONS(945),
    [anon_sym_DASH] = ACTIONS(945),
    [anon_sym_final] = ACTIONS(945),
    [anon_sym_BANG] = ACTIONS(943),
    [anon_sym_TILDE] = ACTIONS(943),
    [anon_sym_PLUS_PLUS] = ACTIONS(943),
    [anon_sym_DASH_DASH] = ACTIONS(943),
    [anon_sym_new] = ACTIONS(945),
    [anon_sym_class] = ACTIONS(945),
    [anon_sym_switch] = ACTIONS(945),
    [anon_sym_LBRACE] = ACTIONS(943),
    [anon_sym_case] = ACTIONS(945),
    [anon_sym_default] = ACTIONS(945),
    [anon_sym_SEMI] = ACTIONS(943),
    [anon_sym_assert] = ACTIONS(945),
    [anon_sym_do] = ACTIONS(945),
    [anon_sym_while] = ACTIONS(945),
    [anon_sym_break] = ACTIONS(945),
    [anon_sym_continue] = ACTIONS(945),
    [anon_sym_return] = ACTIONS(945),
    [anon_sym_yield] = ACTIONS(945),
    [anon_sym_synchronized] = ACTIONS(945),
    [anon_sym_throw] = ACTIONS(945),
    [anon_sym_try] = ACTIONS(945),
    [anon_sym_if] = ACTIONS(945),
    [anon_sym_else] = ACTIONS(945),
    [anon_sym_for] = ACTIONS(945),
    [anon_sym_AT] = ACTIONS(945),
    [anon_sym_open] = ACTIONS(945),
    [anon_sym_module] = ACTIONS(945),
    [anon_sym_static] = ACTIONS(945),
    [anon_sym_with] = ACTIONS(945),
    [anon_sym_package] = ACTIONS(945),
    [anon_sym_import] = ACTIONS(945),
    [anon_sym_enum] = ACTIONS(945),
    [anon_sym_public] = ACTIONS(945),
    [anon_sym_protected] = ACTIONS(945),
    [anon_sym_private] = ACTIONS(945),
    [anon_sym_abstract] = ACTIONS(945),
    [anon_sym_strictfp] = ACTIONS(945),
    [anon_sym_native] = ACTIONS(945),
    [anon_sym_transient] = ACTIONS(945),
    [anon_sym_volatile] = ACTIONS(945),
    [anon_sym_sealed] = ACTIONS(945),
    [anon_sym_non_DASHsealed] = ACTIONS(943),
    [anon_sym_record] = ACTIONS(945),
    [anon_sym_ATinterface] = ACTIONS(943),
    [anon_sym_interface] = ACTIONS(945),
    [anon_sym_byte] = ACTIONS(945),
    [anon_sym_short] = ACTIONS(945),
    [anon_sym_int] = ACTIONS(945),
    [anon_sym_long] = ACTIONS(945),
    [anon_sym_char] = ACTIONS(945),
    [anon_sym_float] = ACTIONS(945),
    [anon_sym_double] = ACTIONS(945),
    [sym_boolean_type] = ACTIONS(945),
    [sym_void_type] = ACTIONS(945),
    [sym_this] = ACTIONS(945),
    [sym_super] = ACTIONS(945),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(947),
    [sym_identifier] = ACTIONS(949),
    [sym_decimal_integer_literal] = ACTIONS(949),
    [sym_hex_integer_literal] = ACTIONS(949),
    [sym_octal_integer_literal] = ACTIONS(949),
    [sym_binary_integer_literal] = ACTIONS(947),
    [sym_decimal_floating_point_literal] = ACTIONS(947),
    [sym_hex_floating_point_literal] = ACTIONS(949),
    [sym_true] = ACTIONS(949),
    [sym_false] = ACTIONS(949),
    [sym_character_literal] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(947),
    [anon_sym_RBRACE] = ACTIONS(947),
    [sym_null_literal] = ACTIONS(949),
    [anon_sym_LPAREN] = ACTIONS(947),
    [anon_sym_LT] = ACTIONS(947),
    [anon_sym_PLUS] = ACTIONS(949),
    [anon_sym_DASH] = ACTIONS(949),
    [anon_sym_final] = ACTIONS(949),
    [anon_sym_BANG] = ACTIONS(947),
    [anon_sym_TILDE] = ACTIONS(947),
    [anon_sym_PLUS_PLUS] = ACTIONS(947),
    [anon_sym_DASH_DASH] = ACTIONS(947),
    [anon_sym_new] = ACTIONS(949),
    [anon_sym_class] = ACTIONS(949),
    [anon_sym_switch] = ACTIONS(949),
    [anon_sym_LBRACE] = ACTIONS(947),
    [anon_sym_case] = ACTIONS(949),
    [anon_sym_default] = ACTIONS(949),
    [anon_sym_SEMI] = ACTIONS(947),
    [anon_sym_assert] = ACTIONS(949),
    [anon_sym_do] = ACTIONS(949),
    [anon_sym_while] = ACTIONS(949),
    [anon_sym_break] = ACTIONS(949),
    [anon_sym_continue] = ACTIONS(949),
    [anon_sym_return] = ACTIONS(949),
    [anon_sym_yield] = ACTIONS(949),
    [anon_sym_synchronized] = ACTIONS(949),
    [anon_sym_throw] = ACTIONS(949),
    [anon_sym_try] = ACTIONS(949),
    [anon_sym_if] = ACTIONS(949),
    [anon_sym_else] = ACTIONS(949),
    [anon_sym_for] = ACTIONS(949),
    [anon_sym_AT] = ACTIONS(949),
    [anon_sym_open] = ACTIONS(949),
    [anon_sym_module] = ACTIONS(949),
    [anon_sym_static] = ACTIONS(949),
    [anon_sym_with] = ACTIONS(949),
    [anon_sym_package] = ACTIONS(949),
    [anon_sym_import] = ACTIONS(949),
    [anon_sym_enum] = ACTIONS(949),
    [anon_sym_public] = ACTIONS(949),
    [anon_sym_protected] = ACTIONS(949),
    [anon_sym_private] = ACTIONS(949),
    [anon_sym_abstract] = ACTIONS(949),
    [anon_sym_strictfp] = ACTIONS(949),
    [anon_sym_native] = ACTIONS(949),
    [anon_sym_transient] = ACTIONS(949),
    [anon_sym_volatile] = ACTIONS(949),
    [anon_sym_sealed] = ACTIONS(949),
    [anon_sym_non_DASHsealed] = ACTIONS(947),
    [anon_sym_record] = ACTIONS(949),
    [anon_sym_ATinterface] = ACTIONS(947),
    [anon_sym_interface] = ACTIONS(949),
    [anon_sym_byte] = ACTIONS(949),
    [anon_sym_short] = ACTIONS(949),
    [anon_sym_int] = ACTIONS(949),
    [anon_sym_long] = ACTIONS(949),
    [anon_sym_char] = ACTIONS(949),
    [anon_sym_float] = ACTIONS(949),
    [anon_sym_double] = ACTIONS(949),
    [sym_boolean_type] = ACTIONS(949),
    [sym_void_type] = ACTIONS(949),
    [sym_this] = ACTIONS(949),
    [sym_super] = ACTIONS(949),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(951),
    [sym_identifier] = ACTIONS(953),
    [sym_decimal_integer_literal] = ACTIONS(953),
    [sym_hex_integer_literal] = ACTIONS(953),
    [sym_octal_integer_literal] = ACTIONS(953),
    [sym_binary_integer_literal] = ACTIONS(951),
    [sym_decimal_floating_point_literal] = ACTIONS(951),
    [sym_hex_floating_point_literal] = ACTIONS(953),
    [sym_true] = ACTIONS(953),
    [sym_false] = ACTIONS(953),
    [sym_character_literal] = ACTIONS(951),
    [anon_sym_DQUOTE] = ACTIONS(953),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(951),
    [anon_sym_RBRACE] = ACTIONS(951),
    [sym_null_literal] = ACTIONS(953),
    [anon_sym_LPAREN] = ACTIONS(951),
    [anon_sym_LT] = ACTIONS(951),
    [anon_sym_PLUS] = ACTIONS(953),
    [anon_sym_DASH] = ACTIONS(953),
    [anon_sym_final] = ACTIONS(953),
    [anon_sym_BANG] = ACTIONS(951),
    [anon_sym_TILDE] = ACTIONS(951),
    [anon_sym_PLUS_PLUS] = ACTIONS(951),
    [anon_sym_DASH_DASH] = ACTIONS(951),
    [anon_sym_new] = ACTIONS(953),
    [anon_sym_class] = ACTIONS(953),
    [anon_sym_switch] = ACTIONS(953),
    [anon_sym_LBRACE] = ACTIONS(951),
    [anon_sym_case] = ACTIONS(953),
    [anon_sym_default] = ACTIONS(953),
    [anon_sym_SEMI] = ACTIONS(951),
    [anon_sym_assert] = ACTIONS(953),
    [anon_sym_do] = ACTIONS(953),
    [anon_sym_while] = ACTIONS(953),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(953),
    [anon_sym_return] = ACTIONS(953),
    [anon_sym_yield] = ACTIONS(953),
    [anon_sym_synchronized] = ACTIONS(953),
    [anon_sym_throw] = ACTIONS(953),
    [anon_sym_try] = ACTIONS(953),
    [anon_sym_if] = ACTIONS(953),
    [anon_sym_else] = ACTIONS(953),
    [anon_sym_for] = ACTIONS(953),
    [anon_sym_AT] = ACTIONS(953),
    [anon_sym_open] = ACTIONS(953),
    [anon_sym_module] = ACTIONS(953),
    [anon_sym_static] = ACTIONS(953),
    [anon_sym_with] = ACTIONS(953),
    [anon_sym_package] = ACTIONS(953),
    [anon_sym_import] = ACTIONS(953),
    [anon_sym_enum] = ACTIONS(953),
    [anon_sym_public] = ACTIONS(953),
    [anon_sym_protected] = ACTIONS(953),
    [anon_sym_private] = ACTIONS(953),
    [anon_sym_abstract] = ACTIONS(953),
    [anon_sym_strictfp] = ACTIONS(953),
    [anon_sym_native] = ACTIONS(953),
    [anon_sym_transient] = ACTIONS(953),
    [anon_sym_volatile] = ACTIONS(953),
    [anon_sym_sealed] = ACTIONS(953),
    [anon_sym_non_DASHsealed] = ACTIONS(951),
    [anon_sym_record] = ACTIONS(953),
    [anon_sym_ATinterface] = ACTIONS(951),
    [anon_sym_interface] = ACTIONS(953),
    [anon_sym_byte] = ACTIONS(953),
    [anon_sym_short] = ACTIONS(953),
    [anon_sym_int] = ACTIONS(953),
    [anon_sym_long] = ACTIONS(953),
    [anon_sym_char] = ACTIONS(953),
    [anon_sym_float] = ACTIONS(953),
    [anon_sym_double] = ACTIONS(953),
    [sym_boolean_type] = ACTIONS(953),
    [sym_void_type] = ACTIONS(953),
    [sym_this] = ACTIONS(953),
    [sym_super] = ACTIONS(953),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(955),
    [sym_identifier] = ACTIONS(957),
    [sym_decimal_integer_literal] = ACTIONS(957),
    [sym_hex_integer_literal] = ACTIONS(957),
    [sym_octal_integer_literal] = ACTIONS(957),
    [sym_binary_integer_literal] = ACTIONS(955),
    [sym_decimal_floating_point_literal] = ACTIONS(955),
    [sym_hex_floating_point_literal] = ACTIONS(957),
    [sym_true] = ACTIONS(957),
    [sym_false] = ACTIONS(957),
    [sym_character_literal] = ACTIONS(955),
    [anon_sym_DQUOTE] = ACTIONS(957),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(955),
    [anon_sym_RBRACE] = ACTIONS(955),
    [sym_null_literal] = ACTIONS(957),
    [anon_sym_LPAREN] = ACTIONS(955),
    [anon_sym_LT] = ACTIONS(955),
    [anon_sym_PLUS] = ACTIONS(957),
    [anon_sym_DASH] = ACTIONS(957),
    [anon_sym_final] = ACTIONS(957),
    [anon_sym_BANG] = ACTIONS(955),
    [anon_sym_TILDE] = ACTIONS(955),
    [anon_sym_PLUS_PLUS] = ACTIONS(955),
    [anon_sym_DASH_DASH] = ACTIONS(955),
    [anon_sym_new] = ACTIONS(957),
    [anon_sym_class] = ACTIONS(957),
    [anon_sym_switch] = ACTIONS(957),
    [anon_sym_LBRACE] = ACTIONS(955),
    [anon_sym_case] = ACTIONS(957),
    [anon_sym_default] = ACTIONS(957),
    [anon_sym_SEMI] = ACTIONS(955),
    [anon_sym_assert] = ACTIONS(957),
    [anon_sym_do] = ACTIONS(957),
    [anon_sym_while] = ACTIONS(957),
    [anon_sym_break] = ACTIONS(957),
    [anon_sym_continue] = ACTIONS(957),
    [anon_sym_return] = ACTIONS(957),
    [anon_sym_yield] = ACTIONS(957),
    [anon_sym_synchronized] = ACTIONS(957),
    [anon_sym_throw] = ACTIONS(957),
    [anon_sym_try] = ACTIONS(957),
    [anon_sym_if] = ACTIONS(957),
    [anon_sym_else] = ACTIONS(957),
    [anon_sym_for] = ACTIONS(957),
    [anon_sym_AT] = ACTIONS(957),
    [anon_sym_open] = ACTIONS(957),
    [anon_sym_module] = ACTIONS(957),
    [anon_sym_static] = ACTIONS(957),
    [anon_sym_with] = ACTIONS(957),
    [anon_sym_package] = ACTIONS(957),
    [anon_sym_import] = ACTIONS(957),
    [anon_sym_enum] = ACTIONS(957),
    [anon_sym_public] = ACTIONS(957),
    [anon_sym_protected] = ACTIONS(957),
    [anon_sym_private] = ACTIONS(957),
    [anon_sym_abstract] = ACTIONS(957),
    [anon_sym_strictfp] = ACTIONS(957),
    [anon_sym_native] = ACTIONS(957),
    [anon_sym_transient] = ACTIONS(957),
    [anon_sym_volatile] = ACTIONS(957),
    [anon_sym_sealed] = ACTIONS(957),
    [anon_sym_non_DASHsealed] = ACTIONS(955),
    [anon_sym_record] = ACTIONS(957),
    [anon_sym_ATinterface] = ACTIONS(955),
    [anon_sym_interface] = ACTIONS(957),
    [anon_sym_byte] = ACTIONS(957),
    [anon_sym_short] = ACTIONS(957),
    [anon_sym_int] = ACTIONS(957),
    [anon_sym_long] = ACTIONS(957),
    [anon_sym_char] = ACTIONS(957),
    [anon_sym_float] = ACTIONS(957),
    [anon_sym_double] = ACTIONS(957),
    [sym_boolean_type] = ACTIONS(957),
    [sym_void_type] = ACTIONS(957),
    [sym_this] = ACTIONS(957),
    [sym_super] = ACTIONS(957),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym_identifier] = ACTIONS(961),
    [sym_decimal_integer_literal] = ACTIONS(961),
    [sym_hex_integer_literal] = ACTIONS(961),
    [sym_octal_integer_literal] = ACTIONS(961),
    [sym_binary_integer_literal] = ACTIONS(959),
    [sym_decimal_floating_point_literal] = ACTIONS(959),
    [sym_hex_floating_point_literal] = ACTIONS(961),
    [sym_true] = ACTIONS(961),
    [sym_false] = ACTIONS(961),
    [sym_character_literal] = ACTIONS(959),
    [anon_sym_DQUOTE] = ACTIONS(961),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(959),
    [anon_sym_RBRACE] = ACTIONS(959),
    [sym_null_literal] = ACTIONS(961),
    [anon_sym_LPAREN] = ACTIONS(959),
    [anon_sym_LT] = ACTIONS(959),
    [anon_sym_PLUS] = ACTIONS(961),
    [anon_sym_DASH] = ACTIONS(961),
    [anon_sym_final] = ACTIONS(961),
    [anon_sym_BANG] = ACTIONS(959),
    [anon_sym_TILDE] = ACTIONS(959),
    [anon_sym_PLUS_PLUS] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(959),
    [anon_sym_new] = ACTIONS(961),
    [anon_sym_class] = ACTIONS(961),
    [anon_sym_switch] = ACTIONS(961),
    [anon_sym_LBRACE] = ACTIONS(959),
    [anon_sym_case] = ACTIONS(961),
    [anon_sym_default] = ACTIONS(961),
    [anon_sym_SEMI] = ACTIONS(959),
    [anon_sym_assert] = ACTIONS(961),
    [anon_sym_do] = ACTIONS(961),
    [anon_sym_while] = ACTIONS(961),
    [anon_sym_break] = ACTIONS(961),
    [anon_sym_continue] = ACTIONS(961),
    [anon_sym_return] = ACTIONS(961),
    [anon_sym_yield] = ACTIONS(961),
    [anon_sym_synchronized] = ACTIONS(961),
    [anon_sym_throw] = ACTIONS(961),
    [anon_sym_try] = ACTIONS(961),
    [anon_sym_if] = ACTIONS(961),
    [anon_sym_else] = ACTIONS(961),
    [anon_sym_for] = ACTIONS(961),
    [anon_sym_AT] = ACTIONS(961),
    [anon_sym_open] = ACTIONS(961),
    [anon_sym_module] = ACTIONS(961),
    [anon_sym_static] = ACTIONS(961),
    [anon_sym_with] = ACTIONS(961),
    [anon_sym_package] = ACTIONS(961),
    [anon_sym_import] = ACTIONS(961),
    [anon_sym_enum] = ACTIONS(961),
    [anon_sym_public] = ACTIONS(961),
    [anon_sym_protected] = ACTIONS(961),
    [anon_sym_private] = ACTIONS(961),
    [anon_sym_abstract] = ACTIONS(961),
    [anon_sym_strictfp] = ACTIONS(961),
    [anon_sym_native] = ACTIONS(961),
    [anon_sym_transient] = ACTIONS(961),
    [anon_sym_volatile] = ACTIONS(961),
    [anon_sym_sealed] = ACTIONS(961),
    [anon_sym_non_DASHsealed] = ACTIONS(959),
    [anon_sym_record] = ACTIONS(961),
    [anon_sym_ATinterface] = ACTIONS(959),
    [anon_sym_interface] = ACTIONS(961),
    [anon_sym_byte] = ACTIONS(961),
    [anon_sym_short] = ACTIONS(961),
    [anon_sym_int] = ACTIONS(961),
    [anon_sym_long] = ACTIONS(961),
    [anon_sym_char] = ACTIONS(961),
    [anon_sym_float] = ACTIONS(961),
    [anon_sym_double] = ACTIONS(961),
    [sym_boolean_type] = ACTIONS(961),
    [sym_void_type] = ACTIONS(961),
    [sym_this] = ACTIONS(961),
    [sym_super] = ACTIONS(961),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(963),
    [sym_identifier] = ACTIONS(965),
    [sym_decimal_integer_literal] = ACTIONS(965),
    [sym_hex_integer_literal] = ACTIONS(965),
    [sym_octal_integer_literal] = ACTIONS(965),
    [sym_binary_integer_literal] = ACTIONS(963),
    [sym_decimal_floating_point_literal] = ACTIONS(963),
    [sym_hex_floating_point_literal] = ACTIONS(965),
    [sym_true] = ACTIONS(965),
    [sym_false] = ACTIONS(965),
    [sym_character_literal] = ACTIONS(963),
    [anon_sym_DQUOTE] = ACTIONS(965),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(963),
    [anon_sym_RBRACE] = ACTIONS(963),
    [sym_null_literal] = ACTIONS(965),
    [anon_sym_LPAREN] = ACTIONS(963),
    [anon_sym_LT] = ACTIONS(963),
    [anon_sym_PLUS] = ACTIONS(965),
    [anon_sym_DASH] = ACTIONS(965),
    [anon_sym_final] = ACTIONS(965),
    [anon_sym_BANG] = ACTIONS(963),
    [anon_sym_TILDE] = ACTIONS(963),
    [anon_sym_PLUS_PLUS] = ACTIONS(963),
    [anon_sym_DASH_DASH] = ACTIONS(963),
    [anon_sym_new] = ACTIONS(965),
    [anon_sym_class] = ACTIONS(965),
    [anon_sym_switch] = ACTIONS(965),
    [anon_sym_LBRACE] = ACTIONS(963),
    [anon_sym_case] = ACTIONS(965),
    [anon_sym_default] = ACTIONS(965),
    [anon_sym_SEMI] = ACTIONS(963),
    [anon_sym_assert] = ACTIONS(965),
    [anon_sym_do] = ACTIONS(965),
    [anon_sym_while] = ACTIONS(965),
    [anon_sym_break] = ACTIONS(965),
    [anon_sym_continue] = ACTIONS(965),
    [anon_sym_return] = ACTIONS(965),
    [anon_sym_yield] = ACTIONS(965),
    [anon_sym_synchronized] = ACTIONS(965),
    [anon_sym_throw] = ACTIONS(965),
    [anon_sym_try] = ACTIONS(965),
    [anon_sym_if] = ACTIONS(965),
    [anon_sym_else] = ACTIONS(965),
    [anon_sym_for] = ACTIONS(965),
    [anon_sym_AT] = ACTIONS(965),
    [anon_sym_open] = ACTIONS(965),
    [anon_sym_module] = ACTIONS(965),
    [anon_sym_static] = ACTIONS(965),
    [anon_sym_with] = ACTIONS(965),
    [anon_sym_package] = ACTIONS(965),
    [anon_sym_import] = ACTIONS(965),
    [anon_sym_enum] = ACTIONS(965),
    [anon_sym_public] = ACTIONS(965),
    [anon_sym_protected] = ACTIONS(965),
    [anon_sym_private] = ACTIONS(965),
    [anon_sym_abstract] = ACTIONS(965),
    [anon_sym_strictfp] = ACTIONS(965),
    [anon_sym_native] = ACTIONS(965),
    [anon_sym_transient] = ACTIONS(965),
    [anon_sym_volatile] = ACTIONS(965),
    [anon_sym_sealed] = ACTIONS(965),
    [anon_sym_non_DASHsealed] = ACTIONS(963),
    [anon_sym_record] = ACTIONS(965),
    [anon_sym_ATinterface] = ACTIONS(963),
    [anon_sym_interface] = ACTIONS(965),
    [anon_sym_byte] = ACTIONS(965),
    [anon_sym_short] = ACTIONS(965),
    [anon_sym_int] = ACTIONS(965),
    [anon_sym_long] = ACTIONS(965),
    [anon_sym_char] = ACTIONS(965),
    [anon_sym_float] = ACTIONS(965),
    [anon_sym_double] = ACTIONS(965),
    [sym_boolean_type] = ACTIONS(965),
    [sym_void_type] = ACTIONS(965),
    [sym_this] = ACTIONS(965),
    [sym_super] = ACTIONS(965),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [334] = {
    [ts_builtin_sym_end] = ACTIONS(618),
    [sym_identifier] = ACTIONS(620),
    [sym_decimal_integer_literal] = ACTIONS(620),
    [sym_hex_integer_literal] = ACTIONS(620),
    [sym_octal_integer_literal] = ACTIONS(620),
    [sym_binary_integer_literal] = ACTIONS(618),
    [sym_decimal_floating_point_literal] = ACTIONS(618),
    [sym_hex_floating_point_literal] = ACTIONS(620),
    [sym_true] = ACTIONS(620),
    [sym_false] = ACTIONS(620),
    [sym_character_literal] = ACTIONS(618),
    [anon_sym_DQUOTE] = ACTIONS(620),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(618),
    [anon_sym_RBRACE] = ACTIONS(618),
    [sym_null_literal] = ACTIONS(620),
    [anon_sym_LPAREN] = ACTIONS(618),
    [anon_sym_LT] = ACTIONS(618),
    [anon_sym_PLUS] = ACTIONS(620),
    [anon_sym_DASH] = ACTIONS(620),
    [anon_sym_final] = ACTIONS(620),
    [anon_sym_BANG] = ACTIONS(618),
    [anon_sym_TILDE] = ACTIONS(618),
    [anon_sym_PLUS_PLUS] = ACTIONS(618),
    [anon_sym_DASH_DASH] = ACTIONS(618),
    [anon_sym_new] = ACTIONS(620),
    [anon_sym_class] = ACTIONS(620),
    [anon_sym_switch] = ACTIONS(620),
    [anon_sym_LBRACE] = ACTIONS(618),
    [anon_sym_case] = ACTIONS(620),
    [anon_sym_default] = ACTIONS(620),
    [anon_sym_SEMI] = ACTIONS(618),
    [anon_sym_assert] = ACTIONS(620),
    [anon_sym_do] = ACTIONS(620),
    [anon_sym_while] = ACTIONS(620),
    [anon_sym_break] = ACTIONS(620),
    [anon_sym_continue] = ACTIONS(620),
    [anon_sym_return] = ACTIONS(620),
    [anon_sym_yield] = ACTIONS(620),
    [anon_sym_synchronized] = ACTIONS(620),
    [anon_sym_throw] = ACTIONS(620),
    [anon_sym_try] = ACTIONS(620),
    [anon_sym_if] = ACTIONS(620),
    [anon_sym_else] = ACTIONS(620),
    [anon_sym_for] = ACTIONS(620),
    [anon_sym_AT] = ACTIONS(620),
    [anon_sym_open] = ACTIONS(620),
    [anon_sym_module] = ACTIONS(620),
    [anon_sym_static] = ACTIONS(620),
    [anon_sym_with] = ACTIONS(620),
    [anon_sym_package] = ACTIONS(620),
    [anon_sym_import] = ACTIONS(620),
    [anon_sym_enum] = ACTIONS(620),
    [anon_sym_public] = ACTIONS(620),
    [anon_sym_protected] = ACTIONS(620),
    [anon_sym_private] = ACTIONS(620),
    [anon_sym_abstract] = ACTIONS(620),
    [anon_sym_strictfp] = ACTIONS(620),
    [anon_sym_native] = ACTIONS(620),
    [anon_sym_transient] = ACTIONS(620),
    [anon_sym_volatile] = ACTIONS(620),
    [anon_sym_sealed] = ACTIONS(620),
    [anon_sym_non_DASHsealed] = ACTIONS(618),
    [anon_sym_record] = ACTIONS(620),
    [anon_sym_ATinterface] = ACTIONS(618),
    [anon_sym_interface] = ACTIONS(620),
    [anon_sym_byte] = ACTIONS(620),
    [anon_sym_short] = ACTIONS(620),
    [anon_sym_int] = ACTIONS(620),
    [anon_sym_long] = ACTIONS(620),
    [anon_sym_char] = ACTIONS(620),
    [anon_sym_float] = ACTIONS(620),
    [anon_sym_double] = ACTIONS(620),
    [sym_boolean_type] = ACTIONS(620),
    [sym_void_type] = ACTIONS(620),
    [sym_this] = ACTIONS(620),
    [sym_super] = ACTIONS(620),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym_identifier] = ACTIONS(969),
    [sym_decimal_integer_literal] = ACTIONS(969),
    [sym_hex_integer_literal] = ACTIONS(969),
    [sym_octal_integer_literal] = ACTIONS(969),
    [sym_binary_integer_literal] = ACTIONS(967),
    [sym_decimal_floating_point_literal] = ACTIONS(967),
    [sym_hex_floating_point_literal] = ACTIONS(969),
    [sym_true] = ACTIONS(969),
    [sym_false] = ACTIONS(969),
    [sym_character_literal] = ACTIONS(967),
    [anon_sym_DQUOTE] = ACTIONS(969),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(967),
    [anon_sym_RBRACE] = ACTIONS(967),
    [sym_null_literal] = ACTIONS(969),
    [anon_sym_LPAREN] = ACTIONS(967),
    [anon_sym_LT] = ACTIONS(967),
    [anon_sym_PLUS] = ACTIONS(969),
    [anon_sym_DASH] = ACTIONS(969),
    [anon_sym_final] = ACTIONS(969),
    [anon_sym_BANG] = ACTIONS(967),
    [anon_sym_TILDE] = ACTIONS(967),
    [anon_sym_PLUS_PLUS] = ACTIONS(967),
    [anon_sym_DASH_DASH] = ACTIONS(967),
    [anon_sym_new] = ACTIONS(969),
    [anon_sym_class] = ACTIONS(969),
    [anon_sym_switch] = ACTIONS(969),
    [anon_sym_LBRACE] = ACTIONS(967),
    [anon_sym_case] = ACTIONS(969),
    [anon_sym_default] = ACTIONS(969),
    [anon_sym_SEMI] = ACTIONS(967),
    [anon_sym_assert] = ACTIONS(969),
    [anon_sym_do] = ACTIONS(969),
    [anon_sym_while] = ACTIONS(969),
    [anon_sym_break] = ACTIONS(969),
    [anon_sym_continue] = ACTIONS(969),
    [anon_sym_return] = ACTIONS(969),
    [anon_sym_yield] = ACTIONS(969),
    [anon_sym_synchronized] = ACTIONS(969),
    [anon_sym_throw] = ACTIONS(969),
    [anon_sym_try] = ACTIONS(969),
    [anon_sym_if] = ACTIONS(969),
    [anon_sym_else] = ACTIONS(969),
    [anon_sym_for] = ACTIONS(969),
    [anon_sym_AT] = ACTIONS(969),
    [anon_sym_open] = ACTIONS(969),
    [anon_sym_module] = ACTIONS(969),
    [anon_sym_static] = ACTIONS(969),
    [anon_sym_with] = ACTIONS(969),
    [anon_sym_package] = ACTIONS(969),
    [anon_sym_import] = ACTIONS(969),
    [anon_sym_enum] = ACTIONS(969),
    [anon_sym_public] = ACTIONS(969),
    [anon_sym_protected] = ACTIONS(969),
    [anon_sym_private] = ACTIONS(969),
    [anon_sym_abstract] = ACTIONS(969),
    [anon_sym_strictfp] = ACTIONS(969),
    [anon_sym_native] = ACTIONS(969),
    [anon_sym_transient] = ACTIONS(969),
    [anon_sym_volatile] = ACTIONS(969),
    [anon_sym_sealed] = ACTIONS(969),
    [anon_sym_non_DASHsealed] = ACTIONS(967),
    [anon_sym_record] = ACTIONS(969),
    [anon_sym_ATinterface] = ACTIONS(967),
    [anon_sym_interface] = ACTIONS(969),
    [anon_sym_byte] = ACTIONS(969),
    [anon_sym_short] = ACTIONS(969),
    [anon_sym_int] = ACTIONS(969),
    [anon_sym_long] = ACTIONS(969),
    [anon_sym_char] = ACTIONS(969),
    [anon_sym_float] = ACTIONS(969),
    [anon_sym_double] = ACTIONS(969),
    [sym_boolean_type] = ACTIONS(969),
    [sym_void_type] = ACTIONS(969),
    [sym_this] = ACTIONS(969),
    [sym_super] = ACTIONS(969),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(971),
    [sym_identifier] = ACTIONS(973),
    [sym_decimal_integer_literal] = ACTIONS(973),
    [sym_hex_integer_literal] = ACTIONS(973),
    [sym_octal_integer_literal] = ACTIONS(973),
    [sym_binary_integer_literal] = ACTIONS(971),
    [sym_decimal_floating_point_literal] = ACTIONS(971),
    [sym_hex_floating_point_literal] = ACTIONS(973),
    [sym_true] = ACTIONS(973),
    [sym_false] = ACTIONS(973),
    [sym_character_literal] = ACTIONS(971),
    [anon_sym_DQUOTE] = ACTIONS(973),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(971),
    [anon_sym_RBRACE] = ACTIONS(971),
    [sym_null_literal] = ACTIONS(973),
    [anon_sym_LPAREN] = ACTIONS(971),
    [anon_sym_LT] = ACTIONS(971),
    [anon_sym_PLUS] = ACTIONS(973),
    [anon_sym_DASH] = ACTIONS(973),
    [anon_sym_final] = ACTIONS(973),
    [anon_sym_BANG] = ACTIONS(971),
    [anon_sym_TILDE] = ACTIONS(971),
    [anon_sym_PLUS_PLUS] = ACTIONS(971),
    [anon_sym_DASH_DASH] = ACTIONS(971),
    [anon_sym_new] = ACTIONS(973),
    [anon_sym_class] = ACTIONS(973),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_LBRACE] = ACTIONS(971),
    [anon_sym_case] = ACTIONS(973),
    [anon_sym_default] = ACTIONS(973),
    [anon_sym_SEMI] = ACTIONS(971),
    [anon_sym_assert] = ACTIONS(973),
    [anon_sym_do] = ACTIONS(973),
    [anon_sym_while] = ACTIONS(973),
    [anon_sym_break] = ACTIONS(973),
    [anon_sym_continue] = ACTIONS(973),
    [anon_sym_return] = ACTIONS(973),
    [anon_sym_yield] = ACTIONS(973),
    [anon_sym_synchronized] = ACTIONS(973),
    [anon_sym_throw] = ACTIONS(973),
    [anon_sym_try] = ACTIONS(973),
    [anon_sym_if] = ACTIONS(973),
    [anon_sym_else] = ACTIONS(973),
    [anon_sym_for] = ACTIONS(973),
    [anon_sym_AT] = ACTIONS(973),
    [anon_sym_open] = ACTIONS(973),
    [anon_sym_module] = ACTIONS(973),
    [anon_sym_static] = ACTIONS(973),
    [anon_sym_with] = ACTIONS(973),
    [anon_sym_package] = ACTIONS(973),
    [anon_sym_import] = ACTIONS(973),
    [anon_sym_enum] = ACTIONS(973),
    [anon_sym_public] = ACTIONS(973),
    [anon_sym_protected] = ACTIONS(973),
    [anon_sym_private] = ACTIONS(973),
    [anon_sym_abstract] = ACTIONS(973),
    [anon_sym_strictfp] = ACTIONS(973),
    [anon_sym_native] = ACTIONS(973),
    [anon_sym_transient] = ACTIONS(973),
    [anon_sym_volatile] = ACTIONS(973),
    [anon_sym_sealed] = ACTIONS(973),
    [anon_sym_non_DASHsealed] = ACTIONS(971),
    [anon_sym_record] = ACTIONS(973),
    [anon_sym_ATinterface] = ACTIONS(971),
    [anon_sym_interface] = ACTIONS(973),
    [anon_sym_byte] = ACTIONS(973),
    [anon_sym_short] = ACTIONS(973),
    [anon_sym_int] = ACTIONS(973),
    [anon_sym_long] = ACTIONS(973),
    [anon_sym_char] = ACTIONS(973),
    [anon_sym_float] = ACTIONS(973),
    [anon_sym_double] = ACTIONS(973),
    [sym_boolean_type] = ACTIONS(973),
    [sym_void_type] = ACTIONS(973),
    [sym_this] = ACTIONS(973),
    [sym_super] = ACTIONS(973),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(975),
    [sym_identifier] = ACTIONS(977),
    [sym_decimal_integer_literal] = ACTIONS(977),
    [sym_hex_integer_literal] = ACTIONS(977),
    [sym_octal_integer_literal] = ACTIONS(977),
    [sym_binary_integer_literal] = ACTIONS(975),
    [sym_decimal_floating_point_literal] = ACTIONS(975),
    [sym_hex_floating_point_literal] = ACTIONS(977),
    [sym_true] = ACTIONS(977),
    [sym_false] = ACTIONS(977),
    [sym_character_literal] = ACTIONS(975),
    [anon_sym_DQUOTE] = ACTIONS(977),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(975),
    [anon_sym_RBRACE] = ACTIONS(975),
    [sym_null_literal] = ACTIONS(977),
    [anon_sym_LPAREN] = ACTIONS(975),
    [anon_sym_LT] = ACTIONS(975),
    [anon_sym_PLUS] = ACTIONS(977),
    [anon_sym_DASH] = ACTIONS(977),
    [anon_sym_final] = ACTIONS(977),
    [anon_sym_BANG] = ACTIONS(975),
    [anon_sym_TILDE] = ACTIONS(975),
    [anon_sym_PLUS_PLUS] = ACTIONS(975),
    [anon_sym_DASH_DASH] = ACTIONS(975),
    [anon_sym_new] = ACTIONS(977),
    [anon_sym_class] = ACTIONS(977),
    [anon_sym_switch] = ACTIONS(977),
    [anon_sym_LBRACE] = ACTIONS(975),
    [anon_sym_case] = ACTIONS(977),
    [anon_sym_default] = ACTIONS(977),
    [anon_sym_SEMI] = ACTIONS(975),
    [anon_sym_assert] = ACTIONS(977),
    [anon_sym_do] = ACTIONS(977),
    [anon_sym_while] = ACTIONS(977),
    [anon_sym_break] = ACTIONS(977),
    [anon_sym_continue] = ACTIONS(977),
    [anon_sym_return] = ACTIONS(977),
    [anon_sym_yield] = ACTIONS(977),
    [anon_sym_synchronized] = ACTIONS(977),
    [anon_sym_throw] = ACTIONS(977),
    [anon_sym_try] = ACTIONS(977),
    [anon_sym_if] = ACTIONS(977),
    [anon_sym_else] = ACTIONS(977),
    [anon_sym_for] = ACTIONS(977),
    [anon_sym_AT] = ACTIONS(977),
    [anon_sym_open] = ACTIONS(977),
    [anon_sym_module] = ACTIONS(977),
    [anon_sym_static] = ACTIONS(977),
    [anon_sym_with] = ACTIONS(977),
    [anon_sym_package] = ACTIONS(977),
    [anon_sym_import] = ACTIONS(977),
    [anon_sym_enum] = ACTIONS(977),
    [anon_sym_public] = ACTIONS(977),
    [anon_sym_protected] = ACTIONS(977),
    [anon_sym_private] = ACTIONS(977),
    [anon_sym_abstract] = ACTIONS(977),
    [anon_sym_strictfp] = ACTIONS(977),
    [anon_sym_native] = ACTIONS(977),
    [anon_sym_transient] = ACTIONS(977),
    [anon_sym_volatile] = ACTIONS(977),
    [anon_sym_sealed] = ACTIONS(977),
    [anon_sym_non_DASHsealed] = ACTIONS(975),
    [anon_sym_record] = ACTIONS(977),
    [anon_sym_ATinterface] = ACTIONS(975),
    [anon_sym_interface] = ACTIONS(977),
    [anon_sym_byte] = ACTIONS(977),
    [anon_sym_short] = ACTIONS(977),
    [anon_sym_int] = ACTIONS(977),
    [anon_sym_long] = ACTIONS(977),
    [anon_sym_char] = ACTIONS(977),
    [anon_sym_float] = ACTIONS(977),
    [anon_sym_double] = ACTIONS(977),
    [sym_boolean_type] = ACTIONS(977),
    [sym_void_type] = ACTIONS(977),
    [sym_this] = ACTIONS(977),
    [sym_super] = ACTIONS(977),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [338] = {
    [ts_builtin_sym_end] = ACTIONS(979),
    [sym_identifier] = ACTIONS(981),
    [sym_decimal_integer_literal] = ACTIONS(981),
    [sym_hex_integer_literal] = ACTIONS(981),
    [sym_octal_integer_literal] = ACTIONS(981),
    [sym_binary_integer_literal] = ACTIONS(979),
    [sym_decimal_floating_point_literal] = ACTIONS(979),
    [sym_hex_floating_point_literal] = ACTIONS(981),
    [sym_true] = ACTIONS(981),
    [sym_false] = ACTIONS(981),
    [sym_character_literal] = ACTIONS(979),
    [anon_sym_DQUOTE] = ACTIONS(981),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(979),
    [anon_sym_RBRACE] = ACTIONS(979),
    [sym_null_literal] = ACTIONS(981),
    [anon_sym_LPAREN] = ACTIONS(979),
    [anon_sym_LT] = ACTIONS(979),
    [anon_sym_PLUS] = ACTIONS(981),
    [anon_sym_DASH] = ACTIONS(981),
    [anon_sym_final] = ACTIONS(981),
    [anon_sym_BANG] = ACTIONS(979),
    [anon_sym_TILDE] = ACTIONS(979),
    [anon_sym_PLUS_PLUS] = ACTIONS(979),
    [anon_sym_DASH_DASH] = ACTIONS(979),
    [anon_sym_new] = ACTIONS(981),
    [anon_sym_class] = ACTIONS(981),
    [anon_sym_switch] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(979),
    [anon_sym_case] = ACTIONS(981),
    [anon_sym_default] = ACTIONS(981),
    [anon_sym_SEMI] = ACTIONS(979),
    [anon_sym_assert] = ACTIONS(981),
    [anon_sym_do] = ACTIONS(981),
    [anon_sym_while] = ACTIONS(981),
    [anon_sym_break] = ACTIONS(981),
    [anon_sym_continue] = ACTIONS(981),
    [anon_sym_return] = ACTIONS(981),
    [anon_sym_yield] = ACTIONS(981),
    [anon_sym_synchronized] = ACTIONS(981),
    [anon_sym_throw] = ACTIONS(981),
    [anon_sym_try] = ACTIONS(981),
    [anon_sym_if] = ACTIONS(981),
    [anon_sym_else] = ACTIONS(981),
    [anon_sym_for] = ACTIONS(981),
    [anon_sym_AT] = ACTIONS(981),
    [anon_sym_open] = ACTIONS(981),
    [anon_sym_module] = ACTIONS(981),
    [anon_sym_static] = ACTIONS(981),
    [anon_sym_with] = ACTIONS(981),
    [anon_sym_package] = ACTIONS(981),
    [anon_sym_import] = ACTIONS(981),
    [anon_sym_enum] = ACTIONS(981),
    [anon_sym_public] = ACTIONS(981),
    [anon_sym_protected] = ACTIONS(981),
    [anon_sym_private] = ACTIONS(981),
    [anon_sym_abstract] = ACTIONS(981),
    [anon_sym_strictfp] = ACTIONS(981),
    [anon_sym_native] = ACTIONS(981),
    [anon_sym_transient] = ACTIONS(981),
    [anon_sym_volatile] = ACTIONS(981),
    [anon_sym_sealed] = ACTIONS(981),
    [anon_sym_non_DASHsealed] = ACTIONS(979),
    [anon_sym_record] = ACTIONS(981),
    [anon_sym_ATinterface] = ACTIONS(979),
    [anon_sym_interface] = ACTIONS(981),
    [anon_sym_byte] = ACTIONS(981),
    [anon_sym_short] = ACTIONS(981),
    [anon_sym_int] = ACTIONS(981),
    [anon_sym_long] = ACTIONS(981),
    [anon_sym_char] = ACTIONS(981),
    [anon_sym_float] = ACTIONS(981),
    [anon_sym_double] = ACTIONS(981),
    [sym_boolean_type] = ACTIONS(981),
    [sym_void_type] = ACTIONS(981),
    [sym_this] = ACTIONS(981),
    [sym_super] = ACTIONS(981),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [339] = {
    [ts_builtin_sym_end] = ACTIONS(983),
    [sym_identifier] = ACTIONS(985),
    [sym_decimal_integer_literal] = ACTIONS(985),
    [sym_hex_integer_literal] = ACTIONS(985),
    [sym_octal_integer_literal] = ACTIONS(985),
    [sym_binary_integer_literal] = ACTIONS(983),
    [sym_decimal_floating_point_literal] = ACTIONS(983),
    [sym_hex_floating_point_literal] = ACTIONS(985),
    [sym_true] = ACTIONS(985),
    [sym_false] = ACTIONS(985),
    [sym_character_literal] = ACTIONS(983),
    [anon_sym_DQUOTE] = ACTIONS(985),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(983),
    [anon_sym_RBRACE] = ACTIONS(983),
    [sym_null_literal] = ACTIONS(985),
    [anon_sym_LPAREN] = ACTIONS(983),
    [anon_sym_LT] = ACTIONS(983),
    [anon_sym_PLUS] = ACTIONS(985),
    [anon_sym_DASH] = ACTIONS(985),
    [anon_sym_final] = ACTIONS(985),
    [anon_sym_BANG] = ACTIONS(983),
    [anon_sym_TILDE] = ACTIONS(983),
    [anon_sym_PLUS_PLUS] = ACTIONS(983),
    [anon_sym_DASH_DASH] = ACTIONS(983),
    [anon_sym_new] = ACTIONS(985),
    [anon_sym_class] = ACTIONS(985),
    [anon_sym_switch] = ACTIONS(985),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_case] = ACTIONS(985),
    [anon_sym_default] = ACTIONS(985),
    [anon_sym_SEMI] = ACTIONS(983),
    [anon_sym_assert] = ACTIONS(985),
    [anon_sym_do] = ACTIONS(985),
    [anon_sym_while] = ACTIONS(985),
    [anon_sym_break] = ACTIONS(985),
    [anon_sym_continue] = ACTIONS(985),
    [anon_sym_return] = ACTIONS(985),
    [anon_sym_yield] = ACTIONS(985),
    [anon_sym_synchronized] = ACTIONS(985),
    [anon_sym_throw] = ACTIONS(985),
    [anon_sym_try] = ACTIONS(985),
    [anon_sym_if] = ACTIONS(985),
    [anon_sym_else] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(985),
    [anon_sym_AT] = ACTIONS(985),
    [anon_sym_open] = ACTIONS(985),
    [anon_sym_module] = ACTIONS(985),
    [anon_sym_static] = ACTIONS(985),
    [anon_sym_with] = ACTIONS(985),
    [anon_sym_package] = ACTIONS(985),
    [anon_sym_import] = ACTIONS(985),
    [anon_sym_enum] = ACTIONS(985),
    [anon_sym_public] = ACTIONS(985),
    [anon_sym_protected] = ACTIONS(985),
    [anon_sym_private] = ACTIONS(985),
    [anon_sym_abstract] = ACTIONS(985),
    [anon_sym_strictfp] = ACTIONS(985),
    [anon_sym_native] = ACTIONS(985),
    [anon_sym_transient] = ACTIONS(985),
    [anon_sym_volatile] = ACTIONS(985),
    [anon_sym_sealed] = ACTIONS(985),
    [anon_sym_non_DASHsealed] = ACTIONS(983),
    [anon_sym_record] = ACTIONS(985),
    [anon_sym_ATinterface] = ACTIONS(983),
    [anon_sym_interface] = ACTIONS(985),
    [anon_sym_byte] = ACTIONS(985),
    [anon_sym_short] = ACTIONS(985),
    [anon_sym_int] = ACTIONS(985),
    [anon_sym_long] = ACTIONS(985),
    [anon_sym_char] = ACTIONS(985),
    [anon_sym_float] = ACTIONS(985),
    [anon_sym_double] = ACTIONS(985),
    [sym_boolean_type] = ACTIONS(985),
    [sym_void_type] = ACTIONS(985),
    [sym_this] = ACTIONS(985),
    [sym_super] = ACTIONS(985),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [340] = {
    [ts_builtin_sym_end] = ACTIONS(987),
    [sym_identifier] = ACTIONS(989),
    [sym_decimal_integer_literal] = ACTIONS(989),
    [sym_hex_integer_literal] = ACTIONS(989),
    [sym_octal_integer_literal] = ACTIONS(989),
    [sym_binary_integer_literal] = ACTIONS(987),
    [sym_decimal_floating_point_literal] = ACTIONS(987),
    [sym_hex_floating_point_literal] = ACTIONS(989),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [sym_character_literal] = ACTIONS(987),
    [anon_sym_DQUOTE] = ACTIONS(989),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(987),
    [anon_sym_RBRACE] = ACTIONS(987),
    [sym_null_literal] = ACTIONS(989),
    [anon_sym_LPAREN] = ACTIONS(987),
    [anon_sym_LT] = ACTIONS(987),
    [anon_sym_PLUS] = ACTIONS(989),
    [anon_sym_DASH] = ACTIONS(989),
    [anon_sym_final] = ACTIONS(989),
    [anon_sym_BANG] = ACTIONS(987),
    [anon_sym_TILDE] = ACTIONS(987),
    [anon_sym_PLUS_PLUS] = ACTIONS(987),
    [anon_sym_DASH_DASH] = ACTIONS(987),
    [anon_sym_new] = ACTIONS(989),
    [anon_sym_class] = ACTIONS(989),
    [anon_sym_switch] = ACTIONS(989),
    [anon_sym_LBRACE] = ACTIONS(987),
    [anon_sym_case] = ACTIONS(989),
    [anon_sym_default] = ACTIONS(989),
    [anon_sym_SEMI] = ACTIONS(987),
    [anon_sym_assert] = ACTIONS(989),
    [anon_sym_do] = ACTIONS(989),
    [anon_sym_while] = ACTIONS(989),
    [anon_sym_break] = ACTIONS(989),
    [anon_sym_continue] = ACTIONS(989),
    [anon_sym_return] = ACTIONS(989),
    [anon_sym_yield] = ACTIONS(989),
    [anon_sym_synchronized] = ACTIONS(989),
    [anon_sym_throw] = ACTIONS(989),
    [anon_sym_try] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(989),
    [anon_sym_else] = ACTIONS(989),
    [anon_sym_for] = ACTIONS(989),
    [anon_sym_AT] = ACTIONS(989),
    [anon_sym_open] = ACTIONS(989),
    [anon_sym_module] = ACTIONS(989),
    [anon_sym_static] = ACTIONS(989),
    [anon_sym_with] = ACTIONS(989),
    [anon_sym_package] = ACTIONS(989),
    [anon_sym_import] = ACTIONS(989),
    [anon_sym_enum] = ACTIONS(989),
    [anon_sym_public] = ACTIONS(989),
    [anon_sym_protected] = ACTIONS(989),
    [anon_sym_private] = ACTIONS(989),
    [anon_sym_abstract] = ACTIONS(989),
    [anon_sym_strictfp] = ACTIONS(989),
    [anon_sym_native] = ACTIONS(989),
    [anon_sym_transient] = ACTIONS(989),
    [anon_sym_volatile] = ACTIONS(989),
    [anon_sym_sealed] = ACTIONS(989),
    [anon_sym_non_DASHsealed] = ACTIONS(987),
    [anon_sym_record] = ACTIONS(989),
    [anon_sym_ATinterface] = ACTIONS(987),
    [anon_sym_interface] = ACTIONS(989),
    [anon_sym_byte] = ACTIONS(989),
    [anon_sym_short] = ACTIONS(989),
    [anon_sym_int] = ACTIONS(989),
    [anon_sym_long] = ACTIONS(989),
    [anon_sym_char] = ACTIONS(989),
    [anon_sym_float] = ACTIONS(989),
    [anon_sym_double] = ACTIONS(989),
    [sym_boolean_type] = ACTIONS(989),
    [sym_void_type] = ACTIONS(989),
    [sym_this] = ACTIONS(989),
    [sym_super] = ACTIONS(989),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [341] = {
    [ts_builtin_sym_end] = ACTIONS(991),
    [sym_identifier] = ACTIONS(993),
    [sym_decimal_integer_literal] = ACTIONS(993),
    [sym_hex_integer_literal] = ACTIONS(993),
    [sym_octal_integer_literal] = ACTIONS(993),
    [sym_binary_integer_literal] = ACTIONS(991),
    [sym_decimal_floating_point_literal] = ACTIONS(991),
    [sym_hex_floating_point_literal] = ACTIONS(993),
    [sym_true] = ACTIONS(993),
    [sym_false] = ACTIONS(993),
    [sym_character_literal] = ACTIONS(991),
    [anon_sym_DQUOTE] = ACTIONS(993),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(991),
    [anon_sym_RBRACE] = ACTIONS(991),
    [sym_null_literal] = ACTIONS(993),
    [anon_sym_LPAREN] = ACTIONS(991),
    [anon_sym_LT] = ACTIONS(991),
    [anon_sym_PLUS] = ACTIONS(993),
    [anon_sym_DASH] = ACTIONS(993),
    [anon_sym_final] = ACTIONS(993),
    [anon_sym_BANG] = ACTIONS(991),
    [anon_sym_TILDE] = ACTIONS(991),
    [anon_sym_PLUS_PLUS] = ACTIONS(991),
    [anon_sym_DASH_DASH] = ACTIONS(991),
    [anon_sym_new] = ACTIONS(993),
    [anon_sym_class] = ACTIONS(993),
    [anon_sym_switch] = ACTIONS(993),
    [anon_sym_LBRACE] = ACTIONS(991),
    [anon_sym_case] = ACTIONS(993),
    [anon_sym_default] = ACTIONS(993),
    [anon_sym_SEMI] = ACTIONS(991),
    [anon_sym_assert] = ACTIONS(993),
    [anon_sym_do] = ACTIONS(993),
    [anon_sym_while] = ACTIONS(993),
    [anon_sym_break] = ACTIONS(993),
    [anon_sym_continue] = ACTIONS(993),
    [anon_sym_return] = ACTIONS(993),
    [anon_sym_yield] = ACTIONS(993),
    [anon_sym_synchronized] = ACTIONS(993),
    [anon_sym_throw] = ACTIONS(993),
    [anon_sym_try] = ACTIONS(993),
    [anon_sym_if] = ACTIONS(993),
    [anon_sym_else] = ACTIONS(993),
    [anon_sym_for] = ACTIONS(993),
    [anon_sym_AT] = ACTIONS(993),
    [anon_sym_open] = ACTIONS(993),
    [anon_sym_module] = ACTIONS(993),
    [anon_sym_static] = ACTIONS(993),
    [anon_sym_with] = ACTIONS(993),
    [anon_sym_package] = ACTIONS(993),
    [anon_sym_import] = ACTIONS(993),
    [anon_sym_enum] = ACTIONS(993),
    [anon_sym_public] = ACTIONS(993),
    [anon_sym_protected] = ACTIONS(993),
    [anon_sym_private] = ACTIONS(993),
    [anon_sym_abstract] = ACTIONS(993),
    [anon_sym_strictfp] = ACTIONS(993),
    [anon_sym_native] = ACTIONS(993),
    [anon_sym_transient] = ACTIONS(993),
    [anon_sym_volatile] = ACTIONS(993),
    [anon_sym_sealed] = ACTIONS(993),
    [anon_sym_non_DASHsealed] = ACTIONS(991),
    [anon_sym_record] = ACTIONS(993),
    [anon_sym_ATinterface] = ACTIONS(991),
    [anon_sym_interface] = ACTIONS(993),
    [anon_sym_byte] = ACTIONS(993),
    [anon_sym_short] = ACTIONS(993),
    [anon_sym_int] = ACTIONS(993),
    [anon_sym_long] = ACTIONS(993),
    [anon_sym_char] = ACTIONS(993),
    [anon_sym_float] = ACTIONS(993),
    [anon_sym_double] = ACTIONS(993),
    [sym_boolean_type] = ACTIONS(993),
    [sym_void_type] = ACTIONS(993),
    [sym_this] = ACTIONS(993),
    [sym_super] = ACTIONS(993),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(995),
    [sym_identifier] = ACTIONS(997),
    [sym_decimal_integer_literal] = ACTIONS(997),
    [sym_hex_integer_literal] = ACTIONS(997),
    [sym_octal_integer_literal] = ACTIONS(997),
    [sym_binary_integer_literal] = ACTIONS(995),
    [sym_decimal_floating_point_literal] = ACTIONS(995),
    [sym_hex_floating_point_literal] = ACTIONS(997),
    [sym_true] = ACTIONS(997),
    [sym_false] = ACTIONS(997),
    [sym_character_literal] = ACTIONS(995),
    [anon_sym_DQUOTE] = ACTIONS(997),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(995),
    [anon_sym_RBRACE] = ACTIONS(995),
    [sym_null_literal] = ACTIONS(997),
    [anon_sym_LPAREN] = ACTIONS(995),
    [anon_sym_LT] = ACTIONS(995),
    [anon_sym_PLUS] = ACTIONS(997),
    [anon_sym_DASH] = ACTIONS(997),
    [anon_sym_final] = ACTIONS(997),
    [anon_sym_BANG] = ACTIONS(995),
    [anon_sym_TILDE] = ACTIONS(995),
    [anon_sym_PLUS_PLUS] = ACTIONS(995),
    [anon_sym_DASH_DASH] = ACTIONS(995),
    [anon_sym_new] = ACTIONS(997),
    [anon_sym_class] = ACTIONS(997),
    [anon_sym_switch] = ACTIONS(997),
    [anon_sym_LBRACE] = ACTIONS(995),
    [anon_sym_case] = ACTIONS(997),
    [anon_sym_default] = ACTIONS(997),
    [anon_sym_SEMI] = ACTIONS(995),
    [anon_sym_assert] = ACTIONS(997),
    [anon_sym_do] = ACTIONS(997),
    [anon_sym_while] = ACTIONS(997),
    [anon_sym_break] = ACTIONS(997),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_return] = ACTIONS(997),
    [anon_sym_yield] = ACTIONS(997),
    [anon_sym_synchronized] = ACTIONS(997),
    [anon_sym_throw] = ACTIONS(997),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_if] = ACTIONS(997),
    [anon_sym_else] = ACTIONS(997),
    [anon_sym_for] = ACTIONS(997),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_open] = ACTIONS(997),
    [anon_sym_module] = ACTIONS(997),
    [anon_sym_static] = ACTIONS(997),
    [anon_sym_with] = ACTIONS(997),
    [anon_sym_package] = ACTIONS(997),
    [anon_sym_import] = ACTIONS(997),
    [anon_sym_enum] = ACTIONS(997),
    [anon_sym_public] = ACTIONS(997),
    [anon_sym_protected] = ACTIONS(997),
    [anon_sym_private] = ACTIONS(997),
    [anon_sym_abstract] = ACTIONS(997),
    [anon_sym_strictfp] = ACTIONS(997),
    [anon_sym_native] = ACTIONS(997),
    [anon_sym_transient] = ACTIONS(997),
    [anon_sym_volatile] = ACTIONS(997),
    [anon_sym_sealed] = ACTIONS(997),
    [anon_sym_non_DASHsealed] = ACTIONS(995),
    [anon_sym_record] = ACTIONS(997),
    [anon_sym_ATinterface] = ACTIONS(995),
    [anon_sym_interface] = ACTIONS(997),
    [anon_sym_byte] = ACTIONS(997),
    [anon_sym_short] = ACTIONS(997),
    [anon_sym_int] = ACTIONS(997),
    [anon_sym_long] = ACTIONS(997),
    [anon_sym_char] = ACTIONS(997),
    [anon_sym_float] = ACTIONS(997),
    [anon_sym_double] = ACTIONS(997),
    [sym_boolean_type] = ACTIONS(997),
    [sym_void_type] = ACTIONS(997),
    [sym_this] = ACTIONS(997),
    [sym_super] = ACTIONS(997),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [343] = {
    [ts_builtin_sym_end] = ACTIONS(999),
    [sym_identifier] = ACTIONS(1001),
    [sym_decimal_integer_literal] = ACTIONS(1001),
    [sym_hex_integer_literal] = ACTIONS(1001),
    [sym_octal_integer_literal] = ACTIONS(1001),
    [sym_binary_integer_literal] = ACTIONS(999),
    [sym_decimal_floating_point_literal] = ACTIONS(999),
    [sym_hex_floating_point_literal] = ACTIONS(1001),
    [sym_true] = ACTIONS(1001),
    [sym_false] = ACTIONS(1001),
    [sym_character_literal] = ACTIONS(999),
    [anon_sym_DQUOTE] = ACTIONS(1001),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(999),
    [anon_sym_RBRACE] = ACTIONS(999),
    [sym_null_literal] = ACTIONS(1001),
    [anon_sym_LPAREN] = ACTIONS(999),
    [anon_sym_LT] = ACTIONS(999),
    [anon_sym_PLUS] = ACTIONS(1001),
    [anon_sym_DASH] = ACTIONS(1001),
    [anon_sym_final] = ACTIONS(1001),
    [anon_sym_BANG] = ACTIONS(999),
    [anon_sym_TILDE] = ACTIONS(999),
    [anon_sym_PLUS_PLUS] = ACTIONS(999),
    [anon_sym_DASH_DASH] = ACTIONS(999),
    [anon_sym_new] = ACTIONS(1001),
    [anon_sym_class] = ACTIONS(1001),
    [anon_sym_switch] = ACTIONS(1001),
    [anon_sym_LBRACE] = ACTIONS(999),
    [anon_sym_case] = ACTIONS(1001),
    [anon_sym_default] = ACTIONS(1001),
    [anon_sym_SEMI] = ACTIONS(999),
    [anon_sym_assert] = ACTIONS(1001),
    [anon_sym_do] = ACTIONS(1001),
    [anon_sym_while] = ACTIONS(1001),
    [anon_sym_break] = ACTIONS(1001),
    [anon_sym_continue] = ACTIONS(1001),
    [anon_sym_return] = ACTIONS(1001),
    [anon_sym_yield] = ACTIONS(1001),
    [anon_sym_synchronized] = ACTIONS(1001),
    [anon_sym_throw] = ACTIONS(1001),
    [anon_sym_try] = ACTIONS(1001),
    [anon_sym_if] = ACTIONS(1001),
    [anon_sym_else] = ACTIONS(1001),
    [anon_sym_for] = ACTIONS(1001),
    [anon_sym_AT] = ACTIONS(1001),
    [anon_sym_open] = ACTIONS(1001),
    [anon_sym_module] = ACTIONS(1001),
    [anon_sym_static] = ACTIONS(1001),
    [anon_sym_with] = ACTIONS(1001),
    [anon_sym_package] = ACTIONS(1001),
    [anon_sym_import] = ACTIONS(1001),
    [anon_sym_enum] = ACTIONS(1001),
    [anon_sym_public] = ACTIONS(1001),
    [anon_sym_protected] = ACTIONS(1001),
    [anon_sym_private] = ACTIONS(1001),
    [anon_sym_abstract] = ACTIONS(1001),
    [anon_sym_strictfp] = ACTIONS(1001),
    [anon_sym_native] = ACTIONS(1001),
    [anon_sym_transient] = ACTIONS(1001),
    [anon_sym_volatile] = ACTIONS(1001),
    [anon_sym_sealed] = ACTIONS(1001),
    [anon_sym_non_DASHsealed] = ACTIONS(999),
    [anon_sym_record] = ACTIONS(1001),
    [anon_sym_ATinterface] = ACTIONS(999),
    [anon_sym_interface] = ACTIONS(1001),
    [anon_sym_byte] = ACTIONS(1001),
    [anon_sym_short] = ACTIONS(1001),
    [anon_sym_int] = ACTIONS(1001),
    [anon_sym_long] = ACTIONS(1001),
    [anon_sym_char] = ACTIONS(1001),
    [anon_sym_float] = ACTIONS(1001),
    [anon_sym_double] = ACTIONS(1001),
    [sym_boolean_type] = ACTIONS(1001),
    [sym_void_type] = ACTIONS(1001),
    [sym_this] = ACTIONS(1001),
    [sym_super] = ACTIONS(1001),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1003),
    [sym_identifier] = ACTIONS(1005),
    [sym_decimal_integer_literal] = ACTIONS(1005),
    [sym_hex_integer_literal] = ACTIONS(1005),
    [sym_octal_integer_literal] = ACTIONS(1005),
    [sym_binary_integer_literal] = ACTIONS(1003),
    [sym_decimal_floating_point_literal] = ACTIONS(1003),
    [sym_hex_floating_point_literal] = ACTIONS(1005),
    [sym_true] = ACTIONS(1005),
    [sym_false] = ACTIONS(1005),
    [sym_character_literal] = ACTIONS(1003),
    [anon_sym_DQUOTE] = ACTIONS(1005),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1003),
    [anon_sym_RBRACE] = ACTIONS(1003),
    [sym_null_literal] = ACTIONS(1005),
    [anon_sym_LPAREN] = ACTIONS(1003),
    [anon_sym_LT] = ACTIONS(1003),
    [anon_sym_PLUS] = ACTIONS(1005),
    [anon_sym_DASH] = ACTIONS(1005),
    [anon_sym_final] = ACTIONS(1005),
    [anon_sym_BANG] = ACTIONS(1003),
    [anon_sym_TILDE] = ACTIONS(1003),
    [anon_sym_PLUS_PLUS] = ACTIONS(1003),
    [anon_sym_DASH_DASH] = ACTIONS(1003),
    [anon_sym_new] = ACTIONS(1005),
    [anon_sym_class] = ACTIONS(1005),
    [anon_sym_switch] = ACTIONS(1005),
    [anon_sym_LBRACE] = ACTIONS(1003),
    [anon_sym_case] = ACTIONS(1005),
    [anon_sym_default] = ACTIONS(1005),
    [anon_sym_SEMI] = ACTIONS(1003),
    [anon_sym_assert] = ACTIONS(1005),
    [anon_sym_do] = ACTIONS(1005),
    [anon_sym_while] = ACTIONS(1005),
    [anon_sym_break] = ACTIONS(1005),
    [anon_sym_continue] = ACTIONS(1005),
    [anon_sym_return] = ACTIONS(1005),
    [anon_sym_yield] = ACTIONS(1005),
    [anon_sym_synchronized] = ACTIONS(1005),
    [anon_sym_throw] = ACTIONS(1005),
    [anon_sym_try] = ACTIONS(1005),
    [anon_sym_if] = ACTIONS(1005),
    [anon_sym_else] = ACTIONS(1005),
    [anon_sym_for] = ACTIONS(1005),
    [anon_sym_AT] = ACTIONS(1005),
    [anon_sym_open] = ACTIONS(1005),
    [anon_sym_module] = ACTIONS(1005),
    [anon_sym_static] = ACTIONS(1005),
    [anon_sym_with] = ACTIONS(1005),
    [anon_sym_package] = ACTIONS(1005),
    [anon_sym_import] = ACTIONS(1005),
    [anon_sym_enum] = ACTIONS(1005),
    [anon_sym_public] = ACTIONS(1005),
    [anon_sym_protected] = ACTIONS(1005),
    [anon_sym_private] = ACTIONS(1005),
    [anon_sym_abstract] = ACTIONS(1005),
    [anon_sym_strictfp] = ACTIONS(1005),
    [anon_sym_native] = ACTIONS(1005),
    [anon_sym_transient] = ACTIONS(1005),
    [anon_sym_volatile] = ACTIONS(1005),
    [anon_sym_sealed] = ACTIONS(1005),
    [anon_sym_non_DASHsealed] = ACTIONS(1003),
    [anon_sym_record] = ACTIONS(1005),
    [anon_sym_ATinterface] = ACTIONS(1003),
    [anon_sym_interface] = ACTIONS(1005),
    [anon_sym_byte] = ACTIONS(1005),
    [anon_sym_short] = ACTIONS(1005),
    [anon_sym_int] = ACTIONS(1005),
    [anon_sym_long] = ACTIONS(1005),
    [anon_sym_char] = ACTIONS(1005),
    [anon_sym_float] = ACTIONS(1005),
    [anon_sym_double] = ACTIONS(1005),
    [sym_boolean_type] = ACTIONS(1005),
    [sym_void_type] = ACTIONS(1005),
    [sym_this] = ACTIONS(1005),
    [sym_super] = ACTIONS(1005),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [345] = {
    [ts_builtin_sym_end] = ACTIONS(1007),
    [sym_identifier] = ACTIONS(1009),
    [sym_decimal_integer_literal] = ACTIONS(1009),
    [sym_hex_integer_literal] = ACTIONS(1009),
    [sym_octal_integer_literal] = ACTIONS(1009),
    [sym_binary_integer_literal] = ACTIONS(1007),
    [sym_decimal_floating_point_literal] = ACTIONS(1007),
    [sym_hex_floating_point_literal] = ACTIONS(1009),
    [sym_true] = ACTIONS(1009),
    [sym_false] = ACTIONS(1009),
    [sym_character_literal] = ACTIONS(1007),
    [anon_sym_DQUOTE] = ACTIONS(1009),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1007),
    [anon_sym_RBRACE] = ACTIONS(1007),
    [sym_null_literal] = ACTIONS(1009),
    [anon_sym_LPAREN] = ACTIONS(1007),
    [anon_sym_LT] = ACTIONS(1007),
    [anon_sym_PLUS] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1009),
    [anon_sym_final] = ACTIONS(1009),
    [anon_sym_BANG] = ACTIONS(1007),
    [anon_sym_TILDE] = ACTIONS(1007),
    [anon_sym_PLUS_PLUS] = ACTIONS(1007),
    [anon_sym_DASH_DASH] = ACTIONS(1007),
    [anon_sym_new] = ACTIONS(1009),
    [anon_sym_class] = ACTIONS(1009),
    [anon_sym_switch] = ACTIONS(1009),
    [anon_sym_LBRACE] = ACTIONS(1007),
    [anon_sym_case] = ACTIONS(1009),
    [anon_sym_default] = ACTIONS(1009),
    [anon_sym_SEMI] = ACTIONS(1007),
    [anon_sym_assert] = ACTIONS(1009),
    [anon_sym_do] = ACTIONS(1009),
    [anon_sym_while] = ACTIONS(1009),
    [anon_sym_break] = ACTIONS(1009),
    [anon_sym_continue] = ACTIONS(1009),
    [anon_sym_return] = ACTIONS(1009),
    [anon_sym_yield] = ACTIONS(1009),
    [anon_sym_synchronized] = ACTIONS(1009),
    [anon_sym_throw] = ACTIONS(1009),
    [anon_sym_try] = ACTIONS(1009),
    [anon_sym_if] = ACTIONS(1009),
    [anon_sym_else] = ACTIONS(1009),
    [anon_sym_for] = ACTIONS(1009),
    [anon_sym_AT] = ACTIONS(1009),
    [anon_sym_open] = ACTIONS(1009),
    [anon_sym_module] = ACTIONS(1009),
    [anon_sym_static] = ACTIONS(1009),
    [anon_sym_with] = ACTIONS(1009),
    [anon_sym_package] = ACTIONS(1009),
    [anon_sym_import] = ACTIONS(1009),
    [anon_sym_enum] = ACTIONS(1009),
    [anon_sym_public] = ACTIONS(1009),
    [anon_sym_protected] = ACTIONS(1009),
    [anon_sym_private] = ACTIONS(1009),
    [anon_sym_abstract] = ACTIONS(1009),
    [anon_sym_strictfp] = ACTIONS(1009),
    [anon_sym_native] = ACTIONS(1009),
    [anon_sym_transient] = ACTIONS(1009),
    [anon_sym_volatile] = ACTIONS(1009),
    [anon_sym_sealed] = ACTIONS(1009),
    [anon_sym_non_DASHsealed] = ACTIONS(1007),
    [anon_sym_record] = ACTIONS(1009),
    [anon_sym_ATinterface] = ACTIONS(1007),
    [anon_sym_interface] = ACTIONS(1009),
    [anon_sym_byte] = ACTIONS(1009),
    [anon_sym_short] = ACTIONS(1009),
    [anon_sym_int] = ACTIONS(1009),
    [anon_sym_long] = ACTIONS(1009),
    [anon_sym_char] = ACTIONS(1009),
    [anon_sym_float] = ACTIONS(1009),
    [anon_sym_double] = ACTIONS(1009),
    [sym_boolean_type] = ACTIONS(1009),
    [sym_void_type] = ACTIONS(1009),
    [sym_this] = ACTIONS(1009),
    [sym_super] = ACTIONS(1009),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [346] = {
    [ts_builtin_sym_end] = ACTIONS(1011),
    [sym_identifier] = ACTIONS(1013),
    [sym_decimal_integer_literal] = ACTIONS(1013),
    [sym_hex_integer_literal] = ACTIONS(1013),
    [sym_octal_integer_literal] = ACTIONS(1013),
    [sym_binary_integer_literal] = ACTIONS(1011),
    [sym_decimal_floating_point_literal] = ACTIONS(1011),
    [sym_hex_floating_point_literal] = ACTIONS(1013),
    [sym_true] = ACTIONS(1013),
    [sym_false] = ACTIONS(1013),
    [sym_character_literal] = ACTIONS(1011),
    [anon_sym_DQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1011),
    [anon_sym_RBRACE] = ACTIONS(1011),
    [sym_null_literal] = ACTIONS(1013),
    [anon_sym_LPAREN] = ACTIONS(1011),
    [anon_sym_LT] = ACTIONS(1011),
    [anon_sym_PLUS] = ACTIONS(1013),
    [anon_sym_DASH] = ACTIONS(1013),
    [anon_sym_final] = ACTIONS(1013),
    [anon_sym_BANG] = ACTIONS(1011),
    [anon_sym_TILDE] = ACTIONS(1011),
    [anon_sym_PLUS_PLUS] = ACTIONS(1011),
    [anon_sym_DASH_DASH] = ACTIONS(1011),
    [anon_sym_new] = ACTIONS(1013),
    [anon_sym_class] = ACTIONS(1013),
    [anon_sym_switch] = ACTIONS(1013),
    [anon_sym_LBRACE] = ACTIONS(1011),
    [anon_sym_case] = ACTIONS(1013),
    [anon_sym_default] = ACTIONS(1013),
    [anon_sym_SEMI] = ACTIONS(1011),
    [anon_sym_assert] = ACTIONS(1013),
    [anon_sym_do] = ACTIONS(1013),
    [anon_sym_while] = ACTIONS(1013),
    [anon_sym_break] = ACTIONS(1013),
    [anon_sym_continue] = ACTIONS(1013),
    [anon_sym_return] = ACTIONS(1013),
    [anon_sym_yield] = ACTIONS(1013),
    [anon_sym_synchronized] = ACTIONS(1013),
    [anon_sym_throw] = ACTIONS(1013),
    [anon_sym_try] = ACTIONS(1013),
    [anon_sym_if] = ACTIONS(1013),
    [anon_sym_else] = ACTIONS(1013),
    [anon_sym_for] = ACTIONS(1013),
    [anon_sym_AT] = ACTIONS(1013),
    [anon_sym_open] = ACTIONS(1013),
    [anon_sym_module] = ACTIONS(1013),
    [anon_sym_static] = ACTIONS(1013),
    [anon_sym_with] = ACTIONS(1013),
    [anon_sym_package] = ACTIONS(1013),
    [anon_sym_import] = ACTIONS(1013),
    [anon_sym_enum] = ACTIONS(1013),
    [anon_sym_public] = ACTIONS(1013),
    [anon_sym_protected] = ACTIONS(1013),
    [anon_sym_private] = ACTIONS(1013),
    [anon_sym_abstract] = ACTIONS(1013),
    [anon_sym_strictfp] = ACTIONS(1013),
    [anon_sym_native] = ACTIONS(1013),
    [anon_sym_transient] = ACTIONS(1013),
    [anon_sym_volatile] = ACTIONS(1013),
    [anon_sym_sealed] = ACTIONS(1013),
    [anon_sym_non_DASHsealed] = ACTIONS(1011),
    [anon_sym_record] = ACTIONS(1013),
    [anon_sym_ATinterface] = ACTIONS(1011),
    [anon_sym_interface] = ACTIONS(1013),
    [anon_sym_byte] = ACTIONS(1013),
    [anon_sym_short] = ACTIONS(1013),
    [anon_sym_int] = ACTIONS(1013),
    [anon_sym_long] = ACTIONS(1013),
    [anon_sym_char] = ACTIONS(1013),
    [anon_sym_float] = ACTIONS(1013),
    [anon_sym_double] = ACTIONS(1013),
    [sym_boolean_type] = ACTIONS(1013),
    [sym_void_type] = ACTIONS(1013),
    [sym_this] = ACTIONS(1013),
    [sym_super] = ACTIONS(1013),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [347] = {
    [ts_builtin_sym_end] = ACTIONS(1015),
    [sym_identifier] = ACTIONS(1017),
    [sym_decimal_integer_literal] = ACTIONS(1017),
    [sym_hex_integer_literal] = ACTIONS(1017),
    [sym_octal_integer_literal] = ACTIONS(1017),
    [sym_binary_integer_literal] = ACTIONS(1015),
    [sym_decimal_floating_point_literal] = ACTIONS(1015),
    [sym_hex_floating_point_literal] = ACTIONS(1017),
    [sym_true] = ACTIONS(1017),
    [sym_false] = ACTIONS(1017),
    [sym_character_literal] = ACTIONS(1015),
    [anon_sym_DQUOTE] = ACTIONS(1017),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1015),
    [anon_sym_RBRACE] = ACTIONS(1015),
    [sym_null_literal] = ACTIONS(1017),
    [anon_sym_LPAREN] = ACTIONS(1015),
    [anon_sym_LT] = ACTIONS(1015),
    [anon_sym_PLUS] = ACTIONS(1017),
    [anon_sym_DASH] = ACTIONS(1017),
    [anon_sym_final] = ACTIONS(1017),
    [anon_sym_BANG] = ACTIONS(1015),
    [anon_sym_TILDE] = ACTIONS(1015),
    [anon_sym_PLUS_PLUS] = ACTIONS(1015),
    [anon_sym_DASH_DASH] = ACTIONS(1015),
    [anon_sym_new] = ACTIONS(1017),
    [anon_sym_class] = ACTIONS(1017),
    [anon_sym_switch] = ACTIONS(1017),
    [anon_sym_LBRACE] = ACTIONS(1015),
    [anon_sym_case] = ACTIONS(1017),
    [anon_sym_default] = ACTIONS(1017),
    [anon_sym_SEMI] = ACTIONS(1015),
    [anon_sym_assert] = ACTIONS(1017),
    [anon_sym_do] = ACTIONS(1017),
    [anon_sym_while] = ACTIONS(1017),
    [anon_sym_break] = ACTIONS(1017),
    [anon_sym_continue] = ACTIONS(1017),
    [anon_sym_return] = ACTIONS(1017),
    [anon_sym_yield] = ACTIONS(1017),
    [anon_sym_synchronized] = ACTIONS(1017),
    [anon_sym_throw] = ACTIONS(1017),
    [anon_sym_try] = ACTIONS(1017),
    [anon_sym_if] = ACTIONS(1017),
    [anon_sym_else] = ACTIONS(1017),
    [anon_sym_for] = ACTIONS(1017),
    [anon_sym_AT] = ACTIONS(1017),
    [anon_sym_open] = ACTIONS(1017),
    [anon_sym_module] = ACTIONS(1017),
    [anon_sym_static] = ACTIONS(1017),
    [anon_sym_with] = ACTIONS(1017),
    [anon_sym_package] = ACTIONS(1017),
    [anon_sym_import] = ACTIONS(1017),
    [anon_sym_enum] = ACTIONS(1017),
    [anon_sym_public] = ACTIONS(1017),
    [anon_sym_protected] = ACTIONS(1017),
    [anon_sym_private] = ACTIONS(1017),
    [anon_sym_abstract] = ACTIONS(1017),
    [anon_sym_strictfp] = ACTIONS(1017),
    [anon_sym_native] = ACTIONS(1017),
    [anon_sym_transient] = ACTIONS(1017),
    [anon_sym_volatile] = ACTIONS(1017),
    [anon_sym_sealed] = ACTIONS(1017),
    [anon_sym_non_DASHsealed] = ACTIONS(1015),
    [anon_sym_record] = ACTIONS(1017),
    [anon_sym_ATinterface] = ACTIONS(1015),
    [anon_sym_interface] = ACTIONS(1017),
    [anon_sym_byte] = ACTIONS(1017),
    [anon_sym_short] = ACTIONS(1017),
    [anon_sym_int] = ACTIONS(1017),
    [anon_sym_long] = ACTIONS(1017),
    [anon_sym_char] = ACTIONS(1017),
    [anon_sym_float] = ACTIONS(1017),
    [anon_sym_double] = ACTIONS(1017),
    [sym_boolean_type] = ACTIONS(1017),
    [sym_void_type] = ACTIONS(1017),
    [sym_this] = ACTIONS(1017),
    [sym_super] = ACTIONS(1017),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [348] = {
    [ts_builtin_sym_end] = ACTIONS(1019),
    [sym_identifier] = ACTIONS(1021),
    [sym_decimal_integer_literal] = ACTIONS(1021),
    [sym_hex_integer_literal] = ACTIONS(1021),
    [sym_octal_integer_literal] = ACTIONS(1021),
    [sym_binary_integer_literal] = ACTIONS(1019),
    [sym_decimal_floating_point_literal] = ACTIONS(1019),
    [sym_hex_floating_point_literal] = ACTIONS(1021),
    [sym_true] = ACTIONS(1021),
    [sym_false] = ACTIONS(1021),
    [sym_character_literal] = ACTIONS(1019),
    [anon_sym_DQUOTE] = ACTIONS(1021),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1019),
    [anon_sym_RBRACE] = ACTIONS(1019),
    [sym_null_literal] = ACTIONS(1021),
    [anon_sym_LPAREN] = ACTIONS(1019),
    [anon_sym_LT] = ACTIONS(1019),
    [anon_sym_PLUS] = ACTIONS(1021),
    [anon_sym_DASH] = ACTIONS(1021),
    [anon_sym_final] = ACTIONS(1021),
    [anon_sym_BANG] = ACTIONS(1019),
    [anon_sym_TILDE] = ACTIONS(1019),
    [anon_sym_PLUS_PLUS] = ACTIONS(1019),
    [anon_sym_DASH_DASH] = ACTIONS(1019),
    [anon_sym_new] = ACTIONS(1021),
    [anon_sym_class] = ACTIONS(1021),
    [anon_sym_switch] = ACTIONS(1021),
    [anon_sym_LBRACE] = ACTIONS(1019),
    [anon_sym_case] = ACTIONS(1021),
    [anon_sym_default] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1019),
    [anon_sym_assert] = ACTIONS(1021),
    [anon_sym_do] = ACTIONS(1021),
    [anon_sym_while] = ACTIONS(1021),
    [anon_sym_break] = ACTIONS(1021),
    [anon_sym_continue] = ACTIONS(1021),
    [anon_sym_return] = ACTIONS(1021),
    [anon_sym_yield] = ACTIONS(1021),
    [anon_sym_synchronized] = ACTIONS(1021),
    [anon_sym_throw] = ACTIONS(1021),
    [anon_sym_try] = ACTIONS(1021),
    [anon_sym_if] = ACTIONS(1021),
    [anon_sym_else] = ACTIONS(1021),
    [anon_sym_for] = ACTIONS(1021),
    [anon_sym_AT] = ACTIONS(1021),
    [anon_sym_open] = ACTIONS(1021),
    [anon_sym_module] = ACTIONS(1021),
    [anon_sym_static] = ACTIONS(1021),
    [anon_sym_with] = ACTIONS(1021),
    [anon_sym_package] = ACTIONS(1021),
    [anon_sym_import] = ACTIONS(1021),
    [anon_sym_enum] = ACTIONS(1021),
    [anon_sym_public] = ACTIONS(1021),
    [anon_sym_protected] = ACTIONS(1021),
    [anon_sym_private] = ACTIONS(1021),
    [anon_sym_abstract] = ACTIONS(1021),
    [anon_sym_strictfp] = ACTIONS(1021),
    [anon_sym_native] = ACTIONS(1021),
    [anon_sym_transient] = ACTIONS(1021),
    [anon_sym_volatile] = ACTIONS(1021),
    [anon_sym_sealed] = ACTIONS(1021),
    [anon_sym_non_DASHsealed] = ACTIONS(1019),
    [anon_sym_record] = ACTIONS(1021),
    [anon_sym_ATinterface] = ACTIONS(1019),
    [anon_sym_interface] = ACTIONS(1021),
    [anon_sym_byte] = ACTIONS(1021),
    [anon_sym_short] = ACTIONS(1021),
    [anon_sym_int] = ACTIONS(1021),
    [anon_sym_long] = ACTIONS(1021),
    [anon_sym_char] = ACTIONS(1021),
    [anon_sym_float] = ACTIONS(1021),
    [anon_sym_double] = ACTIONS(1021),
    [sym_boolean_type] = ACTIONS(1021),
    [sym_void_type] = ACTIONS(1021),
    [sym_this] = ACTIONS(1021),
    [sym_super] = ACTIONS(1021),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [349] = {
    [ts_builtin_sym_end] = ACTIONS(1023),
    [sym_identifier] = ACTIONS(1025),
    [sym_decimal_integer_literal] = ACTIONS(1025),
    [sym_hex_integer_literal] = ACTIONS(1025),
    [sym_octal_integer_literal] = ACTIONS(1025),
    [sym_binary_integer_literal] = ACTIONS(1023),
    [sym_decimal_floating_point_literal] = ACTIONS(1023),
    [sym_hex_floating_point_literal] = ACTIONS(1025),
    [sym_true] = ACTIONS(1025),
    [sym_false] = ACTIONS(1025),
    [sym_character_literal] = ACTIONS(1023),
    [anon_sym_DQUOTE] = ACTIONS(1025),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1023),
    [anon_sym_RBRACE] = ACTIONS(1023),
    [sym_null_literal] = ACTIONS(1025),
    [anon_sym_LPAREN] = ACTIONS(1023),
    [anon_sym_LT] = ACTIONS(1023),
    [anon_sym_PLUS] = ACTIONS(1025),
    [anon_sym_DASH] = ACTIONS(1025),
    [anon_sym_final] = ACTIONS(1025),
    [anon_sym_BANG] = ACTIONS(1023),
    [anon_sym_TILDE] = ACTIONS(1023),
    [anon_sym_PLUS_PLUS] = ACTIONS(1023),
    [anon_sym_DASH_DASH] = ACTIONS(1023),
    [anon_sym_new] = ACTIONS(1025),
    [anon_sym_class] = ACTIONS(1025),
    [anon_sym_switch] = ACTIONS(1025),
    [anon_sym_LBRACE] = ACTIONS(1023),
    [anon_sym_case] = ACTIONS(1025),
    [anon_sym_default] = ACTIONS(1025),
    [anon_sym_SEMI] = ACTIONS(1023),
    [anon_sym_assert] = ACTIONS(1025),
    [anon_sym_do] = ACTIONS(1025),
    [anon_sym_while] = ACTIONS(1025),
    [anon_sym_break] = ACTIONS(1025),
    [anon_sym_continue] = ACTIONS(1025),
    [anon_sym_return] = ACTIONS(1025),
    [anon_sym_yield] = ACTIONS(1025),
    [anon_sym_synchronized] = ACTIONS(1025),
    [anon_sym_throw] = ACTIONS(1025),
    [anon_sym_try] = ACTIONS(1025),
    [anon_sym_if] = ACTIONS(1025),
    [anon_sym_else] = ACTIONS(1025),
    [anon_sym_for] = ACTIONS(1025),
    [anon_sym_AT] = ACTIONS(1025),
    [anon_sym_open] = ACTIONS(1025),
    [anon_sym_module] = ACTIONS(1025),
    [anon_sym_static] = ACTIONS(1025),
    [anon_sym_with] = ACTIONS(1025),
    [anon_sym_package] = ACTIONS(1025),
    [anon_sym_import] = ACTIONS(1025),
    [anon_sym_enum] = ACTIONS(1025),
    [anon_sym_public] = ACTIONS(1025),
    [anon_sym_protected] = ACTIONS(1025),
    [anon_sym_private] = ACTIONS(1025),
    [anon_sym_abstract] = ACTIONS(1025),
    [anon_sym_strictfp] = ACTIONS(1025),
    [anon_sym_native] = ACTIONS(1025),
    [anon_sym_transient] = ACTIONS(1025),
    [anon_sym_volatile] = ACTIONS(1025),
    [anon_sym_sealed] = ACTIONS(1025),
    [anon_sym_non_DASHsealed] = ACTIONS(1023),
    [anon_sym_record] = ACTIONS(1025),
    [anon_sym_ATinterface] = ACTIONS(1023),
    [anon_sym_interface] = ACTIONS(1025),
    [anon_sym_byte] = ACTIONS(1025),
    [anon_sym_short] = ACTIONS(1025),
    [anon_sym_int] = ACTIONS(1025),
    [anon_sym_long] = ACTIONS(1025),
    [anon_sym_char] = ACTIONS(1025),
    [anon_sym_float] = ACTIONS(1025),
    [anon_sym_double] = ACTIONS(1025),
    [sym_boolean_type] = ACTIONS(1025),
    [sym_void_type] = ACTIONS(1025),
    [sym_this] = ACTIONS(1025),
    [sym_super] = ACTIONS(1025),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1027),
    [sym_identifier] = ACTIONS(1029),
    [sym_decimal_integer_literal] = ACTIONS(1029),
    [sym_hex_integer_literal] = ACTIONS(1029),
    [sym_octal_integer_literal] = ACTIONS(1029),
    [sym_binary_integer_literal] = ACTIONS(1027),
    [sym_decimal_floating_point_literal] = ACTIONS(1027),
    [sym_hex_floating_point_literal] = ACTIONS(1029),
    [sym_true] = ACTIONS(1029),
    [sym_false] = ACTIONS(1029),
    [sym_character_literal] = ACTIONS(1027),
    [anon_sym_DQUOTE] = ACTIONS(1029),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1027),
    [anon_sym_RBRACE] = ACTIONS(1027),
    [sym_null_literal] = ACTIONS(1029),
    [anon_sym_LPAREN] = ACTIONS(1027),
    [anon_sym_LT] = ACTIONS(1027),
    [anon_sym_PLUS] = ACTIONS(1029),
    [anon_sym_DASH] = ACTIONS(1029),
    [anon_sym_final] = ACTIONS(1029),
    [anon_sym_BANG] = ACTIONS(1027),
    [anon_sym_TILDE] = ACTIONS(1027),
    [anon_sym_PLUS_PLUS] = ACTIONS(1027),
    [anon_sym_DASH_DASH] = ACTIONS(1027),
    [anon_sym_new] = ACTIONS(1029),
    [anon_sym_class] = ACTIONS(1029),
    [anon_sym_switch] = ACTIONS(1029),
    [anon_sym_LBRACE] = ACTIONS(1027),
    [anon_sym_case] = ACTIONS(1029),
    [anon_sym_default] = ACTIONS(1029),
    [anon_sym_SEMI] = ACTIONS(1027),
    [anon_sym_assert] = ACTIONS(1029),
    [anon_sym_do] = ACTIONS(1029),
    [anon_sym_while] = ACTIONS(1029),
    [anon_sym_break] = ACTIONS(1029),
    [anon_sym_continue] = ACTIONS(1029),
    [anon_sym_return] = ACTIONS(1029),
    [anon_sym_yield] = ACTIONS(1029),
    [anon_sym_synchronized] = ACTIONS(1029),
    [anon_sym_throw] = ACTIONS(1029),
    [anon_sym_try] = ACTIONS(1029),
    [anon_sym_if] = ACTIONS(1029),
    [anon_sym_else] = ACTIONS(1029),
    [anon_sym_for] = ACTIONS(1029),
    [anon_sym_AT] = ACTIONS(1029),
    [anon_sym_open] = ACTIONS(1029),
    [anon_sym_module] = ACTIONS(1029),
    [anon_sym_static] = ACTIONS(1029),
    [anon_sym_with] = ACTIONS(1029),
    [anon_sym_package] = ACTIONS(1029),
    [anon_sym_import] = ACTIONS(1029),
    [anon_sym_enum] = ACTIONS(1029),
    [anon_sym_public] = ACTIONS(1029),
    [anon_sym_protected] = ACTIONS(1029),
    [anon_sym_private] = ACTIONS(1029),
    [anon_sym_abstract] = ACTIONS(1029),
    [anon_sym_strictfp] = ACTIONS(1029),
    [anon_sym_native] = ACTIONS(1029),
    [anon_sym_transient] = ACTIONS(1029),
    [anon_sym_volatile] = ACTIONS(1029),
    [anon_sym_sealed] = ACTIONS(1029),
    [anon_sym_non_DASHsealed] = ACTIONS(1027),
    [anon_sym_record] = ACTIONS(1029),
    [anon_sym_ATinterface] = ACTIONS(1027),
    [anon_sym_interface] = ACTIONS(1029),
    [anon_sym_byte] = ACTIONS(1029),
    [anon_sym_short] = ACTIONS(1029),
    [anon_sym_int] = ACTIONS(1029),
    [anon_sym_long] = ACTIONS(1029),
    [anon_sym_char] = ACTIONS(1029),
    [anon_sym_float] = ACTIONS(1029),
    [anon_sym_double] = ACTIONS(1029),
    [sym_boolean_type] = ACTIONS(1029),
    [sym_void_type] = ACTIONS(1029),
    [sym_this] = ACTIONS(1029),
    [sym_super] = ACTIONS(1029),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1031),
    [sym_identifier] = ACTIONS(1033),
    [sym_decimal_integer_literal] = ACTIONS(1033),
    [sym_hex_integer_literal] = ACTIONS(1033),
    [sym_octal_integer_literal] = ACTIONS(1033),
    [sym_binary_integer_literal] = ACTIONS(1031),
    [sym_decimal_floating_point_literal] = ACTIONS(1031),
    [sym_hex_floating_point_literal] = ACTIONS(1033),
    [sym_true] = ACTIONS(1033),
    [sym_false] = ACTIONS(1033),
    [sym_character_literal] = ACTIONS(1031),
    [anon_sym_DQUOTE] = ACTIONS(1033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1031),
    [anon_sym_RBRACE] = ACTIONS(1031),
    [sym_null_literal] = ACTIONS(1033),
    [anon_sym_LPAREN] = ACTIONS(1031),
    [anon_sym_LT] = ACTIONS(1031),
    [anon_sym_PLUS] = ACTIONS(1033),
    [anon_sym_DASH] = ACTIONS(1033),
    [anon_sym_final] = ACTIONS(1033),
    [anon_sym_BANG] = ACTIONS(1031),
    [anon_sym_TILDE] = ACTIONS(1031),
    [anon_sym_PLUS_PLUS] = ACTIONS(1031),
    [anon_sym_DASH_DASH] = ACTIONS(1031),
    [anon_sym_new] = ACTIONS(1033),
    [anon_sym_class] = ACTIONS(1033),
    [anon_sym_switch] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1031),
    [anon_sym_case] = ACTIONS(1033),
    [anon_sym_default] = ACTIONS(1033),
    [anon_sym_SEMI] = ACTIONS(1031),
    [anon_sym_assert] = ACTIONS(1033),
    [anon_sym_do] = ACTIONS(1033),
    [anon_sym_while] = ACTIONS(1033),
    [anon_sym_break] = ACTIONS(1033),
    [anon_sym_continue] = ACTIONS(1033),
    [anon_sym_return] = ACTIONS(1033),
    [anon_sym_yield] = ACTIONS(1033),
    [anon_sym_synchronized] = ACTIONS(1033),
    [anon_sym_throw] = ACTIONS(1033),
    [anon_sym_try] = ACTIONS(1033),
    [anon_sym_if] = ACTIONS(1033),
    [anon_sym_else] = ACTIONS(1033),
    [anon_sym_for] = ACTIONS(1033),
    [anon_sym_AT] = ACTIONS(1033),
    [anon_sym_open] = ACTIONS(1033),
    [anon_sym_module] = ACTIONS(1033),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_with] = ACTIONS(1033),
    [anon_sym_package] = ACTIONS(1033),
    [anon_sym_import] = ACTIONS(1033),
    [anon_sym_enum] = ACTIONS(1033),
    [anon_sym_public] = ACTIONS(1033),
    [anon_sym_protected] = ACTIONS(1033),
    [anon_sym_private] = ACTIONS(1033),
    [anon_sym_abstract] = ACTIONS(1033),
    [anon_sym_strictfp] = ACTIONS(1033),
    [anon_sym_native] = ACTIONS(1033),
    [anon_sym_transient] = ACTIONS(1033),
    [anon_sym_volatile] = ACTIONS(1033),
    [anon_sym_sealed] = ACTIONS(1033),
    [anon_sym_non_DASHsealed] = ACTIONS(1031),
    [anon_sym_record] = ACTIONS(1033),
    [anon_sym_ATinterface] = ACTIONS(1031),
    [anon_sym_interface] = ACTIONS(1033),
    [anon_sym_byte] = ACTIONS(1033),
    [anon_sym_short] = ACTIONS(1033),
    [anon_sym_int] = ACTIONS(1033),
    [anon_sym_long] = ACTIONS(1033),
    [anon_sym_char] = ACTIONS(1033),
    [anon_sym_float] = ACTIONS(1033),
    [anon_sym_double] = ACTIONS(1033),
    [sym_boolean_type] = ACTIONS(1033),
    [sym_void_type] = ACTIONS(1033),
    [sym_this] = ACTIONS(1033),
    [sym_super] = ACTIONS(1033),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [352] = {
    [ts_builtin_sym_end] = ACTIONS(1035),
    [sym_identifier] = ACTIONS(1037),
    [sym_decimal_integer_literal] = ACTIONS(1037),
    [sym_hex_integer_literal] = ACTIONS(1037),
    [sym_octal_integer_literal] = ACTIONS(1037),
    [sym_binary_integer_literal] = ACTIONS(1035),
    [sym_decimal_floating_point_literal] = ACTIONS(1035),
    [sym_hex_floating_point_literal] = ACTIONS(1037),
    [sym_true] = ACTIONS(1037),
    [sym_false] = ACTIONS(1037),
    [sym_character_literal] = ACTIONS(1035),
    [anon_sym_DQUOTE] = ACTIONS(1037),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1035),
    [anon_sym_RBRACE] = ACTIONS(1035),
    [sym_null_literal] = ACTIONS(1037),
    [anon_sym_LPAREN] = ACTIONS(1035),
    [anon_sym_LT] = ACTIONS(1035),
    [anon_sym_PLUS] = ACTIONS(1037),
    [anon_sym_DASH] = ACTIONS(1037),
    [anon_sym_final] = ACTIONS(1037),
    [anon_sym_BANG] = ACTIONS(1035),
    [anon_sym_TILDE] = ACTIONS(1035),
    [anon_sym_PLUS_PLUS] = ACTIONS(1035),
    [anon_sym_DASH_DASH] = ACTIONS(1035),
    [anon_sym_new] = ACTIONS(1037),
    [anon_sym_class] = ACTIONS(1037),
    [anon_sym_switch] = ACTIONS(1037),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_case] = ACTIONS(1037),
    [anon_sym_default] = ACTIONS(1037),
    [anon_sym_SEMI] = ACTIONS(1035),
    [anon_sym_assert] = ACTIONS(1037),
    [anon_sym_do] = ACTIONS(1037),
    [anon_sym_while] = ACTIONS(1037),
    [anon_sym_break] = ACTIONS(1037),
    [anon_sym_continue] = ACTIONS(1037),
    [anon_sym_return] = ACTIONS(1037),
    [anon_sym_yield] = ACTIONS(1037),
    [anon_sym_synchronized] = ACTIONS(1037),
    [anon_sym_throw] = ACTIONS(1037),
    [anon_sym_try] = ACTIONS(1037),
    [anon_sym_if] = ACTIONS(1037),
    [anon_sym_else] = ACTIONS(1037),
    [anon_sym_for] = ACTIONS(1037),
    [anon_sym_AT] = ACTIONS(1037),
    [anon_sym_open] = ACTIONS(1037),
    [anon_sym_module] = ACTIONS(1037),
    [anon_sym_static] = ACTIONS(1037),
    [anon_sym_with] = ACTIONS(1037),
    [anon_sym_package] = ACTIONS(1037),
    [anon_sym_import] = ACTIONS(1037),
    [anon_sym_enum] = ACTIONS(1037),
    [anon_sym_public] = ACTIONS(1037),
    [anon_sym_protected] = ACTIONS(1037),
    [anon_sym_private] = ACTIONS(1037),
    [anon_sym_abstract] = ACTIONS(1037),
    [anon_sym_strictfp] = ACTIONS(1037),
    [anon_sym_native] = ACTIONS(1037),
    [anon_sym_transient] = ACTIONS(1037),
    [anon_sym_volatile] = ACTIONS(1037),
    [anon_sym_sealed] = ACTIONS(1037),
    [anon_sym_non_DASHsealed] = ACTIONS(1035),
    [anon_sym_record] = ACTIONS(1037),
    [anon_sym_ATinterface] = ACTIONS(1035),
    [anon_sym_interface] = ACTIONS(1037),
    [anon_sym_byte] = ACTIONS(1037),
    [anon_sym_short] = ACTIONS(1037),
    [anon_sym_int] = ACTIONS(1037),
    [anon_sym_long] = ACTIONS(1037),
    [anon_sym_char] = ACTIONS(1037),
    [anon_sym_float] = ACTIONS(1037),
    [anon_sym_double] = ACTIONS(1037),
    [sym_boolean_type] = ACTIONS(1037),
    [sym_void_type] = ACTIONS(1037),
    [sym_this] = ACTIONS(1037),
    [sym_super] = ACTIONS(1037),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1039),
    [sym_identifier] = ACTIONS(1041),
    [sym_decimal_integer_literal] = ACTIONS(1041),
    [sym_hex_integer_literal] = ACTIONS(1041),
    [sym_octal_integer_literal] = ACTIONS(1041),
    [sym_binary_integer_literal] = ACTIONS(1039),
    [sym_decimal_floating_point_literal] = ACTIONS(1039),
    [sym_hex_floating_point_literal] = ACTIONS(1041),
    [sym_true] = ACTIONS(1041),
    [sym_false] = ACTIONS(1041),
    [sym_character_literal] = ACTIONS(1039),
    [anon_sym_DQUOTE] = ACTIONS(1041),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1039),
    [anon_sym_RBRACE] = ACTIONS(1039),
    [sym_null_literal] = ACTIONS(1041),
    [anon_sym_LPAREN] = ACTIONS(1039),
    [anon_sym_LT] = ACTIONS(1039),
    [anon_sym_PLUS] = ACTIONS(1041),
    [anon_sym_DASH] = ACTIONS(1041),
    [anon_sym_final] = ACTIONS(1041),
    [anon_sym_BANG] = ACTIONS(1039),
    [anon_sym_TILDE] = ACTIONS(1039),
    [anon_sym_PLUS_PLUS] = ACTIONS(1039),
    [anon_sym_DASH_DASH] = ACTIONS(1039),
    [anon_sym_new] = ACTIONS(1041),
    [anon_sym_class] = ACTIONS(1041),
    [anon_sym_switch] = ACTIONS(1041),
    [anon_sym_LBRACE] = ACTIONS(1039),
    [anon_sym_case] = ACTIONS(1041),
    [anon_sym_default] = ACTIONS(1041),
    [anon_sym_SEMI] = ACTIONS(1039),
    [anon_sym_assert] = ACTIONS(1041),
    [anon_sym_do] = ACTIONS(1041),
    [anon_sym_while] = ACTIONS(1041),
    [anon_sym_break] = ACTIONS(1041),
    [anon_sym_continue] = ACTIONS(1041),
    [anon_sym_return] = ACTIONS(1041),
    [anon_sym_yield] = ACTIONS(1041),
    [anon_sym_synchronized] = ACTIONS(1041),
    [anon_sym_throw] = ACTIONS(1041),
    [anon_sym_try] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1041),
    [anon_sym_else] = ACTIONS(1041),
    [anon_sym_for] = ACTIONS(1041),
    [anon_sym_AT] = ACTIONS(1041),
    [anon_sym_open] = ACTIONS(1041),
    [anon_sym_module] = ACTIONS(1041),
    [anon_sym_static] = ACTIONS(1041),
    [anon_sym_with] = ACTIONS(1041),
    [anon_sym_package] = ACTIONS(1041),
    [anon_sym_import] = ACTIONS(1041),
    [anon_sym_enum] = ACTIONS(1041),
    [anon_sym_public] = ACTIONS(1041),
    [anon_sym_protected] = ACTIONS(1041),
    [anon_sym_private] = ACTIONS(1041),
    [anon_sym_abstract] = ACTIONS(1041),
    [anon_sym_strictfp] = ACTIONS(1041),
    [anon_sym_native] = ACTIONS(1041),
    [anon_sym_transient] = ACTIONS(1041),
    [anon_sym_volatile] = ACTIONS(1041),
    [anon_sym_sealed] = ACTIONS(1041),
    [anon_sym_non_DASHsealed] = ACTIONS(1039),
    [anon_sym_record] = ACTIONS(1041),
    [anon_sym_ATinterface] = ACTIONS(1039),
    [anon_sym_interface] = ACTIONS(1041),
    [anon_sym_byte] = ACTIONS(1041),
    [anon_sym_short] = ACTIONS(1041),
    [anon_sym_int] = ACTIONS(1041),
    [anon_sym_long] = ACTIONS(1041),
    [anon_sym_char] = ACTIONS(1041),
    [anon_sym_float] = ACTIONS(1041),
    [anon_sym_double] = ACTIONS(1041),
    [sym_boolean_type] = ACTIONS(1041),
    [sym_void_type] = ACTIONS(1041),
    [sym_this] = ACTIONS(1041),
    [sym_super] = ACTIONS(1041),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1043),
    [sym_identifier] = ACTIONS(1045),
    [sym_decimal_integer_literal] = ACTIONS(1045),
    [sym_hex_integer_literal] = ACTIONS(1045),
    [sym_octal_integer_literal] = ACTIONS(1045),
    [sym_binary_integer_literal] = ACTIONS(1043),
    [sym_decimal_floating_point_literal] = ACTIONS(1043),
    [sym_hex_floating_point_literal] = ACTIONS(1045),
    [sym_true] = ACTIONS(1045),
    [sym_false] = ACTIONS(1045),
    [sym_character_literal] = ACTIONS(1043),
    [anon_sym_DQUOTE] = ACTIONS(1045),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1043),
    [anon_sym_RBRACE] = ACTIONS(1043),
    [sym_null_literal] = ACTIONS(1045),
    [anon_sym_LPAREN] = ACTIONS(1043),
    [anon_sym_LT] = ACTIONS(1043),
    [anon_sym_PLUS] = ACTIONS(1045),
    [anon_sym_DASH] = ACTIONS(1045),
    [anon_sym_final] = ACTIONS(1045),
    [anon_sym_BANG] = ACTIONS(1043),
    [anon_sym_TILDE] = ACTIONS(1043),
    [anon_sym_PLUS_PLUS] = ACTIONS(1043),
    [anon_sym_DASH_DASH] = ACTIONS(1043),
    [anon_sym_new] = ACTIONS(1045),
    [anon_sym_class] = ACTIONS(1045),
    [anon_sym_switch] = ACTIONS(1045),
    [anon_sym_LBRACE] = ACTIONS(1043),
    [anon_sym_case] = ACTIONS(1045),
    [anon_sym_default] = ACTIONS(1045),
    [anon_sym_SEMI] = ACTIONS(1043),
    [anon_sym_assert] = ACTIONS(1045),
    [anon_sym_do] = ACTIONS(1045),
    [anon_sym_while] = ACTIONS(1045),
    [anon_sym_break] = ACTIONS(1045),
    [anon_sym_continue] = ACTIONS(1045),
    [anon_sym_return] = ACTIONS(1045),
    [anon_sym_yield] = ACTIONS(1045),
    [anon_sym_synchronized] = ACTIONS(1045),
    [anon_sym_throw] = ACTIONS(1045),
    [anon_sym_try] = ACTIONS(1045),
    [anon_sym_if] = ACTIONS(1045),
    [anon_sym_else] = ACTIONS(1045),
    [anon_sym_for] = ACTIONS(1045),
    [anon_sym_AT] = ACTIONS(1045),
    [anon_sym_open] = ACTIONS(1045),
    [anon_sym_module] = ACTIONS(1045),
    [anon_sym_static] = ACTIONS(1045),
    [anon_sym_with] = ACTIONS(1045),
    [anon_sym_package] = ACTIONS(1045),
    [anon_sym_import] = ACTIONS(1045),
    [anon_sym_enum] = ACTIONS(1045),
    [anon_sym_public] = ACTIONS(1045),
    [anon_sym_protected] = ACTIONS(1045),
    [anon_sym_private] = ACTIONS(1045),
    [anon_sym_abstract] = ACTIONS(1045),
    [anon_sym_strictfp] = ACTIONS(1045),
    [anon_sym_native] = ACTIONS(1045),
    [anon_sym_transient] = ACTIONS(1045),
    [anon_sym_volatile] = ACTIONS(1045),
    [anon_sym_sealed] = ACTIONS(1045),
    [anon_sym_non_DASHsealed] = ACTIONS(1043),
    [anon_sym_record] = ACTIONS(1045),
    [anon_sym_ATinterface] = ACTIONS(1043),
    [anon_sym_interface] = ACTIONS(1045),
    [anon_sym_byte] = ACTIONS(1045),
    [anon_sym_short] = ACTIONS(1045),
    [anon_sym_int] = ACTIONS(1045),
    [anon_sym_long] = ACTIONS(1045),
    [anon_sym_char] = ACTIONS(1045),
    [anon_sym_float] = ACTIONS(1045),
    [anon_sym_double] = ACTIONS(1045),
    [sym_boolean_type] = ACTIONS(1045),
    [sym_void_type] = ACTIONS(1045),
    [sym_this] = ACTIONS(1045),
    [sym_super] = ACTIONS(1045),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [355] = {
    [ts_builtin_sym_end] = ACTIONS(1047),
    [sym_identifier] = ACTIONS(1049),
    [sym_decimal_integer_literal] = ACTIONS(1049),
    [sym_hex_integer_literal] = ACTIONS(1049),
    [sym_octal_integer_literal] = ACTIONS(1049),
    [sym_binary_integer_literal] = ACTIONS(1047),
    [sym_decimal_floating_point_literal] = ACTIONS(1047),
    [sym_hex_floating_point_literal] = ACTIONS(1049),
    [sym_true] = ACTIONS(1049),
    [sym_false] = ACTIONS(1049),
    [sym_character_literal] = ACTIONS(1047),
    [anon_sym_DQUOTE] = ACTIONS(1049),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1047),
    [anon_sym_RBRACE] = ACTIONS(1047),
    [sym_null_literal] = ACTIONS(1049),
    [anon_sym_LPAREN] = ACTIONS(1047),
    [anon_sym_LT] = ACTIONS(1047),
    [anon_sym_PLUS] = ACTIONS(1049),
    [anon_sym_DASH] = ACTIONS(1049),
    [anon_sym_final] = ACTIONS(1049),
    [anon_sym_BANG] = ACTIONS(1047),
    [anon_sym_TILDE] = ACTIONS(1047),
    [anon_sym_PLUS_PLUS] = ACTIONS(1047),
    [anon_sym_DASH_DASH] = ACTIONS(1047),
    [anon_sym_new] = ACTIONS(1049),
    [anon_sym_class] = ACTIONS(1049),
    [anon_sym_switch] = ACTIONS(1049),
    [anon_sym_LBRACE] = ACTIONS(1047),
    [anon_sym_case] = ACTIONS(1049),
    [anon_sym_default] = ACTIONS(1049),
    [anon_sym_SEMI] = ACTIONS(1047),
    [anon_sym_assert] = ACTIONS(1049),
    [anon_sym_do] = ACTIONS(1049),
    [anon_sym_while] = ACTIONS(1049),
    [anon_sym_break] = ACTIONS(1049),
    [anon_sym_continue] = ACTIONS(1049),
    [anon_sym_return] = ACTIONS(1049),
    [anon_sym_yield] = ACTIONS(1049),
    [anon_sym_synchronized] = ACTIONS(1049),
    [anon_sym_throw] = ACTIONS(1049),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_if] = ACTIONS(1049),
    [anon_sym_else] = ACTIONS(1049),
    [anon_sym_for] = ACTIONS(1049),
    [anon_sym_AT] = ACTIONS(1049),
    [anon_sym_open] = ACTIONS(1049),
    [anon_sym_module] = ACTIONS(1049),
    [anon_sym_static] = ACTIONS(1049),
    [anon_sym_with] = ACTIONS(1049),
    [anon_sym_package] = ACTIONS(1049),
    [anon_sym_import] = ACTIONS(1049),
    [anon_sym_enum] = ACTIONS(1049),
    [anon_sym_public] = ACTIONS(1049),
    [anon_sym_protected] = ACTIONS(1049),
    [anon_sym_private] = ACTIONS(1049),
    [anon_sym_abstract] = ACTIONS(1049),
    [anon_sym_strictfp] = ACTIONS(1049),
    [anon_sym_native] = ACTIONS(1049),
    [anon_sym_transient] = ACTIONS(1049),
    [anon_sym_volatile] = ACTIONS(1049),
    [anon_sym_sealed] = ACTIONS(1049),
    [anon_sym_non_DASHsealed] = ACTIONS(1047),
    [anon_sym_record] = ACTIONS(1049),
    [anon_sym_ATinterface] = ACTIONS(1047),
    [anon_sym_interface] = ACTIONS(1049),
    [anon_sym_byte] = ACTIONS(1049),
    [anon_sym_short] = ACTIONS(1049),
    [anon_sym_int] = ACTIONS(1049),
    [anon_sym_long] = ACTIONS(1049),
    [anon_sym_char] = ACTIONS(1049),
    [anon_sym_float] = ACTIONS(1049),
    [anon_sym_double] = ACTIONS(1049),
    [sym_boolean_type] = ACTIONS(1049),
    [sym_void_type] = ACTIONS(1049),
    [sym_this] = ACTIONS(1049),
    [sym_super] = ACTIONS(1049),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [356] = {
    [ts_builtin_sym_end] = ACTIONS(1051),
    [sym_identifier] = ACTIONS(1053),
    [sym_decimal_integer_literal] = ACTIONS(1053),
    [sym_hex_integer_literal] = ACTIONS(1053),
    [sym_octal_integer_literal] = ACTIONS(1053),
    [sym_binary_integer_literal] = ACTIONS(1051),
    [sym_decimal_floating_point_literal] = ACTIONS(1051),
    [sym_hex_floating_point_literal] = ACTIONS(1053),
    [sym_true] = ACTIONS(1053),
    [sym_false] = ACTIONS(1053),
    [sym_character_literal] = ACTIONS(1051),
    [anon_sym_DQUOTE] = ACTIONS(1053),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1051),
    [anon_sym_RBRACE] = ACTIONS(1051),
    [sym_null_literal] = ACTIONS(1053),
    [anon_sym_LPAREN] = ACTIONS(1051),
    [anon_sym_LT] = ACTIONS(1051),
    [anon_sym_PLUS] = ACTIONS(1053),
    [anon_sym_DASH] = ACTIONS(1053),
    [anon_sym_final] = ACTIONS(1053),
    [anon_sym_BANG] = ACTIONS(1051),
    [anon_sym_TILDE] = ACTIONS(1051),
    [anon_sym_PLUS_PLUS] = ACTIONS(1051),
    [anon_sym_DASH_DASH] = ACTIONS(1051),
    [anon_sym_new] = ACTIONS(1053),
    [anon_sym_class] = ACTIONS(1053),
    [anon_sym_switch] = ACTIONS(1053),
    [anon_sym_LBRACE] = ACTIONS(1051),
    [anon_sym_case] = ACTIONS(1053),
    [anon_sym_default] = ACTIONS(1053),
    [anon_sym_SEMI] = ACTIONS(1051),
    [anon_sym_assert] = ACTIONS(1053),
    [anon_sym_do] = ACTIONS(1053),
    [anon_sym_while] = ACTIONS(1053),
    [anon_sym_break] = ACTIONS(1053),
    [anon_sym_continue] = ACTIONS(1053),
    [anon_sym_return] = ACTIONS(1053),
    [anon_sym_yield] = ACTIONS(1053),
    [anon_sym_synchronized] = ACTIONS(1053),
    [anon_sym_throw] = ACTIONS(1053),
    [anon_sym_try] = ACTIONS(1053),
    [anon_sym_if] = ACTIONS(1053),
    [anon_sym_else] = ACTIONS(1053),
    [anon_sym_for] = ACTIONS(1053),
    [anon_sym_AT] = ACTIONS(1053),
    [anon_sym_open] = ACTIONS(1053),
    [anon_sym_module] = ACTIONS(1053),
    [anon_sym_static] = ACTIONS(1053),
    [anon_sym_with] = ACTIONS(1053),
    [anon_sym_package] = ACTIONS(1053),
    [anon_sym_import] = ACTIONS(1053),
    [anon_sym_enum] = ACTIONS(1053),
    [anon_sym_public] = ACTIONS(1053),
    [anon_sym_protected] = ACTIONS(1053),
    [anon_sym_private] = ACTIONS(1053),
    [anon_sym_abstract] = ACTIONS(1053),
    [anon_sym_strictfp] = ACTIONS(1053),
    [anon_sym_native] = ACTIONS(1053),
    [anon_sym_transient] = ACTIONS(1053),
    [anon_sym_volatile] = ACTIONS(1053),
    [anon_sym_sealed] = ACTIONS(1053),
    [anon_sym_non_DASHsealed] = ACTIONS(1051),
    [anon_sym_record] = ACTIONS(1053),
    [anon_sym_ATinterface] = ACTIONS(1051),
    [anon_sym_interface] = ACTIONS(1053),
    [anon_sym_byte] = ACTIONS(1053),
    [anon_sym_short] = ACTIONS(1053),
    [anon_sym_int] = ACTIONS(1053),
    [anon_sym_long] = ACTIONS(1053),
    [anon_sym_char] = ACTIONS(1053),
    [anon_sym_float] = ACTIONS(1053),
    [anon_sym_double] = ACTIONS(1053),
    [sym_boolean_type] = ACTIONS(1053),
    [sym_void_type] = ACTIONS(1053),
    [sym_this] = ACTIONS(1053),
    [sym_super] = ACTIONS(1053),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1055),
    [sym_identifier] = ACTIONS(1057),
    [sym_decimal_integer_literal] = ACTIONS(1057),
    [sym_hex_integer_literal] = ACTIONS(1057),
    [sym_octal_integer_literal] = ACTIONS(1057),
    [sym_binary_integer_literal] = ACTIONS(1055),
    [sym_decimal_floating_point_literal] = ACTIONS(1055),
    [sym_hex_floating_point_literal] = ACTIONS(1057),
    [sym_true] = ACTIONS(1057),
    [sym_false] = ACTIONS(1057),
    [sym_character_literal] = ACTIONS(1055),
    [anon_sym_DQUOTE] = ACTIONS(1057),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1055),
    [anon_sym_RBRACE] = ACTIONS(1055),
    [sym_null_literal] = ACTIONS(1057),
    [anon_sym_LPAREN] = ACTIONS(1055),
    [anon_sym_LT] = ACTIONS(1055),
    [anon_sym_PLUS] = ACTIONS(1057),
    [anon_sym_DASH] = ACTIONS(1057),
    [anon_sym_final] = ACTIONS(1057),
    [anon_sym_BANG] = ACTIONS(1055),
    [anon_sym_TILDE] = ACTIONS(1055),
    [anon_sym_PLUS_PLUS] = ACTIONS(1055),
    [anon_sym_DASH_DASH] = ACTIONS(1055),
    [anon_sym_new] = ACTIONS(1057),
    [anon_sym_class] = ACTIONS(1057),
    [anon_sym_switch] = ACTIONS(1057),
    [anon_sym_LBRACE] = ACTIONS(1055),
    [anon_sym_case] = ACTIONS(1057),
    [anon_sym_default] = ACTIONS(1057),
    [anon_sym_SEMI] = ACTIONS(1055),
    [anon_sym_assert] = ACTIONS(1057),
    [anon_sym_do] = ACTIONS(1057),
    [anon_sym_while] = ACTIONS(1057),
    [anon_sym_break] = ACTIONS(1057),
    [anon_sym_continue] = ACTIONS(1057),
    [anon_sym_return] = ACTIONS(1057),
    [anon_sym_yield] = ACTIONS(1057),
    [anon_sym_synchronized] = ACTIONS(1057),
    [anon_sym_throw] = ACTIONS(1057),
    [anon_sym_try] = ACTIONS(1057),
    [anon_sym_if] = ACTIONS(1057),
    [anon_sym_else] = ACTIONS(1057),
    [anon_sym_for] = ACTIONS(1057),
    [anon_sym_AT] = ACTIONS(1057),
    [anon_sym_open] = ACTIONS(1057),
    [anon_sym_module] = ACTIONS(1057),
    [anon_sym_static] = ACTIONS(1057),
    [anon_sym_with] = ACTIONS(1057),
    [anon_sym_package] = ACTIONS(1057),
    [anon_sym_import] = ACTIONS(1057),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_public] = ACTIONS(1057),
    [anon_sym_protected] = ACTIONS(1057),
    [anon_sym_private] = ACTIONS(1057),
    [anon_sym_abstract] = ACTIONS(1057),
    [anon_sym_strictfp] = ACTIONS(1057),
    [anon_sym_native] = ACTIONS(1057),
    [anon_sym_transient] = ACTIONS(1057),
    [anon_sym_volatile] = ACTIONS(1057),
    [anon_sym_sealed] = ACTIONS(1057),
    [anon_sym_non_DASHsealed] = ACTIONS(1055),
    [anon_sym_record] = ACTIONS(1057),
    [anon_sym_ATinterface] = ACTIONS(1055),
    [anon_sym_interface] = ACTIONS(1057),
    [anon_sym_byte] = ACTIONS(1057),
    [anon_sym_short] = ACTIONS(1057),
    [anon_sym_int] = ACTIONS(1057),
    [anon_sym_long] = ACTIONS(1057),
    [anon_sym_char] = ACTIONS(1057),
    [anon_sym_float] = ACTIONS(1057),
    [anon_sym_double] = ACTIONS(1057),
    [sym_boolean_type] = ACTIONS(1057),
    [sym_void_type] = ACTIONS(1057),
    [sym_this] = ACTIONS(1057),
    [sym_super] = ACTIONS(1057),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1059),
    [sym_identifier] = ACTIONS(1061),
    [sym_decimal_integer_literal] = ACTIONS(1061),
    [sym_hex_integer_literal] = ACTIONS(1061),
    [sym_octal_integer_literal] = ACTIONS(1061),
    [sym_binary_integer_literal] = ACTIONS(1059),
    [sym_decimal_floating_point_literal] = ACTIONS(1059),
    [sym_hex_floating_point_literal] = ACTIONS(1061),
    [sym_true] = ACTIONS(1061),
    [sym_false] = ACTIONS(1061),
    [sym_character_literal] = ACTIONS(1059),
    [anon_sym_DQUOTE] = ACTIONS(1061),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1059),
    [anon_sym_RBRACE] = ACTIONS(1059),
    [sym_null_literal] = ACTIONS(1061),
    [anon_sym_LPAREN] = ACTIONS(1059),
    [anon_sym_LT] = ACTIONS(1059),
    [anon_sym_PLUS] = ACTIONS(1061),
    [anon_sym_DASH] = ACTIONS(1061),
    [anon_sym_final] = ACTIONS(1061),
    [anon_sym_BANG] = ACTIONS(1059),
    [anon_sym_TILDE] = ACTIONS(1059),
    [anon_sym_PLUS_PLUS] = ACTIONS(1059),
    [anon_sym_DASH_DASH] = ACTIONS(1059),
    [anon_sym_new] = ACTIONS(1061),
    [anon_sym_class] = ACTIONS(1061),
    [anon_sym_switch] = ACTIONS(1061),
    [anon_sym_LBRACE] = ACTIONS(1059),
    [anon_sym_case] = ACTIONS(1061),
    [anon_sym_default] = ACTIONS(1061),
    [anon_sym_SEMI] = ACTIONS(1059),
    [anon_sym_assert] = ACTIONS(1061),
    [anon_sym_do] = ACTIONS(1061),
    [anon_sym_while] = ACTIONS(1061),
    [anon_sym_break] = ACTIONS(1061),
    [anon_sym_continue] = ACTIONS(1061),
    [anon_sym_return] = ACTIONS(1061),
    [anon_sym_yield] = ACTIONS(1061),
    [anon_sym_synchronized] = ACTIONS(1061),
    [anon_sym_throw] = ACTIONS(1061),
    [anon_sym_try] = ACTIONS(1061),
    [anon_sym_if] = ACTIONS(1061),
    [anon_sym_else] = ACTIONS(1061),
    [anon_sym_for] = ACTIONS(1061),
    [anon_sym_AT] = ACTIONS(1061),
    [anon_sym_open] = ACTIONS(1061),
    [anon_sym_module] = ACTIONS(1061),
    [anon_sym_static] = ACTIONS(1061),
    [anon_sym_with] = ACTIONS(1061),
    [anon_sym_package] = ACTIONS(1061),
    [anon_sym_import] = ACTIONS(1061),
    [anon_sym_enum] = ACTIONS(1061),
    [anon_sym_public] = ACTIONS(1061),
    [anon_sym_protected] = ACTIONS(1061),
    [anon_sym_private] = ACTIONS(1061),
    [anon_sym_abstract] = ACTIONS(1061),
    [anon_sym_strictfp] = ACTIONS(1061),
    [anon_sym_native] = ACTIONS(1061),
    [anon_sym_transient] = ACTIONS(1061),
    [anon_sym_volatile] = ACTIONS(1061),
    [anon_sym_sealed] = ACTIONS(1061),
    [anon_sym_non_DASHsealed] = ACTIONS(1059),
    [anon_sym_record] = ACTIONS(1061),
    [anon_sym_ATinterface] = ACTIONS(1059),
    [anon_sym_interface] = ACTIONS(1061),
    [anon_sym_byte] = ACTIONS(1061),
    [anon_sym_short] = ACTIONS(1061),
    [anon_sym_int] = ACTIONS(1061),
    [anon_sym_long] = ACTIONS(1061),
    [anon_sym_char] = ACTIONS(1061),
    [anon_sym_float] = ACTIONS(1061),
    [anon_sym_double] = ACTIONS(1061),
    [sym_boolean_type] = ACTIONS(1061),
    [sym_void_type] = ACTIONS(1061),
    [sym_this] = ACTIONS(1061),
    [sym_super] = ACTIONS(1061),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1063),
    [sym_identifier] = ACTIONS(1065),
    [sym_decimal_integer_literal] = ACTIONS(1065),
    [sym_hex_integer_literal] = ACTIONS(1065),
    [sym_octal_integer_literal] = ACTIONS(1065),
    [sym_binary_integer_literal] = ACTIONS(1063),
    [sym_decimal_floating_point_literal] = ACTIONS(1063),
    [sym_hex_floating_point_literal] = ACTIONS(1065),
    [sym_true] = ACTIONS(1065),
    [sym_false] = ACTIONS(1065),
    [sym_character_literal] = ACTIONS(1063),
    [anon_sym_DQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1063),
    [anon_sym_RBRACE] = ACTIONS(1063),
    [sym_null_literal] = ACTIONS(1065),
    [anon_sym_LPAREN] = ACTIONS(1063),
    [anon_sym_LT] = ACTIONS(1063),
    [anon_sym_PLUS] = ACTIONS(1065),
    [anon_sym_DASH] = ACTIONS(1065),
    [anon_sym_final] = ACTIONS(1065),
    [anon_sym_BANG] = ACTIONS(1063),
    [anon_sym_TILDE] = ACTIONS(1063),
    [anon_sym_PLUS_PLUS] = ACTIONS(1063),
    [anon_sym_DASH_DASH] = ACTIONS(1063),
    [anon_sym_new] = ACTIONS(1065),
    [anon_sym_class] = ACTIONS(1065),
    [anon_sym_switch] = ACTIONS(1065),
    [anon_sym_LBRACE] = ACTIONS(1063),
    [anon_sym_case] = ACTIONS(1065),
    [anon_sym_default] = ACTIONS(1065),
    [anon_sym_SEMI] = ACTIONS(1063),
    [anon_sym_assert] = ACTIONS(1065),
    [anon_sym_do] = ACTIONS(1065),
    [anon_sym_while] = ACTIONS(1065),
    [anon_sym_break] = ACTIONS(1065),
    [anon_sym_continue] = ACTIONS(1065),
    [anon_sym_return] = ACTIONS(1065),
    [anon_sym_yield] = ACTIONS(1065),
    [anon_sym_synchronized] = ACTIONS(1065),
    [anon_sym_throw] = ACTIONS(1065),
    [anon_sym_try] = ACTIONS(1065),
    [anon_sym_if] = ACTIONS(1065),
    [anon_sym_else] = ACTIONS(1065),
    [anon_sym_for] = ACTIONS(1065),
    [anon_sym_AT] = ACTIONS(1065),
    [anon_sym_open] = ACTIONS(1065),
    [anon_sym_module] = ACTIONS(1065),
    [anon_sym_static] = ACTIONS(1065),
    [anon_sym_with] = ACTIONS(1065),
    [anon_sym_package] = ACTIONS(1065),
    [anon_sym_import] = ACTIONS(1065),
    [anon_sym_enum] = ACTIONS(1065),
    [anon_sym_public] = ACTIONS(1065),
    [anon_sym_protected] = ACTIONS(1065),
    [anon_sym_private] = ACTIONS(1065),
    [anon_sym_abstract] = ACTIONS(1065),
    [anon_sym_strictfp] = ACTIONS(1065),
    [anon_sym_native] = ACTIONS(1065),
    [anon_sym_transient] = ACTIONS(1065),
    [anon_sym_volatile] = ACTIONS(1065),
    [anon_sym_sealed] = ACTIONS(1065),
    [anon_sym_non_DASHsealed] = ACTIONS(1063),
    [anon_sym_record] = ACTIONS(1065),
    [anon_sym_ATinterface] = ACTIONS(1063),
    [anon_sym_interface] = ACTIONS(1065),
    [anon_sym_byte] = ACTIONS(1065),
    [anon_sym_short] = ACTIONS(1065),
    [anon_sym_int] = ACTIONS(1065),
    [anon_sym_long] = ACTIONS(1065),
    [anon_sym_char] = ACTIONS(1065),
    [anon_sym_float] = ACTIONS(1065),
    [anon_sym_double] = ACTIONS(1065),
    [sym_boolean_type] = ACTIONS(1065),
    [sym_void_type] = ACTIONS(1065),
    [sym_this] = ACTIONS(1065),
    [sym_super] = ACTIONS(1065),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1067),
    [sym_identifier] = ACTIONS(1069),
    [sym_decimal_integer_literal] = ACTIONS(1069),
    [sym_hex_integer_literal] = ACTIONS(1069),
    [sym_octal_integer_literal] = ACTIONS(1069),
    [sym_binary_integer_literal] = ACTIONS(1067),
    [sym_decimal_floating_point_literal] = ACTIONS(1067),
    [sym_hex_floating_point_literal] = ACTIONS(1069),
    [sym_true] = ACTIONS(1069),
    [sym_false] = ACTIONS(1069),
    [sym_character_literal] = ACTIONS(1067),
    [anon_sym_DQUOTE] = ACTIONS(1069),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1067),
    [anon_sym_RBRACE] = ACTIONS(1067),
    [sym_null_literal] = ACTIONS(1069),
    [anon_sym_LPAREN] = ACTIONS(1067),
    [anon_sym_LT] = ACTIONS(1067),
    [anon_sym_PLUS] = ACTIONS(1069),
    [anon_sym_DASH] = ACTIONS(1069),
    [anon_sym_final] = ACTIONS(1069),
    [anon_sym_BANG] = ACTIONS(1067),
    [anon_sym_TILDE] = ACTIONS(1067),
    [anon_sym_PLUS_PLUS] = ACTIONS(1067),
    [anon_sym_DASH_DASH] = ACTIONS(1067),
    [anon_sym_new] = ACTIONS(1069),
    [anon_sym_class] = ACTIONS(1069),
    [anon_sym_switch] = ACTIONS(1069),
    [anon_sym_LBRACE] = ACTIONS(1067),
    [anon_sym_case] = ACTIONS(1069),
    [anon_sym_default] = ACTIONS(1069),
    [anon_sym_SEMI] = ACTIONS(1067),
    [anon_sym_assert] = ACTIONS(1069),
    [anon_sym_do] = ACTIONS(1069),
    [anon_sym_while] = ACTIONS(1069),
    [anon_sym_break] = ACTIONS(1069),
    [anon_sym_continue] = ACTIONS(1069),
    [anon_sym_return] = ACTIONS(1069),
    [anon_sym_yield] = ACTIONS(1069),
    [anon_sym_synchronized] = ACTIONS(1069),
    [anon_sym_throw] = ACTIONS(1069),
    [anon_sym_try] = ACTIONS(1069),
    [anon_sym_if] = ACTIONS(1069),
    [anon_sym_else] = ACTIONS(1069),
    [anon_sym_for] = ACTIONS(1069),
    [anon_sym_AT] = ACTIONS(1069),
    [anon_sym_open] = ACTIONS(1069),
    [anon_sym_module] = ACTIONS(1069),
    [anon_sym_static] = ACTIONS(1069),
    [anon_sym_with] = ACTIONS(1069),
    [anon_sym_package] = ACTIONS(1069),
    [anon_sym_import] = ACTIONS(1069),
    [anon_sym_enum] = ACTIONS(1069),
    [anon_sym_public] = ACTIONS(1069),
    [anon_sym_protected] = ACTIONS(1069),
    [anon_sym_private] = ACTIONS(1069),
    [anon_sym_abstract] = ACTIONS(1069),
    [anon_sym_strictfp] = ACTIONS(1069),
    [anon_sym_native] = ACTIONS(1069),
    [anon_sym_transient] = ACTIONS(1069),
    [anon_sym_volatile] = ACTIONS(1069),
    [anon_sym_sealed] = ACTIONS(1069),
    [anon_sym_non_DASHsealed] = ACTIONS(1067),
    [anon_sym_record] = ACTIONS(1069),
    [anon_sym_ATinterface] = ACTIONS(1067),
    [anon_sym_interface] = ACTIONS(1069),
    [anon_sym_byte] = ACTIONS(1069),
    [anon_sym_short] = ACTIONS(1069),
    [anon_sym_int] = ACTIONS(1069),
    [anon_sym_long] = ACTIONS(1069),
    [anon_sym_char] = ACTIONS(1069),
    [anon_sym_float] = ACTIONS(1069),
    [anon_sym_double] = ACTIONS(1069),
    [sym_boolean_type] = ACTIONS(1069),
    [sym_void_type] = ACTIONS(1069),
    [sym_this] = ACTIONS(1069),
    [sym_super] = ACTIONS(1069),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1071),
    [sym_identifier] = ACTIONS(1073),
    [sym_decimal_integer_literal] = ACTIONS(1073),
    [sym_hex_integer_literal] = ACTIONS(1073),
    [sym_octal_integer_literal] = ACTIONS(1073),
    [sym_binary_integer_literal] = ACTIONS(1071),
    [sym_decimal_floating_point_literal] = ACTIONS(1071),
    [sym_hex_floating_point_literal] = ACTIONS(1073),
    [sym_true] = ACTIONS(1073),
    [sym_false] = ACTIONS(1073),
    [sym_character_literal] = ACTIONS(1071),
    [anon_sym_DQUOTE] = ACTIONS(1073),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1071),
    [anon_sym_RBRACE] = ACTIONS(1071),
    [sym_null_literal] = ACTIONS(1073),
    [anon_sym_LPAREN] = ACTIONS(1071),
    [anon_sym_LT] = ACTIONS(1071),
    [anon_sym_PLUS] = ACTIONS(1073),
    [anon_sym_DASH] = ACTIONS(1073),
    [anon_sym_final] = ACTIONS(1073),
    [anon_sym_BANG] = ACTIONS(1071),
    [anon_sym_TILDE] = ACTIONS(1071),
    [anon_sym_PLUS_PLUS] = ACTIONS(1071),
    [anon_sym_DASH_DASH] = ACTIONS(1071),
    [anon_sym_new] = ACTIONS(1073),
    [anon_sym_class] = ACTIONS(1073),
    [anon_sym_switch] = ACTIONS(1073),
    [anon_sym_LBRACE] = ACTIONS(1071),
    [anon_sym_case] = ACTIONS(1073),
    [anon_sym_default] = ACTIONS(1073),
    [anon_sym_SEMI] = ACTIONS(1071),
    [anon_sym_assert] = ACTIONS(1073),
    [anon_sym_do] = ACTIONS(1073),
    [anon_sym_while] = ACTIONS(1073),
    [anon_sym_break] = ACTIONS(1073),
    [anon_sym_continue] = ACTIONS(1073),
    [anon_sym_return] = ACTIONS(1073),
    [anon_sym_yield] = ACTIONS(1073),
    [anon_sym_synchronized] = ACTIONS(1073),
    [anon_sym_throw] = ACTIONS(1073),
    [anon_sym_try] = ACTIONS(1073),
    [anon_sym_if] = ACTIONS(1073),
    [anon_sym_else] = ACTIONS(1073),
    [anon_sym_for] = ACTIONS(1073),
    [anon_sym_AT] = ACTIONS(1073),
    [anon_sym_open] = ACTIONS(1073),
    [anon_sym_module] = ACTIONS(1073),
    [anon_sym_static] = ACTIONS(1073),
    [anon_sym_with] = ACTIONS(1073),
    [anon_sym_package] = ACTIONS(1073),
    [anon_sym_import] = ACTIONS(1073),
    [anon_sym_enum] = ACTIONS(1073),
    [anon_sym_public] = ACTIONS(1073),
    [anon_sym_protected] = ACTIONS(1073),
    [anon_sym_private] = ACTIONS(1073),
    [anon_sym_abstract] = ACTIONS(1073),
    [anon_sym_strictfp] = ACTIONS(1073),
    [anon_sym_native] = ACTIONS(1073),
    [anon_sym_transient] = ACTIONS(1073),
    [anon_sym_volatile] = ACTIONS(1073),
    [anon_sym_sealed] = ACTIONS(1073),
    [anon_sym_non_DASHsealed] = ACTIONS(1071),
    [anon_sym_record] = ACTIONS(1073),
    [anon_sym_ATinterface] = ACTIONS(1071),
    [anon_sym_interface] = ACTIONS(1073),
    [anon_sym_byte] = ACTIONS(1073),
    [anon_sym_short] = ACTIONS(1073),
    [anon_sym_int] = ACTIONS(1073),
    [anon_sym_long] = ACTIONS(1073),
    [anon_sym_char] = ACTIONS(1073),
    [anon_sym_float] = ACTIONS(1073),
    [anon_sym_double] = ACTIONS(1073),
    [sym_boolean_type] = ACTIONS(1073),
    [sym_void_type] = ACTIONS(1073),
    [sym_this] = ACTIONS(1073),
    [sym_super] = ACTIONS(1073),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1075),
    [sym_identifier] = ACTIONS(1077),
    [sym_decimal_integer_literal] = ACTIONS(1077),
    [sym_hex_integer_literal] = ACTIONS(1077),
    [sym_octal_integer_literal] = ACTIONS(1077),
    [sym_binary_integer_literal] = ACTIONS(1075),
    [sym_decimal_floating_point_literal] = ACTIONS(1075),
    [sym_hex_floating_point_literal] = ACTIONS(1077),
    [sym_true] = ACTIONS(1077),
    [sym_false] = ACTIONS(1077),
    [sym_character_literal] = ACTIONS(1075),
    [anon_sym_DQUOTE] = ACTIONS(1077),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1075),
    [anon_sym_RBRACE] = ACTIONS(1075),
    [sym_null_literal] = ACTIONS(1077),
    [anon_sym_LPAREN] = ACTIONS(1075),
    [anon_sym_LT] = ACTIONS(1075),
    [anon_sym_PLUS] = ACTIONS(1077),
    [anon_sym_DASH] = ACTIONS(1077),
    [anon_sym_final] = ACTIONS(1077),
    [anon_sym_BANG] = ACTIONS(1075),
    [anon_sym_TILDE] = ACTIONS(1075),
    [anon_sym_PLUS_PLUS] = ACTIONS(1075),
    [anon_sym_DASH_DASH] = ACTIONS(1075),
    [anon_sym_new] = ACTIONS(1077),
    [anon_sym_class] = ACTIONS(1077),
    [anon_sym_switch] = ACTIONS(1077),
    [anon_sym_LBRACE] = ACTIONS(1075),
    [anon_sym_case] = ACTIONS(1077),
    [anon_sym_default] = ACTIONS(1077),
    [anon_sym_SEMI] = ACTIONS(1075),
    [anon_sym_assert] = ACTIONS(1077),
    [anon_sym_do] = ACTIONS(1077),
    [anon_sym_while] = ACTIONS(1077),
    [anon_sym_break] = ACTIONS(1077),
    [anon_sym_continue] = ACTIONS(1077),
    [anon_sym_return] = ACTIONS(1077),
    [anon_sym_yield] = ACTIONS(1077),
    [anon_sym_synchronized] = ACTIONS(1077),
    [anon_sym_throw] = ACTIONS(1077),
    [anon_sym_try] = ACTIONS(1077),
    [anon_sym_if] = ACTIONS(1077),
    [anon_sym_else] = ACTIONS(1077),
    [anon_sym_for] = ACTIONS(1077),
    [anon_sym_AT] = ACTIONS(1077),
    [anon_sym_open] = ACTIONS(1077),
    [anon_sym_module] = ACTIONS(1077),
    [anon_sym_static] = ACTIONS(1077),
    [anon_sym_with] = ACTIONS(1077),
    [anon_sym_package] = ACTIONS(1077),
    [anon_sym_import] = ACTIONS(1077),
    [anon_sym_enum] = ACTIONS(1077),
    [anon_sym_public] = ACTIONS(1077),
    [anon_sym_protected] = ACTIONS(1077),
    [anon_sym_private] = ACTIONS(1077),
    [anon_sym_abstract] = ACTIONS(1077),
    [anon_sym_strictfp] = ACTIONS(1077),
    [anon_sym_native] = ACTIONS(1077),
    [anon_sym_transient] = ACTIONS(1077),
    [anon_sym_volatile] = ACTIONS(1077),
    [anon_sym_sealed] = ACTIONS(1077),
    [anon_sym_non_DASHsealed] = ACTIONS(1075),
    [anon_sym_record] = ACTIONS(1077),
    [anon_sym_ATinterface] = ACTIONS(1075),
    [anon_sym_interface] = ACTIONS(1077),
    [anon_sym_byte] = ACTIONS(1077),
    [anon_sym_short] = ACTIONS(1077),
    [anon_sym_int] = ACTIONS(1077),
    [anon_sym_long] = ACTIONS(1077),
    [anon_sym_char] = ACTIONS(1077),
    [anon_sym_float] = ACTIONS(1077),
    [anon_sym_double] = ACTIONS(1077),
    [sym_boolean_type] = ACTIONS(1077),
    [sym_void_type] = ACTIONS(1077),
    [sym_this] = ACTIONS(1077),
    [sym_super] = ACTIONS(1077),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1079),
    [sym_identifier] = ACTIONS(1081),
    [sym_decimal_integer_literal] = ACTIONS(1081),
    [sym_hex_integer_literal] = ACTIONS(1081),
    [sym_octal_integer_literal] = ACTIONS(1081),
    [sym_binary_integer_literal] = ACTIONS(1079),
    [sym_decimal_floating_point_literal] = ACTIONS(1079),
    [sym_hex_floating_point_literal] = ACTIONS(1081),
    [sym_true] = ACTIONS(1081),
    [sym_false] = ACTIONS(1081),
    [sym_character_literal] = ACTIONS(1079),
    [anon_sym_DQUOTE] = ACTIONS(1081),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1079),
    [anon_sym_RBRACE] = ACTIONS(1079),
    [sym_null_literal] = ACTIONS(1081),
    [anon_sym_LPAREN] = ACTIONS(1079),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_PLUS] = ACTIONS(1081),
    [anon_sym_DASH] = ACTIONS(1081),
    [anon_sym_final] = ACTIONS(1081),
    [anon_sym_BANG] = ACTIONS(1079),
    [anon_sym_TILDE] = ACTIONS(1079),
    [anon_sym_PLUS_PLUS] = ACTIONS(1079),
    [anon_sym_DASH_DASH] = ACTIONS(1079),
    [anon_sym_new] = ACTIONS(1081),
    [anon_sym_class] = ACTIONS(1081),
    [anon_sym_switch] = ACTIONS(1081),
    [anon_sym_LBRACE] = ACTIONS(1079),
    [anon_sym_case] = ACTIONS(1081),
    [anon_sym_default] = ACTIONS(1081),
    [anon_sym_SEMI] = ACTIONS(1079),
    [anon_sym_assert] = ACTIONS(1081),
    [anon_sym_do] = ACTIONS(1081),
    [anon_sym_while] = ACTIONS(1081),
    [anon_sym_break] = ACTIONS(1081),
    [anon_sym_continue] = ACTIONS(1081),
    [anon_sym_return] = ACTIONS(1081),
    [anon_sym_yield] = ACTIONS(1081),
    [anon_sym_synchronized] = ACTIONS(1081),
    [anon_sym_throw] = ACTIONS(1081),
    [anon_sym_try] = ACTIONS(1081),
    [anon_sym_if] = ACTIONS(1081),
    [anon_sym_else] = ACTIONS(1081),
    [anon_sym_for] = ACTIONS(1081),
    [anon_sym_AT] = ACTIONS(1081),
    [anon_sym_open] = ACTIONS(1081),
    [anon_sym_module] = ACTIONS(1081),
    [anon_sym_static] = ACTIONS(1081),
    [anon_sym_with] = ACTIONS(1081),
    [anon_sym_package] = ACTIONS(1081),
    [anon_sym_import] = ACTIONS(1081),
    [anon_sym_enum] = ACTIONS(1081),
    [anon_sym_public] = ACTIONS(1081),
    [anon_sym_protected] = ACTIONS(1081),
    [anon_sym_private] = ACTIONS(1081),
    [anon_sym_abstract] = ACTIONS(1081),
    [anon_sym_strictfp] = ACTIONS(1081),
    [anon_sym_native] = ACTIONS(1081),
    [anon_sym_transient] = ACTIONS(1081),
    [anon_sym_volatile] = ACTIONS(1081),
    [anon_sym_sealed] = ACTIONS(1081),
    [anon_sym_non_DASHsealed] = ACTIONS(1079),
    [anon_sym_record] = ACTIONS(1081),
    [anon_sym_ATinterface] = ACTIONS(1079),
    [anon_sym_interface] = ACTIONS(1081),
    [anon_sym_byte] = ACTIONS(1081),
    [anon_sym_short] = ACTIONS(1081),
    [anon_sym_int] = ACTIONS(1081),
    [anon_sym_long] = ACTIONS(1081),
    [anon_sym_char] = ACTIONS(1081),
    [anon_sym_float] = ACTIONS(1081),
    [anon_sym_double] = ACTIONS(1081),
    [sym_boolean_type] = ACTIONS(1081),
    [sym_void_type] = ACTIONS(1081),
    [sym_this] = ACTIONS(1081),
    [sym_super] = ACTIONS(1081),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1083),
    [sym_identifier] = ACTIONS(1085),
    [sym_decimal_integer_literal] = ACTIONS(1085),
    [sym_hex_integer_literal] = ACTIONS(1085),
    [sym_octal_integer_literal] = ACTIONS(1085),
    [sym_binary_integer_literal] = ACTIONS(1083),
    [sym_decimal_floating_point_literal] = ACTIONS(1083),
    [sym_hex_floating_point_literal] = ACTIONS(1085),
    [sym_true] = ACTIONS(1085),
    [sym_false] = ACTIONS(1085),
    [sym_character_literal] = ACTIONS(1083),
    [anon_sym_DQUOTE] = ACTIONS(1085),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1083),
    [anon_sym_RBRACE] = ACTIONS(1083),
    [sym_null_literal] = ACTIONS(1085),
    [anon_sym_LPAREN] = ACTIONS(1083),
    [anon_sym_LT] = ACTIONS(1083),
    [anon_sym_PLUS] = ACTIONS(1085),
    [anon_sym_DASH] = ACTIONS(1085),
    [anon_sym_final] = ACTIONS(1085),
    [anon_sym_BANG] = ACTIONS(1083),
    [anon_sym_TILDE] = ACTIONS(1083),
    [anon_sym_PLUS_PLUS] = ACTIONS(1083),
    [anon_sym_DASH_DASH] = ACTIONS(1083),
    [anon_sym_new] = ACTIONS(1085),
    [anon_sym_class] = ACTIONS(1085),
    [anon_sym_switch] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1083),
    [anon_sym_case] = ACTIONS(1085),
    [anon_sym_default] = ACTIONS(1085),
    [anon_sym_SEMI] = ACTIONS(1083),
    [anon_sym_assert] = ACTIONS(1085),
    [anon_sym_do] = ACTIONS(1085),
    [anon_sym_while] = ACTIONS(1085),
    [anon_sym_break] = ACTIONS(1085),
    [anon_sym_continue] = ACTIONS(1085),
    [anon_sym_return] = ACTIONS(1085),
    [anon_sym_yield] = ACTIONS(1085),
    [anon_sym_synchronized] = ACTIONS(1085),
    [anon_sym_throw] = ACTIONS(1085),
    [anon_sym_try] = ACTIONS(1085),
    [anon_sym_if] = ACTIONS(1085),
    [anon_sym_else] = ACTIONS(1085),
    [anon_sym_for] = ACTIONS(1085),
    [anon_sym_AT] = ACTIONS(1085),
    [anon_sym_open] = ACTIONS(1085),
    [anon_sym_module] = ACTIONS(1085),
    [anon_sym_static] = ACTIONS(1085),
    [anon_sym_with] = ACTIONS(1085),
    [anon_sym_package] = ACTIONS(1085),
    [anon_sym_import] = ACTIONS(1085),
    [anon_sym_enum] = ACTIONS(1085),
    [anon_sym_public] = ACTIONS(1085),
    [anon_sym_protected] = ACTIONS(1085),
    [anon_sym_private] = ACTIONS(1085),
    [anon_sym_abstract] = ACTIONS(1085),
    [anon_sym_strictfp] = ACTIONS(1085),
    [anon_sym_native] = ACTIONS(1085),
    [anon_sym_transient] = ACTIONS(1085),
    [anon_sym_volatile] = ACTIONS(1085),
    [anon_sym_sealed] = ACTIONS(1085),
    [anon_sym_non_DASHsealed] = ACTIONS(1083),
    [anon_sym_record] = ACTIONS(1085),
    [anon_sym_ATinterface] = ACTIONS(1083),
    [anon_sym_interface] = ACTIONS(1085),
    [anon_sym_byte] = ACTIONS(1085),
    [anon_sym_short] = ACTIONS(1085),
    [anon_sym_int] = ACTIONS(1085),
    [anon_sym_long] = ACTIONS(1085),
    [anon_sym_char] = ACTIONS(1085),
    [anon_sym_float] = ACTIONS(1085),
    [anon_sym_double] = ACTIONS(1085),
    [sym_boolean_type] = ACTIONS(1085),
    [sym_void_type] = ACTIONS(1085),
    [sym_this] = ACTIONS(1085),
    [sym_super] = ACTIONS(1085),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1087),
    [sym_identifier] = ACTIONS(1089),
    [sym_decimal_integer_literal] = ACTIONS(1089),
    [sym_hex_integer_literal] = ACTIONS(1089),
    [sym_octal_integer_literal] = ACTIONS(1089),
    [sym_binary_integer_literal] = ACTIONS(1087),
    [sym_decimal_floating_point_literal] = ACTIONS(1087),
    [sym_hex_floating_point_literal] = ACTIONS(1089),
    [sym_true] = ACTIONS(1089),
    [sym_false] = ACTIONS(1089),
    [sym_character_literal] = ACTIONS(1087),
    [anon_sym_DQUOTE] = ACTIONS(1089),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1087),
    [anon_sym_RBRACE] = ACTIONS(1087),
    [sym_null_literal] = ACTIONS(1089),
    [anon_sym_LPAREN] = ACTIONS(1087),
    [anon_sym_LT] = ACTIONS(1087),
    [anon_sym_PLUS] = ACTIONS(1089),
    [anon_sym_DASH] = ACTIONS(1089),
    [anon_sym_final] = ACTIONS(1089),
    [anon_sym_BANG] = ACTIONS(1087),
    [anon_sym_TILDE] = ACTIONS(1087),
    [anon_sym_PLUS_PLUS] = ACTIONS(1087),
    [anon_sym_DASH_DASH] = ACTIONS(1087),
    [anon_sym_new] = ACTIONS(1089),
    [anon_sym_class] = ACTIONS(1089),
    [anon_sym_switch] = ACTIONS(1089),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_case] = ACTIONS(1089),
    [anon_sym_default] = ACTIONS(1089),
    [anon_sym_SEMI] = ACTIONS(1087),
    [anon_sym_assert] = ACTIONS(1089),
    [anon_sym_do] = ACTIONS(1089),
    [anon_sym_while] = ACTIONS(1089),
    [anon_sym_break] = ACTIONS(1089),
    [anon_sym_continue] = ACTIONS(1089),
    [anon_sym_return] = ACTIONS(1089),
    [anon_sym_yield] = ACTIONS(1089),
    [anon_sym_synchronized] = ACTIONS(1089),
    [anon_sym_throw] = ACTIONS(1089),
    [anon_sym_try] = ACTIONS(1089),
    [anon_sym_if] = ACTIONS(1089),
    [anon_sym_else] = ACTIONS(1089),
    [anon_sym_for] = ACTIONS(1089),
    [anon_sym_AT] = ACTIONS(1089),
    [anon_sym_open] = ACTIONS(1089),
    [anon_sym_module] = ACTIONS(1089),
    [anon_sym_static] = ACTIONS(1089),
    [anon_sym_with] = ACTIONS(1089),
    [anon_sym_package] = ACTIONS(1089),
    [anon_sym_import] = ACTIONS(1089),
    [anon_sym_enum] = ACTIONS(1089),
    [anon_sym_public] = ACTIONS(1089),
    [anon_sym_protected] = ACTIONS(1089),
    [anon_sym_private] = ACTIONS(1089),
    [anon_sym_abstract] = ACTIONS(1089),
    [anon_sym_strictfp] = ACTIONS(1089),
    [anon_sym_native] = ACTIONS(1089),
    [anon_sym_transient] = ACTIONS(1089),
    [anon_sym_volatile] = ACTIONS(1089),
    [anon_sym_sealed] = ACTIONS(1089),
    [anon_sym_non_DASHsealed] = ACTIONS(1087),
    [anon_sym_record] = ACTIONS(1089),
    [anon_sym_ATinterface] = ACTIONS(1087),
    [anon_sym_interface] = ACTIONS(1089),
    [anon_sym_byte] = ACTIONS(1089),
    [anon_sym_short] = ACTIONS(1089),
    [anon_sym_int] = ACTIONS(1089),
    [anon_sym_long] = ACTIONS(1089),
    [anon_sym_char] = ACTIONS(1089),
    [anon_sym_float] = ACTIONS(1089),
    [anon_sym_double] = ACTIONS(1089),
    [sym_boolean_type] = ACTIONS(1089),
    [sym_void_type] = ACTIONS(1089),
    [sym_this] = ACTIONS(1089),
    [sym_super] = ACTIONS(1089),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1091),
    [sym_identifier] = ACTIONS(1093),
    [sym_decimal_integer_literal] = ACTIONS(1093),
    [sym_hex_integer_literal] = ACTIONS(1093),
    [sym_octal_integer_literal] = ACTIONS(1093),
    [sym_binary_integer_literal] = ACTIONS(1091),
    [sym_decimal_floating_point_literal] = ACTIONS(1091),
    [sym_hex_floating_point_literal] = ACTIONS(1093),
    [sym_true] = ACTIONS(1093),
    [sym_false] = ACTIONS(1093),
    [sym_character_literal] = ACTIONS(1091),
    [anon_sym_DQUOTE] = ACTIONS(1093),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1091),
    [anon_sym_RBRACE] = ACTIONS(1091),
    [sym_null_literal] = ACTIONS(1093),
    [anon_sym_LPAREN] = ACTIONS(1091),
    [anon_sym_LT] = ACTIONS(1091),
    [anon_sym_PLUS] = ACTIONS(1093),
    [anon_sym_DASH] = ACTIONS(1093),
    [anon_sym_final] = ACTIONS(1093),
    [anon_sym_BANG] = ACTIONS(1091),
    [anon_sym_TILDE] = ACTIONS(1091),
    [anon_sym_PLUS_PLUS] = ACTIONS(1091),
    [anon_sym_DASH_DASH] = ACTIONS(1091),
    [anon_sym_new] = ACTIONS(1093),
    [anon_sym_class] = ACTIONS(1093),
    [anon_sym_switch] = ACTIONS(1093),
    [anon_sym_LBRACE] = ACTIONS(1091),
    [anon_sym_case] = ACTIONS(1093),
    [anon_sym_default] = ACTIONS(1093),
    [anon_sym_SEMI] = ACTIONS(1091),
    [anon_sym_assert] = ACTIONS(1093),
    [anon_sym_do] = ACTIONS(1093),
    [anon_sym_while] = ACTIONS(1093),
    [anon_sym_break] = ACTIONS(1093),
    [anon_sym_continue] = ACTIONS(1093),
    [anon_sym_return] = ACTIONS(1093),
    [anon_sym_yield] = ACTIONS(1093),
    [anon_sym_synchronized] = ACTIONS(1093),
    [anon_sym_throw] = ACTIONS(1093),
    [anon_sym_try] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(1093),
    [anon_sym_for] = ACTIONS(1093),
    [anon_sym_AT] = ACTIONS(1093),
    [anon_sym_open] = ACTIONS(1093),
    [anon_sym_module] = ACTIONS(1093),
    [anon_sym_static] = ACTIONS(1093),
    [anon_sym_with] = ACTIONS(1093),
    [anon_sym_package] = ACTIONS(1093),
    [anon_sym_import] = ACTIONS(1093),
    [anon_sym_enum] = ACTIONS(1093),
    [anon_sym_public] = ACTIONS(1093),
    [anon_sym_protected] = ACTIONS(1093),
    [anon_sym_private] = ACTIONS(1093),
    [anon_sym_abstract] = ACTIONS(1093),
    [anon_sym_strictfp] = ACTIONS(1093),
    [anon_sym_native] = ACTIONS(1093),
    [anon_sym_transient] = ACTIONS(1093),
    [anon_sym_volatile] = ACTIONS(1093),
    [anon_sym_sealed] = ACTIONS(1093),
    [anon_sym_non_DASHsealed] = ACTIONS(1091),
    [anon_sym_record] = ACTIONS(1093),
    [anon_sym_ATinterface] = ACTIONS(1091),
    [anon_sym_interface] = ACTIONS(1093),
    [anon_sym_byte] = ACTIONS(1093),
    [anon_sym_short] = ACTIONS(1093),
    [anon_sym_int] = ACTIONS(1093),
    [anon_sym_long] = ACTIONS(1093),
    [anon_sym_char] = ACTIONS(1093),
    [anon_sym_float] = ACTIONS(1093),
    [anon_sym_double] = ACTIONS(1093),
    [sym_boolean_type] = ACTIONS(1093),
    [sym_void_type] = ACTIONS(1093),
    [sym_this] = ACTIONS(1093),
    [sym_super] = ACTIONS(1093),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1095),
    [sym_identifier] = ACTIONS(1097),
    [sym_decimal_integer_literal] = ACTIONS(1097),
    [sym_hex_integer_literal] = ACTIONS(1097),
    [sym_octal_integer_literal] = ACTIONS(1097),
    [sym_binary_integer_literal] = ACTIONS(1095),
    [sym_decimal_floating_point_literal] = ACTIONS(1095),
    [sym_hex_floating_point_literal] = ACTIONS(1097),
    [sym_true] = ACTIONS(1097),
    [sym_false] = ACTIONS(1097),
    [sym_character_literal] = ACTIONS(1095),
    [anon_sym_DQUOTE] = ACTIONS(1097),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1095),
    [anon_sym_RBRACE] = ACTIONS(1095),
    [sym_null_literal] = ACTIONS(1097),
    [anon_sym_LPAREN] = ACTIONS(1095),
    [anon_sym_LT] = ACTIONS(1095),
    [anon_sym_PLUS] = ACTIONS(1097),
    [anon_sym_DASH] = ACTIONS(1097),
    [anon_sym_final] = ACTIONS(1097),
    [anon_sym_BANG] = ACTIONS(1095),
    [anon_sym_TILDE] = ACTIONS(1095),
    [anon_sym_PLUS_PLUS] = ACTIONS(1095),
    [anon_sym_DASH_DASH] = ACTIONS(1095),
    [anon_sym_new] = ACTIONS(1097),
    [anon_sym_class] = ACTIONS(1097),
    [anon_sym_switch] = ACTIONS(1097),
    [anon_sym_LBRACE] = ACTIONS(1095),
    [anon_sym_case] = ACTIONS(1097),
    [anon_sym_default] = ACTIONS(1097),
    [anon_sym_SEMI] = ACTIONS(1095),
    [anon_sym_assert] = ACTIONS(1097),
    [anon_sym_do] = ACTIONS(1097),
    [anon_sym_while] = ACTIONS(1097),
    [anon_sym_break] = ACTIONS(1097),
    [anon_sym_continue] = ACTIONS(1097),
    [anon_sym_return] = ACTIONS(1097),
    [anon_sym_yield] = ACTIONS(1097),
    [anon_sym_synchronized] = ACTIONS(1097),
    [anon_sym_throw] = ACTIONS(1097),
    [anon_sym_try] = ACTIONS(1097),
    [anon_sym_if] = ACTIONS(1097),
    [anon_sym_else] = ACTIONS(1097),
    [anon_sym_for] = ACTIONS(1097),
    [anon_sym_AT] = ACTIONS(1097),
    [anon_sym_open] = ACTIONS(1097),
    [anon_sym_module] = ACTIONS(1097),
    [anon_sym_static] = ACTIONS(1097),
    [anon_sym_with] = ACTIONS(1097),
    [anon_sym_package] = ACTIONS(1097),
    [anon_sym_import] = ACTIONS(1097),
    [anon_sym_enum] = ACTIONS(1097),
    [anon_sym_public] = ACTIONS(1097),
    [anon_sym_protected] = ACTIONS(1097),
    [anon_sym_private] = ACTIONS(1097),
    [anon_sym_abstract] = ACTIONS(1097),
    [anon_sym_strictfp] = ACTIONS(1097),
    [anon_sym_native] = ACTIONS(1097),
    [anon_sym_transient] = ACTIONS(1097),
    [anon_sym_volatile] = ACTIONS(1097),
    [anon_sym_sealed] = ACTIONS(1097),
    [anon_sym_non_DASHsealed] = ACTIONS(1095),
    [anon_sym_record] = ACTIONS(1097),
    [anon_sym_ATinterface] = ACTIONS(1095),
    [anon_sym_interface] = ACTIONS(1097),
    [anon_sym_byte] = ACTIONS(1097),
    [anon_sym_short] = ACTIONS(1097),
    [anon_sym_int] = ACTIONS(1097),
    [anon_sym_long] = ACTIONS(1097),
    [anon_sym_char] = ACTIONS(1097),
    [anon_sym_float] = ACTIONS(1097),
    [anon_sym_double] = ACTIONS(1097),
    [sym_boolean_type] = ACTIONS(1097),
    [sym_void_type] = ACTIONS(1097),
    [sym_this] = ACTIONS(1097),
    [sym_super] = ACTIONS(1097),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1099),
    [sym_identifier] = ACTIONS(1101),
    [sym_decimal_integer_literal] = ACTIONS(1101),
    [sym_hex_integer_literal] = ACTIONS(1101),
    [sym_octal_integer_literal] = ACTIONS(1101),
    [sym_binary_integer_literal] = ACTIONS(1099),
    [sym_decimal_floating_point_literal] = ACTIONS(1099),
    [sym_hex_floating_point_literal] = ACTIONS(1101),
    [sym_true] = ACTIONS(1101),
    [sym_false] = ACTIONS(1101),
    [sym_character_literal] = ACTIONS(1099),
    [anon_sym_DQUOTE] = ACTIONS(1101),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1099),
    [anon_sym_RBRACE] = ACTIONS(1099),
    [sym_null_literal] = ACTIONS(1101),
    [anon_sym_LPAREN] = ACTIONS(1099),
    [anon_sym_LT] = ACTIONS(1099),
    [anon_sym_PLUS] = ACTIONS(1101),
    [anon_sym_DASH] = ACTIONS(1101),
    [anon_sym_final] = ACTIONS(1101),
    [anon_sym_BANG] = ACTIONS(1099),
    [anon_sym_TILDE] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_new] = ACTIONS(1101),
    [anon_sym_class] = ACTIONS(1101),
    [anon_sym_switch] = ACTIONS(1101),
    [anon_sym_LBRACE] = ACTIONS(1099),
    [anon_sym_case] = ACTIONS(1101),
    [anon_sym_default] = ACTIONS(1101),
    [anon_sym_SEMI] = ACTIONS(1099),
    [anon_sym_assert] = ACTIONS(1101),
    [anon_sym_do] = ACTIONS(1101),
    [anon_sym_while] = ACTIONS(1101),
    [anon_sym_break] = ACTIONS(1101),
    [anon_sym_continue] = ACTIONS(1101),
    [anon_sym_return] = ACTIONS(1101),
    [anon_sym_yield] = ACTIONS(1101),
    [anon_sym_synchronized] = ACTIONS(1101),
    [anon_sym_throw] = ACTIONS(1101),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_if] = ACTIONS(1101),
    [anon_sym_else] = ACTIONS(1101),
    [anon_sym_for] = ACTIONS(1101),
    [anon_sym_AT] = ACTIONS(1101),
    [anon_sym_open] = ACTIONS(1101),
    [anon_sym_module] = ACTIONS(1101),
    [anon_sym_static] = ACTIONS(1101),
    [anon_sym_with] = ACTIONS(1101),
    [anon_sym_package] = ACTIONS(1101),
    [anon_sym_import] = ACTIONS(1101),
    [anon_sym_enum] = ACTIONS(1101),
    [anon_sym_public] = ACTIONS(1101),
    [anon_sym_protected] = ACTIONS(1101),
    [anon_sym_private] = ACTIONS(1101),
    [anon_sym_abstract] = ACTIONS(1101),
    [anon_sym_strictfp] = ACTIONS(1101),
    [anon_sym_native] = ACTIONS(1101),
    [anon_sym_transient] = ACTIONS(1101),
    [anon_sym_volatile] = ACTIONS(1101),
    [anon_sym_sealed] = ACTIONS(1101),
    [anon_sym_non_DASHsealed] = ACTIONS(1099),
    [anon_sym_record] = ACTIONS(1101),
    [anon_sym_ATinterface] = ACTIONS(1099),
    [anon_sym_interface] = ACTIONS(1101),
    [anon_sym_byte] = ACTIONS(1101),
    [anon_sym_short] = ACTIONS(1101),
    [anon_sym_int] = ACTIONS(1101),
    [anon_sym_long] = ACTIONS(1101),
    [anon_sym_char] = ACTIONS(1101),
    [anon_sym_float] = ACTIONS(1101),
    [anon_sym_double] = ACTIONS(1101),
    [sym_boolean_type] = ACTIONS(1101),
    [sym_void_type] = ACTIONS(1101),
    [sym_this] = ACTIONS(1101),
    [sym_super] = ACTIONS(1101),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1103),
    [sym_identifier] = ACTIONS(1105),
    [sym_decimal_integer_literal] = ACTIONS(1105),
    [sym_hex_integer_literal] = ACTIONS(1105),
    [sym_octal_integer_literal] = ACTIONS(1105),
    [sym_binary_integer_literal] = ACTIONS(1103),
    [sym_decimal_floating_point_literal] = ACTIONS(1103),
    [sym_hex_floating_point_literal] = ACTIONS(1105),
    [sym_true] = ACTIONS(1105),
    [sym_false] = ACTIONS(1105),
    [sym_character_literal] = ACTIONS(1103),
    [anon_sym_DQUOTE] = ACTIONS(1105),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1103),
    [anon_sym_RBRACE] = ACTIONS(1103),
    [sym_null_literal] = ACTIONS(1105),
    [anon_sym_LPAREN] = ACTIONS(1103),
    [anon_sym_LT] = ACTIONS(1103),
    [anon_sym_PLUS] = ACTIONS(1105),
    [anon_sym_DASH] = ACTIONS(1105),
    [anon_sym_final] = ACTIONS(1105),
    [anon_sym_BANG] = ACTIONS(1103),
    [anon_sym_TILDE] = ACTIONS(1103),
    [anon_sym_PLUS_PLUS] = ACTIONS(1103),
    [anon_sym_DASH_DASH] = ACTIONS(1103),
    [anon_sym_new] = ACTIONS(1105),
    [anon_sym_class] = ACTIONS(1105),
    [anon_sym_switch] = ACTIONS(1105),
    [anon_sym_LBRACE] = ACTIONS(1103),
    [anon_sym_case] = ACTIONS(1105),
    [anon_sym_default] = ACTIONS(1105),
    [anon_sym_SEMI] = ACTIONS(1103),
    [anon_sym_assert] = ACTIONS(1105),
    [anon_sym_do] = ACTIONS(1105),
    [anon_sym_while] = ACTIONS(1105),
    [anon_sym_break] = ACTIONS(1105),
    [anon_sym_continue] = ACTIONS(1105),
    [anon_sym_return] = ACTIONS(1105),
    [anon_sym_yield] = ACTIONS(1105),
    [anon_sym_synchronized] = ACTIONS(1105),
    [anon_sym_throw] = ACTIONS(1105),
    [anon_sym_try] = ACTIONS(1105),
    [anon_sym_if] = ACTIONS(1105),
    [anon_sym_else] = ACTIONS(1105),
    [anon_sym_for] = ACTIONS(1105),
    [anon_sym_AT] = ACTIONS(1105),
    [anon_sym_open] = ACTIONS(1105),
    [anon_sym_module] = ACTIONS(1105),
    [anon_sym_static] = ACTIONS(1105),
    [anon_sym_with] = ACTIONS(1105),
    [anon_sym_package] = ACTIONS(1105),
    [anon_sym_import] = ACTIONS(1105),
    [anon_sym_enum] = ACTIONS(1105),
    [anon_sym_public] = ACTIONS(1105),
    [anon_sym_protected] = ACTIONS(1105),
    [anon_sym_private] = ACTIONS(1105),
    [anon_sym_abstract] = ACTIONS(1105),
    [anon_sym_strictfp] = ACTIONS(1105),
    [anon_sym_native] = ACTIONS(1105),
    [anon_sym_transient] = ACTIONS(1105),
    [anon_sym_volatile] = ACTIONS(1105),
    [anon_sym_sealed] = ACTIONS(1105),
    [anon_sym_non_DASHsealed] = ACTIONS(1103),
    [anon_sym_record] = ACTIONS(1105),
    [anon_sym_ATinterface] = ACTIONS(1103),
    [anon_sym_interface] = ACTIONS(1105),
    [anon_sym_byte] = ACTIONS(1105),
    [anon_sym_short] = ACTIONS(1105),
    [anon_sym_int] = ACTIONS(1105),
    [anon_sym_long] = ACTIONS(1105),
    [anon_sym_char] = ACTIONS(1105),
    [anon_sym_float] = ACTIONS(1105),
    [anon_sym_double] = ACTIONS(1105),
    [sym_boolean_type] = ACTIONS(1105),
    [sym_void_type] = ACTIONS(1105),
    [sym_this] = ACTIONS(1105),
    [sym_super] = ACTIONS(1105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1107),
    [sym_identifier] = ACTIONS(1109),
    [sym_decimal_integer_literal] = ACTIONS(1109),
    [sym_hex_integer_literal] = ACTIONS(1109),
    [sym_octal_integer_literal] = ACTIONS(1109),
    [sym_binary_integer_literal] = ACTIONS(1107),
    [sym_decimal_floating_point_literal] = ACTIONS(1107),
    [sym_hex_floating_point_literal] = ACTIONS(1109),
    [sym_true] = ACTIONS(1109),
    [sym_false] = ACTIONS(1109),
    [sym_character_literal] = ACTIONS(1107),
    [anon_sym_DQUOTE] = ACTIONS(1109),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1107),
    [anon_sym_RBRACE] = ACTIONS(1107),
    [sym_null_literal] = ACTIONS(1109),
    [anon_sym_LPAREN] = ACTIONS(1107),
    [anon_sym_LT] = ACTIONS(1107),
    [anon_sym_PLUS] = ACTIONS(1109),
    [anon_sym_DASH] = ACTIONS(1109),
    [anon_sym_final] = ACTIONS(1109),
    [anon_sym_BANG] = ACTIONS(1107),
    [anon_sym_TILDE] = ACTIONS(1107),
    [anon_sym_PLUS_PLUS] = ACTIONS(1107),
    [anon_sym_DASH_DASH] = ACTIONS(1107),
    [anon_sym_new] = ACTIONS(1109),
    [anon_sym_class] = ACTIONS(1109),
    [anon_sym_switch] = ACTIONS(1109),
    [anon_sym_LBRACE] = ACTIONS(1107),
    [anon_sym_case] = ACTIONS(1109),
    [anon_sym_default] = ACTIONS(1109),
    [anon_sym_SEMI] = ACTIONS(1107),
    [anon_sym_assert] = ACTIONS(1109),
    [anon_sym_do] = ACTIONS(1109),
    [anon_sym_while] = ACTIONS(1109),
    [anon_sym_break] = ACTIONS(1109),
    [anon_sym_continue] = ACTIONS(1109),
    [anon_sym_return] = ACTIONS(1109),
    [anon_sym_yield] = ACTIONS(1109),
    [anon_sym_synchronized] = ACTIONS(1109),
    [anon_sym_throw] = ACTIONS(1109),
    [anon_sym_try] = ACTIONS(1109),
    [anon_sym_if] = ACTIONS(1109),
    [anon_sym_else] = ACTIONS(1109),
    [anon_sym_for] = ACTIONS(1109),
    [anon_sym_AT] = ACTIONS(1109),
    [anon_sym_open] = ACTIONS(1109),
    [anon_sym_module] = ACTIONS(1109),
    [anon_sym_static] = ACTIONS(1109),
    [anon_sym_with] = ACTIONS(1109),
    [anon_sym_package] = ACTIONS(1109),
    [anon_sym_import] = ACTIONS(1109),
    [anon_sym_enum] = ACTIONS(1109),
    [anon_sym_public] = ACTIONS(1109),
    [anon_sym_protected] = ACTIONS(1109),
    [anon_sym_private] = ACTIONS(1109),
    [anon_sym_abstract] = ACTIONS(1109),
    [anon_sym_strictfp] = ACTIONS(1109),
    [anon_sym_native] = ACTIONS(1109),
    [anon_sym_transient] = ACTIONS(1109),
    [anon_sym_volatile] = ACTIONS(1109),
    [anon_sym_sealed] = ACTIONS(1109),
    [anon_sym_non_DASHsealed] = ACTIONS(1107),
    [anon_sym_record] = ACTIONS(1109),
    [anon_sym_ATinterface] = ACTIONS(1107),
    [anon_sym_interface] = ACTIONS(1109),
    [anon_sym_byte] = ACTIONS(1109),
    [anon_sym_short] = ACTIONS(1109),
    [anon_sym_int] = ACTIONS(1109),
    [anon_sym_long] = ACTIONS(1109),
    [anon_sym_char] = ACTIONS(1109),
    [anon_sym_float] = ACTIONS(1109),
    [anon_sym_double] = ACTIONS(1109),
    [sym_boolean_type] = ACTIONS(1109),
    [sym_void_type] = ACTIONS(1109),
    [sym_this] = ACTIONS(1109),
    [sym_super] = ACTIONS(1109),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1111),
    [sym_identifier] = ACTIONS(1113),
    [sym_decimal_integer_literal] = ACTIONS(1113),
    [sym_hex_integer_literal] = ACTIONS(1113),
    [sym_octal_integer_literal] = ACTIONS(1113),
    [sym_binary_integer_literal] = ACTIONS(1111),
    [sym_decimal_floating_point_literal] = ACTIONS(1111),
    [sym_hex_floating_point_literal] = ACTIONS(1113),
    [sym_true] = ACTIONS(1113),
    [sym_false] = ACTIONS(1113),
    [sym_character_literal] = ACTIONS(1111),
    [anon_sym_DQUOTE] = ACTIONS(1113),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1111),
    [anon_sym_RBRACE] = ACTIONS(1111),
    [sym_null_literal] = ACTIONS(1113),
    [anon_sym_LPAREN] = ACTIONS(1111),
    [anon_sym_LT] = ACTIONS(1111),
    [anon_sym_PLUS] = ACTIONS(1113),
    [anon_sym_DASH] = ACTIONS(1113),
    [anon_sym_final] = ACTIONS(1113),
    [anon_sym_BANG] = ACTIONS(1111),
    [anon_sym_TILDE] = ACTIONS(1111),
    [anon_sym_PLUS_PLUS] = ACTIONS(1111),
    [anon_sym_DASH_DASH] = ACTIONS(1111),
    [anon_sym_new] = ACTIONS(1113),
    [anon_sym_class] = ACTIONS(1113),
    [anon_sym_switch] = ACTIONS(1113),
    [anon_sym_LBRACE] = ACTIONS(1111),
    [anon_sym_case] = ACTIONS(1113),
    [anon_sym_default] = ACTIONS(1113),
    [anon_sym_SEMI] = ACTIONS(1111),
    [anon_sym_assert] = ACTIONS(1113),
    [anon_sym_do] = ACTIONS(1113),
    [anon_sym_while] = ACTIONS(1113),
    [anon_sym_break] = ACTIONS(1113),
    [anon_sym_continue] = ACTIONS(1113),
    [anon_sym_return] = ACTIONS(1113),
    [anon_sym_yield] = ACTIONS(1113),
    [anon_sym_synchronized] = ACTIONS(1113),
    [anon_sym_throw] = ACTIONS(1113),
    [anon_sym_try] = ACTIONS(1113),
    [anon_sym_if] = ACTIONS(1113),
    [anon_sym_else] = ACTIONS(1113),
    [anon_sym_for] = ACTIONS(1113),
    [anon_sym_AT] = ACTIONS(1113),
    [anon_sym_open] = ACTIONS(1113),
    [anon_sym_module] = ACTIONS(1113),
    [anon_sym_static] = ACTIONS(1113),
    [anon_sym_with] = ACTIONS(1113),
    [anon_sym_package] = ACTIONS(1113),
    [anon_sym_import] = ACTIONS(1113),
    [anon_sym_enum] = ACTIONS(1113),
    [anon_sym_public] = ACTIONS(1113),
    [anon_sym_protected] = ACTIONS(1113),
    [anon_sym_private] = ACTIONS(1113),
    [anon_sym_abstract] = ACTIONS(1113),
    [anon_sym_strictfp] = ACTIONS(1113),
    [anon_sym_native] = ACTIONS(1113),
    [anon_sym_transient] = ACTIONS(1113),
    [anon_sym_volatile] = ACTIONS(1113),
    [anon_sym_sealed] = ACTIONS(1113),
    [anon_sym_non_DASHsealed] = ACTIONS(1111),
    [anon_sym_record] = ACTIONS(1113),
    [anon_sym_ATinterface] = ACTIONS(1111),
    [anon_sym_interface] = ACTIONS(1113),
    [anon_sym_byte] = ACTIONS(1113),
    [anon_sym_short] = ACTIONS(1113),
    [anon_sym_int] = ACTIONS(1113),
    [anon_sym_long] = ACTIONS(1113),
    [anon_sym_char] = ACTIONS(1113),
    [anon_sym_float] = ACTIONS(1113),
    [anon_sym_double] = ACTIONS(1113),
    [sym_boolean_type] = ACTIONS(1113),
    [sym_void_type] = ACTIONS(1113),
    [sym_this] = ACTIONS(1113),
    [sym_super] = ACTIONS(1113),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [372] = {
    [ts_builtin_sym_end] = ACTIONS(1115),
    [sym_identifier] = ACTIONS(1117),
    [sym_decimal_integer_literal] = ACTIONS(1117),
    [sym_hex_integer_literal] = ACTIONS(1117),
    [sym_octal_integer_literal] = ACTIONS(1117),
    [sym_binary_integer_literal] = ACTIONS(1115),
    [sym_decimal_floating_point_literal] = ACTIONS(1115),
    [sym_hex_floating_point_literal] = ACTIONS(1117),
    [sym_true] = ACTIONS(1117),
    [sym_false] = ACTIONS(1117),
    [sym_character_literal] = ACTIONS(1115),
    [anon_sym_DQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1115),
    [anon_sym_RBRACE] = ACTIONS(1115),
    [sym_null_literal] = ACTIONS(1117),
    [anon_sym_LPAREN] = ACTIONS(1115),
    [anon_sym_LT] = ACTIONS(1115),
    [anon_sym_PLUS] = ACTIONS(1117),
    [anon_sym_DASH] = ACTIONS(1117),
    [anon_sym_final] = ACTIONS(1117),
    [anon_sym_BANG] = ACTIONS(1115),
    [anon_sym_TILDE] = ACTIONS(1115),
    [anon_sym_PLUS_PLUS] = ACTIONS(1115),
    [anon_sym_DASH_DASH] = ACTIONS(1115),
    [anon_sym_new] = ACTIONS(1117),
    [anon_sym_class] = ACTIONS(1117),
    [anon_sym_switch] = ACTIONS(1117),
    [anon_sym_LBRACE] = ACTIONS(1115),
    [anon_sym_case] = ACTIONS(1117),
    [anon_sym_default] = ACTIONS(1117),
    [anon_sym_SEMI] = ACTIONS(1115),
    [anon_sym_assert] = ACTIONS(1117),
    [anon_sym_do] = ACTIONS(1117),
    [anon_sym_while] = ACTIONS(1117),
    [anon_sym_break] = ACTIONS(1117),
    [anon_sym_continue] = ACTIONS(1117),
    [anon_sym_return] = ACTIONS(1117),
    [anon_sym_yield] = ACTIONS(1117),
    [anon_sym_synchronized] = ACTIONS(1117),
    [anon_sym_throw] = ACTIONS(1117),
    [anon_sym_try] = ACTIONS(1117),
    [anon_sym_if] = ACTIONS(1117),
    [anon_sym_else] = ACTIONS(1117),
    [anon_sym_for] = ACTIONS(1117),
    [anon_sym_AT] = ACTIONS(1117),
    [anon_sym_open] = ACTIONS(1117),
    [anon_sym_module] = ACTIONS(1117),
    [anon_sym_static] = ACTIONS(1117),
    [anon_sym_with] = ACTIONS(1117),
    [anon_sym_package] = ACTIONS(1117),
    [anon_sym_import] = ACTIONS(1117),
    [anon_sym_enum] = ACTIONS(1117),
    [anon_sym_public] = ACTIONS(1117),
    [anon_sym_protected] = ACTIONS(1117),
    [anon_sym_private] = ACTIONS(1117),
    [anon_sym_abstract] = ACTIONS(1117),
    [anon_sym_strictfp] = ACTIONS(1117),
    [anon_sym_native] = ACTIONS(1117),
    [anon_sym_transient] = ACTIONS(1117),
    [anon_sym_volatile] = ACTIONS(1117),
    [anon_sym_sealed] = ACTIONS(1117),
    [anon_sym_non_DASHsealed] = ACTIONS(1115),
    [anon_sym_record] = ACTIONS(1117),
    [anon_sym_ATinterface] = ACTIONS(1115),
    [anon_sym_interface] = ACTIONS(1117),
    [anon_sym_byte] = ACTIONS(1117),
    [anon_sym_short] = ACTIONS(1117),
    [anon_sym_int] = ACTIONS(1117),
    [anon_sym_long] = ACTIONS(1117),
    [anon_sym_char] = ACTIONS(1117),
    [anon_sym_float] = ACTIONS(1117),
    [anon_sym_double] = ACTIONS(1117),
    [sym_boolean_type] = ACTIONS(1117),
    [sym_void_type] = ACTIONS(1117),
    [sym_this] = ACTIONS(1117),
    [sym_super] = ACTIONS(1117),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1119),
    [sym_identifier] = ACTIONS(1121),
    [sym_decimal_integer_literal] = ACTIONS(1121),
    [sym_hex_integer_literal] = ACTIONS(1121),
    [sym_octal_integer_literal] = ACTIONS(1121),
    [sym_binary_integer_literal] = ACTIONS(1119),
    [sym_decimal_floating_point_literal] = ACTIONS(1119),
    [sym_hex_floating_point_literal] = ACTIONS(1121),
    [sym_true] = ACTIONS(1121),
    [sym_false] = ACTIONS(1121),
    [sym_character_literal] = ACTIONS(1119),
    [anon_sym_DQUOTE] = ACTIONS(1121),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1119),
    [anon_sym_RBRACE] = ACTIONS(1119),
    [sym_null_literal] = ACTIONS(1121),
    [anon_sym_LPAREN] = ACTIONS(1119),
    [anon_sym_LT] = ACTIONS(1119),
    [anon_sym_PLUS] = ACTIONS(1121),
    [anon_sym_DASH] = ACTIONS(1121),
    [anon_sym_final] = ACTIONS(1121),
    [anon_sym_BANG] = ACTIONS(1119),
    [anon_sym_TILDE] = ACTIONS(1119),
    [anon_sym_PLUS_PLUS] = ACTIONS(1119),
    [anon_sym_DASH_DASH] = ACTIONS(1119),
    [anon_sym_new] = ACTIONS(1121),
    [anon_sym_class] = ACTIONS(1121),
    [anon_sym_switch] = ACTIONS(1121),
    [anon_sym_LBRACE] = ACTIONS(1119),
    [anon_sym_case] = ACTIONS(1121),
    [anon_sym_default] = ACTIONS(1121),
    [anon_sym_SEMI] = ACTIONS(1119),
    [anon_sym_assert] = ACTIONS(1121),
    [anon_sym_do] = ACTIONS(1121),
    [anon_sym_while] = ACTIONS(1121),
    [anon_sym_break] = ACTIONS(1121),
    [anon_sym_continue] = ACTIONS(1121),
    [anon_sym_return] = ACTIONS(1121),
    [anon_sym_yield] = ACTIONS(1121),
    [anon_sym_synchronized] = ACTIONS(1121),
    [anon_sym_throw] = ACTIONS(1121),
    [anon_sym_try] = ACTIONS(1121),
    [anon_sym_if] = ACTIONS(1121),
    [anon_sym_else] = ACTIONS(1121),
    [anon_sym_for] = ACTIONS(1121),
    [anon_sym_AT] = ACTIONS(1121),
    [anon_sym_open] = ACTIONS(1121),
    [anon_sym_module] = ACTIONS(1121),
    [anon_sym_static] = ACTIONS(1121),
    [anon_sym_with] = ACTIONS(1121),
    [anon_sym_package] = ACTIONS(1121),
    [anon_sym_import] = ACTIONS(1121),
    [anon_sym_enum] = ACTIONS(1121),
    [anon_sym_public] = ACTIONS(1121),
    [anon_sym_protected] = ACTIONS(1121),
    [anon_sym_private] = ACTIONS(1121),
    [anon_sym_abstract] = ACTIONS(1121),
    [anon_sym_strictfp] = ACTIONS(1121),
    [anon_sym_native] = ACTIONS(1121),
    [anon_sym_transient] = ACTIONS(1121),
    [anon_sym_volatile] = ACTIONS(1121),
    [anon_sym_sealed] = ACTIONS(1121),
    [anon_sym_non_DASHsealed] = ACTIONS(1119),
    [anon_sym_record] = ACTIONS(1121),
    [anon_sym_ATinterface] = ACTIONS(1119),
    [anon_sym_interface] = ACTIONS(1121),
    [anon_sym_byte] = ACTIONS(1121),
    [anon_sym_short] = ACTIONS(1121),
    [anon_sym_int] = ACTIONS(1121),
    [anon_sym_long] = ACTIONS(1121),
    [anon_sym_char] = ACTIONS(1121),
    [anon_sym_float] = ACTIONS(1121),
    [anon_sym_double] = ACTIONS(1121),
    [sym_boolean_type] = ACTIONS(1121),
    [sym_void_type] = ACTIONS(1121),
    [sym_this] = ACTIONS(1121),
    [sym_super] = ACTIONS(1121),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1123),
    [sym_identifier] = ACTIONS(1125),
    [sym_decimal_integer_literal] = ACTIONS(1125),
    [sym_hex_integer_literal] = ACTIONS(1125),
    [sym_octal_integer_literal] = ACTIONS(1125),
    [sym_binary_integer_literal] = ACTIONS(1123),
    [sym_decimal_floating_point_literal] = ACTIONS(1123),
    [sym_hex_floating_point_literal] = ACTIONS(1125),
    [sym_true] = ACTIONS(1125),
    [sym_false] = ACTIONS(1125),
    [sym_character_literal] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1125),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1123),
    [anon_sym_RBRACE] = ACTIONS(1123),
    [sym_null_literal] = ACTIONS(1125),
    [anon_sym_LPAREN] = ACTIONS(1123),
    [anon_sym_LT] = ACTIONS(1123),
    [anon_sym_PLUS] = ACTIONS(1125),
    [anon_sym_DASH] = ACTIONS(1125),
    [anon_sym_final] = ACTIONS(1125),
    [anon_sym_BANG] = ACTIONS(1123),
    [anon_sym_TILDE] = ACTIONS(1123),
    [anon_sym_PLUS_PLUS] = ACTIONS(1123),
    [anon_sym_DASH_DASH] = ACTIONS(1123),
    [anon_sym_new] = ACTIONS(1125),
    [anon_sym_class] = ACTIONS(1125),
    [anon_sym_switch] = ACTIONS(1125),
    [anon_sym_LBRACE] = ACTIONS(1123),
    [anon_sym_case] = ACTIONS(1125),
    [anon_sym_default] = ACTIONS(1125),
    [anon_sym_SEMI] = ACTIONS(1123),
    [anon_sym_assert] = ACTIONS(1125),
    [anon_sym_do] = ACTIONS(1125),
    [anon_sym_while] = ACTIONS(1125),
    [anon_sym_break] = ACTIONS(1125),
    [anon_sym_continue] = ACTIONS(1125),
    [anon_sym_return] = ACTIONS(1125),
    [anon_sym_yield] = ACTIONS(1125),
    [anon_sym_synchronized] = ACTIONS(1125),
    [anon_sym_throw] = ACTIONS(1125),
    [anon_sym_try] = ACTIONS(1125),
    [anon_sym_if] = ACTIONS(1125),
    [anon_sym_else] = ACTIONS(1125),
    [anon_sym_for] = ACTIONS(1125),
    [anon_sym_AT] = ACTIONS(1125),
    [anon_sym_open] = ACTIONS(1125),
    [anon_sym_module] = ACTIONS(1125),
    [anon_sym_static] = ACTIONS(1125),
    [anon_sym_with] = ACTIONS(1125),
    [anon_sym_package] = ACTIONS(1125),
    [anon_sym_import] = ACTIONS(1125),
    [anon_sym_enum] = ACTIONS(1125),
    [anon_sym_public] = ACTIONS(1125),
    [anon_sym_protected] = ACTIONS(1125),
    [anon_sym_private] = ACTIONS(1125),
    [anon_sym_abstract] = ACTIONS(1125),
    [anon_sym_strictfp] = ACTIONS(1125),
    [anon_sym_native] = ACTIONS(1125),
    [anon_sym_transient] = ACTIONS(1125),
    [anon_sym_volatile] = ACTIONS(1125),
    [anon_sym_sealed] = ACTIONS(1125),
    [anon_sym_non_DASHsealed] = ACTIONS(1123),
    [anon_sym_record] = ACTIONS(1125),
    [anon_sym_ATinterface] = ACTIONS(1123),
    [anon_sym_interface] = ACTIONS(1125),
    [anon_sym_byte] = ACTIONS(1125),
    [anon_sym_short] = ACTIONS(1125),
    [anon_sym_int] = ACTIONS(1125),
    [anon_sym_long] = ACTIONS(1125),
    [anon_sym_char] = ACTIONS(1125),
    [anon_sym_float] = ACTIONS(1125),
    [anon_sym_double] = ACTIONS(1125),
    [sym_boolean_type] = ACTIONS(1125),
    [sym_void_type] = ACTIONS(1125),
    [sym_this] = ACTIONS(1125),
    [sym_super] = ACTIONS(1125),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1127),
    [sym_identifier] = ACTIONS(1129),
    [sym_decimal_integer_literal] = ACTIONS(1129),
    [sym_hex_integer_literal] = ACTIONS(1129),
    [sym_octal_integer_literal] = ACTIONS(1129),
    [sym_binary_integer_literal] = ACTIONS(1127),
    [sym_decimal_floating_point_literal] = ACTIONS(1127),
    [sym_hex_floating_point_literal] = ACTIONS(1129),
    [sym_true] = ACTIONS(1129),
    [sym_false] = ACTIONS(1129),
    [sym_character_literal] = ACTIONS(1127),
    [anon_sym_DQUOTE] = ACTIONS(1129),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1127),
    [anon_sym_RBRACE] = ACTIONS(1127),
    [sym_null_literal] = ACTIONS(1129),
    [anon_sym_LPAREN] = ACTIONS(1127),
    [anon_sym_LT] = ACTIONS(1127),
    [anon_sym_PLUS] = ACTIONS(1129),
    [anon_sym_DASH] = ACTIONS(1129),
    [anon_sym_final] = ACTIONS(1129),
    [anon_sym_BANG] = ACTIONS(1127),
    [anon_sym_TILDE] = ACTIONS(1127),
    [anon_sym_PLUS_PLUS] = ACTIONS(1127),
    [anon_sym_DASH_DASH] = ACTIONS(1127),
    [anon_sym_new] = ACTIONS(1129),
    [anon_sym_class] = ACTIONS(1129),
    [anon_sym_switch] = ACTIONS(1129),
    [anon_sym_LBRACE] = ACTIONS(1127),
    [anon_sym_case] = ACTIONS(1129),
    [anon_sym_default] = ACTIONS(1129),
    [anon_sym_SEMI] = ACTIONS(1127),
    [anon_sym_assert] = ACTIONS(1129),
    [anon_sym_do] = ACTIONS(1129),
    [anon_sym_while] = ACTIONS(1129),
    [anon_sym_break] = ACTIONS(1129),
    [anon_sym_continue] = ACTIONS(1129),
    [anon_sym_return] = ACTIONS(1129),
    [anon_sym_yield] = ACTIONS(1129),
    [anon_sym_synchronized] = ACTIONS(1129),
    [anon_sym_throw] = ACTIONS(1129),
    [anon_sym_try] = ACTIONS(1129),
    [anon_sym_if] = ACTIONS(1129),
    [anon_sym_else] = ACTIONS(1129),
    [anon_sym_for] = ACTIONS(1129),
    [anon_sym_AT] = ACTIONS(1129),
    [anon_sym_open] = ACTIONS(1129),
    [anon_sym_module] = ACTIONS(1129),
    [anon_sym_static] = ACTIONS(1129),
    [anon_sym_with] = ACTIONS(1129),
    [anon_sym_package] = ACTIONS(1129),
    [anon_sym_import] = ACTIONS(1129),
    [anon_sym_enum] = ACTIONS(1129),
    [anon_sym_public] = ACTIONS(1129),
    [anon_sym_protected] = ACTIONS(1129),
    [anon_sym_private] = ACTIONS(1129),
    [anon_sym_abstract] = ACTIONS(1129),
    [anon_sym_strictfp] = ACTIONS(1129),
    [anon_sym_native] = ACTIONS(1129),
    [anon_sym_transient] = ACTIONS(1129),
    [anon_sym_volatile] = ACTIONS(1129),
    [anon_sym_sealed] = ACTIONS(1129),
    [anon_sym_non_DASHsealed] = ACTIONS(1127),
    [anon_sym_record] = ACTIONS(1129),
    [anon_sym_ATinterface] = ACTIONS(1127),
    [anon_sym_interface] = ACTIONS(1129),
    [anon_sym_byte] = ACTIONS(1129),
    [anon_sym_short] = ACTIONS(1129),
    [anon_sym_int] = ACTIONS(1129),
    [anon_sym_long] = ACTIONS(1129),
    [anon_sym_char] = ACTIONS(1129),
    [anon_sym_float] = ACTIONS(1129),
    [anon_sym_double] = ACTIONS(1129),
    [sym_boolean_type] = ACTIONS(1129),
    [sym_void_type] = ACTIONS(1129),
    [sym_this] = ACTIONS(1129),
    [sym_super] = ACTIONS(1129),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1131),
    [sym_identifier] = ACTIONS(1133),
    [sym_decimal_integer_literal] = ACTIONS(1133),
    [sym_hex_integer_literal] = ACTIONS(1133),
    [sym_octal_integer_literal] = ACTIONS(1133),
    [sym_binary_integer_literal] = ACTIONS(1131),
    [sym_decimal_floating_point_literal] = ACTIONS(1131),
    [sym_hex_floating_point_literal] = ACTIONS(1133),
    [sym_true] = ACTIONS(1133),
    [sym_false] = ACTIONS(1133),
    [sym_character_literal] = ACTIONS(1131),
    [anon_sym_DQUOTE] = ACTIONS(1133),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1131),
    [anon_sym_RBRACE] = ACTIONS(1131),
    [sym_null_literal] = ACTIONS(1133),
    [anon_sym_LPAREN] = ACTIONS(1131),
    [anon_sym_LT] = ACTIONS(1131),
    [anon_sym_PLUS] = ACTIONS(1133),
    [anon_sym_DASH] = ACTIONS(1133),
    [anon_sym_final] = ACTIONS(1133),
    [anon_sym_BANG] = ACTIONS(1131),
    [anon_sym_TILDE] = ACTIONS(1131),
    [anon_sym_PLUS_PLUS] = ACTIONS(1131),
    [anon_sym_DASH_DASH] = ACTIONS(1131),
    [anon_sym_new] = ACTIONS(1133),
    [anon_sym_class] = ACTIONS(1133),
    [anon_sym_switch] = ACTIONS(1133),
    [anon_sym_LBRACE] = ACTIONS(1131),
    [anon_sym_case] = ACTIONS(1133),
    [anon_sym_default] = ACTIONS(1133),
    [anon_sym_SEMI] = ACTIONS(1131),
    [anon_sym_assert] = ACTIONS(1133),
    [anon_sym_do] = ACTIONS(1133),
    [anon_sym_while] = ACTIONS(1133),
    [anon_sym_break] = ACTIONS(1133),
    [anon_sym_continue] = ACTIONS(1133),
    [anon_sym_return] = ACTIONS(1133),
    [anon_sym_yield] = ACTIONS(1133),
    [anon_sym_synchronized] = ACTIONS(1133),
    [anon_sym_throw] = ACTIONS(1133),
    [anon_sym_try] = ACTIONS(1133),
    [anon_sym_if] = ACTIONS(1133),
    [anon_sym_else] = ACTIONS(1133),
    [anon_sym_for] = ACTIONS(1133),
    [anon_sym_AT] = ACTIONS(1133),
    [anon_sym_open] = ACTIONS(1133),
    [anon_sym_module] = ACTIONS(1133),
    [anon_sym_static] = ACTIONS(1133),
    [anon_sym_with] = ACTIONS(1133),
    [anon_sym_package] = ACTIONS(1133),
    [anon_sym_import] = ACTIONS(1133),
    [anon_sym_enum] = ACTIONS(1133),
    [anon_sym_public] = ACTIONS(1133),
    [anon_sym_protected] = ACTIONS(1133),
    [anon_sym_private] = ACTIONS(1133),
    [anon_sym_abstract] = ACTIONS(1133),
    [anon_sym_strictfp] = ACTIONS(1133),
    [anon_sym_native] = ACTIONS(1133),
    [anon_sym_transient] = ACTIONS(1133),
    [anon_sym_volatile] = ACTIONS(1133),
    [anon_sym_sealed] = ACTIONS(1133),
    [anon_sym_non_DASHsealed] = ACTIONS(1131),
    [anon_sym_record] = ACTIONS(1133),
    [anon_sym_ATinterface] = ACTIONS(1131),
    [anon_sym_interface] = ACTIONS(1133),
    [anon_sym_byte] = ACTIONS(1133),
    [anon_sym_short] = ACTIONS(1133),
    [anon_sym_int] = ACTIONS(1133),
    [anon_sym_long] = ACTIONS(1133),
    [anon_sym_char] = ACTIONS(1133),
    [anon_sym_float] = ACTIONS(1133),
    [anon_sym_double] = ACTIONS(1133),
    [sym_boolean_type] = ACTIONS(1133),
    [sym_void_type] = ACTIONS(1133),
    [sym_this] = ACTIONS(1133),
    [sym_super] = ACTIONS(1133),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1135),
    [sym_identifier] = ACTIONS(1137),
    [sym_decimal_integer_literal] = ACTIONS(1137),
    [sym_hex_integer_literal] = ACTIONS(1137),
    [sym_octal_integer_literal] = ACTIONS(1137),
    [sym_binary_integer_literal] = ACTIONS(1135),
    [sym_decimal_floating_point_literal] = ACTIONS(1135),
    [sym_hex_floating_point_literal] = ACTIONS(1137),
    [sym_true] = ACTIONS(1137),
    [sym_false] = ACTIONS(1137),
    [sym_character_literal] = ACTIONS(1135),
    [anon_sym_DQUOTE] = ACTIONS(1137),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1135),
    [anon_sym_RBRACE] = ACTIONS(1135),
    [sym_null_literal] = ACTIONS(1137),
    [anon_sym_LPAREN] = ACTIONS(1135),
    [anon_sym_LT] = ACTIONS(1135),
    [anon_sym_PLUS] = ACTIONS(1137),
    [anon_sym_DASH] = ACTIONS(1137),
    [anon_sym_final] = ACTIONS(1137),
    [anon_sym_BANG] = ACTIONS(1135),
    [anon_sym_TILDE] = ACTIONS(1135),
    [anon_sym_PLUS_PLUS] = ACTIONS(1135),
    [anon_sym_DASH_DASH] = ACTIONS(1135),
    [anon_sym_new] = ACTIONS(1137),
    [anon_sym_class] = ACTIONS(1137),
    [anon_sym_switch] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1135),
    [anon_sym_case] = ACTIONS(1137),
    [anon_sym_default] = ACTIONS(1137),
    [anon_sym_SEMI] = ACTIONS(1135),
    [anon_sym_assert] = ACTIONS(1137),
    [anon_sym_do] = ACTIONS(1137),
    [anon_sym_while] = ACTIONS(1137),
    [anon_sym_break] = ACTIONS(1137),
    [anon_sym_continue] = ACTIONS(1137),
    [anon_sym_return] = ACTIONS(1137),
    [anon_sym_yield] = ACTIONS(1137),
    [anon_sym_synchronized] = ACTIONS(1137),
    [anon_sym_throw] = ACTIONS(1137),
    [anon_sym_try] = ACTIONS(1137),
    [anon_sym_if] = ACTIONS(1137),
    [anon_sym_else] = ACTIONS(1137),
    [anon_sym_for] = ACTIONS(1137),
    [anon_sym_AT] = ACTIONS(1137),
    [anon_sym_open] = ACTIONS(1137),
    [anon_sym_module] = ACTIONS(1137),
    [anon_sym_static] = ACTIONS(1137),
    [anon_sym_with] = ACTIONS(1137),
    [anon_sym_package] = ACTIONS(1137),
    [anon_sym_import] = ACTIONS(1137),
    [anon_sym_enum] = ACTIONS(1137),
    [anon_sym_public] = ACTIONS(1137),
    [anon_sym_protected] = ACTIONS(1137),
    [anon_sym_private] = ACTIONS(1137),
    [anon_sym_abstract] = ACTIONS(1137),
    [anon_sym_strictfp] = ACTIONS(1137),
    [anon_sym_native] = ACTIONS(1137),
    [anon_sym_transient] = ACTIONS(1137),
    [anon_sym_volatile] = ACTIONS(1137),
    [anon_sym_sealed] = ACTIONS(1137),
    [anon_sym_non_DASHsealed] = ACTIONS(1135),
    [anon_sym_record] = ACTIONS(1137),
    [anon_sym_ATinterface] = ACTIONS(1135),
    [anon_sym_interface] = ACTIONS(1137),
    [anon_sym_byte] = ACTIONS(1137),
    [anon_sym_short] = ACTIONS(1137),
    [anon_sym_int] = ACTIONS(1137),
    [anon_sym_long] = ACTIONS(1137),
    [anon_sym_char] = ACTIONS(1137),
    [anon_sym_float] = ACTIONS(1137),
    [anon_sym_double] = ACTIONS(1137),
    [sym_boolean_type] = ACTIONS(1137),
    [sym_void_type] = ACTIONS(1137),
    [sym_this] = ACTIONS(1137),
    [sym_super] = ACTIONS(1137),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1139),
    [sym_identifier] = ACTIONS(1141),
    [sym_decimal_integer_literal] = ACTIONS(1141),
    [sym_hex_integer_literal] = ACTIONS(1141),
    [sym_octal_integer_literal] = ACTIONS(1141),
    [sym_binary_integer_literal] = ACTIONS(1139),
    [sym_decimal_floating_point_literal] = ACTIONS(1139),
    [sym_hex_floating_point_literal] = ACTIONS(1141),
    [sym_true] = ACTIONS(1141),
    [sym_false] = ACTIONS(1141),
    [sym_character_literal] = ACTIONS(1139),
    [anon_sym_DQUOTE] = ACTIONS(1141),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1139),
    [anon_sym_RBRACE] = ACTIONS(1139),
    [sym_null_literal] = ACTIONS(1141),
    [anon_sym_LPAREN] = ACTIONS(1139),
    [anon_sym_LT] = ACTIONS(1139),
    [anon_sym_PLUS] = ACTIONS(1141),
    [anon_sym_DASH] = ACTIONS(1141),
    [anon_sym_final] = ACTIONS(1141),
    [anon_sym_BANG] = ACTIONS(1139),
    [anon_sym_TILDE] = ACTIONS(1139),
    [anon_sym_PLUS_PLUS] = ACTIONS(1139),
    [anon_sym_DASH_DASH] = ACTIONS(1139),
    [anon_sym_new] = ACTIONS(1141),
    [anon_sym_class] = ACTIONS(1141),
    [anon_sym_switch] = ACTIONS(1141),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_case] = ACTIONS(1141),
    [anon_sym_default] = ACTIONS(1141),
    [anon_sym_SEMI] = ACTIONS(1139),
    [anon_sym_assert] = ACTIONS(1141),
    [anon_sym_do] = ACTIONS(1141),
    [anon_sym_while] = ACTIONS(1141),
    [anon_sym_break] = ACTIONS(1141),
    [anon_sym_continue] = ACTIONS(1141),
    [anon_sym_return] = ACTIONS(1141),
    [anon_sym_yield] = ACTIONS(1141),
    [anon_sym_synchronized] = ACTIONS(1141),
    [anon_sym_throw] = ACTIONS(1141),
    [anon_sym_try] = ACTIONS(1141),
    [anon_sym_if] = ACTIONS(1141),
    [anon_sym_else] = ACTIONS(1141),
    [anon_sym_for] = ACTIONS(1141),
    [anon_sym_AT] = ACTIONS(1141),
    [anon_sym_open] = ACTIONS(1141),
    [anon_sym_module] = ACTIONS(1141),
    [anon_sym_static] = ACTIONS(1141),
    [anon_sym_with] = ACTIONS(1141),
    [anon_sym_package] = ACTIONS(1141),
    [anon_sym_import] = ACTIONS(1141),
    [anon_sym_enum] = ACTIONS(1141),
    [anon_sym_public] = ACTIONS(1141),
    [anon_sym_protected] = ACTIONS(1141),
    [anon_sym_private] = ACTIONS(1141),
    [anon_sym_abstract] = ACTIONS(1141),
    [anon_sym_strictfp] = ACTIONS(1141),
    [anon_sym_native] = ACTIONS(1141),
    [anon_sym_transient] = ACTIONS(1141),
    [anon_sym_volatile] = ACTIONS(1141),
    [anon_sym_sealed] = ACTIONS(1141),
    [anon_sym_non_DASHsealed] = ACTIONS(1139),
    [anon_sym_record] = ACTIONS(1141),
    [anon_sym_ATinterface] = ACTIONS(1139),
    [anon_sym_interface] = ACTIONS(1141),
    [anon_sym_byte] = ACTIONS(1141),
    [anon_sym_short] = ACTIONS(1141),
    [anon_sym_int] = ACTIONS(1141),
    [anon_sym_long] = ACTIONS(1141),
    [anon_sym_char] = ACTIONS(1141),
    [anon_sym_float] = ACTIONS(1141),
    [anon_sym_double] = ACTIONS(1141),
    [sym_boolean_type] = ACTIONS(1141),
    [sym_void_type] = ACTIONS(1141),
    [sym_this] = ACTIONS(1141),
    [sym_super] = ACTIONS(1141),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1143),
    [sym_identifier] = ACTIONS(1145),
    [sym_decimal_integer_literal] = ACTIONS(1145),
    [sym_hex_integer_literal] = ACTIONS(1145),
    [sym_octal_integer_literal] = ACTIONS(1145),
    [sym_binary_integer_literal] = ACTIONS(1143),
    [sym_decimal_floating_point_literal] = ACTIONS(1143),
    [sym_hex_floating_point_literal] = ACTIONS(1145),
    [sym_true] = ACTIONS(1145),
    [sym_false] = ACTIONS(1145),
    [sym_character_literal] = ACTIONS(1143),
    [anon_sym_DQUOTE] = ACTIONS(1145),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1143),
    [anon_sym_RBRACE] = ACTIONS(1143),
    [sym_null_literal] = ACTIONS(1145),
    [anon_sym_LPAREN] = ACTIONS(1143),
    [anon_sym_LT] = ACTIONS(1143),
    [anon_sym_PLUS] = ACTIONS(1145),
    [anon_sym_DASH] = ACTIONS(1145),
    [anon_sym_final] = ACTIONS(1145),
    [anon_sym_BANG] = ACTIONS(1143),
    [anon_sym_TILDE] = ACTIONS(1143),
    [anon_sym_PLUS_PLUS] = ACTIONS(1143),
    [anon_sym_DASH_DASH] = ACTIONS(1143),
    [anon_sym_new] = ACTIONS(1145),
    [anon_sym_class] = ACTIONS(1145),
    [anon_sym_switch] = ACTIONS(1145),
    [anon_sym_LBRACE] = ACTIONS(1143),
    [anon_sym_case] = ACTIONS(1145),
    [anon_sym_default] = ACTIONS(1145),
    [anon_sym_SEMI] = ACTIONS(1143),
    [anon_sym_assert] = ACTIONS(1145),
    [anon_sym_do] = ACTIONS(1145),
    [anon_sym_while] = ACTIONS(1145),
    [anon_sym_break] = ACTIONS(1145),
    [anon_sym_continue] = ACTIONS(1145),
    [anon_sym_return] = ACTIONS(1145),
    [anon_sym_yield] = ACTIONS(1145),
    [anon_sym_synchronized] = ACTIONS(1145),
    [anon_sym_throw] = ACTIONS(1145),
    [anon_sym_try] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(1145),
    [anon_sym_for] = ACTIONS(1145),
    [anon_sym_AT] = ACTIONS(1145),
    [anon_sym_open] = ACTIONS(1145),
    [anon_sym_module] = ACTIONS(1145),
    [anon_sym_static] = ACTIONS(1145),
    [anon_sym_with] = ACTIONS(1145),
    [anon_sym_package] = ACTIONS(1145),
    [anon_sym_import] = ACTIONS(1145),
    [anon_sym_enum] = ACTIONS(1145),
    [anon_sym_public] = ACTIONS(1145),
    [anon_sym_protected] = ACTIONS(1145),
    [anon_sym_private] = ACTIONS(1145),
    [anon_sym_abstract] = ACTIONS(1145),
    [anon_sym_strictfp] = ACTIONS(1145),
    [anon_sym_native] = ACTIONS(1145),
    [anon_sym_transient] = ACTIONS(1145),
    [anon_sym_volatile] = ACTIONS(1145),
    [anon_sym_sealed] = ACTIONS(1145),
    [anon_sym_non_DASHsealed] = ACTIONS(1143),
    [anon_sym_record] = ACTIONS(1145),
    [anon_sym_ATinterface] = ACTIONS(1143),
    [anon_sym_interface] = ACTIONS(1145),
    [anon_sym_byte] = ACTIONS(1145),
    [anon_sym_short] = ACTIONS(1145),
    [anon_sym_int] = ACTIONS(1145),
    [anon_sym_long] = ACTIONS(1145),
    [anon_sym_char] = ACTIONS(1145),
    [anon_sym_float] = ACTIONS(1145),
    [anon_sym_double] = ACTIONS(1145),
    [sym_boolean_type] = ACTIONS(1145),
    [sym_void_type] = ACTIONS(1145),
    [sym_this] = ACTIONS(1145),
    [sym_super] = ACTIONS(1145),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1147),
    [sym_identifier] = ACTIONS(1149),
    [sym_decimal_integer_literal] = ACTIONS(1149),
    [sym_hex_integer_literal] = ACTIONS(1149),
    [sym_octal_integer_literal] = ACTIONS(1149),
    [sym_binary_integer_literal] = ACTIONS(1147),
    [sym_decimal_floating_point_literal] = ACTIONS(1147),
    [sym_hex_floating_point_literal] = ACTIONS(1149),
    [sym_true] = ACTIONS(1149),
    [sym_false] = ACTIONS(1149),
    [sym_character_literal] = ACTIONS(1147),
    [anon_sym_DQUOTE] = ACTIONS(1149),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1147),
    [anon_sym_RBRACE] = ACTIONS(1147),
    [sym_null_literal] = ACTIONS(1149),
    [anon_sym_LPAREN] = ACTIONS(1147),
    [anon_sym_LT] = ACTIONS(1147),
    [anon_sym_PLUS] = ACTIONS(1149),
    [anon_sym_DASH] = ACTIONS(1149),
    [anon_sym_final] = ACTIONS(1149),
    [anon_sym_BANG] = ACTIONS(1147),
    [anon_sym_TILDE] = ACTIONS(1147),
    [anon_sym_PLUS_PLUS] = ACTIONS(1147),
    [anon_sym_DASH_DASH] = ACTIONS(1147),
    [anon_sym_new] = ACTIONS(1149),
    [anon_sym_class] = ACTIONS(1149),
    [anon_sym_switch] = ACTIONS(1149),
    [anon_sym_LBRACE] = ACTIONS(1147),
    [anon_sym_case] = ACTIONS(1149),
    [anon_sym_default] = ACTIONS(1149),
    [anon_sym_SEMI] = ACTIONS(1147),
    [anon_sym_assert] = ACTIONS(1149),
    [anon_sym_do] = ACTIONS(1149),
    [anon_sym_while] = ACTIONS(1149),
    [anon_sym_break] = ACTIONS(1149),
    [anon_sym_continue] = ACTIONS(1149),
    [anon_sym_return] = ACTIONS(1149),
    [anon_sym_yield] = ACTIONS(1149),
    [anon_sym_synchronized] = ACTIONS(1149),
    [anon_sym_throw] = ACTIONS(1149),
    [anon_sym_try] = ACTIONS(1149),
    [anon_sym_if] = ACTIONS(1149),
    [anon_sym_else] = ACTIONS(1149),
    [anon_sym_for] = ACTIONS(1149),
    [anon_sym_AT] = ACTIONS(1149),
    [anon_sym_open] = ACTIONS(1149),
    [anon_sym_module] = ACTIONS(1149),
    [anon_sym_static] = ACTIONS(1149),
    [anon_sym_with] = ACTIONS(1149),
    [anon_sym_package] = ACTIONS(1149),
    [anon_sym_import] = ACTIONS(1149),
    [anon_sym_enum] = ACTIONS(1149),
    [anon_sym_public] = ACTIONS(1149),
    [anon_sym_protected] = ACTIONS(1149),
    [anon_sym_private] = ACTIONS(1149),
    [anon_sym_abstract] = ACTIONS(1149),
    [anon_sym_strictfp] = ACTIONS(1149),
    [anon_sym_native] = ACTIONS(1149),
    [anon_sym_transient] = ACTIONS(1149),
    [anon_sym_volatile] = ACTIONS(1149),
    [anon_sym_sealed] = ACTIONS(1149),
    [anon_sym_non_DASHsealed] = ACTIONS(1147),
    [anon_sym_record] = ACTIONS(1149),
    [anon_sym_ATinterface] = ACTIONS(1147),
    [anon_sym_interface] = ACTIONS(1149),
    [anon_sym_byte] = ACTIONS(1149),
    [anon_sym_short] = ACTIONS(1149),
    [anon_sym_int] = ACTIONS(1149),
    [anon_sym_long] = ACTIONS(1149),
    [anon_sym_char] = ACTIONS(1149),
    [anon_sym_float] = ACTIONS(1149),
    [anon_sym_double] = ACTIONS(1149),
    [sym_boolean_type] = ACTIONS(1149),
    [sym_void_type] = ACTIONS(1149),
    [sym_this] = ACTIONS(1149),
    [sym_super] = ACTIONS(1149),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1151),
    [sym_identifier] = ACTIONS(1153),
    [sym_decimal_integer_literal] = ACTIONS(1153),
    [sym_hex_integer_literal] = ACTIONS(1153),
    [sym_octal_integer_literal] = ACTIONS(1153),
    [sym_binary_integer_literal] = ACTIONS(1151),
    [sym_decimal_floating_point_literal] = ACTIONS(1151),
    [sym_hex_floating_point_literal] = ACTIONS(1153),
    [sym_true] = ACTIONS(1153),
    [sym_false] = ACTIONS(1153),
    [sym_character_literal] = ACTIONS(1151),
    [anon_sym_DQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1151),
    [anon_sym_RBRACE] = ACTIONS(1151),
    [sym_null_literal] = ACTIONS(1153),
    [anon_sym_LPAREN] = ACTIONS(1151),
    [anon_sym_LT] = ACTIONS(1151),
    [anon_sym_PLUS] = ACTIONS(1153),
    [anon_sym_DASH] = ACTIONS(1153),
    [anon_sym_final] = ACTIONS(1153),
    [anon_sym_BANG] = ACTIONS(1151),
    [anon_sym_TILDE] = ACTIONS(1151),
    [anon_sym_PLUS_PLUS] = ACTIONS(1151),
    [anon_sym_DASH_DASH] = ACTIONS(1151),
    [anon_sym_new] = ACTIONS(1153),
    [anon_sym_class] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1153),
    [anon_sym_LBRACE] = ACTIONS(1151),
    [anon_sym_case] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1153),
    [anon_sym_SEMI] = ACTIONS(1151),
    [anon_sym_assert] = ACTIONS(1153),
    [anon_sym_do] = ACTIONS(1153),
    [anon_sym_while] = ACTIONS(1153),
    [anon_sym_break] = ACTIONS(1153),
    [anon_sym_continue] = ACTIONS(1153),
    [anon_sym_return] = ACTIONS(1153),
    [anon_sym_yield] = ACTIONS(1153),
    [anon_sym_synchronized] = ACTIONS(1153),
    [anon_sym_throw] = ACTIONS(1153),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_if] = ACTIONS(1153),
    [anon_sym_else] = ACTIONS(1153),
    [anon_sym_for] = ACTIONS(1153),
    [anon_sym_AT] = ACTIONS(1153),
    [anon_sym_open] = ACTIONS(1153),
    [anon_sym_module] = ACTIONS(1153),
    [anon_sym_static] = ACTIONS(1153),
    [anon_sym_with] = ACTIONS(1153),
    [anon_sym_package] = ACTIONS(1153),
    [anon_sym_import] = ACTIONS(1153),
    [anon_sym_enum] = ACTIONS(1153),
    [anon_sym_public] = ACTIONS(1153),
    [anon_sym_protected] = ACTIONS(1153),
    [anon_sym_private] = ACTIONS(1153),
    [anon_sym_abstract] = ACTIONS(1153),
    [anon_sym_strictfp] = ACTIONS(1153),
    [anon_sym_native] = ACTIONS(1153),
    [anon_sym_transient] = ACTIONS(1153),
    [anon_sym_volatile] = ACTIONS(1153),
    [anon_sym_sealed] = ACTIONS(1153),
    [anon_sym_non_DASHsealed] = ACTIONS(1151),
    [anon_sym_record] = ACTIONS(1153),
    [anon_sym_ATinterface] = ACTIONS(1151),
    [anon_sym_interface] = ACTIONS(1153),
    [anon_sym_byte] = ACTIONS(1153),
    [anon_sym_short] = ACTIONS(1153),
    [anon_sym_int] = ACTIONS(1153),
    [anon_sym_long] = ACTIONS(1153),
    [anon_sym_char] = ACTIONS(1153),
    [anon_sym_float] = ACTIONS(1153),
    [anon_sym_double] = ACTIONS(1153),
    [sym_boolean_type] = ACTIONS(1153),
    [sym_void_type] = ACTIONS(1153),
    [sym_this] = ACTIONS(1153),
    [sym_super] = ACTIONS(1153),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(1155),
    [sym_identifier] = ACTIONS(1157),
    [sym_decimal_integer_literal] = ACTIONS(1157),
    [sym_hex_integer_literal] = ACTIONS(1157),
    [sym_octal_integer_literal] = ACTIONS(1157),
    [sym_binary_integer_literal] = ACTIONS(1155),
    [sym_decimal_floating_point_literal] = ACTIONS(1155),
    [sym_hex_floating_point_literal] = ACTIONS(1157),
    [sym_true] = ACTIONS(1157),
    [sym_false] = ACTIONS(1157),
    [sym_character_literal] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1155),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [sym_null_literal] = ACTIONS(1157),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1157),
    [anon_sym_DASH] = ACTIONS(1157),
    [anon_sym_final] = ACTIONS(1157),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_PLUS_PLUS] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_new] = ACTIONS(1157),
    [anon_sym_class] = ACTIONS(1157),
    [anon_sym_switch] = ACTIONS(1157),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1157),
    [anon_sym_SEMI] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(1157),
    [anon_sym_do] = ACTIONS(1157),
    [anon_sym_while] = ACTIONS(1157),
    [anon_sym_break] = ACTIONS(1157),
    [anon_sym_continue] = ACTIONS(1157),
    [anon_sym_return] = ACTIONS(1157),
    [anon_sym_yield] = ACTIONS(1157),
    [anon_sym_synchronized] = ACTIONS(1157),
    [anon_sym_throw] = ACTIONS(1157),
    [anon_sym_try] = ACTIONS(1157),
    [anon_sym_if] = ACTIONS(1157),
    [anon_sym_else] = ACTIONS(1157),
    [anon_sym_for] = ACTIONS(1157),
    [anon_sym_AT] = ACTIONS(1157),
    [anon_sym_open] = ACTIONS(1157),
    [anon_sym_module] = ACTIONS(1157),
    [anon_sym_static] = ACTIONS(1157),
    [anon_sym_with] = ACTIONS(1157),
    [anon_sym_package] = ACTIONS(1157),
    [anon_sym_import] = ACTIONS(1157),
    [anon_sym_enum] = ACTIONS(1157),
    [anon_sym_public] = ACTIONS(1157),
    [anon_sym_protected] = ACTIONS(1157),
    [anon_sym_private] = ACTIONS(1157),
    [anon_sym_abstract] = ACTIONS(1157),
    [anon_sym_strictfp] = ACTIONS(1157),
    [anon_sym_native] = ACTIONS(1157),
    [anon_sym_transient] = ACTIONS(1157),
    [anon_sym_volatile] = ACTIONS(1157),
    [anon_sym_sealed] = ACTIONS(1157),
    [anon_sym_non_DASHsealed] = ACTIONS(1155),
    [anon_sym_record] = ACTIONS(1157),
    [anon_sym_ATinterface] = ACTIONS(1155),
    [anon_sym_interface] = ACTIONS(1157),
    [anon_sym_byte] = ACTIONS(1157),
    [anon_sym_short] = ACTIONS(1157),
    [anon_sym_int] = ACTIONS(1157),
    [anon_sym_long] = ACTIONS(1157),
    [anon_sym_char] = ACTIONS(1157),
    [anon_sym_float] = ACTIONS(1157),
    [anon_sym_double] = ACTIONS(1157),
    [sym_boolean_type] = ACTIONS(1157),
    [sym_void_type] = ACTIONS(1157),
    [sym_this] = ACTIONS(1157),
    [sym_super] = ACTIONS(1157),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(1159),
    [sym_identifier] = ACTIONS(1161),
    [sym_decimal_integer_literal] = ACTIONS(1161),
    [sym_hex_integer_literal] = ACTIONS(1161),
    [sym_octal_integer_literal] = ACTIONS(1161),
    [sym_binary_integer_literal] = ACTIONS(1159),
    [sym_decimal_floating_point_literal] = ACTIONS(1159),
    [sym_hex_floating_point_literal] = ACTIONS(1161),
    [sym_true] = ACTIONS(1161),
    [sym_false] = ACTIONS(1161),
    [sym_character_literal] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [sym_null_literal] = ACTIONS(1161),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1161),
    [anon_sym_DASH] = ACTIONS(1161),
    [anon_sym_final] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1161),
    [anon_sym_class] = ACTIONS(1161),
    [anon_sym_switch] = ACTIONS(1161),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1161),
    [anon_sym_default] = ACTIONS(1161),
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_assert] = ACTIONS(1161),
    [anon_sym_do] = ACTIONS(1161),
    [anon_sym_while] = ACTIONS(1161),
    [anon_sym_break] = ACTIONS(1161),
    [anon_sym_continue] = ACTIONS(1161),
    [anon_sym_return] = ACTIONS(1161),
    [anon_sym_yield] = ACTIONS(1161),
    [anon_sym_synchronized] = ACTIONS(1161),
    [anon_sym_throw] = ACTIONS(1161),
    [anon_sym_try] = ACTIONS(1161),
    [anon_sym_if] = ACTIONS(1161),
    [anon_sym_else] = ACTIONS(1161),
    [anon_sym_for] = ACTIONS(1161),
    [anon_sym_AT] = ACTIONS(1161),
    [anon_sym_open] = ACTIONS(1161),
    [anon_sym_module] = ACTIONS(1161),
    [anon_sym_static] = ACTIONS(1161),
    [anon_sym_with] = ACTIONS(1161),
    [anon_sym_package] = ACTIONS(1161),
    [anon_sym_import] = ACTIONS(1161),
    [anon_sym_enum] = ACTIONS(1161),
    [anon_sym_public] = ACTIONS(1161),
    [anon_sym_protected] = ACTIONS(1161),
    [anon_sym_private] = ACTIONS(1161),
    [anon_sym_abstract] = ACTIONS(1161),
    [anon_sym_strictfp] = ACTIONS(1161),
    [anon_sym_native] = ACTIONS(1161),
    [anon_sym_transient] = ACTIONS(1161),
    [anon_sym_volatile] = ACTIONS(1161),
    [anon_sym_sealed] = ACTIONS(1161),
    [anon_sym_non_DASHsealed] = ACTIONS(1159),
    [anon_sym_record] = ACTIONS(1161),
    [anon_sym_ATinterface] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1161),
    [anon_sym_byte] = ACTIONS(1161),
    [anon_sym_short] = ACTIONS(1161),
    [anon_sym_int] = ACTIONS(1161),
    [anon_sym_long] = ACTIONS(1161),
    [anon_sym_char] = ACTIONS(1161),
    [anon_sym_float] = ACTIONS(1161),
    [anon_sym_double] = ACTIONS(1161),
    [sym_boolean_type] = ACTIONS(1161),
    [sym_void_type] = ACTIONS(1161),
    [sym_this] = ACTIONS(1161),
    [sym_super] = ACTIONS(1161),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(1163),
    [sym_identifier] = ACTIONS(1165),
    [sym_decimal_integer_literal] = ACTIONS(1165),
    [sym_hex_integer_literal] = ACTIONS(1165),
    [sym_octal_integer_literal] = ACTIONS(1165),
    [sym_binary_integer_literal] = ACTIONS(1163),
    [sym_decimal_floating_point_literal] = ACTIONS(1163),
    [sym_hex_floating_point_literal] = ACTIONS(1165),
    [sym_true] = ACTIONS(1165),
    [sym_false] = ACTIONS(1165),
    [sym_character_literal] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [sym_null_literal] = ACTIONS(1165),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1165),
    [anon_sym_DASH] = ACTIONS(1165),
    [anon_sym_final] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_new] = ACTIONS(1165),
    [anon_sym_class] = ACTIONS(1165),
    [anon_sym_switch] = ACTIONS(1165),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1165),
    [anon_sym_default] = ACTIONS(1165),
    [anon_sym_SEMI] = ACTIONS(1163),
    [anon_sym_assert] = ACTIONS(1165),
    [anon_sym_do] = ACTIONS(1165),
    [anon_sym_while] = ACTIONS(1165),
    [anon_sym_break] = ACTIONS(1165),
    [anon_sym_continue] = ACTIONS(1165),
    [anon_sym_return] = ACTIONS(1165),
    [anon_sym_yield] = ACTIONS(1165),
    [anon_sym_synchronized] = ACTIONS(1165),
    [anon_sym_throw] = ACTIONS(1165),
    [anon_sym_try] = ACTIONS(1165),
    [anon_sym_if] = ACTIONS(1165),
    [anon_sym_else] = ACTIONS(1165),
    [anon_sym_for] = ACTIONS(1165),
    [anon_sym_AT] = ACTIONS(1165),
    [anon_sym_open] = ACTIONS(1165),
    [anon_sym_module] = ACTIONS(1165),
    [anon_sym_static] = ACTIONS(1165),
    [anon_sym_with] = ACTIONS(1165),
    [anon_sym_package] = ACTIONS(1165),
    [anon_sym_import] = ACTIONS(1165),
    [anon_sym_enum] = ACTIONS(1165),
    [anon_sym_public] = ACTIONS(1165),
    [anon_sym_protected] = ACTIONS(1165),
    [anon_sym_private] = ACTIONS(1165),
    [anon_sym_abstract] = ACTIONS(1165),
    [anon_sym_strictfp] = ACTIONS(1165),
    [anon_sym_native] = ACTIONS(1165),
    [anon_sym_transient] = ACTIONS(1165),
    [anon_sym_volatile] = ACTIONS(1165),
    [anon_sym_sealed] = ACTIONS(1165),
    [anon_sym_non_DASHsealed] = ACTIONS(1163),
    [anon_sym_record] = ACTIONS(1165),
    [anon_sym_ATinterface] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1165),
    [anon_sym_byte] = ACTIONS(1165),
    [anon_sym_short] = ACTIONS(1165),
    [anon_sym_int] = ACTIONS(1165),
    [anon_sym_long] = ACTIONS(1165),
    [anon_sym_char] = ACTIONS(1165),
    [anon_sym_float] = ACTIONS(1165),
    [anon_sym_double] = ACTIONS(1165),
    [sym_boolean_type] = ACTIONS(1165),
    [sym_void_type] = ACTIONS(1165),
    [sym_this] = ACTIONS(1165),
    [sym_super] = ACTIONS(1165),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(1167),
    [sym_identifier] = ACTIONS(1169),
    [sym_decimal_integer_literal] = ACTIONS(1169),
    [sym_hex_integer_literal] = ACTIONS(1169),
    [sym_octal_integer_literal] = ACTIONS(1169),
    [sym_binary_integer_literal] = ACTIONS(1167),
    [sym_decimal_floating_point_literal] = ACTIONS(1167),
    [sym_hex_floating_point_literal] = ACTIONS(1169),
    [sym_true] = ACTIONS(1169),
    [sym_false] = ACTIONS(1169),
    [sym_character_literal] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [sym_null_literal] = ACTIONS(1169),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1169),
    [anon_sym_DASH] = ACTIONS(1169),
    [anon_sym_final] = ACTIONS(1169),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1169),
    [anon_sym_class] = ACTIONS(1169),
    [anon_sym_switch] = ACTIONS(1169),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1169),
    [anon_sym_SEMI] = ACTIONS(1167),
    [anon_sym_assert] = ACTIONS(1169),
    [anon_sym_do] = ACTIONS(1169),
    [anon_sym_while] = ACTIONS(1169),
    [anon_sym_break] = ACTIONS(1169),
    [anon_sym_continue] = ACTIONS(1169),
    [anon_sym_return] = ACTIONS(1169),
    [anon_sym_yield] = ACTIONS(1169),
    [anon_sym_synchronized] = ACTIONS(1169),
    [anon_sym_throw] = ACTIONS(1169),
    [anon_sym_try] = ACTIONS(1169),
    [anon_sym_if] = ACTIONS(1169),
    [anon_sym_else] = ACTIONS(1169),
    [anon_sym_for] = ACTIONS(1169),
    [anon_sym_AT] = ACTIONS(1169),
    [anon_sym_open] = ACTIONS(1169),
    [anon_sym_module] = ACTIONS(1169),
    [anon_sym_static] = ACTIONS(1169),
    [anon_sym_with] = ACTIONS(1169),
    [anon_sym_package] = ACTIONS(1169),
    [anon_sym_import] = ACTIONS(1169),
    [anon_sym_enum] = ACTIONS(1169),
    [anon_sym_public] = ACTIONS(1169),
    [anon_sym_protected] = ACTIONS(1169),
    [anon_sym_private] = ACTIONS(1169),
    [anon_sym_abstract] = ACTIONS(1169),
    [anon_sym_strictfp] = ACTIONS(1169),
    [anon_sym_native] = ACTIONS(1169),
    [anon_sym_transient] = ACTIONS(1169),
    [anon_sym_volatile] = ACTIONS(1169),
    [anon_sym_sealed] = ACTIONS(1169),
    [anon_sym_non_DASHsealed] = ACTIONS(1167),
    [anon_sym_record] = ACTIONS(1169),
    [anon_sym_ATinterface] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1169),
    [anon_sym_byte] = ACTIONS(1169),
    [anon_sym_short] = ACTIONS(1169),
    [anon_sym_int] = ACTIONS(1169),
    [anon_sym_long] = ACTIONS(1169),
    [anon_sym_char] = ACTIONS(1169),
    [anon_sym_float] = ACTIONS(1169),
    [anon_sym_double] = ACTIONS(1169),
    [sym_boolean_type] = ACTIONS(1169),
    [sym_void_type] = ACTIONS(1169),
    [sym_this] = ACTIONS(1169),
    [sym_super] = ACTIONS(1169),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(1171),
    [sym_identifier] = ACTIONS(1173),
    [sym_decimal_integer_literal] = ACTIONS(1173),
    [sym_hex_integer_literal] = ACTIONS(1173),
    [sym_octal_integer_literal] = ACTIONS(1173),
    [sym_binary_integer_literal] = ACTIONS(1171),
    [sym_decimal_floating_point_literal] = ACTIONS(1171),
    [sym_hex_floating_point_literal] = ACTIONS(1173),
    [sym_true] = ACTIONS(1173),
    [sym_false] = ACTIONS(1173),
    [sym_character_literal] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1171),
    [anon_sym_RBRACE] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1173),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1173),
    [anon_sym_DASH] = ACTIONS(1173),
    [anon_sym_final] = ACTIONS(1173),
    [anon_sym_BANG] = ACTIONS(1171),
    [anon_sym_TILDE] = ACTIONS(1171),
    [anon_sym_PLUS_PLUS] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1171),
    [anon_sym_new] = ACTIONS(1173),
    [anon_sym_class] = ACTIONS(1173),
    [anon_sym_switch] = ACTIONS(1173),
    [anon_sym_LBRACE] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1173),
    [anon_sym_SEMI] = ACTIONS(1171),
    [anon_sym_assert] = ACTIONS(1173),
    [anon_sym_do] = ACTIONS(1173),
    [anon_sym_while] = ACTIONS(1173),
    [anon_sym_break] = ACTIONS(1173),
    [anon_sym_continue] = ACTIONS(1173),
    [anon_sym_return] = ACTIONS(1173),
    [anon_sym_yield] = ACTIONS(1173),
    [anon_sym_synchronized] = ACTIONS(1173),
    [anon_sym_throw] = ACTIONS(1173),
    [anon_sym_try] = ACTIONS(1173),
    [anon_sym_if] = ACTIONS(1173),
    [anon_sym_else] = ACTIONS(1173),
    [anon_sym_for] = ACTIONS(1173),
    [anon_sym_AT] = ACTIONS(1173),
    [anon_sym_open] = ACTIONS(1173),
    [anon_sym_module] = ACTIONS(1173),
    [anon_sym_static] = ACTIONS(1173),
    [anon_sym_with] = ACTIONS(1173),
    [anon_sym_package] = ACTIONS(1173),
    [anon_sym_import] = ACTIONS(1173),
    [anon_sym_enum] = ACTIONS(1173),
    [anon_sym_public] = ACTIONS(1173),
    [anon_sym_protected] = ACTIONS(1173),
    [anon_sym_private] = ACTIONS(1173),
    [anon_sym_abstract] = ACTIONS(1173),
    [anon_sym_strictfp] = ACTIONS(1173),
    [anon_sym_native] = ACTIONS(1173),
    [anon_sym_transient] = ACTIONS(1173),
    [anon_sym_volatile] = ACTIONS(1173),
    [anon_sym_sealed] = ACTIONS(1173),
    [anon_sym_non_DASHsealed] = ACTIONS(1171),
    [anon_sym_record] = ACTIONS(1173),
    [anon_sym_ATinterface] = ACTIONS(1171),
    [anon_sym_interface] = ACTIONS(1173),
    [anon_sym_byte] = ACTIONS(1173),
    [anon_sym_short] = ACTIONS(1173),
    [anon_sym_int] = ACTIONS(1173),
    [anon_sym_long] = ACTIONS(1173),
    [anon_sym_char] = ACTIONS(1173),
    [anon_sym_float] = ACTIONS(1173),
    [anon_sym_double] = ACTIONS(1173),
    [sym_boolean_type] = ACTIONS(1173),
    [sym_void_type] = ACTIONS(1173),
    [sym_this] = ACTIONS(1173),
    [sym_super] = ACTIONS(1173),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(1175),
    [sym_identifier] = ACTIONS(1177),
    [sym_decimal_integer_literal] = ACTIONS(1177),
    [sym_hex_integer_literal] = ACTIONS(1177),
    [sym_octal_integer_literal] = ACTIONS(1177),
    [sym_binary_integer_literal] = ACTIONS(1175),
    [sym_decimal_floating_point_literal] = ACTIONS(1175),
    [sym_hex_floating_point_literal] = ACTIONS(1177),
    [sym_true] = ACTIONS(1177),
    [sym_false] = ACTIONS(1177),
    [sym_character_literal] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1177),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1177),
    [anon_sym_DASH] = ACTIONS(1177),
    [anon_sym_final] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_new] = ACTIONS(1177),
    [anon_sym_class] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1177),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1177),
    [anon_sym_default] = ACTIONS(1177),
    [anon_sym_SEMI] = ACTIONS(1175),
    [anon_sym_assert] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1177),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_break] = ACTIONS(1177),
    [anon_sym_continue] = ACTIONS(1177),
    [anon_sym_return] = ACTIONS(1177),
    [anon_sym_yield] = ACTIONS(1177),
    [anon_sym_synchronized] = ACTIONS(1177),
    [anon_sym_throw] = ACTIONS(1177),
    [anon_sym_try] = ACTIONS(1177),
    [anon_sym_if] = ACTIONS(1177),
    [anon_sym_else] = ACTIONS(1177),
    [anon_sym_for] = ACTIONS(1177),
    [anon_sym_AT] = ACTIONS(1177),
    [anon_sym_open] = ACTIONS(1177),
    [anon_sym_module] = ACTIONS(1177),
    [anon_sym_static] = ACTIONS(1177),
    [anon_sym_with] = ACTIONS(1177),
    [anon_sym_package] = ACTIONS(1177),
    [anon_sym_import] = ACTIONS(1177),
    [anon_sym_enum] = ACTIONS(1177),
    [anon_sym_public] = ACTIONS(1177),
    [anon_sym_protected] = ACTIONS(1177),
    [anon_sym_private] = ACTIONS(1177),
    [anon_sym_abstract] = ACTIONS(1177),
    [anon_sym_strictfp] = ACTIONS(1177),
    [anon_sym_native] = ACTIONS(1177),
    [anon_sym_transient] = ACTIONS(1177),
    [anon_sym_volatile] = ACTIONS(1177),
    [anon_sym_sealed] = ACTIONS(1177),
    [anon_sym_non_DASHsealed] = ACTIONS(1175),
    [anon_sym_record] = ACTIONS(1177),
    [anon_sym_ATinterface] = ACTIONS(1175),
    [anon_sym_interface] = ACTIONS(1177),
    [anon_sym_byte] = ACTIONS(1177),
    [anon_sym_short] = ACTIONS(1177),
    [anon_sym_int] = ACTIONS(1177),
    [anon_sym_long] = ACTIONS(1177),
    [anon_sym_char] = ACTIONS(1177),
    [anon_sym_float] = ACTIONS(1177),
    [anon_sym_double] = ACTIONS(1177),
    [sym_boolean_type] = ACTIONS(1177),
    [sym_void_type] = ACTIONS(1177),
    [sym_this] = ACTIONS(1177),
    [sym_super] = ACTIONS(1177),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [388] = {
    [sym_switch_label] = STATE(1322),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(388),
    [sym_identifier] = ACTIONS(1179),
    [sym_decimal_integer_literal] = ACTIONS(1179),
    [sym_hex_integer_literal] = ACTIONS(1179),
    [sym_octal_integer_literal] = ACTIONS(1179),
    [sym_binary_integer_literal] = ACTIONS(1181),
    [sym_decimal_floating_point_literal] = ACTIONS(1181),
    [sym_hex_floating_point_literal] = ACTIONS(1179),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_character_literal] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_final] = ACTIONS(1179),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_new] = ACTIONS(1179),
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1186),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_assert] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1179),
    [anon_sym_synchronized] = ACTIONS(1179),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_open] = ACTIONS(1179),
    [anon_sym_module] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_with] = ACTIONS(1179),
    [anon_sym_package] = ACTIONS(1179),
    [anon_sym_import] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_abstract] = ACTIONS(1179),
    [anon_sym_strictfp] = ACTIONS(1179),
    [anon_sym_native] = ACTIONS(1179),
    [anon_sym_transient] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_sealed] = ACTIONS(1179),
    [anon_sym_non_DASHsealed] = ACTIONS(1181),
    [anon_sym_record] = ACTIONS(1179),
    [anon_sym_ATinterface] = ACTIONS(1181),
    [anon_sym_interface] = ACTIONS(1179),
    [anon_sym_byte] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_int] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_char] = ACTIONS(1179),
    [anon_sym_float] = ACTIONS(1179),
    [anon_sym_double] = ACTIONS(1179),
    [sym_boolean_type] = ACTIONS(1179),
    [sym_void_type] = ACTIONS(1179),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(1179),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(1189),
    [sym_identifier] = ACTIONS(1191),
    [sym_decimal_integer_literal] = ACTIONS(1191),
    [sym_hex_integer_literal] = ACTIONS(1191),
    [sym_octal_integer_literal] = ACTIONS(1191),
    [sym_binary_integer_literal] = ACTIONS(1189),
    [sym_decimal_floating_point_literal] = ACTIONS(1189),
    [sym_hex_floating_point_literal] = ACTIONS(1191),
    [sym_true] = ACTIONS(1191),
    [sym_false] = ACTIONS(1191),
    [sym_character_literal] = ACTIONS(1189),
    [anon_sym_DQUOTE] = ACTIONS(1191),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1189),
    [anon_sym_RBRACE] = ACTIONS(1189),
    [sym_null_literal] = ACTIONS(1191),
    [anon_sym_LPAREN] = ACTIONS(1189),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_PLUS] = ACTIONS(1191),
    [anon_sym_DASH] = ACTIONS(1191),
    [anon_sym_final] = ACTIONS(1191),
    [anon_sym_BANG] = ACTIONS(1189),
    [anon_sym_TILDE] = ACTIONS(1189),
    [anon_sym_PLUS_PLUS] = ACTIONS(1189),
    [anon_sym_DASH_DASH] = ACTIONS(1189),
    [anon_sym_new] = ACTIONS(1191),
    [anon_sym_class] = ACTIONS(1191),
    [anon_sym_switch] = ACTIONS(1191),
    [anon_sym_LBRACE] = ACTIONS(1189),
    [anon_sym_default] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(1189),
    [anon_sym_assert] = ACTIONS(1191),
    [anon_sym_do] = ACTIONS(1191),
    [anon_sym_while] = ACTIONS(1191),
    [anon_sym_break] = ACTIONS(1191),
    [anon_sym_continue] = ACTIONS(1191),
    [anon_sym_return] = ACTIONS(1191),
    [anon_sym_yield] = ACTIONS(1191),
    [anon_sym_synchronized] = ACTIONS(1191),
    [anon_sym_throw] = ACTIONS(1191),
    [anon_sym_try] = ACTIONS(1191),
    [anon_sym_if] = ACTIONS(1191),
    [anon_sym_for] = ACTIONS(1191),
    [anon_sym_AT] = ACTIONS(1191),
    [anon_sym_open] = ACTIONS(1191),
    [anon_sym_module] = ACTIONS(1191),
    [anon_sym_static] = ACTIONS(1191),
    [anon_sym_with] = ACTIONS(1191),
    [anon_sym_package] = ACTIONS(1191),
    [anon_sym_import] = ACTIONS(1191),
    [anon_sym_enum] = ACTIONS(1191),
    [anon_sym_public] = ACTIONS(1191),
    [anon_sym_protected] = ACTIONS(1191),
    [anon_sym_private] = ACTIONS(1191),
    [anon_sym_abstract] = ACTIONS(1191),
    [anon_sym_strictfp] = ACTIONS(1191),
    [anon_sym_native] = ACTIONS(1191),
    [anon_sym_transient] = ACTIONS(1191),
    [anon_sym_volatile] = ACTIONS(1191),
    [anon_sym_sealed] = ACTIONS(1191),
    [anon_sym_non_DASHsealed] = ACTIONS(1189),
    [anon_sym_record] = ACTIONS(1191),
    [anon_sym_ATinterface] = ACTIONS(1189),
    [anon_sym_interface] = ACTIONS(1191),
    [anon_sym_byte] = ACTIONS(1191),
    [anon_sym_short] = ACTIONS(1191),
    [anon_sym_int] = ACTIONS(1191),
    [anon_sym_long] = ACTIONS(1191),
    [anon_sym_char] = ACTIONS(1191),
    [anon_sym_float] = ACTIONS(1191),
    [anon_sym_double] = ACTIONS(1191),
    [sym_boolean_type] = ACTIONS(1191),
    [sym_void_type] = ACTIONS(1191),
    [sym_this] = ACTIONS(1191),
    [sym_super] = ACTIONS(1191),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(1193),
    [sym_identifier] = ACTIONS(1195),
    [sym_decimal_integer_literal] = ACTIONS(1195),
    [sym_hex_integer_literal] = ACTIONS(1195),
    [sym_octal_integer_literal] = ACTIONS(1195),
    [sym_binary_integer_literal] = ACTIONS(1193),
    [sym_decimal_floating_point_literal] = ACTIONS(1193),
    [sym_hex_floating_point_literal] = ACTIONS(1195),
    [sym_true] = ACTIONS(1195),
    [sym_false] = ACTIONS(1195),
    [sym_character_literal] = ACTIONS(1193),
    [anon_sym_DQUOTE] = ACTIONS(1195),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1193),
    [anon_sym_RBRACE] = ACTIONS(1193),
    [sym_null_literal] = ACTIONS(1195),
    [anon_sym_LPAREN] = ACTIONS(1193),
    [anon_sym_LT] = ACTIONS(1193),
    [anon_sym_PLUS] = ACTIONS(1195),
    [anon_sym_DASH] = ACTIONS(1195),
    [anon_sym_final] = ACTIONS(1195),
    [anon_sym_BANG] = ACTIONS(1193),
    [anon_sym_TILDE] = ACTIONS(1193),
    [anon_sym_PLUS_PLUS] = ACTIONS(1193),
    [anon_sym_DASH_DASH] = ACTIONS(1193),
    [anon_sym_new] = ACTIONS(1195),
    [anon_sym_class] = ACTIONS(1195),
    [anon_sym_switch] = ACTIONS(1195),
    [anon_sym_LBRACE] = ACTIONS(1193),
    [anon_sym_default] = ACTIONS(1195),
    [anon_sym_SEMI] = ACTIONS(1193),
    [anon_sym_assert] = ACTIONS(1195),
    [anon_sym_do] = ACTIONS(1195),
    [anon_sym_while] = ACTIONS(1195),
    [anon_sym_break] = ACTIONS(1195),
    [anon_sym_continue] = ACTIONS(1195),
    [anon_sym_return] = ACTIONS(1195),
    [anon_sym_yield] = ACTIONS(1195),
    [anon_sym_synchronized] = ACTIONS(1195),
    [anon_sym_throw] = ACTIONS(1195),
    [anon_sym_try] = ACTIONS(1195),
    [anon_sym_if] = ACTIONS(1195),
    [anon_sym_for] = ACTIONS(1195),
    [anon_sym_AT] = ACTIONS(1195),
    [anon_sym_open] = ACTIONS(1195),
    [anon_sym_module] = ACTIONS(1195),
    [anon_sym_static] = ACTIONS(1195),
    [anon_sym_with] = ACTIONS(1195),
    [anon_sym_package] = ACTIONS(1195),
    [anon_sym_import] = ACTIONS(1195),
    [anon_sym_enum] = ACTIONS(1195),
    [anon_sym_public] = ACTIONS(1195),
    [anon_sym_protected] = ACTIONS(1195),
    [anon_sym_private] = ACTIONS(1195),
    [anon_sym_abstract] = ACTIONS(1195),
    [anon_sym_strictfp] = ACTIONS(1195),
    [anon_sym_native] = ACTIONS(1195),
    [anon_sym_transient] = ACTIONS(1195),
    [anon_sym_volatile] = ACTIONS(1195),
    [anon_sym_sealed] = ACTIONS(1195),
    [anon_sym_non_DASHsealed] = ACTIONS(1193),
    [anon_sym_record] = ACTIONS(1195),
    [anon_sym_ATinterface] = ACTIONS(1193),
    [anon_sym_interface] = ACTIONS(1195),
    [anon_sym_byte] = ACTIONS(1195),
    [anon_sym_short] = ACTIONS(1195),
    [anon_sym_int] = ACTIONS(1195),
    [anon_sym_long] = ACTIONS(1195),
    [anon_sym_char] = ACTIONS(1195),
    [anon_sym_float] = ACTIONS(1195),
    [anon_sym_double] = ACTIONS(1195),
    [sym_boolean_type] = ACTIONS(1195),
    [sym_void_type] = ACTIONS(1195),
    [sym_this] = ACTIONS(1195),
    [sym_super] = ACTIONS(1195),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(1197),
    [sym_identifier] = ACTIONS(1199),
    [sym_decimal_integer_literal] = ACTIONS(1199),
    [sym_hex_integer_literal] = ACTIONS(1199),
    [sym_octal_integer_literal] = ACTIONS(1199),
    [sym_binary_integer_literal] = ACTIONS(1197),
    [sym_decimal_floating_point_literal] = ACTIONS(1197),
    [sym_hex_floating_point_literal] = ACTIONS(1199),
    [sym_true] = ACTIONS(1199),
    [sym_false] = ACTIONS(1199),
    [sym_character_literal] = ACTIONS(1197),
    [anon_sym_DQUOTE] = ACTIONS(1199),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1197),
    [anon_sym_RBRACE] = ACTIONS(1197),
    [sym_null_literal] = ACTIONS(1199),
    [anon_sym_LPAREN] = ACTIONS(1197),
    [anon_sym_LT] = ACTIONS(1197),
    [anon_sym_PLUS] = ACTIONS(1199),
    [anon_sym_DASH] = ACTIONS(1199),
    [anon_sym_final] = ACTIONS(1199),
    [anon_sym_BANG] = ACTIONS(1197),
    [anon_sym_TILDE] = ACTIONS(1197),
    [anon_sym_PLUS_PLUS] = ACTIONS(1197),
    [anon_sym_DASH_DASH] = ACTIONS(1197),
    [anon_sym_new] = ACTIONS(1199),
    [anon_sym_class] = ACTIONS(1199),
    [anon_sym_switch] = ACTIONS(1199),
    [anon_sym_LBRACE] = ACTIONS(1197),
    [anon_sym_default] = ACTIONS(1199),
    [anon_sym_SEMI] = ACTIONS(1197),
    [anon_sym_assert] = ACTIONS(1199),
    [anon_sym_do] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(1199),
    [anon_sym_break] = ACTIONS(1199),
    [anon_sym_continue] = ACTIONS(1199),
    [anon_sym_return] = ACTIONS(1199),
    [anon_sym_yield] = ACTIONS(1199),
    [anon_sym_synchronized] = ACTIONS(1199),
    [anon_sym_throw] = ACTIONS(1199),
    [anon_sym_try] = ACTIONS(1199),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_for] = ACTIONS(1199),
    [anon_sym_AT] = ACTIONS(1199),
    [anon_sym_open] = ACTIONS(1199),
    [anon_sym_module] = ACTIONS(1199),
    [anon_sym_static] = ACTIONS(1199),
    [anon_sym_with] = ACTIONS(1199),
    [anon_sym_package] = ACTIONS(1199),
    [anon_sym_import] = ACTIONS(1199),
    [anon_sym_enum] = ACTIONS(1199),
    [anon_sym_public] = ACTIONS(1199),
    [anon_sym_protected] = ACTIONS(1199),
    [anon_sym_private] = ACTIONS(1199),
    [anon_sym_abstract] = ACTIONS(1199),
    [anon_sym_strictfp] = ACTIONS(1199),
    [anon_sym_native] = ACTIONS(1199),
    [anon_sym_transient] = ACTIONS(1199),
    [anon_sym_volatile] = ACTIONS(1199),
    [anon_sym_sealed] = ACTIONS(1199),
    [anon_sym_non_DASHsealed] = ACTIONS(1197),
    [anon_sym_record] = ACTIONS(1199),
    [anon_sym_ATinterface] = ACTIONS(1197),
    [anon_sym_interface] = ACTIONS(1199),
    [anon_sym_byte] = ACTIONS(1199),
    [anon_sym_short] = ACTIONS(1199),
    [anon_sym_int] = ACTIONS(1199),
    [anon_sym_long] = ACTIONS(1199),
    [anon_sym_char] = ACTIONS(1199),
    [anon_sym_float] = ACTIONS(1199),
    [anon_sym_double] = ACTIONS(1199),
    [sym_boolean_type] = ACTIONS(1199),
    [sym_void_type] = ACTIONS(1199),
    [sym_this] = ACTIONS(1199),
    [sym_super] = ACTIONS(1199),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(1201),
    [sym_identifier] = ACTIONS(1203),
    [sym_decimal_integer_literal] = ACTIONS(1203),
    [sym_hex_integer_literal] = ACTIONS(1203),
    [sym_octal_integer_literal] = ACTIONS(1203),
    [sym_binary_integer_literal] = ACTIONS(1201),
    [sym_decimal_floating_point_literal] = ACTIONS(1201),
    [sym_hex_floating_point_literal] = ACTIONS(1203),
    [sym_true] = ACTIONS(1203),
    [sym_false] = ACTIONS(1203),
    [sym_character_literal] = ACTIONS(1201),
    [anon_sym_DQUOTE] = ACTIONS(1203),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1201),
    [anon_sym_RBRACE] = ACTIONS(1201),
    [sym_null_literal] = ACTIONS(1203),
    [anon_sym_LPAREN] = ACTIONS(1201),
    [anon_sym_LT] = ACTIONS(1201),
    [anon_sym_PLUS] = ACTIONS(1203),
    [anon_sym_DASH] = ACTIONS(1203),
    [anon_sym_final] = ACTIONS(1203),
    [anon_sym_BANG] = ACTIONS(1201),
    [anon_sym_TILDE] = ACTIONS(1201),
    [anon_sym_PLUS_PLUS] = ACTIONS(1201),
    [anon_sym_DASH_DASH] = ACTIONS(1201),
    [anon_sym_new] = ACTIONS(1203),
    [anon_sym_class] = ACTIONS(1203),
    [anon_sym_switch] = ACTIONS(1203),
    [anon_sym_LBRACE] = ACTIONS(1201),
    [anon_sym_default] = ACTIONS(1203),
    [anon_sym_SEMI] = ACTIONS(1201),
    [anon_sym_assert] = ACTIONS(1203),
    [anon_sym_do] = ACTIONS(1203),
    [anon_sym_while] = ACTIONS(1203),
    [anon_sym_break] = ACTIONS(1203),
    [anon_sym_continue] = ACTIONS(1203),
    [anon_sym_return] = ACTIONS(1203),
    [anon_sym_yield] = ACTIONS(1203),
    [anon_sym_synchronized] = ACTIONS(1203),
    [anon_sym_throw] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1203),
    [anon_sym_if] = ACTIONS(1203),
    [anon_sym_for] = ACTIONS(1203),
    [anon_sym_AT] = ACTIONS(1203),
    [anon_sym_open] = ACTIONS(1203),
    [anon_sym_module] = ACTIONS(1203),
    [anon_sym_static] = ACTIONS(1203),
    [anon_sym_with] = ACTIONS(1203),
    [anon_sym_package] = ACTIONS(1203),
    [anon_sym_import] = ACTIONS(1203),
    [anon_sym_enum] = ACTIONS(1203),
    [anon_sym_public] = ACTIONS(1203),
    [anon_sym_protected] = ACTIONS(1203),
    [anon_sym_private] = ACTIONS(1203),
    [anon_sym_abstract] = ACTIONS(1203),
    [anon_sym_strictfp] = ACTIONS(1203),
    [anon_sym_native] = ACTIONS(1203),
    [anon_sym_transient] = ACTIONS(1203),
    [anon_sym_volatile] = ACTIONS(1203),
    [anon_sym_sealed] = ACTIONS(1203),
    [anon_sym_non_DASHsealed] = ACTIONS(1201),
    [anon_sym_record] = ACTIONS(1203),
    [anon_sym_ATinterface] = ACTIONS(1201),
    [anon_sym_interface] = ACTIONS(1203),
    [anon_sym_byte] = ACTIONS(1203),
    [anon_sym_short] = ACTIONS(1203),
    [anon_sym_int] = ACTIONS(1203),
    [anon_sym_long] = ACTIONS(1203),
    [anon_sym_char] = ACTIONS(1203),
    [anon_sym_float] = ACTIONS(1203),
    [anon_sym_double] = ACTIONS(1203),
    [sym_boolean_type] = ACTIONS(1203),
    [sym_void_type] = ACTIONS(1203),
    [sym_this] = ACTIONS(1203),
    [sym_super] = ACTIONS(1203),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1205),
    [sym_decimal_integer_literal] = ACTIONS(1205),
    [sym_hex_integer_literal] = ACTIONS(1205),
    [sym_octal_integer_literal] = ACTIONS(1205),
    [sym_binary_integer_literal] = ACTIONS(1207),
    [sym_decimal_floating_point_literal] = ACTIONS(1207),
    [sym_hex_floating_point_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_character_literal] = ACTIONS(1207),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1207),
    [anon_sym_RBRACE] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_final] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1207),
    [anon_sym_TILDE] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1207),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_case] = ACTIONS(1205),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_synchronized] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_else] = ACTIONS(1209),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_open] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_package] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_strictfp] = ACTIONS(1205),
    [anon_sym_native] = ACTIONS(1205),
    [anon_sym_transient] = ACTIONS(1205),
    [anon_sym_volatile] = ACTIONS(1205),
    [anon_sym_sealed] = ACTIONS(1205),
    [anon_sym_non_DASHsealed] = ACTIONS(1207),
    [anon_sym_record] = ACTIONS(1205),
    [anon_sym_ATinterface] = ACTIONS(1207),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_byte] = ACTIONS(1205),
    [anon_sym_short] = ACTIONS(1205),
    [anon_sym_int] = ACTIONS(1205),
    [anon_sym_long] = ACTIONS(1205),
    [anon_sym_char] = ACTIONS(1205),
    [anon_sym_float] = ACTIONS(1205),
    [anon_sym_double] = ACTIONS(1205),
    [sym_boolean_type] = ACTIONS(1205),
    [sym_void_type] = ACTIONS(1205),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(1207),
    [sym_identifier] = ACTIONS(1205),
    [sym_decimal_integer_literal] = ACTIONS(1205),
    [sym_hex_integer_literal] = ACTIONS(1205),
    [sym_octal_integer_literal] = ACTIONS(1205),
    [sym_binary_integer_literal] = ACTIONS(1207),
    [sym_decimal_floating_point_literal] = ACTIONS(1207),
    [sym_hex_floating_point_literal] = ACTIONS(1205),
    [sym_true] = ACTIONS(1205),
    [sym_false] = ACTIONS(1205),
    [sym_character_literal] = ACTIONS(1207),
    [anon_sym_DQUOTE] = ACTIONS(1205),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1207),
    [sym_null_literal] = ACTIONS(1205),
    [anon_sym_LPAREN] = ACTIONS(1207),
    [anon_sym_LT] = ACTIONS(1207),
    [anon_sym_PLUS] = ACTIONS(1205),
    [anon_sym_DASH] = ACTIONS(1205),
    [anon_sym_final] = ACTIONS(1205),
    [anon_sym_BANG] = ACTIONS(1207),
    [anon_sym_TILDE] = ACTIONS(1207),
    [anon_sym_PLUS_PLUS] = ACTIONS(1207),
    [anon_sym_DASH_DASH] = ACTIONS(1207),
    [anon_sym_new] = ACTIONS(1205),
    [anon_sym_class] = ACTIONS(1205),
    [anon_sym_switch] = ACTIONS(1205),
    [anon_sym_LBRACE] = ACTIONS(1207),
    [anon_sym_default] = ACTIONS(1205),
    [anon_sym_SEMI] = ACTIONS(1207),
    [anon_sym_assert] = ACTIONS(1205),
    [anon_sym_do] = ACTIONS(1205),
    [anon_sym_while] = ACTIONS(1205),
    [anon_sym_break] = ACTIONS(1205),
    [anon_sym_continue] = ACTIONS(1205),
    [anon_sym_return] = ACTIONS(1205),
    [anon_sym_yield] = ACTIONS(1205),
    [anon_sym_synchronized] = ACTIONS(1205),
    [anon_sym_throw] = ACTIONS(1205),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_if] = ACTIONS(1205),
    [anon_sym_else] = ACTIONS(1211),
    [anon_sym_for] = ACTIONS(1205),
    [anon_sym_AT] = ACTIONS(1205),
    [anon_sym_open] = ACTIONS(1205),
    [anon_sym_module] = ACTIONS(1205),
    [anon_sym_static] = ACTIONS(1205),
    [anon_sym_with] = ACTIONS(1205),
    [anon_sym_package] = ACTIONS(1205),
    [anon_sym_import] = ACTIONS(1205),
    [anon_sym_enum] = ACTIONS(1205),
    [anon_sym_public] = ACTIONS(1205),
    [anon_sym_protected] = ACTIONS(1205),
    [anon_sym_private] = ACTIONS(1205),
    [anon_sym_abstract] = ACTIONS(1205),
    [anon_sym_strictfp] = ACTIONS(1205),
    [anon_sym_native] = ACTIONS(1205),
    [anon_sym_transient] = ACTIONS(1205),
    [anon_sym_volatile] = ACTIONS(1205),
    [anon_sym_sealed] = ACTIONS(1205),
    [anon_sym_non_DASHsealed] = ACTIONS(1207),
    [anon_sym_record] = ACTIONS(1205),
    [anon_sym_ATinterface] = ACTIONS(1207),
    [anon_sym_interface] = ACTIONS(1205),
    [anon_sym_byte] = ACTIONS(1205),
    [anon_sym_short] = ACTIONS(1205),
    [anon_sym_int] = ACTIONS(1205),
    [anon_sym_long] = ACTIONS(1205),
    [anon_sym_char] = ACTIONS(1205),
    [anon_sym_float] = ACTIONS(1205),
    [anon_sym_double] = ACTIONS(1205),
    [sym_boolean_type] = ACTIONS(1205),
    [sym_void_type] = ACTIONS(1205),
    [sym_this] = ACTIONS(1205),
    [sym_super] = ACTIONS(1205),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1179),
    [sym_decimal_integer_literal] = ACTIONS(1179),
    [sym_hex_integer_literal] = ACTIONS(1179),
    [sym_octal_integer_literal] = ACTIONS(1179),
    [sym_binary_integer_literal] = ACTIONS(1181),
    [sym_decimal_floating_point_literal] = ACTIONS(1181),
    [sym_hex_floating_point_literal] = ACTIONS(1179),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_character_literal] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_final] = ACTIONS(1179),
    [anon_sym_BANG] = ACTIONS(1181),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_new] = ACTIONS(1179),
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_assert] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1179),
    [anon_sym_synchronized] = ACTIONS(1179),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_open] = ACTIONS(1179),
    [anon_sym_module] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_with] = ACTIONS(1179),
    [anon_sym_package] = ACTIONS(1179),
    [anon_sym_import] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_abstract] = ACTIONS(1179),
    [anon_sym_strictfp] = ACTIONS(1179),
    [anon_sym_native] = ACTIONS(1179),
    [anon_sym_transient] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_sealed] = ACTIONS(1179),
    [anon_sym_non_DASHsealed] = ACTIONS(1181),
    [anon_sym_record] = ACTIONS(1179),
    [anon_sym_ATinterface] = ACTIONS(1181),
    [anon_sym_interface] = ACTIONS(1179),
    [anon_sym_byte] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_int] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_char] = ACTIONS(1179),
    [anon_sym_float] = ACTIONS(1179),
    [anon_sym_double] = ACTIONS(1179),
    [sym_boolean_type] = ACTIONS(1179),
    [sym_void_type] = ACTIONS(1179),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(1179),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1213),
    [sym_decimal_integer_literal] = ACTIONS(1213),
    [sym_hex_integer_literal] = ACTIONS(1213),
    [sym_octal_integer_literal] = ACTIONS(1213),
    [sym_binary_integer_literal] = ACTIONS(1215),
    [sym_decimal_floating_point_literal] = ACTIONS(1215),
    [sym_hex_floating_point_literal] = ACTIONS(1213),
    [sym_true] = ACTIONS(1213),
    [sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [sym_null_literal] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_final] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1215),
    [anon_sym_TILDE] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1215),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_class] = ACTIONS(1213),
    [anon_sym_switch] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_assert] = ACTIONS(1213),
    [anon_sym_do] = ACTIONS(1213),
    [anon_sym_while] = ACTIONS(1213),
    [anon_sym_break] = ACTIONS(1213),
    [anon_sym_continue] = ACTIONS(1213),
    [anon_sym_return] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1213),
    [anon_sym_synchronized] = ACTIONS(1213),
    [anon_sym_throw] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_open] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_with] = ACTIONS(1213),
    [anon_sym_package] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_enum] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_abstract] = ACTIONS(1213),
    [anon_sym_strictfp] = ACTIONS(1213),
    [anon_sym_native] = ACTIONS(1213),
    [anon_sym_transient] = ACTIONS(1213),
    [anon_sym_volatile] = ACTIONS(1213),
    [anon_sym_sealed] = ACTIONS(1213),
    [anon_sym_non_DASHsealed] = ACTIONS(1215),
    [anon_sym_record] = ACTIONS(1213),
    [anon_sym_ATinterface] = ACTIONS(1215),
    [anon_sym_interface] = ACTIONS(1213),
    [anon_sym_byte] = ACTIONS(1213),
    [anon_sym_short] = ACTIONS(1213),
    [anon_sym_int] = ACTIONS(1213),
    [anon_sym_long] = ACTIONS(1213),
    [anon_sym_char] = ACTIONS(1213),
    [anon_sym_float] = ACTIONS(1213),
    [anon_sym_double] = ACTIONS(1213),
    [sym_boolean_type] = ACTIONS(1213),
    [sym_void_type] = ACTIONS(1213),
    [sym_this] = ACTIONS(1213),
    [sym_super] = ACTIONS(1213),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1217),
    [sym_decimal_integer_literal] = ACTIONS(1217),
    [sym_hex_integer_literal] = ACTIONS(1217),
    [sym_octal_integer_literal] = ACTIONS(1217),
    [sym_binary_integer_literal] = ACTIONS(1219),
    [sym_decimal_floating_point_literal] = ACTIONS(1219),
    [sym_hex_floating_point_literal] = ACTIONS(1217),
    [sym_true] = ACTIONS(1217),
    [sym_false] = ACTIONS(1217),
    [sym_character_literal] = ACTIONS(1219),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [sym_null_literal] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_final] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1219),
    [anon_sym_TILDE] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_assert] = ACTIONS(1217),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_synchronized] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_open] = ACTIONS(1217),
    [anon_sym_module] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1217),
    [anon_sym_with] = ACTIONS(1217),
    [anon_sym_package] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_public] = ACTIONS(1217),
    [anon_sym_protected] = ACTIONS(1217),
    [anon_sym_private] = ACTIONS(1217),
    [anon_sym_abstract] = ACTIONS(1217),
    [anon_sym_strictfp] = ACTIONS(1217),
    [anon_sym_native] = ACTIONS(1217),
    [anon_sym_transient] = ACTIONS(1217),
    [anon_sym_volatile] = ACTIONS(1217),
    [anon_sym_sealed] = ACTIONS(1217),
    [anon_sym_non_DASHsealed] = ACTIONS(1219),
    [anon_sym_record] = ACTIONS(1217),
    [anon_sym_ATinterface] = ACTIONS(1219),
    [anon_sym_interface] = ACTIONS(1217),
    [anon_sym_byte] = ACTIONS(1217),
    [anon_sym_short] = ACTIONS(1217),
    [anon_sym_int] = ACTIONS(1217),
    [anon_sym_long] = ACTIONS(1217),
    [anon_sym_char] = ACTIONS(1217),
    [anon_sym_float] = ACTIONS(1217),
    [anon_sym_double] = ACTIONS(1217),
    [sym_boolean_type] = ACTIONS(1217),
    [sym_void_type] = ACTIONS(1217),
    [sym_this] = ACTIONS(1217),
    [sym_super] = ACTIONS(1217),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1221),
    [sym_decimal_integer_literal] = ACTIONS(1221),
    [sym_hex_integer_literal] = ACTIONS(1221),
    [sym_octal_integer_literal] = ACTIONS(1221),
    [sym_binary_integer_literal] = ACTIONS(1223),
    [sym_decimal_floating_point_literal] = ACTIONS(1223),
    [sym_hex_floating_point_literal] = ACTIONS(1221),
    [sym_true] = ACTIONS(1221),
    [sym_false] = ACTIONS(1221),
    [sym_character_literal] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [sym_null_literal] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_final] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1223),
    [anon_sym_TILDE] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1221),
    [anon_sym_class] = ACTIONS(1221),
    [anon_sym_switch] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_assert] = ACTIONS(1221),
    [anon_sym_do] = ACTIONS(1221),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_break] = ACTIONS(1221),
    [anon_sym_continue] = ACTIONS(1221),
    [anon_sym_return] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(1221),
    [anon_sym_synchronized] = ACTIONS(1221),
    [anon_sym_throw] = ACTIONS(1221),
    [anon_sym_try] = ACTIONS(1221),
    [anon_sym_if] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_open] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_with] = ACTIONS(1221),
    [anon_sym_package] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1221),
    [anon_sym_enum] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_abstract] = ACTIONS(1221),
    [anon_sym_strictfp] = ACTIONS(1221),
    [anon_sym_native] = ACTIONS(1221),
    [anon_sym_transient] = ACTIONS(1221),
    [anon_sym_volatile] = ACTIONS(1221),
    [anon_sym_sealed] = ACTIONS(1221),
    [anon_sym_non_DASHsealed] = ACTIONS(1223),
    [anon_sym_record] = ACTIONS(1221),
    [anon_sym_ATinterface] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1221),
    [anon_sym_byte] = ACTIONS(1221),
    [anon_sym_short] = ACTIONS(1221),
    [anon_sym_int] = ACTIONS(1221),
    [anon_sym_long] = ACTIONS(1221),
    [anon_sym_char] = ACTIONS(1221),
    [anon_sym_float] = ACTIONS(1221),
    [anon_sym_double] = ACTIONS(1221),
    [sym_boolean_type] = ACTIONS(1221),
    [sym_void_type] = ACTIONS(1221),
    [sym_this] = ACTIONS(1221),
    [sym_super] = ACTIONS(1221),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1227),
    [sym_decimal_floating_point_literal] = ACTIONS(1227),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1227),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1227),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1227),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1231),
    [anon_sym_record] = ACTIONS(1229),
    [anon_sym_ATinterface] = ACTIONS(1231),
    [anon_sym_interface] = ACTIONS(1229),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1231),
    [anon_sym_record] = ACTIONS(1229),
    [anon_sym_ATinterface] = ACTIONS(1231),
    [anon_sym_interface] = ACTIONS(1229),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1233),
    [sym_decimal_integer_literal] = ACTIONS(1233),
    [sym_hex_integer_literal] = ACTIONS(1233),
    [sym_octal_integer_literal] = ACTIONS(1233),
    [sym_binary_integer_literal] = ACTIONS(1235),
    [sym_decimal_floating_point_literal] = ACTIONS(1235),
    [sym_hex_floating_point_literal] = ACTIONS(1233),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_character_literal] = ACTIONS(1235),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1235),
    [sym_null_literal] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1235),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_assert] = ACTIONS(1233),
    [anon_sym_do] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1233),
    [anon_sym_break] = ACTIONS(1233),
    [anon_sym_continue] = ACTIONS(1233),
    [anon_sym_return] = ACTIONS(1233),
    [anon_sym_yield] = ACTIONS(1233),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_throw] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_open] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_with] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1235),
    [anon_sym_record] = ACTIONS(1233),
    [anon_sym_ATinterface] = ACTIONS(1235),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [sym_this] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(422),
    [anon_sym_RPAREN] = ACTIONS(422),
    [anon_sym_AMP] = ACTIONS(420),
    [anon_sym_EQ] = ACTIONS(420),
    [anon_sym_PLUS_EQ] = ACTIONS(422),
    [anon_sym_DASH_EQ] = ACTIONS(422),
    [anon_sym_STAR_EQ] = ACTIONS(422),
    [anon_sym_SLASH_EQ] = ACTIONS(422),
    [anon_sym_AMP_EQ] = ACTIONS(422),
    [anon_sym_PIPE_EQ] = ACTIONS(422),
    [anon_sym_CARET_EQ] = ACTIONS(422),
    [anon_sym_PERCENT_EQ] = ACTIONS(422),
    [anon_sym_LT_LT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(422),
    [anon_sym_GT] = ACTIONS(420),
    [anon_sym_LT] = ACTIONS(420),
    [anon_sym_GT_EQ] = ACTIONS(422),
    [anon_sym_LT_EQ] = ACTIONS(422),
    [anon_sym_EQ_EQ] = ACTIONS(422),
    [anon_sym_BANG_EQ] = ACTIONS(422),
    [anon_sym_AMP_AMP] = ACTIONS(422),
    [anon_sym_PIPE_PIPE] = ACTIONS(422),
    [anon_sym_PLUS] = ACTIONS(420),
    [anon_sym_DASH] = ACTIONS(420),
    [anon_sym_STAR] = ACTIONS(420),
    [anon_sym_SLASH] = ACTIONS(420),
    [anon_sym_PIPE] = ACTIONS(420),
    [anon_sym_CARET] = ACTIONS(420),
    [anon_sym_PERCENT] = ACTIONS(420),
    [anon_sym_LT_LT] = ACTIONS(420),
    [anon_sym_GT_GT] = ACTIONS(420),
    [anon_sym_GT_GT_GT] = ACTIONS(420),
    [anon_sym_instanceof] = ACTIONS(420),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_DASH_GT] = ACTIONS(422),
    [anon_sym_COMMA] = ACTIONS(422),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_PLUS_PLUS] = ACTIONS(422),
    [anon_sym_DASH_DASH] = ACTIONS(422),
    [anon_sym_LBRACK] = ACTIONS(422),
    [anon_sym_DOT] = ACTIONS(422),
    [anon_sym_COLON_COLON] = ACTIONS(422),
    [anon_sym_default] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(422),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1231),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1231),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [404] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_lambda_expression] = STATE(591),
    [sym_inferred_parameters] = STATE(1360),
    [sym_primary_expression] = STATE(535),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(574),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1360),
    [sym__reserved_identifier] = STATE(493),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(1237),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1243),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [405] = {
    [sym__literal] = STATE(574),
    [sym_string_literal] = STATE(522),
    [sym__string_literal] = STATE(526),
    [sym__multiline_string_literal] = STATE(526),
    [sym_lambda_expression] = STATE(591),
    [sym_inferred_parameters] = STATE(1372),
    [sym_primary_expression] = STATE(535),
    [sym_array_creation_expression] = STATE(574),
    [sym_parenthesized_expression] = STATE(574),
    [sym_class_literal] = STATE(574),
    [sym_object_creation_expression] = STATE(574),
    [sym__unqualified_object_creation_expression] = STATE(546),
    [sym_field_access] = STATE(574),
    [sym_template_expression] = STATE(574),
    [sym_array_access] = STATE(574),
    [sym_method_invocation] = STATE(574),
    [sym_method_reference] = STATE(574),
    [sym__annotation] = STATE(775),
    [sym_marker_annotation] = STATE(775),
    [sym_annotation] = STATE(775),
    [sym__type] = STATE(1359),
    [sym__unannotated_type] = STATE(899),
    [sym_annotated_type] = STATE(908),
    [sym_scoped_type_identifier] = STATE(818),
    [sym_generic_type] = STATE(840),
    [sym_array_type] = STATE(758),
    [sym_integral_type] = STATE(758),
    [sym_floating_point_type] = STATE(758),
    [sym_formal_parameters] = STATE(1372),
    [sym__reserved_identifier] = STATE(584),
    [aux_sym_array_creation_expression_repeat1] = STATE(775),
    [sym_identifier] = ACTIONS(1245),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(15),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(29),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(424),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(87),
    [anon_sym_short] = ACTIONS(87),
    [anon_sym_int] = ACTIONS(87),
    [anon_sym_long] = ACTIONS(87),
    [anon_sym_char] = ACTIONS(87),
    [anon_sym_float] = ACTIONS(89),
    [anon_sym_double] = ACTIONS(89),
    [sym_boolean_type] = ACTIONS(91),
    [sym_void_type] = ACTIONS(91),
    [sym_this] = ACTIONS(93),
    [sym_super] = ACTIONS(1243),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(422), 26,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(420), 35,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_final,
      anon_sym_COLON,
      anon_sym_default,
      anon_sym_when,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [70] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1249), 1,
      anon_sym_RBRACE,
    ACTIONS(1251), 1,
      anon_sym_SEMI,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    STATE(701), 1,
      sym_modifiers,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(1010), 1,
      sym__constructor_declarator,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(409), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [189] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1257), 1,
      anon_sym_RBRACE,
    ACTIONS(1259), 1,
      anon_sym_SEMI,
    STATE(701), 1,
      sym_modifiers,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(1010), 1,
      sym__constructor_declarator,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(410), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [308] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1261), 1,
      anon_sym_RBRACE,
    ACTIONS(1263), 1,
      anon_sym_SEMI,
    STATE(701), 1,
      sym_modifiers,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(1010), 1,
      sym__constructor_declarator,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(411), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [427] = 28,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1247), 1,
      sym_identifier,
    ACTIONS(1253), 1,
      anon_sym_static,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1263), 1,
      anon_sym_SEMI,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    STATE(701), 1,
      sym_modifiers,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(1010), 1,
      sym__constructor_declarator,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(23), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(411), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [546] = 28,
    ACTIONS(1267), 1,
      sym_identifier,
    ACTIONS(1270), 1,
      anon_sym_RBRACE,
    ACTIONS(1272), 1,
      anon_sym_LT,
    ACTIONS(1278), 1,
      anon_sym_class,
    ACTIONS(1281), 1,
      anon_sym_LBRACE,
    ACTIONS(1284), 1,
      anon_sym_SEMI,
    ACTIONS(1287), 1,
      anon_sym_AT,
    ACTIONS(1290), 1,
      anon_sym_static,
    ACTIONS(1293), 1,
      anon_sym_enum,
    ACTIONS(1296), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1299), 1,
      anon_sym_record,
    ACTIONS(1302), 1,
      anon_sym_ATinterface,
    ACTIONS(1305), 1,
      anon_sym_interface,
    STATE(701), 1,
      sym_modifiers,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(793), 1,
      sym__unannotated_type,
    STATE(1010), 1,
      sym__constructor_declarator,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1311), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1314), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1308), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1275), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(411), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [665] = 14,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 14,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [754] = 18,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1343), 1,
      anon_sym_RPAREN,
    ACTIONS(1347), 1,
      anon_sym_AMP,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(1352), 1,
      anon_sym_DOT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1073), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1341), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1317), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1319), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 12,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [849] = 17,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(1352), 1,
      anon_sym_DOT,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1073), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1341), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1317), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1319), 9,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [942] = 25,
    ACTIONS(1359), 1,
      sym_identifier,
    ACTIONS(1362), 1,
      anon_sym_RBRACE,
    ACTIONS(1364), 1,
      anon_sym_LT,
    ACTIONS(1370), 1,
      anon_sym_class,
    ACTIONS(1373), 1,
      anon_sym_SEMI,
    ACTIONS(1376), 1,
      anon_sym_AT,
    ACTIONS(1379), 1,
      anon_sym_enum,
    ACTIONS(1382), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1385), 1,
      anon_sym_record,
    ACTIONS(1388), 1,
      anon_sym_ATinterface,
    ACTIONS(1391), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(734), 1,
      sym_modifiers,
    STATE(759), 1,
      sym_generic_type,
    STATE(782), 1,
      sym__unannotated_type,
    STATE(788), 1,
      sym_type_parameters,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1397), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1400), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1394), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(415), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(1367), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1049] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1405), 1,
      anon_sym_RBRACE,
    ACTIONS(1407), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(734), 1,
      sym_modifiers,
    STATE(759), 1,
      sym_generic_type,
    STATE(782), 1,
      sym__unannotated_type,
    STATE(788), 1,
      sym_type_parameters,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(418), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1156] = 15,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1409), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1413), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1243] = 25,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1255), 1,
      anon_sym_record,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1418), 1,
      anon_sym_RBRACE,
    ACTIONS(1420), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(734), 1,
      sym_modifiers,
    STATE(759), 1,
      sym_generic_type,
    STATE(782), 1,
      sym__unannotated_type,
    STATE(788), 1,
      sym_type_parameters,
    STATE(1151), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(415), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1350] = 15,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1409), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [1437] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1422), 1,
      anon_sym_COLON,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1523] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1424), 1,
      anon_sym_COLON,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1609] = 15,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1426), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1695] = 15,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1428), 1,
      anon_sym_COLON,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1319), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
  [1781] = 6,
    ACTIONS(1430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1127), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(420), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(422), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [1846] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1432), 1,
      anon_sym_RBRACE,
    ACTIONS(1434), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(801), 1,
      sym_modifiers,
    STATE(802), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(426), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [1940] = 21,
    ACTIONS(31), 1,
      anon_sym_class,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(75), 1,
      anon_sym_enum,
    ACTIONS(79), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(83), 1,
      anon_sym_ATinterface,
    ACTIONS(85), 1,
      anon_sym_interface,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
    ACTIONS(1438), 1,
      anon_sym_SEMI,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(801), 1,
      sym_modifiers,
    STATE(802), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(427), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(23), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2034] = 21,
    ACTIONS(1440), 1,
      sym_identifier,
    ACTIONS(1443), 1,
      anon_sym_RBRACE,
    ACTIONS(1448), 1,
      anon_sym_class,
    ACTIONS(1451), 1,
      anon_sym_SEMI,
    ACTIONS(1454), 1,
      anon_sym_AT,
    ACTIONS(1457), 1,
      anon_sym_enum,
    ACTIONS(1460), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1463), 1,
      anon_sym_ATinterface,
    ACTIONS(1466), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(801), 1,
      sym_modifiers,
    STATE(802), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1472), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(1475), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(505), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1469), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(427), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(1445), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2128] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(534), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2189] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(539), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2250] = 8,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2317] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1490), 1,
      anon_sym_LBRACK,
    STATE(432), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1486), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1488), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2381] = 7,
    ACTIONS(1496), 1,
      anon_sym_LBRACK,
    ACTIONS(1499), 1,
      anon_sym_AT,
    STATE(432), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1492), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1494), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [2445] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1490), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(474), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1502), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1504), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2510] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2565] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1508), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1506), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2620] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 31,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2675] = 13,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1413), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
  [2750] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1490), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(474), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(976), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1510), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1512), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [2815] = 9,
    ACTIONS(1409), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1413), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [2881] = 5,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [2939] = 9,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1409), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3005] = 8,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1516), 1,
      anon_sym_LT,
    ACTIONS(1519), 1,
      anon_sym_DOT,
    STATE(463), 1,
      sym_type_arguments,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1341), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3068] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(1356), 1,
      anon_sym_RPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(1073), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1319), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3137] = 9,
    ACTIONS(1325), 1,
      anon_sym_EQ,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1426), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_argument_list,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1319), 15,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [3202] = 8,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1413), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3265] = 13,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1521), 1,
      anon_sym_EQ,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1319), 11,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1327), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
  [3338] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(530), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(954), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1525), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1523), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3402] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3460] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(513), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(954), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1537), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1535), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3524] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(569), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(954), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1541), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1539), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3588] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1527), 1,
      anon_sym_LBRACK,
    STATE(431), 1,
      aux_sym_dimensions_repeat1,
    STATE(572), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(954), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1545), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1543), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [3652] = 6,
    ACTIONS(1516), 1,
      anon_sym_LT,
    ACTIONS(1519), 1,
      anon_sym_DOT,
    STATE(463), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1341), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [3709] = 4,
    ACTIONS(1547), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(420), 14,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(422), 27,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [3762] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1549), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1551), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [3813] = 5,
    ACTIONS(1411), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1413), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(1323), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [3868] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1555), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [3919] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1492), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1494), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
  [3970] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1557), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1559), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4021] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1561), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1563), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4072] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1567), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4123] = 4,
    ACTIONS(1569), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(420), 15,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
    ACTIONS(422), 26,
      anon_sym_LPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [4176] = 6,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    ACTIONS(1571), 1,
      anon_sym_LT,
    STATE(458), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4233] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1574), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1576), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4284] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(771), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(773), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4334] = 4,
    ACTIONS(1533), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4386] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1578), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1580), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4436] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1584), 8,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1582), 33,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [4486] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1586), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1588), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4536] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1051), 11,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1053), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [4586] = 19,
    ACTIONS(456), 1,
      anon_sym_RPAREN,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(626), 1,
      aux_sym_modifiers_repeat1,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(781), 1,
      sym__unannotated_type,
    STATE(790), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(836), 1,
      sym_modifiers,
    STATE(1207), 1,
      sym_receiver_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1140), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(692), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [4668] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1590), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1592), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4718] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1594), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1596), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
  [4768] = 7,
    ACTIONS(1602), 1,
      anon_sym_LBRACK,
    ACTIONS(1605), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(978), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1600), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1598), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [4826] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1608), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1610), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4875] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1531), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4924] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1612), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1614), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [4973] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1616), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1618), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
  [5022] = 6,
    ACTIONS(1620), 1,
      sym_identifier,
    STATE(598), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1624), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1622), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5076] = 6,
    ACTIONS(1626), 1,
      sym_identifier,
    STATE(600), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1630), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1628), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5130] = 16,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(1632), 1,
      anon_sym_RPAREN,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(815), 1,
      sym__unannotated_type,
    STATE(836), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1122), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5204] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [5267] = 15,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(815), 1,
      sym__unannotated_type,
    STATE(836), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1249), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5338] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1510), 17,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1512), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [5385] = 16,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(821), 1,
      sym__unannotated_type,
    STATE(829), 1,
      sym_modifiers,
    STATE(895), 1,
      sym_catch_type,
    STATE(1327), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [5458] = 6,
    ACTIONS(1636), 1,
      anon_sym_LPAREN,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    STATE(541), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1634), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [5510] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(575), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1644), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1642), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5559] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1650), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1648), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5608] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(558), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1654), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1652), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5657] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1658), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1656), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5706] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(547), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1662), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1660), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5755] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(527), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1666), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1664), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5804] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(566), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1670), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1668), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5853] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5904] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(568), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1674), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1672), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [5953] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(555), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1678), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1676), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6002] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(571), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1682), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1680), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6051] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(539), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6100] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(529), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1686), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1684), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6149] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(557), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1690), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1688), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6198] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(534), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6247] = 7,
    ACTIONS(1699), 1,
      anon_sym_AT,
    ACTIONS(1702), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1694), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(501), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1696), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1692), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6299] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1707), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1705), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6343] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1711), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1709), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6387] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1715), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1713), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6431] = 7,
    ACTIONS(63), 1,
      anon_sym_AT,
    ACTIONS(1723), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1719), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(501), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1721), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(1717), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [6483] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1563), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1561), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6527] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1727), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1725), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6571] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1551), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1549), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6615] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1731), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1729), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
  [6659] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1567), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1565), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [6703] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1735), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1733), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
  [6747] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1739), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1737), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6790] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1743), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1741), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6833] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1747), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1745), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6876] = 6,
    ACTIONS(1749), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_DOT,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(478), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(480), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [6925] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1757), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1755), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [6968] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1761), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1759), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7011] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1765), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1763), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7054] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1769), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1767), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7097] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1508), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1506), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7140] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1773), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1771), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7183] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1777), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1775), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7226] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1781), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1779), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7269] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1785), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1783), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7312] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1789), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1787), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7355] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1793), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1791), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7398] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1797), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1795), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7441] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1801), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1799), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7484] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1805), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1803), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7527] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1809), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1807), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7570] = 11,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1329), 1,
      anon_sym_LT,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 17,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
  [7629] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1813), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1811), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7672] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1817), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1815), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7715] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1821), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1819), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7758] = 6,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1827), 1,
      anon_sym_LBRACK,
    ACTIONS(1829), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1825), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1823), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [7807] = 6,
    ACTIONS(1749), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_DOT,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1833), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1831), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [7856] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1480), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1478), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7899] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1837), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1835), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [7942] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1841), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1839), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [7985] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1845), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1843), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8028] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1849), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1847), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8071] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1853), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1851), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8114] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1857), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1855), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8157] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1861), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1859), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8200] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1865), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1863), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8243] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1869), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1867), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8286] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1873), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1871), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8329] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1877), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1875), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8372] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1881), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1879), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8415] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1885), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1883), 31,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8458] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1889), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1887), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8501] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1893), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1891), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8544] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1897), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1895), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8587] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1901), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1899), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8630] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1905), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1903), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8673] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1909), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1907), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8716] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1913), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1911), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8759] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1917), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1915), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8802] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1921), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1919), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8845] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1925), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1923), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [8888] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1929), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1927), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8931] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1933), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1931), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [8974] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1484), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1482), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9017] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1937), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1935), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9060] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1941), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1939), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9103] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1945), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1943), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9146] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1949), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1947), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9189] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1953), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1951), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9232] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1957), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1955), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9275] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1961), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1959), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9318] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1965), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1963), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9361] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1969), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1967), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9404] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1973), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1971), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9447] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9490] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1977), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1975), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9533] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1981), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1979), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
  [9576] = 5,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1231), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1986), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
    ACTIONS(1983), 11,
      anon_sym_AT,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1229), 17,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
  [9623] = 5,
    ACTIONS(647), 1,
      anon_sym_LPAREN,
    STATE(1209), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1231), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1229), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9669] = 5,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(560), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1231), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1229), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9715] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1990), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1988), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9757] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1994), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(1992), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [9799] = 17,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1996), 1,
      sym_identifier,
    ACTIONS(1998), 1,
      anon_sym_final,
    STATE(438), 1,
      sym__unannotated_type,
    STATE(448), 1,
      sym_generic_type,
    STATE(462), 1,
      sym_scoped_type_identifier,
    STATE(478), 1,
      sym__type,
    STATE(483), 1,
      sym_annotated_type,
    STATE(593), 1,
      sym_record_pattern,
    STATE(1273), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2002), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2004), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(475), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(786), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2000), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [9868] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(585), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1488), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1486), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [9917] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1415), 1,
      anon_sym_DASH_GT,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 9,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_COLON,
    ACTIONS(1319), 20,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [9964] = 7,
    ACTIONS(1499), 1,
      anon_sym_AT,
    ACTIONS(2008), 1,
      anon_sym_LBRACK,
    STATE(585), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1494), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1492), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [10013] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2013), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2011), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10053] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2017), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2015), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10093] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2021), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2019), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10133] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2017), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2015), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10173] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2025), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2023), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10213] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1825), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1823), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10253] = 16,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1996), 1,
      sym_identifier,
    STATE(438), 1,
      sym__unannotated_type,
    STATE(448), 1,
      sym_generic_type,
    STATE(462), 1,
      sym_scoped_type_identifier,
    STATE(479), 1,
      sym__type,
    STATE(483), 1,
      sym_annotated_type,
    STATE(588), 1,
      sym_record_pattern,
    STATE(1273), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2002), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2004), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(475), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(786), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2000), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [10319] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2029), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2027), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10359] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(478), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(480), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10399] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2033), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2031), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10439] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2037), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2035), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10479] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2041), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2039), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10519] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2045), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2043), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10559] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2049), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2047), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10599] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2053), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2051), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10639] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2057), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2055), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10679] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2061), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2059), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10719] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2065), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2063), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10759] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2069), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2067), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10799] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2073), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2071), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10841] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1833), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1831), 21,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10883] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1833), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1831), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [10923] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2079), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2077), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [10963] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2083), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2081), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11003] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2087), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2085), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11043] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2091), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(2089), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11083] = 15,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11146] = 14,
    ACTIONS(2073), 1,
      anon_sym_PIPE,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11207] = 13,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11266] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2081), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11335] = 9,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2073), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2071), 16,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11386] = 12,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11443] = 15,
    ACTIONS(2073), 1,
      anon_sym_PIPE,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11506] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2123), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11575] = 5,
    ACTIONS(2128), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2125), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    ACTIONS(1715), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1713), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [11618] = 6,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2073), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2071), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11663] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2131), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11732] = 7,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2073), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2071), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11779] = 16,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [11844] = 6,
    ACTIONS(2133), 1,
      anon_sym_LPAREN,
    ACTIONS(2135), 1,
      anon_sym_DOT,
    STATE(662), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1634), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [11888] = 6,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2139), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(628), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1717), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2137), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [11932] = 22,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2169), 1,
      anon_sym_COMMA,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(2173), 1,
      anon_sym_when,
    STATE(949), 1,
      aux_sym_argument_list_repeat1,
    STATE(1294), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2167), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [12008] = 6,
    ACTIONS(2178), 1,
      anon_sym_AT,
    ACTIONS(2181), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(628), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1692), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(2175), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [12052] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1323), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1319), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
  [12094] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2125), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1715), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(1713), 18,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [12133] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1584), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1582), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [12170] = 22,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2167), 1,
      anon_sym_COLON,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
    ACTIONS(2186), 1,
      anon_sym_when,
    STATE(986), 1,
      aux_sym_argument_list_repeat1,
    STATE(1294), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [12245] = 13,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12301] = 18,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2131), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12367] = 6,
    ACTIONS(1749), 1,
      anon_sym_LBRACK,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2188), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(478), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(480), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [12409] = 6,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2073), 7,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2071), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12451] = 15,
    ACTIONS(2073), 1,
      anon_sym_PIPE,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12511] = 18,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2123), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12577] = 18,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2081), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12643] = 18,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2190), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [12709] = 9,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2073), 4,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
    ACTIONS(2071), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12757] = 12,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2073), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 10,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12811] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1555), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1553), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [12847] = 14,
    ACTIONS(514), 1,
      sym_underscore_pattern,
    ACTIONS(2192), 1,
      sym_identifier,
    ACTIONS(2194), 1,
      anon_sym_RPAREN,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(830), 1,
      sym__unannotated_type,
    STATE(872), 1,
      sym_generic_type,
    STATE(1273), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1113), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [12905] = 15,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [12965] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1494), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1492), 15,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_throws,
      sym_this,
      sym_identifier,
  [13001] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2190), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [13067] = 16,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13129] = 7,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2073), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(2071), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13173] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2196), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [13239] = 14,
    ACTIONS(2073), 1,
      anon_sym_PIPE,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2071), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [13297] = 13,
    ACTIONS(514), 1,
      sym_underscore_pattern,
    ACTIONS(2192), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(830), 1,
      sym__unannotated_type,
    STATE(872), 1,
      sym_generic_type,
    STATE(1273), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1204), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [13352] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2198), 1,
      anon_sym_RPAREN,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    STATE(1102), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13421] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2202), 1,
      anon_sym_RPAREN,
    STATE(1115), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13490] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2206), 1,
      anon_sym_RBRACE,
    ACTIONS(2208), 1,
      anon_sym_COMMA,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    STATE(1000), 1,
      sym_enum_constant,
    STATE(1366), 1,
      sym_enum_body_declarations,
    STATE(1367), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [13543] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(476), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(478), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
    ACTIONS(480), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
  [13580] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2212), 1,
      anon_sym_RPAREN,
    STATE(1083), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13649] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2214), 1,
      anon_sym_RPAREN,
    STATE(1082), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13718] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2216), 1,
      anon_sym_RPAREN,
    STATE(1080), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13787] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2218), 1,
      anon_sym_RPAREN,
    STATE(1078), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [13856] = 15,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2220), 1,
      anon_sym_GT,
    ACTIONS(2222), 1,
      anon_sym_QMARK,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1093), 2,
      sym_wildcard,
      sym__type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(771), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [13915] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1849), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1847), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13950] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1773), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1771), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [13985] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
    ACTIONS(2224), 1,
      anon_sym_RPAREN,
    STATE(1161), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14054] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2226), 1,
      anon_sym_RPAREN,
    STATE(1071), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14123] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2228), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [14188] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2230), 1,
      anon_sym_RPAREN,
    STATE(1094), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14257] = 15,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_QMARK,
    ACTIONS(2232), 1,
      anon_sym_GT,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1156), 2,
      sym_wildcard,
      sym__type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(771), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [14316] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(2236), 1,
      anon_sym_SEMI,
    STATE(1176), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14385] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2238), 1,
      anon_sym_RPAREN,
    STATE(1112), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14454] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2240), 1,
      anon_sym_RPAREN,
    STATE(1110), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14523] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1837), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1835), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [14558] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2242), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
    STATE(1096), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14627] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2246), 1,
      anon_sym_RPAREN,
    STATE(1159), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14696] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2248), 1,
      anon_sym_RPAREN,
    STATE(1087), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14765] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(2250), 1,
      anon_sym_SEMI,
    STATE(1174), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14834] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2252), 1,
      anon_sym_RPAREN,
    STATE(1168), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14903] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2254), 1,
      anon_sym_RPAREN,
    STATE(1173), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [14972] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2256), 1,
      anon_sym_RPAREN,
    STATE(1095), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15041] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2258), 1,
      anon_sym_RPAREN,
    STATE(1089), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15110] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2260), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15179] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2262), 1,
      anon_sym_RPAREN,
    STATE(1123), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15248] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1885), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(1883), 23,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [15283] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(2264), 1,
      anon_sym_SEMI,
    STATE(1157), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15352] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2266), 1,
      anon_sym_RPAREN,
    STATE(1086), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15421] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2268), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15490] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2270), 1,
      anon_sym_RPAREN,
    STATE(1092), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15559] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2272), 1,
      anon_sym_RPAREN,
    STATE(1099), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15628] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2274), 1,
      anon_sym_RPAREN,
    STATE(1107), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15697] = 20,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2276), 1,
      anon_sym_RPAREN,
    STATE(1105), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [15766] = 18,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2141), 1,
      anon_sym_AMP,
    ACTIONS(2149), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2151), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2157), 1,
      anon_sym_SLASH,
    ACTIONS(2159), 1,
      anon_sym_PIPE,
    ACTIONS(2161), 1,
      anon_sym_CARET,
    ACTIONS(2165), 1,
      anon_sym_GT_GT,
    ACTIONS(2171), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2143), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2145), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2147), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2153), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2155), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2163), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2278), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [15830] = 5,
    ACTIONS(1231), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2280), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1983), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(1229), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [15868] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(2283), 1,
      anon_sym_RBRACE,
    STATE(1075), 1,
      sym_enum_constant,
    STATE(1358), 1,
      sym_enum_body_declarations,
    STATE(1367), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [15918] = 16,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2285), 1,
      sym_identifier,
    ACTIONS(2287), 1,
      anon_sym_DOT,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2293), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1079), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1255), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1512), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [15978] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1590), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1592), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16012] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2295), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [16076] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2222), 1,
      anon_sym_QMARK,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1223), 2,
      sym_wildcard,
      sym__type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(771), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16132] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1586), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1588), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16166] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1578), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1580), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16200] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1594), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1596), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16234] = 18,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2297), 1,
      sym_identifier,
    ACTIONS(2299), 1,
      anon_sym_class,
    ACTIONS(2301), 1,
      anon_sym_enum,
    ACTIONS(2303), 1,
      anon_sym_record,
    ACTIONS(2305), 1,
      anon_sym_ATinterface,
    ACTIONS(2307), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(778), 1,
      sym_type_parameters,
    STATE(787), 1,
      sym__unannotated_type,
    STATE(1030), 1,
      sym__constructor_declarator,
    STATE(1069), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [16298] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2309), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [16362] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2311), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16426] = 19,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2313), 1,
      anon_sym_COLON,
    ACTIONS(2315), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16492] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2317), 1,
      anon_sym_DOT,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1341), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16532] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2319), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [16596] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [16636] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2204), 1,
      sym_identifier,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    STATE(1075), 1,
      sym_enum_constant,
    STATE(1339), 1,
      sym_enum_body_declarations,
    STATE(1367), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16686] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2325), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [16750] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(2196), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [16814] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2327), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16877] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2329), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [16940] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2331), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17003] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2333), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17066] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2335), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17129] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2337), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17192] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2339), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17255] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2341), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17318] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2343), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17381] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1012), 1,
      sym__type,
    STATE(1226), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17436] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1012), 1,
      sym__type,
    STATE(1342), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17491] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1616), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1618), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17524] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2345), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17587] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1012), 1,
      sym__type,
    STATE(1202), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [17642] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2347), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17705] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2349), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17768] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2351), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17831] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2353), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17894] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1557), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1559), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [17927] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2355), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [17990] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2357), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18053] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2359), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18116] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2361), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18179] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2299), 1,
      anon_sym_class,
    ACTIONS(2301), 1,
      anon_sym_enum,
    ACTIONS(2303), 1,
      anon_sym_record,
    ACTIONS(2305), 1,
      anon_sym_ATinterface,
    ACTIONS(2307), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(784), 1,
      sym__unannotated_type,
    STATE(788), 1,
      sym_type_parameters,
    STATE(1069), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18240] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2363), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18303] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2365), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18366] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1612), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1614), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18399] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2367), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18462] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2369), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18525] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1574), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1576), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [18558] = 14,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2371), 1,
      anon_sym_open,
    ACTIONS(2373), 1,
      anon_sym_module,
    ACTIONS(2375), 1,
      anon_sym_package,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(828), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [18613] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2377), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18676] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2379), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18739] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2381), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18802] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2383), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18865] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2385), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18928] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2387), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [18991] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2389), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19054] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2278), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19117] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2391), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19180] = 17,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2299), 1,
      anon_sym_class,
    ACTIONS(2301), 1,
      anon_sym_enum,
    ACTIONS(2303), 1,
      anon_sym_record,
    ACTIONS(2305), 1,
      anon_sym_ATinterface,
    ACTIONS(2307), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(788), 1,
      sym_type_parameters,
    STATE(792), 1,
      sym__unannotated_type,
    STATE(1069), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19241] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2393), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19304] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2395), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19367] = 18,
    ACTIONS(2093), 1,
      anon_sym_AMP,
    ACTIONS(2105), 1,
      anon_sym_SLASH,
    ACTIONS(2107), 1,
      anon_sym_PIPE,
    ACTIONS(2109), 1,
      anon_sym_CARET,
    ACTIONS(2113), 1,
      anon_sym_GT_GT,
    ACTIONS(2115), 1,
      anon_sym_instanceof,
    ACTIONS(2117), 1,
      anon_sym_AMP_AMP,
    ACTIONS(2119), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(2121), 1,
      anon_sym_QMARK,
    ACTIONS(2397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2075), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2095), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2097), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(2099), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(2101), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(2103), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(2111), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
  [19430] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1138), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19482] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1256), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19534] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1610), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1608), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [19566] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [19598] = 4,
    ACTIONS(2321), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1529), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(1531), 11,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
  [19632] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1027), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19684] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1227), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19736] = 6,
    ACTIONS(2399), 1,
      anon_sym_LPAREN,
    ACTIONS(2401), 1,
      anon_sym_DOT,
    STATE(796), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1638), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1634), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [19774] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1098), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19826] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1041), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19878] = 16,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1324), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [19936] = 13,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(833), 1,
      sym__unannotated_type,
    STATE(908), 1,
      sym_annotated_type,
    STATE(1059), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(775), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [19988] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(422), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(420), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [20019] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1023), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1347), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20072] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(464), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2204), 1,
      sym_identifier,
    STATE(1075), 1,
      sym_enum_constant,
    STATE(1367), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(626), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(458), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [20113] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1014), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1347), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20166] = 12,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2407), 1,
      anon_sym_QMARK,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(828), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20215] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1017), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1347), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20268] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1324), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20321] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1584), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1582), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [20352] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(828), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20398] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2409), 1,
      sym_identifier,
    STATE(809), 1,
      sym_type_arguments,
    STATE(846), 1,
      sym_scoped_type_identifier,
    STATE(862), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2411), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(869), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20446] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2413), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(848), 1,
      sym_scoped_type_identifier,
    STATE(860), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2415), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(870), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(776), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20494] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2417), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(791), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20540] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2419), 1,
      sym_identifier,
    STATE(809), 1,
      sym_type_arguments,
    STATE(1006), 1,
      sym_scoped_type_identifier,
    STATE(1111), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2421), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1272), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20588] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2423), 1,
      sym_identifier,
    STATE(809), 1,
      sym_type_arguments,
    STATE(849), 1,
      sym_scoped_type_identifier,
    STATE(855), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2425), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(875), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20636] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2285), 1,
      sym_identifier,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2291), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(2293), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1079), 1,
      aux_sym_receiver_parameter_repeat1,
    STATE(1255), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20688] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1311), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20740] = 14,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2299), 1,
      anon_sym_class,
    ACTIONS(2301), 1,
      anon_sym_enum,
    ACTIONS(2303), 1,
      anon_sym_record,
    ACTIONS(2305), 1,
      anon_sym_ATinterface,
    ACTIONS(2307), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(798), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20792] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1320), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20844] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2427), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(987), 1,
      sym_scoped_type_identifier,
    STATE(1160), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2429), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1189), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(779), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20892] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2431), 1,
      sym_identifier,
    STATE(433), 1,
      sym__unannotated_type,
    STATE(462), 1,
      sym_scoped_type_identifier,
    STATE(465), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2002), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2004), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(475), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2000), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [20938] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1325), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [20990] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(826), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(791), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21036] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2433), 1,
      sym_identifier,
    STATE(813), 1,
      sym_type_arguments,
    STATE(843), 1,
      sym_scoped_type_identifier,
    STATE(858), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2435), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(868), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(780), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21084] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(880), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21130] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(827), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21176] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1309), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21228] = 14,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2403), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(861), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1065), 1,
      sym__method_declarator,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1378), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21280] = 11,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(850), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21326] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1036), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1377), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21373] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1849), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1847), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21402] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1773), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1771), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21431] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1309), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21478] = 13,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2437), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(874), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1320), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21527] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1013), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1377), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21574] = 13,
    ACTIONS(1403), 1,
      sym_identifier,
    ACTIONS(2299), 1,
      anon_sym_class,
    ACTIONS(2301), 1,
      anon_sym_enum,
    ACTIONS(2305), 1,
      anon_sym_ATinterface,
    ACTIONS(2307), 1,
      anon_sym_interface,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(799), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21623] = 13,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2289), 1,
      sym_underscore_pattern,
    ACTIONS(2439), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(867), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1311), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21672] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1021), 1,
      sym__variable_declarator_id,
    STATE(1070), 1,
      sym_variable_declarator,
    STATE(1377), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21719] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1837), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1835), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21748] = 12,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1345), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21795] = 5,
    ACTIONS(2445), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2443), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2441), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21828] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1885), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(1883), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21857] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2448), 1,
      sym_identifier,
    STATE(997), 1,
      sym_scoped_type_identifier,
    STATE(1136), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2450), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1236), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21899] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2452), 1,
      sym_identifier,
    STATE(992), 1,
      sym_scoped_type_identifier,
    STATE(1137), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2454), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1231), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(812), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21941] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2456), 1,
      sym_identifier,
    ACTIONS(2458), 1,
      anon_sym_new,
    ACTIONS(2460), 1,
      sym_this,
    ACTIONS(2462), 1,
      sym_super,
    STATE(497), 1,
      sym__reserved_identifier,
    STATE(516), 1,
      sym_string_literal,
    STATE(518), 1,
      sym__unqualified_object_creation_expression,
    STATE(923), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [21991] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2458), 1,
      anon_sym_new,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(2466), 1,
      sym_this,
    ACTIONS(2468), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(516), 1,
      sym_string_literal,
    STATE(518), 1,
      sym__unqualified_object_creation_expression,
    STATE(923), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22041] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2470), 1,
      sym_identifier,
    STATE(990), 1,
      sym_scoped_type_identifier,
    STATE(1144), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2472), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1201), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22083] = 10,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2474), 1,
      sym_identifier,
    STATE(993), 1,
      sym_scoped_type_identifier,
    STATE(1066), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2476), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1295), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(808), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22125] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2478), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1257), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22169] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2291), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1255), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22213] = 14,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2458), 1,
      anon_sym_new,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(2466), 1,
      sym_this,
    ACTIONS(2480), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(516), 1,
      sym_string_literal,
    STATE(518), 1,
      sym__unqualified_object_creation_expression,
    STATE(919), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(526), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22263] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    ACTIONS(2482), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1091), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22306] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [22339] = 10,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1337), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_AT,
    STATE(544), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1334), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2487), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22380] = 11,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    ACTIONS(2489), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1245), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22423] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(893), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2491), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22462] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1328), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22503] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2497), 1,
      anon_sym_PIPE,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2495), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22539] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(551), 1,
      sym_block,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1197), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22579] = 10,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(554), 1,
      sym_block,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1197), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [22619] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1045), 1,
      sym__method_declarator,
    STATE(1269), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22659] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2503), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1026), 1,
      sym__method_declarator,
    STATE(1269), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22699] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1504), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [22733] = 10,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(821), 1,
      sym__unannotated_type,
    STATE(892), 1,
      sym_catch_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22773] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2489), 1,
      sym_identifier,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1245), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [22810] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(795), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22847] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(803), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22884] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1512), 8,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [22917] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2507), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2505), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22942] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(800), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [22979] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(814), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23016] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(823), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23053] = 9,
    ACTIONS(1403), 1,
      sym_identifier,
    STATE(707), 1,
      sym_scoped_type_identifier,
    STATE(759), 1,
      sym_generic_type,
    STATE(822), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(89), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(91), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(758), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(87), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [23090] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2511), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(2509), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23115] = 4,
    ACTIONS(2484), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1529), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [23142] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(496), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1232), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(877), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23184] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1296), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(865), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23226] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(729), 1,
      sym_type_arguments,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23268] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(489), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1296), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(447), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23310] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(496), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1232), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(450), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23352] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(729), 1,
      sym_type_arguments,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(876), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23394] = 4,
    ACTIONS(2517), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2196), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(1986), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23420] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(729), 1,
      sym_type_arguments,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(871), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23462] = 12,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(729), 1,
      sym_type_arguments,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23504] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2519), 1,
      sym_identifier,
    ACTIONS(2521), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1125), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1504), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23541] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(740), 1,
      sym_type_arguments,
    STATE(1298), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23574] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(586), 1,
      sym_record_pattern_body,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1341), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1317), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23607] = 7,
    ACTIONS(2523), 1,
      sym_identifier,
    STATE(856), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(921), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2525), 2,
      anon_sym_transitive,
      anon_sym_static,
    STATE(1293), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23637] = 9,
    ACTIONS(2527), 1,
      anon_sym_RBRACE,
    ACTIONS(2529), 1,
      anon_sym_requires,
    ACTIONS(2532), 1,
      anon_sym_exports,
    ACTIONS(2535), 1,
      anon_sym_opens,
    ACTIONS(2538), 1,
      anon_sym_uses,
    ACTIONS(2541), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(854), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(944), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [23671] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23707] = 8,
    ACTIONS(2544), 1,
      sym_identifier,
    STATE(888), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(921), 1,
      sym_requires_modifier,
    STATE(1248), 1,
      sym__reserved_identifier,
    STATE(1263), 1,
      sym_scoped_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2525), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [23739] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2546), 1,
      anon_sym_DOT,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 3,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
    ACTIONS(1529), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [23767] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23803] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(991), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2549), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [23833] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(871), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23869] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(883), 1,
      sym_formal_parameters,
    STATE(991), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2549), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23903] = 10,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(876), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [23939] = 9,
    ACTIONS(2551), 1,
      anon_sym_RBRACE,
    ACTIONS(2553), 1,
      anon_sym_requires,
    ACTIONS(2555), 1,
      anon_sym_exports,
    ACTIONS(2557), 1,
      anon_sym_opens,
    ACTIONS(2559), 1,
      anon_sym_uses,
    ACTIONS(2561), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(864), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(944), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [23973] = 9,
    ACTIONS(2553), 1,
      anon_sym_requires,
    ACTIONS(2555), 1,
      anon_sym_exports,
    ACTIONS(2557), 1,
      anon_sym_opens,
    ACTIONS(2559), 1,
      anon_sym_uses,
    ACTIONS(2561), 1,
      anon_sym_provides,
    ACTIONS(2563), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(854), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(944), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [24007] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(530), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1523), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24038] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2456), 1,
      sym_identifier,
    ACTIONS(2460), 1,
      sym_this,
    ACTIONS(2462), 1,
      sym_super,
    STATE(497), 1,
      sym__reserved_identifier,
    STATE(923), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24069] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2565), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(991), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2549), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24100] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(449), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24133] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(876), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24166] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(490), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1297), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(871), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24199] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(513), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1535), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24230] = 6,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1531), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1529), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24257] = 8,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2464), 1,
      sym_identifier,
    ACTIONS(2466), 1,
      sym_this,
    ACTIONS(2468), 1,
      sym_super,
    STATE(429), 1,
      sym__reserved_identifier,
    STATE(923), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24288] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2567), 1,
      anon_sym_LPAREN,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(991), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2549), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24319] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(486), 1,
      sym_argument_list,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1233), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(451), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24352] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(572), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1543), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24383] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2513), 1,
      anon_sym_LBRACK,
    STATE(569), 1,
      sym_dimensions,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1539), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(473), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(977), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24414] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_default,
    ACTIONS(2571), 1,
      anon_sym_SEMI,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1163), 1,
      sym_dimensions,
    STATE(1316), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24446] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2573), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(991), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24476] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2519), 1,
      sym_identifier,
    ACTIONS(2521), 1,
      sym_this,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    STATE(1125), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24508] = 7,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2575), 1,
      sym_identifier,
    ACTIONS(2577), 1,
      sym_this,
    STATE(428), 1,
      sym__reserved_identifier,
    STATE(924), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24536] = 7,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(2579), 1,
      sym_identifier,
    ACTIONS(2581), 1,
      sym_this,
    STATE(500), 1,
      sym__reserved_identifier,
    STATE(924), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24564] = 7,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1154), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2583), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24592] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1196), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24618] = 9,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2569), 1,
      anon_sym_default,
    ACTIONS(2585), 1,
      anon_sym_SEMI,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(1141), 1,
      sym_dimensions,
    STATE(1357), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [24650] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1205), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24676] = 6,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1064), 1,
      sym__variable_declarator_id,
    STATE(1254), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24702] = 5,
    STATE(888), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(921), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2589), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(2587), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24726] = 6,
    ACTIONS(2592), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2596), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2594), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2598), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(894), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24751] = 6,
    ACTIONS(2602), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2607), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2604), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2610), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(890), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24776] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_extends,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(328), 1,
      sym_class_body,
    STATE(925), 1,
      sym_type_parameters,
    STATE(980), 1,
      sym_superclass,
    STATE(1022), 1,
      sym_super_interfaces,
    STATE(1184), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24811] = 5,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1302), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24834] = 4,
    ACTIONS(2493), 1,
      anon_sym_PIPE,
    STATE(896), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2619), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24855] = 6,
    ACTIONS(2596), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2621), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(2594), 2,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2623), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(890), 4,
      sym__multiline_string_fragment,
      sym_string_interpolation,
      sym__escape_sequence,
      aux_sym__multiline_string_literal_repeat1,
  [24880] = 5,
    STATE(859), 1,
      sym__reserved_identifier,
    STATE(1305), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2289), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24903] = 4,
    ACTIONS(2625), 1,
      anon_sym_PIPE,
    STATE(896), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2495), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [24924] = 5,
    ACTIONS(2628), 1,
      sym_identifier,
    ACTIONS(2630), 1,
      anon_sym_static,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1215), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [24947] = 11,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_extends,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(258), 1,
      sym_class_body,
    STATE(926), 1,
      sym_type_parameters,
    STATE(956), 1,
      sym_superclass,
    STATE(1060), 1,
      sym_super_interfaces,
    STATE(1291), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [24982] = 8,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(1512), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2006), 1,
      anon_sym_LBRACK,
    ACTIONS(2405), 1,
      anon_sym_DOT,
    STATE(583), 1,
      aux_sym_dimensions_repeat1,
    STATE(757), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(945), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25011] = 4,
    ACTIONS(2632), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1067), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25031] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2634), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25047] = 4,
    ACTIONS(2636), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1250), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25067] = 4,
    ACTIONS(2638), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1038), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25087] = 4,
    ACTIONS(2640), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1155), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25107] = 4,
    ACTIONS(2642), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(762), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(2644), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25127] = 8,
    ACTIONS(2646), 1,
      anon_sym_RBRACE,
    ACTIONS(2648), 1,
      anon_sym_case,
    ACTIONS(2650), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1217), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(929), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(968), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [25155] = 4,
    ACTIONS(2652), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1229), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25175] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1512), 9,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_implements,
      anon_sym_permits,
  [25191] = 4,
    ACTIONS(2654), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1213), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25211] = 4,
    ACTIONS(2656), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1150), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25231] = 4,
    ACTIONS(2658), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1040), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25251] = 4,
    ACTIONS(2660), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1143), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25271] = 4,
    ACTIONS(2662), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(485), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25291] = 4,
    ACTIONS(2664), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1101), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25311] = 4,
    ACTIONS(2666), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1262), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25331] = 4,
    ACTIONS(2668), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1034), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25351] = 4,
    ACTIONS(2670), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1283), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25371] = 4,
    ACTIONS(2672), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1124), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25391] = 5,
    ACTIONS(2674), 1,
      sym_identifier,
    ACTIONS(2676), 1,
      sym_super,
    STATE(1192), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25413] = 4,
    ACTIONS(2678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(625), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(1241), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25433] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2680), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [25449] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2682), 1,
      anon_sym_extends,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(280), 1,
      sym_interface_body,
    STATE(967), 1,
      sym_type_parameters,
    STATE(1025), 1,
      sym_extends_interfaces,
    STATE(1225), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25478] = 4,
    ACTIONS(2674), 1,
      sym_identifier,
    STATE(1192), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25497] = 4,
    ACTIONS(2686), 1,
      sym_identifier,
    STATE(1247), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25516] = 9,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_extends,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(324), 1,
      sym_class_body,
    STATE(946), 1,
      sym_superclass,
    STATE(1046), 1,
      sym_super_interfaces,
    STATE(1276), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25545] = 9,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2613), 1,
      anon_sym_extends,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(317), 1,
      sym_class_body,
    STATE(940), 1,
      sym_superclass,
    STATE(1015), 1,
      sym_super_interfaces,
    STATE(1222), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25574] = 4,
    ACTIONS(2688), 1,
      sym_identifier,
    STATE(1260), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(69), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25593] = 9,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2682), 1,
      anon_sym_extends,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_interface_body,
    STATE(941), 1,
      sym_type_parameters,
    STATE(1050), 1,
      sym_extends_interfaces,
    STATE(1277), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25622] = 7,
    ACTIONS(2650), 1,
      anon_sym_default,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    ACTIONS(2692), 1,
      anon_sym_case,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1322), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(935), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [25646] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(983), 1,
      sym_argument_list,
    STATE(1118), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2694), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25668] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2696), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25682] = 5,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2698), 1,
      sym_identifier,
    STATE(1131), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(942), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25702] = 5,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2698), 1,
      sym_identifier,
    STATE(1244), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(942), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25722] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2700), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25736] = 7,
    ACTIONS(2702), 1,
      anon_sym_RBRACE,
    ACTIONS(2704), 1,
      anon_sym_case,
    ACTIONS(2707), 1,
      anon_sym_default,
    STATE(4), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(1322), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(935), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [25760] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2710), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25774] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2712), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25788] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2714), 7,
      anon_sym_DASH_GT,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_implements,
      anon_sym_throws,
  [25802] = 6,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(985), 1,
      sym_argument_list,
    STATE(1074), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2716), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [25824] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(385), 1,
      sym_class_body,
    STATE(1033), 1,
      sym_super_interfaces,
    STATE(1199), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25847] = 7,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2682), 1,
      anon_sym_extends,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_interface_body,
    STATE(1020), 1,
      sym_extends_interfaces,
    STATE(1195), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25870] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2718), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25887] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2720), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(982), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25904] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2722), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [25917] = 4,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2724), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25934] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(330), 1,
      sym_class_body,
    STATE(1061), 1,
      sym_super_interfaces,
    STATE(1241), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [25957] = 6,
    ACTIONS(2726), 1,
      anon_sym_RBRACE,
    ACTIONS(2728), 1,
      anon_sym_case,
    ACTIONS(2731), 1,
      anon_sym_default,
    STATE(1337), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(947), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [25978] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2734), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [25995] = 6,
    ACTIONS(2169), 1,
      anon_sym_COMMA,
    ACTIONS(2173), 1,
      anon_sym_when,
    STATE(1008), 1,
      aux_sym_argument_list_repeat1,
    STATE(1224), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2736), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [26016] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2738), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26029] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2738), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26042] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2738), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26055] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2740), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26068] = 4,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26085] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2744), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26098] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(307), 1,
      sym_class_body,
    STATE(1016), 1,
      sym_super_interfaces,
    STATE(1220), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26121] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2746), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26134] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2748), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26147] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2750), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26164] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(972), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26181] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2754), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(948), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26198] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2756), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26211] = 4,
    ACTIONS(2443), 1,
      anon_sym_LBRACK,
    ACTIONS(2758), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26228] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2761), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26241] = 2,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2763), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26254] = 6,
    ACTIONS(2765), 1,
      anon_sym_DQUOTE,
    ACTIONS(2767), 1,
      sym_string_fragment,
    ACTIONS(2769), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2771), 1,
      sym_escape_sequence,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(973), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26275] = 7,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2682), 1,
      anon_sym_extends,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(316), 1,
      sym_interface_body,
    STATE(1054), 1,
      sym_extends_interfaces,
    STATE(1284), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26298] = 6,
    ACTIONS(2648), 1,
      anon_sym_case,
    ACTIONS(2650), 1,
      anon_sym_default,
    ACTIONS(2690), 1,
      anon_sym_RBRACE,
    STATE(1337), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(947), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [26319] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2773), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26332] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2775), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26345] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2777), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26358] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2779), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26375] = 6,
    ACTIONS(2769), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2781), 1,
      anon_sym_DQUOTE,
    ACTIONS(2783), 1,
      sym_string_fragment,
    ACTIONS(2785), 1,
      sym_escape_sequence,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(975), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26396] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2787), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [26409] = 6,
    ACTIONS(2789), 1,
      anon_sym_DQUOTE,
    ACTIONS(2791), 1,
      sym_string_fragment,
    ACTIONS(2794), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(2797), 1,
      sym_escape_sequence,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(975), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [26430] = 4,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2800), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26447] = 4,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2802), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26464] = 4,
    ACTIONS(460), 1,
      anon_sym_AT,
    ACTIONS(2804), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(963), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26481] = 2,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2806), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      aux_sym__multiline_string_fragment_token1,
      aux_sym__multiline_string_fragment_token2,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
  [26494] = 7,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(323), 1,
      sym_class_body,
    STATE(1049), 1,
      sym_super_interfaces,
    STATE(1278), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26517] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2808), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(959), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26534] = 4,
    ACTIONS(424), 1,
      anon_sym_AT,
    ACTIONS(2810), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(806), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [26551] = 4,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1077), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2812), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26567] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(496), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26587] = 4,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(1147), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2814), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [26603] = 6,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
    ACTIONS(2186), 1,
      anon_sym_when,
    ACTIONS(2736), 1,
      anon_sym_COLON,
    STATE(998), 1,
      aux_sym_argument_list_repeat1,
    STATE(1224), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26623] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26643] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(491), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26663] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(494), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26683] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(498), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26703] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2816), 5,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
  [26715] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(487), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26735] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(492), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26755] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(495), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26775] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(489), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26795] = 4,
    STATE(1240), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2818), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    ACTIONS(2820), 2,
      anon_sym_extends,
      sym_super,
  [26811] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26831] = 4,
    ACTIONS(2822), 1,
      anon_sym_COMMA,
    STATE(998), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2190), 3,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_when,
  [26847] = 6,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(2825), 1,
      anon_sym_COMMA,
    STATE(1058), 1,
      aux_sym_enum_body_repeat1,
    STATE(1339), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26867] = 6,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(2829), 1,
      anon_sym_COMMA,
    STATE(999), 1,
      aux_sym_enum_body_repeat1,
    STATE(1313), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26887] = 5,
    ACTIONS(2831), 1,
      anon_sym_catch,
    ACTIONS(2833), 1,
      anon_sym_finally,
    STATE(277), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(159), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [26905] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2501), 1,
      anon_sym_DOT,
    STATE(499), 1,
      sym_argument_list,
    STATE(740), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26925] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2487), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1319), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [26939] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(544), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1319), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [26955] = 4,
    STATE(1212), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2820), 2,
      anon_sym_extends,
      sym_super,
    ACTIONS(2835), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [26971] = 6,
    ACTIONS(252), 1,
      anon_sym_LT,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    STATE(729), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [26991] = 4,
    ACTIONS(2837), 1,
      anon_sym_COMMA,
    STATE(1007), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2840), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [27007] = 4,
    ACTIONS(2842), 1,
      anon_sym_COMMA,
    STATE(1008), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2190), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [27023] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(1024), 1,
      sym_formal_parameters,
    STATE(1280), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27040] = 5,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_throws,
    STATE(549), 1,
      sym_constructor_body,
    STATE(1193), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27057] = 5,
    ACTIONS(2849), 1,
      anon_sym_LPAREN,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    STATE(1001), 1,
      sym_block,
    STATE(1210), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27074] = 4,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    STATE(1031), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2855), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27089] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2861), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27104] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2863), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27119] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(387), 1,
      sym_class_body,
    STATE(1194), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27136] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(384), 1,
      sym_class_body,
    STATE(1221), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27153] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2865), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27168] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2867), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27179] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    STATE(341), 1,
      sym_class_body,
    STATE(1258), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27196] = 5,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(329), 1,
      sym_interface_body,
    STATE(1265), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27213] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2869), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27228] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(322), 1,
      sym_class_body,
    STATE(1279), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27245] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2871), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27260] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    STATE(319), 1,
      sym_class_body,
    STATE(1282), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27277] = 5,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(314), 1,
      sym_interface_body,
    STATE(1288), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27294] = 4,
    ACTIONS(2847), 1,
      anon_sym_throws,
    STATE(1292), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2873), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27309] = 4,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    STATE(1055), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2875), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27324] = 5,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2877), 1,
      anon_sym_RPAREN,
    ACTIONS(2879), 1,
      anon_sym_AMP,
    STATE(1106), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27341] = 4,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    STATE(1056), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2883), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27356] = 5,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    ACTIONS(2847), 1,
      anon_sym_throws,
    STATE(553), 1,
      sym_constructor_body,
    STATE(1228), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27373] = 4,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    STATE(1007), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2885), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [27388] = 5,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2879), 1,
      anon_sym_AMP,
    ACTIONS(2887), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27405] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(291), 1,
      sym_class_body,
    STATE(1300), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27422] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    ACTIONS(2891), 1,
      anon_sym_SEMI,
    STATE(1178), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27439] = 4,
    ACTIONS(2173), 1,
      anon_sym_when,
    STATE(1294), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2167), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [27454] = 4,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(2893), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27469] = 4,
    ACTIONS(2897), 1,
      anon_sym_extends,
    STATE(1287), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2895), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27484] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2899), 1,
      anon_sym_COMMA,
    ACTIONS(2901), 1,
      anon_sym_SEMI,
    STATE(1097), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27501] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2903), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27512] = 5,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2899), 1,
      anon_sym_COMMA,
    ACTIONS(2905), 1,
      anon_sym_SEMI,
    STATE(1177), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27529] = 4,
    ACTIONS(2881), 1,
      anon_sym_AMP,
    STATE(1029), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2907), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27544] = 3,
    ACTIONS(2909), 1,
      sym_string_fragment,
    ACTIONS(2600), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2763), 3,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      sym_escape_sequence,
  [27557] = 5,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2911), 1,
      anon_sym_LBRACE,
    STATE(294), 1,
      sym_enum_body,
    STATE(1281), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27574] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2913), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27585] = 4,
    ACTIONS(2847), 1,
      anon_sym_throws,
    STATE(1214), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2915), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27600] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(337), 1,
      sym_class_body,
    STATE(1239), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27617] = 5,
    ACTIONS(2615), 1,
      anon_sym_implements,
    ACTIONS(2911), 1,
      anon_sym_LBRACE,
    STATE(298), 1,
      sym_enum_body,
    STATE(1183), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27634] = 5,
    ACTIONS(19), 1,
      anon_sym_LT,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      sym_formal_parameters,
    STATE(1180), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27651] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(343), 1,
      sym_class_body,
    STATE(1238), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27668] = 5,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(339), 1,
      sym_interface_body,
    STATE(1179), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27685] = 4,
    ACTIONS(252), 1,
      anon_sym_LT,
    STATE(1274), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2917), 2,
      anon_sym_new,
      sym_identifier,
  [27700] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    STATE(346), 1,
      sym_class_body,
    STATE(1235), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27717] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2615), 1,
      anon_sym_implements,
    STATE(325), 1,
      sym_class_body,
    STATE(1200), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27734] = 5,
    ACTIONS(2617), 1,
      anon_sym_permits,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(355), 1,
      sym_interface_body,
    STATE(1234), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27751] = 4,
    ACTIONS(2853), 1,
      anon_sym_COMMA,
    STATE(1007), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2919), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27766] = 4,
    ACTIONS(2921), 1,
      anon_sym_AMP,
    STATE(1056), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2924), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27781] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2926), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27792] = 4,
    ACTIONS(2930), 1,
      anon_sym_COMMA,
    STATE(1058), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2928), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [27807] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2840), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_permits,
  [27818] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(303), 1,
      sym_class_body,
    STATE(1219), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27835] = 5,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_permits,
    STATE(275), 1,
      sym_class_body,
    STATE(1203), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27852] = 5,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2933), 1,
      anon_sym_DOT,
    STATE(1338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27869] = 4,
    ACTIONS(2897), 1,
      anon_sym_extends,
    STATE(1242), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2935), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [27884] = 3,
    ACTIONS(2857), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2859), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [27897] = 4,
    ACTIONS(2847), 1,
      anon_sym_throws,
    STATE(1264), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2937), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [27912] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(492), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27926] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(2939), 1,
      anon_sym_SEMI,
    ACTIONS(2941), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27940] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2943), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27954] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(2945), 1,
      anon_sym_SEMI,
    STATE(391), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27968] = 4,
    ACTIONS(2947), 1,
      anon_sym_COMMA,
    ACTIONS(2949), 1,
      anon_sym_SEMI,
    STATE(1114), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27982] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2951), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [27996] = 4,
    ACTIONS(2953), 1,
      anon_sym_RPAREN,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28010] = 4,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(2957), 1,
      anon_sym_RPAREN,
    STATE(1116), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28024] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2959), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28034] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2928), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28044] = 4,
    ACTIONS(2879), 1,
      anon_sym_AMP,
    ACTIONS(2961), 1,
      anon_sym_RPAREN,
    STATE(1117), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28058] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2963), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28068] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2965), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28082] = 4,
    ACTIONS(2519), 1,
      sym_identifier,
    ACTIONS(2521), 1,
      sym_this,
    STATE(1120), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28096] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2967), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28110] = 4,
    ACTIONS(2969), 1,
      anon_sym_RPAREN,
    ACTIONS(2971), 1,
      anon_sym_COMMA,
    STATE(1081), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28124] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2974), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28138] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2976), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28152] = 4,
    ACTIONS(1632), 1,
      anon_sym_RPAREN,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    STATE(1121), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28166] = 4,
    ACTIONS(508), 1,
      anon_sym_RBRACE,
    ACTIONS(2980), 1,
      anon_sym_COMMA,
    STATE(1130), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28180] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2982), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28194] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2984), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28208] = 4,
    ACTIONS(2986), 1,
      anon_sym_GT,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28222] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2990), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28236] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2992), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [28246] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2994), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [28256] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(2996), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28270] = 4,
    ACTIONS(2998), 1,
      anon_sym_GT,
    ACTIONS(3000), 1,
      anon_sym_COMMA,
    STATE(1133), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28284] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3002), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28298] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3004), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28312] = 4,
    ACTIONS(520), 1,
      anon_sym_RBRACE,
    ACTIONS(3006), 1,
      anon_sym_COMMA,
    STATE(1104), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28326] = 4,
    ACTIONS(2899), 1,
      anon_sym_COMMA,
    ACTIONS(3008), 1,
      anon_sym_SEMI,
    STATE(1149), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28340] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2924), 3,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
  [28350] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3010), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28364] = 4,
    ACTIONS(3012), 1,
      anon_sym_RPAREN,
    ACTIONS(3014), 1,
      anon_sym_SEMI,
    STATE(1175), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28378] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    STATE(301), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28392] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3018), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28406] = 4,
    ACTIONS(3020), 1,
      sym_identifier,
    ACTIONS(3022), 1,
      anon_sym_STAR,
    STATE(1362), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28420] = 4,
    ACTIONS(2295), 1,
      anon_sym_RBRACE,
    ACTIONS(3024), 1,
      anon_sym_COMMA,
    STATE(1104), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28434] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3027), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28448] = 4,
    ACTIONS(2879), 1,
      anon_sym_AMP,
    ACTIONS(3029), 1,
      anon_sym_RPAREN,
    STATE(1117), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28462] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3031), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28476] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3033), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28490] = 4,
    ACTIONS(3035), 1,
      anon_sym_RPAREN,
    ACTIONS(3037), 1,
      anon_sym_COMMA,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28504] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3040), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28518] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(486), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28532] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3042), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28546] = 4,
    ACTIONS(2955), 1,
      anon_sym_COMMA,
    ACTIONS(3044), 1,
      anon_sym_RPAREN,
    STATE(1072), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28560] = 4,
    ACTIONS(2947), 1,
      anon_sym_COMMA,
    ACTIONS(3046), 1,
      anon_sym_SEMI,
    STATE(1153), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28574] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3048), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28588] = 4,
    ACTIONS(3050), 1,
      anon_sym_RPAREN,
    ACTIONS(3052), 1,
      anon_sym_COMMA,
    STATE(1116), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28602] = 4,
    ACTIONS(3055), 1,
      anon_sym_RPAREN,
    ACTIONS(3057), 1,
      anon_sym_AMP,
    STATE(1117), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28616] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3060), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28626] = 4,
    ACTIONS(1749), 1,
      anon_sym_LBRACK,
    ACTIONS(1751), 1,
      anon_sym_DOT,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28640] = 4,
    ACTIONS(3062), 1,
      sym_identifier,
    ACTIONS(3065), 1,
      sym_this,
    STATE(1120), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28654] = 4,
    ACTIONS(3067), 1,
      anon_sym_RPAREN,
    ACTIONS(3069), 1,
      anon_sym_COMMA,
    STATE(1121), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28668] = 4,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(3072), 1,
      anon_sym_RPAREN,
    STATE(1148), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28682] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3074), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28696] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3076), 1,
      anon_sym_SEMI,
    ACTIONS(3078), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28710] = 4,
    ACTIONS(2519), 1,
      sym_identifier,
    ACTIONS(3080), 1,
      sym_this,
    STATE(1120), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28724] = 4,
    ACTIONS(3082), 1,
      anon_sym_RPAREN,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    STATE(1081), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28738] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    STATE(288), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28752] = 4,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
    ACTIONS(3088), 1,
      anon_sym_COMMA,
    STATE(1085), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28766] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3090), 1,
      anon_sym_RPAREN,
    STATE(1081), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28780] = 4,
    ACTIONS(3092), 1,
      anon_sym_RBRACE,
    ACTIONS(3094), 1,
      anon_sym_COMMA,
    STATE(1130), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28794] = 4,
    ACTIONS(2988), 1,
      anon_sym_COMMA,
    ACTIONS(3097), 1,
      anon_sym_GT,
    STATE(1088), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28808] = 4,
    ACTIONS(3099), 1,
      anon_sym_COMMA,
    ACTIONS(3102), 1,
      anon_sym_SEMI,
    STATE(1132), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28822] = 4,
    ACTIONS(3000), 1,
      anon_sym_COMMA,
    ACTIONS(3104), 1,
      anon_sym_GT,
    STATE(1146), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28836] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    STATE(1129), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28850] = 4,
    ACTIONS(3108), 1,
      anon_sym_RPAREN,
    ACTIONS(3110), 1,
      anon_sym_SEMI,
    STATE(1135), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28864] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28878] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(487), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28892] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3113), 3,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [28902] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3115), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [28912] = 4,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    STATE(1084), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28926] = 4,
    ACTIONS(2569), 1,
      anon_sym_default,
    ACTIONS(3119), 1,
      anon_sym_SEMI,
    STATE(1343), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28940] = 4,
    ACTIONS(3121), 1,
      anon_sym_COMMA,
    ACTIONS(3124), 1,
      anon_sym_SEMI,
    STATE(1142), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28954] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3126), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [28966] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(498), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28980] = 4,
    ACTIONS(2242), 1,
      anon_sym_RBRACE,
    ACTIONS(2244), 1,
      anon_sym_COMMA,
    STATE(1096), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [28994] = 4,
    ACTIONS(3128), 1,
      anon_sym_GT,
    ACTIONS(3130), 1,
      anon_sym_COMMA,
    STATE(1146), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29008] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3133), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29018] = 4,
    ACTIONS(2978), 1,
      anon_sym_COMMA,
    ACTIONS(3135), 1,
      anon_sym_RPAREN,
    STATE(1121), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29032] = 4,
    ACTIONS(3137), 1,
      anon_sym_COMMA,
    ACTIONS(3140), 1,
      anon_sym_SEMI,
    STATE(1149), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29046] = 4,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3016), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29060] = 4,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    ACTIONS(3142), 1,
      anon_sym_SEMI,
    STATE(389), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29074] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2228), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29084] = 4,
    ACTIONS(3144), 1,
      anon_sym_COMMA,
    ACTIONS(3147), 1,
      anon_sym_SEMI,
    STATE(1153), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29098] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3149), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_throws,
  [29108] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3151), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29120] = 4,
    ACTIONS(3000), 1,
      anon_sym_COMMA,
    ACTIONS(3153), 1,
      anon_sym_GT,
    STATE(1162), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29134] = 4,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(3155), 1,
      anon_sym_SEMI,
    STATE(1132), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29148] = 4,
    ACTIONS(3157), 1,
      anon_sym_RPAREN,
    ACTIONS(3159), 1,
      anon_sym_COMMA,
    STATE(1158), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29162] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3162), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29176] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(2515), 1,
      anon_sym_DOT,
    STATE(490), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29190] = 4,
    ACTIONS(2184), 1,
      anon_sym_COMMA,
    ACTIONS(3164), 1,
      anon_sym_RPAREN,
    STATE(998), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29204] = 4,
    ACTIONS(3000), 1,
      anon_sym_COMMA,
    ACTIONS(3166), 1,
      anon_sym_GT,
    STATE(1146), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29218] = 4,
    ACTIONS(2569), 1,
      anon_sym_default,
    ACTIONS(3168), 1,
      anon_sym_SEMI,
    STATE(1354), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29232] = 4,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    ACTIONS(3170), 1,
      anon_sym_DOT,
    STATE(1375), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29246] = 4,
    ACTIONS(3172), 1,
      anon_sym_GT,
    ACTIONS(3174), 1,
      anon_sym_COMMA,
    STATE(1165), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29260] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    STATE(1169), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29274] = 4,
    ACTIONS(2167), 1,
      anon_sym_COLON,
    ACTIONS(2186), 1,
      anon_sym_when,
    STATE(1294), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29288] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3179), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29302] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3181), 1,
      anon_sym_RPAREN,
    STATE(1081), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29316] = 4,
    ACTIONS(2210), 1,
      anon_sym_SEMI,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    STATE(1313), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29330] = 4,
    ACTIONS(3020), 1,
      sym_identifier,
    ACTIONS(3022), 1,
      anon_sym_STAR,
    STATE(1314), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29344] = 4,
    ACTIONS(3084), 1,
      anon_sym_COMMA,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    STATE(1126), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29358] = 4,
    ACTIONS(2200), 1,
      anon_sym_COMMA,
    ACTIONS(3185), 1,
      anon_sym_RPAREN,
    STATE(1109), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29372] = 4,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(3187), 1,
      anon_sym_SEMI,
    STATE(1132), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29386] = 4,
    ACTIONS(649), 1,
      anon_sym_RPAREN,
    ACTIONS(3189), 1,
      anon_sym_SEMI,
    STATE(1135), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29400] = 4,
    ACTIONS(2234), 1,
      anon_sym_COMMA,
    ACTIONS(3191), 1,
      anon_sym_SEMI,
    STATE(1132), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29414] = 4,
    ACTIONS(2899), 1,
      anon_sym_COMMA,
    ACTIONS(3193), 1,
      anon_sym_SEMI,
    STATE(1149), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29428] = 4,
    ACTIONS(2889), 1,
      anon_sym_COMMA,
    ACTIONS(3195), 1,
      anon_sym_SEMI,
    STATE(1142), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29442] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(256), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29453] = 3,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(1019), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29464] = 3,
    ACTIONS(647), 1,
      anon_sym_LPAREN,
    STATE(1208), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29475] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(38), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29486] = 3,
    ACTIONS(2911), 1,
      anon_sym_LBRACE,
    STATE(320), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29497] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(321), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29508] = 3,
    ACTIONS(3199), 1,
      sym_identifier,
    ACTIONS(3201), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29519] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3203), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29528] = 3,
    ACTIONS(3205), 1,
      sym_identifier,
    ACTIONS(3207), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29539] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(54), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29550] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(490), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29561] = 3,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3209), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29572] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1353), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29583] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(567), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29594] = 3,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(543), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29605] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29616] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(331), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29627] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3211), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29636] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3213), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [29645] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(1370), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29656] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(290), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29667] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(340), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29678] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29689] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3215), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [29698] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(299), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29709] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3157), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [29718] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3217), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [29727] = 3,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2933), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29738] = 3,
    ACTIONS(3117), 1,
      anon_sym_RPAREN,
    ACTIONS(3219), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29749] = 3,
    ACTIONS(3221), 1,
      anon_sym_LBRACE,
    STATE(112), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29760] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(271), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29771] = 3,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    STATE(158), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29782] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3092), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [29791] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3223), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29800] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3225), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29811] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3227), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [29820] = 3,
    ACTIONS(3229), 1,
      anon_sym_DOT,
    ACTIONS(3231), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29831] = 3,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    STATE(300), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29842] = 3,
    ACTIONS(3235), 1,
      anon_sym_DASH_GT,
    ACTIONS(3237), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29853] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3239), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [29862] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(381), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29873] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(382), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29884] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(286), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29895] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(386), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29906] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3128), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29915] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3241), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [29924] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(315), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29935] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3243), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [29944] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3245), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [29953] = 3,
    ACTIONS(2845), 1,
      anon_sym_LBRACE,
    STATE(525), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29964] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3247), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29975] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2295), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [29984] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(487), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [29995] = 3,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    STATE(570), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30006] = 3,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    STATE(573), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30017] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(282), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30028] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(281), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30039] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(488), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30050] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3108), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [30059] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(279), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30070] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(297), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30081] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2835), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30090] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(276), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30101] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3249), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30110] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3065), 2,
      sym_this,
      sym_identifier,
  [30119] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3172), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30128] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3251), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30137] = 3,
    ACTIONS(3253), 1,
      sym_identifier,
    STATE(1275), 1,
      sym_element_value_pair,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30148] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(533), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30159] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3255), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30170] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3067), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30179] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3257), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30190] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3259), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30199] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30208] = 3,
    ACTIONS(1207), 1,
      anon_sym_while,
    ACTIONS(3263), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30219] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3265), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30228] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3267), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30237] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3269), 2,
      anon_sym_RPAREN,
      anon_sym_AMP,
  [30246] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3271), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30255] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(312), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30266] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(74), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30277] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3050), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30286] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(73), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30297] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3273), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30308] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3275), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30319] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3277), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30328] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(326), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30339] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30348] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(39), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30359] = 3,
    ACTIONS(3197), 1,
      anon_sym_LPAREN,
    STATE(40), 1,
      sym_condition,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30370] = 3,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(883), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30381] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3281), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30392] = 3,
    ACTIONS(3233), 1,
      anon_sym_LBRACE,
    STATE(265), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30403] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(486), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30414] = 3,
    ACTIONS(1514), 1,
      anon_sym_LPAREN,
    STATE(586), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30425] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3283), 2,
      anon_sym_new,
      sym_identifier,
  [30434] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2969), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30443] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(342), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30454] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(335), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30465] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(344), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30476] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(345), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30487] = 3,
    ACTIONS(2499), 1,
      anon_sym_LPAREN,
    STATE(1052), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30498] = 3,
    ACTIONS(2911), 1,
      anon_sym_LBRACE,
    STATE(308), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30509] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(347), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30520] = 3,
    ACTIONS(3285), 1,
      anon_sym_DOT,
    ACTIONS(3287), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30531] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(354), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30542] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [30551] = 3,
    ACTIONS(35), 1,
      anon_sym_LBRACE,
    STATE(310), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30562] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3291), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [30571] = 3,
    ACTIONS(2684), 1,
      anon_sym_LBRACE,
    STATE(359), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30582] = 3,
    ACTIONS(2851), 1,
      anon_sym_LBRACE,
    STATE(251), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30593] = 3,
    ACTIONS(647), 1,
      anon_sym_LPAREN,
    STATE(1301), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30604] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(302), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30615] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3293), 2,
      anon_sym_LBRACE,
      anon_sym_SEMI,
  [30624] = 3,
    ACTIONS(1640), 1,
      anon_sym_DOT,
    ACTIONS(3295), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30635] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2736), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [30644] = 3,
    ACTIONS(1321), 1,
      anon_sym_LPAREN,
    STATE(492), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30655] = 3,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    STATE(561), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30666] = 3,
    ACTIONS(506), 1,
      anon_sym_LBRACE,
    STATE(564), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30677] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3297), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [30686] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3299), 2,
      sym_this,
      sym_super,
  [30695] = 3,
    ACTIONS(1646), 1,
      anon_sym_LBRACE,
    STATE(364), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30706] = 2,
    ACTIONS(3301), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30714] = 2,
    ACTIONS(3303), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30722] = 2,
    ACTIONS(3305), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30730] = 2,
    ACTIONS(3307), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30738] = 2,
    ACTIONS(3309), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30746] = 2,
    ACTIONS(3020), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30754] = 2,
    ACTIONS(3311), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30762] = 2,
    ACTIONS(3170), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30770] = 2,
    ACTIONS(3313), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30778] = 2,
    ACTIONS(630), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30786] = 2,
    ACTIONS(3315), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30794] = 2,
    ACTIONS(3317), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30802] = 2,
    ACTIONS(2323), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30810] = 2,
    ACTIONS(3319), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30818] = 2,
    ACTIONS(2573), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30826] = 2,
    ACTIONS(3321), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30834] = 2,
    ACTIONS(3323), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30842] = 2,
    ACTIONS(3325), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30850] = 2,
    ACTIONS(3327), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30858] = 2,
    ACTIONS(3329), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30866] = 2,
    ACTIONS(3331), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30874] = 2,
    ACTIONS(3237), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30882] = 2,
    ACTIONS(3086), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30890] = 2,
    ACTIONS(3333), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30898] = 2,
    ACTIONS(3335), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30906] = 2,
    ACTIONS(554), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30914] = 2,
    ACTIONS(3337), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30922] = 2,
    ACTIONS(3339), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30930] = 2,
    ACTIONS(3341), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30938] = 2,
    ACTIONS(3106), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30946] = 2,
    ACTIONS(3343), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30954] = 2,
    ACTIONS(3345), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30962] = 2,
    ACTIONS(3347), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30970] = 2,
    ACTIONS(3349), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30978] = 2,
    ACTIONS(3351), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30986] = 2,
    ACTIONS(3353), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [30994] = 2,
    ACTIONS(3235), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31002] = 2,
    ACTIONS(3355), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31010] = 2,
    ACTIONS(2283), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31018] = 2,
    ACTIONS(3357), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31026] = 2,
    ACTIONS(3359), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31034] = 2,
    ACTIONS(3361), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31042] = 2,
    ACTIONS(3363), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31050] = 2,
    ACTIONS(3365), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31058] = 2,
    ACTIONS(3367), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31066] = 2,
    ACTIONS(2242), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31074] = 2,
    ACTIONS(3369), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31082] = 2,
    ACTIONS(3183), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31090] = 2,
    ACTIONS(3371), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31098] = 2,
    ACTIONS(3373), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31106] = 2,
    ACTIONS(3375), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31114] = 2,
    ACTIONS(550), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31122] = 2,
    ACTIONS(3377), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31130] = 2,
    ACTIONS(3379), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31138] = 2,
    ACTIONS(3381), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31146] = 2,
    ACTIONS(3383), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31154] = 2,
    ACTIONS(3385), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31162] = 2,
    ACTIONS(3387), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31170] = 2,
    ACTIONS(1753), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31178] = 2,
    ACTIONS(1332), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31186] = 2,
    ACTIONS(3389), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31194] = 2,
    ACTIONS(3391), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31202] = 2,
    ACTIONS(3393), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31210] = 2,
    ACTIONS(3395), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31218] = 2,
    ACTIONS(3397), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31226] = 2,
    ACTIONS(2827), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31234] = 2,
    ACTIONS(3399), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31242] = 2,
    ACTIONS(3401), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31250] = 2,
    ACTIONS(3403), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31258] = 2,
    ACTIONS(3405), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31266] = 2,
    ACTIONS(3177), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31274] = 2,
    ACTIONS(3407), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31282] = 2,
    ACTIONS(3409), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31290] = 2,
    ACTIONS(544), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31298] = 2,
    ACTIONS(3411), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31306] = 2,
    ACTIONS(3413), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31314] = 2,
    ACTIONS(3415), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31322] = 2,
    ACTIONS(3417), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31330] = 2,
    ACTIONS(3419), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [31338] = 2,
    ACTIONS(3421), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(406)] = 0,
  [SMALL_STATE(407)] = 70,
  [SMALL_STATE(408)] = 189,
  [SMALL_STATE(409)] = 308,
  [SMALL_STATE(410)] = 427,
  [SMALL_STATE(411)] = 546,
  [SMALL_STATE(412)] = 665,
  [SMALL_STATE(413)] = 754,
  [SMALL_STATE(414)] = 849,
  [SMALL_STATE(415)] = 942,
  [SMALL_STATE(416)] = 1049,
  [SMALL_STATE(417)] = 1156,
  [SMALL_STATE(418)] = 1243,
  [SMALL_STATE(419)] = 1350,
  [SMALL_STATE(420)] = 1437,
  [SMALL_STATE(421)] = 1523,
  [SMALL_STATE(422)] = 1609,
  [SMALL_STATE(423)] = 1695,
  [SMALL_STATE(424)] = 1781,
  [SMALL_STATE(425)] = 1846,
  [SMALL_STATE(426)] = 1940,
  [SMALL_STATE(427)] = 2034,
  [SMALL_STATE(428)] = 2128,
  [SMALL_STATE(429)] = 2189,
  [SMALL_STATE(430)] = 2250,
  [SMALL_STATE(431)] = 2317,
  [SMALL_STATE(432)] = 2381,
  [SMALL_STATE(433)] = 2445,
  [SMALL_STATE(434)] = 2510,
  [SMALL_STATE(435)] = 2565,
  [SMALL_STATE(436)] = 2620,
  [SMALL_STATE(437)] = 2675,
  [SMALL_STATE(438)] = 2750,
  [SMALL_STATE(439)] = 2815,
  [SMALL_STATE(440)] = 2881,
  [SMALL_STATE(441)] = 2939,
  [SMALL_STATE(442)] = 3005,
  [SMALL_STATE(443)] = 3068,
  [SMALL_STATE(444)] = 3137,
  [SMALL_STATE(445)] = 3202,
  [SMALL_STATE(446)] = 3265,
  [SMALL_STATE(447)] = 3338,
  [SMALL_STATE(448)] = 3402,
  [SMALL_STATE(449)] = 3460,
  [SMALL_STATE(450)] = 3524,
  [SMALL_STATE(451)] = 3588,
  [SMALL_STATE(452)] = 3652,
  [SMALL_STATE(453)] = 3709,
  [SMALL_STATE(454)] = 3762,
  [SMALL_STATE(455)] = 3813,
  [SMALL_STATE(456)] = 3868,
  [SMALL_STATE(457)] = 3919,
  [SMALL_STATE(458)] = 3970,
  [SMALL_STATE(459)] = 4021,
  [SMALL_STATE(460)] = 4072,
  [SMALL_STATE(461)] = 4123,
  [SMALL_STATE(462)] = 4176,
  [SMALL_STATE(463)] = 4233,
  [SMALL_STATE(464)] = 4284,
  [SMALL_STATE(465)] = 4334,
  [SMALL_STATE(466)] = 4386,
  [SMALL_STATE(467)] = 4436,
  [SMALL_STATE(468)] = 4486,
  [SMALL_STATE(469)] = 4536,
  [SMALL_STATE(470)] = 4586,
  [SMALL_STATE(471)] = 4668,
  [SMALL_STATE(472)] = 4718,
  [SMALL_STATE(473)] = 4768,
  [SMALL_STATE(474)] = 4826,
  [SMALL_STATE(475)] = 4875,
  [SMALL_STATE(476)] = 4924,
  [SMALL_STATE(477)] = 4973,
  [SMALL_STATE(478)] = 5022,
  [SMALL_STATE(479)] = 5076,
  [SMALL_STATE(480)] = 5130,
  [SMALL_STATE(481)] = 5204,
  [SMALL_STATE(482)] = 5267,
  [SMALL_STATE(483)] = 5338,
  [SMALL_STATE(484)] = 5385,
  [SMALL_STATE(485)] = 5458,
  [SMALL_STATE(486)] = 5510,
  [SMALL_STATE(487)] = 5559,
  [SMALL_STATE(488)] = 5608,
  [SMALL_STATE(489)] = 5657,
  [SMALL_STATE(490)] = 5706,
  [SMALL_STATE(491)] = 5755,
  [SMALL_STATE(492)] = 5804,
  [SMALL_STATE(493)] = 5853,
  [SMALL_STATE(494)] = 5904,
  [SMALL_STATE(495)] = 5953,
  [SMALL_STATE(496)] = 6002,
  [SMALL_STATE(497)] = 6051,
  [SMALL_STATE(498)] = 6100,
  [SMALL_STATE(499)] = 6149,
  [SMALL_STATE(500)] = 6198,
  [SMALL_STATE(501)] = 6247,
  [SMALL_STATE(502)] = 6299,
  [SMALL_STATE(503)] = 6343,
  [SMALL_STATE(504)] = 6387,
  [SMALL_STATE(505)] = 6431,
  [SMALL_STATE(506)] = 6483,
  [SMALL_STATE(507)] = 6527,
  [SMALL_STATE(508)] = 6571,
  [SMALL_STATE(509)] = 6615,
  [SMALL_STATE(510)] = 6659,
  [SMALL_STATE(511)] = 6703,
  [SMALL_STATE(512)] = 6747,
  [SMALL_STATE(513)] = 6790,
  [SMALL_STATE(514)] = 6833,
  [SMALL_STATE(515)] = 6876,
  [SMALL_STATE(516)] = 6925,
  [SMALL_STATE(517)] = 6968,
  [SMALL_STATE(518)] = 7011,
  [SMALL_STATE(519)] = 7054,
  [SMALL_STATE(520)] = 7097,
  [SMALL_STATE(521)] = 7140,
  [SMALL_STATE(522)] = 7183,
  [SMALL_STATE(523)] = 7226,
  [SMALL_STATE(524)] = 7269,
  [SMALL_STATE(525)] = 7312,
  [SMALL_STATE(526)] = 7355,
  [SMALL_STATE(527)] = 7398,
  [SMALL_STATE(528)] = 7441,
  [SMALL_STATE(529)] = 7484,
  [SMALL_STATE(530)] = 7527,
  [SMALL_STATE(531)] = 7570,
  [SMALL_STATE(532)] = 7629,
  [SMALL_STATE(533)] = 7672,
  [SMALL_STATE(534)] = 7715,
  [SMALL_STATE(535)] = 7758,
  [SMALL_STATE(536)] = 7807,
  [SMALL_STATE(537)] = 7856,
  [SMALL_STATE(538)] = 7899,
  [SMALL_STATE(539)] = 7942,
  [SMALL_STATE(540)] = 7985,
  [SMALL_STATE(541)] = 8028,
  [SMALL_STATE(542)] = 8071,
  [SMALL_STATE(543)] = 8114,
  [SMALL_STATE(544)] = 8157,
  [SMALL_STATE(545)] = 8200,
  [SMALL_STATE(546)] = 8243,
  [SMALL_STATE(547)] = 8286,
  [SMALL_STATE(548)] = 8329,
  [SMALL_STATE(549)] = 8372,
  [SMALL_STATE(550)] = 8415,
  [SMALL_STATE(551)] = 8458,
  [SMALL_STATE(552)] = 8501,
  [SMALL_STATE(553)] = 8544,
  [SMALL_STATE(554)] = 8587,
  [SMALL_STATE(555)] = 8630,
  [SMALL_STATE(556)] = 8673,
  [SMALL_STATE(557)] = 8716,
  [SMALL_STATE(558)] = 8759,
  [SMALL_STATE(559)] = 8802,
  [SMALL_STATE(560)] = 8845,
  [SMALL_STATE(561)] = 8888,
  [SMALL_STATE(562)] = 8931,
  [SMALL_STATE(563)] = 8974,
  [SMALL_STATE(564)] = 9017,
  [SMALL_STATE(565)] = 9060,
  [SMALL_STATE(566)] = 9103,
  [SMALL_STATE(567)] = 9146,
  [SMALL_STATE(568)] = 9189,
  [SMALL_STATE(569)] = 9232,
  [SMALL_STATE(570)] = 9275,
  [SMALL_STATE(571)] = 9318,
  [SMALL_STATE(572)] = 9361,
  [SMALL_STATE(573)] = 9404,
  [SMALL_STATE(574)] = 9447,
  [SMALL_STATE(575)] = 9490,
  [SMALL_STATE(576)] = 9533,
  [SMALL_STATE(577)] = 9576,
  [SMALL_STATE(578)] = 9623,
  [SMALL_STATE(579)] = 9669,
  [SMALL_STATE(580)] = 9715,
  [SMALL_STATE(581)] = 9757,
  [SMALL_STATE(582)] = 9799,
  [SMALL_STATE(583)] = 9868,
  [SMALL_STATE(584)] = 9917,
  [SMALL_STATE(585)] = 9964,
  [SMALL_STATE(586)] = 10013,
  [SMALL_STATE(587)] = 10053,
  [SMALL_STATE(588)] = 10093,
  [SMALL_STATE(589)] = 10133,
  [SMALL_STATE(590)] = 10173,
  [SMALL_STATE(591)] = 10213,
  [SMALL_STATE(592)] = 10253,
  [SMALL_STATE(593)] = 10319,
  [SMALL_STATE(594)] = 10359,
  [SMALL_STATE(595)] = 10399,
  [SMALL_STATE(596)] = 10439,
  [SMALL_STATE(597)] = 10479,
  [SMALL_STATE(598)] = 10519,
  [SMALL_STATE(599)] = 10559,
  [SMALL_STATE(600)] = 10599,
  [SMALL_STATE(601)] = 10639,
  [SMALL_STATE(602)] = 10679,
  [SMALL_STATE(603)] = 10719,
  [SMALL_STATE(604)] = 10759,
  [SMALL_STATE(605)] = 10799,
  [SMALL_STATE(606)] = 10841,
  [SMALL_STATE(607)] = 10883,
  [SMALL_STATE(608)] = 10923,
  [SMALL_STATE(609)] = 10963,
  [SMALL_STATE(610)] = 11003,
  [SMALL_STATE(611)] = 11043,
  [SMALL_STATE(612)] = 11083,
  [SMALL_STATE(613)] = 11146,
  [SMALL_STATE(614)] = 11207,
  [SMALL_STATE(615)] = 11266,
  [SMALL_STATE(616)] = 11335,
  [SMALL_STATE(617)] = 11386,
  [SMALL_STATE(618)] = 11443,
  [SMALL_STATE(619)] = 11506,
  [SMALL_STATE(620)] = 11575,
  [SMALL_STATE(621)] = 11618,
  [SMALL_STATE(622)] = 11663,
  [SMALL_STATE(623)] = 11732,
  [SMALL_STATE(624)] = 11779,
  [SMALL_STATE(625)] = 11844,
  [SMALL_STATE(626)] = 11888,
  [SMALL_STATE(627)] = 11932,
  [SMALL_STATE(628)] = 12008,
  [SMALL_STATE(629)] = 12052,
  [SMALL_STATE(630)] = 12094,
  [SMALL_STATE(631)] = 12133,
  [SMALL_STATE(632)] = 12170,
  [SMALL_STATE(633)] = 12245,
  [SMALL_STATE(634)] = 12301,
  [SMALL_STATE(635)] = 12367,
  [SMALL_STATE(636)] = 12409,
  [SMALL_STATE(637)] = 12451,
  [SMALL_STATE(638)] = 12511,
  [SMALL_STATE(639)] = 12577,
  [SMALL_STATE(640)] = 12643,
  [SMALL_STATE(641)] = 12709,
  [SMALL_STATE(642)] = 12757,
  [SMALL_STATE(643)] = 12811,
  [SMALL_STATE(644)] = 12847,
  [SMALL_STATE(645)] = 12905,
  [SMALL_STATE(646)] = 12965,
  [SMALL_STATE(647)] = 13001,
  [SMALL_STATE(648)] = 13067,
  [SMALL_STATE(649)] = 13129,
  [SMALL_STATE(650)] = 13173,
  [SMALL_STATE(651)] = 13239,
  [SMALL_STATE(652)] = 13297,
  [SMALL_STATE(653)] = 13352,
  [SMALL_STATE(654)] = 13421,
  [SMALL_STATE(655)] = 13490,
  [SMALL_STATE(656)] = 13543,
  [SMALL_STATE(657)] = 13580,
  [SMALL_STATE(658)] = 13649,
  [SMALL_STATE(659)] = 13718,
  [SMALL_STATE(660)] = 13787,
  [SMALL_STATE(661)] = 13856,
  [SMALL_STATE(662)] = 13915,
  [SMALL_STATE(663)] = 13950,
  [SMALL_STATE(664)] = 13985,
  [SMALL_STATE(665)] = 14054,
  [SMALL_STATE(666)] = 14123,
  [SMALL_STATE(667)] = 14188,
  [SMALL_STATE(668)] = 14257,
  [SMALL_STATE(669)] = 14316,
  [SMALL_STATE(670)] = 14385,
  [SMALL_STATE(671)] = 14454,
  [SMALL_STATE(672)] = 14523,
  [SMALL_STATE(673)] = 14558,
  [SMALL_STATE(674)] = 14627,
  [SMALL_STATE(675)] = 14696,
  [SMALL_STATE(676)] = 14765,
  [SMALL_STATE(677)] = 14834,
  [SMALL_STATE(678)] = 14903,
  [SMALL_STATE(679)] = 14972,
  [SMALL_STATE(680)] = 15041,
  [SMALL_STATE(681)] = 15110,
  [SMALL_STATE(682)] = 15179,
  [SMALL_STATE(683)] = 15248,
  [SMALL_STATE(684)] = 15283,
  [SMALL_STATE(685)] = 15352,
  [SMALL_STATE(686)] = 15421,
  [SMALL_STATE(687)] = 15490,
  [SMALL_STATE(688)] = 15559,
  [SMALL_STATE(689)] = 15628,
  [SMALL_STATE(690)] = 15697,
  [SMALL_STATE(691)] = 15766,
  [SMALL_STATE(692)] = 15830,
  [SMALL_STATE(693)] = 15868,
  [SMALL_STATE(694)] = 15918,
  [SMALL_STATE(695)] = 15978,
  [SMALL_STATE(696)] = 16012,
  [SMALL_STATE(697)] = 16076,
  [SMALL_STATE(698)] = 16132,
  [SMALL_STATE(699)] = 16166,
  [SMALL_STATE(700)] = 16200,
  [SMALL_STATE(701)] = 16234,
  [SMALL_STATE(702)] = 16298,
  [SMALL_STATE(703)] = 16362,
  [SMALL_STATE(704)] = 16426,
  [SMALL_STATE(705)] = 16492,
  [SMALL_STATE(706)] = 16532,
  [SMALL_STATE(707)] = 16596,
  [SMALL_STATE(708)] = 16636,
  [SMALL_STATE(709)] = 16686,
  [SMALL_STATE(710)] = 16750,
  [SMALL_STATE(711)] = 16814,
  [SMALL_STATE(712)] = 16877,
  [SMALL_STATE(713)] = 16940,
  [SMALL_STATE(714)] = 17003,
  [SMALL_STATE(715)] = 17066,
  [SMALL_STATE(716)] = 17129,
  [SMALL_STATE(717)] = 17192,
  [SMALL_STATE(718)] = 17255,
  [SMALL_STATE(719)] = 17318,
  [SMALL_STATE(720)] = 17381,
  [SMALL_STATE(721)] = 17436,
  [SMALL_STATE(722)] = 17491,
  [SMALL_STATE(723)] = 17524,
  [SMALL_STATE(724)] = 17587,
  [SMALL_STATE(725)] = 17642,
  [SMALL_STATE(726)] = 17705,
  [SMALL_STATE(727)] = 17768,
  [SMALL_STATE(728)] = 17831,
  [SMALL_STATE(729)] = 17894,
  [SMALL_STATE(730)] = 17927,
  [SMALL_STATE(731)] = 17990,
  [SMALL_STATE(732)] = 18053,
  [SMALL_STATE(733)] = 18116,
  [SMALL_STATE(734)] = 18179,
  [SMALL_STATE(735)] = 18240,
  [SMALL_STATE(736)] = 18303,
  [SMALL_STATE(737)] = 18366,
  [SMALL_STATE(738)] = 18399,
  [SMALL_STATE(739)] = 18462,
  [SMALL_STATE(740)] = 18525,
  [SMALL_STATE(741)] = 18558,
  [SMALL_STATE(742)] = 18613,
  [SMALL_STATE(743)] = 18676,
  [SMALL_STATE(744)] = 18739,
  [SMALL_STATE(745)] = 18802,
  [SMALL_STATE(746)] = 18865,
  [SMALL_STATE(747)] = 18928,
  [SMALL_STATE(748)] = 18991,
  [SMALL_STATE(749)] = 19054,
  [SMALL_STATE(750)] = 19117,
  [SMALL_STATE(751)] = 19180,
  [SMALL_STATE(752)] = 19241,
  [SMALL_STATE(753)] = 19304,
  [SMALL_STATE(754)] = 19367,
  [SMALL_STATE(755)] = 19430,
  [SMALL_STATE(756)] = 19482,
  [SMALL_STATE(757)] = 19534,
  [SMALL_STATE(758)] = 19566,
  [SMALL_STATE(759)] = 19598,
  [SMALL_STATE(760)] = 19632,
  [SMALL_STATE(761)] = 19684,
  [SMALL_STATE(762)] = 19736,
  [SMALL_STATE(763)] = 19774,
  [SMALL_STATE(764)] = 19826,
  [SMALL_STATE(765)] = 19878,
  [SMALL_STATE(766)] = 19936,
  [SMALL_STATE(767)] = 19988,
  [SMALL_STATE(768)] = 20019,
  [SMALL_STATE(769)] = 20072,
  [SMALL_STATE(770)] = 20113,
  [SMALL_STATE(771)] = 20166,
  [SMALL_STATE(772)] = 20215,
  [SMALL_STATE(773)] = 20268,
  [SMALL_STATE(774)] = 20321,
  [SMALL_STATE(775)] = 20352,
  [SMALL_STATE(776)] = 20398,
  [SMALL_STATE(777)] = 20446,
  [SMALL_STATE(778)] = 20494,
  [SMALL_STATE(779)] = 20540,
  [SMALL_STATE(780)] = 20588,
  [SMALL_STATE(781)] = 20636,
  [SMALL_STATE(782)] = 20688,
  [SMALL_STATE(783)] = 20740,
  [SMALL_STATE(784)] = 20792,
  [SMALL_STATE(785)] = 20844,
  [SMALL_STATE(786)] = 20892,
  [SMALL_STATE(787)] = 20938,
  [SMALL_STATE(788)] = 20990,
  [SMALL_STATE(789)] = 21036,
  [SMALL_STATE(790)] = 21084,
  [SMALL_STATE(791)] = 21130,
  [SMALL_STATE(792)] = 21176,
  [SMALL_STATE(793)] = 21228,
  [SMALL_STATE(794)] = 21280,
  [SMALL_STATE(795)] = 21326,
  [SMALL_STATE(796)] = 21373,
  [SMALL_STATE(797)] = 21402,
  [SMALL_STATE(798)] = 21431,
  [SMALL_STATE(799)] = 21478,
  [SMALL_STATE(800)] = 21527,
  [SMALL_STATE(801)] = 21574,
  [SMALL_STATE(802)] = 21623,
  [SMALL_STATE(803)] = 21672,
  [SMALL_STATE(804)] = 21719,
  [SMALL_STATE(805)] = 21748,
  [SMALL_STATE(806)] = 21795,
  [SMALL_STATE(807)] = 21828,
  [SMALL_STATE(808)] = 21857,
  [SMALL_STATE(809)] = 21899,
  [SMALL_STATE(810)] = 21941,
  [SMALL_STATE(811)] = 21991,
  [SMALL_STATE(812)] = 22041,
  [SMALL_STATE(813)] = 22083,
  [SMALL_STATE(814)] = 22125,
  [SMALL_STATE(815)] = 22169,
  [SMALL_STATE(816)] = 22213,
  [SMALL_STATE(817)] = 22263,
  [SMALL_STATE(818)] = 22306,
  [SMALL_STATE(819)] = 22339,
  [SMALL_STATE(820)] = 22380,
  [SMALL_STATE(821)] = 22423,
  [SMALL_STATE(822)] = 22462,
  [SMALL_STATE(823)] = 22503,
  [SMALL_STATE(824)] = 22539,
  [SMALL_STATE(825)] = 22579,
  [SMALL_STATE(826)] = 22619,
  [SMALL_STATE(827)] = 22659,
  [SMALL_STATE(828)] = 22699,
  [SMALL_STATE(829)] = 22733,
  [SMALL_STATE(830)] = 22773,
  [SMALL_STATE(831)] = 22810,
  [SMALL_STATE(832)] = 22847,
  [SMALL_STATE(833)] = 22884,
  [SMALL_STATE(834)] = 22917,
  [SMALL_STATE(835)] = 22942,
  [SMALL_STATE(836)] = 22979,
  [SMALL_STATE(837)] = 23016,
  [SMALL_STATE(838)] = 23053,
  [SMALL_STATE(839)] = 23090,
  [SMALL_STATE(840)] = 23115,
  [SMALL_STATE(841)] = 23142,
  [SMALL_STATE(842)] = 23184,
  [SMALL_STATE(843)] = 23226,
  [SMALL_STATE(844)] = 23268,
  [SMALL_STATE(845)] = 23310,
  [SMALL_STATE(846)] = 23352,
  [SMALL_STATE(847)] = 23394,
  [SMALL_STATE(848)] = 23420,
  [SMALL_STATE(849)] = 23462,
  [SMALL_STATE(850)] = 23504,
  [SMALL_STATE(851)] = 23541,
  [SMALL_STATE(852)] = 23574,
  [SMALL_STATE(853)] = 23607,
  [SMALL_STATE(854)] = 23637,
  [SMALL_STATE(855)] = 23671,
  [SMALL_STATE(856)] = 23707,
  [SMALL_STATE(857)] = 23739,
  [SMALL_STATE(858)] = 23767,
  [SMALL_STATE(859)] = 23803,
  [SMALL_STATE(860)] = 23833,
  [SMALL_STATE(861)] = 23869,
  [SMALL_STATE(862)] = 23903,
  [SMALL_STATE(863)] = 23939,
  [SMALL_STATE(864)] = 23973,
  [SMALL_STATE(865)] = 24007,
  [SMALL_STATE(866)] = 24038,
  [SMALL_STATE(867)] = 24069,
  [SMALL_STATE(868)] = 24100,
  [SMALL_STATE(869)] = 24133,
  [SMALL_STATE(870)] = 24166,
  [SMALL_STATE(871)] = 24199,
  [SMALL_STATE(872)] = 24230,
  [SMALL_STATE(873)] = 24257,
  [SMALL_STATE(874)] = 24288,
  [SMALL_STATE(875)] = 24319,
  [SMALL_STATE(876)] = 24352,
  [SMALL_STATE(877)] = 24383,
  [SMALL_STATE(878)] = 24414,
  [SMALL_STATE(879)] = 24446,
  [SMALL_STATE(880)] = 24476,
  [SMALL_STATE(881)] = 24508,
  [SMALL_STATE(882)] = 24536,
  [SMALL_STATE(883)] = 24564,
  [SMALL_STATE(884)] = 24592,
  [SMALL_STATE(885)] = 24618,
  [SMALL_STATE(886)] = 24650,
  [SMALL_STATE(887)] = 24676,
  [SMALL_STATE(888)] = 24702,
  [SMALL_STATE(889)] = 24726,
  [SMALL_STATE(890)] = 24751,
  [SMALL_STATE(891)] = 24776,
  [SMALL_STATE(892)] = 24811,
  [SMALL_STATE(893)] = 24834,
  [SMALL_STATE(894)] = 24855,
  [SMALL_STATE(895)] = 24880,
  [SMALL_STATE(896)] = 24903,
  [SMALL_STATE(897)] = 24924,
  [SMALL_STATE(898)] = 24947,
  [SMALL_STATE(899)] = 24982,
  [SMALL_STATE(900)] = 25011,
  [SMALL_STATE(901)] = 25031,
  [SMALL_STATE(902)] = 25047,
  [SMALL_STATE(903)] = 25067,
  [SMALL_STATE(904)] = 25087,
  [SMALL_STATE(905)] = 25107,
  [SMALL_STATE(906)] = 25127,
  [SMALL_STATE(907)] = 25155,
  [SMALL_STATE(908)] = 25175,
  [SMALL_STATE(909)] = 25191,
  [SMALL_STATE(910)] = 25211,
  [SMALL_STATE(911)] = 25231,
  [SMALL_STATE(912)] = 25251,
  [SMALL_STATE(913)] = 25271,
  [SMALL_STATE(914)] = 25291,
  [SMALL_STATE(915)] = 25311,
  [SMALL_STATE(916)] = 25331,
  [SMALL_STATE(917)] = 25351,
  [SMALL_STATE(918)] = 25371,
  [SMALL_STATE(919)] = 25391,
  [SMALL_STATE(920)] = 25413,
  [SMALL_STATE(921)] = 25433,
  [SMALL_STATE(922)] = 25449,
  [SMALL_STATE(923)] = 25478,
  [SMALL_STATE(924)] = 25497,
  [SMALL_STATE(925)] = 25516,
  [SMALL_STATE(926)] = 25545,
  [SMALL_STATE(927)] = 25574,
  [SMALL_STATE(928)] = 25593,
  [SMALL_STATE(929)] = 25622,
  [SMALL_STATE(930)] = 25646,
  [SMALL_STATE(931)] = 25668,
  [SMALL_STATE(932)] = 25682,
  [SMALL_STATE(933)] = 25702,
  [SMALL_STATE(934)] = 25722,
  [SMALL_STATE(935)] = 25736,
  [SMALL_STATE(936)] = 25760,
  [SMALL_STATE(937)] = 25774,
  [SMALL_STATE(938)] = 25788,
  [SMALL_STATE(939)] = 25802,
  [SMALL_STATE(940)] = 25824,
  [SMALL_STATE(941)] = 25847,
  [SMALL_STATE(942)] = 25870,
  [SMALL_STATE(943)] = 25887,
  [SMALL_STATE(944)] = 25904,
  [SMALL_STATE(945)] = 25917,
  [SMALL_STATE(946)] = 25934,
  [SMALL_STATE(947)] = 25957,
  [SMALL_STATE(948)] = 25978,
  [SMALL_STATE(949)] = 25995,
  [SMALL_STATE(950)] = 26016,
  [SMALL_STATE(951)] = 26029,
  [SMALL_STATE(952)] = 26042,
  [SMALL_STATE(953)] = 26055,
  [SMALL_STATE(954)] = 26068,
  [SMALL_STATE(955)] = 26085,
  [SMALL_STATE(956)] = 26098,
  [SMALL_STATE(957)] = 26121,
  [SMALL_STATE(958)] = 26134,
  [SMALL_STATE(959)] = 26147,
  [SMALL_STATE(960)] = 26164,
  [SMALL_STATE(961)] = 26181,
  [SMALL_STATE(962)] = 26198,
  [SMALL_STATE(963)] = 26211,
  [SMALL_STATE(964)] = 26228,
  [SMALL_STATE(965)] = 26241,
  [SMALL_STATE(966)] = 26254,
  [SMALL_STATE(967)] = 26275,
  [SMALL_STATE(968)] = 26298,
  [SMALL_STATE(969)] = 26319,
  [SMALL_STATE(970)] = 26332,
  [SMALL_STATE(971)] = 26345,
  [SMALL_STATE(972)] = 26358,
  [SMALL_STATE(973)] = 26375,
  [SMALL_STATE(974)] = 26396,
  [SMALL_STATE(975)] = 26409,
  [SMALL_STATE(976)] = 26430,
  [SMALL_STATE(977)] = 26447,
  [SMALL_STATE(978)] = 26464,
  [SMALL_STATE(979)] = 26481,
  [SMALL_STATE(980)] = 26494,
  [SMALL_STATE(981)] = 26517,
  [SMALL_STATE(982)] = 26534,
  [SMALL_STATE(983)] = 26551,
  [SMALL_STATE(984)] = 26567,
  [SMALL_STATE(985)] = 26587,
  [SMALL_STATE(986)] = 26603,
  [SMALL_STATE(987)] = 26623,
  [SMALL_STATE(988)] = 26643,
  [SMALL_STATE(989)] = 26663,
  [SMALL_STATE(990)] = 26683,
  [SMALL_STATE(991)] = 26703,
  [SMALL_STATE(992)] = 26715,
  [SMALL_STATE(993)] = 26735,
  [SMALL_STATE(994)] = 26755,
  [SMALL_STATE(995)] = 26775,
  [SMALL_STATE(996)] = 26795,
  [SMALL_STATE(997)] = 26811,
  [SMALL_STATE(998)] = 26831,
  [SMALL_STATE(999)] = 26847,
  [SMALL_STATE(1000)] = 26867,
  [SMALL_STATE(1001)] = 26887,
  [SMALL_STATE(1002)] = 26905,
  [SMALL_STATE(1003)] = 26925,
  [SMALL_STATE(1004)] = 26939,
  [SMALL_STATE(1005)] = 26955,
  [SMALL_STATE(1006)] = 26971,
  [SMALL_STATE(1007)] = 26991,
  [SMALL_STATE(1008)] = 27007,
  [SMALL_STATE(1009)] = 27023,
  [SMALL_STATE(1010)] = 27040,
  [SMALL_STATE(1011)] = 27057,
  [SMALL_STATE(1012)] = 27074,
  [SMALL_STATE(1013)] = 27089,
  [SMALL_STATE(1014)] = 27104,
  [SMALL_STATE(1015)] = 27119,
  [SMALL_STATE(1016)] = 27136,
  [SMALL_STATE(1017)] = 27153,
  [SMALL_STATE(1018)] = 27168,
  [SMALL_STATE(1019)] = 27179,
  [SMALL_STATE(1020)] = 27196,
  [SMALL_STATE(1021)] = 27213,
  [SMALL_STATE(1022)] = 27228,
  [SMALL_STATE(1023)] = 27245,
  [SMALL_STATE(1024)] = 27260,
  [SMALL_STATE(1025)] = 27277,
  [SMALL_STATE(1026)] = 27294,
  [SMALL_STATE(1027)] = 27309,
  [SMALL_STATE(1028)] = 27324,
  [SMALL_STATE(1029)] = 27341,
  [SMALL_STATE(1030)] = 27356,
  [SMALL_STATE(1031)] = 27373,
  [SMALL_STATE(1032)] = 27388,
  [SMALL_STATE(1033)] = 27405,
  [SMALL_STATE(1034)] = 27422,
  [SMALL_STATE(1035)] = 27439,
  [SMALL_STATE(1036)] = 27454,
  [SMALL_STATE(1037)] = 27469,
  [SMALL_STATE(1038)] = 27484,
  [SMALL_STATE(1039)] = 27501,
  [SMALL_STATE(1040)] = 27512,
  [SMALL_STATE(1041)] = 27529,
  [SMALL_STATE(1042)] = 27544,
  [SMALL_STATE(1043)] = 27557,
  [SMALL_STATE(1044)] = 27574,
  [SMALL_STATE(1045)] = 27585,
  [SMALL_STATE(1046)] = 27600,
  [SMALL_STATE(1047)] = 27617,
  [SMALL_STATE(1048)] = 27634,
  [SMALL_STATE(1049)] = 27651,
  [SMALL_STATE(1050)] = 27668,
  [SMALL_STATE(1051)] = 27685,
  [SMALL_STATE(1052)] = 27700,
  [SMALL_STATE(1053)] = 27717,
  [SMALL_STATE(1054)] = 27734,
  [SMALL_STATE(1055)] = 27751,
  [SMALL_STATE(1056)] = 27766,
  [SMALL_STATE(1057)] = 27781,
  [SMALL_STATE(1058)] = 27792,
  [SMALL_STATE(1059)] = 27807,
  [SMALL_STATE(1060)] = 27818,
  [SMALL_STATE(1061)] = 27835,
  [SMALL_STATE(1062)] = 27852,
  [SMALL_STATE(1063)] = 27869,
  [SMALL_STATE(1064)] = 27884,
  [SMALL_STATE(1065)] = 27897,
  [SMALL_STATE(1066)] = 27912,
  [SMALL_STATE(1067)] = 27926,
  [SMALL_STATE(1068)] = 27940,
  [SMALL_STATE(1069)] = 27954,
  [SMALL_STATE(1070)] = 27968,
  [SMALL_STATE(1071)] = 27982,
  [SMALL_STATE(1072)] = 27996,
  [SMALL_STATE(1073)] = 28010,
  [SMALL_STATE(1074)] = 28024,
  [SMALL_STATE(1075)] = 28034,
  [SMALL_STATE(1076)] = 28044,
  [SMALL_STATE(1077)] = 28058,
  [SMALL_STATE(1078)] = 28068,
  [SMALL_STATE(1079)] = 28082,
  [SMALL_STATE(1080)] = 28096,
  [SMALL_STATE(1081)] = 28110,
  [SMALL_STATE(1082)] = 28124,
  [SMALL_STATE(1083)] = 28138,
  [SMALL_STATE(1084)] = 28152,
  [SMALL_STATE(1085)] = 28166,
  [SMALL_STATE(1086)] = 28180,
  [SMALL_STATE(1087)] = 28194,
  [SMALL_STATE(1088)] = 28208,
  [SMALL_STATE(1089)] = 28222,
  [SMALL_STATE(1090)] = 28236,
  [SMALL_STATE(1091)] = 28246,
  [SMALL_STATE(1092)] = 28256,
  [SMALL_STATE(1093)] = 28270,
  [SMALL_STATE(1094)] = 28284,
  [SMALL_STATE(1095)] = 28298,
  [SMALL_STATE(1096)] = 28312,
  [SMALL_STATE(1097)] = 28326,
  [SMALL_STATE(1098)] = 28340,
  [SMALL_STATE(1099)] = 28350,
  [SMALL_STATE(1100)] = 28364,
  [SMALL_STATE(1101)] = 28378,
  [SMALL_STATE(1102)] = 28392,
  [SMALL_STATE(1103)] = 28406,
  [SMALL_STATE(1104)] = 28420,
  [SMALL_STATE(1105)] = 28434,
  [SMALL_STATE(1106)] = 28448,
  [SMALL_STATE(1107)] = 28462,
  [SMALL_STATE(1108)] = 28476,
  [SMALL_STATE(1109)] = 28490,
  [SMALL_STATE(1110)] = 28504,
  [SMALL_STATE(1111)] = 28518,
  [SMALL_STATE(1112)] = 28532,
  [SMALL_STATE(1113)] = 28546,
  [SMALL_STATE(1114)] = 28560,
  [SMALL_STATE(1115)] = 28574,
  [SMALL_STATE(1116)] = 28588,
  [SMALL_STATE(1117)] = 28602,
  [SMALL_STATE(1118)] = 28616,
  [SMALL_STATE(1119)] = 28626,
  [SMALL_STATE(1120)] = 28640,
  [SMALL_STATE(1121)] = 28654,
  [SMALL_STATE(1122)] = 28668,
  [SMALL_STATE(1123)] = 28682,
  [SMALL_STATE(1124)] = 28696,
  [SMALL_STATE(1125)] = 28710,
  [SMALL_STATE(1126)] = 28724,
  [SMALL_STATE(1127)] = 28738,
  [SMALL_STATE(1128)] = 28752,
  [SMALL_STATE(1129)] = 28766,
  [SMALL_STATE(1130)] = 28780,
  [SMALL_STATE(1131)] = 28794,
  [SMALL_STATE(1132)] = 28808,
  [SMALL_STATE(1133)] = 28822,
  [SMALL_STATE(1134)] = 28836,
  [SMALL_STATE(1135)] = 28850,
  [SMALL_STATE(1136)] = 28864,
  [SMALL_STATE(1137)] = 28878,
  [SMALL_STATE(1138)] = 28892,
  [SMALL_STATE(1139)] = 28902,
  [SMALL_STATE(1140)] = 28912,
  [SMALL_STATE(1141)] = 28926,
  [SMALL_STATE(1142)] = 28940,
  [SMALL_STATE(1143)] = 28954,
  [SMALL_STATE(1144)] = 28966,
  [SMALL_STATE(1145)] = 28980,
  [SMALL_STATE(1146)] = 28994,
  [SMALL_STATE(1147)] = 29008,
  [SMALL_STATE(1148)] = 29018,
  [SMALL_STATE(1149)] = 29032,
  [SMALL_STATE(1150)] = 29046,
  [SMALL_STATE(1151)] = 29060,
  [SMALL_STATE(1152)] = 29074,
  [SMALL_STATE(1153)] = 29084,
  [SMALL_STATE(1154)] = 29098,
  [SMALL_STATE(1155)] = 29108,
  [SMALL_STATE(1156)] = 29120,
  [SMALL_STATE(1157)] = 29134,
  [SMALL_STATE(1158)] = 29148,
  [SMALL_STATE(1159)] = 29162,
  [SMALL_STATE(1160)] = 29176,
  [SMALL_STATE(1161)] = 29190,
  [SMALL_STATE(1162)] = 29204,
  [SMALL_STATE(1163)] = 29218,
  [SMALL_STATE(1164)] = 29232,
  [SMALL_STATE(1165)] = 29246,
  [SMALL_STATE(1166)] = 29260,
  [SMALL_STATE(1167)] = 29274,
  [SMALL_STATE(1168)] = 29288,
  [SMALL_STATE(1169)] = 29302,
  [SMALL_STATE(1170)] = 29316,
  [SMALL_STATE(1171)] = 29330,
  [SMALL_STATE(1172)] = 29344,
  [SMALL_STATE(1173)] = 29358,
  [SMALL_STATE(1174)] = 29372,
  [SMALL_STATE(1175)] = 29386,
  [SMALL_STATE(1176)] = 29400,
  [SMALL_STATE(1177)] = 29414,
  [SMALL_STATE(1178)] = 29428,
  [SMALL_STATE(1179)] = 29442,
  [SMALL_STATE(1180)] = 29453,
  [SMALL_STATE(1181)] = 29464,
  [SMALL_STATE(1182)] = 29475,
  [SMALL_STATE(1183)] = 29486,
  [SMALL_STATE(1184)] = 29497,
  [SMALL_STATE(1185)] = 29508,
  [SMALL_STATE(1186)] = 29519,
  [SMALL_STATE(1187)] = 29528,
  [SMALL_STATE(1188)] = 29539,
  [SMALL_STATE(1189)] = 29550,
  [SMALL_STATE(1190)] = 29561,
  [SMALL_STATE(1191)] = 29572,
  [SMALL_STATE(1192)] = 29583,
  [SMALL_STATE(1193)] = 29594,
  [SMALL_STATE(1194)] = 29605,
  [SMALL_STATE(1195)] = 29616,
  [SMALL_STATE(1196)] = 29627,
  [SMALL_STATE(1197)] = 29636,
  [SMALL_STATE(1198)] = 29645,
  [SMALL_STATE(1199)] = 29656,
  [SMALL_STATE(1200)] = 29667,
  [SMALL_STATE(1201)] = 29678,
  [SMALL_STATE(1202)] = 29689,
  [SMALL_STATE(1203)] = 29698,
  [SMALL_STATE(1204)] = 29709,
  [SMALL_STATE(1205)] = 29718,
  [SMALL_STATE(1206)] = 29727,
  [SMALL_STATE(1207)] = 29738,
  [SMALL_STATE(1208)] = 29749,
  [SMALL_STATE(1209)] = 29760,
  [SMALL_STATE(1210)] = 29771,
  [SMALL_STATE(1211)] = 29782,
  [SMALL_STATE(1212)] = 29791,
  [SMALL_STATE(1213)] = 29800,
  [SMALL_STATE(1214)] = 29811,
  [SMALL_STATE(1215)] = 29820,
  [SMALL_STATE(1216)] = 29831,
  [SMALL_STATE(1217)] = 29842,
  [SMALL_STATE(1218)] = 29853,
  [SMALL_STATE(1219)] = 29862,
  [SMALL_STATE(1220)] = 29873,
  [SMALL_STATE(1221)] = 29884,
  [SMALL_STATE(1222)] = 29895,
  [SMALL_STATE(1223)] = 29906,
  [SMALL_STATE(1224)] = 29915,
  [SMALL_STATE(1225)] = 29924,
  [SMALL_STATE(1226)] = 29935,
  [SMALL_STATE(1227)] = 29944,
  [SMALL_STATE(1228)] = 29953,
  [SMALL_STATE(1229)] = 29964,
  [SMALL_STATE(1230)] = 29975,
  [SMALL_STATE(1231)] = 29984,
  [SMALL_STATE(1232)] = 29995,
  [SMALL_STATE(1233)] = 30006,
  [SMALL_STATE(1234)] = 30017,
  [SMALL_STATE(1235)] = 30028,
  [SMALL_STATE(1236)] = 30039,
  [SMALL_STATE(1237)] = 30050,
  [SMALL_STATE(1238)] = 30059,
  [SMALL_STATE(1239)] = 30070,
  [SMALL_STATE(1240)] = 30081,
  [SMALL_STATE(1241)] = 30090,
  [SMALL_STATE(1242)] = 30101,
  [SMALL_STATE(1243)] = 30110,
  [SMALL_STATE(1244)] = 30119,
  [SMALL_STATE(1245)] = 30128,
  [SMALL_STATE(1246)] = 30137,
  [SMALL_STATE(1247)] = 30148,
  [SMALL_STATE(1248)] = 30159,
  [SMALL_STATE(1249)] = 30170,
  [SMALL_STATE(1250)] = 30179,
  [SMALL_STATE(1251)] = 30190,
  [SMALL_STATE(1252)] = 30199,
  [SMALL_STATE(1253)] = 30208,
  [SMALL_STATE(1254)] = 30219,
  [SMALL_STATE(1255)] = 30228,
  [SMALL_STATE(1256)] = 30237,
  [SMALL_STATE(1257)] = 30246,
  [SMALL_STATE(1258)] = 30255,
  [SMALL_STATE(1259)] = 30266,
  [SMALL_STATE(1260)] = 30277,
  [SMALL_STATE(1261)] = 30286,
  [SMALL_STATE(1262)] = 30297,
  [SMALL_STATE(1263)] = 30308,
  [SMALL_STATE(1264)] = 30319,
  [SMALL_STATE(1265)] = 30328,
  [SMALL_STATE(1266)] = 30339,
  [SMALL_STATE(1267)] = 30348,
  [SMALL_STATE(1268)] = 30359,
  [SMALL_STATE(1269)] = 30370,
  [SMALL_STATE(1270)] = 30381,
  [SMALL_STATE(1271)] = 30392,
  [SMALL_STATE(1272)] = 30403,
  [SMALL_STATE(1273)] = 30414,
  [SMALL_STATE(1274)] = 30425,
  [SMALL_STATE(1275)] = 30434,
  [SMALL_STATE(1276)] = 30443,
  [SMALL_STATE(1277)] = 30454,
  [SMALL_STATE(1278)] = 30465,
  [SMALL_STATE(1279)] = 30476,
  [SMALL_STATE(1280)] = 30487,
  [SMALL_STATE(1281)] = 30498,
  [SMALL_STATE(1282)] = 30509,
  [SMALL_STATE(1283)] = 30520,
  [SMALL_STATE(1284)] = 30531,
  [SMALL_STATE(1285)] = 30542,
  [SMALL_STATE(1286)] = 30551,
  [SMALL_STATE(1287)] = 30562,
  [SMALL_STATE(1288)] = 30571,
  [SMALL_STATE(1289)] = 30582,
  [SMALL_STATE(1290)] = 30593,
  [SMALL_STATE(1291)] = 30604,
  [SMALL_STATE(1292)] = 30615,
  [SMALL_STATE(1293)] = 30624,
  [SMALL_STATE(1294)] = 30635,
  [SMALL_STATE(1295)] = 30644,
  [SMALL_STATE(1296)] = 30655,
  [SMALL_STATE(1297)] = 30666,
  [SMALL_STATE(1298)] = 30677,
  [SMALL_STATE(1299)] = 30686,
  [SMALL_STATE(1300)] = 30695,
  [SMALL_STATE(1301)] = 30706,
  [SMALL_STATE(1302)] = 30714,
  [SMALL_STATE(1303)] = 30722,
  [SMALL_STATE(1304)] = 30730,
  [SMALL_STATE(1305)] = 30738,
  [SMALL_STATE(1306)] = 30746,
  [SMALL_STATE(1307)] = 30754,
  [SMALL_STATE(1308)] = 30762,
  [SMALL_STATE(1309)] = 30770,
  [SMALL_STATE(1310)] = 30778,
  [SMALL_STATE(1311)] = 30786,
  [SMALL_STATE(1312)] = 30794,
  [SMALL_STATE(1313)] = 30802,
  [SMALL_STATE(1314)] = 30810,
  [SMALL_STATE(1315)] = 30818,
  [SMALL_STATE(1316)] = 30826,
  [SMALL_STATE(1317)] = 30834,
  [SMALL_STATE(1318)] = 30842,
  [SMALL_STATE(1319)] = 30850,
  [SMALL_STATE(1320)] = 30858,
  [SMALL_STATE(1321)] = 30866,
  [SMALL_STATE(1322)] = 30874,
  [SMALL_STATE(1323)] = 30882,
  [SMALL_STATE(1324)] = 30890,
  [SMALL_STATE(1325)] = 30898,
  [SMALL_STATE(1326)] = 30906,
  [SMALL_STATE(1327)] = 30914,
  [SMALL_STATE(1328)] = 30922,
  [SMALL_STATE(1329)] = 30930,
  [SMALL_STATE(1330)] = 30938,
  [SMALL_STATE(1331)] = 30946,
  [SMALL_STATE(1332)] = 30954,
  [SMALL_STATE(1333)] = 30962,
  [SMALL_STATE(1334)] = 30970,
  [SMALL_STATE(1335)] = 30978,
  [SMALL_STATE(1336)] = 30986,
  [SMALL_STATE(1337)] = 30994,
  [SMALL_STATE(1338)] = 31002,
  [SMALL_STATE(1339)] = 31010,
  [SMALL_STATE(1340)] = 31018,
  [SMALL_STATE(1341)] = 31026,
  [SMALL_STATE(1342)] = 31034,
  [SMALL_STATE(1343)] = 31042,
  [SMALL_STATE(1344)] = 31050,
  [SMALL_STATE(1345)] = 31058,
  [SMALL_STATE(1346)] = 31066,
  [SMALL_STATE(1347)] = 31074,
  [SMALL_STATE(1348)] = 31082,
  [SMALL_STATE(1349)] = 31090,
  [SMALL_STATE(1350)] = 31098,
  [SMALL_STATE(1351)] = 31106,
  [SMALL_STATE(1352)] = 31114,
  [SMALL_STATE(1353)] = 31122,
  [SMALL_STATE(1354)] = 31130,
  [SMALL_STATE(1355)] = 31138,
  [SMALL_STATE(1356)] = 31146,
  [SMALL_STATE(1357)] = 31154,
  [SMALL_STATE(1358)] = 31162,
  [SMALL_STATE(1359)] = 31170,
  [SMALL_STATE(1360)] = 31178,
  [SMALL_STATE(1361)] = 31186,
  [SMALL_STATE(1362)] = 31194,
  [SMALL_STATE(1363)] = 31202,
  [SMALL_STATE(1364)] = 31210,
  [SMALL_STATE(1365)] = 31218,
  [SMALL_STATE(1366)] = 31226,
  [SMALL_STATE(1367)] = 31234,
  [SMALL_STATE(1368)] = 31242,
  [SMALL_STATE(1369)] = 31250,
  [SMALL_STATE(1370)] = 31258,
  [SMALL_STATE(1371)] = 31266,
  [SMALL_STATE(1372)] = 31274,
  [SMALL_STATE(1373)] = 31282,
  [SMALL_STATE(1374)] = 31290,
  [SMALL_STATE(1375)] = 31298,
  [SMALL_STATE(1376)] = 31306,
  [SMALL_STATE(1377)] = 31314,
  [SMALL_STATE(1378)] = 31322,
  [SMALL_STATE(1379)] = 31330,
  [SMALL_STATE(1380)] = 31338,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(578),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1369),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(909),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(897),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(574),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1206),
  [97] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(421),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(522),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(522),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(966),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(889),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(116),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(932),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(202),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(505),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(202),
  [129] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(204),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(789),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1335),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1181),
  [141] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(9),
  [144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(264),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(195),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(22),
  [153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1182),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1185),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1187),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(185),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(106),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(578),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(203),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1011),
  [177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1188),
  [180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1369),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(913),
  [186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(453),
  [189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(424),
  [192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(132),
  [195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(909),
  [198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(897),
  [201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1368),
  [204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(401),
  [207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(505),
  [210] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(461),
  [213] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1364),
  [216] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1363),
  [219] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(722),
  [222] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(737),
  [225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(758),
  [228] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(574),
  [231] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2), SHIFT_REPEAT(1206),
  [234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1),
  [236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [238] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 1),
  [240] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 1),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(400),
  [250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [258] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(423),
  [261] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(522),
  [264] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(522),
  [267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(966),
  [270] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(889),
  [273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2),
  [275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(116),
  [278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(202),
  [281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(505),
  [284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(202),
  [287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(204),
  [290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(789),
  [293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1335),
  [296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1181),
  [299] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(9),
  [302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2),
  [304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(264),
  [307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(195),
  [310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(22),
  [313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1267),
  [316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1185),
  [319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1187),
  [322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(185),
  [325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(106),
  [328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(578),
  [331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(203),
  [334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1011),
  [337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1268),
  [340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1373),
  [343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(913),
  [346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(453),
  [349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(424),
  [352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(132),
  [355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(909),
  [358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(897),
  [361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1368),
  [364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(400),
  [367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(505),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(461),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1364),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1363),
  [379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(722),
  [382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(737),
  [385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(758),
  [388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(574),
  [391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2), SHIFT_REPEAT(1206),
  [394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 2),
  [396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 2),
  [398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1376),
  [418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(412),
  [420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, .production_id = 1),
  [422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, .production_id = 1),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2),
  [428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2),
  [430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3),
  [432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3),
  [434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2),
  [444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2),
  [446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 3, .production_id = 21),
  [448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 3, .production_id = 21),
  [450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3),
  [452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3),
  [454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(626),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1),
  [476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1),
  [478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1),
  [480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1),
  [482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1), REDUCE(sym_statement, 1),
  [485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1), REDUCE(sym_statement, 1),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(446),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1266),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(417),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 3, .production_id = 24),
  [566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 3, .production_id = 24),
  [568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1304),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 23),
  [574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 23),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 4, .production_id = 24),
  [620] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 4, .production_id = 24),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [640] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2),
  [642] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2), SHIFT_REPEAT(1304),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, .production_id = 149),
  [655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, .production_id = 149),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 127),
  [661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 127),
  [663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 103),
  [665] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 103),
  [667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5),
  [669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5),
  [671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, .production_id = 20),
  [675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1),
  [677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1),
  [679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 187),
  [681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 187),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 9, .production_id = 186),
  [685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 9, .production_id = 186),
  [687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 181),
  [689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 181),
  [691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3),
  [693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 3),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 4, .production_id = 62),
  [697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 4, .production_id = 62),
  [699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 21),
  [701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 21),
  [703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3),
  [705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3),
  [707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3),
  [709] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3),
  [711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3),
  [717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3),
  [719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 3, .production_id = 22),
  [721] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 3, .production_id = 22),
  [723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, .production_id = 126),
  [729] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, .production_id = 126),
  [731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 185),
  [733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 185),
  [735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 161),
  [737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 161),
  [739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 162),
  [741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 162),
  [743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 164),
  [749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 164),
  [751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 62),
  [753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 62),
  [755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, .production_id = 165),
  [757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, .production_id = 165),
  [759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, .production_id = 166),
  [761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, .production_id = 166),
  [763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4),
  [765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4),
  [767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, .production_id = 71),
  [773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, .production_id = 71),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 123),
  [777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 123),
  [779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 122),
  [781] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 122),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, .production_id = 20),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, .production_id = 20),
  [787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3),
  [789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 121),
  [793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 121),
  [795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 120),
  [797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 120),
  [799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3),
  [801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3),
  [803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, .production_id = 20),
  [809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, .production_id = 20),
  [811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2),
  [813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2),
  [815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4),
  [817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4),
  [819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 163),
  [823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 62),
  [825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 62),
  [827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, .production_id = 179),
  [831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 3, .production_id = 20),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 3, .production_id = 20),
  [835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, .production_id = 62),
  [837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, .production_id = 62),
  [839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 60),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 59),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 59),
  [847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6),
  [849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6),
  [851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4),
  [853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, .production_id = 20),
  [857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, .production_id = 20),
  [859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 58),
  [863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 59),
  [865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 59),
  [867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 2),
  [869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 2),
  [871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2),
  [873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2),
  [875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, .production_id = 23),
  [877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, .production_id = 23),
  [879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 133),
  [881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 133),
  [883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, .production_id = 114),
  [885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, .production_id = 114),
  [887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 113),
  [889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 113),
  [891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 111),
  [893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 111),
  [895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 108),
  [897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 108),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 57),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 57),
  [903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3),
  [905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3),
  [907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 112),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 112),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, .production_id = 110),
  [913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, .production_id = 110),
  [915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 111),
  [917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 111),
  [919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 110),
  [921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 110),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 109),
  [925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 109),
  [927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 108),
  [931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, .production_id = 63),
  [933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, .production_id = 63),
  [935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 134),
  [937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 134),
  [939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 2),
  [941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 2),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, .production_id = 62),
  [947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 102),
  [949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 102),
  [951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 136),
  [955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, .production_id = 91),
  [957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, .production_id = 91),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 2),
  [961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 2),
  [963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 57),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 57),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 60),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 60),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 3),
  [973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 3),
  [975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 137),
  [979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 3),
  [981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 3),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, .production_id = 64),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, .production_id = 64),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 101),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 101),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, .production_id = 100),
  [993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, .production_id = 100),
  [995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 138),
  [997] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 138),
  [999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 139),
  [1001] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 139),
  [1003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 140),
  [1005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 140),
  [1007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [1009] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, .production_id = 141),
  [1011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 142),
  [1013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 142),
  [1015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, .production_id = 143),
  [1017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, .production_id = 143),
  [1019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 6),
  [1021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 6),
  [1023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 199),
  [1025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 199),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 184),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 184),
  [1031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3),
  [1033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3),
  [1035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5),
  [1037] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5),
  [1039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 3),
  [1041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 3),
  [1043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 138),
  [1045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 138),
  [1047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 144),
  [1049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 144),
  [1051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, .production_id = 40),
  [1053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, .production_id = 40),
  [1055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 168),
  [1057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 168),
  [1059] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 169),
  [1061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 169),
  [1063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, .production_id = 145),
  [1065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, .production_id = 145),
  [1067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, .production_id = 206),
  [1069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, .production_id = 206),
  [1071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 170),
  [1073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 170),
  [1075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 200),
  [1077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 200),
  [1079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 157),
  [1081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 157),
  [1083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, .production_id = 147),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 171),
  [1089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 171),
  [1091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 151),
  [1093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 151),
  [1095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 154),
  [1097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 154),
  [1099] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 96),
  [1101] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 96),
  [1103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 5, .production_id = 24),
  [1105] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 5, .production_id = 24),
  [1107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 155),
  [1109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 155),
  [1111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, .production_id = 201),
  [1113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, .production_id = 201),
  [1115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 95),
  [1117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 95),
  [1119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5),
  [1121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 5),
  [1123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 172),
  [1125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 172),
  [1127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, .production_id = 156),
  [1129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, .production_id = 156),
  [1131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 183),
  [1133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 183),
  [1135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, .production_id = 182),
  [1137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, .production_id = 182),
  [1139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, .production_id = 173),
  [1141] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, .production_id = 173),
  [1143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [1145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [1147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 174),
  [1149] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 174),
  [1151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 94),
  [1153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 94),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1157] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 93),
  [1159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, .production_id = 175),
  [1161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, .production_id = 175),
  [1163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 92),
  [1167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 89),
  [1169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 89),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 91),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, .production_id = 90),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2), SHIFT_REPEAT(140),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2), SHIFT_REPEAT(1218),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 13),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, .production_id = 13),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, .production_id = 12),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, .production_id = 12),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 36),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, .production_id = 36),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, .production_id = 35),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, .production_id = 35),
  [1205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 25),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 6, .production_id = 205),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 6, .production_id = 205),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 5, .production_id = 198),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 5, .production_id = 198),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 3, .production_id = 167),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 3, .production_id = 167),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 4, .production_id = 180),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 4, .production_id = 180),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition, 3),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition, 3),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(406),
  [1243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1317),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 1),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 2),
  [1267] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(824),
  [1270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2),
  [1272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(932),
  [1275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(505),
  [1278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1335),
  [1281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(9),
  [1284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(411),
  [1287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(913),
  [1290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(579),
  [1293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1368),
  [1296] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(505),
  [1299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1317),
  [1302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1364),
  [1305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(1363),
  [1308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(722),
  [1311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(737),
  [1314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2), SHIFT_REPEAT(758),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [1323] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [1329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), SHIFT(661),
  [1332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1337] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(981),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1343] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(1318),
  [1347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2),
  [1350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [1352] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1), REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(981),
  [1356] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(1318),
  [1359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(705),
  [1362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2),
  [1364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(932),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(505),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1335),
  [1373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(415),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(913),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1368),
  [1382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(505),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1317),
  [1388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1364),
  [1391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(1363),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(722),
  [1397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(737),
  [1400] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2), SHIFT_REPEAT(758),
  [1403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [1405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [1413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1415] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1), SHIFT(144),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(75),
  [1424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [1430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [1440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(705),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2),
  [1445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(505),
  [1448] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1335),
  [1451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(427),
  [1454] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(913),
  [1457] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1368),
  [1460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(505),
  [1463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1364),
  [1466] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(1363),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(722),
  [1472] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(737),
  [1475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2), SHIFT_REPEAT(758),
  [1478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, .production_id = 104),
  [1480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, .production_id = 104),
  [1482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, .production_id = 27),
  [1484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, .production_id = 27),
  [1486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 1),
  [1488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions, 1),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [1492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2),
  [1494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2),
  [1496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(1352),
  [1499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(920),
  [1502] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2),
  [1504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2),
  [1506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, .production_id = 70),
  [1508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, .production_id = 70),
  [1510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, .production_id = 2), SHIFT(668),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(960),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(136),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 19),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 19),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, .production_id = 17),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, .production_id = 17),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 56),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 56),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 54),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 54),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 3),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 3),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [1571] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1), SHIFT(668),
  [1574] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10, .production_id = 2),
  [1576] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .dynamic_precedence = 10, .production_id = 2),
  [1578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 30),
  [1580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 30),
  [1582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, .production_id = 61),
  [1584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, .production_id = 61),
  [1586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 42),
  [1588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, .production_id = 42),
  [1590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 66),
  [1592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 66),
  [1594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 77),
  [1596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, .production_id = 77),
  [1598] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2),
  [1600] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2),
  [1602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2), SHIFT_REPEAT(194),
  [1605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2), SHIFT_REPEAT(920),
  [1608] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, .production_id = 8),
  [1610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, .production_id = 8),
  [1612] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type, 1),
  [1614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type, 1),
  [1616] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integral_type, 1),
  [1618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integral_type, 1),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [1622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, .production_id = 32),
  [1624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, .production_id = 32),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [1628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 68),
  [1630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 68),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [1634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, .production_id = 5),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, .production_id = 5),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [1642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 53),
  [1644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 53),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [1648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 85),
  [1650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 85),
  [1652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 79),
  [1654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 79),
  [1656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 18),
  [1658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 18),
  [1660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 16),
  [1662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, .production_id = 16),
  [1664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 116),
  [1666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 116),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 51),
  [1670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 51),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 52),
  [1674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 52),
  [1676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 86),
  [1678] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 86),
  [1680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 55),
  [1682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 55),
  [1684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 115),
  [1686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 115),
  [1688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 80),
  [1690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 80),
  [1692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2),
  [1696] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(501),
  [1699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(913),
  [1702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(501),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 4),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 4),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [1717] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1),
  [1719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1),
  [1721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [1727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [1729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 3),
  [1731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 3),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [1737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 4),
  [1739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 4),
  [1741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 48),
  [1743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 48),
  [1745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3),
  [1747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [1755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_expression, 3, .production_id = 33),
  [1757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_expression, 3, .production_id = 33),
  [1759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3),
  [1761] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3),
  [1763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, .production_id = 34),
  [1765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, .production_id = 34),
  [1767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_literal, 3, .dynamic_precedence = 17),
  [1769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_literal, 3, .dynamic_precedence = 17),
  [1771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 3),
  [1773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 3),
  [1775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1),
  [1777] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1),
  [1779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 3),
  [1781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 3),
  [1783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 71),
  [1785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 71),
  [1787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, .production_id = 146),
  [1789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, .production_id = 146),
  [1791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1),
  [1795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, .production_id = 116),
  [1797] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, .production_id = 116),
  [1799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2),
  [1801] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2),
  [1803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, .production_id = 115),
  [1805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, .production_id = 115),
  [1807] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 50),
  [1809] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 50),
  [1811] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2),
  [1813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2),
  [1815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, .production_id = 160),
  [1817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, .production_id = 160),
  [1819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, .production_id = 135),
  [1821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, .production_id = 135),
  [1823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, .production_id = 78),
  [1825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, .production_id = 78),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [1831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 44),
  [1833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 44),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 4),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 4),
  [1839] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, .production_id = 65),
  [1841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, .production_id = 65),
  [1843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 4),
  [1845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 4),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, .production_id = 26),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, .production_id = 26),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 40),
  [1853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 40),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, .production_id = 119),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, .production_id = 119),
  [1859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, .production_id = 6),
  [1861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, .production_id = 6),
  [1863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 4),
  [1865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 4),
  [1867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, .production_id = 3),
  [1869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, .production_id = 3),
  [1871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 16),
  [1873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 16),
  [1875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 2),
  [1877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 2),
  [1879] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, .production_id = 88),
  [1881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, .production_id = 88),
  [1883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 2),
  [1885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 2),
  [1887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 2, .production_id = 87),
  [1889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 2, .production_id = 87),
  [1891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 2),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 2),
  [1895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, .production_id = 117),
  [1897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, .production_id = 117),
  [1899] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 3, .production_id = 20),
  [1901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 3, .production_id = 20),
  [1903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 86),
  [1905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 86),
  [1907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 85),
  [1909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 85),
  [1911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 80),
  [1913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 80),
  [1915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 79),
  [1917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, .production_id = 79),
  [1919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 3),
  [1921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 3),
  [1923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_initializer, 2),
  [1925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_initializer, 2),
  [1927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 49),
  [1929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 49),
  [1931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 3),
  [1933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 3),
  [1935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, .production_id = 47),
  [1937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, .production_id = 47),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 18),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, .production_id = 18),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 51),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 51),
  [1947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, .production_id = 105),
  [1949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, .production_id = 105),
  [1951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 52),
  [1953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 52),
  [1955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 84),
  [1957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 84),
  [1959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 83),
  [1961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 83),
  [1963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 55),
  [1965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 55),
  [1967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 82),
  [1969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 82),
  [1971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, .production_id = 81),
  [1973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, .production_id = 81),
  [1975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 53),
  [1977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, .production_id = 53),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 5),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 5),
  [1983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1), REDUCE(aux_sym_modifiers_repeat1, 1),
  [1986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1),
  [1988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 3, .production_id = 40),
  [1990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 3, .production_id = 40),
  [1992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 4, .production_id = 71),
  [1994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 4, .production_id = 71),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(442),
  [1998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(592),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [2006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [2008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2), SHIFT_REPEAT(1326),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 2),
  [2015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2),
  [2017] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 67),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 67),
  [2023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 194),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 194),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, .production_id = 31),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, .production_id = 31),
  [2031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 203),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 203),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 202),
  [2041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 202),
  [2043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, .production_id = 69),
  [2045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, .production_id = 69),
  [2047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 2),
  [2049] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 2),
  [2051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, .production_id = 106),
  [2053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, .production_id = 106),
  [2055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 4),
  [2057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 4),
  [2059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 196),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 196),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 204),
  [2065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, .production_id = 204),
  [2067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 5, .production_id = 178),
  [2069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 5, .production_id = 178),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 28),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 28),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 8, .production_id = 207),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 8, .production_id = 207),
  [2081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 29),
  [2083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 29),
  [2085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 3),
  [2087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 3),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 197),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, .production_id = 197),
  [2093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [2101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(224),
  [2103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [2105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [2107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [2123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 28),
  [2125] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_argument_list, 2), REDUCE(sym_record_pattern_body, 2),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_argument_list, 2), REDUCE(sym_record_pattern_body, 2),
  [2131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, .production_id = 107),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [2137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(628),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(235),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(236),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [2151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(200),
  [2159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(229),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [2175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(628),
  [2178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(920),
  [2181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2), SHIFT_REPEAT(628),
  [2184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [2186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [2188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [2192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(852),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_value, 1),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(930),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [2208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [2210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [2212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [2220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [2222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [2224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [2226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, .production_id = 76),
  [2230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [2238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [2240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [2242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [2246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [2248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [2250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [2252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [2254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [2260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [2272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [2274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2),
  [2280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1), REDUCE(aux_sym_modifiers_repeat1, 1),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [2287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1341),
  [2289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(859),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1251),
  [2295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2),
  [2297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [2299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [2303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1329),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 5, .production_id = 148),
  [2311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 152),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [2317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [2319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 4, .production_id = 124),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [2325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 97),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [2337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [2355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [2371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [2373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [2375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(915),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [2381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [2409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(841),
  [2411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(869),
  [2413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(870),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(851),
  [2419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [2431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2),
  [2445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(905),
  [2448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [2450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1236),
  [2452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [2454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [2456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [2458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [2460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [2462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [2464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(434),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1308),
  [2470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [2472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1201),
  [2474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(989),
  [2476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [2480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [2482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [2484] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1), SHIFT(943),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 1),
  [2489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [2491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 1),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2495] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(470),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1),
  [2519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1315),
  [2521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1252),
  [2523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1293),
  [2525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(901),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2),
  [2529] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(853),
  [2532] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(918),
  [2535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(900),
  [2538] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(907),
  [2541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2), SHIFT_REPEAT(902),
  [2544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [2546] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1), SHIFT(943),
  [2549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, .production_id = 7),
  [2551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(918),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [2577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [2579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [2581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, .production_id = 39),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [2587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, .production_id = 130),
  [2589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, .production_id = 130), SHIFT_REPEAT(901),
  [2592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [2594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [2596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [2598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [2600] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [2602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2),
  [2604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(979),
  [2607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(216),
  [2610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2), SHIFT_REPEAT(890),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 2),
  [2621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(890),
  [2625] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2), SHIFT_REPEAT(837),
  [2628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [2630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [2632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [2634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_modifier, 1),
  [2636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [2638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1155),
  [2642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [2644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(767),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1218),
  [2652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [2654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [2656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1150),
  [2658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [2660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2662] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [2664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1101),
  [2666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [2668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [2670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1124),
  [2674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1192),
  [2676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(625),
  [2680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 1, .production_id = 99),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [2686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [2688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, .production_id = 7),
  [2696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2),
  [2704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(140),
  [2707] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2), SHIFT_REPEAT(1218),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5),
  [2712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 6),
  [2714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4),
  [2716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 5),
  [2718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [2720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 1),
  [2724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2), SHIFT_REPEAT(135),
  [2731] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2), SHIFT_REPEAT(1218),
  [2734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [2736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3),
  [2738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, .production_id = 158),
  [2740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, .production_id = 177),
  [2742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, .production_id = 192),
  [2746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, .production_id = 189),
  [2748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, .production_id = 189),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [2756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, .production_id = 176),
  [2758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2), SHIFT_REPEAT(920),
  [2761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, .production_id = 176),
  [2763] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 3),
  [2765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [2769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(191),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [2773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, .production_id = 129),
  [2775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, .production_id = 131),
  [2777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, .production_id = 131),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [2783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(975),
  [2787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, .production_id = 45),
  [2789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2),
  [2791] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2), SHIFT_REPEAT(975),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2), SHIFT_REPEAT(191),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2), SHIFT_REPEAT(975),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment, 1),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 6),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 26),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, .production_id = 38),
  [2818] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(219),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 2),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2), SHIFT_REPEAT(766),
  [2840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2),
  [2842] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(213),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [2853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, .production_id = 10),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 5),
  [2869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, .production_id = 72),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 3),
  [2885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [2893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, .production_id = 2),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 2),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2),
  [2909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 4),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, .production_id = 37),
  [2917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 3),
  [2921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2), SHIFT_REPEAT(763),
  [2924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 3),
  [2928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2),
  [2930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2), SHIFT_REPEAT(769),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 15),
  [2937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 2, .production_id = 11),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [2949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 1, .production_id = 9),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 20),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, .production_id = 132),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [2969] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2),
  [2971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2), SHIFT_REPEAT(1246),
  [2974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [2976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [2978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [2980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [2982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [2984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [2986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [2992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_rule, 3),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pattern, 2),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [3006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [3008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [3014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [3018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [3020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [3022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [3024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2), SHIFT_REPEAT(141),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [3029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [3031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [3035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 153),
  [3037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, .production_id = 153), SHIFT_REPEAT(190),
  [3040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [3042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3046] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 2, .production_id = 41),
  [3048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3050] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2),
  [3052] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2), SHIFT_REPEAT(927),
  [3055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 46),
  [3057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 46), SHIFT_REPEAT(756),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, .production_id = 87),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2), SHIFT_REPEAT(1315),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2),
  [3069] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2), SHIFT_REPEAT(482),
  [3072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [3074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [3078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [3080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [3090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [3092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2),
  [3094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2), SHIFT_REPEAT(134),
  [3097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [3099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 98), SHIFT_REPEAT(210),
  [3102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, .production_id = 98),
  [3104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [3106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [3108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2),
  [3110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2), SHIFT_REPEAT(253),
  [3113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [3119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 193), SHIFT_REPEAT(912),
  [3124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 193),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, .production_id = 191),
  [3128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [3130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(697),
  [3133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 4, .production_id = 159),
  [3135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [3137] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 190), SHIFT_REPEAT(904),
  [3140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 190),
  [3142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [3144] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 75), SHIFT_REPEAT(886),
  [3147] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 75),
  [3149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, .production_id = 73),
  [3151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, .production_id = 188),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [3157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2),
  [3159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2), SHIFT_REPEAT(652),
  [3162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [3164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [3166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [3170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [3172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2),
  [3174] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2), SHIFT_REPEAT(933),
  [3177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [3179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [3181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [3183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [3191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [3193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [3195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 4),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 4),
  [3213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 2, .production_id = 39),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_interfaces, 2),
  [3217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, .production_id = 74),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [3221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 3),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, .production_id = 37),
  [3229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [3233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 1),
  [3241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_interfaces, 2),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wildcard_bounds, 2),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [3249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, .production_id = 15),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 2),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 2),
  [3261] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 3),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 3),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 2, .production_id = 14),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, .production_id = 45),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 3, .production_id = 43),
  [3273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, .production_id = 11),
  [3279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 1),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1171),
  [3287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_pair, 3, .production_id = 128),
  [3291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, .production_id = 2),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 5, .production_id = 72),
  [3295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 3, .production_id = 118),
  [3299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1198),
  [3301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 3, .production_id = 150),
  [3305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [3309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 2, .production_id = 125),
  [3311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [3313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [3339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [3341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [3343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [3345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [3347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [3349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [3353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 4),
  [3355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [3357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 5),
  [3359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [3361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permits, 2),
  [3363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [3365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 3),
  [3367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [3369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [3371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [3375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [3377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1),
  [3383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_value, 2, .production_id = 195),
  [3385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [3387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [3389] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [3391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [3395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [3397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [3399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [3401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [3403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [3405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [3409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [3411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [3413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [3417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [3419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [3421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_java(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
